/*
 Copyright 2009-2020 Rumma & Ko Ltd
 License: BSD (see file COPYING for details)
*/

// lino.js --- generated Mon Mar  8 02:50:28 2021 by Lino für ÖSHZ 20.8.0 for 300 (Schuldenberater).
Ext.BLANK_IMAGE_URL = '/static/ext-3.3.1/resources/images/default/s.gif';
LANGUAGE_CHOICES = [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ];
MEDIA_URL = "/media/";
GEN_TIMESTAMP = 1615171513.1587262;

// hack to add a toCamel function, inspired by
// http://jamesroberts.name/blog/2010/02/22/string-functions-for-javascript-trim-to-camel-case-to-dashed-and-to-underscore/
String.prototype.toCamel = function(){
  //~ return this.replace(/(\-[a-z])/g, function($1){return $1.toUpperCase().replace('-','');});
  //~ return this;
  return this.replace(/([A-Z])([A-Z]+)/g, function(match,p1,p2,offset,string){
      //~ console.log("20131005 got ",arguments);
      return p1 + p2.toLowerCase();});
};

if (!Array.prototype.last) {
    Array.prototype.last = function () {
        return this[this.length - 1];
    }
}


// 20151126 hack to modify Ext.EventObjectImpl.isSpecialKey() which
// returned false for Ctrl-S when called from a keyup handler (namely
// ComboBox.onLoad)

Ext.EventObjectImpl.prototype.isSpecialKey = function(){
    // same as original except for one line
    var k = this.normalizeKey(this.keyCode);
    // return (this.type == 'keypress' && this.ctrlKey) ||
    return (this.ctrlKey) ||
        this.isNavKeyPress() ||
        (k == this.BACKSPACE) ||
        (k >= 16 && k <= 20) ||
        (k >= 44 && k <= 46);
};





/* MonthPickerPlugin: thanks to keypoint @ sencha forum
   http://www.sencha.com/forum/showthread.php?74002-3.x-Ext.ux.MonthMenu&p=356860#post356860
*/
Ext.namespace('Ext.ux');

Ext.ux.MonthPickerPlugin = function() {
    var picker;
    var oldDateDefaults;

    this.init = function(pk) {
        picker = pk;
        picker.onTriggerClick = picker.onTriggerClick.createSequence(onClick);
        picker.getValue = picker.getValue.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
        picker.beforeBlur = picker.beforeBlur.createInterceptor(setDefaultMonthDay).createSequence(restoreDefaultMonthDay);
    };

    function setDefaultMonthDay() {
        oldDateDefaults = Date.defaults.d;
        Date.defaults.d = 1;
        return true;
    }

    function restoreDefaultMonthDay(ret) {
        Date.defaults.d = oldDateDefaults;
        return ret;
    }

    function onClick(e, el, opt) {
        var p = picker.menu.picker;
        p.activeDate = p.activeDate.getFirstDateOfMonth();
        if (p.value) {
            p.value = p.value.getFirstDateOfMonth();
        }

        p.showMonthPicker();

        if (!p.disabled) {
            p.monthPicker.stopFx();
            p.monthPicker.show();

            p.mun(p.monthPicker, 'click', p.onMonthClick, p);
            p.mun(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
            p.onMonthClick = p.onMonthClick.createSequence(pickerClick);
            p.onMonthDblClick = p.onMonthDblClick.createSequence(pickerDblclick);
            p.mon(p.monthPicker, 'click', p.onMonthClick, p);
            p.mon(p.monthPicker, 'dblclick', p.onMonthDblClick, p);
        }
    }

    function pickerClick(e, t) {
        var el = new Ext.Element(t);
        if (el.is('button.x-date-mp-cancel')) {
            picker.menu.hide();
        } else if(el.is('button.x-date-mp-ok')) {
            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }

    function pickerDblclick(e, t) {
        var el = new Ext.Element(t);
        if (el.parent()
            && (el.parent().is('td.x-date-mp-month')
            || el.parent().is('td.x-date-mp-year'))) {

            var p = picker.menu.picker;
            p.setValue(p.activeDate);
            p.fireEvent('select', p, p.value);
        }
    }
};

Ext.preg('monthPickerPlugin', Ext.ux.MonthPickerPlugin);

// Override this function to put the listeners always on the keydown event regardless of the browser.See #2887
Ext.EventManager.getKeyEvent = function() {
  return 'keydown';
};

/**
JC Watsons solution (adapted to ExtJS 3.3.1 by LS) is elegant and simple:
`A "fix" for unchecked checkbox submission  behaviour
<http://www.sencha.com/forum/showthread.php?28449>`_

Added special handling for checkbox inputs.
ExtJS defines disabled checkboxes `readonly`, not `disabled` as for other inputs.

*/
Ext.lib.Ajax.serializeForm = function(form) {
    // console.log('20170731 linolib.js serializeForm', form);
    var fElements = form.elements || (document.forms[form] || Ext.getDom(form)).elements,
        hasSubmit = false,
        encoder = encodeURIComponent,
        name,
        data = '',
        type,
        hasValue;

    Ext.each(fElements, function(element){
        name = element.name;
        type = element.type;

        if (!element.disabled && name && !(type == 'checkbox' && element.readonly)) {
            if (/select-(one|multiple)/i.test(type)) {
                Ext.each(element.options, function(opt){
                    if (opt.selected) {
                        hasValue = opt.hasAttribute ? opt.hasAttribute('value') : opt.getAttributeNode('value').specified;
                        data += String.format("{0}={1}&", encoder(name), encoder(hasValue ? opt.value : opt.text));
                    }
                });
            } else if (!(/file|undefined|reset|button/i.test(type))) {
                //~ if (!(/radio|checkbox/i.test(type) && !element.checked) && !(type == 'submit' && hasSubmit)) {
                if (!(type == 'submit' && hasSubmit)) {
                    if (type == 'checkbox') {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&');
                        data += encoder(name) + '=' + (element.checked ? 'on' : 'off') + '&';
                    } else {
                        //~ console.log('20111001',element,'data += ',encoder(name) + '=' + encoder(element.value) + '&');
                        data += encoder(name) + '=' + encoder(element.value) + '&';
                    }
                    hasSubmit = /submit/i.test(type);
                }
            }
        //~ } else {
            //~ console.log(name,type,element.readonly);
        }
    });
    return data.substr(0, data.length - 1);
};



/*
Set a long timeout of fifteen minutes.
See /blog/2012/0307
*/
Ext.Ajax.timeout = 15 * 60 * 1000;

/*
 * Thanks to
 * `huuze <http://stackoverflow.com/users/10040/huuuze>`_ for the question
 * and to
 * `chrisv <http://stackoverflow.com/users/683808/chrisv>`_
 * for the answer on
 * http://stackoverflow.com/questions/3764589/how-do-i-include-django-1-2s-csrf-token-in-a-javascript-generated-html-form/5485616#5485616
 *
 * */

Ext.Ajax.on('beforerequest', function (conn, options) {
   if (!(/^http:.*/.test(options.url) || /^https:.*/.test(options.url))) {
     if (typeof(options.headers) == "undefined") {
       options.headers = {'X-CSRFToken': Ext.util.Cookies.get('csrftoken')};
     } else {
       options.headers['X-CSRFToken'] = Ext.util.Cookies.get('csrftoken');
     }
   }
}, this);

// Ext.apply(Ext.EventManager, function(){
//     return{
//         getKeyEvent : function(){
//                //return useKeydown ? 'keydown' : 'keypress';
//            return 'keydown';
//            },
// }});

/* This probably worked, but was not used in real world.
My fix for the "Cannot set QuickTips dismissDelay to 0" bug,
see http://www.sencha.com/forum/showthread.php?183515

*/
// Ext.override(Ext.QuickTip,{
//   showAt : function(xy){
//         var t = this.activeTarget;
//         // console.log("20171024 QuickTip.showAt",this.title,this.dismissDelay,t.dismissDelay);
//         if(t){
//             if(!this.rendered){
//                 this.render(Ext.getBody());
//                 this.activeTarget = t;
//             }
//             if(t.width){
//                 this.setWidth(t.width);
//                 this.body.setWidth(this.adjustBodyWidth(t.width - this.getFrameWidth()));
//                 this.measureWidth = false;
//             } else{
//                 this.measureWidth = true;
//             }
//             this.setTitle(t.title || '');
//             this.body.update(t.text);
//             this.autoHide = t.autoHide;
//             // bugfix by Luc 20120226
//             if (t.dismissDelay != undefined) this.dismissDelay = t.dismissDelay;
//             //~ this.dismissDelay = t.dismissDelay || this.dismissDelay;
//             if(this.lastCls){
//                 this.el.removeClass(this.lastCls);
//                 delete this.lastCls;
//             }
//             if(t.cls){
//                 this.el.addClass(t.cls);
//                 this.lastCls = t.cls;
//             }
//             if(this.anchor){
//                 this.constrainPosition = false;
//             }else if(t.align){
//                 xy = this.el.getAlignToXY(t.el, t.align);
//                 this.constrainPosition = false;
//             }else{
//                 this.constrainPosition = true;
//             }
//         }
//         Ext.QuickTip.superclass.showAt.call(this, xy);
//     }
// });

/*
Another hack. See /docs/blog/2012/0228
*/
Ext.Element.addMethods(
    function() {
        var VISIBILITY      = "visibility",
            DISPLAY         = "display",
            HIDDEN          = "hidden",
            NONE            = "none",
            XMASKED         = "x-masked",
            XMASKEDRELATIVE = "x-masked-relative",
            data            = Ext.Element.data;

        return {

            mask : function(msg, msgCls) {
                var me  = this,
                    dom = me.dom,
                    dh  = Ext.DomHelper,
                    EXTELMASKMSG = "ext-el-mask-msg",
                    el,
                    mask;
                // removed the following lines. See /docs/blog/2012/0228
                //~ if (!(/^body/i.test(dom.tagName) && me.getStyle('position') == 'static')) {
                    //~ console.log(20120228,dom.tagName,me);
                    //~ me.addClass(XMASKEDRELATIVE);
                //~ }
                if (el = data(dom, 'maskMsg')) {
                    el.remove();
                }
                if (el = data(dom, 'mask')) {
                    el.remove();
                }

                mask = dh.append(dom, {cls : "ext-el-mask"}, true);
                data(dom, 'mask', mask);

                me.addClass(XMASKED);
                mask.setDisplayed(true);

                if (typeof msg == 'string') {
                    var mm = dh.append(dom, {cls : EXTELMASKMSG, cn:{tag:'div'}}, true);
                    data(dom, 'maskMsg', mm);
                    mm.dom.className = msgCls ? EXTELMASKMSG + " " + msgCls : EXTELMASKMSG;
                    mm.dom.firstChild.innerHTML = msg;
                    mm.setDisplayed(true);
                    mm.center(me);
                }


                if (Ext.isIE && !(Ext.isIE7 && Ext.isStrict) && me.getStyle('height') == 'auto') {
                    mask.setSize(undefined, me.getHeight());
                }

                return mask;
            }


        };
    }()
);



Ext.namespace('Lino');

Lino.insert_linoweb_version = function(p){
    p.lv = GEN_TIMESTAMP;
};


//~ Lino.subst_user_field = new Ext.form.ComboBox({});
//~ Lino.subst_user = null;
Lino.insert_subst_user = function(p){
    Lino.insert_linoweb_version(p);
    //~ console.log('20120714 insert_subst_user',Lino.subst_user,p);
    if (!p.ul)
      if (Lino.user_language)
        p.ul = Lino.user_language;

    if (p.su) return;
    if (Lino.subst_user) {
        //~ p.su = Lino.subst_user_field.getValue();
        p.su = Lino.subst_user;
    //~ } else {
        //~ delete p.su;
    }
    //~ console.log('20120714 insert_subst_user -->',Lino.subst_user,p);
}

// Lino.login_window = null;

Lino.autorefresh = function() {
  if (Lino.current_window == null) {
      Lino.viewport.refresh();
      Lino.autorefresh.defer(5000);
  }
}

Lino.set_subst_user = function(id, name) {
    //~ console.log(20130723,'Lino.set_subst_user',id,name,Lino.current_window,Lino.viewport);
    Lino.subst_user = id;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("su",id);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.set_user_language = function(lang) {
    Lino.user_language = lang;
    if (Lino.current_window)
        Lino.current_window.main_item.set_base_param("ul", lang);
    if (Lino.viewport)
        Lino.permalink_handler(Lino.current_window)();
}

Lino.goto_record_id = function(pk) {

    if (Lino.current_window)
        Lino.current_window.main_item.goto_record_id(pk);
}


//~ Lino.select_subst_user = function(cmp,rec,value){
    //~ Lino.subst_user=value;
    //~ console.log(20120713,rec);
//~ }

Lino.current_window = null;
Lino.window_history = Array();

Lino.chars2width = function(cols) {  return cols * 9; }
Lino.rows2height = function(cols) {  return cols * 20; }
Lino.perc2width = function(perc) {
    // var w = Math.max(document.documentElement.clientWidth, window.innerWidth);
    // console.log("20151226", document, window, w);
    var w = Lino.viewport.getWidth();
    return w * perc / 100;
}



Lino.MainPanel = {
  is_home_page: false
  ,auto_apply_params: true
  ,setting_param_values : false
  ,config_containing_window : function(wincfg) { }
  ,init_containing_window : function(win) { }
  ,is_loading : function() {
      if (!this.rendered) return true;
      //~ return (Ext.select('.x-loading-msg').elements.length > 0);
      return true;
    }
  ,do_when_clean : function(auto_save,todo) { todo() }
  ,get_master_params : function() {
    var p = {}
    p['mt'] = this.content_type;
    rec = this.get_current_record()
    if (rec) {
      if (rec.phantom) {
          p['mk'] = undefined;
      }else{
          p['mk'] = rec.id;
      }
    } else {
      p['mk'] = undefined;
    }
    //~ console.log('get_master_params returns',p,'using record',rec);
    return p;
  }
  ,get_permalink : function() {
    var p = Ext.apply({}, this.get_base_params());
    delete p.fmt;
    delete p.lv;
    Ext.apply(p, this.get_permalink_params());

    if (this.toggle_params_panel_btn) {
        p.sp = this.toggle_params_panel_btn.pressed;
        //~ if (this.toggle_params_panel_btn.pressed == this.params_panel_hidden) {
          //~ p.sp = true;
        //~ }
    }

    //~ Lino.insert_subst_user(p);
     //~ p.fmt = 'html';
    //~ console.log('get_permalink',p,this.get_permalink_params());
    if (this.is_home_page)
        //~ var url = '';
        var url = '/';
    else
        var url = this.get_permalink_url();
    if (p.su == null)
        delete p.su;
    if (Ext.urlEncode(p)) url = url + "?" + Ext.urlEncode(p);
    return url;
  }
  ,get_record_url : function(record_id) {
      var url = '/api' + this.ls_url
      //~ var url = this.containing_window.config.url_data; // ls_url;
      url += '/' + (record_id === undefined ? this.default_record_id : String(record_id));
      //~ if (record_id !== undefined) url += '/' + String(record_id);
      //~ url += '/' + String(record_id);
      return url;
  }
  ,get_permalink_url : function() {
      return '/api' + this.ls_url;
  }
  ,get_permalink_params : function() {
      //~ return {an:'grid'};
      var p = {};
      if (this.action_name)
          p.an = this.action_name;
      this.add_param_values(p,false)
      return p;
  }
  /*

  Lino.MainPanel.set_status() : the status can have the following keys:

  - param_values : values of parameter fields
  - field_values : values of action parameter fields
  - base_params
  - record_id
  - active_tab
  - data_record
  - show_params_panel
  - current_page

   */
  ,set_status : function(status, requesting_panel) {}
  ,get_status : function() { return {}}
  ,refresh : function() {}
  ,get_base_params : function() {  // Lino.MainPanel
    var p = {};
    Lino.insert_subst_user(p);
    Lino.insert_linoweb_version(p);
    return p;
  }
  ,add_params_panel : function (tbar) {
      if (this.params_panel) {
        //~  20130923b
        //~ this.params_panel.autoHeight = true; // 20130924
        var t = this;
        var update = function() {
            var p = t.params_panel;
            //~ console.log("update", p.getSize().height,p.forceLayout,p.autoHeight);
            var w = t.get_containing_window();
            Lino.do_when_visible(w, function() {
                //~ p.doLayout(true); // doLayout(shallow, force)
                w.doLayout(true); // doLayout(shallow, force)
                //~ t.params_panel.on('afterlayout',update,t,{single:true});
            });
        };
        Lino.do_when_visible(this.params_panel, update);
        this.params_panel.on('show',update);
        this.params_panel.on('hide',update);
        //~ this.params_panel.on('bodyresize',update);
        this.params_panel.on('afterlayout',update);
        //~ this.params_panel.on('afterlayout',update,this,{single:true});
        //~ this.params_panel.on('bodyresize',update,this,{single:true});
        //~ this.params_panel.on('resize',update,this,{single:true});
        //~ this.params_panel.on('render',update,this,{single:true});

        // this.params_panel.on('render',
        //~ this.params_panel.on('afterlayout',update,this,{single:true,delay:200});
        //~ this.params_panel.on('bodyresize',update,this,{single:true,delay:200});
        this.toggle_params_panel_btn = new Ext.Button({ scope:this,
          //~ text: "$_("[parameters]")", // gear
          iconCls: 'x-tbar-database_gear',
          tooltip:"Parameter-Panel ein- bzw. ausblenden",
          enableToggle: true,
          //~ pressed: ! this.params_panel.hidden,
          pressed: ! this.params_panel_hidden,
          toggleHandler: function(btn,state) {
            //~ console.log("20120210 add_params_panel",state,this.params_panel);
            if (state) {
                this.params_panel.show();
            } else {
                this.params_panel.hide();
            }
            //~ this.params_panel.on('afterlayout',update,this,{single:true});
            //~ t.get_containing_window().doLayout();
            //~ this.params_panel.on('afterlayout',function() {
                //~ console.log("20130918 afterlayout");
                //~ t.get_containing_window().doLayout(); // doLayout(shallow, force)
            //~ },this,{single:true});
          }
        });
        tbar = tbar.concat([this.toggle_params_panel_btn]);

        if (this.auto_apply_params) {
            var refresh = function() {
                if (!t.setting_param_values) {
                    t._force_dirty = true;
                    t.refresh();
                }
            }
            Ext.each(this.params_panel.fields,function(f) {
              //~ f.on('valid',function() {t.refresh()});
              if (f instanceof Ext.form.Checkbox) {
                  f.on('check',refresh);
//              } else if (f instanceof Ext.DatePicker) {
//                  f.on('select',refresh);
//                  console.log('Ext.DatePicker');
              } else if (f instanceof Ext.form.DateField) {
                  f.on('change',refresh);
              } else if (f instanceof Ext.form.TriggerField) {
                  f.on('select',refresh);
                  //~ f.on('change',refresh);
                  //~ f.on('valid',refresh);
              } else {
                  if (! f.on)
                      console.log("20121010 no method 'on'",f);
                  else
                      f.on('change',refresh);
                }
              });
        }
      }
      return tbar;
  }
  ,add_param_values : function (p,force_dirty) {
    if (this.params_panel) {
      /*
      * 20120918 add param_values to the request string
      * *only if the params_form is dirty*.
      * Otherwise Actor.default_params() would never be used.
      *
      * 20121023 But IntegClients.params_default has non-empty default values.
      * Users must have the possibility to make them empty.
      *
      * 20130605 : added `force_dirty` parameter because Checkbox fields don't
      * mark their form as dirty when check is fired.
      *
      * 20130721 : `force_dirty` not as a parameter but as
      * `this._force_dirty` because
      *
      * 20130915 : both _force_dirty and force_dirty parameter are needed.
      *
      */
      if (force_dirty || this._force_dirty || this.params_panel.form.isDirty()) {
      //~ if (this._force_dirty || this.params_panel.form.isDirty()) {
        p.pv = this.get_param_values();
        //~ console.log("20130923 form is dirty (",force_dirty,this._force_dirty,this.params_panel.form.isDirty(),")");
        //~ console.log("20130923 form is dirty",p);
      }else{
        //~ console.log("20130923 form not dirty:",this.params_panel.form);
        if (this.status_param_values)
          p.pv = Lino.fields2array(
            this.params_panel.fields,this.status_param_values);
      }
      //~ if (!this.params_panel.form.isDirty()) return;
      //~ p.pv = this.get_param_values();
      //~ console.log("20120203 add_param_values added pv",p.pv,"to",p);
    }
    else if(this.use_detail_params_value){
      p.pv = Lino.fields2array(this.ownerCt.ownerCt.ownerCt.params_panel.fields);
      }
  },
  get_param_values : function() { // similar to get_field_values()
      return Lino.fields2array(this.params_panel.fields);
  },
  set_param_values : function(pv) {
    if (this.params_panel) {
      //~ console.log('20120203 MainPanel.set_param_values', pv);
      this.status_param_values = pv;
      //~ this.params_panel.form.suspendEvents(false);
      this.setting_param_values = true;
      if (pv) {
          this.params_panel.form.my_loadRecord(pv);
      } else {
        this.params_panel.form.reset();
      }
      this.setting_param_values = false;
      this._force_dirty = false;
      //~ this.params_panel.form.resumeEvents();
    }
  }
};




Lino.Viewport = Ext.extend(Ext.Viewport, Lino.MainPanel);
Lino.Viewport = Ext.extend(Lino.Viewport, {
  layout : "fit"
  ,is_home_page : true
  ,initComponent : function(){
    Lino.Viewport.superclass.initComponent.call(this);
    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.el,{msg:"Bitte warten..."});
      //~ console.log("20121118 Lino.viewport.loadMask",this.loadMask);
    },this);
  }
  ,refresh : function() {
      var caller = this;
      // console.log("20140829 Lino.Viewport.refresh()");
      if (caller.loadMask) caller.loadMask.show();
      var success = function(response) {
        if (caller.loadMask) caller.loadMask.hide();
        if (response.responseText) {
          var result = Ext.decode(response.responseText);
          //~ console.log('Lino.do_action()',action.name,'result is',result);
          if (result.html) {
              var cmp = Ext.getCmp('dashboard');
              // cmp.removeAll(true);  // 20140829
              cmp.update(result.html, true);
          }

        if (result.message) {
            //~ if (result.alert && ! gridmode) {
            if (result.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',result.alert_msg);
                if (result.alert === true) result.alert = "Alarm";
                Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
            } else {
                Lino.notify(result.message);
            }
        }
          if (result.notify_msg) Lino.notify(result.notify_msg);
          if (result.js_code) {
            var jsr = result.js_code(caller);
            //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
          };
        }
      };
      var p = {}
      Lino.insert_linoweb_version(p);
      var action = {
        url : '/api/main_html',
        waitMsg: "Bitte warten...",
        failure: Lino.ajax_error_handler(caller),
        success: success,
        method: 'GET',
        params: {}
      };
      Lino.insert_subst_user(action.params);
      Ext.Ajax.request(action);

  }
});




Lino.open_window = function(win, st, requesting_panel) {
  // console.log("20140831 Lino.open_window()", win, win.el.getBox());
  var cw = Lino.current_window;
  if (cw) {
    // console.log("20140829 Lino.open_window() save current status",
    //             cw.main_item.get_status());
    Lino.window_history.push({
      window:cw,
      status:cw.main_item.get_status()
    });
  }
  Lino.current_window = win;
  //~ if (st.su)
      //~ Lino.subst_user_field.setValue(st.su);
  win.main_item.set_status(st, requesting_panel);
  // win.toFront();
  win.show();
};

Lino.load_url = function(url) {
    //~ foo.bar.baz = 2;
    //~ console.log("20121120 Lino.load_url()");
    //~ Lino.body_loadMask.show();
    Lino.viewport.loadMask.show();
    //~ location.replace(url);
    document.location = url;
}

Lino.close_window = function(status_update, norestore) {
  // norestore is true when called by handle_action_result() who
  // will call set_status() itself later
  var cw = Lino.current_window;
  var ww = Lino.window_history.pop();
  var retval = cw.main_item.requesting_panel;
  // console.log(
  //     "20150514 Lino.close_window() going to close", cw.title,
  //     "previous is", ww,
  //     "norestore is", norestore,
  //     "retval is", retval);
  if (ww) {
    //~ if (status_update) Ext.apply(ww.status,status_update);
    if(!norestore) {
        if (status_update) status_update(ww);
        // 20180725 ww.window.main_item.set_status(ww.status , cw.id);
        ww.window.main_item.set_status(ww.status , retval);
    }
    Lino.current_window = ww.window;
  } else {
      Lino.current_window = null;
      // new since 20140829:
      if(!norestore) { Lino.viewport.refresh(); }
  }
  if (cw) cw.hide_really();
  return retval;
};

Lino.kill_current_window = function() {
  // console.log("20140418 Lino.kill_current_window()");
  var cw = Lino.current_window;
  Lino.current_window = null;
  if (cw) cw.hide_really();
};

Lino.reload = function() {
    // First close all windows to ensure all changes are saved
    Lino.close_all_windows();

    // Then reload current view
    var url =  "/"

    var p = {};
    Lino.insert_subst_user(p)
    if (Ext.urlEncode(p))
        url = url + "?" + Ext.urlEncode(p);

    Lino.load_url(url);
}

Lino.handle_home_button = function() {
  if (Lino.window_history.length == 0)
      Lino.reload();
  else
      Lino.close_all_windows();
}

Lino.close_all_windows = function() {
    while (Lino.window_history.length > 0) {
        Lino.close_window();
    }
}

Lino.calling_window = function() {
    if (Lino.window_history.length)
        return Lino.window_history[Lino.window_history.length-1];
}

//~ Lino.WindowAction = function(mainItemClass,windowConfig,mainConfig,ppf) {
Lino.WindowAction = function(windowConfig,main_item_fn) {
    //~ if(!mainConfig) mainConfig = {};
    //~ mainConfig.is_main_window = true;
    this.windowConfig = windowConfig;
    this.main_item_fn = main_item_fn;
    //~ if (ppf) mainConfig.params_panel.fields = ppf;
    //~ this.mainConfig = mainConfig;
    //~ this.mainItemClass = mainItemClass;
};

Lino.WindowAction = Ext.extend(Lino.WindowAction,{
    window : null,
    //~ mainItemClass: null,
    get_window : function() {
      //~ if(mainConfig) Ext.apply(this.mainConfig,mainConfig);
      // if (this.window == null || this.window.isDestroyed)  { // 20140829
      // if (this.window == null || this.window.getBox().width == 0)  { // 20140829
      if (this.window == null)  {
      // if (true)  {
          //~ this.windowConfig.main_item = new this.mainItemClass(this.mainConfig);
          this.windowConfig.main_item = this.main_item_fn();
          this.window = new Lino.Window(this.windowConfig);
      }
      return this.window;
    },
    run : function(requesting_panel, status) {
      // console.log('20140829 window_action.run()', this)
      Lino.open_window(this.get_window(), status, requesting_panel);
    }

});


Lino.PanelMixin = {
  get_containing_window : function (){
      if (this.containing_window) return this.containing_window;
      return this.containing_panel.get_containing_window();
  }
  ,set_window_title : function(title) {
    //~ this.setTitle(title);
    var cw = this.get_containing_window();

    //~ if (cw) {
    //~ if (cw && cw.closable) {
    if (cw && !cw.main_item.hide_window_title) {
      //~ console.log('20111202 set_window_title(',title,') for',this.containing_window);
      //~ if (! this.containing_window.rendered) console.log("WARNING: not rendered!");
      cw.setTitle(title);
    //~ } else {
      //~ document.title = title;
    }
    //~ else console.log('20111202 not set_window_title(',title,') for',this);
  }

};


// Lino.status_bar = new Ext.ux.StatusBar({defaultText:'Lino version 21.3.0.'});






/*
  Originally copied from Ext JS Library 3.3.1
  Modifications by Luc Saffre :
  - rendering of phantom records
  - fire afteredit event
  - react on dblclcik, not on single click

 */
Lino.CheckColumn = Ext.extend(Ext.grid.Column, {

    processEvent : function(name, e, grid, rowIndex, colIndex){
        //~ console.log('20110713 Lino.CheckColumn.processEvent',name)
        if (name == 'click') {
        //~ if (name == 'mousedown') {
        //~ if (name == 'dblclick') {
            return this.toggleValue(grid, rowIndex, colIndex);
        } else {
            return Ext.grid.ActionColumn.superclass.processEvent.apply(this, arguments);
        }
    },

    toggleValue : function (grid,rowIndex,colIndex) {
        var record = grid.store.getAt(rowIndex);
        var dataIndex = grid.colModel.getDataIndex(colIndex);
        // 20120514
        //~ if(record.data.disabled_fields && record.data.disabled_fields[dataIndex]) {
          //~ Lino.notify("Dieses Feld ist deaktiviert");
          //~ return false;
        //~ }

        //~ if (dataIndex in record.data['disabled_fields']) {
            //~ Lino.notify("This field is disabled.");
            //~ return false;
        //~ }
        var startValue = record.data[dataIndex];
        var value = !startValue;
        //~ record.set(this.dataIndex, value);
        var e = {
            grid: grid,
            record: record,
            field: dataIndex,
            originalValue: startValue,
            value: value,
            row: rowIndex,
            column: colIndex,
            cancel: false
        };
        if(grid.fireEvent("beforeedit", e) !== false && !e.cancel){
        //~ if(grid.fireEvent("validateedit", e) !== false && !e.cancel){
            record.set(dataIndex, value);
            delete e.cancel;
            grid.fireEvent("afteredit", e);
        }
        return false; // Cancel event propagation
    },

    renderer : function(v, p, record){
        if (record.phantom) return '';
        p.css += ' x-grid3-check-col-td';
        return String.format('<div class="x-grid3-check-col{0}">&#160;</div>', v ? '-on' : '');
    }

    // Deprecate use as a plugin. Remove in 4.0
    // init: Ext.emptyFn
});

// register ptype. Deprecate. Remove in 4.0
// Ext.preg('checkcolumn', Lino.CheckColumn);

// backwards compat. Remove in 4.0
// Ext.grid.CheckColumn = Lino.CheckColumn;

// register Column xtype
Ext.grid.Column.types.checkcolumn = Lino.CheckColumn;


/* 20110725 :
Lino.on_tab_activate is necessary
in contacts.Person.2.dtl
(but don't ask me why...)
*/
Lino.on_tab_activate = function(item) {
  //~ console.log('activate',item);
  if (item.rendered && item.doLayout) item.doLayout();
  //~ if (item.rendered) item.doLayout();
}

Lino.TimeField = Ext.extend(Ext.form.TimeField,{
  format: 'H:i',
  altFormats: 'g:ia|g:iA|g:i a|g:i A|h:i|g:i|H:i|ga|ha|gA|h a|g a|g A|gi|hi|gia|hia|g|H|gi a|hi a|giA|hiA|gi A|hi A|Hi|g.ia|g.iA|g.i a|g.i A|h.i|g.i|H.i',
  increment: 15
  });
Lino.DateField = Ext.extend(Ext.form.DateField,{
  //~ boxMinWidth: Lino.chars2width(15), // 20131005 changed from 11 to 15
  format: 'd.m.Y',
  altFormats: 'd/m/Y|Y-m-d'
  });
Lino.DatePickerField = Ext.extend(Ext.DatePicker,{
  //~ boxMinWidth: Lino.chars2width(11),
  format: 'd.m.Y',
  //~ altFormats: 'd/m/Y|Y-m-d'
  formatDate : function(date){
      //~ console.log("20121203 formatDate",this.name,date);
      return Ext.isDate(date) ? date.dateFormat(this.format) : date;
  }
  });
Lino.DateTimeField = Ext.extend(Ext.ux.form.DateTime,{
  dateFormat: 'd.m.Y',
  timeFormat: 'H:i'
  //~ ,hiddenFormat: 'd.m.Y H:i'
  });
Lino.URLField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  //~ triggerClass : 'x-form-world-trigger',
  vtype: 'url',
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    window.open(this.getValue(),'_blank');
  }
});
Lino.IncompleteDateField = Ext.extend(Ext.form.TextField,{
  //~ regex: /^-?\d+-[01]\d-[0123]\d$/,
  //~ regex: /^[0123]\d\.[01]\d\.-?\d+$/,
  maxLength: 10,
  boxMinWidth: Lino.chars2width(10),
  regex: /^[0123]?\d\.[01]?\d\.-?\d+$/,
  regexText: 'Datum im Format JJJJ-MM-TT eingeben (Nullen für unbekannte Teile)'
  });


//~ Lino.make_dropzone = function(cmp) {
    //~ cmp.on('render', function(ct, position){
      //~ ct.el.on({
        //~ dragenter:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ return true;
        //~ }
        //~ ,dragover:function(event){
          //~ event.browserEvent.dataTransfer.dropEffect = 'move';
          //~ event.stopEvent();
          //~ return true;
        //~ }
        //~ ,drop:{
          //~ scope:this
          //~ ,fn:function(event){
            //~ event.stopEvent();
            //~ console.log(20110516);
            //~ var files = event.browserEvent.dataTransfer.files;
            //~ if(files === undefined){
              //~ return true;
            //~ }
            //~ var len = files.length;
            //~ while(--len >= 0){
              //~ console.log(files[len]);
              //~ // this.processDragAndDropFileUpload(files[len]);
            //~ }
          //~ }
        //~ }
      //~ });
    //~ });
//~ };

//~ Lino.FileUploadField = Ext.ux.form.FileUploadField;

Lino.FileUploadField = Ext.extend(Ext.ux.form.FileUploadField,{
    ctCls :"field-margin",
    unused_onRender : function(ct, position){
      Lino.FileUploadField.superclass.onRender.call(this, ct, position);
      this.el.on({
        dragenter:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          return true;
        }
        ,dragover:function(event){
          event.browserEvent.dataTransfer.dropEffect = 'move';
          event.stopEvent();
          return true;
        }
        ,drop:{
          scope:this
          ,fn:function(event){
            event.stopEvent();
            //~ console.log(20110516);
            var files = event.browserEvent.dataTransfer.files;
            if(files === undefined){
              return true;
            }
            var len = files.length;
            while(--len >= 0){
              console.log(files[len]);
              //~ this.processDragAndDropFileUpload(files[len]);
            }
          }
        }
      });
    }
});

Lino.FileField = Ext.extend(Ext.form.TriggerField,{
  triggerClass : 'x-form-search-trigger',
  editable: false,
  onTriggerClick : function() {
    //~ console.log('Lino.URLField.onTriggerClick',this.value)
    //~ document.location = this.value;
    if (this.getValue()) window.open(MEDIA_URL + '/'+this.getValue(),'_blank');
  }
});

Lino.file_field_handler = function(panel,config) {
  if (panel.action_name == 'insert') {
      panel.has_file_upload = true;


      // config.value = '<br/><br/>';

      var f = new Lino.FileUploadField(config);
      //~ Lino.make_dropzone(f);
      return f;
      //~ return new Ext.ux.form.FileUploadField(config);
      //~ return new Lino.FileField(config);

  } else {
      //~ return new Lino.URLField(config);
      return new Lino.FileField(config);
  }
}

Lino.VBorderPanel = Ext.extend(Ext.Panel,{
    constructor : function(config) {
      config.layout = 'border';
      delete config.layoutConfig;
      Lino.VBorderPanel.superclass.constructor.call(this,config);
      for(var i=0; i < this.items.length;i++) {
        var item = this.items.get(i);
        if (this.isVertical(item) && item.collapsible) {
          item.on('collapse',this.onBodyResize,this);
          item.on('expand',this.onBodyResize,this);
        }
      }
    },
    isVertical : function(item) {
       return (item.region == 'north' || item.region == 'south' || item.region == 'center');
    },
    onBodyResize: function(w, h){
        //~ console.log('VBorderPanel.onBodyResize',this.title)
      if (this.isVisible()) { // to avoid "Uncaught TypeError: Cannot call method 'getHeight' of undefined."
        var sumflex = 0;
        var availableHeight = this.getInnerHeight();
        var me = this;
        this.items.each(function(item){
          if (me.isVertical(item)) {
              if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  if (item.rendered) availableHeight -= item.getHeight();
              } else {
                  sumflex += item.flex;
              }
          }

        });
        //~ for(var i=0; i < this.items.length;i++) {
          //~ var item = this.items.get(i);
          //~ // if (this.isVertical(item) && item.getResizeEl()) {
          //~ if (this.isVertical(item)) {
              //~ if (item.collapsed || item.flex == 0 || item.flex === undefined) {
                  //~ // item.syncSize()
                  //~ // item.doLayout()
                  //~ // if (item.region == "north") console.log('region north',item.getHeight(),item.id, item);
                  //~ // if (item.getHeight() == 0) console.log(20100921,'both flex and getHeight() are 0!');
                  //~ availableHeight -= item.getHeight();
              //~ } else {
                  //~ sumflex += item.flex;
                  //~ // console.log(item.flex);
              //~ }
          //~ }
          //~ // else console.log('non-vertical item in VBoderPanel:',item)
        //~ }
        var hunit = availableHeight / sumflex;
        //~ console.log('sumflex=',sumflex,'hunit=',hunit, 'availableHeight=',availableHeight);
        for(var i=0; i < this.items.length;i++) {
          var item = this.items.get(i);
          if (this.isVertical(item)) {
              if (item.flex != 0 && ! item.collapsed) {
                  item.setHeight(hunit * item.flex);
                  //~ console.log(item.region,' : height set to',item.getHeight());
              }
          }
          //~ else console.log('non-vertical item in VBoderPanel:',item)
        }
      }
      Lino.VBorderPanel.superclass.onBodyResize.call(this, w, h);
    }
});


/*
  modifications to the standard behaviour of a CellSelectionModel:

*/
Ext.override(Ext.grid.CellSelectionModel, {
//~ var dummy = {

    getRowFrompx : function(px){
        g = this.grid;
        rows = g.getView().getRows();
        total_height = 0,
        searched_row = 0;
        for (row in rows){
            if (total_height < px){
                searched_row += 1;
                total_height += rows[row].clientHeight;
                }
            else{
                return searched_row;
            }
        }

    },
    handleKeyDown : function(e){
        /* removed because F2 wouldn't pass
        if(!e.isNavKeyPress()){
            return;
        }
        */
        //~ console.log('handleKeyDown',e)
        var k = e.getKey(),
            g = this.grid,
            s = this.selection,
            sm = this,
            walk = function(row, col, step){
                return g.walkCells(
                    row,
                    col,
                    step,
                    g.isEditor && g.editing ? sm.acceptsNav : sm.isSelectable,
                    sm
                );
            },
            cell, newCell, r, c, ae;
            t = g.getTopToolbar();
            if (t != undefined){
                d = t.getPageData();
            }
            else{
                d = undefined;
            }

        switch(k){
            case e.ESC:
                break;
            default:
                // e.stopEvent(); // removed because Browser keys like Alt-Home, Ctrl-R wouldn't work
                break;
        }

        if(!s){
            cell = walk(0, 0, 1);
            if(cell){
                this.select(cell[0], cell[1]);
            }
            return;
        }

        cell = s.cell;
        r = cell[0];
        c = cell[1];

        switch(k){
            case e.TAB:
                if(e.shiftKey){
                    newCell = walk(r, c - 1, -1);
                    // prev + [-1 -1]
                }else{
                    newCell = walk(r, c + 1, 1);
                }
                e.stopEvent(); // Don't allow tab to cause grid to loose focus
                if(!newCell && d != undefined){
                    var self = this;
                    var new_page = e.shiftKey? Math.max(1, d.activePage -1) : Math.min(d.pages, d.activePage +1) ;
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            if (e.shiftKey) {
                                self.select(
                                    Math.min(r, g.store.getCount() - 1),
                                    g.getColumnModel().getColumnsBy(function (col) {return !col.hidden}).last().colIndex
                                );
                            }else {
                                self.select(0,0);
                            }
                            //~ console.log('change',r,c);
                        }, this, {single: true});

                        if (e.shiftKey) {
                            t.movePrevious();
                        } else {
                            t.moveNext();
                        }
                        return;}
                }
                break;
            case e.HOME:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, 0];
                        //~ console.log('home',newCell);
                        break;
                    } else {
                        var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
                        if (e.ctrlKey && activePage > 1) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                self.select(0, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});

                            t.moveFirst();
                            return;
                        }
                        newCell = [0, c];
                        break;
                    }
                }
            case e.END:
                if (!(g.isEditor && g.editing)) {
                    if (!e.hasModifier()) {
                        newCell = [r, g.getColumnModel().getColumnsBy(function (col) {
                            return !col.hidden
                        }).last().colIndex];
                        //~ console.log('end',newCell);
                        break;
                    } else if (d != undefined){
                        if (e.ctrlKey && d.activePage < d.pages) {
                            e.stopEvent();
                            var self = this;
                            t.on('change', function (tb, pageData) {
                                var r = g.store.getCount() - 1;
                                self.select(r, c);
                                //~ console.log('change',r,c);
                            }, this, {single: true});
                            t.moveLast();
                            return;
                        } else {
                            newCell = [g.store.getCount() - 1, c];
                            //~ console.log('ctrl-end',newCell);
                            break;
                        }
                    }
                }
            case e.PAGE_UP:
            case e.PAGE_DOWN:
                e.stopEvent();
                var self = this;
                var scroller = g.getView().scroller;
                var box = scroller.getBox();
                //console.log('box',box);
                var viewSize = scroller.getSize(); // EXP {width: 547, height: 500}
//                console.log('viewSize',viewSize);
                var scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('scrollPosition',scrollPosition);
//                if (box.height < box.bottom){
                var direction  = e.PAGE_DOWN === k ? 'b' : 'u';
                scroller.scroll(direction, box.y,false);
//                }
                var new_scrollPosition = scroller.getScroll(); // EXP {left: 0, top: 135}
//                console.log('new_scrollPosition',new_scrollPosition);
                if (new_scrollPosition.top != scrollPosition.top){
                    newcellpx = e.PAGE_DOWN === k ? box.height : new_scrollPosition.top;
                    var newx = this.getRowFrompx(newcellpx);
//                    console.log('newx',newx);
                    newCell = walk(newx,c,1)
                    break;
                }
//                g.getView().scroller.scroll('b', 99999,true);
//                g.getView().scroller.isScrollable();
                if (d != undefined){
                    var new_page = e.PAGE_DOWN === k ? Math.min(d.pages, d.activePage +1) : Math.max(1, d.activePage -1);
                    if (d.activePage !== new_page) {
                        t.on('change', function (tb, pageData) {
                            self.select(Math.min(r, g.store.getCount() - 1), c);
                            //~ console.log('change',r,c);
                        }, this, {single: true});
                        if(k === e.PAGE_DOWN){
                            t.moveNext();
                        }else{
                            t.movePrevious();
    //                        Go to the bottom of the new page
                            var scroller = g.getView().scroller;
                            var newbox = scroller.getBox();
                            scroller.scroll('b', newbox.bottom,false);
                        }
                    }
                    return;
                }else{ // same page, goto top / bottom row, keep c same
                    r = e.PAGE_DOWN === k ? g.store.getCount() - 1 : 0;
                    newCell = [r, c]
                }
                break;
            case e.DOWN:
                newCell = walk(r + 1, c, 1);
                break;
            case e.UP:
                newCell = walk(r - 1, c, -1);
                break;
            case e.RIGHT:
                newCell = walk(r, c + 1, 1);
                break;
            case e.LEFT:
                newCell = walk(r, c - 1, -1);
                break;
            case e.F2:
                if (!e.hasModifier()) {
                    if (g.isEditor && !g.editing) {
                        g.startEditing(r, c);
                        e.stopEvent();
                        return;
                    }
                    break;
                }
            case e.INSERT:
                if (!e.hasModifier()) {
                    if (g.ls_insert_handler && !g.editing) {
                        e.stopEvent();
                        Lino.show_insert(g);
                        return;
                    }
                    break;
                }
            case e.DELETE:
                if (!e.hasModifier()) {
                    if (!g.editing) {
                        e.stopEvent();
                        // Lino.delete_selected(g);
                        Lino.row_action_handler('delete_selected','GET',null)(g);
                        return;
                    }
                    break;
                }

            case e.ENTER:
                e.stopEvent();
                g.onCellDblClick(g,r,c);
                break;

            default:
                g.handle_key_event(e);

        }


        if(newCell){
          e.stopEvent();
          r = newCell[0];
          c = newCell[1];
          this.select(r, c);
          if(g.isEditor && g.editing){
            ae = g.activeEditor;
            if(ae && ae.field.triggerBlur){
                ae.field.triggerBlur();
            }
            g.startEditing(r, c);
          }
        //~ } else if (g.isEditor && !g.editing && e.charCode) {
        //~ // } else if (!e.isSpecialKey() && g.isEditor && !g.editing) {
            //~ g.set_start_value(String.fromCharCode(e.charCode));
            //~ // g.set_start_value(String.fromCharCode(k));
            //~ // g.set_start_value(e.charCode);
            //~ g.startEditing(r, c);
            //~ // e.stopEvent();
            //~ return;
        // } else {
          // console.log('20120513',e,g);
        }

    }


//~ };
});



function PseudoConsole() {
    this.log = function() {};
};
if (typeof(console) == 'undefined') console = new PseudoConsole();

Lino.notify = function(msg) {
  if (msg == undefined) msg = ''; else console.log(msg);
  
    if (msg == undefined) return;
    // Lino.alert(msg);
  
};

Lino.alert = function(msg) {
  Ext.MessageBox.alert('Notify',msg);
};


//~ Lino.show_about = function() {
  //~ new Ext.Window({
    //~ width: 400, height: 400,
    //~ title: "About",
    //~ html: '<a href="http://www.extjs.com" target="_blank">ExtJS</a> version ' + Ext.version
  //~ }).show();
//~ };

function obj2str(o) {
  if (typeof o != 'object') return String(o);
  var s = '';
  for (var p in o) {
    s += p + ': ' + obj2str(o[p]) + '\n';
  }
  return s;
}

Lino.on_store_exception = function (store,type,action,options,response,arg) {
  //~ throw response;
  console.log("on_store_exception: store=",store,
    "type=",type,
    "action=",action,
    "options=",options,
    "response=",response,
    "arg=",arg);
    if (arg != undefined && arg) { console.log(arg.stack)};
    var msg = "Problem mit der Verbindung zur Datenbank";
    if (response.responseText)
        msg += '<br/>' + response.responseText
    msg += '<br/>' + "Falls der Fehler sich wiederholt, laden Sie die Seite im Browser neu ([SHIFT+CTRL+R] in Firefox)."
    Ext.Msg.alert("Datenbank-Problem", msg );

};

//~ Lino.on_submit_success = function(form, action) {
   //~ Lino.notify(action.result.message);
   //~ this.close();
//~ };

Lino.on_submit_failure = function(form, action) {
    //~ Lino.notify();
  // action may be undefined
    switch (action.failureType) {
        case Ext.form.Action.CLIENT_INVALID:
            Ext.Msg.alert("Client-side failure", "Bitte überprüfe alle Felder im Formular vor dem Speichern");
            break;
        case Ext.form.Action.CONNECT_FAILURE:
            Ext.Msg.alert("Connection failure", "Ajax communication failed");
            break;
        case Ext.form.Action.SERVER_INVALID:
            Ext.Msg.alert("Server-side failure", action.result.message);
   }
};



/*
Lino.save_wc_handler = function(ww) {
  return function(event,toolEl,panel,tc) {
    var pos = panel.getPosition();
    var size = panel.getSize();
    wc = ww.get_window_config();
    Ext.applyIf(wc,{
      x:pos[0],y:pos[1],height:size.height,width:size.width,
      maximized:panel.maximized});
    Lino.do_action(ww,{url:'/window_configs/'+ww.config.permalink_name,params:wc,method:'POST'});
  }
};

*/

Lino.show_in_own_window_button = function(handler) {
  return {
    qtip: "Dieses Panel in eigenem Fenster öffnen",
    id: "up",
    handler: function(event,toolEl,panel, tc) {
      //~ console.log('20111206 report_window_button',panel,handler);
      handler.run(null,{base_params:panel.containing_panel.get_master_params()});
    }
  }
}

Lino.action_handler = function (panel, on_success, on_confirm) {
  return function (response) {
      if (!panel) {
          if (Lino.current_window)
              panel = Lino.current_window.main_item;
          else panel = Lino.viewport;
      }

    if (panel.loadMask) panel.loadMask.hide(); // 20120211
    if (!response.responseText) return ;
    var result = Ext.decode(response.responseText);
    Lino.handle_action_result(panel, result, on_success, on_confirm);
  }
};

Lino.handle_action_result = function (panel, result, on_success, on_confirm) {

    // console.log('20150514 Lino.handle_action_result()', result);

    // if (panel instanceof Lino.GridPanel) {
    //     gridmode = true;
    // } else {
    //     gridmode = false;
    // }

    //~ if (result.goto_record) {
        //~ var js = "Lino." + result.goto_record[0] + '.detail.run';
        //~ var h = eval(js);
        //~ h(panel,{record_id:result.goto_record[1]});
    //~ }

    if (result.goto_url) {
        document.location = result.goto_url;
        if (result.close_window) Lino.close_window();
        return;
    }

    if (result.xcallback) {
        //~ var config = {title:"Bestätigung"};
        var config = {cls:"l-confirmation", title:result.xcallback.title};
        //~ config.buttons = Ext.MessageBox.YESNOCANCEL;
        //~ config.buttons = Ext.MessageBox.YESNO;
        var p = {};
        Lino.insert_subst_user(p);
        config.buttons = {};
        result.xcallback.buttons.forEach((button) => config.buttons[button[0]] = button[1]);
        config.msg = result.message;
        config.fn = function(buttonId, text, opt) {
          eval(result.xcallback[buttonId + "_resendEvalJs"])
        }
        Ext.MessageBox.show(config);
        return;
    }

    // `record_id` and/or `data_record` both mean "display the detail
    // of this record".

    if(result.detail_handler_name) {
        // TODO: make sure that result.detail_handler_name is secure
        var detail_handler = eval("Lino." + result.detail_handler_name);
    }
    var ns = {};  // new status
    if (result.close_window) {

        // Subsequent processing expects that `panel` is "the current
        // panel". But if we close the window, `panel` must point
        // to the previous window. Note the case of an insert window
        // that has been invoked by double-clicking on the phantom row
        // of a slave table in a detail window. In that case we want
        // `panel` to become the grid panel of the slave table who
        // called the insert window, not the master's detail form
        // panel.  When the insert window has been called by an action
        // link (e.g. generated using ar.insert_button), then
        // Lino.close_window can return `undefined`.

        if(result.record_id || result.data_record) {
            var ww = Lino.calling_window();
            if (ww && ww.window.main_item instanceof Lino.FormPanel) {
                if (ww.window.main_item.ls_detail_handler == detail_handler) {
                    ns.record_id = result.record_id;
                    ns.data_record = result.data_record;
                    // console.log("20150514 use new status.");
                }
            }
        }

        panel = Lino.close_window(
            function(ww) { Ext.apply(ww.status, ns) });
        if (!panel)
            // console.log("20150514 close_window returned no panel.");
            if (Lino.current_window)
                panel = Lino.current_window.main_item;

    }

    if(result.record_id || result.data_record) {
        if (! (ns.record_id || ns.data_record)) {
          // no close_window, so we must update record data in current
          // panel (if it is the detail_handler for this record) or
          // open the detail handler.
          var st = {
              record_id: result.record_id,
              data_record: result.data_record
          };
          if (result.active_tab) st.active_tab = result.active_tab;
          if (panel instanceof Lino.FormPanel
              && panel.ls_detail_handler == detail_handler)
            {
              // console.log("20210106 use panel.set_status().");
              st.base_params = panel.get_base_params();
              panel.set_status(st);
          } else {
              // console.log("20210106 run detail_handler.");
              if (panel !== undefined && panel.ls_detail_handler == detail_handler){
                st.base_params = panel.get_base_params();}
              detail_handler.run(null, st);
          }

          // if (panel instanceof Lino.FormPanel
          //     && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 2 it's a FormPanel:", panel);
          //     panel.set_status({
          //         record_id: result.record_id,
          //         data_record: result.data_record});
          // } else if (panel.ls_detail_handler
          //            && panel.ls_url == result.actor_url) {
          //     // console.log("20140506 case 4");
          //     panel.ls_detail_handler.run(null, {
          //         record_id: result.record_id,
          //         data_record: result.data_record,
          //         base_params: panel.get_base_params()});
          // } else {
          //     result.refresh_all = true;
          //     console.log("20140604 case 6", result.actor_url);
          // }
        }
    }

    // `eval_js` must get handled after `close_window` because it
    // might ask to open a new window (and we don't want to close that
    // new window).  It must execute *before* any MessageBox,
    // otherwise the box would get hidden by a window that opens
    // afterwards.

    if (result.eval_js) {
        //~ console.log(20120618,result.eval_js);
        eval(result.eval_js);
    }

    if (on_success && result.success) {
        // console.log("20140430 handle_action_result calls on_success",
        //             on_success);
        on_success(result);
    }

    if (result.info_message) {
        console.log(result.info_message);
    }

    if (result.warning_message) {
        if (!result.alert) result.alert = "Warnung";
        Ext.MessageBox.alert(result.alert, result.warning_message);
    }

    if (result.message) {
        //~ if (result.alert && ! gridmode) {
        if (result.alert) { // 20120628b
            //~ Ext.MessageBox.alert('Alert',result.alert_msg);
            if (result.alert === true) result.alert = "Alarm";
            Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
        } else {
            Lino.notify(result.message);
        }
    }

    if(result.record_deleted && panel.ls_detail_handler == detail_handler) {
        panel.after_delete();
        return;  // added 20200717 to fix #3715
    }

    if (result.refresh_all) {
        var cw = Lino.current_window;
        // var cw = panel.get_containing_window();
        if (cw) {
            // console.log("20140917 refresh_all calls refresh on", cw.main_item);
            cw.main_item.refresh();
        } else { Lino.viewport.refresh(); }
        // else console.log("20140917 cannot refresh_all because ",
        //                  "there is no current_window");
    } else {
        if (result.refresh) {
            // console.log("20140917 Gonna call panel.refresh()", panel);
            panel.refresh();
            panel.focus();
        }
    }if (result.open_url) {
        //~ console.log(20111126,result.open_url);
        //~ if (!result.message)
            //~ Lino.notify('Open new window <a href="'+result.open_url+'" target="_blank">'+result.open_url+'</a>');
        window.open(result.open_url,'foo',"");
        //~ document.location = result.open_url;
    }
};

// obsolete but still used for deleting records.
Lino.do_action = function(caller,action) {
  action.success = function(response) {
    if (caller.loadMask) caller.loadMask.hide();
    //~ console.log('Lino.do_action()',action,'action success',response);
    if (action.after_success) {
        //~ console.log('Lino.do_action() calling after_success');
        action.after_success();
    }
    if (response.responseText) {
      var result = Ext.decode(response.responseText);
      //~ console.log('Lino.do_action()',action.name,'result is',result);
      if (result.message) {
          if (result.alert) {
              //~ Ext.MessageBox.alert('Alert',result.alert_msg);
              Ext.MessageBox.alert('Alert',result.message);
          } else {
              Lino.notify(result.message);
          }
      }

      //~ if (result.alert_msg) Ext.MessageBox.alert('Alert',result.alert_msg);
      //~ if (result.message) Lino.notify(result.message);
      if (result.notify_msg) Lino.notify(result.notify_msg);
      if (result.js_code) {
        //~ console.log('Lino.do_action()',action,'gonna call js_code in',result);
        var jsr = result.js_code(caller);
        //~ console.log('Lino.do_action()',action,'returned from js_code in',result);
        if (action.after_js_code) {
          //~ console.log('Lino.do_action()',action,'gonna call after_js_code');
          action.after_js_code(jsr);
          //~ console.log('Lino.do_action()',action,'returned from after_js_code');
        //~ } else {
          //~ console.log('Lino.do_action()',action,' : after_js_code is false');
        }
      };
    }
  };
  Ext.applyIf(action,{
    waitMsg: "Bitte warten...",
    failure: Lino.ajax_error_handler(caller),
    params: {}
  });
  //~ action.params.su = Lino.subst_user;
  Lino.insert_subst_user(action.params);

  Ext.Ajax.request(action);
};

//~ Lino.gup = function( name )
//~ {
  //~ // Thanks to http://www.netlobo.com/url_query_string_javascript.html
  //~ name = name.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
  //~ var regexS = "[\\?&]"+name+"=([^&#]*)";
  //~ var regex = new RegExp( regexS );
  //~ var results = regex.exec( window.location.href );
  //~ if( results == null )
    //~ return "";
  //~ else
    //~ return results[1];
//~ };

//~ Lino.refresh_handler = function (ww) {
  //~ return function() {
      //~ console.log('refresh',ww);
      //~ ww.main_item.doLayout(false,true);
      //~ ww.main_item.syncSize();
  //~ }
//~ };

//~ Lino.tools_close_handler = function (ww) {
  //~ return function() {
      //~ ww.close();
  //~ }
//~ };
Lino.permalink_handler = function (ww) {
  return function() {
    //~ document.location = ww.main_item.get_permalink();
    //~ console.log('20130723 Lino.permalink_handler',ww);

    /* Uncaught TypeError: Cannot read property 'main_item' of null  */
    if (ww) {
        var url = ww.main_item.get_permalink();
    } else {
        var url = Lino.viewport.get_permalink();
    }
    Lino.load_url(url);
  }
};
//~ Lino.run_permalink = function() {
  //~ var plink = Lino.gup('permalink');
  //~ if(plink) { eval('Lino.'+plink); }
//~ }

Lino.close_and_save_handler =  function (ww){
    return function(){
    if (ww) {
        ww.main_item.do_when_clean(true,function() {
        Lino.close_window(); });
        }
    }
};

Lino.ajax_error_handler = function(panel) {
  return function(response,options) {
    console.log('Ajax failure:', response, options);
    if (panel.loadMask) panel.loadMask.hide();
    if (response.responseText) {
      var lines = response.responseText.split('\n');
      if (lines.length > 10) {
          line = lines.splice(5, lines.length-10, "(...)");
      }
      //~ console.log(20131005, response.statusText.toCamel());
      Ext.MessageBox.alert(
        response.statusText.toCamel(),
        lines.join('<br/>')
        //~ response.responseText.replace(/\n/g,'<br/>'))
      )
    } else {
      Ext.MessageBox.alert('Action failed',
        'Lino server did not respond to Ajax request');
    }
  }
}
// Ext.Ajax.on('requestexception',Lino.ajax_error_handler)



Ext.QuickTips.init();

/* setting QuickTips dismissDelay to 0 */
// Apply a set of config properties to the singleton
//~ Ext.apply(Ext.QuickTips.getQuickTip(), {
//~ Ext.apply(Ext.ToolTip, {
    //~ dismissDelay: 0
    //~ autoHide: false,
    //~ closable: true,
    //~ maxWidth: 200,
    //~ minWidth: 100,
    //~ showDelay: 50      // Show 50ms after entering target
    //~ ,trackMouse: true
//~ });


// Ext.apply(Ext.QuickTips.getQuickTip(), {
//     dismissDelay: 500,
//     showDelay: 20      // Show 10ms after entering target
// });

Lino.quicktip_renderer = function(title, body) {
  return function(c) {
    //~ if (c instanceof Ext.Panel) var t = c.bwrap; else // 20130129
      if (c instanceof Ext.Panel) {
          var t = c.header;
      } else if (c instanceof Ext.Button) {
          var t = c.btnEl;
      } else  {
          var t = c.getEl();
      }
    // console.log(20171024, c, t, body);
    //~ t.dismissDelay = 0;
    Ext.QuickTips.register({
      target: t,
      //~ cls: 'lino-quicktip-classical',
      dismissDelay: 10000,
      //~ autoHide: false,
      showDelay: 30,      // Show X ms after entering target
      //~ title: title,
      text: body
    });
  }
};



Lino.help_text_editor = function() {
  //~ var bp = {
      //~ mk:this.content_type,
      //~ mt:1
    //~ };
    //~ console.log(20120202,bp);
  //~ Lino.lino.ContentTypes.detail({},{base_params:bp});
  //~ Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
  Lino.lino.ContentTypes.detail.run(null,{record_id:this.content_type});
}

// Path to the blank image should point to a valid location on your server
//~ Ext.BLANK_IMAGE_URL = MEDIA_URL + '/extjs/resources/images/default/s.gif';


// used as Ext.grid.Column.renderer for id columns in order to hide the special id value -99999
Lino.id_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ if (record.phantom) return '';
  return value;
}

Lino.raw_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  return value;
}

Lino.text_renderer = function(value, metaData, record, rowIndex, colIndex, store) {
  //~ return "not implemented";
  return value;
}

Lino.NullNumberColumn = Ext.extend(Ext.grid.Column, {
    align : 'right',
    format : '0,000.00/i',
    renderer : function(value, metaData, record, rowIndex, colIndex, store) {
        // if( colIndex == 3)
        //     console.log(20130128,"NullNumberColumn.renderer",value);
        if (value === null) return '';
        return Ext.util.Format.number(value, this.format);
    }
});


Lino.link_button = function(url) {
    // return '<a href="' + url + '"><img src="/media/lino/extjs/images/xsite/link.png" alt="link_button"></a>'
    return '<a href="' + url + '" style="text-decoration:none;">&#10138;</a>'
}

Lino.fk_renderer = function(fkname,handlername) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    //~ if (record.phantom) return '';
    if (value) {
        return Lino.link_button('javascript:'+handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})")') + value;
        // until 20140822 (clickable foreign keys):
        // var s = '<a href="javascript:' ;
        // s += handlername + '.run(null,{record_id:\'' + String(record.data[fkname]) + '\'})">';
        // s += value + '</a>';
        // return s
    }
    return '';
  }
};

Lino.lfk_renderer = function(panel,fkname) {
  //~ console.log('Lino.fk_renderer handler=',handler);
  var handlername = 'console.log';
  return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ console.log('Lino.fk_renderer',fkname,rowIndex,colIndex,record,metaData,store);
    if (record.phantom) return '';
    if (value) {
        var s = '<a href="javascript:' ;
        s += handlername + '({},{record_id:\'' + String(record.data[fkname]) + '\'})">';
        s += value + '</a>';
        //~ console.log('Lino.fk_renderer',value,'-->',s);
        return s
    }
    return '';
  }
};

//~ Lino.gfk_renderer = function() {
  //~ return function(value, metaData, record, rowIndex, colIndex, store) {
    //~ if (record.phantom) return '';
    //~ console.log('Lino.gfk_renderer',value,colIndex,record,metaData,store);
    //~ return value;
  //~ }
//~ };


Lino.build_buttons = function(panel,actions) {
  //~ console.log("20121006 Lino.build_buttons",actions);
  if (actions) {
    var buttons = Array(actions.length);
    var cmenu = Array(actions.length);
    var keyhandlers = [];
    for (var i=0; i < actions.length; i++) {
      var a = actions[i];
      if (a.menu) a.menu = Lino.build_buttons(panel,a.menu).bbar;
      buttons[i] = a;
      cmenu[i] = {
            text : a.menu_item_text,
            iconCls : a.iconCls,
            menu : a.menu,
            itemId : a.itemId
          };
      if (a.panel_btn_handler) {
          var h = a.panel_btn_handler.createCallback(panel);
          if (a.auto_save == true) {
              h = panel.do_when_clean.createDelegate(panel,[true,h]);
          } else if (a.auto_save == null) {
              h = panel.do_when_clean.createDelegate(panel,[false,h]);
          } else if (a.auto_save == false) {
              // h = h;
          } else {
              console.log("20120703 unhandled auto_save value",a)
          }
          buttons[i].handler = h;
          cmenu[i].handler = h;
          if (a.keycode) {
                keyhandlers.push({
                key : a.keycode,
                fn : h});
//              keyhandlers[a.keycode] = h;
          }
          //~ if (buttons[i].xtype == 'splitbutton') {
              //~ cmenu[i].menu = a.menu;
          //~ } else {
              //~ cmenu[i].handler = h;
          //~ }
      } else {
          console.log("action without panel_btn_handler",a)
          // cmenu[i].handler = a.handler;
      }
    }
//    if (keyhandlers.length > 0){
//        var keys = new Ext.KeyMap(panel,keyhandlers);
//    }
    return {
        bbar:buttons,
        cmenu:new Ext.menu.Menu(cmenu),
        keyhandlers: keyhandlers
    };
  }
}

Lino.do_when_visible = function(cmp,todo) {
  //~ if (cmp.el && cmp.el.dom)
  if (cmp.isVisible()) {
    // 'visible' means 'rendered and not hidden'
    //~ console.log(cmp.title,'-> cmp is visible now');
    todo();
  //~ } else {
      //~ cmp.on('resize',todo,cmp,{single:true});
  //~ }
  //~ if (false) { // 20120213
  } else {
    //~ console.log('Lino.do_when_visible() must defer because not isVisible()',todo,cmp);
    if (cmp.rendered) {
      //~ console.log(cmp,'-> cmp is rendered but not visible: and now?');
      //~ console.log(cmp.title,'-> cmp is rendered but not visible: try again in a moment...');
      //~ var fn = function() {Lino.do_when_visible(cmp,todo)};
      //~ fn.defer(100);

      Lino.do_when_visible.defer(50,this,[cmp,todo]);
      //~ Lino.do_when_visible.defer(100,this,[cmp,todo]);

    } else {
      //~ console.log(cmp.title,'-> after render');
      cmp.on('afterrender',todo,cmp,{single:true});
    }
  }

};

/*
*/
Lino.do_on_current_record = function(panel, fn, phantom_fn) {
  // console.log('20140930 do_on_current_record', arguments);
  var rec = panel.get_current_record();
  if (rec == undefined) {
    Lino.notify("There's no selected record.");
    return;
  }
  // 20120307 A VirtualTable with a Detail (lino.Models) has only "phantom" records.
  if (rec.phantom) {
    //~ if (!panel.editable) { console.log("20120312 not editable:",panel)}
    if (phantom_fn) {
      phantom_fn(panel);
    } else {
      Lino.notify("Aktion nicht verfügbar auf dem Phantom-Record.");
    }
    return;
  }
  return fn(rec);
};


Lino.call_ajax_action = function(
    panel, method, url, p, actionName, step, on_confirm, on_success) {
  p.an = actionName;
  if (!panel || !panel.isVisible()) {
  //~ if (true) { // 20131026 : workflow_actions of a newly created record detail executed but did't refresh the screen because their requesting panel was the insert (not the detail) formpanel.
      if (Lino.current_window)
          panel = Lino.current_window.main_item;
      else panel = Lino.viewport;
  }
  // console.log("20150130 a", p.pv);
  // Ext.apply(p, panel.get_base_params());
  // console.log("20150130 b", p.pv);

  if (panel.get_selected && p.sr === undefined) {
      var selected_recs = panel.get_selected();
      //~ console.log("20130831",selected_recs);
      var rs = Array(selected_recs.length);
      for(var i=0; i < selected_recs.length;i++) {
          rs[i] = selected_recs[i].data[panel.ls_id_property];
      };
      p.sr = rs;
  }

  // console.log("20170731 Lino.call_ajax_action", Ext.Ajax, p, actionName, step);

  if (panel.loadMask) panel.loadMask.show();
  Lino.insert_linoweb_version(p)
  // Ext.Ajax.params = {};
  Ext.Ajax.request({
    method: method
    ,url: url
    ,params: p
    ,success: Lino.action_handler(panel, on_success, on_confirm)
    ,failure: Lino.ajax_error_handler(panel)
  });
};




Lino.row_action_handler = function(actionName, hm, pp,rqData,xcallback ) {
  var fn = function(panel, btn, step) {
      var p = {};
      // console.log('20150514 row_action_handler');
      if (pp) { p = pp(panel); if (! p) return; }
      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (!panel || panel.get_current_record == undefined) { // AFTER_20130725
        // console.log('20140930 row_action_handler 2', panel);
        panel = Ext.getCmp(panel);
        if (panel == undefined) {
          console.log("20160410 Invalid panel spec.", actionName, hm, pp);
          Lino.notify("Invalid panel spec.");
          return;
        }
      }

      Lino.do_on_current_record(panel, function(rec) {
          //~ console.log(panel);
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
          Lino.call_ajax_action(
              panel, hm, panel.get_record_url(rec.id),
              p, actionName, step, fn);
      });
  };
  return fn;
};

Lino.list_action_handler = function(ls_url,actionName,hm,pp, rqData, xcallback) {
  var url = '/api' + ls_url
  var fn = function(panel,btn,step) {
      var p = {};
      //~ console.log("20121210 Lino.list_action_handler",arguments);
      if (pp) { p = pp(panel);  if (! p) return; }

      if (rqData) {
          Ext.apply(p, rqData);
      }
      if (xcallback){
          p["xcallback__"+xcallback.xcallback_id] =xcallback.choice;
      }

      if (panel) { // may be undefined when called e.g. from quicklink
          panel.add_param_values(p, true);
          Ext.apply(p, panel.get_base_params());
      }
      // Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn);
      var runFn = function () { Lino.call_ajax_action(panel, hm,url, p, actionName, step, fn); };
      setTimeout(runFn, p.timeout ? p.timeout : 0);

  };
  return fn;
};

Lino.param_action_handler = function(window_action) { // 20121012
  var fn = function(panel,btn,step) {
    Lino.do_on_current_record(panel,function(rec) {
      window_action.run(panel.getId(),{});
    });
  };
  return fn;
};



Lino.run_row_action = function(
    requesting_panel, is_on_main_actor, url, meth, pk,
    actionName, params, preprocessor) {
  //~ var panel = action.get_window().main_item;
  // console.log("20140930 Lino.run_row_action", params);
  url = '/api' + url;
  if (Array.isArray(pk) && pk.length) { url += '/' + pk[0]}
  else if (!Array.isArray(pk)) {url += '/' + pk}
  var panel = Ext.getCmp(requesting_panel);
  // var params = {}
  // if (init_params) Ext.apply(params, init_params);
  if (!params) params = {};
  if (preprocessor) {
      var p = preprocessor();
      Ext.apply(params, p);
  }
  if (panel && is_on_main_actor) {
      Ext.apply(params, panel.get_base_params())
  }else {
     params.sr = pk
  }
  Lino.insert_subst_user(params);

  if (params.rqdata) {
      Ext.apply(params, params.rqdata);
      delete(params.rqdata)
  }
  if (params.xcallback){
      params["xcallback__"+params.xcallback.xcallback_id] =params.xcallback.choice;
      delete(params.xcallback)
  }

  var fn = function(panel, btn, step) {
    Lino.call_ajax_action(panel, meth, url, params, actionName, step, fn);
  }
  // fn(panel, null, null);

  var runFn = function () { fn(panel, null, null); };
  setTimeout(runFn, params.timeout ? params.timeout : 0);


}


Lino.show_detail = function(panel, btn) {
  Lino.do_on_current_record(panel,
    function(rec) {
      //~ panel.loadMask.show();
      Lino.run_detail_handler(panel, rec.id);
    },
    Lino.show_insert
  );
};

Lino.run_detail_handler = function(panel,pk) {
  var bp = panel.get_base_params();
  panel.add_param_values(bp); // 20120918
  var status = {
    record_id:pk,
    base_params:bp
  }
  //~ console.log("20120918 Lino.show_detail",status);
  panel.ls_detail_handler.run(null,status);
}

Lino.show_fk_detail = function(combo,detail_action,insert_action) {
    //~ console.log("Lino.show_fk_detail",combo,handler);
    pk = combo.getValue();
    if (pk) {
        detail_action.run(null,{record_id: pk})
      } else {
        insert_action.run(null);
        //~ Lino.notify("Cannot show detail for empty foreign key.");
      }
};

Lino.show_insert = function(panel,btn) {
  var bp = panel.get_base_params();
  //~ console.log('20120125 Lino.show_insert',bp)
  //~ panel.ls_insert_handler.run(null,{record_id:-99999,base_params:bp});
  panel.ls_insert_handler.run(panel.getId(),{base_params:bp});
};



if (Ext.ux.grid !== undefined) {
    Lino.GridFilters = Ext.extend(Ext.ux.grid.GridFilters,{
      encode:true,
      local:false
    });
} else {
    Lino.GridFilters = function() {}; // dummy
    Ext.override(Lino.GridFilters,{
      init : function() {}
    });
};



Lino.FieldBoxMixin = {
  before_init : function(config,params) {
    if (params) Ext.apply(config,params);
    var actions = Lino.build_buttons(this, config.ls_bbar_actions);
    if (actions) config.bbar = actions.bbar;
  },
  //~ constructor : function(ww,config,params){
    //~ this.containing_window = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  do_when_clean : function(auto_save,todo) { todo() },
  //~ format_data : function(html) { return '<div class="htmlText">' + html + '</div>' },
  format_data : function(html) { return html },
  get_base_params : function() {
    // needed for insert action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  },
  set_base_params : function(p) {
    this.base_params = Ext.apply({},p);
    //~ if (p.param_values) this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  },
  set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
};

Ext.override(Ext.form.HtmlEditor, {
    fixKeys : function(){
        if(Ext.isIE){
            return function(e){
                var k = e.getKey(),
                    doc = this.getDoc(),
                        r;
                if(k == e.TAB){
                    e.stopEvent();
                    r = doc.selection.createRange();
                    if(r){
                        r.collapse(true);
                        r.pasteHTML('&nbsp;&nbsp;&nbsp;&nbsp;');
                        this.deferFocus();
                    }
                }else if(k == e.ENTER){
                    r = doc.selection.createRange();
                    if(r){
                        var target = r.parentElement();
                        if(!target || target.tagName.toLowerCase() != 'li'){
                            e.stopEvent();
                            r.pasteHTML('<br />');
                            r.collapse(false);
                            r.select();
                        }
                    }
                }
            };
        }else if(Ext.isOpera){
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.win.focus();
                    this.execCmd('InsertHTML','&nbsp;&nbsp;&nbsp;&nbsp;');
                    this.deferFocus();
                }
            };
        }else if(Ext.isWebKit){
            // HKC : this is probably our most used case.
            return function(e){
                var k = e.getKey();
                if(k == e.TAB){
                    e.stopEvent();
                    this.execCmd('InsertText','\t');
                    this.deferFocus();
                }else if(k == e.ENTER){
                    e.stopEvent();
                    this.execCmd('InsertHtml','<br /><br />');
                    this.deferFocus();
                }
             //   HKC
               else if (k == e.S && e.ctrlKey){
                    e.stopEvent();
                    e.preventDefault();
                    //this.getWin.fireEvent('keyup');
                    // this.fireKey(e);
                    console.log('HTMLEditor is saving...');
                }
             };
        }
    }(),
    // bubbleEvents : ['keypress']
    // initComponent : function() {
    //     Ext.form.HtmlEditor.superclass.initComponent.call(this);
    //     this.addEvents('submit');
    // },
    // submit : function (event) {
    //     console.log("rrrrr");
    // },
    // initEditor : function() {
    //     Ext.form.HtmlEditor.superclass.initEditor.call(this);
    //     if (Ext.isGecko) {
    //         Ext.EventManager.on(this, 'keypress', this.fireSubmit, this);
    //     }
    //     if (Ext.isIE || Ext.isWebKit || Ext.isOpera) {
    //         Ext.EventManager.on(this, 'keydown', this.fireSubmit,
    //             this);
    //     }
    // },
    fireSubmit : function(e) {
        console.log("fireSubmit ...");
    }
});

Lino.HtmlBoxPanel = Ext.extend(Ext.Panel, Lino.PanelMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, Lino.FieldBoxMixin);
Lino.HtmlBoxPanel = Ext.extend(Lino.HtmlBoxPanel, {
  disabled_in_insert_window : true,
  constructor : function(config,params) {
    this.before_init(config,params);
    Lino.HtmlBoxPanel.superclass.constructor.call(this, config);
  },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.constructor.call(this, ww,config,params);
  //~ },
  //~ constructor : function(ww,config,params){
    //~ this.ww = ww;
    //~ if (params) Ext.apply(config,params);
    //~ var actions = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ if (actions) config.bbar = actions.bbar;
    //~ Lino.FieldBoxMixin.superclass.constructor.call(this, config);
  //~ },
  //~ disable : function() { var tb = this.getBottomToolbar(); if(tb) tb.disable()},
  //~ enable : function() { var tb = this.getBottomToolbar(); if(tb) tb.enable()},
  onRender : function(ct, position){
    Lino.HtmlBoxPanel.superclass.onRender.call(this, ct, position);
    Ext.getDoc().addKeyListener(Ext.EventObject.ESC, function(k,e) {
      // this.get_containing_window().close();
      this.get_containing_window().main_item.do_when_clean(false,function() {
        if (Lino.current_window ) {
          Lino.close_window();
        }
      });
    },this);
    //~ console.log(20111125,this.containing_window);
    if (this.containing_panel) {
      this.containing_panel.on('enable',this.enable,this);
      this.containing_panel.on('disable',this.disable,this);
    }
    this.el.on({
      dragenter:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        return true;
      }
      ,dragover:function(event){
        event.browserEvent.dataTransfer.dropEffect = 'move';
        event.stopEvent();
        return true;
      }
      ,drop:{
        scope:this
        ,fn:function(event){
          event.stopEvent();
          //~ console.log(20110516);
          var files = event.browserEvent.dataTransfer.files;
          if(files === undefined){
            return true;
          }
          var len = files.length;
          while(--len >= 0){
            console.log(files[len]);
            //~ this.processDragAndDropFileUpload(files[len]);
          }
          Lino.show_insert(this);
        }
      }
    });
  },
  refresh : function(unused) {
      // this.containing_panel.refresh();
      this.refresh_with_after();
  },
  /* HtmlBoxPanel */
  refresh_with_after : function(after) {
      // var todo = this.containing_panel.refresh();
      var box = this.items.get(0);
      var todo = function() {
        if (this.disabled) { return; }
        this.set_base_params(this.containing_panel.get_master_params());

        var el = box.getEl();
        if (el) {
            var record = this.containing_panel.get_current_record();
            var newcontent = record ?
                this.format_data(record.data[this.name]) : '';
            // console.log('20140917 HtmlBox.refresh()',
            //             this.name, record.data.LinksByHuman);
            el.update(newcontent, true);
        // } else {
        //     console.log('20140502 cannot HtmlBox.refresh()',this.name);
        }
      };

      Lino.do_when_visible(box, todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.HtmlBoxPanel,Lino.FieldBoxMixin);


Lino.ActionFormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.PanelMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, Lino.FieldBoxMixin);
Lino.ActionFormPanel = Ext.extend(Lino.ActionFormPanel, {
  //~ layout:'fit'
  //~ ,autoHeight: true
  //~ ,frame: true
  window_title : "Action Parameters",
  cls : "l-ActionFormPanel",
  constructor : function(config){
    config.buttons = [
        {text: 'OK', handler: this.on_ok, scope: this, cls:"l-ok"},
        {text: 'Cancel', handler: this.on_cancel, scope: this, cls:"l-cancel"}
    ];
    Lino.ActionFormPanel.superclass.constructor.call(this, config);
  }
  ,initComponent : function(){
      this.on('render',function(){
          this.loadMask = new Ext.LoadMask(
              this.bwrap,{msg:"Bitte warten..."});
      },this);
      Lino.ActionFormPanel.superclass.initComponent.call(this);
  }
  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
    var panel = this.requesting_panel;
    // var panel = this.get_containing_window().main_item;
    // console.log("20131004 on_ok",this,panel,arguments);
    var actionName = this.action_name;
    var pk = this.record_id || this.default_record_id;
    if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
    if (pk == undefined && panel) {
        pk = panel.get_current_record().id;
    }
    if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
    }
    var self = this;
    // self.loadMask.show();  // 20180727
    // function on_success() { self.get_containing_window().close(); };
    // see 20131004 and 20140430
    var url = '/api';

    // 20150119 : The OK button on AgentsByClient.create_visit went to
    // /api/pcsw/Clients/ instead of /api/pcsw/Coachings/
    // if (panel)
    //     url += panel.ls_url;
    // else
    //     url += this.ls_url;

    if (this.ls_url)
        url += this.ls_url;
    else
        url += panel.ls_url;
    url += '/' + pk;
    // wrap into function to prepare possible recursive call
    var fn = function(panel, btn, step) {
      var p = {};
      self.add_field_values(p);
      if (self.xcallback && self.rqdata ) {
          Ext.apply(p, self.rqdata);
          Ext.apply(p, self.xcallback);
      }
      if (panel) Ext.apply(p, panel.get_base_params());
      delete p.pv;
      // console.log("20150130", p.pv);
      Lino.call_ajax_action(
          self, self.http_method || "GET", url, p, actionName, step, fn); //  , on_success);
        // panel, 'GET', url, p, actionName, step, fn); //  , on_success);
        // 20180802 : passing self instead of panel fixes #2474
    }
    fn(panel, null, null);


  }
  /* ActionFormPanel*/
  ,set_status : function(status, rp){
    if (rp) this.requesting_panel = Ext.getCmp(rp);
    //~ console.log('20120918 ActionFormPanel.set_status()',status,rp,this.requesting_panel);
    this.clear_base_params();
    this.set_field_values();
    this.set_base_params({});
    this.record_id = undefined;
    // this.loadMask.hide();  // 20180727
    if (status == undefined) status = {};
    //~ if (status.param_values)
    // 20180725 : do not set field values and record id if status
    // doesn't have them.
    if (status.field_values) this.set_field_values(status.field_values);
    if (status.base_params) this.set_base_params(status.base_params);
    if (status.record_id) this.record_id = status.record_id;
    if (status.xcallback && status.rqdata) {
      this.xcallback = {["xcallback__"+status.xcallback.xcallback_id] : status.xcallback.choice};
      this.rqdata = status.rqdata;
      this.on_ok()
    } else {
        delete this.xcallback // insure no callback data if not in status
        delete this.rqdata
    }
  }

  ,before_row_edit : function(record) {}
  ,add_field_values : function (p) { // similar to add_param_values()
      /* LS 20160517 : Until now Lino tested whether the form is
       dirty, and if not, submitted only the values which had been set
       by set_status. But now status_field_values can be empty because
       Action.keep_user_values is True. In that case we must submit
       the current values even if the form is not dirty.  I don't
       remember why we had this feature of not submitting unmodified
       field values, so I remove this feature for now. */
      p.fv = this.get_field_values();
      // if (this.form.isDirty()) {
      //   p.fv = this.get_field_values();
      // }else{
      //   // console.log("20160517 add_param_values not dirty, status_field_values",
      //   //             this.status_field_values);
      //   if (this.status_field_values)
      //     p.fv = Lino.fields2array(
      //         this.fields, this.status_field_values);
      // }
      //~ console.log("20120203 add_param_values added pv",pv,"to",p);
  }
  ,get_field_values : function() {
      return Lino.fields2array(this.fields);
  }
  ,set_field_values : function(pv) {
      // console.log('20160516 MainPanel.set_param_values', pv);
      // if Action.keep_user_values, we receive an empty dict ({})
      this.status_field_values = pv;
      if (pv) {
          this.form.my_loadRecord(pv);
          var record = { data: pv };
          this.before_row_edit(record);
      } else {
          this.form.reset();
          this.before_row_edit();
      }
  }
  ,config_containing_window : function(wincfg) {
      wincfg.title = this.window_title;
      wincfg.keys = [
        { key: Ext.EventObject.ENTER, fn: this.on_ok, scope: this }
        ,{ key: 's', ctrl: true, fn: this.on_ok, scope: this, stopEvent: true  }
      ];

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              return false;
          }
      });

  }
});


Lino.fields2array = function(fields, values) {
    // console.log('20160517 fields2array gonna loop on', fields, values);
    var pv = Array(fields.length);
    for(var i=0; i < fields.length;i++) {
        var f = fields[i]
        if (values)
          var v = values[f.name];
        else
          var v = f.getValue();
        if (f.formatDate) {
            pv[i] = f.formatDate(v);
        } else {
            pv[i] = v; // f.getValue();
        }
    }
    // console.log('20160517 fields2array returns', pv);
    return pv;
}


Lino.FormPanel = Ext.extend(Ext.form.FormPanel,Lino.MainPanel);
Lino.FormPanel = Ext.extend(Lino.FormPanel,Lino.PanelMixin);
Lino.FormPanel = Ext.extend(Lino.FormPanel,{
  params_panel_hidden : false,
  save_action_name : null,
  //~ base_params : {},
  //~ trackResetOnLoad : true,
  //~ query_params : {},
  //~ 20110119b quick_search_text : '',
  constructor : function(config,params){
    if (params) Ext.apply(config,params);
    this.base_params = {};
    //~ ww.config.base_params.query = ''; // 20111018
    //~ console.log(config);
    //~ console.log('FormPanel.constructor() 1',config)
    //~ Ext.applyIf(config,{base_params:{}});
    //~ console.log('FormPanel.constructor() 2',config)

    config.trackResetOnLoad = true;

    Lino.FormPanel.superclass.constructor.call(this, config);

    //~ this.set_base_param('$URL_PARAM_FILTER',null); // 20111018
    //~ this.set_base_param('$URL_PARAM_FILTER',''); // 20111018

  },
  initComponent : function(){

    this.containing_panel = this;

    //~ console.log("20111201 containing_window",this.containing_window,this);
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    if (actions) {
        this.bbar = actions.bbar;
        // console.log("20160829 tooltip", actions.bbar);
    //~ } else {
        //~ this.bbar = [];
    }
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ var config = this;

    //~ if (this.containing_window instanceof Lino.DetailWrapper) {

    //~ console.log('20120121 initComponent', this.action_name);
    //~ if (this.action_name == 'detail' | this.action_name == 'show') {
    //~ if (this.action_name != 'insert') {
    if (! this.hide_top_toolbar) {
      this.tbar = [];
      // 20111015
      if (! this.hide_navigator) {
        this.record_selector = new Lino.RemoteComboFieldElement({
          store: new Lino.ComplexRemoteComboStore({
            //~ baseParams: this.containing_window.config.base_params,
            baseParams: this.get_base_params(),
            //~ value: this.containing_window.config.base_params.query,
            proxy: new Ext.data.HttpProxy({
              url: '/choices' + this.ls_url,
              method:'GET'
            })
          }),
          pageSize:25,
          listeners: {
            scope:this,
            select:function(combo,record,index) {
                // console.log('20180719 select', combo);
                this.set_base_param('query',
                                    combo.lastQuery);
              this.goto_record_id(record.id);
            }
          },
          emptyText: "Gehe zu Datensatz"
        })
        this.tbar = this.tbar.concat([this.record_selector]);

        this.tbar = this.tbar.concat([
          this.first = new Ext.Toolbar.Button({
              tooltip:"Erster",disabled:true,
              handler:this.moveFirst,scope:this,iconCls:'x-tbar-page-first'}),
          this.prev = new Ext.Toolbar.Button({
              tooltip:"Voriger",disabled:true,
              handler:this.movePrev,scope:this,iconCls:'x-tbar-page-prev'}),
          this.next = new Ext.Toolbar.Button({
              tooltip:"Nächster",disabled:true,
              handler:this.moveNext,scope:this,iconCls:'x-tbar-page-next'}),
          this.last = new Ext.Toolbar.Button({
              tooltip:"Letzter",disabled:true,
              handler:this.moveLast,scope:this,iconCls:'x-tbar-page-last'})
        ]);
      }
      this.tbar = this.add_params_panel(this.tbar);

      this.tbar = this.tbar.concat([
        {
            handler:function(){ this.do_when_clean(
                false, this.refresh.createDelegate(this)) },
          iconCls: 'x-tbar-loading',
          tooltip:"Datensatz neu laden",
          scope:this}
      ]);

      if (this.bbar) { // since 20121016
        if (this.tbar) {
            this.tbar = this.tbar.concat(['-']) ;
        } else {
          this.tbar = [];
        }
        this.tbar = this.tbar.concat(this.bbar) ;
        this.bbar = undefined;
      }

      this.tbar = this.tbar.concat([
          '->',
          this.displayItem = new Ext.Toolbar.TextItem({})
      ]);

    }
    //~ if (this.content_type && this.action_name != 'insert') {
      //~ this.bbar = this.bbar.concat([
        //~ '->',
        //~ { text: "[$_('Help Text Editor')]",
          //~ handler: Lino.help_text_editor,
          //~ qtip: "$_('Edit help texts for fields on this model.')",
          //~ scope: this}
      //~ ])
    //~ }
    //~ this.before_row_edit = config.before_row_edit.createDelegate(this);

    //~ if (this.master_panel) {
        //~ this.set_base_params(this.master_panel.get_master_params());
    //~ }

    Lino.FormPanel.superclass.initComponent.call(this);

    // this.on('show',
    //         function(){ this.init_focus();},
    //         this);

    this.on('render',function(){
      this.loadMask = new Ext.LoadMask(this.bwrap,{msg:"Bitte warten..."});
    },this);


    if (this.action_name == 'insert') {
      this.cascade(function(cmp){
        if (cmp.disabled_in_insert_window) {
            // console.log('20110613 disabled_in_insert_window', cmp);
            //~ cmp.disable();
            cmp.hide();
        }
      });

    }

  },

  unused_init_focus : function(){
    // set focus to the first field
    console.log("20140205 Lino.FormPanel.init_focus");
    // Lino.FormPanel.superclass.focus.call(this);
    this.getForm().items.each(function(f){
        if(f.isFormField && f.rendered){
            f.focus();
            console.log("20140205 focus", f);
            return false;
        }
    });
  },

  /* FormPanel */
  get_status : function(){
      var st = {
        base_params: this.get_base_params(),
        // data_record : this.get_current_record()
      }
      var rec = this.get_current_record();
      if (rec) st.record_id = rec.id;
      // 20140917 : get_status must not store the whole data_record
      // because that would prevent the form to actually reload
      // when set_status is called after a child window closed.

      var tp = this.items.get(0);
      if (tp instanceof Ext.TabPanel) {
        st.active_tab = tp.getActiveTab();
      }
      st.param_values = this.status_param_values;
      return st;
  },

  /* FormPanel */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log('20140917 FormPanel.set_status()', status);
    this.clear_base_params();
    if (status == undefined) status = {};
    //~ if (status.param_values)
    this.set_param_values(status.param_values);
    if (status.base_params) this.set_base_params(status.base_params);
    var tp = this.items.get(0);
    if (tp instanceof Ext.TabPanel) {
      if (status.active_tab) {
        //~ console.log('20111201 active_tab',this.active_tab,this.items.get(0));
        //~ tp.activeTab = status.active_tab;
        tp.setActiveTab(status.active_tab);
        //~ this.main_item.items.get(0).activate(status.active_tab);
      } else {
        if (! status.data_record) {  // 20141206
            tp.setActiveTab(0);
        }
      }
    }

    if (status.data_record) {
      /* defer because set_window_title() didn't work otherwise */
      // 20140421 removed defer for bughunting to simplify side effects
      // this.set_current_record.createDelegate(
      //     this, [status.data_record]).defer(100);
      this.set_current_record(status.data_record);
      //~ return;
    } else {
        var record_id = status.record_id != undefined ? status.record_id : this.default_record_id;
        if (record_id != undefined) {
          /* possible values include 0 and null, 0 being a valid record id,
          null the equivalent of undefined
          */
          this.load_record_id(record_id);
        } else {
            this.set_current_record(undefined);
        }
    }
    // this.init_focus()
  }
  ,get_base_params : function() {  /* FormPanel */
    // needed for insert_action
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    return p;
  }
  ,set_base_params : function(p) {
    //~ this.base_params = Ext.apply({},this.base_params); // make sure it is an instance variable
    delete p['query'] // 20120725
    Ext.apply(this.base_params,p);
    if (this.record_selector) {
        var store = this.record_selector.getStore();
        for (k in p) store.setBaseParam(k,p[k]);
        delete this.record_selector.lastQuery;
        //~ console.log("20120725 record_selector.setBaseParam",p)
    }
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
    this.base_params[k] = v;
  }
  ,after_delete : function() {
    console.log("20200717", this.current_record.navinfo);
    if (this.current_record.navinfo.next)
      this.moveNext();
    else if (this.current_record.navinfo.prev)
      this.movePrev();
    else
      this.abandon();
  }
  ,moveFirst : function() {this.goto_record_id(
      this.current_record.navinfo.first)}
  ,movePrev : function() {this.goto_record_id(
      this.current_record.navinfo.prev)}
  ,moveNext : function() {this.goto_record_id(
      this.current_record.navinfo.next)}
  ,moveLast : function() {this.goto_record_id(
      this.current_record.navinfo.last)}

  ,refresh : function(unused) {
      this.refresh_with_after();
  }
  /* FormPanel */
  ,refresh_with_after : function(after) {
    // console.log('20140917 Lino.FormPanel.refresh_with_after()',this);
    if (this.current_record) {
        this.load_record_id(this.current_record.id, after);
    } else {
        this.set_current_record(undefined, after);
    }
  }

  ,do_when_clean : function(auto_save, todo) {
    var this_ = this;
    if (this.form.isDirty()) {
        // console.log('20140421 do_when_clean : form is dirty')
        if (auto_save) {
            this_.save(todo);
        } else {
          //~ console.log('20111217 do_when_clean() form is dirty',this.form);
          var config = {cls:"l-confirmation", title:"Bestätigung"};
          config.buttons = Ext.MessageBox.YESNOCANCEL;
          config.msg = "Änderungen in diesem Datensatz speichern?";
          config.fn = function(buttonId,text,opt) {
            //~ console.log('do_when_clean',buttonId)
            if (buttonId == "yes") {
                //~ Lino.submit_detail(this_,undefined,todo);
                //~ this_.containing_window.save(todo);
                this_.save(todo);
            } else if (buttonId == "no") {
              todo();
            }
          }
          Ext.MessageBox.show(config);
        }
    }else{
      // console.log('20140421 do_when_clean : now!')
      todo();
    }
  }

  ,goto_record_id : function(record_id) {
    // console.log('20140917 Lino.FormPanel.goto_record_id()',record_id);
    //~ var this_ = this;
    //~ this.do_when_clean(function() { this_.load_record_id(record_id) }
    this.do_when_clean(
        true, this.load_record_id.createDelegate(this, [record_id]));
  }

  ,load_record_id : function(record_id, after) {
    var this_ = this;
    var p = Ext.apply({}, this.get_base_params());
    if (this.action_name)
        p.an = this.action_name;
    p.rp = this.getId();
    p.fmt = 'json';
    this.add_param_values(p);
    Lino.insert_linoweb_version(p);
    if (this.loadMask) this.loadMask.show();
    Ext.Ajax.request({
      waitMsg: 'Loading record...',
      method: 'GET',
      params: p,
      scope: this,
      url: this.get_record_url(record_id),
      success: function(response) {
        // todo: convert to Lino.action_handler.... but result
        if (this.loadMask) this.loadMask.hide();
        if (response.responseText) {
          var rec = Ext.decode(response.responseText);
          // console.log('20150905 load_record_id success', rec);
          this.set_param_values(rec.param_values);
          this.set_current_record(rec, after);
          if (rec.message) {
            //~ if (rec.alert && ! gridmode) {
            if (rec.alert) { // 20120628b
                //~ Ext.MessageBox.alert('Alert',rec.alert_msg);
                if (rec.alert === true) rec.alert = "Alarm";
                Ext.MessageBox.alert(rec.alert, rec.message, function(){eval(rec.alert_eval_js)});
            } else {
                Lino.notify(rec.message);
            }
          }
        }
      },
      failure: Lino.ajax_error_handler(this)
    });
  }

  ,abandon : function () {
    Ext.MessageBox.alert('Note',
      "Keine weiteren Datensätze zu sehen. Detail-Fenster wird geschlossen.");
    Lino.close_window();
  }

  ,set_current_record : function(record, after) {
    // console.log('20160825 set_current_record', record);
    if (this.record_selector) {
        this.record_selector.clearValue();
        // e.g. InsertWrapper FormPanel doesn't have a record_selector
    }
    this.current_record = record;
    if (record && record.data) {
      this.enable();
      // After this method focus is moved to the panel.
      this.form.my_loadRecord(record.data);
      this.set_window_title(record.title);
      //~ this.getBottomToolbar().enable();
      var da = record.data.disabled_fields;
      if (da) {
          //~ console.log('20120528 disabled_fields =',da,this.getBottomToolbar());
          //~ 20121016 this.getBottomToolbar().items.each(function(item,index,length){
          if(this.hide_top_toolbar) {
              var tb = this.getBottomToolbar();
          } else {
              var tb = this.getTopToolbar();
          }
          if (tb) tb.items.each(function(item,index,length){
              //~ console.log('20120528 ',item.itemId,'-->',da[item.itemId]);
              // if (da[item.itemId]) item.disable(); else item.enable();
              if (da[item.itemId]) item.hide(); else item.show();
          });
      };
      if (this.disable_editing | record.data.disable_editing) {
          //~ console.log("20120202 disable_editing",record.title);
          this.form.items.each(function(cmp){
            if (!cmp.always_enabled) cmp.disable();
          },this);
      } else {
          this.form.items.each(function(cmp){
            //~ console.log("20120202",cmp);
            if (record.data.disabled_fields[cmp.name]) cmp.disable();
            else cmp.enable();
          },this);

          //~ if (record.data.disabled_fields) {
              //~ for (i = 0; i < record.data.disabled_fields.length; i++) {
                  //~ var flds = this.find('name',record.data.disabled_fields[i]);
                  //~ if (flds.length == 1) {
                    //~ flds[0].disable();
                  //~ }
              //~ }
          //~ }
      };
      if (this.first) {
        if (record.navinfo  && ! this.hide_navigator) {
          this.first.setDisabled(record.navinfo.first == null);
          this.prev.setDisabled(record.navinfo.prev == null);
          this.next.setDisabled(record.navinfo.next == null);
          this.last.setDisabled(record.navinfo.last == null);
          this.displayItem.setText(record.navinfo.message);
        } else {
          this.first.setDisabled(true);
          this.prev.setDisabled(true);
          this.next.setDisabled(true);
          this.last.setDisabled(true);
        }
      }
    } else {
      if (this.form.rendered)
        this.form.reset(); /* FileUploadField would fail when resetting a non-rendered form */
      //~ this.disable();
      //~ this.getBottomToolbar().disable();
      this.form.items.each(function(cmp){
        cmp.disable();
      },this);
      this.set_window_title(this.empty_title);
      //~ this.containing_window.window.setTitle(this.empty_title);
      if (!this.hide_navigator) {
        this.first.disable();
        this.prev.disable();
        this.next.disable();
        this.last.disable();
      }
    }
    // console.log('20140917 gonna call before_row_edit', record);
        var current_focus_fields = false;
        for (var i = 0; i < this.form.items.items.length;i++) {
            if (this.form.items.items[i].hasFocus) current_focus_fields = i;
        }
    this.before_row_edit(record);
        if (current_focus_fields != false){
            this.form.items.items[current_focus_fields].focus();
        }
    // console.log('20140917 gonna call after', after);
    this.containing_window.focus(); // ticket: 2509 regain focus on reload
    if (after) after();
  },

  /* FormPanel */
  before_row_edit : function(record) {},
  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.refresh();
  },

//  get_selected : function() { return [ this.current_record ] },
  get_current_record : function() {
    //~ console.log(20100714,this.current_record);
    return this.current_record
  },

  get_permalink_url : function() {
      var rec = this.get_current_record();
      if (rec && ! rec.phantom && rec.id != -99998)
          return '/api'
              + this.ls_url + '/' + rec.id;
      return '/api' + this.ls_url;

  },
  add_param_tab : function(p) {
    var main = this.items.get(0);
    if (main.activeTab) {
      var tab = main.items.indexOf(main.activeTab);
      // console.log('20150130 main.activeTab', tab, main.activeTab);
      if (tab) p.tab = tab;
    // } else {
    //   console.log('20150130 no main.activeTab');
    }
  },
  get_permalink_params : function() {
    var p = {};
    //~ var p = {an:'detail'};
    if (this.action_name)
        p.an = this.action_name;
    this.add_param_tab(p)
    this.add_param_values(p)
    return p;
  }

  ,validate_form : function() {  // not used. see actions.ValidateForm
      // var ov = {};
      // this.form.items.each(function(f){
      //     ov[f.name] = f.originalValue
      // });

      // console.log('20140509 FormPanel.validate_form', ov);
      // var after = function() {
      //     this.form.items.each(function(f){
      //         f.originalValue = ov[f.name];
      //     });
      // }
      // this.save2(null, 'validate', after);
      this.save2(null, 'validate');
  }

  /* Lino.FormPanel */
  ,save : function(after) {
    var action_name = this.save_action_name;
    if (!action_name)
        action_name = this.action_name;
    // console.log('20140503 FormPanel.save', action_name);
    this.save2(after, action_name);
  }

  ,save2 : function(after, action_name) {
    var rec = this.get_current_record();
    var p = {};
    var panel = this;

    if (!rec) {
        Lino.notify("Sorry, no current record.");
        return;
    }
    if (this.has_file_upload) {
        p.csrfmiddlewaretoken = Ext.util.Cookies.get('csrftoken');
        document.domain = document.domain;
        p._document_domain = document.domain;
        this.form.fileUpload = true;
    }
    this.loadMask.show();
    Ext.apply(p, this.get_base_params());
    p.rp = this.getId();
    p.an = action_name;
    this.add_param_tab(p)
    // console.log('20150216 FormPanel.save()', rec, this.form);
    var submit_config = {
        params: p,
        scope: this,
        success: function(form, action) {
          this.loadMask.hide();
          Lino.notify(action.result.message);
          Lino.handle_action_result(this, action.result, after);
        },
        failure: function(form,action) {
          this.loadMask.hide();
          Lino.on_submit_failure(form, action);
        },
        clientValidation: true
    };
    if (rec.phantom) {  // it's a new record
      Ext.apply(submit_config, {
        url: '/api' + this.ls_url,
        method: 'POST'
      });
      // panel.refresh();
      // temporarily disabled. See 20151002
    } else {  // submit on existing row
      Ext.apply(submit_config, {
        url: '/api'
              + this.ls_url + '/' + rec.id,
        method: 'PUT'
      })
    }
    this.form.submit(submit_config);
  }

  ,on_cancel : function() {
    this.get_containing_window().close();
  }
  ,on_ok : function() {
      // console.log("20140424");
      // this.save(null, true, this.save_action_name);
      this.save();
  }
  ,run_action_hotkeys : function(k ,e){
    var result = this.actions_hotkeys.filter(obj => {
      return obj.key.toUpperCase() === String.fromCharCode(k).toUpperCase()
    })
    if (result != undefined){
      if (result.length != undefined){
        result = result[0];
      }
      // this.actions_hotkeys[i].ba
      var pk = this.current_record.id || this.default_record_id;
      if (pk == undefined && this.base_params) { pk = this.base_params.mk; }
//          if (pk == undefined && this.containing_panel) {
//             pk = this.containing_panel.get_current_record().id;
//          }
      if (pk == undefined) {
        // 20170101 VerifyUser action
        pk = '-99998';
        // Lino.alert("Sorry, dialog action without base_params.mk");
        // return;
        }
        eval(result.ba)(this.containing_panel,
                                              this.is_main_window,
                                              pk, {});
                                            }
      e.stopEvent();
      e.stopPropagation();

  }
  ,config_containing_window : function(wincfg) {

      // Note that defaultButton means: which component should receive
      // focus when Window is focussed.  If no defaultButton set,
      // specify the first form field.

      if (!wincfg.defaultButton) this.getForm().items.each(function(f){
          if(f.isFormField){
              wincfg.defaultButton = f;
              // console.log("20140205 defaultButton", f);
              return false;
          }
      });

      wincfg.keys = [];

      wincfg.keys.push({
          key: Ext.EventObject.ESCAPE,
          // this is not called sometimes.
          handler: this.on_cancel, scope:this });
      wincfg.keys.push({
          key: 's', ctrl: true,
             stopEvent: true, handler: this.on_ok, scope:this });
      if (this.actions_hotkeys) {
          for (var i = 0; i < this.actions_hotkeys.length;i++) {
            wincfg.keys.push({
              key: this.actions_hotkeys[i].key,
              ctrl: this.actions_hotkeys[i].ctrl,
              shift : this.actions_hotkeys[i].shift,
              stopEvent: true,
              handler:
                function(k, e){
                  this.run_action_hotkeys(k,e);
                },
              scope:this });
          }
      }
  }

});



Lino.getRowClass = function(record, rowIndex, rowParams, store) {
    //~ console.log(20130816,record);
    //~ return 'x-grid3-row-green';
    //~ return record.data.row_class + ' auto-height';
    return record.data.row_class;
  //~ if (true) {
      //~ return 'x-grid3-row-red';
  //~ }
  //~ if (record.phantom) {
    //~ console.log(20101009,record);
    //~ rowParams.bodyStyle = "color:red;background-color:blue";
    //~ return 'lino-phantom-row';
    //~ }
  //~ console.log('20101009 not a phantom:',record);
  //~ return '';
}

//~ FOO = 0;



Lino.GridStore = Ext.extend(Ext.data.ArrayStore,{
  autoLoad: false
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
    if (!options) options = {};
    if (!options.params) options.params = {};
    options.params.fmt = 'json';
    options.params.rp = this.grid_panel.getId();
    Lino.insert_subst_user(options.params); // since 20121016

    var start = this.grid_panel.start_at_bottom ? -1 : 0;
    if (this.grid_panel.hide_top_toolbar) {
        //~ console.log("20120206 GridStore.load() toolbar is hidden");
        options.params.start = start;
        if (this.grid_panel.preview_limit) {
          options.params.limit = this.grid_panel.preview_limit;
        }
    } else {
        var ps = this.grid_panel.calculatePageSize();
        if (!ps) {
          // console.log("GridStore.load() failed to calculate pagesize");
          return false;
        }
        options.params.limit = ps;

        this.grid_panel.getTopToolbar().pageSize =  ps;
        if (options.params.start == undefined)
            // if (start != -1)
            //     start = this.grid_panel.getTopToolbar().cursor
            options.params.start = start;

        // console.log("20141108 GridStore.load() ", options.params);
    }

    this.grid_panel.add_param_values(options.params);
    //~ Lino.insert_subst_user(options.params);
    //~ console.log("20120814 GridStore.load()",options.params,this.baseParams);
    return Lino.GridStore.superclass.load.call(this, options);
  }
  // ,insert : function(index, records) {
  //   return Ext.data.Store.prototype.insert.call(this, index, records)
    // return Lino.GridStore.superclass.insert.call(this, index, records);
  // }
});

Lino.get_current_grid_config = function(panel) {
    return panel.get_current_grid_config();
}


// Like the default value for GridView.cellTpl but adds a class "lino-auto-height"
Lino.auto_height_cell_template = new Ext.Template(
'<td class="x-grid3-col x-grid3-cell x-grid3-td-{id} {css}" style="{style}" tabIndex="0" {cellAttr}>',
    '<div class="lino-auto-height x-grid3-cell-inner x-grid3-col-{id}" unselectable="on" {attr}>{value}</div>',
'</td>'
);

Lino.GridPanel = Ext.extend(Ext.grid.EditorGridPanel, Lino.MainPanel);
Lino.GridPanel = Ext.extend(Lino.GridPanel, Lino.PanelMixin);
Lino.GridPanel = Ext.extend(Lino.GridPanel, {
  quick_search_text : '',
  start_at_bottom : false,
  is_searching : false,
  disabled_in_insert_window : true,
  clicksToEdit:2,
  enableColLock: false,
  autoHeight: false,
  params_panel_hidden : false,
  preview_limit : undefined,
  // fake_row_content: '<br>',
  row_height: 1,
  //~ loadMask: true,
  //~ viewConfig: {
          //~ getRowClass: Lino.getRowClass,
          //~ emptyText:"$_('No data to display.')"
        //~ },


  loadMask: {msg:"Bitte warten..."},

  constructor : function(config){

    config.plugins = [new Lino.GridFilters()];


    Lino.GridPanel.superclass.constructor.call(this,config);

    //~ if (this.containing_window) {
        //~ console.log("20111206 install refresh");
        //~ this.containing_window.on('show',this.refresh,this);
    //~ }

  },

  // private
  initEvents : function(){
    Ext.grid.GridPanel.superclass.initEvents.call(this);

    // modifed from Ext.grid.GridPanel
    // Override the function to replace the element to be covered by the mask to the body.
    if(this.loadMask){
        this.loadMask = new Ext.LoadMask(this.body,
                Ext.apply({store:this.store}, this.loadMask));
    }

    // unmodified from Ext.grid.EditorGridPanel
    this.getGridEl().on('mousewheel', this.stopEditing.createDelegate(this, [true]), this);
    this.on('columnresize', this.stopEditing, this, [true]);

    if(this.clicksToEdit == 1){
        this.on("cellclick", this.onCellDblClick, this);
    }else {
        var view = this.getView();
        if(this.clicksToEdit == 'auto' && view.mainBody){
            view.mainBody.on('mousedown', this.onAutoEditClick, this);
        }
        this.on('celldblclick', this.onCellDblClick, this);
    }
},

  init_containing_window : function(win) {
    //~ console.log("20111206 install refresh");
    //~ win.on('show',this.refresh,this);
  }

  ,handle_key_event : function(e) {
    // console.log("20140514 handle_key_event", e, this.keyhandlers);
    if (this.keyhandlers){
        var h = this.keyhandlers[e.keyCode];
        }
    else if (this.keys !== undefined){
        var h = this.keys[e.keyCode];
        }
    if (h) {
        h(this);
        e.stopEvent();
    }
  }

  ,initComponent : function(){

    /*
    Problem 20111206:
    When a GridPanel is the main item of the window, then it doesn't
    have it's own header but uses the window's header bar.
    We must do this in initComponent because e.g. in beforerender
    it's already to late: a header element has been created because
    there was a title.
    But Lino.Window adds itself as `this.containing_window`
    only after the GridPanel has been initialized.
    Workaround is to generate a line "params.containing_window = true;"
    in the handler function.
    */
    if (this.is_main_window) {
        //~ console.log(20111206, 'delete title',this.title,'from',this);
        this.tools = undefined;
        this.title = undefined;  /* simply deleting it
          isn't enough because that would only
          unhide the title defined in some base class. */
    }
    //~ else console.log(20111206, 'dont delete title',this.title,'from',this);

    /* e.g. when slave gridwindow called from a permalink */
    //~ if (this.base_params) Ext.apply(bp,this.base_params);

    var proxy = new Ext.data.HttpProxy({
      // 20120814
      url: '/api' + this.ls_url
      ,method: "GET"
      //~ ,url: ADMIN_URL + '/restful' + this.ls_url
      //~ ,restful: true
      ,listeners: {load: function (proxy, req, optps) {
            var result = req.reader.arrayData;
            // Used for lino version validation
            if (result.message) { //
                if (result.alert) { // 20120628b
                    if (result.alert === true) result.alert = "Alarm";
                    Ext.MessageBox.alert(result.alert, result.message, function(){eval(result.alert_eval_js)});
                } else {
                    Lino.notify(result.message);
                }
            }
            } }
      //~ ,listeners: {write:on_proxy_write}
    });
    //~ config.store = new Ext.data.JsonStore({
    //~ this.store = new Ext.data.ArrayStore({
    this.store = new Lino.GridStore({
      grid_panel: this
      ,listeners: { exception: Lino.on_store_exception }
      ,remoteSort: true
      ,totalProperty: "count"
      ,root: "rows"
      //~ ,id: "id"
      ,proxy: proxy
      //~ autoLoad: this.containing_window ? true : false
      ,idIndex: this.pk_index
      //~ ,baseParams: bp
      ,fields: this.ls_store_fields
      ,idProperty: this.ls_id_property
      // 20120814
      //~ ,writer : new Ext.data.JsonWriter({
        //~ writeAllFields: false
        //~ ,listful: true
      //~ })
      //~ ,restful : true
    });

    //~ console.log('config.pk_index',config.pk_index,config.store),
    delete this.ls_store_fields;

    var this_ = this;
    //~ var grid = this;
    this.store.on('load', function() {
        //~ console.log('20120814 GridStore.on(load)',this_.store);
        this_.set_param_values(this_.store.reader.arrayData.param_values);
        //~ this_.set_status(this_.store.reader.arrayData.status);
        //~ 20120918
        this.getView().getRowClass = Lino.getRowClass;

        if (this_.store.reader.arrayData.no_data_text) {
            //~ this.viewConfig.emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().emptyText = this_.store.reader.arrayData.no_data_text;
            this.getView().refresh();
        }
        if (this_.containing_window)
            this_.set_window_title(this_.store.reader.arrayData.title);
            //~ this_.containing_window.setTitle(this_.store.reader.arrayData.title);
        // 20190704 add open_in_own_window button after title of slave panel
        // else if (! (this_ instanceof Ext.TabPanel)) this_.setTitle(this_.store.reader.arrayData.title);

        if (!this.is_searching) { // disabled 20121025: quick_search_field may not lose focus
          this.is_searching = false;
          if (this_.selModel.getSelectedCell){
              if (this_.getStore().getCount()) // there may be no data
                  this_.selModel.select(0,0);
          } else {
              this_.selModel.selectFirstRow();
              this_.getView().focusEl.focus();
          }
        }
        //~ else console.log("is_searching -> no focussing");
        //~ var t = this.getTopToolbar();
        //~ var activePage = Math.ceil((t.cursor + t.pageSize) / t.pageSize);
        //~ this.quick_search_field.focus(); // 20121024
      }, this
    );
    var actions = Lino.build_buttons(this, this.ls_bbar_actions);
    //~ Ext.apply(config,Lino.build_buttons(this,config.ls_bbar_actions));
    //~ config.bbar, this.cmenu = Lino.build_buttons(this,config.ls_bbar_actions);
    //~ this.cmenu = new Ext.menu.Menu({items: config.bbar});
    delete this.ls_bbar_actions
    if (actions) {
        this.cmenu = actions.cmenu;
//        this.keyhandlers = actions.keyhandlers;
        this.keys = new Ext.KeyMap(this.elements,actions.keyhandlers);
    }

    if (!this.hide_top_toolbar) {
      var tbar = [
        this.quick_search_field = new Ext.form.TextField({
            //~ fieldLabel: "Search"
          emptyText: "Schnellsuche",
          listeners: {
            scope:this_
            //~ ,change:this_.search_change
            
            ,render: Lino.quicktip_renderer("Schnellsuche","Hier Text eingeben für Schnellsuche.")
            
            //~ ,keypress: this.search_keypress
            ,blur: function() { this.is_searching = false}
            ,afterrender: function(field) {
                if (this.focus_on_quick_search){
                    field.focus(false, 1000);
                    }
              }
          }
          ,validator:function(value) { return this_.search_validate(value) }
          //~ ,tooltip: "Enter a quick search text, then press TAB"
          //~ value: text
          //~ scope:this,
          //~ ,enableKeyEvents: true
          //~ listeners: { keypress: this.search_keypress },
          //~ id: "seachString"
      })];
      tbar = this.add_params_panel(tbar);
      var menu = [];
      var set_gc = function(index) {
        return function() {
          //~ console.log('set_gc() 20100812');
          this.getColumnModel().setConfig(this.ls_columns);
        }
      }
      for (var i = 0; i < this.ls_grid_configs.length;i++) {
        var gc = this.ls_grid_configs[i];
        menu.push({text:gc.label,handler:set_gc(i),scope:this})
      }
      if(menu.length > 1) {
        tbar = tbar.concat([
          { text:"Ansicht",
            menu: menu,
            tooltip:"Andere Ansicht auswählen"
          }
        ]);
      }

      if (actions) {
        tbar = tbar.concat(actions.bbar);
          //~ this.bbar = actions.bbar;
      }

      this.tbar = new Ext.PagingToolbar({
        store: this.store,
        prependButtons: true,
        //~ pageSize: this.page_length,
        pageSize: 1,
        displayInfo: true,
        beforePageText: "Seite",
        afterPageText: "von {0}",
        displayMsg: "Zeilen {0} bis {1} von {2}",
        firstText: "Erste Seite",
        lastText: "Letzte Seite",
        prevText: "Vorige Seite",
        nextText: "Nächste Seite",
        items: tbar
      });
    }

    if (this.cell_edit) {
      this.selModel = new Ext.grid.CellSelectionModel()
      this.get_selected = function() {
        //~ console.log(this.getSelectionModel().selection);
        if (this.selModel.selection)
            return [ this.selModel.selection.record ];
        return [this.store.getAt(0)];
      };
      this.get_current_record = function() {
        if (this.getSelectionModel().selection)
          return this.selModel.selection.record;
        return this.store.getAt(0);
      };
    } else {
      this.selModel = new Ext.grid.RowSelectionModel()
      this.get_selected = function() {
        var sels = this.selModel.getSelections();
        if (sels.length == 0) sels = [this.store.getAt(0)];
        return sels
      };
      this.get_current_record = function() {
        var rec = this.selModel.getSelected();
        if (rec == undefined) rec = this.store.getAt(0);
        return rec
      };
    };
    this.columns  = this.ls_columns;

    Lino.GridPanel.superclass.initComponent.call(this);

    this.on('resize', function(){
      //~ console.log("20120213 resize",arguments)
      this.refresh();
      },this);
    this.on('viewready', function(){
      //~ console.log("20120213 resize",arguments);
      this.view_is_ready = true;
      this.refresh(); // removed 20130911
      },this);
    this.on('afteredit', this.on_afteredit); // 20120814
    this.on('beforeedit', this.on_beforeedit);
    this.on('beforeedit',function(e) { this.before_row_edit(e.record)},this);
    if (this.cell_edit) {
        this.on('cellcontextmenu', Lino.cell_context_menu, this);
    } else {
        this.on('rowcontextmenu', Lino.row_context_menu, this);
    }
    //~ this.on('contextmenu', Lino.grid_context_menu, this);

    delete this.cell_edit;

  },

  //~ onResize : function(){
      //~ console.log("20120206 GridPanel.onResize",arguments);
      //~ Lino.GridPanel.superclass.onResize.apply(this, arguments);
      //~ this.refresh();
  //~ },


  get_status : function(){
    var st = { base_params : this.get_base_params()};
    if (!this.hide_top_toolbar) {
        // #866
        if (this.getStore().lastOptions != undefined && this.getStore().lastOptions.params != undefined){
            st.current_page = Math.round(this.getStore().lastOptions.params.start / this.getStore().lastOptions.params.limit ) + 1 ;
        }
    }
    st.param_values = this.status_param_values;
    //~ console.log("20120213 GridPanel.get_status",st);
    return st;
  },

  /*
  Lino.GridPanel.set_status()
  */
  set_status : function(status, rp){
    this.requesting_panel = Ext.getCmp(rp);
    // console.log("20140527 GridPanel.set_status", status);
    this.clear_base_params();
    if (status == undefined) status = {base_params:{}};
    this.set_param_values(status.param_values);
    if (status.base_params) {
      this.set_base_params(status.base_params);
    }
    if (status.show_params_panel != undefined) {
        if (this.toggle_params_panel_btn) {
            //~ this.toggle_params_panel_btn.toggle(status.show_params_panel=='true');
            this.toggle_params_panel_btn.toggle(status.show_params_panel);
        }
    }
    if (!this.hide_top_toolbar) {
      //~ console.log("20120213 GridPanel.getTopToolbar().changePage",
          //~ status.current_page || 1);
      this.getTopToolbar().changePage(status.current_page || 1);
    }
    //~ this.fireEvent('resize');
    //~ this.refresh.defer(100,this);
    //~ this.onResize.defer(100,this);
    //~ this.refresh();
    //~ this.doLayout();
    //~ this.onResize();
    //~ this.store.load();
  },

  refresh : function(unused) {
    this.refresh_with_after();
  },
  /* GridPanel */
  refresh_with_after : function(after) {
    // console.log('20140504 Lino.GridPanel.refresh '+ this.store.proxy.url);
    //~ var bp = { fmt:'json' }
    if (! this.view_is_ready) return;

    if (this.containing_panel) {
        //~ Ext.apply(p,this.master_panel.get_master_params());
        //~ Ext.apply(options.params,this.containing_panel.get_master_params());
        this.set_base_params(this.containing_panel.get_master_params());
        // 20130911
        if (this.store.baseParams.mk === undefined ) {
            return;
        }
    }

    //~ console.log('20130911 Lino.GridPanel.refresh_with_after',this.containing_panel.get_master_params());

    var options = {};
    if (after) {
        options.callback = function(r,options,success) {if(success) after()}
    }

    //~ if (!this.rendered) {
        //~ console.log("20120206 GridPanel.refresh() must wait until rendered",options);
        //~ this.grid_panel.on('render',this.load.createDelegate(this,options))
        //~ return;
    //~ }
    // Ticket 802
    if (this.store.lastOptions != undefined){
        var params = {};
        params.limit = this.store.lastOptions.params.limit;
        params.start = this.store.lastOptions.params.start;
        options.params = params;
    }
    this.store.load(options);
  },

  /* pageSize depends on grid height (Trying to remove scrollbar)
  Thanks to
  - Christophe Badoit on http://www.sencha.com/forum/showthread.php?82647
  - http://www.sencha.com/forum/archive/index.php/t-37231.html
  */
  calculatePageSize : function(second_attempt) {
    //~ if (!this.rendered) {
    if (!this.view_is_ready) {
      //~ console.log('Cannot calculatePageSize() : not rendered');
      return false; }
    //~ if (!this.isVisible()) {
      //~ console.log('calculatePageSize : not visible');
      //~ return false; }

    //~ console.log('getFrameHeight() is',this.getFrameHeight());
    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('mainBody.getHeight() is',this.getView().mainBody.getHeight());
    //~ console.log('getInnerHeight() is',this.getInnerHeight());
    //~ console.log('getHeight() is',this.getHeight());
    //~ console.log('el.getHeight() is',this.getEl().getHeight());
    //~ console.log('getGridEl().getHeight() is',this.getGridEl().getHeight());
    //~ console.log('getOuterSize().height is',this.getOuterSize().height);
    //~ console.log('getBox().height is',this.getBox().height);
    //~ console.log('getResizeEl.getHeight() is',this.getResizeEl().getHeight());
    //~ console.log('getLayoutTarget().getHeight() is',this.getLayoutTarget().getHeight());

    // var rowHeight = this.row_height * 11; experimental value 11
    // same as in ext_renderer.py that's not enough because it is the
    // height of one text line. But here we need the outer height of a
    // grid row containing that many text lines.

    var row_content = '&nbsp;'
    for (var i = 0; i < this.row_height;i++) {
        row_content += '<br>';
    }

    var Element = Ext.Element;
    var gv = this.view;
    var fakeBody = new Element(Element.fly(gv.scroller).child('div.x-grid3-body'));
    var rowTemplate = gv.templates.row;
    var cellTemplate = gv.templates.cell;
    var tstyle  = 'width:' + gv.getGridInnerWidth() + 'px;';
    // console.log("20160615", this.fake_row_content);
    var cells = cellTemplate.apply({value:row_content});
    var markup = rowTemplate.apply({
            tstyle: tstyle,
            cols  : 1,
            cells : cells,
            alt   : ''
        });
    fakeBody.dom.innerHTML = gv.templates.body.apply({rows: markup});
    var row = fakeBody.dom.childNodes[0];
    var rowHeight = Ext.get(row).getHeight();

    //~ console.log('rowHeight is ',rowHeight,this,caller);
    //~ this.getView().syncScroll();
    //~ this.getView().initTemplates();
    var height = this.getView().scroller.getHeight();

    //~ console.log('getView().scroller.getHeight() is',this.getView().scroller.getHeight());
    //~ console.log('getInnerHeight() - getFrameHeight() is',
      //~ this.getInnerHeight(), '-',
      //~ this.getFrameHeight(), '=',
      //~ this.getInnerHeight() - this.getFrameHeight());
    //~ var height = this.getView().mainBody.getHeight();
    //~ var height = this.getView().mainWrap.getHeight();
    //~ var height = this.getView().resizeMarker.getHeight();
    //~ this.syncSize();
    //~ var height = this.getInnerHeight() - this.getFrameHeight();
    //~ var height = this.getHeight() - this.getFrameHeight();
    height -= Ext.getScrollBarWidth(); // leave room for a possible horizontal scrollbar...
    //~ height -= this.getView().scrollOffset;
    var ps = Math.floor(height / rowHeight);
    //~ console.log('20130816 calculatePageSize():',height,'/',rowHeight,'->',ps);
    ps -= 1; // leave room for a possible phantom row
    //~ return (ps > 1 ? ps : false);
    if (ps > 1) return ps;
    //~ console.log('calculatePageSize() found less than 1 row:',height,'/',rowHeight,'->',ps);
    //~ foo.bar = baz; // 20120213
    return 5; // preview_limit
    //~ if (second_attempt) {
        //~ console.log('calculatePageSize() abandons after second attempt:',
          //~ height,'/',rowHeight,'->',ps);
      //~ return 5;
    //~ }
    //~ return this.calculatePageSize.defer(500,this,[true]);
  },

  onCellDblClick : function(grid, row, col){
      //~ console.log("20120307 onCellDblClick",this,grid, row, col);
      if (this.ls_detail_handler) {
          //~ Lino.notify('show detail');
          Lino.show_detail(this);
          return false;
      }else{
        //~ console.log('startEditing');
        this.startEditing(row,col);
      }
  },
  get_base_params : function() {  /* Lino.GridPanel */
    var p = Ext.apply({}, this.store.baseParams);
    Lino.insert_subst_user(p);
    // if (this.quick_search_field)
    //     if (this.quick_search_field.getValue())
    //         p.query = this.quick_search_field.getValue();
    return p;
  },
  set_base_params : function(p) {
    // console.log('20130911 GridPanel.set_base_params',p)
    for (k in p) this.store.setBaseParam(k,p[k]);
    //~ this.store.baseParams = p;
    if (this.quick_search_field)
      this.quick_search_field.setValue(p.query || "");
    //~ if (p.param_values)
        //~ this.set_param_values(p.param_values);
  },
  clear_base_params : function() {
      this.store.baseParams = {};
      Lino.insert_subst_user(this.store.baseParams);
  },
  set_base_param : function(k,v) {
    this.store.setBaseParam(k,v);
  },

  //~ get_permalink_params : function() {
    //~ var p = {};
    //~ return p;
  //~ },

  before_row_edit : function(record) {},

  //~ search_keypress : function(){
    //~ console.log("2012124 search_keypress",arguments);
  //~ },
  search_validate : function(value) {
      if (value == this.quick_search_text) return true;

      /**
      *  Cancel the previous request when do a new load request.
      *  Prevents Ajax race conditions. Ticket #2136
      **/
      var c = this.store.proxy.getConnection();
      c.abort(c.transId);


    this.is_searching = true;
    //~ console.log('search_validate',value)
    this.quick_search_text = value;
    this.set_base_param('query',value);
    //~ this.getTopToolbar().changePage(1);
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
    return true;
  },

  search_change : function(field,oldValue,newValue) {
    //~ console.log('search_change',field.getValue(),oldValue,newValue)
    this.set_base_param('query',field.getValue());
    this.getTopToolbar().moveFirst();
    //~ this.refresh();
  },

  get_current_grid_config : function () {
    var cm = this.getColumnModel();
    var widths = Array(cm.config.length);
    var hiddens = Array(cm.config.length);
    //~ var hiddens = Array(cm.config.length);
    var columns = Array(cm.config.length);
    //~ var columns = Array(cm.config.length);
    //~ var hidden_cols = [];
    //~ var filters = this.filters.getFilterValues();
    var p = this.filters.buildQuery(this.filters.getFilterData())
    for (var i = 0; i < cm.config.length; i++) {
      var col = cm.config[i];
      columns[i] = col.dataIndex;
      //~ hiddens[i] = col.hidden;
      widths[i] = col.width;
      hiddens[i] = col.hidden;
      //~ if (col.hidden) hidden_cols.push(col.dataIndex);
    }
    //~ p['hidden_cols'] = hidden_cols;
    p.cw = widths;
    p.ch = hiddens;
    p.ci = columns;
    //~ p['widths'] = widths;
    //~ p['hiddens'] = hiddens;
    //~ p['columns'] = columns;
    // p['name'] = this.gc_name;
    //~ var gc = this.ls_grid_configs[this.gc_name];
    //~ if (gc !== undefined)
        //~ p['label'] = gc.label
    //~ console.log('20100810 save_grid_config',p);
    return p;
  },

  on_beforeedit : function(e) {
    //~ console.log('20130128 GridPanel.on_beforeedit()',e,e.record.data.disable_editing);
    if(this.disable_editing | e.record.data.disable_editing) {
      e.cancel = true;
      Lino.notify("Dieser Datensatz ist deaktiviert");
      return;
    }
    if(e.record.data.disabled_fields && e.record.data.disabled_fields[e.field]) {
      e.cancel = true;
      Lino.notify("Dieses Feld ist deaktiviert");
      return;
    }
    //~ if (e.record.data.disabled_fields) {
      //~ for (i in e.record.data.disabled_fields) {
        //~ if(e.record.data.disabled_fields[i] == e.field) {
          //~ e.cancel = true;
          //~ Lino.notify(String.format('Field "{0}" is disabled for this record',e.field));
          //~ return
        //~ }
      //~ }
    //~ }
  },
  save_grid_data : function() {
      //~ console.log("20120814 save_grid_data");
      this.getStore().commitChanges();
  },
  on_afteredit : function(e) {
    /*
    e.grid - The grid that fired the event
    e.record - The record being edited
    e.field - The field name being edited
    e.value - The value being set
    e.originalValue - The original value for the field, before the edit.
    e.row - The grid row index
    e.column - The grid column index
    */
    var p = {};
    // console.log('20140403 afteredit: ',e.record);
    //~ console.log('20101130 value: ',e.value);
    //~ var p = e.record.getChanges();
    //~ console.log('20101130 getChanges: ',e.record.getChanges());
    //~ this.before_row_edit(e.record);

    for(k in e.record.getChanges()) {
        var v = e.record.get(k);
    //~ for(k in e.record.modified) {
        //~ console.log('20101130',k,'=',v);
        //~ var cm = e.grid.getColumnModel();
        //~ var di = cm.getDataIndex(k);
        var f = e.record.fields.get(k);
        //~ console.log('20101130 f = ',f);
        //~ var v = e.record.get(di);
        if (f.type.type == 'date') {
            p[k] = Ext.util.Format.date(v, f.dateFormat);
        }else{
            p[k] = v;
            var v = e.record.get(k+'Hidden');
            if (v !== undefined) {
              p[k+'Hidden'] = v;
            }
        }
    }
    // add value used by ForeignKeyStoreField CHOICES_HIDDEN_SUFFIX
    // not sure whether this is still needed:
    p[e.field+'Hidden'] = e.value;
    //~ p.su = Lino.subst_user;
    Lino.insert_subst_user(p);
    // this one is needed so that this field can serve as choice context:
    e.record.data[e.field+'Hidden'] = e.value;
    // p[pk] = e.record.data[pk];
    // console.log("grid_afteredit:",e.field,'=',e.value);
    Ext.apply(p, this.get_base_params()); // needed for POST, ignored for PUT
    //~ Ext.apply(p,this.containing_window.config.base_params);
    //~ 20121109 p['$constants.URL_PARAM_ACTION_NAME'] = 'grid';
    var self = this;
    var req = {
        params: p,
        waitMsg: 'Saving your data...',
        success: Lino.action_handler(this, function (result) {
            // console.log("20140728 afteredit.success got ", result);
            //~ if (result.data_record) {
            if (result.refresh_all) {
                var cw = self.get_containing_window();
                if (cw) {
                    cw.main_item.refresh();
                }
                else console.log("20120123 cannot refresh_all", self);
            } else if (result.rows) {
                //~ self.getStore().loadData(result,true);
                var r = self.getStore().reader.readRecords(result);
                var cell = e.grid.getSelectionModel().selection.cell; // post insert cord for edit / selection
                if (e.record.phantom) {
                    var was_editing = false;
                    // console.log("20140728 gonna call Store.insert()", self.getStore(), e.row, r.records);
                    if (e.grid.editing && e.grid.activeEditor) {
                        cell = [e.grid.activeEditor.row, e.grid.activeEditor.col];
                        console.log("was editing", cell);
                        e.grid.activeEditor.cancelEdit();
                        was_editing = true;
                    }

                    self.getStore().insert(e.row, r.records);
                    if (was_editing) {
                        e.grid.startEditing(cell[0], cell[1]);
                    }

                } else {
                    // console.log("20140728 afteredit.success doUpdate", r.records[0]);
                    self.getStore().doUpdate(r.records[0]);
                }
                self.getStore().rejectChanges();
                /*
            get rid of the red triangles without saving the record again
            */
                e.grid.getSelectionModel().select(cell[0], cell[1]);

                //~ self.getStore().commitChanges(); // get rid of the red triangles
            } else {
                self.getStore().commitChanges(); // get rid of the red triangles
                self.getStore().reload();        // reload our datastore.
            }
        }),
        scope: this,
        failure: Lino.ajax_error_handler(this)
    };
    if (e.record.phantom) {
      req.params.an = 'grid_post'; // CreateRow.action_name
      Ext.apply(req,{
        method: 'POST',
        url: '/api' + this.ls_url
      });
    } else {
      req.params.an = 'grid_put'; // SaveRow.action_name
      Ext.apply(req,{
        method: 'PUT',
        url: '/api' + this.ls_url + '/' + e.record.id
      });
    }
    //~ console.log('20110406 on_afteredit',req);
    this.loadMask.show(); // 20120211
    Ext.Ajax.request(req);
  },

  afterRender : function() {
    Lino.GridPanel.superclass.afterRender.call(this);
    // this.getView().mainBody.focus();
    // console.log(20100114,this.getView().getRows());
    // if (this.getView().getRows().length > 0) {
    //  this.getView().focusRow(1);
    // }
    //~ this.my_load_mask = new Ext.LoadMask(this.getEl(), {
        //~ msg:'$_("Please wait...")',
        //~ store:this.store});

    var tbar = this.getTopToolbar();
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    // tbar.on('change',function() {this.getSelectionModel().selectFirstRow();this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().mainBody.focus();},this);
    // tbar.on('change',function() {this.getView().focusRow(1);},this);
    this.nav = new Ext.KeyNav(this.getEl(),{
      pageUp: function() {tbar.movePrevious(); },
      pageDown: function() {tbar.moveNext(); },
      home: function() {tbar.moveFirst(); },
      end: function() {tbar.moveLast(); },
      scope: this
    });

  },
  after_delete : function() {
    //~ console.log('Lino.GridPanel.after_delete');
    this.refresh();
  },
  add_row_listener : function(fn,scope) {
    this.getSelectionModel().addListener('rowselect',fn,scope);
  },
  postEditValue : function(value, originalValue, r, field){
    value = Lino.GridPanel.superclass.postEditValue.call(this,value,originalValue,r,field);
    //~ console.log('GridPanel.postEdit()',value, originalValue, r, field);
    return value;
  },

  set_start_value : function(v) {
      this.start_value = v;
  },
  preEditValue : function(r, field){
      if (this.start_value) {
        var v = this.start_value;
        delete this.start_value;
        this.activeEditor.selectOnFocus = false;
        return v;
      }
      var value = r.data[field];
      return this.autoEncode && Ext.isString(value) ? Ext.util.Format.htmlDecode(value) : value;
  },

  on_master_changed : function() {
    //~ if (! this.enabled) return;
    //~ cmp = this;
    //~ console.log('20130911 Lino.GridPanel.on_master_changed()',this.title,this.rendered);
    if (! this.rendered) return; // 20120213
    var todo = function() {
      if (this.disabled) return;
      //~ if (this.disabled) return;
      //~ if (this.enabled) {
          //~ var src = caller.config.url_data + "/" + record.id + ".jpg"
          //~ console.log(20111125, this.containing_window);
          //~ for (k in p) this.getStore().setBaseParam(k,p[k]);
          //~ console.log('Lino.GridPanel.on_master_changed()',this.title,p);
          this.refresh();
          //~ this.set_base_params(this.master_panel.get_master_params());
          //~ this.getStore().load();
      //~ }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  },
  load_record_id : function(record_id,after) {
      Lino.run_detail_handler(this,record_id)
  }

});


//~ Lino.MainPanelMixin = {
  //~ tbar_items : function() {
      //~ return ;
  //~ }
//~ };

//~ Ext.override(Lino.GridPanel,Lino.MainPanelMixin);
//~ Ext.override(Lino.FormPanel,Lino.MainPanelMixin);

//~ Lino.grid_context_menu = function(e) {
  //~ console.log('contextmenu',arguments);
//~ }

Lino.row_context_menu = function(grid,row,col,e) {
  console.log('20130927 rowcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
}

Lino.cell_context_menu = function(grid,row,col,e) {
  //~ console.log('20120531 cellcontextmenu',grid,row,col,e,grid.store.reader.arrayData.rows[row]);
  e.stopEvent();
  //~ grid.getView().focusCell(row,col);
  grid.getSelectionModel().select(row,col);
  //~ console.log(grid.store.getAt(row));
  //~ grid.getView().focusRow(row);
  //~ return;
  if(!grid.cmenu.el){grid.cmenu.render(); }
  //~ if(e.record.data.disabled_fields) {

  if (grid.disabled_fields_index) {
      var da = grid.store.reader.arrayData.rows[row][grid.disabled_fields_index];
      if (da) {
          this.cmenu.cascade(function(item){
            //~ console.log(20120531, item.itemId, da[item.itemId]);
            if (da[item.itemId]) item.disable(); else item.enable();
          });
      }
  };

  var xy = e.getXY();
  xy[1] -= grid.cmenu.el.getHeight();
  grid.cmenu.showAt(xy);
}


Lino.chooser_handler = function(combo,name) {
  return function(cmp, newValue, oldValue) {
    //~ console.log('Lino.chooser_handler()',cmp,oldValue,newValue);
    combo.setContextValue(name, newValue);
  }
};



Lino.ComboBox = Ext.extend(Ext.form.ComboBox,{
  forceSelection: "yes but select on tab",
  // forceSelection: true,
  triggerAction: 'all',
  minListWidth:280, // 20131022
  autoSelect: true,
//  lazyRender:true,
//  lazyInit:false,
//  validationDelay :0,
//  typeAhead : true,
//  typeAheadDelay :false,
  selectOnFocus: true, // select any existing text in the field immediately on focus.
  submitValue: true,
  queryDelay:0,
  minChars: 0,
  displayField: 'text', // 'text',
  valueField: 'value', // 'value',

  //~ initComponent : Ext.form.ComboBox.prototype.initComponent.createSequence(function() {
  initComponent : function(){
      this.contextParams = {};
      this.on('expand',function(){
        // console.log("expand",this.store.getRange());
        if (this.store.getRange().length > 1){
            // Auto selection the first choices in the dropdown list.
            this.select(this.store.getRange()[0].id);
        }
      },this);
      //~ Ext.form.ComboBox.initComponent(this);
      Lino.ComboBox.superclass.initComponent.call(this);
      this.queryDelay = 0;
  },
  //Override this to accept DELETE key as not a specialkey and show choices.
  onKeyUp : function(e){
    var k = e.getKey();
    if(this.editable !== false && this.readOnly !== true && (k == e.BACKSPACE || k == e.DELETE || !e.isSpecialKey())){

        this.lastKey = k;
        this.dqTask.delay(this.queryDelay);
    }
    Ext.form.ComboBox.superclass.onKeyUp.call(this, e);
    },
  setValue : function(v, record_data){
      /*
      Based on feature request developed in http://extjs.net/forum/showthread.php?t=75751
      */
      /* `record_data` is used to get the text corresponding to this value */
      //~ if(this.name == 'city')
      //~ console.log('20120203', this.name,'.setValue(', v ,') this=', this,'record_data=',record_data);
      var text = v;
      if(this.valueField){
        if(v == null || v == '') {
            //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,'no lookup needed, value is empty');
            //~ v = undefined;
            v = '';
            //~ text = '';
        } else if (Ext.isDefined(record_data)) {
          text = record_data[this.name];
          //~ if (this.name == 'birth_country')
          this.original_record_data = record_data;
            //~ console.log(this.name,'.setValue',v,'got text ',text,' from record ',record);
        } else if (Ext.isDefined(this.original_record_data) && this.original_record_data[this.hiddenName] === v) {
            // Fix for ticket #2628
            text = this.original_record_data[this.name];
        } else {
          // if(this.mode == 'remote' && !Ext.isDefined(this.store.totalLength)){
          if(this.mode == 'remote' && ( this.lastQuery === null || (!Ext.isDefined(this.store.totalLength)))){
              //~ if (this.name == 'birth_country') console.log(this.name,'.setValue',v,'store not yet loaded');
              this.store.on('load', this.setValue.createDelegate(this, arguments), null, {single: true});
              if(this.store.lastOptions === null || this.lastQuery === null){
                  var params;
                  if(this.valueParam){
                      params = {};
                      params[this.valueParam] = v;
                  }else{
                      var q = this.allQuery;
                      this.lastQuery = q;
                      this.store.setBaseParam(this.queryParam, q);
                      params = this.getParams(q);
                  }
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : call load() with params ',params);
                  this.store.load({params: params});
              //~ }else{
                  //~ if (this.name == 'birth_country')
                    //~ console.log(this.name,'.setValue',v,' : but store is loading',this.store.lastOptions);
              }
              return;
          //~ }else{
              //~ if (this.name == 'birth_country')
                //~ console.log(this.name,'.setValue',v,' : store is loaded, lastQuery is "',this.lastQuery,'"');
          }
          var r = this.findRecord(this.valueField, v);
          if(r){
              text = r.data[this.displayField];
          }else if(this.valueNotFoundText !== undefined){
              text = this.valueNotFoundText;
          }
        }
      }
      this.lastSelectionText = text;
      //~ this.lastSelectionText = v;
      if(this.hiddenField){
          //~ this.hiddenField.originalValue = v;
          this.hiddenField.value = v;
      }
      Ext.form.ComboBox.superclass.setValue.call(this, text);
      this.value = v; // needed for grid.afteredit
  },

  getParams : function(q){
    // p = Ext.form.ComboBox.superclass.getParams.call(this, q);
    // causes "Ext.form.ComboBox.superclass.getParams is undefined"
    var p = {};
    if(this.pageSize){
        p['start'] = 0;
        p['limit'] = this.pageSize;
    }
    // now my code:
    if(this.contextParams) Ext.apply(p, this.contextParams);
    return p;
  },
  setContextValue : function(name,value) {
    //~ console.log('setContextValue',this,this.name,':',name,'=',value);
    //~ if (this.contextValues === undefined) {
        //~ this.contextValues = Array(); // this.contextParams.length);
    //~ }
    if ((this.contextParams[name] != value) || (this.contextParams[name] == undefined)) {
      //~ console.log('setContextValue 1',this.contextParams);
      this.contextParams[name] = value;
      this.lastQuery = null;
      //~ console.log('setContextValue 2',this.contextParams);
    }
  }
});

Lino.ChoicesFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'local'
});


Lino.SimpleRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  // forceSelection: true,  20140206 why was this here?
  constructor: function(config){
      Lino.SimpleRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // 'value'
          fields: ['value' ],
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.ComplexRemoteComboStore = Ext.extend(Ext.data.JsonStore,{
  constructor: function(config){
      Lino.ComplexRemoteComboStore.superclass.constructor.call(this, Ext.apply(config, {
          totalProperty: 'count',
          root: 'rows',
          id: 'value', // constants.CHOICES_VALUE_FIELD
          fields: ['value','text'], // constants.CHOICES_VALUE_FIELD, // constants.CHOICES_TEXT_FIELD
          listeners: { exception: Lino.on_store_exception }
      }));
  }
});

Lino.RemoteComboFieldElement = Ext.extend(Lino.ComboBox,{
  mode: 'remote',
  //~ forceSelection:false,
  minChars: 0, // default 4 is too much
//  queryDelay: 300, // default 500 is maybe slow
  queryParam: 'query',
  //~ typeAhead: true,
  //~ selectOnFocus: true, // select any existing text in the field immediately on focus.
  resizable: true
  ,initList : function() {
      Lino.RemoteComboFieldElement.superclass.initList.call(this);
      if (this.pageTb) {

          var me = this;
          this.pageTb.on("beforechange", function(toolbar, o){
              if(me.contextParams)
                  Ext.apply(o, me.contextParams);
          });

          //~
          //~ var btn = ls_buttons
          //~ this.pageTb.items = this.pageTb.items.concat([btn]);
          //~ console.log("20131022 pageTb.items is", this.pageTb.items)
      }
  }
});

/*
Thanks to Animal for posting the basic idea:
http://www.sencha.com/forum/showthread.php?15842-2.0-SOLVED-Combobox-twintrigger-clear&p=76130&viewfull=1#post76130

*/
Lino.TwinCombo = Ext.extend(Lino.RemoteComboFieldElement,{
    trigger2Class : 'x-form-search-trigger',
    //~ trigger2Class : 'x-tbar-detail',
    initComponent : function() {
        //~ Lino.TwinCombo.superclass.initComponent.call(this);
        Lino.ComboBox.prototype.initComponent.call(this);
        Ext.form.TwinTriggerField.prototype.initComponent.call(this);
    },
    onTrigger2Click : function() {
        //~ console.log('onTrigger2Click',this,arguments);
    }
  });
//~ Lino.TwinCombo.prototype.initComponent = Ext.form.TwinTriggerField.prototype.initComponent;
Lino.TwinCombo.prototype.getTrigger = Ext.form.TwinTriggerField.prototype.getTrigger;
Lino.TwinCombo.prototype.getOuterSize = Ext.form.TwinTriggerField.prototype.getOuterSize;
Lino.TwinCombo.prototype.initTrigger = Ext.form.TwinTriggerField.prototype.initTrigger;
Lino.TwinCombo.prototype.onTrigger1Click = Ext.form.ComboBox.prototype.onTriggerClick;
//~ Lino.TwinCombo.prototype.onTrigger2Click = function() {
    //~ console.log('onTrigger2Click',arguments);
//~ };



Lino.SimpleRemoteComboFieldElement = Ext.extend(Lino.RemoteComboFieldElement,{
  displayField: 'value',
  valueField: null,
  forceSelection: false
});




Lino.Window = Ext.extend(Ext.Window,{
  //~ layout: "fit",
  closeAction : 'hide',
  renderTo: 'main_area',
  constrain: true,
  maximized: true,
  draggable: false,
  width: 700,
  height: 500,
  maximizable: false,
  constructor : function (config) {
    if (config.main_item.params_panel) {
        config.layout = 'border';
        config.main_item.region = 'center';
        config.main_item.params_panel.region = 'north';
        //~ config.main_item.params_panel.autoHeight = false; // 20130924
        config.main_item.params_panel.hidden = config.main_item.params_panel_hidden;
        config.items = [config.main_item.params_panel, config.main_item];
        //~ 20130923b
    } else {
        config.layout = 'fit';
        config.items = config.main_item;
    }
    this.main_item = config.main_item;

    if (typeof config.width == "string" && config.width.slice(-1) == "%") {
        config.width = Lino.perc2width(parseInt(config.width.slice(0, -1)));
    }

    delete config.main_item;
    //~ delete config.params_item;

    //~ this.main_item = config.items.get(0);
    this.main_item.containing_window = this;

    //~ console.log('20120110 Lino.Window.constructor() 1');
    //~ if (Lino.current_window) { // all windows except the top are closable
    if (this.main_item.hide_window_title) {
      config.closable = false;
      config.frame = false;
      config.shadow = false;
      //~ config.border = true;
      //~ config.title = undefined;
      //~ config.tools = null;
      delete config.title;
      delete config.tools;
    } else {
      config.title = this.main_item.empty_title;
      config.closable = true;
      config.tools = [
        { qtip: 'permalink',
         handler: Lino.permalink_handler(this),
          id: "pin" },
        { qtip: "Speichern und Fenster schließen."
        , handler: Lino.close_and_save_handler(this),
         id: "save" }
      ];
      if (this.main_item.content_type && this.main_item.action_name != 'insert') {
        config.tools = [ {
          handler: Lino.help_text_editor,
          qtip: "Hilfetexte der Eingabefelder dieser Tabelle bearbeiten",
          scope: this.main_item,
          id: "gear"
        }].concat(config.tools);
      }

    //~ { qtip: '', handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: this.config.qtip, handler: Lino.save_wc_handler(this), id: "save" },
    //~ { qtip: 'Call doLayout() on main Container.', handler: Lino.refresh_handler(this), id: "refresh" },
    //~ if (this.main_item.params_panel) {
        //~ config.tools = config.tools.concat([
          //~ { qtip: 'Show/hide parameter panel', handler: this.toggle_params_panel, id: "gear", scope:this }
        //~ ]);
    //~ }
    //~ if (config.closable !== false) {
      // if undefined, will take default behaviour
      //~ config.tools = config.tools.concat([
        //~ { qtip: 'close', handler: this.hide, id: "close", scope:this }
      //~ ]);
    }

    this.main_item.config_containing_window(config);

    // console.log('20150514 Lino.Window.constructor() 2');
    Lino.Window.superclass.constructor.call(this, config);

    //~ console.log('20120110 Lino.Window.constructor() 3');

  },
  initComponent : function() {
    this.main_item.init_containing_window(this);
    Lino.Window.superclass.initComponent.call(this);

  },
  hide : function() {
      this.main_item.do_when_clean(false,function() {
        if (Lino.current_window){
          Lino.close_window();
        }
        });

  },
  hide_really : function() {
    Lino.Window.superclass.hide.call(this);
  },
  onRender : function(ct, position){
    // console.log('20140829 Lino.Window.onRender() 1');
    Lino.Window.superclass.onRender.call(this, ct, position);
    var main_area = Ext.getCmp('main_area')
    //~ console.log('20120110 Lino.Window.onRender() 2');

    this.on('show', function(win) {
        // console.log('20140829 Lino.Window.on(show) : add resize handler');
        main_area.on('resize', win.onWindowResize, win);
    });
    this.on('hide', function(win) {
        // console.log('20140829 Lino.Window.on(hide) : remove resize handler');
        main_area.un('resize', win.onWindowResize, win);
    });
    // console.log('20140829 Lino.Window.onRender() 3');
  }
});


Ext.override(Ext.form.BasicForm,{
    my_loadRecord : function(record_data){
    //~ loadRecord : function(record){
        /* Same as ExtJS's loadRecord() (setValues()), except that we
        forward also the record_data to field.setValue(). This second
        parameter is used by Lino.Combobox.
        */
        // console.log('20181102 my_loadRecord', record_data)
        if(Ext.isArray(record_data)){
            for(var i = 0, len = record_data.length; i < len; i++){
                var v = record_data[i];
                var f = this.findField(v.id);
                if(f){
                    f.setValue(v.value, record_data);
                    if(this.trackResetOnLoad){
                        f.originalValue = f.getValue();
                    }
                }
            }
        }else{
            var field, id;
            for(id in record_data){
                if(!Ext.isFunction(record_data[id]) && (field = this.findField(id))){
                    // console.log('20181102 setValue', field, record_data[id]);
                    field.setValue(record_data[id], record_data);
                    if(this.trackResetOnLoad){
                        field.originalValue = field.getValue();
                        //~ if (field.hiddenField) {
                          //~ field.hiddenField.originalValue = field.hiddenField.value;
                        //~ }
                    }
                } // else console.log('20181102 not for ', id);
            }
        }
        return this;
    }
});




function initializeFooBarDropZone(cmp) {
    //~ console.log('initializeFooBarDropZone',cmp);
    cmp.dropTarget = new Ext.dd.DropTarget(cmp.bwrap, {
      //~ ddGroup     : 'gridDDGroup',
      notifyEnter : function(ddSource, e, data) {
        console.log('notifyEnter',ddSource,e,data);
        //Add some flare to invite drop.
        cmp.body.stopFx();
        cmp.body.highlight();
      },
      notifyDrop  : function(ddSource, e, data){
        console.log('notifyDrop',ddSource,e,data);
        // Reference the record (single selection) for readability
        //~ var selectedRecord = ddSource.dragData.selections[0];


        // Load the record into the form
        //~ formPanel.getForm().my_loadRecord(selectedRecord);


        // Delete record from the grid.  not really required.
        //~ ddSource.grid.store.remove(selectedRecord);

        return(true);
      }
    })
}



Lino.show_mti_child = function(fieldname,detail_handler) {
  //~ console.log('show_mti_child',this);
  //~ console.log('show_mti_child',panel.find("main_area"));
  rec = Lino.current_window.main_item.get_current_record();
  //~ rec = panel.get_current_record();
  if (rec) {
    //~ console.log('show_mti_child',Lino.current_window,rec);
    if (rec.phantom) {
      Lino.notify('Not allowed on phantom record.');
    }else if (rec.data[fieldname]) {
      //~ console.log('show_mti_child',rec.id);
      //~ detail_handler(Lino.current_window.main_item,{},{record_id:rec.id});
      detail_handler.run(null,{record_id:rec.id});
      //~ window.open(urlroot + '/' + rec.id);
      //~ document.location = urlroot + '/' + rec.id;
      //~ window.open(urlroot + '/' + rec.id,'_blank');
    } else {
      Lino.alert("Kann MTI-Kind nicht anzeigen wenn Checkbox abgeschlatet ist.");
    }
  } else {
    Lino.notify('No current record.');
  }
};


/*
captureEvents utility by Aaron Conran
<http://www.sencha.com/learn/grid-faq/>

Ext.onReady(function(){
    var grid = new Ext.grid.GridPanel({
        ...
    });
    captureEvents(grid);
});
*/
function captureEvents(observable) {
    Ext.util.Observable.capture(
        observable,
        function(eventName) {
            console.info(eventName);
        },
        this
    );
}

// settings.SITE.get_plugin_snippets()



// from lino_xl.lib.extensible (media_name=extensible-1.0.1):snippets/extensible.js

/*
  This is the `extensible.js` snippet. 
  Used in lino.modlib.extensible.App.site_js_snippets
*/

/*
Mappings towards lino.modlib.extensible.models.PanelCalendars
*/
// Sset SS = Ssite.modules.extensible.PanelCalendars.get_handle(Sui).store
Ext.ensible.cal.CalendarMappings = {
    CalendarId:   {name:'ID',       mapping: 'id', type: 'int'},
    Title:        {name:'CalTitle', mapping: 'summary', type: 'string'},
    Description:  {name:'Desc',     mapping: 'description', type: 'string'},
    ColorId:      {name:'Color',    mapping: 'color', type: 'int'},
    IsHidden:     {name:'Hidden',   mapping: 'is_hidden', type: 'boolean'},    
};
Ext.ensible.cal.CalendarRecord.reconfigure();  


/*
Mappings towards lino.modlib.extensible.models.PanelEvents 
*/
// Sset SS = Ssite.modules.extensible.PanelEvents.get_handle(Sui).store
Ext.ensible.cal.EventMappings = {
    EventId:     {name: 'ID',        mapping: 'id', type:'int'},
    CalendarId:  {name: 'CalID',     mapping: 'calendarHidden', type: 'int'},
    Title:       {name: 'EvtTitle',  mapping: 'summary'},
    StartDate:   {name: 'StartDt',   mapping: 'start_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s" },
    EndDate:     {name: 'EndDt',     mapping: 'end_dt', 
      type: 'date', 
      dateFormat: "Y-m-d\TH:i:s"},
    RRule:       {name: 'RecurRule', mapping: 'rsetHidden'},
    Location:    {name: 'Location',  mapping: 'placeHidden'},
    Notes:       {name: 'Desc',      mapping: 'description'},
    Url:         {name: 'LinkUrl',   mapping: 'url'},
    IsAllDay:    {name: 'AllDay',    mapping: 'all_day', type: 'boolean'},
    Reminder:    {name: 'Reminder',  mapping: 'reminder'}
    
};
Ext.ensible.cal.EventRecord.reconfigure();


//~ Lino.on_eventclick = 
    
Lino.on_editdetails = 

Lino.format_time = function(dt) {
    return dt.getHours() + ':' + dt.getMinutes();
}
    
Lino.on_eventdelete = function() {
  //~ console.log("Lino.on_eventdelete",arguments);
};

Lino.on_eventadd  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventadd ",arguments);
  return false;
}
    
Lino.on_eventresize  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventresize ",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    
Lino.on_eventupdate  = function(cp,rec,el) {
  //~ console.log("Lino.on_eventupdate",arguments);
  //~ Lino.cal.Events.insert(cp);
  //~ return false;
}
    

//~ Lino.eventStore = new Ext.ensible.cal.EventStore({ 
//~ Lino.eventStore = new Ext.data.ArrayStore({ 
Lino.unused_eventStore = new Ext.data.JsonStore({ 
  listeners: { exception: Lino.on_store_exception }
  ,url: '/restful/extensible/PanelEvents'
  ,restful : true
  ,proxy: new Ext.data.HttpProxy({ 
      url: '/restful/extensible/PanelEvents', 
      disableCaching: false // no need for cache busting when loading via Ajax
      //~ disableCaching:true,
  })
  ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
  ,totalProperty: "count"
  ,root: "rows"
  ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
  ,writer : new Ext.data.JsonWriter({
    writeAllFields: false
  })
  ,load: function(options) {
    //~ foo.bar = baz; // 20120213
      if (!options) options = {};
      if (!options.params) options.params = {};
      //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
      
      var view = this.cal_panel.getActiveView();
      var bounds = view.getViewBounds();
      //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
      //~ var p = {};
      options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
      options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
      Lino.insert_subst_user(options.params);
      //~ Ext.apply(options.params,p)
      //~ console.log('20120710 eventStore.load()',this.baseParams,options);
    
    return Ext.data.JsonStore.prototype.load.call(this,options);
  }
});


Lino.CalendarCfg = {
    dateParamFormat: 'd.m.Y',
    dateParamStart:'sd',
    dateParamEnd:'ed'
};
//~ 20120704 Lino.CalendarPanel = Ext.extend(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
//~ Lino.CalendarPanel = Ext.extend(Lino.CalendarPanel,{
Ext.override(Ext.ensible.cal.CalendarPanel,Lino.MainPanel);
Ext.override(Ext.ensible.cal.CalendarPanel,{
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  empty_title : "Kalender"
  ,activeItem: 1 // 0: day, 1: week
  ,ls_url: '/extensible/CalendarPanel'
  //~ ,disableCaching:true
  //~ ,eventStore: Lino.eventStore
  //~ ,calendarStore: Lino.calendarStore
  //~ ,initComponent : function(){
    //~ Ext.ensible.cal.CalendarPanel.superclass.initComponent.call(this);
    //~ this.eventStore.on('load',function(){
      //~ console.log("20130808",Lino.eventStore);
      //~ if (this.eventStore.reader.jsonData) {
        //~ console.log("20130808 b",this.eventStore.reader.jsonData.title);
        //~ this.set_window_title(this.eventStore.reader.jsonData.title);
      //~ }
    //~ },this);
  //~ }
  ,listeners: { 
    editdetails: function(cp,rec,el) {
      //~ console.log("Lino.on_editdetails",arguments);
      if (rec.data.ID)
          Lino.extensible.PanelEvents.detail.run(null,{
              record_id:rec.data.ID,
              base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    ,eventclick: function(cp,rec,el) {
      //~ console.log("Lino.on_eventclick",arguments);
      //~ Lino.cal.Events.detail_action.run({record_id:rec.data.ID});
      Lino.extensible.PanelEvents.detail.run(null,{
            record_id:rec.data.ID,
                base_params:this.app_instance.event_store.baseParams});
      return false;
    }
    //~ ,eventadd: Lino.on_eventadd
    //~ ,eventdelete: Lino.on_eventdelete
    //~ ,eventresize: Lino.on_eventresize
    ,afterrender : function(config) {
      // console.log("20140402 CalendarPanel.afterrender");
      this.app_instance.calendar_store.cal_panel = this;
      // 20140402 this.app_instance.calendar_store.load();
      //~ console.log("20120704 afterrender calls eventStore.load()",p);
      this.app_instance.event_store.cal_panel = this;
      //~ Lino.eventStore.load({params:p});
      //~ 20130905 removed: this.app_instance.event_store.load();
      //~ Lino.CalendarPanel.superclass.constructor.call(this, config);
      //~ console.log(20120118, config,this);
    }
    }
  ,enableEditDetails: false
  //~ ,monthViewCfg: Lino.CalendarCfg
  //~ ,weekViewCfg: Lino.CalendarCfg
  //~ ,multiDayViewCfg: Lino.CalendarCfg
  //~ ,multiWeekViewCfg: Lino.CalendarCfg
  //~ ,dayViewCfg: Lino.CalendarCfg
  //~ ,initComponent : function() {
    //~ // this.on('eventadd',Lino.on_eventadd);
    //~ Lino.CalendarPanel.superclass.initComponent.call(this);
  //~ }
});




Lino.CalendarAppPanel = Ext.extend(Ext.Panel,Lino.MainPanel);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,Lino.PanelMixin);
Lino.CalendarAppPanel = Ext.extend(Lino.CalendarAppPanel,{
  app_instance : null
  //~ empty_title : "\$ui.get_actor('cal.Panel').report.label",
  ,empty_title : "Kalender"
  ,ls_url: '/extensible/CalendarPanel'
  ,set_status : function(status,rp) { 
      // console.log('20140402 CalendarAppPanel.set_status()', status);
      this.requesting_panel = Ext.getCmp(rp);
      this.clear_base_params();
      if (status == undefined) status = {};
      //~ if (status.param_values) 
      //~ this.set_field_values(status.field_values);
      if (status.base_params) this.set_base_params(status.base_params);
      this.refresh();
      }
  ,refresh : function() {
      //~ this.app_instance.event_store.reload(); 20130905
      this.app_instance.calendar_store.load();  // added 20140402
      this.app_instance.event_store.load();
  }
  ,layout: 'fit'
  ,get_base_params : function() {
    // console.log('20140402 getbase_params has', this.base_params);
    var p = Ext.apply({}, this.base_params);
    Lino.insert_subst_user(p);
    // console.log('20140402 getbase_params returns', p);
    return p;
  }
  ,set_base_params : function(p) {
    this.base_params = Ext.apply(this.app_instance.event_store.baseParams,p);
    this.app_instance.event_store.baseParams = this.base_params;
    // console.log('20140402 this.base_params is', this.base_params);
  }
  ,clear_base_params : function() {
      this.base_params = {};
      Lino.insert_subst_user(this.base_params);
  }
  ,set_base_param : function(k,v) {
      if (!this.base_params) this.base_params = {};
      this.base_params[k] = v;
  }
});

Lino.CalendarApp = function() { return {
  team_view_button : null 
  ,get_main_panel : function() {
      var cap = null;
      this.event_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,url: '/restful/extensible/PanelEvents'
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelEvents', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ disableCaching:true,
          })
          ,fields: Ext.ensible.cal.EventRecord.prototype.fields.getRange()
          ,totalProperty: "count"
          ,root: "rows"
          ,idProperty: Ext.ensible.cal.EventMappings.EventId.mapping
          ,writer : new Ext.data.JsonWriter({
            writeAllFields: false
          })
          ,load: function(options) {
            //~ foo.bar = baz; // 20120213
              if (!options) options = {};
              if (!options.params) options.params = {};
              //~ options.params.$constants.URL_PARAM_TEAM_VIEW = Lino.calendar_app.team_view_button.pressed;
              
              var view = this.cal_panel.getActiveView();
              var bounds = view.getViewBounds();
              //~ var p = {sd:'05.02.2012',ed:'11.02.2012'};
              //~ var p = {};
              options.params[view.dateParamStart] = bounds.start.format(view.dateParamFormat);
              options.params[view.dateParamEnd] = bounds.end.format(view.dateParamFormat);
              Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              //~ this.cal_panel.base_params.su.toString();
              //~ if (this.cal_panel) {
                  // Ext.apply(options.params,this.cal_panel.base_params);
              //~ }
              //~ Ext.apply(options.params,p)
              //~ console.log('20130905 eventStore.load()',this.cal_panel,this.baseParams,options.params);
            
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });

      //~ Lino.calendarStore
      this.calendar_store = new Ext.data.JsonStore({ 
          listeners: { exception: Lino.on_store_exception }
          ,restful : true
          ,proxy: new Ext.data.HttpProxy({ 
              url: '/restful/extensible/PanelCalendars?fmt=json', 
              disableCaching: false // no need for cache busting when loading via Ajax
              //~ restful : true
              //~ method: "GET"
          })
          //~ ,autoLoad: true
          //~ ,remoteSort: true
          //~ ,baseParams: bp
          ,totalProperty: "count"
          ,root: "rows"
          ,fields: Ext.ensible.cal.CalendarRecord.prototype.fields.getRange()
          ,idProperty: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          //~ ,idIndex: Ext.ensible.cal.CalendarMappings.CalendarId.mapping
          ,load: function(options) {
              // new since 20140402 add substitute user when calling
              // calendars
              if (!options) options = {};
              if (!options.params) options.params = {};
              // Lino.insert_subst_user(options.params);
              Ext.apply(options.params, cap.get_base_params());
              // console.log("20140402 calendar_store.load", options.params, 
              //             this.cal_panel, cap.get_base_params());
            return Ext.data.JsonStore.prototype.load.call(this,options);
          }
      });
      
      cap = new Lino.CalendarAppPanel({ 
          app_instance: this, 
          items : 
        //~ [{
          //~ id: 'app-header',
          //~ region: 'north',
          //~ height: 35,
          //~ border: false,
          // contentEl: 'app-header-content'
        //~ },
      {
          id: 'app-center',
          title: '...', // will be updated to the current view's date range
          region: 'center',
          layout: 'border',
          listeners: {
              'afterrender': function(){
                  Ext.getCmp('app-center').header.addClass('app-center-header');
              }
          },
          items: [{
              id:'app-west',
              region: 'west',
              width: 176,
              border: false,
              items: [{
                  xtype: 'datepicker',
                  id: 'app-nav-picker',
                  cls: 'ext-cal-nav-picker',
                  listeners: {
                      'select': {
                          fn: function(dp, dt){
                              // console.log("20131017",dp);
                              //~ Lino.calendarPanel.setStartDate(dt);
                              //~ cap.setStartDate(dt);
                              Ext.getCmp('app-calendar').setStartDate(dt);
                          },
                          //~ scope: this
                      }
                  }
              //~ },{ 
                //~ layout:'fit',
                //~ items: [
                  //~ new Ext.form.Checkbox({
                    //~ boxLabel:"$_('Team view')",
                    //~ hideLabel:true
                    //~ listeners: { click: }
                  //~ })
                //~ ]
              //~ },{ 
                //~ layout:'form',
                //~ items: [
                  //~ this.team_view_button = new Ext.Button({
                    //~ text:"Team view",
                    //~ enableToggle:true,
                    //~ pressed:false,
                    //~ toggleHandler: function(btn,state) { 
                      //~ // console.log('20120716 teamView.toggle()');
                      //~ this.event_store.setBaseParam('tv',state);
                      //~ this.event_store.load();
                      //~ // console.log("team view",state);
                    //~ }
                  //~ })
                //~ ]
              },{
                  xtype: 'extensible.calendarlist',
                  store: this.calendar_store,
                  border: false,
                  width: 175
              }]
          },{
              xtype: 'extensible.calendarpanel', // Ext.ensible.cal.CalendarPanel
              eventStore: this.event_store,
              app_instance: this,
              calendarStore: this.calendar_store,
              border: false,
              id:'app-calendar',
              region: 'center',
              //~ activeItem: 3, // month view
              
              // Any generic view options that should be applied to all sub views:
              viewConfig: {
                  // Lino.CalendarCfg
                  dateParamFormat: 'd.m.Y',
                  dateParamStart:'sd',
                  dateParamEnd:'ed',
                
                  //enableFx: false,
                  //ddIncrement: 10, //only applies to DayView and subclasses, but convenient to put it here
                  viewStartHour: 8, // 8
                  viewEndHour: 18 // 18
                  //minEventDisplayMinutes: 15
              },
              
              // View options specific to a certain view (if the same options exist in viewConfig
              // they will be overridden by the view-specific config):
              monthViewCfg: {
                  showHeader: true,
                  showWeekLinks: true,
                  showWeekNumbers: true,
                  eventBodyMarkup: ['{Title}',
                    //~ '<tpl if="url">',
                        //~ '<a href="{url}">XX</a>',
                    //~ '</tpl>',
                    '<tpl if="_isReminder">',
                        '<i class="ext-cal-ic ext-cal-ic-rem">&#160;</i>',
                    '</tpl>',
                    '<tpl if="_isRecurring">',
                        '<i class="ext-cal-ic ext-cal-ic-rcr">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanLeft">',
                        '<i class="ext-cal-spl">&#160;</i>',
                    '</tpl>',
                    '<tpl if="spanRight">',
                        '<i class="ext-cal-spr">&#160;</i>',
                    '</tpl>'
                ].join('')
              },
              
              multiWeekViewCfg: {
                  //weekCount: 3
              },
              
              // Some optional CalendarPanel configs to experiment with:
              //readOnly: true,
              //showDayView: false,
              //showMultiDayView: true,
              //showWeekView: false,
              //showMultiWeekView: false,
              //showMonthView: false,
              //showNavBar: false,
              //showTodayText: false,
              //showTime: false,
              //editModal: true,
              //enableEditDetails: false,
              //title: 'My Calendar', // the header of the calendar, could be a subtitle for the app
              
              // Once this component inits it will set a reference to itself as an application
              // member property for easy reference in other functions within App.
              //~ initComponent: function() {
                  //~ Lino.calendarPanel = this;
                  //~ this.constructor.prototype.initComponent.apply(this, arguments);
              //~ },
              
              listeners: {
                  //~ 'eventclick': {
                      //~ fn: function(vw, rec, el){
                          //~ this.clearMsg();
                      //~ },
                      //~ scope: this
                  //~ },
                  'eventover': function(vw, rec, el){
                      //console.log('Entered evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]', view='+ vw.id +', el='+el.id);
                  },
                  'eventout': function(vw, rec, el){
                      //console.log('Leaving evt rec='+rec.data[Ext.ensible.cal.EventMappings.Title.name]+', view='+ vw.id +', el='+el.id);
                  },
                  'eventadd': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was added');
                      },
                      scope: this
                  },
                  'eventupdate': {
                      fn: function(cp, rec){
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(cp, rec){
                          //this.eventStore.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'eventcancel': {
                      fn: function(cp, rec){
                          // edit canceled
                      },
                      scope: this
                  },
                  'viewchange': {
                      fn: function(p, vw, dateInfo){
                          if(this.editWin){
                              this.editWin.hide();
                          };
                          if(dateInfo !== null){
                              // will be null when switching to the event edit form so ignore
                              Ext.getCmp('app-nav-picker').setValue(dateInfo.activeDate);
                              this.updateTitle(dateInfo.viewStart, dateInfo.viewEnd);
                          }
                          
                      },
                      scope: this
                  },
                  'dayclick': {
                      fn: function(vw, dt, ad, el){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'rangeselect': {
                      fn: function(vw, dates, onComplete){
                          this.clearMsg();
                      },
                      scope: this
                  },
                  'eventmove': {
                      fn: function(vw, rec){
                          rec.commit();
                          var time = rec.data[Ext.ensible.cal.EventMappings.IsAllDay.name] ? '' : ' \\a\\t g:i a';
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was moved to '+
                              rec.data[Ext.ensible.cal.EventMappings.StartDate.name].format('F jS'+time));
                      },
                      scope: this
                  },
                  'eventresize': {
                      fn: function(vw, rec){
                          rec.commit();
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was updated');
                      },
                      scope: this
                  },
                  'eventdelete': {
                      fn: function(win, rec){
                          this.event_store.remove(rec);
                          this.showMsg('Event '+ rec.data[Ext.ensible.cal.EventMappings.Title.name] +' was deleted');
                      },
                      scope: this
                  },
                  'initdrag': {
                      fn: function(vw){
                          if(this.editWin && this.editWin.isVisible()){
                              this.editWin.hide();
                          }
                      },
                      scope: this
                  }
              }
          }]
        }
        //~ ]
        
      });
      
      this.event_store.on('load',function(){
        //~ console.log("20130905 on event_store load",this.event_store.reader.jsonData);
        if (this.event_store.reader.jsonData) {
          //~ console.log("20130808 b",this.event_store.reader.jsonData.title);
          //~ console.log("20130808 c",this);
          cap.set_window_title(this.event_store.reader.jsonData.title);
        }
      },this);
      
      //~ cap.app_instance = this;
      return cap;
      
  }
  ,updateTitle: function(startDt, endDt){
      var p = Ext.getCmp('app-center');
      
      if(startDt.clearTime().getTime() == endDt.clearTime().getTime()){
          p.setTitle(startDt.format('F j, Y'));
      }
      else if(startDt.getFullYear() == endDt.getFullYear()){
          if(startDt.getMonth() == endDt.getMonth()){
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('j, Y'));
          }
          else{
              p.setTitle(startDt.format('F j') + ' - ' + endDt.format('F j, Y'));
          }
      }
      else{
          p.setTitle(startDt.format('F j, Y') + ' - ' + endDt.format('F j, Y'));
      }
  }
  // This is an application-specific way to communicate CalendarPanel event messages back to the user.
  // This could be replaced with a function to do "toast" style messages, growl messages, etc. This will
  // vary based on application requirements, which is why it's not baked into the CalendarPanel.
  ,showMsg: function(msg){
      Lino.notify(msg);
      //~ Ext.fly('app-msg').update(msg).removeClass('x-hidden');
  }
  
  ,clearMsg: function(){
      Lino.notify('');
      //~ Ext.fly('app-msg').update('').addClass('x-hidden');
  }
}
};


// from lino_welfare.modlib.sepa (extends_models=['Account']):iban/uppercasetextfield.js

Lino.UppercaseTextField = Ext.extend(Ext.form.TextField,{
  style: 'text-transform:uppercase;',
  listeners:{
    change: function(field, newValue, oldValue){
      // console.log("20140403 UppercaseTextField",newValue, newValue.toUpperCase());
      field.setRawValue(newValue.toUpperCase());
    }
  }
});


Lino.iban_renderer = function(
    value, metaData, record, rowIndex, colIndex, store) 
{
    var reg = new RegExp(".{4}", "g");
    if(value) {
        return value.replace(reg, function (a) { return a + ' '; });
    }
    return value;
}




// from lino_xl.lib.beid (media_name=eidreader):beid/eidreader.js



function uuid() {
  // Copied from https://gist.github.com/jcxplorer/823878
  var uuid = "", i, random;
  for (i = 0; i < 32; i++) {
    random = Math.random() * 16 | 0;

    if (i == 8 || i == 12 || i == 16 || i == 20) {
      uuid += "-"
    }
    uuid += (i == 12 ? 4 : (i == 16 ? (random & 3 | 8) : random)).toString(16);
  }
  return uuid;
};

Lino.beid_read_card_processor = function() {
    // var card = {}
    var my_id = uuid();
    var url = "beid://" + window.location.origin + "/eid/" + my_id;
    // var current_window = window.window;
    console.log("Gonna open", url);
    var popup = window.open(url, "eidreader");
    // while (popup.event) {setTimeout(()=>console.log("waiting", popup.event),1000)};
    // popup.close();
    // current_window.focus();
    return { uuid: my_id, timeout: 0 };

    // var xhttp = new XMLHttpRequest();
    // xhttp.onreadystatechange = function() {
    //     if (this.readyState == 4 && this.status == 200) {
    //         card = JSON.parse(this.responseText);
    //     } else {
    //         console.log("20180412 status ", this.status);
    //     }
    // };
    // xhttp.open("GET", "/eid/" + my_id, false);
    // xhttp.send();

    // return { card_data: card };
}



// from lino.modlib.tinymce (media_name=tinymce-3.5.11):tinymce/tinymce.js

/* Copyright 2009-2018 Rumma & Ko Ltd */


Lino.edit_tinymce_text = function(panel, tinymce_options) {
  // edit the text in own window.
  // `panel` is the RichTextPanel
  // console.log(20150520, panel);
  //~ var rec = panel.get_current_record();
  var rec = panel.containing_panel.get_current_record();
  var value = rec ? rec.data[panel.editor.name] : '';
  var saving = false;
  var todo_after_save = false;
  var discard_changes = false;
  
  
  function save() {
    if (saving) {alert('tried to save again'); return; }
    var url = panel.containing_panel.get_record_url(rec.id);
    var params = Ext.apply({}, panel.containing_panel.get_base_params());
    params[panel.editor.name] = editor.getValue();
    //~ params.su = Lino.subst_user;
    //~ Lino.insert_subst_user(params);

    // 20150325 http://trac.lino-framework.org/ticket/131
    var action_name = panel.containing_panel.save_action_name;
    if (!action_name) 
        action_name = panel.containing_panel.action_name;
    params.an = action_name;

    var a = { 
      params: params, 
      method: 'PUT',
      url: url,
      failure: function() {
          //~ if (editor.ed.getContainer()) 
          editor.ed.setProgressState(0);
          todo_after_save = false;
          saving = false;
          console.log('tinymce.save() failed. sorry.',arguments);
        },
      success: function() {
        saving = false;
        //~ if (editor.ed.getContainer()) 
        editor.ed.setProgressState(0);
        rec.data[panel.editor.name] = editor.getValue();
        if(todo_after_save) {
            var fn = todo_after_save;
            todo_after_save = false;
            fn();
        }
        //~ panel.containing_window.set_current_record(rec);
        panel.refresh();
      }
    };
    //~ if (editor.ed.getContainer()) 
    editor.ed.setProgressState(1); // Show progress
    saving = true;
    //~ console.log(a);
    Ext.Ajax.request(a);
  };
  function save_callback() {
      save();
      //~ save(function(){editor.ed.setDirty(false);})
      /* return true have the save button disabled.  
      That's not perfect because the PUT is asynchronous 
      and the response is not yet known.
      */
      return true;
  }
  //~ var actions = [
    //~ {text:"Save",handler:save}
  //~ ]; 
  //~ console.log(20110610,panel.editor.disabled);
  var settings = {};
  Ext.apply(settings,{
        readonly: panel.editor.disabled,
        //~ language: "de",
        plugins : "save,emotions,spellchecker,advhr,insertdatetime,preview,table,searchreplace,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "save,cancel,|,bold,italic,underline,|,justifyleft,justifycenter,justifyright,fontselect,fontsizeselect,formatselect,|,search,replace",
        theme_advanced_buttons2 : "cut,copy,paste,template,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,link,unlink,anchor,image,|,code,preview,|,forecolor,backcolor",
        theme_advanced_buttons3 : "insertdate,inserttime,|,spellchecker,advhr,,removeformat,|,sub,sup,|,charmap,emotions,|,tablecontrols",
        theme_advanced_resizing : false,
        convert_urls : false,
        save_onsavecallback : save_callback,
        save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
  });
  Ext.apply(settings, tinymce_options);
  var editor = new Ext.ux.TinyMCE({
      value : value,
      tinymceSettings: settings
    });
  var win = new Ext.Window({
    title: rec.title, 
    //~ bbar: actions,
    layout: 'fit',
    items: editor,
    width: 500, 
    height: 400,
    minWidth: 100,
    minHeight: 100,
    modal: true,
    resizable: true,
    maximizable: true,
    //~ maximized: true,
    //~ closeAction: "close"
    closeAction: "hide"
    //~ hideMode: "offsets",
    //~ constrainHeader: true,
    //~ bodyStyle: 'padding: 10px'
  });

  //~ win.on('beforeclose',function() {
  win.on('beforehide',function() {
    if (todo_after_save) return false;
    if (discard_changes) return true;
    if (editor.isDirty()) {
        //~ var ok = false;
        //~ var allowClose = true;
        var config = {title:"Bestätigung"};
        config.buttons = Ext.MessageBox.YESNOCANCEL;
        config.msg = "Save changes to text ?";
        config.modal = true;
        config.fn = function(buttonId,text,opt) {
          //~ console.log('do_when_clean',buttonId)
          if (buttonId == "yes") {
              /* we cancel this close, but save()'s onSuccess will call again.*/
              //~ allowClose = false;
              todo_after_save = function(){win.hide();}
              editor.ed.execCommand('mceSave');
              //~ editor.ed.save(function(){win.close();});
          } else if (buttonId == "no") { 
              discard_changes = true;
              win.hide()
          //~ } else if (buttonId == "cancel") { 
            //~ ok = true;
              //~ allowClose = false;
          //~ } else { 
            //~ console.log('unknwon buttonId:',buttonId);
          }
        }
        Ext.MessageBox.show(config);
        return false;
        //~ return allowClose;
    }
  });
  win.show();
}


Lino.RichTextPanel = Ext.extend(Ext.Panel,Lino.PanelMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,Lino.FieldBoxMixin);
Lino.RichTextPanel = Ext.extend(Lino.RichTextPanel,{
    
  //~ initComponent : function(){
    //~ Lino.RichTextPanel.superclass.initComponent.call(this);
  //~ },
  constructor : function(config, params) {
      // console.log('20150520a Lino.RichTextPanel.initComponent', this);
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + String(rec.id) + "/" + config.name;
    //~ var url = TEMPLATES_URL + config.ls_url + "/" + config.name;
    var t = this;
    var tinymce_options = {
        theme : "advanced",
        content_css: '/static/extjs/lino.css,/static/tinymce_content.css',

        theme_advanced_font_sizes : "12px,13px,14px,16px,18px,20px,24px",
        font_size_style_values : "12px,13px,14px,16px,18px,20px,24px",
        language: 'de',
        //~ template_external_list_url : url,
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        template_popup_width : 500,
        template_popup_height : 400,
        template_replace_values : { 
            data_field : function(element){ 
                //~ console.log(20110722,fieldName,t.containing_window.get_current_record()); 
                var fieldName = element.innerHTML;
                element.innerHTML = t.containing_panel.get_current_record().data[fieldName];
            } 
        }
      };
      
    var editorConfig = {
      tinymceSettings: {
        plugins : "noneditable,template", 
        // Theme options - button# indicated the row# only
        theme_advanced_buttons1 : "bold,italic,underline,|,justifyleft,justifycenter,justifyright,|,bullist,numlist,|,outdent,indent,|,undo,redo,|,removeformat,template",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "", // ,|,sub,sup,|,charmap",      
        theme_advanced_resizing : false
        //~ save_onsavecallback : save_callback,
        //~ save_enablewhendirty : true
        //~ save_oncancelcallback: on_cancel
        
    }};
    Ext.apply(editorConfig.tinymceSettings, tinymce_options);
    //~ editorConfig.name = config.action_name;
    editorConfig.name = config.name;
    delete config.name;
    //~ config.title = config.label;
    //~ delete config.label;
    this.before_init(config,params);
    
    // console.log('20150520b Lino.RichTextPanel.initComponent', this);

    this.editor = new Ext.ux.TinyMCE(editorConfig);
    var t = this;
    function save_cmd() { 
        // console.log("20150902 save_cmd()", arguments);            
        var cw = t.get_containing_window();
        if (cw) {
            cw.main_item.save();
        }
    }
    this.editor.withEd(function(){
        if (!t.editor.ed.addShortcut(
            'ctrl+s', 'Save the content', save_cmd)) {
            console.log("20150902 addShortcut() failed");            
        };
        // t.editor.ed.onKeyDown.add(function(ed, e) {
        //     if (e.keyCode == 13 && e.ctrlKey) {
        //         save_cmd(); 
        //         return tinymce.dom.Event.cancel(e); 
        //         // e.preventDefault();
        //         // http://stackoverflow.com/questions/18971284/event-preventdefault-vs-return-false-no-jquery
        //     }
        // });
    });
    config.tools = [{
                      qtip: "Edit text in own window", 
                      id: "up",
                      handler: function(){
                        if(t.editor.isDirty()) {
                            var record = t.containing_panel.get_current_record();
                            record.data[t.editor.name] = t.editor.getValue();
                        }
                        Lino.edit_tinymce_text(t, tinymce_options)
                      }
                    }];
    
    config.items = this.editor;
    config.layout = "fit";
    // console.log('20150520c Lino.RichTextPanel.initComponent', this);
    Lino.RichTextPanel.superclass.constructor.call(this, config);
    // console.log('20150520d Lino.RichTextPanel.initComponent', this);
  },
  getValue : function(v) {
      return this.editor.getValue(v);
  },
  refresh : function(unused) { 
      this.refresh_with_after();
  },
  /* RichTextPanel */
  refresh_with_after : function(after) {
    // when called from the dashboard:    
    if (!this.containing_panel.get_current_record) { return; }
    var record = this.containing_panel.get_current_record();
    // console.log('20140504 RichTextPanel.refresh()',
    //             this.title,record.title, record);
    var todo = function() {
      if (record) {
        var url = '/tinymce/templates' 
              + this.containing_panel.ls_url + "/" 
              + String(record.id) + "/" + this.editor.name;
        // console.log('20150415 RichTextPanel.refresh()',url);
        if (this.editor.ed)
            this.editor.ed.settings.template_external_list_url = url;
            // else {console.log("20150415 no editor")}
        this.set_base_params(this.containing_panel.get_master_params());
        //~ var v = record ? this.format_data(record.data[this.editor.name]) : ''
        var v = this.format_data(record.data[this.editor.name])
        this.editor.setValue(v);
      } else {
        this.editor.setValue('(no data)');
      }
    };
    Lino.do_when_visible(this,todo.createDelegate(this));
  }
});
//~ Ext.override(Lino.RichTextPanel,Lino.FieldBoxMixin);

Lino.main_menu = [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Persons.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all persons.") }, "text": "Personen" }, { "handler": function() {Lino.pcsw.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": " \u25b6 Klienten" }, { "handler": function() {Lino.contacts.Companies.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base table for all tables showing companies.") }, "text": "Organisationen" }, "-", { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partner (alle)" }, { "handler": function() {Lino.households.Households.grid.run(null)}, "text": "Haushalte" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.notify.MyMessages.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows messages emitted to me.") }, "text": "Meine Benachrichtigungen" }, { "handler": function() {Lino.excerpts.MyExcerpts.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Base class for all tables on Excerpt.") }, "text": "Meine Ausz\u00fcge" }, { "handler": function() {Lino.uploads.MyExpiringUploads.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the upload files that are marked as Upload.needed and whose\nUpload.end_date is within a given period.") }, "text": "Meine ablaufenden Upload-Dateien" }, { "handler": function() {Lino.uploads.MyUploads.grid.run(null)}, "text": "Meine Upload-Dateien" }, { "handler": function() {Lino.outbox.MyOutbox.grid.run(null)}, "text": "Mein E-Mail-Ausgang" }, { "handler": function() {Lino.notes.MyNotes.grid.run(null)}, "text": "Meine Ereignisse/Notizen" }, { "handler": function() {Lino.checkdata.MyProblems.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows the problem messages assigned to me.") }, "text": "Meine Datenkontrollliste" } ] }, "text": "B\u00fcro" }, { "menu": { "items": [ { "handler": function() {Lino.extensible.CalendarPanel.grid.run(null)}, "iconCls": "x-tbar-calendar", "listeners": { "render": Lino.quicktip_renderer("Foo","Displays your events in a \"calendar view\"     with the possibility to switch between daily, weekly, monthly view.") }, "text": "Kalender" }, { "handler": function() {Lino.cal.MyEntries.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Table of appointments for which I am responsible.") }, "text": "Meine Termine" }, { "handler": function() {Lino.cal.MyUnconfirmedAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my appointments in the near future which are in suggested or\ndraft state.") }, "text": "Meine unbest\u00e4tigten Termine" }, { "handler": function() {Lino.cal.MyTasks.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows my tasks whose start date is today or in the future.") }, "text": "Meine Aufgaben" }, { "handler": function() {Lino.cal.MyGuests.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The default table of presences.") }, "text": "Meine G\u00e4ste" }, { "handler": function() {Lino.cal.MyPresences.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Shows all my presences in calendar events, independently of their\nstate.") }, "text": "Meine Anwesenheiten" }, { "handler": function() {Lino.cal.MyOverdueAppointments.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Like OverdueAppointments, but only for myself.") }, "text": "Meine \u00fcberf\u00e4lligen Termine" } ] }, "text": "Kalender" }, { "menu": { "items": [ { "handler": function() {Lino.reception.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.cal.EntriesByDay.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","This table is usually labelled \"Appointments today\". It has no\n\"date\" column because it shows events of a given date.It is ordred\nwith increasing times.") }, "text": "Termine heute" }, { "handler": function() {Lino.reception.WaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show waiting visitors (for any user).") }, "text": "Wartende Besucher" }, { "handler": function() {Lino.reception.BusyVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show busy visitors (with any user).") }, "text": "Besch\u00e4ftigte Besucher" }, { "handler": function() {Lino.reception.GoneVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show gone visitors (for any user).") }, "text": "Gegangene Besucher" }, { "handler": function() {Lino.reception.MyWaitingVisitors.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Show visitors waiting for me.") }, "text": "Meine Warteschlange" } ] }, "text": "Empfang" }, { "menu": { "items": [ { "handler": function() {Lino.pcsw.CoachedClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","The list that opens by Contacts \u2023 Clients.") }, "text": "Klienten" }, { "handler": function() {Lino.coachings.MyCoachings.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","A table showing a set of coachings.") }, "text": "Meine Begleitungen" }, { "handler": function() {Lino.aids.MyPendingGrantings.grid.run(null)}, "text": "Zu best\u00e4tigende Hilfebeschl\u00fcsse" } ] }, "text": "\u00d6SHZ" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.cbss.MyIdentifyPersonRequests.grid.run(null)}, "text": "Meine IdentifyPerson-Anfragen" }, { "handler": function() {Lino.cbss.MyManageAccessRequests.grid.run(null)}, "text": "Meine ManageAccess-Anfragen" }, { "handler": function() {Lino.cbss.MyRetrieveTIGroupsRequests.grid.run(null)}, "text": "Meine Tx25-Anfragen" } ] }, "text": "ZDSS" } ] }, "text": "DSBE" }, { "menu": { "items": [ { "handler": function() {Lino.newcomers.NewClients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Liste der neuen Klienten zwecks Zuweisung\neines Begleiters oder Ablehnen des Hilfeantrags.") }, "text": "Neue Klienten" }, { "handler": function() {Lino.newcomers.AvailableCoaches.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","List of users available for new coachings") }, "text": "Verf\u00fcgbare Begleiter" } ] }, "text": "Erstempfang" }, { "menu": { "items": [ { "handler": function() {Lino.debts.Clients.grid.run(null)}, "listeners": { "render": Lino.quicktip_renderer("Foo","Wie Kontakte --> Klienten, aber mit Kolonnen und Filterparametern f\u00fcr Schuldnerberatung.") }, "text": "Klienten" }, { "handler": function() {Lino.debts.MyBudgets.grid.run(null)}, "text": "Meine Budgets" } ] }, "text": "Schuldnerberatung" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.tinymce.MyTextFieldTemplates.grid.run(null)}, "text": "Meine Einf\u00fcgetexte" } ] }, "text": "B\u00fcro" }, { "menu": { "items": [ { "handler": function() {Lino.debts.MyBudgets.detail.run(null,{ "record_id": 1 })}, "iconCls": "x-tbar-application_form", "text": "Budget-Kopiervorlage" } ] }, "text": "Schuldnerberatung" } ] }, "text": "Konfigurierung" }, { "menu": { "items": [ { "menu": { "items": [ { "handler": function() {Lino.contacts.Partners.grid.run(null)}, "text": "Partner" } ] }, "text": "Kontakte" }, { "menu": { "items": [ { "handler": function() {Lino.b2c.Accounts.grid.run(null)}, "text": "Importierte  Bankkonten" }, { "handler": function() {Lino.b2c.Statements.grid.run(null)}, "text": "Kontoausz\u00fcge" }, { "handler": function() {Lino.b2c.Transactions.grid.run(null)}, "text": "Transaktionen" } ] }, "text": "SEPA" }, { "menu": { "items": [ { "handler": function() {Lino.isip.Contracts.grid.run(null)}, "text": "VSEs" }, { "handler": function() {Lino.jobs.Contracts.grid.run(null)}, "text": "Art.60\u00a77-Konventionen" } ] }, "text": "DSBE" } ] }, "text": "Explorer" }, { "menu": { "items": [ { "handler": function() {Lino.about.About.show.run(null,{ "record_id": -99998 })}, "listeners": { "render": Lino.quicktip_renderer("Foo","A dialog window which displays some information about the site.") }, "text": "Info" } ] }, "text": "Site" }, { "handler": function() {Lino.handle_home_button()}, "text": "Startseite" }, { "handler": function() {Lino.set_user_language("de")}, "text": "de" }, { "handler": function() {Lino.set_user_language("fr")}, "text": "fr" }, { "handler": function() {Lino.set_user_language("en")}, "text": "en" } ];
Ext.namespace('Lino.system.SiteConfigs')
Ext.namespace('Lino.countries.Countries')
Ext.namespace('Lino.countries.Places')
Ext.namespace('Lino.contacts.Partners')
Ext.namespace('Lino.contacts.Persons')
Ext.namespace('Lino.contacts.CompanyTypes')
Ext.namespace('Lino.contacts.Companies')
Ext.namespace('Lino.contacts.RoleTypes')
Ext.namespace('Lino.contacts.Roles')
Ext.namespace('Lino.gfks.ContentTypes')
Ext.namespace('Lino.gfks.HelpTexts')
Ext.namespace('Lino.notify.Messages')
Ext.namespace('Lino.notify.AllMessages')
Ext.namespace('Lino.notify.MyMessages')
Ext.namespace('Lino.changes.Changes')
Ext.namespace('Lino.properties.PropGroups')
Ext.namespace('Lino.properties.PropTypes')
Ext.namespace('Lino.properties.Properties')
Ext.namespace('Lino.properties.PropChoices')
Ext.namespace('Lino.checkdata.Problems')
Ext.namespace('Lino.checkdata.AllProblems')
Ext.namespace('Lino.checkdata.MyProblems')
Ext.namespace('Lino.addresses.Addresses')
Ext.namespace('Lino.excerpts.ExcerptTypes')
Ext.namespace('Lino.excerpts.Excerpts')
Ext.namespace('Lino.excerpts.AllExcerpts')
Ext.namespace('Lino.excerpts.MyExcerpts')
Ext.namespace('Lino.uploads.Volumes')
Ext.namespace('Lino.uploads.UploadTypes')
Ext.namespace('Lino.uploads.Uploads')
Ext.namespace('Lino.uploads.AllUploads')
Ext.namespace('Lino.uploads.MyUploads')
Ext.namespace('Lino.uploads.AreaUploads')
Ext.namespace('Lino.uploads.MyExpiringUploads')
Ext.namespace('Lino.outbox.Recipients')
Ext.namespace('Lino.outbox.Mails')
Ext.namespace('Lino.outbox.Attachments')
Ext.namespace('Lino.cal.RemoteCalendars')
Ext.namespace('Lino.cal.Rooms')
Ext.namespace('Lino.cal.AllRooms')
Ext.namespace('Lino.cal.Calendars')
Ext.namespace('Lino.cal.Subscriptions')
Ext.namespace('Lino.cal.Tasks')
Ext.namespace('Lino.cal.MyTasks')
Ext.namespace('Lino.cal.GuestRoles')
Ext.namespace('Lino.cal.Guests')
Ext.namespace('Lino.cal.AllGuests')
Ext.namespace('Lino.cal.MyPresences')
Ext.namespace('Lino.cal.MyPendingPresences')
Ext.namespace('Lino.cal.MyGuests')
Ext.namespace('Lino.cal.EventTypes')
Ext.namespace('Lino.cal.RecurrentEvents')
Ext.namespace('Lino.cal.Events')
Ext.namespace('Lino.cal.AllEntries')
Ext.namespace('Lino.cal.PublicEntries')
Ext.namespace('Lino.cal.EntriesByDay')
Ext.namespace('Lino.cal.OneEvent')
Ext.namespace('Lino.cal.MyEntries')
Ext.namespace('Lino.cal.MyEntriesToday')
Ext.namespace('Lino.cal.MyAssignedEvents')
Ext.namespace('Lino.cal.OverdueAppointments')
Ext.namespace('Lino.cal.MyOverdueAppointments')
Ext.namespace('Lino.cal.MyUnconfirmedAppointments')
Ext.namespace('Lino.cal.EventPolicies')
Ext.namespace('Lino.extensible.PanelCalendars')
Ext.namespace('Lino.extensible.PanelEvents')
Ext.namespace('Lino.reception.ExpectedGuests')
Ext.namespace('Lino.reception.BusyVisitors')
Ext.namespace('Lino.reception.WaitingVisitors')
Ext.namespace('Lino.reception.GoneVisitors')
Ext.namespace('Lino.reception.MyWaitingVisitors')
Ext.namespace('Lino.reception.MyBusyVisitors')
Ext.namespace('Lino.reception.MyGoneVisitors')
Ext.namespace('Lino.cv.LanguageKnowledges')
Ext.namespace('Lino.cv.AllLanguageKnowledges')
Ext.namespace('Lino.cv.EducationLevels')
Ext.namespace('Lino.cv.StudyTypes')
Ext.namespace('Lino.cv.Trainings')
Ext.namespace('Lino.cv.AllTrainings')
Ext.namespace('Lino.cv.Studies')
Ext.namespace('Lino.cv.Statuses')
Ext.namespace('Lino.cv.Regimes')
Ext.namespace('Lino.cv.Durations')
Ext.namespace('Lino.cv.Sectors')
Ext.namespace('Lino.cv.Functions')
Ext.namespace('Lino.cv.Experiences')
Ext.namespace('Lino.cv.PersonProperties')
Ext.namespace('Lino.pcsw.Clients')
Ext.namespace('Lino.pcsw.CoachedClients')
Ext.namespace('Lino.pcsw.AllClients')
Ext.namespace('Lino.pcsw.PersonGroups')
Ext.namespace('Lino.pcsw.Activities')
Ext.namespace('Lino.pcsw.DispenseReasons')
Ext.namespace('Lino.pcsw.Dispenses')
Ext.namespace('Lino.pcsw.ExclusionTypes')
Ext.namespace('Lino.pcsw.Exclusions')
Ext.namespace('Lino.pcsw.Convictions')
Ext.namespace('Lino.pcsw.AidTypes')
Ext.namespace('Lino.coachings.CoachingTypes')
Ext.namespace('Lino.coachings.CoachingEndings')
Ext.namespace('Lino.coachings.Coachings')
Ext.namespace('Lino.reception.Clients')
Ext.namespace('Lino.boards.Boards')
Ext.namespace('Lino.boards.Members')
Ext.namespace('Lino.households.Types')
Ext.namespace('Lino.households.Households')
Ext.namespace('Lino.households.Members')
Ext.namespace('Lino.isip.ContractTypes')
Ext.namespace('Lino.isip.ExamPolicies')
Ext.namespace('Lino.isip.ContractEndings')
Ext.namespace('Lino.isip.ContractPartners')
Ext.namespace('Lino.isip.Contracts')
Ext.namespace('Lino.isip.MyContracts')
Ext.namespace('Lino.jobs.Schedules')
Ext.namespace('Lino.jobs.JobProviders')
Ext.namespace('Lino.jobs.ContractTypes')
Ext.namespace('Lino.jobs.Contracts')
Ext.namespace('Lino.jobs.MyContracts')
Ext.namespace('Lino.jobs.Offers')
Ext.namespace('Lino.jobs.Candidatures')
Ext.namespace('Lino.jobs.Jobs')
Ext.namespace('Lino.jobs.JobTypes')
Ext.namespace('Lino.jobs.ContractsSearch')
Ext.namespace('Lino.ledger.Accounts')
Ext.namespace('Lino.ledger.Journals')
Ext.namespace('Lino.ledger.JournalsOverview')
Ext.namespace('Lino.ledger.AccountingPeriods')
Ext.namespace('Lino.ledger.PaymentTerms')
Ext.namespace('Lino.ledger.AllVouchers')
Ext.namespace('Lino.ledger.MatchRules')
Ext.namespace('Lino.ledger.PartnerVouchers')
Ext.namespace('Lino.ledger.GeneralAccountBalances')
Ext.namespace('Lino.ledger.PartnerBalancesByTradeType')
Ext.namespace('Lino.ledger.Movements')
Ext.namespace('Lino.ledger.AllMovements')
Ext.namespace('Lino.ledger.FiscalYears')
Ext.namespace('Lino.vatless.Invoices')
Ext.namespace('Lino.sepa.Accounts')
Ext.namespace('Lino.b2c.Accounts')
Ext.namespace('Lino.b2c.Statements')
Ext.namespace('Lino.b2c.Transactions')
Ext.namespace('Lino.finan.FinancialVouchers')
Ext.namespace('Lino.finan.JournalEntries')
Ext.namespace('Lino.finan.PaymentOrders')
Ext.namespace('Lino.finan.BankStatements')
Ext.namespace('Lino.finan.AllBankStatements')
Ext.namespace('Lino.finan.AllJournalEntries')
Ext.namespace('Lino.finan.AllPaymentOrders')
Ext.namespace('Lino.finan.DisbursementOrders')
Ext.namespace('Lino.languages.Languages')
Ext.namespace('Lino.integ.Clients')
Ext.namespace('Lino.integ.CoachingEndingsByUser')
Ext.namespace('Lino.integ.CoachingEndingsByType')
Ext.namespace('Lino.integ.ContractEndingsByType')
Ext.namespace('Lino.integ.JobsContractEndingsByType')
Ext.namespace('Lino.users.AllUsers')
Ext.namespace('Lino.users.UsersOverview')
Ext.namespace('Lino.users.MySettings')
Ext.namespace('Lino.users.Authorities')
Ext.namespace('Lino.users.Sessions')
Ext.namespace('Lino.integ.ContractsPerUserAndContractType')
Ext.namespace('Lino.integ.JobsContractsPerUserAndContractType')
Ext.namespace('Lino.integ.StudyTypesAndContracts')
Ext.namespace('Lino.integ.CompaniesAndContracts')
Ext.namespace('Lino.integ.JobProvidersAndContracts')
Ext.namespace('Lino.art61.ContractTypes')
Ext.namespace('Lino.art61.Contracts')
Ext.namespace('Lino.art61.MyContracts')
Ext.namespace('Lino.xcourses.CourseProviders')
Ext.namespace('Lino.xcourses.CourseContents')
Ext.namespace('Lino.xcourses.CourseOffers')
Ext.namespace('Lino.xcourses.Courses')
Ext.namespace('Lino.xcourses.CourseRequests')
Ext.namespace('Lino.xcourses.PendingCourseRequests')
Ext.namespace('Lino.newcomers.Brokers')
Ext.namespace('Lino.newcomers.Faculties')
Ext.namespace('Lino.newcomers.Competences')
Ext.namespace('Lino.newcomers.NewClients')
Ext.namespace('Lino.newcomers.AvailableCoaches')
Ext.namespace('Lino.cbss.Sectors')
Ext.namespace('Lino.cbss.Purposes')
Ext.namespace('Lino.cbss.IdentifyPersonRequests')
Ext.namespace('Lino.cbss.AllIdentifyPersonRequests')
Ext.namespace('Lino.cbss.MyIdentifyPersonRequests')
Ext.namespace('Lino.cbss.ManageAccessRequests')
Ext.namespace('Lino.cbss.AllManageAccessRequests')
Ext.namespace('Lino.cbss.MyManageAccessRequests')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.AllRetrieveTIGroupsRequests')
Ext.namespace('Lino.cbss.MyRetrieveTIGroupsRequests')
Ext.namespace('Lino.humanlinks.Links')
Ext.namespace('Lino.debts.Clients')
Ext.namespace('Lino.debts.Groups')
Ext.namespace('Lino.debts.Accounts')
Ext.namespace('Lino.debts.Actors')
Ext.namespace('Lino.debts.Budgets')
Ext.namespace('Lino.debts.MyBudgets')
Ext.namespace('Lino.debts.Entries')
Ext.namespace('Lino.debts.EntriesByType')
Ext.namespace('Lino.notes.NoteTypes')
Ext.namespace('Lino.notes.EventTypes')
Ext.namespace('Lino.notes.Notes')
Ext.namespace('Lino.notes.AllNotes')
Ext.namespace('Lino.notes.MyNotes')
Ext.namespace('Lino.aids.Categories')
Ext.namespace('Lino.aids.AidTypes')
Ext.namespace('Lino.aids.Grantings')
Ext.namespace('Lino.aids.AllGrantings')
Ext.namespace('Lino.aids.MyPendingGrantings')
Ext.namespace('Lino.aids.SimpleConfirmations')
Ext.namespace('Lino.aids.AllSimpleConfirmations')
Ext.namespace('Lino.aids.IncomeConfirmations')
Ext.namespace('Lino.aids.AllIncomeConfirmations')
Ext.namespace('Lino.aids.RefundConfirmations')
Ext.namespace('Lino.aids.AllRefundConfirmations')
Ext.namespace('Lino.esf.Summaries')
Ext.namespace('Lino.esf.AllSummaries')
Ext.namespace('Lino.dashboard.Widgets')
Ext.namespace('Lino.dashboard.AllWidgets')
Ext.namespace('Lino.dupable_clients.Words')
Ext.namespace('Lino.tinymce.TextFieldTemplates')
Ext.namespace('Lino.tinymce.MyTextFieldTemplates')
Ext.namespace('Lino.clients.ClientContactTypes')
Ext.namespace('Lino.clients.ClientContacts')
Ext.namespace('Lino.ledger.LedgerInfoTable')
Ext.namespace('Lino.finan.JournalEntryItemTable')
Ext.namespace('Lino.finan.BankStatementItemTable')
Ext.namespace('Lino.finan.PaymentOrderItemTable')
Ext.namespace('Lino.vatless.InvoiceItemTable')
Ext.namespace('Lino.countries.PlacesByPlace')
Ext.namespace('Lino.countries.PlacesByCountry')
Ext.namespace('Lino.contacts.PartnersByCity')
Ext.namespace('Lino.contacts.PartnersByCountry')
Ext.namespace('Lino.contacts.RolesByCompany')
Ext.namespace('Lino.contacts.RolesByPerson')
Ext.namespace('Lino.properties.PropsByGroup')
Ext.namespace('Lino.properties.PropsByType')
Ext.namespace('Lino.properties.ChoicesByType')
Ext.namespace('Lino.checkdata.ProblemsByChecker')
Ext.namespace('Lino.addresses.AddressesByPartner')
Ext.namespace('Lino.addresses.AddressesByCity')
Ext.namespace('Lino.excerpts.ExcerptsByType')
Ext.namespace('Lino.excerpts.ExcerptsByProject')
Ext.namespace('Lino.uploads.UploadsByType')
Ext.namespace('Lino.uploads.UploadsByProject')
Ext.namespace('Lino.outbox.RecipientsByMail')
Ext.namespace('Lino.outbox.MyOutbox')
Ext.namespace('Lino.outbox.MailsByUser')
Ext.namespace('Lino.outbox.MailsByProject')
Ext.namespace('Lino.outbox.SentByPartner')
Ext.namespace('Lino.outbox.AttachmentsByMail')
Ext.namespace('Lino.cal.SubscriptionsByUser')
Ext.namespace('Lino.cal.SubscriptionsByCalendar')
Ext.namespace('Lino.cal.TasksByUser')
Ext.namespace('Lino.cal.TasksByProject')
Ext.namespace('Lino.cal.GuestsByEvent')
Ext.namespace('Lino.cal.GuestsByRole')
Ext.namespace('Lino.cal.GuestsByPartner')
Ext.namespace('Lino.cal.EntriesByType')
Ext.namespace('Lino.cal.ConflictingEvents')
Ext.namespace('Lino.cal.EntriesByRoom')
Ext.namespace('Lino.cal.EntriesByProject')
Ext.namespace('Lino.cal.EntriesByGuest')
Ext.namespace('Lino.cal.EntriesByClient')
Ext.namespace('Lino.cal.TasksByClient')
Ext.namespace('Lino.reception.AppointmentsByPartner')
Ext.namespace('Lino.cv.LanguageKnowledgesByPerson')
Ext.namespace('Lino.cv.KnowledgesByLanguage')
Ext.namespace('Lino.cv.StudyTypesByLevel')
Ext.namespace('Lino.cv.TrainingsByCountry')
Ext.namespace('Lino.cv.TrainingsByType')
Ext.namespace('Lino.cv.TrainingsByPerson')
Ext.namespace('Lino.cv.StudiesByCountry')
Ext.namespace('Lino.cv.StudiesByLevel')
Ext.namespace('Lino.cv.StudiesByPlace')
Ext.namespace('Lino.cv.StudiesByType')
Ext.namespace('Lino.cv.StudiesByPerson')
Ext.namespace('Lino.cv.FunctionsBySector')
Ext.namespace('Lino.cv.ExperiencesBySector')
Ext.namespace('Lino.cv.ExperiencesByFunction')
Ext.namespace('Lino.cv.ExperiencesByPerson')
Ext.namespace('Lino.cv.ExperiencesByStatus')
Ext.namespace('Lino.cv.ExperiencesByRegime')
Ext.namespace('Lino.cv.ExperiencesByDuration')
Ext.namespace('Lino.cv.PropsByPerson')
Ext.namespace('Lino.cv.PersonPropsByProp')
Ext.namespace('Lino.cv.ConfiguredPropsByPerson')
Ext.namespace('Lino.cv.SkillsByPerson')
Ext.namespace('Lino.cv.SoftSkillsByPerson')
Ext.namespace('Lino.cv.ObstaclesByPerson')
Ext.namespace('Lino.pcsw.ClientsByNationality')
Ext.namespace('Lino.pcsw.DispensesByClient')
Ext.namespace('Lino.pcsw.ExclusionsByClient')
Ext.namespace('Lino.pcsw.ConvictionsByClient')
Ext.namespace('Lino.coachings.CoachingsByClient')
Ext.namespace('Lino.coachings.CoachingsByEnding')
Ext.namespace('Lino.coachings.CoachingsByUser')
Ext.namespace('Lino.coachings.MyCoachings')
Ext.namespace('Lino.reception.AgentsByClient')
Ext.namespace('Lino.reception.CoachingsByClient')
Ext.namespace('Lino.boards.MembersByBoard')
Ext.namespace('Lino.clients.PartnersByClientContactType')
Ext.namespace('Lino.households.HouseholdsByType')
Ext.namespace('Lino.households.MembersByHousehold')
Ext.namespace('Lino.households.SiblingsByPerson')
Ext.namespace('Lino.households.MembersByPerson')
Ext.namespace('Lino.households.RefundsByPerson')
Ext.namespace('Lino.isip.PartnersByContract')
Ext.namespace('Lino.isip.ContractsByClient')
Ext.namespace('Lino.isip.ContractsByPolicy')
Ext.namespace('Lino.isip.ContractsByType')
Ext.namespace('Lino.isip.ContractsByEnding')
Ext.namespace('Lino.isip.ContractsByStudyType')
Ext.namespace('Lino.jobs.ContractsByClient')
Ext.namespace('Lino.jobs.ContractsByProvider')
Ext.namespace('Lino.jobs.ContractsByPolicy')
Ext.namespace('Lino.jobs.ContractsByType')
Ext.namespace('Lino.jobs.ContractsByEnding')
Ext.namespace('Lino.jobs.ContractsByJob')
Ext.namespace('Lino.jobs.ContractsByRegime')
Ext.namespace('Lino.jobs.ContractsBySchedule')
Ext.namespace('Lino.jobs.CandidaturesByPerson')
Ext.namespace('Lino.jobs.CandidaturesBySector')
Ext.namespace('Lino.jobs.CandidaturesByFunction')
Ext.namespace('Lino.jobs.CandidaturesByJob')
Ext.namespace('Lino.jobs.CandidaturesByOffer')
Ext.namespace('Lino.jobs.ExperiencesByOffer')
Ext.namespace('Lino.jobs.JobsByProvider')
Ext.namespace('Lino.jobs.JobsByType')
Ext.namespace('Lino.jobs.JobsOverviewByType')
Ext.namespace('Lino.ledger.MatchRulesByAccount')
Ext.namespace('Lino.ledger.MatchRulesByJournal')
Ext.namespace('Lino.ledger.MovementsByVoucher')
Ext.namespace('Lino.ledger.MovementsByPartner')
Ext.namespace('Lino.ledger.MovementsByProject')
Ext.namespace('Lino.ledger.MovementsByAccount')
Ext.namespace('Lino.ledger.MovementsByMatch')
Ext.namespace('Lino.vatless.ItemsByInvoice')
Ext.namespace('Lino.vatless.ItemsByProjectInvoice')
Ext.namespace('Lino.vatless.InvoicesByJournal')
Ext.namespace('Lino.vatless.ProjectInvoicesByJournal')
Ext.namespace('Lino.sepa.AccountsByPartner')
Ext.namespace('Lino.sepa.AccountsByClient')
Ext.namespace('Lino.b2c.StatementsByAccount')
Ext.namespace('Lino.b2c.TransactionsByStatement')
Ext.namespace('Lino.finan.PaymentOrdersByJournal')
Ext.namespace('Lino.finan.JournalEntriesByJournal')
Ext.namespace('Lino.finan.BankStatementsByJournal')
Ext.namespace('Lino.finan.ItemsByJournalEntry')
Ext.namespace('Lino.finan.ItemsByBankStatement')
Ext.namespace('Lino.finan.ItemsByPaymentOrder')
Ext.namespace('Lino.finan.ItemsByDisbursementOrder')
Ext.namespace('Lino.finan.DisbursementOrdersByJournal')
Ext.namespace('Lino.users.AuthoritiesGiven')
Ext.namespace('Lino.users.AuthoritiesTaken')
Ext.namespace('Lino.art61.ContractsByClient')
Ext.namespace('Lino.art61.ContractsByProvider')
Ext.namespace('Lino.art61.ContractsByPolicy')
Ext.namespace('Lino.art61.ContractsByType')
Ext.namespace('Lino.art61.ContractsByEnding')
Ext.namespace('Lino.xcourses.CourseOffersByProvider')
Ext.namespace('Lino.xcourses.CourseOffersByContent')
Ext.namespace('Lino.xcourses.CoursesByOffer')
Ext.namespace('Lino.xcourses.CourseRequestsByPerson')
Ext.namespace('Lino.xcourses.CourseRequestsByContent')
Ext.namespace('Lino.xcourses.RequestsByCourse')
Ext.namespace('Lino.xcourses.ParticipantsByCourse')
Ext.namespace('Lino.xcourses.CandidatesByCourse')
Ext.namespace('Lino.newcomers.CompetencesByUser')
Ext.namespace('Lino.newcomers.CompetencesByFaculty')
Ext.namespace('Lino.newcomers.MyCompetences')
Ext.namespace('Lino.newcomers.ClientsByFaculty')
Ext.namespace('Lino.newcomers.AvailableCoachesByClient')
Ext.namespace('Lino.cbss.IdentifyRequestsByPerson')
Ext.namespace('Lino.cbss.ManageAccessRequestsByPerson')
Ext.namespace('Lino.cbss.RetrieveTIGroupsRequestsByPerson')
Ext.namespace('Lino.humanlinks.LinksByHuman')
Ext.namespace('Lino.debts.AccountsByGroup')
Ext.namespace('Lino.debts.ActorsByBudget')
Ext.namespace('Lino.debts.ActorsByPartner')
Ext.namespace('Lino.debts.BudgetsByPartner')
Ext.namespace('Lino.debts.EntriesByAccount')
Ext.namespace('Lino.debts.EntriesByBudget')
Ext.namespace('Lino.debts.ExpensesByBudget')
Ext.namespace('Lino.debts.IncomesByBudget')
Ext.namespace('Lino.debts.LiabilitiesByBudget')
Ext.namespace('Lino.debts.AssetsByBudget')
Ext.namespace('Lino.debts.DistByBudget')
Ext.namespace('Lino.notes.NotesByType')
Ext.namespace('Lino.notes.NotesByEventType')
Ext.namespace('Lino.notes.NotesByProject')
Ext.namespace('Lino.notes.NotesByCompany')
Ext.namespace('Lino.notes.NotesByPerson')
Ext.namespace('Lino.aids.GrantingsByClient')
Ext.namespace('Lino.aids.GrantingsByType')
Ext.namespace('Lino.aids.SimpleConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByGranting')
Ext.namespace('Lino.aids.IncomeConfirmationsByCategory')
Ext.namespace('Lino.aids.RefundConfirmationsByGranting')
Ext.namespace('Lino.esf.SummariesByClient')
Ext.namespace('Lino.dashboard.WidgetsByUser')
Ext.namespace('Lino.dupable_clients.WordsByOwner')
Ext.namespace('Lino.clients.ContactsByClient')
Ext.namespace('Lino.clients.ClientContactsByType')
Ext.namespace('Lino.clients.ClientContactsByCompany')
Ext.namespace('Lino.clients.ClientContactsByPerson')
Ext.namespace('Lino.gfks.HelpTextsByModel')
Ext.namespace('Lino.changes.ChangesByObject')
Ext.namespace('Lino.changes.ChangesByMaster')
Ext.namespace('Lino.checkdata.ProblemsByOwner')
Ext.namespace('Lino.excerpts.ExcerptsByOwner')
Ext.namespace('Lino.uploads.UploadsByController')
Ext.namespace('Lino.outbox.MailsByController')
Ext.namespace('Lino.outbox.AttachmentsByController')
Ext.namespace('Lino.cal.TasksByController')
Ext.namespace('Lino.cal.EntriesByController')
Ext.namespace('Lino.isip.DelegatedTasksByContract')
Ext.namespace('Lino.isip.EntriesByContract')
Ext.namespace('Lino.notes.NotesByOwner')
Ext.namespace('Lino.about.SiteSearch')
Ext.namespace('Lino.gfks.BrokenGFKs')
Ext.namespace('Lino.gfks.BrokenGFKsByModel')
Ext.namespace('Lino.reception.FindDateByClientTable')
Ext.namespace('Lino.ledger.ExpectedMovements')
Ext.namespace('Lino.ledger.DebtsByAccount')
Ext.namespace('Lino.ledger.DebtsByPartner')
Ext.namespace('Lino.ledger.Debtors')
Ext.namespace('Lino.ledger.Creditors')
Ext.namespace('Lino.vatless.VouchersByPartner')
Ext.namespace('Lino.finan.SuggestionsByVoucher')
Ext.namespace('Lino.finan.SuggestionsByJournalEntry')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrder')
Ext.namespace('Lino.finan.SuggestionsByBankStatement')
Ext.namespace('Lino.finan.SuggestionsByVoucherItem')
Ext.namespace('Lino.finan.SuggestionsByBankStatementItem')
Ext.namespace('Lino.finan.SuggestionsByPaymentOrderItem')
Ext.namespace('Lino.integ.UsersWithClients')
Ext.namespace('Lino.integ.CompareRequestsTable')
Ext.namespace('Lino.integ.PeriodicNumbers')
Ext.namespace('Lino.integ.ContractsByType')
Ext.namespace('Lino.users.UserRoles')
Ext.namespace('Lino.cbss.IdentifyPersonResult')
Ext.namespace('Lino.cbss.RetrieveTIGroupsResult')
Ext.namespace('Lino.debts.PrintEntriesByBudget')
Ext.namespace('Lino.debts.SummaryTable')
Ext.namespace('Lino.debts.ResultByBudget')
Ext.namespace('Lino.debts.DebtsByBudget')
Ext.namespace('Lino.debts.AssetsByBudgetSummary')
Ext.namespace('Lino.aids.ConfirmationsByGranting')
Ext.namespace('Lino.dupable_clients.SimilarClients')
Ext.namespace('Lino.about.About')
Ext.namespace('Lino.extensible.CalendarPanel')
Ext.namespace('Lino.jobs.JobsOverview')
Ext.namespace('Lino.ledger.Situation')
Ext.namespace('Lino.integ.ActivityReport')
Ext.namespace('Lino.system.YesNo')
Ext.namespace('Lino.system.Genders')
Ext.namespace('Lino.system.PeriodEvents')
Ext.namespace('Lino.checkdata.Checkers')
Ext.namespace('Lino.printing.BuildMethods')
Ext.namespace('Lino.users.UserTypes')
Ext.namespace('Lino.about.TimeZones')
Ext.namespace('Lino.xl.Priorities')
Ext.namespace('Lino.countries.PlaceTypes')
Ext.namespace('Lino.uploads.Shortcuts')
Ext.namespace('Lino.uploads.UploadAreas')
Ext.namespace('Lino.contacts.PartnerEvents')
Ext.namespace('Lino.contacts.CivilStates')
Ext.namespace('Lino.notify.MessageTypes')
Ext.namespace('Lino.notify.MailModes')
Ext.namespace('Lino.changes.ChangeTypes')
Ext.namespace('Lino.properties.DoYouLike')
Ext.namespace('Lino.properties.HowWell')
Ext.namespace('Lino.addresses.AddressTypes')
Ext.namespace('Lino.addresses.DataSources')
Ext.namespace('Lino.excerpts.Shortcuts')
Ext.namespace('Lino.cal.DisplayColors')
Ext.namespace('Lino.cal.Weekdays')
Ext.namespace('Lino.cal.YearMonths')
Ext.namespace('Lino.cal.DurationUnits')
Ext.namespace('Lino.cal.Recurrencies')
Ext.namespace('Lino.cal.AccessClasses')
Ext.namespace('Lino.cal.PlannerColumns')
Ext.namespace('Lino.cal.TaskStates')
Ext.namespace('Lino.cal.GuestStates')
Ext.namespace('Lino.cal.EventEvents')
Ext.namespace('Lino.cal.EntryStates')
Ext.namespace('Lino.clients.ClientEvents')
Ext.namespace('Lino.clients.ClientStates')
Ext.namespace('Lino.clients.KnownContactTypes')
Ext.namespace('Lino.outbox.RecipientTypes')
Ext.namespace('Lino.cal.ReservationStates')
Ext.namespace('Lino.notes.SpecialTypes')
Ext.namespace('Lino.cv.EducationEntryStates')
Ext.namespace('Lino.cv.HowWell')
Ext.namespace('Lino.cv.CefLevel')
Ext.namespace('Lino.beid.ResidenceTypes')
Ext.namespace('Lino.beid.BeIdCardTypes')
Ext.namespace('Lino.cbss.RequestStates')
Ext.namespace('Lino.cbss.ManageActions')
Ext.namespace('Lino.cbss.QueryRegisters')
Ext.namespace('Lino.cbss.RequestLanguages')
Ext.namespace('Lino.pcsw.RefusalReasons')
Ext.namespace('Lino.households.MemberDependencies')
Ext.namespace('Lino.households.MemberRoles')
Ext.namespace('Lino.isip.ContractEvents')
Ext.namespace('Lino.isip.OverlapGroups')
Ext.namespace('Lino.jobs.CandidatureStates')
Ext.namespace('Lino.ledger.DC')
Ext.namespace('Lino.ledger.JournalGroups')
Ext.namespace('Lino.ledger.PeriodStates')
Ext.namespace('Lino.ledger.CommonAccounts')
Ext.namespace('Lino.ledger.VoucherTypes')
Ext.namespace('Lino.ledger.TradeTypes')
Ext.namespace('Lino.ledger.VoucherStates')
Ext.namespace('Lino.sepa.AccountTypes')
Ext.namespace('Lino.art61.Subsidizations')
Ext.namespace('Lino.xcourses.CourseRequestStates')
Ext.namespace('Lino.humanlinks.LinkTypes')
Ext.namespace('Lino.debts.AccountTypes')
Ext.namespace('Lino.debts.TableLayouts')
Ext.namespace('Lino.aids.ConfirmationTypes')
Ext.namespace('Lino.aids.AidRegimes')
Ext.namespace('Lino.aids.ConfirmationStates')
Ext.namespace('Lino.esf.ParticipationCertificates')
Ext.namespace('Lino.esf.StatisticalFields')

// ChoiceLists: 
Lino.system.YesNo = [ [ "y", "Ja" ], [ "n", "Nein" ] ];
Lino.system.Genders = [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ];
Lino.system.PeriodEvents = [ [ "10", "Beginnt" ], [ "20", "Ist aktiv" ], [ "30", "Ended" ] ];
Lino.checkdata.Checkers = [ [ "addresses.AddressOwnerChecker", "Adressen pr\u00fcfen" ], [ "aids.ConfirmationChecker", "Check for confirmations outside of granted period" ], [ "beid.SSINChecker", "Check for invalid SSINs" ], [ "cal.ConflictingEventsChecker", "Auf Termin\u00fcberschneidungen pr\u00fcfen" ], [ "cal.EventGuestChecker", "Termine ohne Teilnehmer" ], [ "cal.LongEntryChecker", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge" ], [ "cal.ObsoleteEventTypeChecker", "Veraltete generierte Kalendereintr\u00e4ge" ], [ "coachings.ClientCoachingsChecker", "Begleitung pr\u00fcfen" ], [ "countries.PlaceChecker", "Check data of geographical places." ], [ "dupable_clients.SimilarClientsChecker", "Dublettenkontrolle" ], [ "finan.FinancialVoucherItemChecker", "Check for invalid account/partner combination" ], [ "isip.OverlappingContractsChecker", "auf Vertrags\u00fcberschneidungen pr\u00fcfen" ], [ "ledger.VoucherChecker", "Check integrity of ledger vouchers" ], [ "mixins.DupableChecker", "Sind die phonetischen W\u00f6rter aktualisiert?" ], [ "printing.CachedPrintableChecker", "Check for missing target files" ], [ "sepa.BankAccountChecker", "Check for partner mismatches in bank accounts" ], [ "system.BleachChecker", "Find unbleached html content" ], [ "uploads.UploadChecker", "Check metadata of upload files" ], [ "uploads.UploadsFolderChecker", "Find orphaned files in uploads folder" ] ];
Lino.printing.BuildMethods = [ [ "appydoc", "AppyDocBuildMethod" ], [ "appyodt", "AppyOdtBuildMethod" ], [ "appypdf", "AppyPdfBuildMethod" ], [ "appyrtf", "AppyRtfBuildMethod" ], [ "latex", "LatexBuildMethod" ], [ "rtf", "RtfBuildMethod" ], [ "weasy2html", "WeasyHtmlBuildMethod" ], [ "weasy2pdf", "WeasyPdfBuildMethod" ], [ "xml", "XmlBuildMethod" ] ];
Lino.users.UserTypes = [ [ "000", "000 (000 (Anonym))" ], [ "100", "100 (100 (Begleiter im DSBE))" ], [ "110", "110 (110 (Sozialarbeiter DSBE (Verwalter)))" ], [ "120", "120 (120 (Sozialarbeiter DSBE (flexibel)))" ], [ "200", "200 (200 (Berater Erstempfang))" ], [ "210", "210 (210 (Empfangsschalter))" ], [ "220", "220 (220 (Empfangsschalter (flexibel)))" ], [ "300", "300 (300 (Schuldenberater))" ], [ "400", "400 (400 (Sozi))" ], [ "410", "410 (410 (Sozialarbeiter (Verwalter)))" ], [ "420", "420 (420 (Sozialarbeiter ASD (flexibel)))" ], [ "500", "500 (500 (Buchhalter))" ], [ "510", "510 (510 (Buchhalter (Verwalter)))" ], [ "800", "800 (800 (Supervisor))" ], [ "900", "900 (900 (Verwalter))" ], [ "910", "910 (910 (Security advisor))" ] ];
Lino.about.TimeZones = [ [ "01", "UTC" ] ];
Lino.xl.Priorities = [ [ "10", "Kritisch" ], [ "20", "Hoch" ], [ "30", "Normal" ], [ "40", "Niedrig" ], [ "50", "Very Low" ] ];
Lino.countries.PlaceTypes = [ [ "10", "Bundesland" ], [ "11", "Division" ], [ "12", "Region" ], [ "13", "Gemeinschaft" ], [ "14", "Territorium" ], [ "20", "Regierungsbezirk" ], [ "21", "Provinz" ], [ "22", "Grafschaft" ], [ "23", "Unterregion" ], [ "24", "Departement" ], [ "25", "Arrondissement" ], [ "26", "Pr\u00e4fektur" ], [ "27", "Distrikt" ], [ "28", "Sektor" ], [ "50", "Stadt" ], [ "51", "Kleinstadt" ], [ "52", "Gemeinde" ], [ "54", "Pfarre" ], [ "55", "Stadtteil" ], [ "56", "Viertel" ], [ "61", "Ortschaft" ], [ "62", "Kleine Ortschaft" ], [ "70", "Dorf" ] ];
Lino.uploads.Shortcuts = [ [ "pcsw.Client.id_document", "Identifizierendes Dokument" ] ];
Lino.uploads.UploadAreas = [ [ "10", "Vertrag" ], [ "90", "Allgemein" ] ];
Lino.contacts.PartnerEvents = [ [ "has_open_movements", "Has open movements" ] ];
Lino.contacts.CivilStates = [ [ "10", "Ledig" ], [ "20", "Verheiratet" ], [ "30", "Verwitwet" ], [ "40", "Geschieden" ], [ "50", "Getrennt von Tisch und Bett" ], [ "51", "Faktisch getrennt" ], [ "60", "Zusammenwohnend" ] ];
Lino.notify.MessageTypes = [ [ "system", "Systemereignis" ], [ "change", "\u00c4nderung" ], [ "reception", "Empfang" ], [ "coachings", "Begleitungen" ], [ "notes", "Notes" ] ];
Lino.notify.MailModes = [ [ "silent", "Keine Benachrichtigungen" ], [ "never", "Keine E-Mails" ], [ "often", "Direkte E-Mail" ], [ "daily", "Eine E-Mail pro Tag" ], [ "weekly", "Eine E-Mail pro Woche" ] ];
Lino.changes.ChangeTypes = [ [ "C", "Erstellen" ], [ "U", "Aktualisierung" ], [ "D", "L\u00f6schen" ], [ "R", "Remove child" ], [ "A", "Add child" ], [ "M", "Fusionieren" ] ];
Lino.properties.DoYouLike = [ [ "0", "blo\u00df nicht" ], [ "1", "eher nicht" ], [ "2", "normal" ], [ "3", "gerne" ], [ "4", "sehr gerne" ] ];
Lino.properties.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.addresses.AddressTypes = [ [ "01", "Offizielle Adresse" ], [ "02", "Ungepr\u00fcfte Adresse" ], [ "03", "Deklarierte Addresse" ], [ "04", "Referenzadresse" ], [ "98", "Veraltet" ], [ "99", "Sonstige" ] ];
Lino.addresses.DataSources = [ [ "01", "Manuell eingegeben" ], [ "02", "Eingelesen von eID-Karte" ] ];
Lino.excerpts.Shortcuts = [ [ "pcsw.Client.cvs_emitted", "Erstellte Lebensl\u00e4ufe" ] ];
Lino.cal.DisplayColors = [ [ "White", "White" ], [ "Silver", "Silver" ], [ "Gray", "Gray" ], [ "Black", "Black" ], [ "Red", "Red" ], [ "Maroon", "Maroon" ], [ "Yellow", "Yellow" ], [ "Olive", "Olive" ], [ "Lime", "Lime" ], [ "Green", "Green" ], [ "Aqua", "Aqua" ], [ "Teal", "Teal" ], [ "Blue", "Blue" ], [ "Navy", "Navy" ], [ "Fuchsia", "Fuchsia" ], [ "Purple", "Purple" ] ];
Lino.cal.Weekdays = [ [ "1", "Montag" ], [ "2", "Dienstag" ], [ "3", "Mittwoch" ], [ "4", "Donnerstag" ], [ "5", "Freitag" ], [ "6", "Samstag" ], [ "7", "Sonntag" ] ];
Lino.cal.YearMonths = [ [ "1", "Januar" ], [ "2", "Februar" ], [ "3", "M\u00e4rz" ], [ "4", "April" ], [ "5", "Mai" ], [ "6", "Juni" ], [ "7", "Juli" ], [ "8", "August" ], [ "9", "September" ], [ "10", "Oktober" ], [ "11", "November" ], [ "12", "Dezember" ] ];
Lino.cal.DurationUnits = [ [ "s", "Sekunden" ], [ "m", "Minuten" ], [ "h", "Stunden" ], [ "D", "Tage" ], [ "W", "Wochen" ], [ "M", "Monate" ], [ "Y", "Jahre" ] ];
Lino.cal.Recurrencies = [ [ "O", "einmalig" ], [ "D", "t\u00e4glich" ], [ "W", "w\u00f6chentlich" ], [ "M", "monatlich" ], [ "Y", "j\u00e4hrlich" ], [ "P", "pro Wochentag" ], [ "E", "Beweglich mit Ostern" ] ];
Lino.cal.AccessClasses = [ [ "10", "Privat" ], [ "20", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")" ], [ "30", "\u00d6ffentlich" ] ];
Lino.cal.PlannerColumns = [ [ "10", "Extern" ], [ "20", "Intern" ] ];
Lino.cal.TaskStates = [ [ "10", "Zu tun" ], [ "15", "Wichtig" ], [ "20", "Begonnen" ], [ "30", "Erledigt" ], [ "50", "Storniert" ] ];
Lino.cal.GuestStates = [ [ "10", "Eingeladen" ], [ "20", "Zugesagt" ], [ "30", "Abgesagt" ], [ "40", "Anwesend" ], [ "44", "Wartet" ], [ "45", "Besch\u00e4ftigt" ], [ "46", "Gegangen" ], [ "50", "Abwesend" ], [ "60", "Entschuldigt" ] ];
Lino.cal.EventEvents = [ [ "10", "Stabil" ], [ "20", "Unstabil" ] ];
Lino.cal.EntryStates = [ [ "10", "Vorschlag" ], [ "20", "Entwurf" ], [ "40", "Ver\u00f6ffentlicht" ], [ "50", "Stattgefunden" ], [ "70", "Storniert" ] ];
Lino.clients.ClientEvents = [ [ "created", "Erstellt" ], [ "modified", "Bearbeitet" ], [ "note", "Notiz" ], [ "dispense", "Dispenz" ], [ "penalty", "AG-Sperre" ], [ "active", "Begleitung" ], [ "isip", "VSE" ], [ "jobs", "Art.60\u00a77-Konvention" ], [ "available", "Verf\u00fcgbar" ], [ "art61", "Art.61-Konvention" ] ];
Lino.clients.ClientStates = [ [ "10", "Neuantrag" ], [ "20", "Abgelehnt" ], [ "30", "Begleitet" ], [ "50", "Ehemalig" ] ];
Lino.clients.KnownContactTypes = [ [ "10", "Begleiter" ], [ "20", "Sonstige" ] ];
Lino.outbox.RecipientTypes = [ [ "to", "Empf\u00e4nger" ], [ "cc", "Kopie an" ], [ "bcc", "Blindkopie an" ] ];
Lino.cal.ReservationStates = [  ];
Lino.notes.SpecialTypes = [ [ "100", "Erstgespr\u00e4ch" ] ];
Lino.cv.EducationEntryStates = [ [ "0", "Erfolgreich abgeschlossen" ], [ "1", "Abbruch" ], [ "2", "in Gang" ] ];
Lino.cv.HowWell = [ [ "0", "gar nicht" ], [ "1", "ein bisschen" ], [ "2", "mittelm\u00e4\u00dfig" ], [ "3", "gut" ], [ "4", "sehr gut" ] ];
Lino.cv.CefLevel = [ [ "A0", "A0" ], [ "A1", "A1" ], [ "A1+", "A1+" ], [ "A2", "A2" ], [ "A2+", "A2+" ], [ "B1", "B1" ], [ "B2", "B2" ], [ "B2+", "B2+" ], [ "C1", "C1" ], [ "C2", "C2" ], [ "C2+", "C2+" ] ];
Lino.beid.ResidenceTypes = [ [ "1", "Bev\u00f6lkerungsregister" ], [ "2", "Fremdenregister" ], [ "3", "Warteregister" ] ];
Lino.beid.BeIdCardTypes = [ [ "01", "Belgischer Staatsb\u00fcrger" ], [ "06", "Kind unter 12 Jahren" ], [ "11", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)" ], [ "12", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)" ], [ "13", "C (Personalausweis f\u00fcr Ausl\u00e4nder)" ], [ "14", "D (Daueraufenthalt - EG)" ], [ "15", "E (Anmeldebescheinigung)" ], [ "16", "E+" ], [ "17", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)" ], [ "18", "F+" ], [ "99", "Eintragungsbescheinigung (Orange Karte)" ] ];
Lino.cbss.RequestStates = [ [ "10", "Versendet" ], [ "20", "Fehlgeschlagen" ], [ "25", "Validiert" ], [ "30", "OK" ], [ "40", "Warnungen" ], [ "50", "Fehlermeldungen" ] ];
Lino.cbss.ManageActions = [ [ "1", "Registrieren" ], [ "2", "Austragen" ], [ "3", "Auflisten" ] ];
Lino.cbss.QueryRegisters = [ [ "1", "Prim\u00e4r" ], [ "2", "Sekund\u00e4r" ], [ "3", "Alle" ] ];
Lino.cbss.RequestLanguages = [ [ "nl", "Niederl\u00e4ndisch" ], [ "fr", "Franz\u00f6sisch" ], [ "de", "Deutsch" ] ];
Lino.pcsw.RefusalReasons = [ [ "10", "Information (keine Begleitung erforderlich)" ], [ "20", "\u00d6SHZ ist nicht zust\u00e4ndig" ], [ "30", "Antragsteller ist nicht zur\u00fcck gekommen" ] ];
Lino.households.MemberDependencies = [ [ "01", "Zu Lasten" ], [ "02", "Nicht zu Lasten" ], [ "03", "Lasten geteilt" ] ];
Lino.households.MemberRoles = [ [ "01", "Vorstand" ], [ "02", "Ehepartner" ], [ "03", "Partner" ], [ "04", "Mitbewohner" ], [ "05", "Kind" ], [ "06", "Verwandt" ], [ "07", "Adoptivkind" ], [ "08", "Pflegekind" ], [ "10", "Sonstige" ] ];
Lino.isip.ContractEvents = [ [ "10", "Aktiv" ], [ "20", "Gestartet" ], [ "30", "Beendet" ], [ "40", "Beschlossen" ], [ "50", "Ausgestellt" ] ];
Lino.isip.OverlapGroups = [ [ "10", "Vorstrafen" ], [ "20", "Ausbildungen" ] ];
Lino.jobs.CandidatureStates = [ [ "10", "Aktiv" ], [ "20", "Probezeit" ], [ "25", "Probezeit ohne Erfolg" ], [ "27", "Arbeitet" ], [ "30", "Inaktiv" ] ];
Lino.ledger.DC = [ [ "D", "Debit" ], [ "C", "Kredit" ] ];
Lino.ledger.JournalGroups = [ [ "10", "Bestellungen Einkauf" ], [ "20", "Rechnungseing\u00e4nge" ], [ "30", "Forderungen" ], [ "40", "Ausgabeanweisungen" ], [ "50", "Zahlungsauftr\u00e4ge" ] ];
Lino.ledger.PeriodStates = [ [ "10", "In Bearbeitung" ], [ "20", "Abgeschlossen" ] ];
Lino.ledger.CommonAccounts = [ [ "1000", "Net income (loss)" ], [ "4000", "Kunden" ], [ "4100", "Lieferanten" ], [ "4200", "Angestellte" ], [ "4300", "Offene Zahlungsauftr\u00e4ge" ], [ "4450", "Auszuf\u00fchrende Ausgabeanweisungen" ], [ "4500", "Steuer\u00e4mter" ], [ "4510", "Geschuldete Mehrwertsteuer" ], [ "4513", "Deklarierte Mehrwertsteuer" ], [ "4520", "Abziehbare Mehrwertsteuer" ], [ "4530", "R\u00fcckzahlbare Mehrwertsteuer" ], [ "4800", "Internal clearings" ], [ "4810", "Granted aids" ], [ "4900", "Wartekonto" ], [ "5500", "BestBank" ], [ "5700", "Kasse" ], [ "6010", "Eink\u00e4ufe von Dienstleistungen" ], [ "6020", "Investierungsk\u00e4ufe" ], [ "6040", "Wareneink\u00e4ufe" ], [ "6300", "L\u00f6hne und Geh\u00e4lter" ], [ "6900", "Net income" ], [ "7000", "Verkauf" ], [ "7900", "Net loss" ] ];
Lino.ledger.VoucherTypes = [ [ "finan.BankStatementsByJournal", "Kontoauszug (finan.BankStatementsByJournal)" ], [ "finan.DisbursementOrdersByJournal", "Ausgabeanweisungen" ], [ "finan.JournalEntriesByJournal", "Diverse Buchung (finan.JournalEntriesByJournal)" ], [ "finan.PaymentOrdersByJournal", "Zahlungsauftrag (finan.PaymentOrdersByJournal)" ], [ "vatless.InvoicesByJournal", "Rechnungen" ], [ "vatless.ProjectInvoicesByJournal", "Project invoices" ] ];
Lino.ledger.TradeTypes = [ [ "P", "Einkauf" ], [ "A", "Hilfen" ], [ "C", "Begleichungen" ] ];
Lino.ledger.VoucherStates = [ [ "10", "Entwurf" ], [ "20", "Registriert" ], [ "30", "Unterschrieben" ], [ "40", "Storniert" ] ];
Lino.sepa.AccountTypes = [ [ "01", "Giro" ], [ "02", "Sparkonto" ], [ "03", "Deposits" ], [ "04", "Sonstige" ] ];
Lino.art61.Subsidizations = [ [ "10", "Activa" ], [ "20", "Tutorate" ], [ "30", "Walloon Region" ], [ "40", "SINE" ], [ "50", "PTP" ] ];
Lino.xcourses.CourseRequestStates = [ [ "10", "Offen" ], [ "20", "Eingetragen" ], [ "30", "Bestanden" ], [ "40", "Gut bestanden" ], [ "50", "Nicht bestanden" ], [ "60", "Abgebrochen" ], [ "70", "Inaktiv" ] ];
Lino.humanlinks.LinkTypes = [ [ "01", "Vater(Mutter)" ], [ "02", "Adoptivvater(Adoptivmutter)" ], [ "03", "Gro\u00dfvater(Gro\u00dfmutter)" ], [ "05", "Ehemann(Ehefrau)" ], [ "06", "Freund(Freundin)" ], [ "07", "Partner(Partnerin)" ], [ "08", "Stiefvater(Stiefmutter)" ], [ "09", "Pflegevater(Pflegemutter)" ], [ "10", "Bruder(Schwester)" ], [ "11", "Vetter(Kusine)" ], [ "12", "Onkel(Tante)" ], [ "80", "Verwandter(Verwandte)" ], [ "90", "Sonstiger(Sonstige)" ] ];
Lino.debts.AccountTypes = [ [ "A", "Verm\u00f6gen" ], [ "L", "Verpflichtungen" ], [ "C", "Capital" ], [ "I", "Incomes" ], [ "E", "Ausgaben" ] ];
Lino.debts.TableLayouts = [ [ "10", "Description, remarks, yearly amount, actor amounts" ], [ "11", "Description, remarks, actor amounts" ], [ "20", "Partner, remarks, monthly rate, actor amounts" ], [ "30", "Full description, actor amounts" ], [ "40", "Debt-collector, partner, remarks, monthly rate, amounts" ] ];
Lino.aids.ConfirmationTypes = [ [ "aids.SimpleConfirmation", "Einfache Bescheinigung (aids.SimpleConfirmation)" ], [ "aids.IncomeConfirmation", "Einkommensbescheinigung (aids.IncomeConfirmation)" ], [ "aids.RefundConfirmation", "Kosten\u00fcbernahmeschein (aids.RefundConfirmation)" ] ];
Lino.aids.AidRegimes = [ [ "10", "Finanzielle Hilfen" ], [ "20", "Gesundheitshilfen" ], [ "30", "Sonstige Hilfen" ] ];
Lino.aids.ConfirmationStates = [ [ "01", "Unbest\u00e4tigt" ], [ "02", "Best\u00e4tigt" ] ];
Lino.esf.ParticipationCertificates = [ [ "10", "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ] ];
Lino.esf.StatisticalFields = [ [ "10", "Informative sessions" ], [ "20", "Individual consultation" ], [ "21", "Evaluation of external training" ], [ "30", "Certified integration service" ], [ "40", "Level tests" ], [ "41", "IT basics" ], [ "42", "Mobility" ], [ "43", "Remedial teaching" ], [ "44", "Wake up!" ], [ "50", "Getting a professional situation" ], [ "60", "Cyber Job" ], [ "70", "Art 60\u00a77 job supplyment" ] ];

Lino.contacts.Persons.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var gender1 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var also_obsolete2 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(contacts.Persons.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel3 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": gender1, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": also_obsolete2, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel3 ];
    this.fields = [ gender1, also_obsolete2 ];
    Lino.contacts.Persons.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user7 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(jobs.Contracts.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type8 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var start_date9 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(jobs.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date10 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event11 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(jobs.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel12 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user7, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type8, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date9, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date10, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event11, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company18 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var ending_success19 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(jobs.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending20 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var main_2_panel21 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company18, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success19, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending20, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel12, main_2_panel21 ];
    this.fields = [ user7, type8, start_date9, end_date10, observed_event11, company18, ending_success19, ending20 ];
    Lino.jobs.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user26 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(isip.Contracts.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type27 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "VSE-Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("VSE-Art","(isip.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var start_date28 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(isip.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date29 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event30 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel31 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user26, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type27, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date28, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date29, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event30, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company37 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/company" }) }) });
    var study_type38 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var ending_success39 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending40 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var main_2_panel41 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": company37, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": study_type38, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending_success39, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": ending40, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel31, main_2_panel41 ];
    this.fields = [ user26, type27, start_date28, end_date29, observed_event30, company37, study_type38, ending_success39, ending40 ];
    Lino.isip.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.MyEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date47 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.MyEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date48 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.MyEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event49 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.MyEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state50 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.MyEntries.state) Show only entries having this state.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel51 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date47, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date48, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event49, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state50, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user56 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.MyEntries.user) Show only entries having this user as author.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }), "value": null });
    var assigned_to57 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.MyEntries.assigned_to) Show only entries assigned to this user.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }), "value": null });
    var project58 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.MyEntries.project) Show only entries assigned to this project, where project is defined by\nlino.core.site.Site.project_model.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }), "value": null });
    var event_type59 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.MyEntries.event_type) Show only entries having this type.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }), "value": null });
    var room60 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.MyEntries.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }), "value": null });
    var show_appointments61 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.MyEntries.show_appointments) Whether only appointments should be shown.  \"Yes\" means only\nappointments, \"No\" means no appointments and leaving it to\nblank shows both types of events.") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel62 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user56, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to57, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project58, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type59, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room60, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments61, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel51, main_2_panel62 ];
    this.fields = [ start_date47, end_date48, observed_event49, state50, user56, assigned_to57, project58, event_type59, room60, show_appointments61 ];
    Lino.cal.MyEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date70 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Experiences.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date71 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Experiences.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event72 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Experiences.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date70, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date71, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event72, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date70, end_date71, observed_event72 ];
    Lino.cv.Experiences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var project77 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }), "value": null });
    var user78 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project77, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user78, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project77, user78 ];
    Lino.outbox.Mails.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerBalancesByTradeType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_period82 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerBalancesByTradeType.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/start_period" }) }) });
    var end_period83 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.PartnerBalancesByTradeType.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerBalancesByTradeType/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period82, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period83, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period82, end_period83 ];
    Lino.ledger.PartnerBalancesByTradeType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.CandidaturesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var state87 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.CandidaturesByOffer.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job88 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.CandidaturesByOffer.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }), "value": null });
    var function89 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.CandidaturesByOffer.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/function" }) }), "value": null });
    var person90 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.CandidaturesByOffer.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state87, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job88, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function89, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person90, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state87, job88, function89, person90 ];
    Lino.jobs.CandidaturesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.dashboard.Widgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user96 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user96, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user96 ];
    Lino.dashboard.Widgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notify.Messages.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user99 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(notify.Messages.user) The recipient.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/user" }) }), "value": null });
    var show_seen100 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gelesen", "forceSelection": true, "hiddenName": "show_seenHidden", "listeners": { "render": Lino.quicktip_renderer("Gelesen","(notify.Messages.show_seen) ") }, "name": "show_seen", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var start_date101 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(notify.Messages.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date102 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(notify.Messages.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 32, "items": user99, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": show_seen100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": start_date101, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": end_date102, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user99, show_seen100, start_date101, end_date102 ];
    Lino.notify.Messages.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var date108 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Only changes from", "listeners": { "render": Lino.quicktip_renderer("Only changes from","(changes.Changes.date) ") }, "name": "date", "selectOnFocus": true });
    var user109 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var change_type110 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": false, "hiddenName": "change_typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.change_type) ") }, "name": "change_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.changes.ChangeTypes) });
    var object_type111 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "Object type", "hiddenName": "object_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Object type","(changes.Changes.object_type) ") }, "name": "object_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.gfks.ContentTypes.detail,null)}, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_type" }) }) });
    var object_id112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Object ID", "hiddenName": "object_idHidden", "listeners": { "render": Lino.quicktip_renderer("Object ID","(changes.Changes.object_id) ") }, "name": "object_id", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/object_id" }) }) });
    var main_1_panel113 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": date108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": change_type110, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": object_type111, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_id112, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel113 ];
    this.fields = [ date108, user109, change_type110, object_type111, object_id112 ];
    Lino.changes.Changes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Subscriptions.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user120 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Subscriptions.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Subscriptions/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user120, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user120 ];
    Lino.cal.Subscriptions.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date123 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Trainings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date124 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Trainings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event125 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Trainings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date123, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date124, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event125, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date123, end_date124, observed_event125 ];
    Lino.cv.Trainings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.DelegatedTasksByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date130 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.DelegatedTasksByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date131 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.DelegatedTasksByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user132 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.DelegatedTasksByContract.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/user" }) }), "value": null });
    var project133 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.DelegatedTasksByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/DelegatedTasksByContract/project" }) }), "value": null });
    var state134 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.DelegatedTasksByContract.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date130, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state134, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date130, end_date131, user132, project133, state134 ];
    Lino.isip.DelegatedTasksByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Competences.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user141 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzer</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(newcomers.Competences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/Competences/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user141, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user141 ];
    Lino.newcomers.Competences.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var observed_event144 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(contacts.Partners.observed_event) Extended filter criteria") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.PartnerEvents) });
    var start_date145 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(contacts.Partners.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date146 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(contacts.Partners.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 44, "items": observed_event144, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_date145, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_date146, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event144, start_date145, end_date146 ];
    Lino.contacts.Partners.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.Authorities.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user151 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(users.Authorities.user) The user who gives the right of representation. author of this\nauthority") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Authorities/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user151, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user151 ];
    Lino.users.Authorities.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user154 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user154, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user154 ];
    Lino.tinymce.TextFieldTemplates.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var today157 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverview.today) ") }, "name": "today", "selectOnFocus": true });
    var job_type158 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "job_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.JobsOverview.job_type) ") }, "name": "job_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobTypes.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverview/job_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": today157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": job_type158, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today157, job_type158 ];
    Lino.jobs.JobsOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_period162 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.DisbursementOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/start_period" }) }) });
    var end_period163 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.DisbursementOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/end_period" }) }) });
    var state164 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user165 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period162, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state164, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user165, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period162, end_period163, state164, user165 ];
    Lino.finan.DisbursementOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user_type171 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.AllUsers.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date172 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.AllUsers.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date173 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.AllUsers.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type171, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date172, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date173, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type171, start_date172, end_date173 ];
    Lino.users.AllUsers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user178, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user178 ];
    Lino.debts.Budgets.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user181 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }), "value": null });
    var checker182 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.checkdata.Checkers), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": user181, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": checker182, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user181, checker182 ];
    Lino.checkdata.Problems.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date186 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AccountingPeriods.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date187 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.AccountingPeriods.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date187, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date186, end_date187 ];
    Lino.ledger.AccountingPeriods.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PartnerVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var partner191 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.PartnerVouchers.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/partner" }) }) });
    var project192 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.PartnerVouchers.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/project" }) }) });
    var state193 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(ledger.PartnerVouchers.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal194 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.PartnerVouchers.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/journal" }) }) });
    var start_period195 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.PartnerVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/start_period" }) }) });
    var end_period196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.PartnerVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/PartnerVouchers/end_period" }) }) });
    var cleared197 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.PartnerVouchers.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner191, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project192, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal194, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period195, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared197, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner191, project192, state193, journal194, start_period195, end_period196, cleared197 ];
    Lino.ledger.PartnerVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Situation.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var today206 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Situation.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today206, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today206 ];
    Lino.ledger.Situation.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var request_state209 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content210 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.course_content) ") }, "name": "course_content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_content" }) }) });
    var course_offer211 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.course_offer) ") }, "name": "course_offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_offer" }) }) });
    var course_provider212 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseRequests.course_provider) ") }, "name": "course_provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course_provider" }) }) });
    var coached_by213 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.CourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/coached_by" }) }) });
    var and_coached_by214 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.CourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/and_coached_by" }) }) });
    var nationality215 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.CourseRequests.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/nationality" }) }) });
    var observed_event216 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.CourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary217 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.CourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var also_obsolete218 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.CourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var start_date219 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.CourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date220 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.CourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from221 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.CourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to222 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.CourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var client_state223 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.client_state) If not empty, show only Clients whose client_state equals\nthe specified value.") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var client_contact_company224 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client contact organization</span>", "hiddenName": "client_contact_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Client contact organization","(xcourses.CourseRequests.client_contact_company) Only clients having a contact with that organization") }, "name": "client_contact_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/client_contact_company" }) }) });
    var gender225 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.CourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": request_state209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_content210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_offer211, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": course_provider212, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": coached_by213, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": and_coached_by214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": nationality215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": observed_event216, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": only_primary217, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 3, "items": also_obsolete218, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": start_date219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": end_date220, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_from221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 1, "items": aged_to222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": client_state223, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": client_contact_company224, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": gender225, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ request_state209, course_content210, course_offer211, course_provider212, coached_by213, and_coached_by214, nationality215, observed_event216, only_primary217, also_obsolete218, start_date219, end_date220, aged_from221, aged_to222, client_state223, client_contact_company224, gender225 ];
    Lino.xcourses.CourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AllVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var journal244 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.AllVouchers.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/journal" }) }) });
    var start_period245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.AllVouchers.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/start_period" }) }) });
    var end_period246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.AllVouchers.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/end_period" }) }) });
    var user247 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(ledger.AllVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/AllVouchers/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": journal244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_period245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user247, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ journal244, start_period245, end_period246, user247 ];
    Lino.ledger.AllVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user253 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user253, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user253 ];
    Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.PendingCourseRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var aged_from256 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(xcourses.PendingCourseRequests.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to257 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(xcourses.PendingCourseRequests.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender258 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(xcourses.PendingCourseRequests.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality259 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(xcourses.PendingCourseRequests.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/nationality" }) }) });
    var also_obsolete260 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(xcourses.PendingCourseRequests.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel261 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to257, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender258, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete260, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state267 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.client_state) If not empty, show only Clients whose client_state equals\nthe specified value.") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by268 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(xcourses.PendingCourseRequests.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/coached_by" }) }) });
    var and_coached_by269 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(xcourses.PendingCourseRequests.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/and_coached_by" }) }) });
    var start_date270 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(xcourses.PendingCourseRequests.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date271 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(xcourses.PendingCourseRequests.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event272 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(xcourses.PendingCourseRequests.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary273 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(xcourses.PendingCourseRequests.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel274 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by268, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by269, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date270, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date271, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary273, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_state282 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "request_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.PendingCourseRequests.request_state) ") }, "name": "request_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.xcourses.CourseRequestStates) });
    var course_content283 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "course_contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.PendingCourseRequests.course_content) ") }, "name": "course_content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_content" }) }) });
    var course_provider284 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "course_providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.PendingCourseRequests.course_provider) ") }, "name": "course_provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_provider" }) }) });
    var course_offer285 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "course_offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.PendingCourseRequests.course_offer) ") }, "name": "course_offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/PendingCourseRequests/course_offer" }) }) });
    var main_3_panel286 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": request_state282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_content283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_provider284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": course_offer285, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel261, main_2_panel274, main_3_panel286 ];
    this.fields = [ aged_from256, aged_to257, gender258, nationality259, also_obsolete260, client_state267, coached_by268, and_coached_by269, start_date270, end_date271, observed_event272, only_primary273, request_state282, course_content283, course_provider284, course_offer285 ];
    Lino.xcourses.PendingCourseRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Debtors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var today292 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Debtors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today292, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today292 ];
    Lino.ledger.Debtors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date295 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(cal.Guests.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date296 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Guests.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user297 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Guests.user) Only rows managed by this user.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/user" }) }) });
    var event_state298 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Termin</span>", "forceSelection": true, "hiddenName": "event_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Termin","(cal.Guests.event_state) Only rows on calendar entries having this state.") }, "name": "event_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates) });
    var guest_state299 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand Gast</span>", "forceSelection": true, "hiddenName": "guest_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand Gast","(cal.Guests.guest_state) Only rows having this guest state.") }, "name": "guest_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.GuestStates) });
    var main_1_panel300 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date295, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user297, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": event_state298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": guest_state299, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project306 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/project" }) }) });
    var partner307 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var main_2_panel308 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": project306, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": partner307, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel300, main_2_panel308 ];
    this.fields = [ start_date295, end_date296, user297, event_state298, guest_state299, project306, partner307 ];
    Lino.cal.Guests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date312 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(boards.Boards.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date313 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(boards.Boards.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date312, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date313, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date312, end_date313 ];
    Lino.boards.Boards.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrdersByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_period317 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.PaymentOrdersByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/start_period" }) }) });
    var end_period318 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.PaymentOrdersByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/end_period" }) }) });
    var state319 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.PaymentOrdersByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user320 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrdersByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrdersByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period317, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user320, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period317, end_period318, state319, user320 ];
    Lino.finan.PaymentOrdersByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.AllEntries.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date326 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.AllEntries.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date327 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.AllEntries.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event328 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cal.AllEntries.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var state329 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.AllEntries.state) Show only entries having this state.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var main_1_panel330 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_date326, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date327, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state329, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user335 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.AllEntries.user) Show only entries having this user as author.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/user" }) }), "value": null });
    var assigned_to336 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.AllEntries.assigned_to) Show only entries assigned to this user.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/assigned_to" }) }), "value": null });
    var project337 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.AllEntries.project) Show only entries assigned to this project, where project is defined by\nlino.core.site.Site.project_model.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/project" }) }), "value": null });
    var event_type338 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.AllEntries.event_type) Show only entries having this type.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/event_type" }) }), "value": null });
    var room339 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.AllEntries.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/AllEntries/room" }) }), "value": null });
    var show_appointments340 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Termine</span>", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(cal.AllEntries.show_appointments) Whether only appointments should be shown.  \"Yes\" means only\nappointments, \"No\" means no appointments and leaving it to\nblank shows both types of events.") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel341 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": user335, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": assigned_to336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": project337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": event_type338, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": room339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": show_appointments340, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel330, main_2_panel341 ];
    this.fields = [ start_date326, end_date327, observed_event328, state329, user335, assigned_to336, project337, event_type338, room339, show_appointments340 ];
    Lino.cal.AllEntries.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var client_state349 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(integ.Clients.client_state) If not empty, show only Clients whose client_state equals\nthe specified value.") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by350 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(integ.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/coached_by" }) }) });
    var and_coached_by351 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(integ.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/and_coached_by" }) }) });
    var start_date352 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date353 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event354 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(integ.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var main_1_panel355 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": client_state349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": and_coached_by351, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": start_date352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date353, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": observed_event354, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aged_from362 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(integ.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to363 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(integ.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender364 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(integ.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality365 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(integ.Clients.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/nationality" }) }) });
    var also_obsolete366 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(integ.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_2_panel367 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality365, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete366, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var language373 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "Sprachkenntnis", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnis","(integ.Clients.language) ") }, "name": "language", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.languages.Languages.detail,null)}, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/language" }) }) });
    var wanted_property374 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.Properties.detail", "emptyText": "Eigenschaft ausw\u00e4hlen...", "fieldLabel": "Erw\u00fcnschte Eigenschaft", "hiddenName": "wanted_propertyHidden", "listeners": { "render": Lino.quicktip_renderer("Erw\u00fcnschte Eigenschaft","(integ.Clients.wanted_property) ") }, "name": "wanted_property", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.Properties.detail,null)}, "pageSize": 20, "related_actor_id": "properties.Properties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/wanted_property" }) }) });
    var group375 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "Integrationsphase", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(integ.Clients.group) ") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/integ/Clients/group" }) }) });
    var only_active376 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur aktive Klienten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur aktive Klienten","(integ.Clients.only_active) Show only clients in 'active' integration phases") }, "name": "only_active", "selectOnFocus": true });
    var only_primary377 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(integ.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_3_panel378 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": language373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": wanted_property374, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": group375, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_active376, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": only_primary377, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel355, main_2_panel367, main_3_panel378 ];
    this.fields = [ client_state349, coached_by350, and_coached_by351, start_date352, end_date353, observed_event354, aged_from362, aged_to363, gender364, nationality365, also_obsolete366, language373, wanted_property374, group375, only_active376, only_primary377 ];
    Lino.integ.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user385 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user385, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user385 ];
    Lino.cbss.ManageAccessRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user388 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Show only entries having this user as author.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }), "value": null });
    var event_type389 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) Show only entries having this type.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }), "value": null });
    var room390 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }), "value": null });
    var project391 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Show only entries assigned to this project, where project is defined by\nlino.core.site.Site.project_model.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }), "value": null });
    var presence_guest392 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.Events.presence_guest) Show only entries that have a presence for the specified guest.") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room390, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project391, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest392, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user388, event_type389, room390, project391, presence_guest392 ];
    Lino.cal.Events.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date399 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date400 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event401 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.SimpleConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board402 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.SimpleConfirmations.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/board" }) }) });
    var signer403 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var user404 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }), "value": null });
    var main_1_panel405 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event401, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user404, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type412 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.SimpleConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/aid_type" }) }) });
    var state413 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.SimpleConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client414 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }), "value": null });
    var gender415 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.SimpleConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel416 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel405, main_2_panel416 ];
    this.fields = [ start_date399, end_date400, observed_event401, board402, signer403, user404, aid_type412, state413, client414, gender415 ];
    Lino.aids.SimpleConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date422 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cv.Studies.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date423 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cv.Studies.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event424 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(cv.Studies.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    this.items = [ { "autoHeight": true, "flex": 31, "items": start_date422, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date423, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": observed_event424, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date422, end_date423, observed_event424 ];
    Lino.cv.Studies.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.OneEvent.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user429 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.OneEvent.user) Show only entries having this user as author.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }), "value": null });
    var event_type430 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.OneEvent.event_type) Show only entries having this type.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }), "value": null });
    var room431 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.OneEvent.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }), "value": null });
    var project432 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.OneEvent.project) Show only entries assigned to this project, where project is defined by\nlino.core.site.Site.project_model.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }), "value": null });
    var presence_guest433 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gast</span>", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(cal.OneEvent.presence_guest) Show only entries that have a presence for the specified guest.") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/presence_guest" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": user429, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": event_type430, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": room431, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": project432, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": presence_guest433, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user429, event_type430, room431, project432, presence_guest433 ];
    Lino.cal.OneEvent.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date440 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date441 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event442 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.IncomeConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board443 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.IncomeConfirmations.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/board" }) }) });
    var signer444 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var user445 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }), "value": null });
    var main_1_panel446 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date440, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event442, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user445, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type453 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.IncomeConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/aid_type" }) }) });
    var state454 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.IncomeConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client455 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }), "value": null });
    var gender456 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.IncomeConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel457 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state454, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender456, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel446, main_2_panel457 ];
    this.fields = [ start_date440, end_date441, observed_event442, board443, signer444, user445, aid_type453, state454, client455, gender456 ];
    Lino.aids.IncomeConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date463 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date464 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event465 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(aids.RefundConfirmations.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var board466 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.RefundConfirmations.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/board" }) }) });
    var signer467 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var user468 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }), "value": null });
    var main_1_panel469 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": start_date463, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date464, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": observed_event465, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": board466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer467, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user468, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type476 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.RefundConfirmations.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/aid_type" }) }) });
    var state477 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.RefundConfirmations.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    var client478 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }), "value": null });
    var gender479 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(aids.RefundConfirmations.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var main_2_panel480 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": aid_type476, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": state477, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": client478, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": gender479, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel469, main_2_panel480 ];
    this.fields = [ start_date463, end_date464, observed_event465, board466, signer467, user468, aid_type476, state477, client478, gender479 ];
    Lino.aids.RefundConfirmations.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Creditors.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var today486 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Situation am</span>", "listeners": { "render": Lino.quicktip_renderer("Situation am","(ledger.Creditors.today) Date of observation") }, "name": "today", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": today486, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ today486 ];
    Lino.ledger.Creditors.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ActivityReport.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date489 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(integ.ActivityReport.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date490 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ActivityReport.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var include_jobs491 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(integ.ActivityReport.include_jobs) ") }, "name": "include_jobs", "selectOnFocus": true });
    var include_isip492 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(integ.ActivityReport.include_isip) ") }, "name": "include_isip", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 28, "items": start_date489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": end_date490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_jobs491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": include_isip492, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date489, end_date490, include_jobs491, include_isip492 ];
    Lino.integ.ActivityReport.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date498 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(coachings.Coachings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date499 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(coachings.Coachings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event500 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(coachings.Coachings.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var coached_by501 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(coachings.Coachings.coached_by) Nur Begleitungen dieses Benutzers.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coached_by" }) }) });
    var and_coached_by502 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(coachings.Coachings.and_coached_by) ... und auch Begleitungen dieses Benutzers.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/and_coached_by" }) }) });
    var main_1_panel503 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": start_date498, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": end_date499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": observed_event500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": coached_by501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": and_coached_by502, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary_coachings509 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Begleitungen</span>", "forceSelection": true, "hiddenName": "primary_coachingsHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Begleitungen","(coachings.Coachings.primary_coachings) Accompagnements primaires.") }, "name": "primary_coachings", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var coaching_type510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(coachings.Coachings.coaching_type) Nur Begleitungen dieses Dienstes.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/coaching_type" }) }) });
    var ending511 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.coachings.CoachingEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(coachings.Coachings.ending) Nur Begleitungen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.coachings.CoachingEndings.detail,null)}, "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/Coachings/ending" }) }) });
    var main_2_panel512 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": primary_coachings509, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coaching_type510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending511, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel503, main_2_panel512 ];
    this.fields = [ start_date498, end_date499, observed_event500, coached_by501, and_coached_by502, primary_coachings509, coaching_type510, ending511 ];
    Lino.coachings.Coachings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ExperiencesByOffer.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date517 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(jobs.ExperiencesByOffer.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date518 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(jobs.ExperiencesByOffer.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date518, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date517, end_date518 ];
    Lino.jobs.ExperiencesByOffer.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user522 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user522, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user522 ];
    Lino.cbss.IdentifyPersonRequests.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.NewClients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var client_state525 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(newcomers.NewClients.client_state) If not empty, show only Clients whose client_state equals\nthe specified value.") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var new_since526 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.NewClients.new_since) Auch Klienten, die erst seit Kurzem begleitet sind.") }, "name": "new_since", "selectOnFocus": true });
    var also_obsolete527 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(newcomers.NewClients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var coached_by528 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(newcomers.NewClients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/coached_by" }) }) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": client_state525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": new_since526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": also_obsolete527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": coached_by528, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ client_state525, new_since526, also_obsolete527, coached_by528 ];
    Lino.newcomers.NewClients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.JournalEntriesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_period534 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.JournalEntriesByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/start_period" }) }) });
    var end_period535 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.JournalEntriesByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/end_period" }) }) });
    var state536 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.JournalEntriesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user537 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.JournalEntriesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntriesByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user537, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period534, end_period535, state536, user537 ];
    Lino.finan.JournalEntriesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Members.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date543 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(households.Members.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date544 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(households.Members.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var aged_from545 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(households.Members.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to546 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(households.Members.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender547 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(households.Members.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    this.items = [ { "autoHeight": true, "flex": 24, "items": start_date543, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_date544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_from545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": aged_to546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": gender547, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date543, end_date544, aged_from545, aged_to546, gender547 ];
    Lino.households.Members.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var common_account554 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts), "value": null });
    this.items = [ { "autoHeight": true, "items": common_account554, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ common_account554 ];
    Lino.ledger.Accounts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.GeneralAccountBalances.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_period557 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.GeneralAccountBalances.start_period) Start of observed period range") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/start_period" }) }) });
    var end_period558 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.GeneralAccountBalances.end_period) Optional end of observed period range. Leave empty to consider only the Start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/GeneralAccountBalances/end_period" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_period557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_period558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period557, end_period558 ];
    Lino.ledger.GeneralAccountBalances.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.MySettings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user_type562 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.MySettings.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date563 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.MySettings.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date564 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.MySettings.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type562, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date563, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date564, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type562, start_date563, end_date564 ];
    Lino.users.MySettings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var aged_from569 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter von</span>", "listeners": { "render": Lino.quicktip_renderer("Alter von","(pcsw.Clients.aged_from) Select only persons aged at least the given number of years.") }, "name": "aged_from", "selectOnFocus": true });
    var aged_to570 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter bis</span>", "listeners": { "render": Lino.quicktip_renderer("Alter bis","(pcsw.Clients.aged_to) Select only persons aged at most the given number of years.") }, "name": "aged_to", "selectOnFocus": true });
    var gender571 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders), "value": null });
    var nationality572 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Staatsangeh\u00f6rigkeit", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) ") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var also_obsolete573 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch veraltete Daten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch veraltete Daten","(pcsw.Clients.also_obsolete) Show also obsolete records.") }, "name": "also_obsolete", "selectOnFocus": true });
    var main_1_panel574 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": aged_from569, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": aged_to570, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": gender571, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": nationality572, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": also_obsolete573, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_state580 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "client_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(pcsw.Clients.client_state) If not empty, show only Clients whose client_state equals\nthe specified value.") }, "name": "client_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientStates) });
    var coached_by581 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(pcsw.Clients.coached_by) Nur Klienten, die eine Begleitung mit diesem Benutzer haben.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/coached_by" }) }) });
    var and_coached_by582 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">und durch</span>", "hiddenName": "and_coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("und durch","(pcsw.Clients.and_coached_by) Nur Klienten, die auch mit diesem Benutzer eine Begleitung haben.") }, "name": "and_coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/and_coached_by" }) }) });
    var start_date583 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(pcsw.Clients.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date584 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(pcsw.Clients.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event585 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beobachtungskriterium</span>", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(pcsw.Clients.observed_event) Extended filter criteria, e.g.:<br/>Active: All those who have some active coaching.") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.clients.ClientEvents) });
    var only_primary586 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Nur prim\u00e4re Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Nur prim\u00e4re Begleitungen","(pcsw.Clients.only_primary) Nur Klienten, die eine effektive <b>prim\u00e4re</b> Begleitung haben.") }, "name": "only_primary", "selectOnFocus": true });
    var main_2_panel587 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": client_state580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": coached_by581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": and_coached_by582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": observed_event585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": only_primary586, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel574, main_2_panel587 ];
    this.fields = [ aged_from569, aged_to570, gender571, nationality572, also_obsolete573, client_state580, coached_by581, and_coached_by582, start_date583, end_date584, observed_event585, only_primary586 ];
    Lino.pcsw.Clients.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user596 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "items": user596, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user596 ];
    Lino.cal.RecurrentEvents.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Movements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_period599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.Movements.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/start_period" }) }) });
    var end_period600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(ledger.Movements.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/end_period" }) }) });
    var start_date601 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(ledger.Movements.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date602 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.Movements.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var cleared603 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(ledger.Movements.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel604 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": start_period599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": end_period600, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date601, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": cleared603, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group610 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Journalgruppe", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Movements.journal_group) ") }, "name": "journal_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.JournalGroups) });
    var journal611 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.Movements.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/journal" }) }) });
    var year612 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(ledger.Movements.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/year" }) }) });
    var project613 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.Movements.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/project" }) }) });
    var partner614 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.Movements.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/partner" }) }) });
    var account615 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "Haushaltsartikel", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Movements.account) ") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Movements/account" }) }) });
    var main_2_panel616 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": journal_group610, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": journal611, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": year612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": project613, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": partner614, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": account615, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel604, main_2_panel616 ];
    this.fields = [ start_period599, end_period600, start_date601, end_date602, cleared603, journal_group610, journal611, year612, project613, partner614, account615 ];
    Lino.ledger.Movements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var partner624 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.Invoices.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var project625 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.Invoices.project) ") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/project" }) }) });
    var state626 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var journal627 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) ") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var start_period628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(vatless.Invoices.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/start_period" }) }) });
    var end_period629 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(vatless.Invoices.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/end_period" }) }) });
    var cleared630 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beglichene Bewegungen zeigen", "forceSelection": true, "hiddenName": "clearedHidden", "listeners": { "render": Lino.quicktip_renderer("Beglichene Bewegungen zeigen","(vatless.Invoices.cleared) ") }, "name": "cleared", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    this.items = [ { "autoHeight": true, "flex": 15, "items": partner624, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": project625, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": state626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": journal627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_period628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_period629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": cleared630, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner624, project625, state626, journal627, start_period628, end_period629, cleared630 ];
    Lino.vatless.Invoices.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoaches.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var for_client639 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Zeige Vorschl\u00e4ge f\u00fcr", "hiddenName": "for_clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Zeige Vorschl\u00e4ge f\u00fcr","(newcomers.AvailableCoaches.for_client) ") }, "name": "for_client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/AvailableCoaches/for_client" }) }) });
    var since640 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neue Klienten seit</span>", "listeners": { "render": Lino.quicktip_renderer("Neue Klienten seit","(newcomers.AvailableCoaches.since) Neue Klienten sind die, deren Begleitung nach diesem Datum beginnt") }, "name": "since", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "flex": 60, "items": for_client639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": since640, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ for_client639, since640 ];
    Lino.newcomers.AvailableCoaches.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var board644 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Only rows decided by this board.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var aid_type645 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) Only confirmations about this aid type.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var user646 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }), "value": null });
    var signer647 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state648 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(aids.Grantings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationStates) });
    this.items = [ { "autoHeight": true, "flex": 21, "items": board644, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": aid_type645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer647, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": state648, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ board644, aid_type645, user646, signer647, state648 ];
    Lino.aids.Grantings.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.InvoicesByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var partner655 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(vatless.InvoicesByJournal.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var state656 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Belegzustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.InvoicesByJournal.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates) });
    var year657 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "yearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(vatless.InvoicesByJournal.year) ") }, "name": "year", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/year" }) }) });
    this.items = [ { "autoHeight": true, "flex": 35, "items": partner655, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": state656, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": year657, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ partner655, state656, year657 ];
    Lino.vatless.InvoicesByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var user662 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(art61.Contracts.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var type663 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Only job supplies of type", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Only job supplies of type","(art61.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var start_date664 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(art61.Contracts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date665 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(art61.Contracts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event666 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(art61.Contracts.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.ContractEvents) });
    var main_1_panel667 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": type663, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date664, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date665, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": observed_event666, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company673 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Only contracts with this company as partner.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var ending_success674 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erfolgreich abgeschlossen</span>", "forceSelection": true, "hiddenName": "ending_successHidden", "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(art61.Contracts.ending_success) Contrats termin\u00e9s avec succ\u00e8s.") }, "name": "ending_success", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var ending675 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beendigungsgrund</span>", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) Nur Konventionen mit diesem Beendigungsgrund.") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var main_2_panel676 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": company673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": ending_success674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": ending675, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel667, main_2_panel676 ];
    this.fields = [ user662, type663, start_date664, end_date665, observed_event666, company673, ending_success674, ending675 ];
    Lino.art61.Contracts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.users.UsersOverview.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user_type681 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.UsersOverview.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date682 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(users.UsersOverview.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date683 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(users.UsersOverview.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date683, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type681, start_date682, end_date683 ];
    Lino.users.UsersOverview.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.EntriesByContract.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date688 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(isip.EntriesByContract.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date689 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(isip.EntriesByContract.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var observed_event690 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beobachtungskriterium", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("Beobachtungskriterium","(isip.EntriesByContract.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EventEvents) });
    var show_appointments691 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Termine", "forceSelection": true, "hiddenName": "show_appointmentsHidden", "listeners": { "render": Lino.quicktip_renderer("Termine","(isip.EntriesByContract.show_appointments) ") }, "name": "show_appointments", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var presence_guest692 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Gast", "hiddenName": "presence_guestHidden", "listeners": { "render": Lino.quicktip_renderer("Gast","(isip.EntriesByContract.presence_guest) ") }, "name": "presence_guest", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/presence_guest" }) }) });
    var user693 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(isip.EntriesByContract.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/user" }) }), "value": null });
    var assigned_to694 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(isip.EntriesByContract.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/assigned_to" }) }), "value": null });
    var project695 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.EntriesByContract.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/project" }) }), "value": null });
    var state696 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(isip.EntriesByContract.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.EntryStates), "value": null });
    var room697 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(isip.EntriesByContract.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/room" }) }), "value": null });
    var event_type698 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.EntriesByContract.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/EntriesByContract/event_type" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 6, "items": start_date688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": end_date689, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": observed_event690, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": show_appointments691, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": presence_guest692, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": user693, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": assigned_to694, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": project695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": state696, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": room697, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": event_type698, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date688, end_date689, observed_event690, show_appointments691, presence_guest692, user693, assigned_to694, project695, state696, room697, event_type698 ];
    Lino.isip.EntriesByContract.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var project711 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }), "value": null });
    var user712 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": project711, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": user712, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ project711, user712 ];
    Lino.notes.Notes.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date716 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cal.Tasks.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date717 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(cal.Tasks.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user718 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }), "value": null });
    var state719 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Tasks.state) The state of this Task. one of TaskStates.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.TaskStates), "value": null });
    var project720 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }), "value": null });
    var main_1_panel721 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date716, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date717, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user718, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": state719, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": project720, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel721 ];
    this.fields = [ start_date716, end_date717, user718, state719, project720 ];
    Lino.cal.Tasks.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var start_date728 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum von</span>", "listeners": { "render": Lino.quicktip_renderer("Datum von","(excerpts.Excerpts.start_date) Start of observed date range") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date729 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(excerpts.Excerpts.end_date) End of observed date range") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var pcertifying730 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Certifying excerpts", "forceSelection": true, "hiddenName": "pcertifyingHidden", "listeners": { "render": Lino.quicktip_renderer("Certifying excerpts","(excerpts.Excerpts.pcertifying) ") }, "name": "pcertifying", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_1_panel731 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": start_date728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": pcertifying730, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user735 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }), "value": null });
    var excerpt_type736 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "Auszugsart", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) ") }, "name": "excerpt_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.excerpts.ExcerptTypes.detail,Lino.excerpts.ExcerptTypes.insert)}, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var main_2_panel737 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user735, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type736, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel731, main_2_panel737 ];
    this.fields = [ start_date728, end_date729, pcertifying730, user735, excerpt_type736 ];
    Lino.excerpts.Excerpts.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var observed_event741 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltigkeit", "forceSelection": true, "hiddenName": "observed_eventHidden", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltigkeit","(uploads.Uploads.observed_event) ") }, "name": "observed_event", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.PeriodEvents) });
    var start_date742 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.Uploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date743 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.Uploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var coached_by744 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleitet durch</span>", "hiddenName": "coached_byHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Begleitet durch","(uploads.Uploads.coached_by) Show only uploads for clients coached by this user.") }, "name": "coached_by", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/coached_by" }) }) });
    var user745 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }), "value": null });
    var upload_type746 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.upload_type) ") }, "name": "upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 20, "items": observed_event741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": start_date742, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": end_date743, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": coached_by744, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": user745, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": upload_type746, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ observed_event741, start_date742, end_date743, coached_by744, user745, upload_type746 ];
    Lino.uploads.Uploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.ExpectedMovements.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'form',
  autoHeight: true,
  initComponent : function() {
    var trade_type754 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.ExpectedMovements.trade_type) Show only movements in the given trade type.") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var date_until755 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum bis</span>", "listeners": { "render": Lino.quicktip_renderer("Datum bis","(ledger.ExpectedMovements.date_until) Show only movements whose booking date is before or on the given date.") }, "name": "date_until", "selectOnFocus": true });
    var from_journal756 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "from_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(ledger.ExpectedMovements.from_journal) Show only movements generated by a voucher in the given journal.") }, "name": "from_journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/from_journal" }) }) });
    var for_journal757 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Begleichbar durch</span>", "hiddenName": "for_journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Begleichbar durch","(ledger.ExpectedMovements.for_journal) Show only movements that may be matched by the given journal (i.e. for\nwhich a match rule exists).") }, "name": "for_journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/for_journal" }) }) });
    var main_1_panel758 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": trade_type754, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": date_until755, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": from_journal756, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": for_journal757, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project763 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(ledger.ExpectedMovements.project) Show only movements about the given project.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/project" }) }) });
    var partner764 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(ledger.ExpectedMovements.partner) Show only movements with the given partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/partner" }) }) });
    var account765 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.ExpectedMovements.account) Show only movements on the given account.") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/ExpectedMovements/account" }) }) });
    var show_sepa766 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Mit SEPA</span>", "forceSelection": true, "hiddenName": "show_sepaHidden", "listeners": { "render": Lino.quicktip_renderer("Mit SEPA","(ledger.ExpectedMovements.show_sepa) Show only movements whose partner has a SEPA account.") }, "name": "show_sepa", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var same_dc767 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Same D/C</span>", "forceSelection": true, "hiddenName": "same_dcHidden", "listeners": { "render": Lino.quicktip_renderer("Same D/C","(ledger.ExpectedMovements.same_dc) Show only movements having the same booking direction as the target\nvoucher.") }, "name": "same_dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.YesNo) });
    var main_2_panel768 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": project763, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": partner764, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": account765, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": show_sepa766, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": same_dc767, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.items = [ main_1_panel758, main_2_panel768 ];
    this.fields = [ trade_type754, date_until755, from_journal756, for_journal757, project763, partner764, account765, show_sepa766, same_dc767 ];
    Lino.ledger.ExpectedMovements.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.integ.ContractsPerUserAndContractType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var user_type775 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzerart", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(integ.ContractsPerUserAndContractType.user_type) ") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var start_date776 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(integ.ContractsPerUserAndContractType.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date777 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(integ.ContractsPerUserAndContractType.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 69, "items": user_type775, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": start_date776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": end_date777, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ user_type775, start_date776, end_date777 ];
    Lino.integ.ContractsPerUserAndContractType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date782 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(ledger.FiscalYears.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date783 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(ledger.FiscalYears.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    this.items = [ { "autoHeight": true, "flex": 50, "items": start_date782, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date783, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date782, end_date783 ];
    Lino.ledger.FiscalYears.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var pjournal787 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "Journal", "hiddenName": "pjournalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.pjournal) ") }, "name": "pjournal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pjournal" }) }) });
    var pyear788 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "Gesch\u00e4ftsjahr", "hiddenName": "pyearHidden", "listeners": { "render": Lino.quicktip_renderer("Gesch\u00e4ftsjahr","(finan.FinancialVouchers.pyear) ") }, "name": "pyear", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/pyear" }) }) });
    this.items = [ { "autoHeight": true, "flex": 50, "items": pjournal787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": pyear788, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ pjournal787, pyear788 ];
    Lino.finan.FinancialVouchers.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatementsByJournal.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_period792 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "hiddenName": "start_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(finan.BankStatementsByJournal.start_period) Start of observed period range.") }, "name": "start_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/start_period" }) }) });
    var end_period793 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode bis</span>", "hiddenName": "end_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(finan.BankStatementsByJournal.end_period) Optional end of observed period range. Leave empty to observe only the start period.") }, "name": "end_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/end_period" }) }) });
    var state794 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.BankStatementsByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.VoucherStates), "value": null });
    var user795 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatementsByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementsByJournal/user" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 25, "items": start_period792, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_period793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": state794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user795, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_period792, end_period793, state794, user795 ];
    Lino.finan.BankStatementsByJournal.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverviewByType.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var date801 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(jobs.JobsOverviewByType.date) ") }, "name": "date", "selectOnFocus": true });
    var contract_type802 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art.60\u00a77-Konventionsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionsart","(jobs.JobsOverviewByType.contract_type) ") }, "name": "contract_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobsOverviewByType/contract_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 39, "items": date801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": contract_type802, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ date801, contract_type802 ];
    Lino.jobs.JobsOverviewByType.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var start_date806 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Periode vom</span>", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(uploads.AllUploads.start_date) Start date of observed period") }, "name": "start_date", "selectOnFocus": true, "value": null });
    var end_date807 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">bis</span>", "listeners": { "render": Lino.quicktip_renderer("bis","(uploads.AllUploads.end_date) End date of observed period") }, "name": "end_date", "selectOnFocus": true, "value": null });
    var user808 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }), "value": null });
    var upload_type809 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art", "hiddenName": "upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.upload_type) ") }, "name": "upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/upload_type" }) }) });
    this.items = [ { "autoHeight": true, "flex": 16, "items": start_date806, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date807, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": user808, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": upload_type809, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ start_date806, end_date807, user808, upload_type809 ];
    Lino.uploads.AllUploads.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Candidatures.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var state815 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kandidatur-Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Kandidatur-Zustand","(jobs.Candidatures.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.jobs.CandidatureStates), "value": null });
    var job816 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Candidatures.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/job" }) }), "value": null });
    var function817 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Candidatures.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/function" }) }), "value": null });
    var person818 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Candidatures.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Candidatures/person" }) }), "value": null });
    this.items = [ { "autoHeight": true, "flex": 28, "items": state815, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": job816, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": function817, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": person818, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ state815, job816, function817, person818 ];
    Lino.jobs.Candidatures.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.ParamsPanel = Ext.extend(Ext.form.FormPanel, {
  hideCheckBoxLabels: true,
  autoHeight: true,
  layoutConfig: { "align": "stretchmax" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  layout: 'hbox',
  autoHeight: true,
  initComponent : function() {
    var place824 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ort</span>", "hiddenName": "placeHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ort","(addresses.Addresses.place) Show only addresses having the given place in Address.city.") }, "name": "place", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/place" }) }) });
    var partner825 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) Show only addresses of the given partner in Address.partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }), "value": null });
    var address_type826 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) Show only addresses having the given type.") }, "name": "address_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.addresses.AddressTypes), "value": null });
    this.items = [ { "autoHeight": true, "flex": 31, "items": place824, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": partner825, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": address_type826, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ place824, partner825, address_type826 ];
    Lino.addresses.Addresses.ParamsPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1046 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Accounts.detail", "emptyText": "Konto ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.debts.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Accounts.detail,Lino.debts.Accounts.insert)}, "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/debts/Accounts/merge_row/merge_to" }) }) });
    this.reason1047 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1046, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1047, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1046, this.reason1047 ];
    this.http_method = "GET"
    Lino.debts.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf1_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf1',
  window_title: "Zusagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject885 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zusagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body886 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zusagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent887 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zusagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject885, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body886, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent887, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject885, this.notify_body886, this.notify_silent887 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf1_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'assign_coach',
  window_title: "Zuweisen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject1039 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Zuweisen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body1040 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Zuweisen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent1041 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Zuweisen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject1039, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body1040, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent1041, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject1039, this.notify_body1040, this.notify_silent1041 ];
    this.http_method = "GET"
    Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.FiscalYears.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1002 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Gesch\u00e4ftsjahr ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.FiscalYears", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/FiscalYears/merge_row/merge_to" }) }) });
    this.reason1003 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1003, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1002, this.reason1003 ];
    this.http_method = "GET"
    Lino.ledger.FiscalYears.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to965 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/JobProviders/merge_row/merge_to" }) }) });
    this.addresses_Address966 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account967 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel968 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address966, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account967, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason971 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to965, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel968, { "anchor": "-20", "autoHeight": true, "items": this.reason971, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to965, this.addresses_Address966, this.sepa_Account967, this.reason971 ];
    this.http_method = "GET"
    Lino.jobs.JobProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.wf2_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'wf2',
  window_title: "Absagen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject892 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Absagen.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body893 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Absagen.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent894 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Absagen.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject892, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent894, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject892, this.notify_body893, this.notify_silent894 ];
    this.http_method = "GET"
    Lino.cal.Guests.wf2_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1029 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/xcourses/CourseProviders/merge_row/merge_to" }) }) });
    this.addresses_Address1030 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account1031 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel1032 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address1030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account1031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason1035 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel1032, { "anchor": "-20", "autoHeight": true, "items": this.reason1035, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1029, this.addresses_Address1030, this.sepa_Account1031, this.reason1035 ];
    this.http_method = "GET"
    Lino.xcourses.CourseProviders.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.create_household_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_household',
  window_title: "Haushalt erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.head851 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Vorstand", "hiddenName": "headHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vorstand","(Haushalt erstellen.head) ") }, "name": "head", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/head" }) }) });
    this.type852 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "Haushaltsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(Haushalt erstellen.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/type" }) }) });
    this.partner853 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Partner","(Haushalt erstellen.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/create_household/partner" }) }) });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.head851, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.type852, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.partner853, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.head851, this.type852, this.partner853 ];
    this.http_method = "GET"
    Lino.contacts.Persons.create_household_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.checkin_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'checkin',
  window_title: "Einchecken",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.notify_subject878 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(Einchecken.notify_subject) ") }, "maxLength": 200, "name": "notify_subject", "selectOnFocus": true });
    this.notify_body879 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(Einchecken.notify_body) ") }, "name": "notify_body", "selectOnFocus": true });
    this.notify_silent880 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Keine Mitteilung an andere", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Keine Mitteilung an andere","(Einchecken.notify_silent) ") }, "name": "notify_silent", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.notify_subject878, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 71, "items": this.notify_body879, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": this.notify_silent880, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.notify_subject878, this.notify_body879, this.notify_silent880 ];
    this.http_method = "GET"
    Lino.cal.Guests.checkin_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to868 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/uploads/Volumes/merge_row/merge_to" }) }) });
    this.reason869 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason869, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to868, this.reason869 ];
    this.http_method = "GET"
    Lino.uploads.Volumes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to904 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/merge_row/merge_to" }) }) });
    this.aids_IncomeConfirmation905 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einkommensbescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(Fusionieren.aids_IncomeConfirmation) ") }, "name": "aids_IncomeConfirmation", "selectOnFocus": true });
    this.aids_RefundConfirmation906 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kosten\u00fcbernahmescheine", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kosten\u00fcbernahmescheine","(Fusionieren.aids_RefundConfirmation) ") }, "name": "aids_RefundConfirmation", "selectOnFocus": true });
    var keep_volatiles_1_panel907 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_IncomeConfirmation905, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.aids_RefundConfirmation906, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.aids_SimpleConfirmation910 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Einfache Bescheinigungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Einfache Bescheinigungen","(Fusionieren.aids_SimpleConfirmation) ") }, "name": "aids_SimpleConfirmation", "selectOnFocus": true });
    this.coachings_Coaching911 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleitungen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(Fusionieren.coachings_Coaching) ") }, "name": "coachings_Coaching", "selectOnFocus": true });
    var keep_volatiles_2_panel912 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.aids_SimpleConfirmation910, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.coachings_Coaching911, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.cv_LanguageKnowledge915 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sprachkenntnisse", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sprachkenntnisse","(Fusionieren.cv_LanguageKnowledge) ") }, "name": "cv_LanguageKnowledge", "selectOnFocus": true });
    this.cv_PersonProperty916 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Eigenschaften", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Eigenschaften","(Fusionieren.cv_PersonProperty) ") }, "name": "cv_PersonProperty", "selectOnFocus": true });
    var keep_volatiles_3_panel917 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.cv_LanguageKnowledge915, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.cv_PersonProperty916, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.dupable_clients_Word920 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Phonetische W\u00f6rter", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Phonetische W\u00f6rter","(Fusionieren.dupable_clients_Word) ") }, "name": "dupable_clients_Word", "selectOnFocus": true });
    this.esf_ClientSummary921 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "ESF Summaries", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("ESF Summaries","(Fusionieren.esf_ClientSummary) ") }, "name": "esf_ClientSummary", "selectOnFocus": true });
    var keep_volatiles_4_panel922 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.dupable_clients_Word920, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.esf_ClientSummary921, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.pcsw_Dispense925 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dispenzen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(Fusionieren.pcsw_Dispense) ") }, "name": "pcsw_Dispense", "selectOnFocus": true });
    this.addresses_Address926 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_5_panel927 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.pcsw_Dispense925, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address926, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account930 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel931 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel907, keep_volatiles_2_panel912, keep_volatiles_3_panel917, keep_volatiles_4_panel922, keep_volatiles_5_panel927, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account930, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason933 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to904, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel931, { "anchor": "-20", "autoHeight": true, "items": this.reason933, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to904, this.aids_IncomeConfirmation905, this.aids_RefundConfirmation906, this.aids_SimpleConfirmation910, this.coachings_Coaching911, this.cv_LanguageKnowledge915, this.cv_PersonProperty916, this.dupable_clients_Word920, this.esf_ClientSummary921, this.pcsw_Dispense925, this.addresses_Address926, this.sepa_Account930, this.reason933 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.refuse_client_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "vbox",
  layoutConfig: { "align": "stretch" },
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'refuse_client',
  window_title: "Ablehnen",
  before_row_edit : function(record) {
  },
  initComponent : function() {
    this.reason937 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablehnungsgrund", "forceSelection": true, "hiddenName": "reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Ablehnungsgrund","(Ablehnen.reason) ") }, "name": "reason", "selectOnFocus": true, "store": Lino.pcsw.RefusalReasons });
    this.remark938 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(Ablehnen.remark) ") }, "name": "remark", "selectOnFocus": true });
    this.items = [ { "autoHeight": true, "items": this.reason937, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 83, "items": this.remark938, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.reason937, this.remark938 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.refuse_client_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to831 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Partners/merge_row/merge_to" }) }) });
    this.addresses_Address832 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account833 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel834 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason837 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel834, { "anchor": "-20", "autoHeight": true, "items": this.reason837, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to831, this.addresses_Address832, this.sepa_Account833, this.reason837 ];
    this.http_method = "GET"
    Lino.contacts.Partners.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to997 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/PaymentTerms/merge_row/merge_to" }) }) });
    this.reason998 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason998, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to997, this.reason998 ];
    this.http_method = "GET"
    Lino.ledger.PaymentTerms.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.send_welcome_email_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'send_welcome_email',
  window_title: "Welcome mail",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.email1014 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(Welcome mail.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    this.subject1015 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(Welcome mail.subject) ") }, "maxLength": 250, "name": "subject", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.email1014, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.subject1015, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.email1014, this.subject1015 ];
    this.http_method = "GET"
    Lino.users.AllUsers.send_welcome_email_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to858 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Companies/merge_row/merge_to" }) }) });
    this.addresses_Address859 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account860 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel861 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address859, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account860, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason864 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to858, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel861, { "anchor": "-20", "autoHeight": true, "items": this.reason864, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to858, this.addresses_Address859, this.sepa_Account860, this.reason864 ];
    this.http_method = "GET"
    Lino.contacts.Companies.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to975 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/jobs/ContractTypes/merge_row/merge_to" }) }) });
    this.reason976 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to975, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to975, this.reason976 ];
    this.http_method = "GET"
    Lino.jobs.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to873 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/GuestRoles/merge_row/merge_to" }) }) });
    this.reason874 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason874, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to873, this.reason874 ];
    this.http_method = "GET"
    Lino.cal.GuestRoles.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.UsersOverview.sign_in_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "left",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'sign_in',
  window_title: "Anmelden",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.username1019 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(Anmelden.username) ") }, "name": "username", "selectOnFocus": true });
    this.password1020 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Passwort", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Passwort","(Anmelden.password) ") }, "name": "password", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.username1019, "labelAlign": "left", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.password1020, "labelAlign": "left", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.username1019, this.password1020 ];
    this.http_method = "POST"
    Lino.users.UsersOverview.sign_in_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user942 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/pcsw/Clients/create_visit/user" }) }) });
    this.summary943 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user942, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary943, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user942, this.summary943 ];
    this.http_method = "GET"
    Lino.pcsw.Clients.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.Coachings.create_visit_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'create_visit',
  window_title: "Visite erstellen",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.user947 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(Visite erstellen.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/coachings/Coachings/create_visit/user" }) }) });
    this.summary948 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Visite erstellen.summary) ") }, "name": "summary", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.user947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.summary948, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.user947, this.summary948 ];
    this.http_method = "GET"
    Lino.coachings.Coachings.create_visit_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to985 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Journals/merge_row/merge_to" }) }) });
    this.ledger_MatchRule986 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichungsregeln","(Fusionieren.ledger_MatchRule) ") }, "name": "ledger_MatchRule", "selectOnFocus": true });
    this.reason987 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to985, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.ledger_MatchRule986, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason987, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to985, this.ledger_MatchRule986, this.reason987 ];
    this.http_method = "GET"
    Lino.ledger.Journals.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to952 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/households/Households/merge_row/merge_to" }) }) });
    this.households_Member953 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mitglieder", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(Fusionieren.households_Member) ") }, "name": "households_Member", "selectOnFocus": true });
    this.addresses_Address954 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    var keep_volatiles_1_panel955 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.households_Member953, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.addresses_Address954, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    this.sepa_Account958 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel959 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ keep_volatiles_1_panel955, { "anchor": "-20", "autoHeight": true, "items": this.sepa_Account958, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form", "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason961 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to952, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel959, { "anchor": "-20", "autoHeight": true, "items": this.reason961, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to952, this.households_Member953, this.addresses_Address954, this.sepa_Account958, this.reason961 ];
    this.http_method = "GET"
    Lino.households.Households.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to899 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/cal/EventTypes/merge_row/merge_to" }) }) });
    this.reason900 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason900, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to899, this.reason900 ];
    this.http_method = "GET"
    Lino.cal.EventTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to841 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/contacts/Persons/merge_row/merge_to" }) }) });
    this.addresses_Address842 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Adressen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(Fusionieren.addresses_Address) ") }, "name": "addresses_Address", "selectOnFocus": true });
    this.sepa_Account843 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bankkonten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(Fusionieren.sepa_Account) ") }, "name": "sepa_Account", "selectOnFocus": true });
    var keep_volatiles_panel844 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": this.addresses_Address842, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": this.sepa_Account843, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Auch verg\u00e4ngliche verkn\u00fcpfte Objekte \u00fcberweisen" });
    this.reason847 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, keep_volatiles_panel844, { "anchor": "-20", "autoHeight": true, "items": this.reason847, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to841, this.addresses_Address842, this.sepa_Account843, this.reason847 ];
    this.http_method = "GET"
    Lino.contacts.Persons.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to980 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/Accounts/merge_row/merge_to" }) }) });
    this.reason981 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to980, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason981, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to980, this.reason981 ];
    this.http_method = "GET"
    Lino.ledger.Accounts.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to1024 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/art61/ContractTypes/merge_row/merge_to" }) }) });
    this.reason1025 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to1024, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason1025, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to1024, this.reason1025 ];
    this.http_method = "GET"
    Lino.art61.ContractTypes.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'merge_row',
  window_title: "Fusionieren",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.merge_to992 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "nach...", "hiddenName": "merge_toHidden", "listeners": { "render": Lino.quicktip_renderer("nach...","(Fusionieren.merge_to) ") }, "name": "merge_to", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/apchoices/ledger/AccountingPeriods/merge_row/merge_to" }) }) });
    this.reason993 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("Begr\u00fcndung","(Fusionieren.reason) ") }, "maxLength": 100, "name": "reason", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.merge_to992, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.reason993, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.merge_to992, this.reason993 ];
    this.http_method = "GET"
    Lino.ledger.AccountingPeriods.merge_row_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.change_password_ActionFormPanel = Ext.extend(Lino.ActionFormPanel,{
  hideCheckBoxLabels: true,
  layout: "form",
  autoHeight: true,
  labelAlign: "top",
  autoScroll: false,
  labelWidth: 0,
  frame: true,
  bodyBorder: false,
  border: false,
  action_name: 'change_password',
  window_title: "Passwort \u00e4ndern",
  before_row_edit : function(record) {
  },
  autoHeight: true,
  initComponent : function() {
    this.current1007 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktuelles Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Aktuelles Passwort","(Passwort \u00e4ndern.current) The current password. Leave empty if the user has no password\nyet. And SiteAdmin users don't need to specify this at all.") }, "name": "current", "selectOnFocus": true });
    this.new11008 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort","(Passwort \u00e4ndern.new1) The new password.") }, "name": "new1", "selectOnFocus": true });
    this.new21009 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neues Passwort nochmal</span>", "inputType": "password", "listeners": { "render": Lino.quicktip_renderer("Neues Passwort nochmal","(Passwort \u00e4ndern.new2) The new password a second time. Both passwords must match.") }, "name": "new2", "selectOnFocus": true });
    this.items = [ { "anchor": "-20", "autoHeight": true, "items": this.current1007, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new11008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": this.new21009, "labelAlign": "top", "layout": "form", "xtype": "panel" } ];
    this.fields = [ this.current1007, this.new11008, this.new21009 ];
    this.http_method = "GET"
    Lino.users.AllUsers.change_password_ActionFormPanel.superclass.initComponent.call(this);
  }
});


Lino.about.About.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel about-About",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var main_panel1052 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "html": "<div class=\"htmlText\"><span>Dies ist <a href=\"http://welfare.lino-framework.org\" target=\"_blank\">Lino f&#252;r &#214;SHZ</a> 20.8.0 unter <a href=\"http://www.lino-framework.org\" target=\"_blank\">Lino</a> 21.3.0, <a href=\"http://www.djangoproject.com\" target=\"_blank\">Django</a> 3.1.4, <a href=\"http://www.python.org/\" target=\"_blank\">Python</a> 3.6.8, <a href=\"http://babel.edgewall.org/\" target=\"_blank\">Babel</a> 2.9.0, <a href=\"http://jinja.pocoo.org/\" target=\"_blank\">Jinja</a> 2.11.2, <a href=\"http://labix.org/python-dateutil\" target=\"_blank\">python-dateutil</a> 2.8.0, <a href=\"http://getbootstrap.com\" target=\"_blank\">Bootstrap</a> 3.3.4, <a href=\"http://www.sencha.com\" target=\"_blank\">ExtJS</a> <a href=\"#\" onclick=\"alert('ExtJS client version is ' + Ext.version);\" title=\"Click to see ExtJS client version\">(version)</a>, <a href=\"http://www.famfamfam.com/lab/icons/silk/\" target=\"_blank\">Silk Icons</a> 1.3, <a href=\"http://appyframework.org/pod.html\" target=\"_blank\">Appy</a> (unknown), <a href=\"https://github.com/django/channels\" target=\"_blank\">Channels (inactive)</a> 2.4.0, <a href=\"http://ext.ensible.com/products/calendar/\" target=\"_blank\">Ext.ensible adapter</a> <a href=\"#\" onclick=\"alert('Extensible Calendar version is '             + Ext.ensible.version);\" title=\"Click to see Extensible Calendar version\">(version)</a>, <a href=\"https://pypi.org/project/suds-py3/\" target=\"_blank\">suds</a> 1.3.3.0, <a href=\"http://www.tinymce.com/\" target=\"_blank\">TinyMCE</a> 3.5.11, <a href=\"http://www.byte-force.com\" target=\"_blank\">Ext.ux.TinyMCE</a> 0.8.4</span><p>Sprachen: de, fr, en</p><p>Dies ist eine Demo-Anwendung.</p><p>Simuliertes Tagesdatum Donnerstag, 22. Mai 2014.</p><p>Source timestamps:</p><ul><li>Server timestamp : <b>08.03.21 um 02:45</b></li><li>django : <b>29.12.20 um 13:52</b></li><li>lino_weleup : <b>14.02.21 um 21:14</b></li><li>lino_welfare : <b>27.02.21 um 03:36</b></li><li>lino : <b>08.03.21 um 02:45</b></li><li>lino_xl : <b>08.03.21 um 02:45</b></li><li>lino_cosi : <b>08.03.21 um 02:45</b></li></ul><p>Complexity factors : 64 plugins, 141 models, 13 users, 16 user types, 536 views, 29 dialog actions</p></div>", "region": "center", "xtype": "label" } ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel1052;
    this.before_row_edit = function(record) {
    }
    Lino.about.About.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  content_type: 125,
  initComponent : function() {
    var date1053 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var partner1054 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var id1055 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Budgets.id) ") }, "name": "id", "selectOnFocus": true });
    var user1056 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var general_1_panel1057 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date1053, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": partner1054, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1055, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": user1056, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var intro1062 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Einleitung", "flex": 5, "name": "intro", "region": "center", "selectOnFocus": true, "split": true, "title": "Einleitung" });
    var ActorsByBudget_grid1074 = new Lino.debts.ActorsByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Budget-Akteure","(debts.debts.ActorsByBudget) To be filled if there is more than one person involved.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByBudget.grid) ] });
    var general_panel1075 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1057, intro1062, ActorsByBudget_grid1074 ], "labelAlign": "top", "labelWidth": 99, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var ExpensesByBudget_grid1087 = new Lino.debts.ExpensesByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausgaben","(debts.debts.ExpensesByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ExpensesByBudget.grid) ] });
    var IncomesByBudget_grid1099 = new Lino.debts.IncomesByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Incomes","(debts.debts.IncomesByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.IncomesByBudget.grid) ] });
    var entries1_panel1100 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ExpensesByBudget_grid1087, IncomesByBudget_grid1099 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Ausgaben und Eink\u00fcnfte" });
    var LiabilitiesByBudget_grid1114 = new Lino.debts.LiabilitiesByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Verpflichtungen","(debts.debts.LiabilitiesByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.LiabilitiesByBudget.grid) ] });
    var AssetsByBudget_grid1124 = new Lino.debts.AssetsByBudget.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Verm\u00f6gen","(debts.debts.AssetsByBudget) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.AssetsByBudget.grid) ] });
    var entries2_panel1125 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ LiabilitiesByBudget_grid1114, AssetsByBudget_grid1124 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Verpflichtungen & Verm\u00f6gen" });
    var ResultByBudget_htmlbox1126 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Einnahmen & Ausgaben","(debts.Budgets.ResultByBudget) Shows the Incomes & Expenses for this budget.") }, "master_panel": this, "name": "ResultByBudget", "region": "north", "split": true, "title": "Einnahmen & Ausgaben", "tools": [ Lino.show_in_own_window_button(Lino.debts.ResultByBudget.grid) ], "value": "<br/>" });
    var DebtsByBudget_htmlbox1127 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Verpflichtungen","(debts.Budgets.DebtsByBudget) ") }, "master_panel": this, "name": "DebtsByBudget", "region": "center", "split": true, "title": "Verpflichtungen", "tools": [ Lino.show_in_own_window_button(Lino.debts.DebtsByBudget.grid) ], "value": "<br/>" });
    var AssetsByBudgetSummary_htmlbox1128 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Verm\u00f6gen","(debts.Budgets.AssetsByBudgetSummary) ") }, "master_panel": this, "name": "AssetsByBudgetSummary", "region": "south", "split": true, "title": "Verm\u00f6gen", "tools": [ Lino.show_in_own_window_button(Lino.debts.AssetsByBudgetSummary.grid) ], "value": "<br/>" });
    var summary1_panel1129 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ ResultByBudget_htmlbox1126, DebtsByBudget_htmlbox1127, AssetsByBudgetSummary_htmlbox1128 ], "labelAlign": "top", "labelWidth": 189 });
    var conclusion1130 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Schlussfolgerung", "flex": 55, "name": "conclusion", "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount1131 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verteilbarer Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Verteilbarer Betrag","(debts.Budgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "name": "dist_amount", "selectOnFocus": true, "value": 120 });
    var printed_disp1132 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(debts.Budgets.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var total_debt1133 = new Ext.form.NumberField({ "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "fieldLabel": "Gesamtschuld", "listeners": { "render": Lino.quicktip_renderer("Gesamtschuld","(debts.Budgets.total_debt) ") }, "name": "total_debt" });
    var summary2_2_panel1134 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": dist_amount1131, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 55, "items": printed_disp1132, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": total_debt1133, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var include_yearly_incomes1138 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("J\u00e4hrliche Einkommen ber\u00fccksichtigen","(debts.Budgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "name": "include_yearly_incomes", "selectOnFocus": true });
    var print_empty_rows1139 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auch leere Eintr\u00e4ge drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auch leere Eintr\u00e4ge drucken","(debts.Budgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "name": "print_empty_rows", "selectOnFocus": true });
    var print_todos1140 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "To-do-Liste drucken", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("To-do-Liste drucken","(debts.Budgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt, \nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist. \nDiese Option wird aber momentan noch ignoriert \n(d.h. To-do-Liste wird gar nicht ausgedruckt), \nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen. \nVielleicht mit Fu\u00dfnoten?") }, "name": "print_todos", "selectOnFocus": true });
    var summary2_3_panel1141 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": include_yearly_incomes1138, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_empty_rows1139, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": print_todos1140, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary2_panel1145 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 57, "frame": true, "hideCheckBoxLabels": true, "items": [ conclusion1130, summary2_2_panel1134, summary2_3_panel1141 ], "labelAlign": "top", "labelWidth": 153, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var summary_tab_1_panel1146 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 9, "frame": false, "hideCheckBoxLabels": true, "items": [ summary1_panel1129, summary2_panel1145 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var DistByBudget_htmlbox1147 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Schuldenverteilung","(debts.Budgets.DistByBudget) R\u00e9partition au marc-le-franc.\nA table with one row per entry in Liabilities which has \"distribute\" checked,\nproportionally distributing the `Distributable amount` among the debtors.\n") }, "master_panel": this, "name": "DistByBudget", "region": "center", "split": true, "title": "Schuldenverteilung", "tools": [ Lino.show_in_own_window_button(Lino.debts.DistByBudget.grid) ], "value": "<br/>" });
    var summary_tab_panel1148 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ summary_tab_1_panel1146, DistByBudget_htmlbox1147 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Zusammenfassung" });
    var data_box_htmlbox1149 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Erfasste Daten","(debts.Budgets.data_box) ") }, "name": "data_box", "region": "north", "split": true, "title": "Erfasste Daten", "value": "<br/>" });
    var summary_box_htmlbox1150 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung","(debts.Budgets.summary_box) ") }, "name": "summary_box", "region": "center", "split": true, "title": "Zusammenfassung", "value": "<br/>" });
    var preview_tab_panel1151 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ data_box_htmlbox1149, summary_box_htmlbox1150 ], "labelAlign": "top", "labelWidth": 144, "listeners": { "activate": Lino.on_tab_activate }, "title": "Vorschau" });
    var main_panel1152 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1075, entries1_panel1100, entries2_panel1125, summary_tab_panel1148, preview_tab_panel1151 ], "labelAlign": "top", "split": true });
    this.items = main_panel1152;
    this.before_row_edit = function(record) {
      intro1062.refresh();
      ActorsByBudget_grid1074.on_master_changed();
      ExpensesByBudget_grid1087.on_master_changed();
      IncomesByBudget_grid1099.on_master_changed();
      LiabilitiesByBudget_grid1114.on_master_changed();
      AssetsByBudget_grid1124.on_master_changed();
      ResultByBudget_htmlbox1126.refresh();
      DebtsByBudget_htmlbox1127.refresh();
      AssetsByBudgetSummary_htmlbox1128.refresh();
      conclusion1130.refresh();
      DistByBudget_htmlbox1147.refresh();
      data_box_htmlbox1149.refresh();
      summary_box_htmlbox1150.refresh();
    }
    Lino.debts.Budgets.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var journal1153 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var number1154 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.Invoices.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date1155 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date1156 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.Invoices.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period1157 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.Invoices.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/accounting_period" }) }) });
    var workflow_buttons_disp1158 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.Invoices.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel1159 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal1153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number1154, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date1155, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date1156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period1157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp1158, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1166 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var payment_term1167 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.Invoices.payment_term) See lino_xl.lib.ledger.mixins.PartnerRelated.payment_term") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/payment_term" }) }) });
    var due_date1168 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.Invoices.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account1169 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.Invoices.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/bank_account" }) }) });
    var general_2_panel1170 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": partner1166, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": payment_term1167, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": due_date1168, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": bank_account1169, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var your_ref1175 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.Invoices.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var narration1176 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.Invoices.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var amount1177 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.Invoices.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_3_panel1178 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": your_ref1175, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": narration1176, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": amount1177, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1195 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1159, general_2_panel1170, general_3_panel1178 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match1196 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.Invoices.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/match" }) }) });
    var state1197 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.Invoices.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user1198 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.Invoices.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/user" }) }) });
    var id1199 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.Invoices.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel1200 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match1196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state1197, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user1198, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id1199, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ledger_panel1206 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel1200 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel1207 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1195, ledger_panel1206 ], "labelAlign": "top", "split": true });
    this.items = main_panel1207;
    this.before_row_edit = function(record) {
      bank_account1169.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account1169.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      match1196.setContextValue('journal', record ? record.data['journalHidden'] : undefined);
      match1196.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof partner1166 !== 'undefined' && partner1166.on('change',Lino.chooser_handler(bank_account1169,'partner'));
      typeof journal1153 !== 'undefined' && journal1153.on('change',Lino.chooser_handler(match1196,'journal'));
      typeof partner1166 !== 'undefined' && partner1166.on('change',Lino.chooser_handler(match1196,'partner'));
      Lino.vatless.Invoices.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.Invoices.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  content_type: 77,
  initComponent : function() {
    var journal1208 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.ProjectInvoicesByJournal.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/journal" }) }) });
    var number1209 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(vatless.ProjectInvoicesByJournal.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var entry_date1210 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var voucher_date1211 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(vatless.ProjectInvoicesByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var accounting_period1212 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(vatless.ProjectInvoicesByJournal.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/accounting_period" }) }) });
    var workflow_buttons_disp1213 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(vatless.ProjectInvoicesByJournal.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel1214 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": journal1208, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 4, "items": number1209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": entry_date1210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": voucher_date1211, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": accounting_period1212, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": workflow_buttons_disp1213, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project1221 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var narration1222 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(vatless.ProjectInvoicesByJournal.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_2_panel1223 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": project1221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": narration1222, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1226 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var your_ref1227 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ihr Zeichen", "listeners": { "render": Lino.quicktip_renderer("Ihr Zeichen","(vatless.ProjectInvoicesByJournal.your_ref) ") }, "maxLength": 200, "name": "your_ref", "selectOnFocus": true });
    var general_3_panel1228 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": partner1226, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": your_ref1227, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var payment_term1231 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(vatless.ProjectInvoicesByJournal.payment_term) See lino_xl.lib.ledger.mixins.PartnerRelated.payment_term") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/payment_term" }) }) });
    var due_date1232 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(vatless.ProjectInvoicesByJournal.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var bank_account1233 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "fieldLabel": "Bankkonto", "hiddenName": "bank_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Bankkonto","(vatless.ProjectInvoicesByJournal.bank_account) ") }, "name": "bank_account", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/bank_account" }) }) });
    var amount1234 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(vatless.ProjectInvoicesByJournal.amount) ") }, "name": "amount", "selectOnFocus": true });
    var general_4_panel1235 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": payment_term1231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": due_date1232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": bank_account1233, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": amount1234, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel1253 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1214, general_2_panel1223, general_3_panel1228, general_4_panel1235 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var match1254 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Match</span>", "listeners": { "render": Lino.quicktip_renderer("Match","(vatless.ProjectInvoicesByJournal.match) The movement to be matched.") }, "name": "match", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/match" }) }) });
    var state1255 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(vatless.ProjectInvoicesByJournal.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user1256 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(vatless.ProjectInvoicesByJournal.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/user" }) }) });
    var id1257 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(vatless.ProjectInvoicesByJournal.id) ") }, "name": "id", "selectOnFocus": true });
    var ledger_1_panel1258 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": match1254, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": state1255, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": user1256, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id1257, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ledger_panel1264 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ledger_1_panel1258 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Ledger" });
    var main_panel1265 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1253, ledger_panel1264 ], "labelAlign": "top", "split": true });
    this.items = main_panel1265;
    this.before_row_edit = function(record) {
      bank_account1233.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account1233.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      var bp = this.get_base_params();
      match1254.setContextValue('mk',bp['mk']);
      match1254.setContextValue('mt',bp['mt']);
      match1254.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof partner1226 !== 'undefined' && partner1226.on('change',Lino.chooser_handler(bank_account1233,'partner'));
      typeof project1221 !== 'undefined' && project1221.on('change',Lino.chooser_handler(bank_account1233,'project'));
      typeof journal1208 !== 'undefined' && journal1208.on('change',Lino.chooser_handler(match1254,'journal'));
      typeof partner1226 !== 'undefined' && partner1226.on('change',Lino.chooser_handler(match1254,'partner'));
      Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.vatless.ProjectInvoicesByJournal.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.GrantingsByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-GrantingsByClient",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 133,
  initComponent : function() {
    var aid_type1266 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var board1267 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var decision_date1268 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.GrantingsByClient.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel1269 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board1267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date1268, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date1272 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.GrantingsByClient.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1273 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.GrantingsByClient.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel1274 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1273, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1277 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": aid_type1266, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1269, main_3_panel1274 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1277;
    this.before_row_edit = function(record) {
      board1267.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date1268 !== 'undefined' && decision_date1268.on('change',Lino.chooser_handler(board1267,'decision_date'));
      Lino.aids.GrantingsByClient.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.GrantingsByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  content_type: 112,
  initComponent : function() {
    var id1279 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(newcomers.Faculties.id) ") }, "name": "id", "selectOnFocus": true });
    var name1280 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr1281 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en1282 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var weight1283 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_1_panel1284 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id1279, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name1280, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr1281, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en1282, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": weight1283, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var ClientsByFaculty_grid2791 = new Lino.newcomers.ClientsByFaculty.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Klienten","(newcomers.newcomers.ClientsByFaculty) The list that opens by Contacts \u2023 Clients.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.ClientsByFaculty.grid) ] });
    var main_panel2792 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1284, ClientsByFaculty_grid2791 ], "labelAlign": "top" });
    this.items = main_panel2792;
    this.before_row_edit = function(record) {
      ClientsByFaculty_grid2791.on_master_changed();
    }
    Lino.newcomers.Faculties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  content_type: 123,
  initComponent : function() {
    var ref2793 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var name2794 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2795 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2796 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id2797 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(debts.Groups.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel2798 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": ref2793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name2794, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr2795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en2796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id2797, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type2804 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var entries_layout2805 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Budget entries layout", "forceSelection": true, "hiddenName": "entries_layoutHidden", "listeners": { "render": Lino.quicktip_renderer("Budget entries layout","(debts.Groups.entries_layout) ") }, "name": "entries_layout", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.TableLayouts) });
    var main_2_panel2806 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": account_type2804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 76, "items": entries_layout2805, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var AccountsByGroup_grid2888 = new Lino.debts.AccountsByGroup.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Konten","(debts.debts.AccountsByGroup) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.debts.AccountsByGroup.grid) ] });
    var main_panel2889 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2798, main_2_panel2806, AccountsByGroup_grid2888 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2889;
    this.before_row_edit = function(record) {
      AccountsByGroup_grid2888.on_master_changed();
    }
    Lino.debts.Groups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  content_type: 130,
  initComponent : function() {
    var date2890 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(notes.Notes.date) ") }, "name": "date", "selectOnFocus": true });
    var time2891 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zeit", "listeners": { "render": Lino.quicktip_renderer("Zeit","(notes.Notes.time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "time", "selectOnFocus": true });
    var event_type2892 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type2893 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.NoteTypes.detail,Lino.notes.NoteTypes.insert)}, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var left_1_panel2894 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date2890, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": time2891, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": event_type2892, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": type2893, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var project2899 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject2900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var important2901 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wichtig", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wichtig","(notes.Notes.important) ") }, "name": "important", "selectOnFocus": true });
    var left_2_panel2902 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": project2899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": subject2900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": important2901, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2906 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(notes.Notes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person2907 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(notes.Notes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var left_3_panel2908 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company2906, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person2907, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2911 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var language2912 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(notes.Notes.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time2913 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var id2914 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.Notes.id) ") }, "name": "id", "selectOnFocus": true });
    var left_4_panel2915 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": user2911, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": language2912, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 41, "items": build_time2913, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": id2914, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body2920 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 55, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var left_panel2921 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ left_1_panel2894, left_2_panel2902, left_3_panel2908, left_4_panel2915, body2920 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var uploads_UploadsByController_htmlbox2922 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(notes.Notes.uploads_UploadsByController) Shows the uploads controlled by this database object.") }, "master_panel": this, "name": "uploads_UploadsByController", "region": "north", "split": true, "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var outbox_MailsByController_grid2923 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("E-Mail-Ausg\u00e4nge","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var cal_TasksByController_grid2924 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel2925 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ uploads_UploadsByController_htmlbox2922, outbox_MailsByController_grid2923, cal_TasksByController_grid2924 ], "labelAlign": "top", "labelWidth": 135 });
    var main_1_panel2926 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ left_panel2921, right_panel2925 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel2927 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2926 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2927;
    this.before_row_edit = function(record) {
      contact_person2907.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body2920.refresh();
      uploads_UploadsByController_htmlbox2922.refresh();
      outbox_MailsByController_grid2923.on_master_changed();
      cal_TasksByController_grid2924.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company2906 !== 'undefined' && company2906.on('change',Lino.chooser_handler(contact_person2907,'company'));
      Lino.notes.Notes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.Notes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.newcomers.Faculties.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel newcomers-Faculties",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 112,
  initComponent : function() {
    var name2928 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(newcomers.Faculties.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2929 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(newcomers.Faculties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2930 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(newcomers.Faculties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2931 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2928, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2929, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2930, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var weight2935 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aufwand</span>", "listeners": { "render": Lino.quicktip_renderer("Aufwand","(newcomers.Faculties.weight) Wieviel Aufwand ein Neuantrag in diesem Fachbereich allgemein verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "name": "weight", "selectOnFocus": true, "value": 10 });
    var main_panel2936 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2931, { "anchor": "-20", "autoHeight": true, "items": weight2935, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2936;
    this.before_row_edit = function(record) {
    }
    Lino.newcomers.Faculties.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Groups.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Groups",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 123,
  initComponent : function() {
    var name2938 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Groups.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2939 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Groups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2940 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Groups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2941 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2939, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2940, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account_type2945 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontoart", "forceSelection": true, "hiddenName": "account_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Groups.account_type) ") }, "name": "account_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var ref2946 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ref", "listeners": { "render": Lino.quicktip_renderer("ref","(debts.Groups.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var main_2_panel2947 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": account_type2945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": ref2946, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2950 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2941, main_2_panel2947 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2950;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Groups.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  content_type: 124,
  initComponent : function() {
    var ref2826 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name2827 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2828 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2829 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2830 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": ref2826, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name2827, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr2828, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en2829, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var group2835 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Groups.detail,Lino.debts.Groups.insert)}, "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type2836 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_2_panel2837 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": group2835, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": type2836, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var required_for_household2840 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Haushalte", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Haushalte","(debts.Accounts.required_for_household) ") }, "name": "required_for_household", "selectOnFocus": true });
    var required_for_person2841 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "verpflichtend f\u00fcr Personen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("verpflichtend f\u00fcr Personen","(debts.Accounts.required_for_person) ") }, "name": "required_for_person", "selectOnFocus": true });
    var periods2842 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Perioden</span>", "listeners": { "render": Lino.quicktip_renderer("Perioden","(debts.Accounts.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "name": "periods", "selectOnFocus": true, "value": 1 });
    var default_amount2843 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(debts.Accounts.default_amount) ") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel2844 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": required_for_household2840, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": required_for_person2841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": periods2842, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": default_amount2843, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2872 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2830, main_2_panel2837, main_3_panel2844 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2872;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Accounts",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 124,
  initComponent : function() {
    var ref2873 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(debts.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var group2874 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Groups.detail", "emptyText": "Kontengruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontengruppe</span>", "hiddenName": "groupHidden", "insert_action": "Lino.debts.Groups.insert", "listeners": { "render": Lino.quicktip_renderer("Kontengruppe","(debts.Accounts.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "name": "group", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Groups.detail,Lino.debts.Groups.insert)}, "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Accounts/group" }) }) });
    var type2875 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontoart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoart","(debts.Accounts.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var main_1_panel2876 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": ref2873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": group2874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": type2875, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name2880 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(debts.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2881 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(debts.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2882 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(debts.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel2883 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name2880, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr2881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en2882, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2887 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2876, main_2_panel2883 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2887;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.debts.Budgets.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel debts-Budgets",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 125,
  initComponent : function() {
    var partner2755 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(debts.Budgets.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/partner" }) }) });
    var date2756 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum", "listeners": { "render": Lino.quicktip_renderer("Datum","(debts.Budgets.date) ") }, "name": "date", "selectOnFocus": true });
    var user2757 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(debts.Budgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/Budgets/user" }) }) });
    var main_2_panel2758 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": date2756, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": user2757, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2761 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner2755, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2758 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2761;
    this.before_row_edit = function(record) {
    }
    Lino.debts.Budgets.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 128,
  initComponent : function() {
    var id2951 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.NoteTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name2952 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr2953 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en2954 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel2955 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id2951, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name2952, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr2953, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en2954, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method2960 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template2961 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(notes.NoteTypes.template) The name of the file to be used as template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/template" }) }) });
    var special_type2962 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sondernotizart", "forceSelection": true, "hiddenName": "special_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Sondernotizart","(notes.NoteTypes.special_type) ") }, "name": "special_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.notes.SpecialTypes) });
    var email_template2963 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(notes.NoteTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NoteTypes/email_template" }) }) });
    var attach_to_email2964 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(notes.NoteTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_2_panel2965 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": build_method2960, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": template2961, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": special_type2962, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": email_template2963, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": attach_to_email2964, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2971 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.NoteTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByType_grid3005 = new Lino.notes.NotesByType.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(notes.notes.NotesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByType.grid) ] });
    var main_panel3006 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2955, main_2_panel2965, { "flex": 41, "items": remark2971, "labelAlign": "top", "layout": "form", "xtype": "panel" }, notes_NotesByType_grid3005 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3006;
    this.before_row_edit = function(record) {
      template2961.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      notes_NotesByType_grid3005.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method2960 !== 'undefined' && build_method2960.on('change',Lino.chooser_handler(template2961,'build_method'));
      Lino.notes.NoteTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.notes.NoteTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NoteTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NoteTypes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 128,
  initComponent : function() {
    var name3008 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.NoteTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3009 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.NoteTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3010 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.NoteTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3011 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3008, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3009, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3010, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method3015 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(notes.NoteTypes.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var main_panel3016 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3011, { "anchor": "-20", "autoHeight": true, "items": build_method3015, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3016;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NoteTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 56,
  initComponent : function() {
    var first_name2778 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name2779 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel2780 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name2778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name2779, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var national_id2783 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var gender2784 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var language2785 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_3_panel2786 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": gender2784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 64, "items": language2785, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2789 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2780, { "anchor": "-20", "autoHeight": true, "items": national_id2783, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2786 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2789;
    this.before_row_edit = function(record) {
    }
    Lino.pcsw.Clients.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel notes-EventTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 129,
  initComponent : function() {
    var id3018 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(notes.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3019 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(notes.EventTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3020 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(notes.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3021 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(notes.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3022 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3019, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3021, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var remark3027 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(notes.EventTypes.remark) ") }, "name": "remark", "selectOnFocus": true });
    var notes_NotesByEventType_grid3051 = new Lino.notes.NotesByEventType.GridPanel({ "containing_panel": this, "flex": 6, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(notes.notes.NotesByEventType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByEventType.grid) ] });
    var main_panel3052 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3022, { "flex": 3, "items": remark3027, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, notes_NotesByEventType_grid3051 ], "labelAlign": "top", "labelWidth": 0 });
    this.items = main_panel3052;
    this.before_row_edit = function(record) {
      notes_NotesByEventType_grid3051.on_master_changed();
    }
    Lino.notes.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.Notes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-Notes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 130,
  initComponent : function() {
    var event_type2995 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.Notes.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type2996 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.Notes.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.NoteTypes.detail,Lino.notes.NoteTypes.insert)}, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var main_1_panel2997 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type2995, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type2996, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject3000 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.Notes.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project3001 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.Notes.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var main_panel3002 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2997, { "anchor": "-20", "autoHeight": true, "items": subject3000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project3001, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3002;
    this.before_row_edit = function(record) {
    }
    Lino.notes.Notes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.notes.NotesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel notes-NotesByX",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 130,
  initComponent : function() {
    var event_type3054 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "Ereignisart (Form)", "hiddenName": "event_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ereignisart (Form)","(notes.NotesByX.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/event_type" }) }) });
    var type3055 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.NoteTypes.detail", "emptyText": "Notizart ausw\u00e4hlen...", "fieldLabel": "Notizart (Inhalt)", "hiddenName": "typeHidden", "insert_action": "Lino.notes.NoteTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Notizart (Inhalt)","(notes.NotesByX.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.NoteTypes.detail,Lino.notes.NoteTypes.insert)}, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/type" }) }) });
    var main_1_panel3056 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type3054, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type3055, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subject3059 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(notes.NotesByX.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project3060 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(notes.NotesByX.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByX/project" }) }) });
    var main_panel3061 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3056, { "anchor": "-20", "autoHeight": true, "items": subject3059, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": project3060, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3061;
    this.before_row_edit = function(record) {
    }
    Lino.notes.NotesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Categories.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Categories",
  layout: 'fit',
  auto_save: true,
  content_type: 131,
  initComponent : function() {
    var id3064 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Categories.id) ") }, "name": "id", "selectOnFocus": true });
    var name3065 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.Categories.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3066 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.Categories.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3067 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.Categories.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3068 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id3064, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name3065, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3067, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_IncomeConfirmationsByCategory_grid3131 = new Lino.aids.IncomeConfirmationsByCategory.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Einkommensbescheinigungen","(aids.aids.IncomeConfirmationsByCategory) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.IncomeConfirmationsByCategory.grid) ] });
    var main_panel3132 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3068, aids_IncomeConfirmationsByCategory_grid3131 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3132;
    this.before_row_edit = function(record) {
      aids_IncomeConfirmationsByCategory_grid3131.on_master_changed();
    }
    Lino.aids.Categories.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  content_type: 26,
  initComponent : function() {
    var user3133 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project3134 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var id3135 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.Uploads.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3136 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": user3133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": project3134, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id3135, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3140 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var description3141 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var start_date3142 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3143 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed3144 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel3145 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type3140, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": description3141, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": start_date3142, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": end_date3143, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needed3144, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3151 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(uploads.Uploads.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person3152 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ausgestellt durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("ausgestellt durch","(uploads.Uploads.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role3153 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var main_3_panel3154 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3151, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role3153, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var file3158 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var owner_disp3159 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_4_panel3160 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 67, "items": file3158, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": owner_disp3159, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3163 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(uploads.Uploads.remark) ") }, "name": "remark", "selectOnFocus": true });
    var cal_TasksByController_grid3164 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 65, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var main_5_panel3165 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 34, "items": remark3163, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_TasksByController_grid3164 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel3167 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3136, main_2_panel3145, main_3_panel3154, main_4_panel3160, main_5_panel3165 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3167;
    this.before_row_edit = function(record) {
      type3140.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      contact_person3152.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      cal_TasksByController_grid3164.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company3151 !== 'undefined' && company3151.on('change',Lino.chooser_handler(contact_person3152,'company'));
      Lino.uploads.Uploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.Uploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  content_type: 116,
  initComponent : function() {
    var id3168 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.IdentifyPersonRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person3169 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var user3170 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var sent3171 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status3172 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.IdentifyPersonRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp3173 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.IdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel3174 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id3168, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person3169, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user3170, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent3171, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status3172, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp3173, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id3181 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var p1_panel3183 = new Ext.form.FieldSet({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": national_id3181, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 50, "html": "<br/>", "xtype": "label" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "title": "Suche per NISS" });
    var first_name3185 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name3186 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name3187 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel3188 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name3185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name3186, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name3187, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date3192 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance3193 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender3194 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel3195 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date3192, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance3193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender3194, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel3199 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 75, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel3188, p2_2_panel3195 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var parameters_panel3200 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel3183, p2_panel3199 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var IdentifyPersonResult_grid3211 = new Lino.cbss.IdentifyPersonResult.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Resultate","(cbss.cbss.IdentifyPersonResult) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.IdentifyPersonResult.grid) ] });
    var request_panel3212 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel3174, parameters_panel3200, IdentifyPersonResult_grid3211 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel3223 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel3212 ], "labelAlign": "top", "split": true });
    this.items = main_panel3223;
    this.before_row_edit = function(record) {
      IdentifyPersonResult_grid3211.on_master_changed();
    }
    Lino.cbss.IdentifyPersonRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person3169.on("change", function(){ this.save() }, this);
  }
});


Lino.aids.AidTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 132,
  initComponent : function() {
    var id3224 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.AidTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var short_name3225 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">short name</span>", "listeners": { "render": Lino.quicktip_renderer("short name","(aids.AidTypes.short_name) The short name for internal use, e.g. when a user must select\nan aid type from a combobox.") }, "maxLength": 50, "name": "short_name", "selectOnFocus": true });
    var confirmation_type3226 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_1_panel3227 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id3224, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": short_name3225, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": confirmation_type3226, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name3231 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3232 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3233 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel3234 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3232, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3233, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpt_title3238 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt title</span>", "listeners": { "render": Lino.quicktip_renderer("Excerpt title","(aids.AidTypes.excerpt_title) The text to print as title in confirmations.\nSee also\nlino_xl.lib.excerpts.mixins.ExcerptTitle.excerpt_title.") }, "maxLength": 200, "name": "excerpt_title", "selectOnFocus": true });
    var excerpt_title_fr3239 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (fr)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (fr)","(aids.AidTypes.excerpt_title_fr) ") }, "maxLength": 200, "name": "excerpt_title_fr", "selectOnFocus": true });
    var excerpt_title_en3240 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Excerpt title (en)", "listeners": { "render": Lino.quicktip_renderer("Excerpt title (en)","(aids.AidTypes.excerpt_title_en) ") }, "maxLength": 200, "name": "excerpt_title_en", "selectOnFocus": true });
    var main_3_panel3241 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": excerpt_title3238, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_fr3239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": excerpt_title_en3240, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var body_template3245 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(aids.AidTypes.body_template) The body template to use when printing a confirmation of this type.\nIf this field is empty, Lino uses the excerpt type's\nbody_template.\nSee also /admin/printing.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/body_template" }) }) });
    var print_directly3246 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(aids.AidTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var is_integ_duty3247 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Verpflichtung DSBE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Verpflichtung DSBE","(aids.AidTypes.is_integ_duty) Whether aid grantings of this type are considered as duty for integration contract.") }, "name": "is_integ_duty", "selectOnFocus": true });
    var is_urgent3248 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dringend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dringend","(aids.AidTypes.is_urgent) Whether aid grantings of this type are considered as urgent.\nThis is used by Confirmation.get_urgent_granting()") }, "name": "is_urgent", "selectOnFocus": true });
    var confirmed_by_primary_coach3249 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4rbegleiter best\u00e4tigt", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4rbegleiter best\u00e4tigt","(aids.AidTypes.confirmed_by_primary_coach) Whether grantings for this aid type are to be signed by the\nclient's primary coach (see Client.get_primary_coach).") }, "name": "confirmed_by_primary_coach", "selectOnFocus": true });
    var board3250 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.AidTypes.board) Pointer to the default lino_xl.lib.boards.models.Board\nfor aid projects of this type.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/board" }) }) });
    var main_4_panel3251 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": body_template3245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": print_directly3246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_integ_duty3247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_urgent3248, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": confirmed_by_primary_coach3249, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": board3250, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3258 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(aids.AidTypes.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/company" }) }) });
    var contact_person3259 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(aids.AidTypes.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_person" }) }) });
    var contact_role3260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(aids.AidTypes.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/contact_role" }) }) });
    var pharmacy_type3261 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klientenkontaktart</span>", "hiddenName": "pharmacy_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(aids.AidTypes.pharmacy_type) A pointer to the ClientContactType to be used when\nselecting the pharmacy of a refund confirmation\n(RefundConfirmation.pharmacy).") }, "name": "pharmacy_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/AidTypes/pharmacy_type" }) }) });
    var main_5_panel3262 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": company3258, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person3259, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role3260, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": pharmacy_type3261, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_GrantingsByType_grid3303 = new Lino.aids.GrantingsByType.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfebeschl\u00fcsse","(aids.aids.GrantingsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByType.grid) ] });
    var main_panel3304 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3227, main_2_panel3234, main_3_panel3241, main_4_panel3251, main_5_panel3262, aids_GrantingsByType_grid3303 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3304;
    this.before_row_edit = function(record) {
      body_template3245.setContextValue('confirmation_type', record ? record.data['confirmation_typeHidden'] : undefined);
      contact_person3259.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      aids_GrantingsByType_grid3303.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof confirmation_type3226 !== 'undefined' && confirmation_type3226.on('change',Lino.chooser_handler(body_template3245,'confirmation_type'));
      typeof company3258 !== 'undefined' && company3258.on('change',Lino.chooser_handler(contact_person3259,'company'));
      Lino.aids.AidTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.AidTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.esf.Summaries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel esf-Summaries",
  layout: 'fit',
  auto_save: true,
  content_type: 137,
  initComponent : function() {
    var master3305 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "masterHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "name": "master", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var year3306 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Year", "listeners": { "render": Lino.quicktip_renderer("Year","(esf.Summaries.year) ") }, "name": "year", "selectOnFocus": true });
    var main_1_panel3307 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 80, "items": master3305, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": year3306, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var children_at_charge3310 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kinder zu Lasten", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kinder zu Lasten","(esf.Summaries.children_at_charge) ") }, "name": "children_at_charge", "selectOnFocus": true });
    var certified_handicap3311 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Certified handicap", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Certified handicap","(esf.Summaries.certified_handicap) ") }, "name": "certified_handicap", "selectOnFocus": true });
    var other_difficulty3312 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Other difficulty", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Other difficulty","(esf.Summaries.other_difficulty) ") }, "name": "other_difficulty", "selectOnFocus": true });
    var user_modified3313 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "User modified", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("User modified","(esf.Summaries.user_modified) ") }, "name": "user_modified", "selectOnFocus": true });
    var main_2_panel3314 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": children_at_charge3310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certified_handicap3311, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": other_difficulty3312, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user_modified3313, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level3319 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "Akademischer Grad", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(esf.Summaries.education_level) ") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var result3320 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Participation Certificate", "forceSelection": true, "hiddenName": "resultHidden", "listeners": { "render": Lino.quicktip_renderer("Participation Certificate","(esf.Summaries.result) ") }, "name": "result", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark3321 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(esf.Summaries.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var id3322 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(esf.Summaries.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel3323 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": education_level3319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": result3320, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": remark3321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id3322, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var results_disp3328 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Resultate", "listeners": { "render": Lino.quicktip_renderer("Resultate","(esf.Summaries.results) ") }, "name": "results", "value": "<br/>" });
    var main_panel3329 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3307, main_2_panel3314, main_3_panel3323, { "anchor": "-20", "autoHeight": true, "items": results_disp3328, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3329;
    this.before_row_edit = function(record) {
    }
    Lino.esf.Summaries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.IdentifyPersonRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-IdentifyPersonRequests",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 116,
  initComponent : function() {
    var person3331 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.IdentifyPersonRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var national_id3332 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.IdentifyPersonRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var main_1_panel3333 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": person3331, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": national_id3332, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name3336 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.IdentifyPersonRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name3337 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name3338 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.IdentifyPersonRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var p2_1_panel3339 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name3336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name3337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name3338, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date3343 = new Lino.IncompleteDateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var tolerance3344 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Toleranz</span>", "listeners": { "render": Lino.quicktip_renderer("Toleranz","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "name": "tolerance", "selectOnFocus": true, "value": 0 });
    var gender3345 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Geschlecht", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(cbss.IdentifyPersonRequests.gender) ") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var p2_2_panel3346 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": birth_date3343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": tolerance3344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": gender3345, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p2_panel3350 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p2_1_panel3339, p2_2_panel3346 ], "labelAlign": "top", "layout": "form", "title": "Phonetische Suche" });
    var main_panel3351 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3333, p2_panel3350 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3351;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.IdentifyPersonRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.AidTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-AidTypes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 132,
  initComponent : function() {
    var name3352 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(aids.AidTypes.name) The designation of this aid type as seen by the user e.g. when\nselecting an aid type.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3353 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(aids.AidTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3354 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(aids.AidTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel3355 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name3352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr3353, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en3354, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var confirmation_type3359 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfebescheinigungsart</span>", "forceSelection": true, "hiddenName": "confirmation_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Hilfebescheinigungsart","(aids.AidTypes.confirmation_type) The database model to use for issuing an aid confirmation of\nthis type. This is a mandatory pointer to\nConfirmationTypes.") }, "name": "confirmation_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.aids.ConfirmationTypes) });
    var main_panel3360 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3355, { "anchor": "-20", "autoHeight": true, "items": confirmation_type3359, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3360;
    this.before_row_edit = function(record) {
    }
    Lino.aids.AidTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  content_type: 140,
  initComponent : function() {
    var id3362 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(tinymce.TextFieldTemplates.id) ") }, "name": "id", "selectOnFocus": true });
    var name3363 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user3364 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_1_panel3365 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id3362, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": name3363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": user3364, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description3369 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(tinymce.TextFieldTemplates.description) ") }, "name": "description", "selectOnFocus": true });
    var text3370 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Vorlagentext", "flex": 5, "name": "text", "region": "south", "selectOnFocus": true, "split": true, "title": "Vorlagentext" });
    var main_panel3371 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3365, { "flex": 5, "items": description3369, "labelAlign": "top", "layout": "form", "region": "center", "split": true, "xtype": "panel" }, text3370 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel3371;
    this.before_row_edit = function(record) {
      text3370.refresh();
    }
    Lino.tinymce.TextFieldTemplates.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.system.SiteConfigs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel system-SiteConfigs",
  layout: 'fit',
  auto_save: true,
  content_type: 1,
  initComponent : function() {
    var site_company3373 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Site-Besitzer</span>", "hiddenName": "site_companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Site-Besitzer","(system.SiteConfigs.site_company) The site operator, i.e. the legal person that operates this\nLino site.") }, "name": "site_company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/site_company" }) }) });
    var next_partner_id3374 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">N\u00e4chste Partnernummer</span>", "listeners": { "render": Lino.quicktip_renderer("N\u00e4chste Partnernummer","(system.SiteConfigs.next_partner_id) N\u00e4chste Partnernummer") }, "name": "next_partner_id", "selectOnFocus": true, "value": 100 });
    var general_1_panel3375 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": site_company3373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": next_partner_id3374, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_office3378 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Lokales Arbeitsamt</span>", "hiddenName": "job_officeHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Lokales Arbeitsamt","(system.SiteConfigs.job_office) The Company whose contact persons \n            will be choices for `Person.job_office_contact`.") }, "name": "job_office", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/job_office" }) }) });
    var master_budget3379 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.debts.Budgets.detail", "emptyText": "Budget ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Budget-Kopiervorlage</span>", "hiddenName": "master_budgetHidden", "insert_action": "Lino.debts.Budgets.insert", "listeners": { "render": Lino.quicktip_renderer("Budget-Kopiervorlage","(system.SiteConfigs.master_budget) The budget whose content is to be         copied into new budgets.") }, "name": "master_budget", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.debts.Budgets.detail,Lino.debts.Budgets.insert)}, "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/master_budget" }) }) });
    var general_2_panel3380 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": job_office3378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": master_budget3379, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer13383 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Sekret\u00e4r", "hiddenName": "signer1Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Sekret\u00e4r","(system.SiteConfigs.signer1) ") }, "name": "signer1", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1" }) }) });
    var signer23384 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Pr\u00e4sident", "hiddenName": "signer2Hidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4sident","(system.SiteConfigs.signer2) ") }, "name": "signer2", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2" }) }) });
    var general_3_panel3385 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer13383, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer23384, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var signer1_function3388 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des ersten Unterzeichners</span>", "hiddenName": "signer1_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des ersten Unterzeichners","(system.SiteConfigs.signer1_function) Kontaktfunktion \"Sekret\u00e4r\"") }, "name": "signer1_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer1_function" }) }) });
    var signer2_function3389 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Funktion des zweiten Unterzeichners</span>", "hiddenName": "signer2_functionHidden", "listeners": { "render": Lino.quicktip_renderer("Funktion des zweiten Unterzeichners","(system.SiteConfigs.signer2_function) Kontaktfunktion \"Pr\u00e4sident\"") }, "name": "signer2_function", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/signer2_function" }) }) });
    var general_4_panel3390 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": signer1_function3388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer2_function3389, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel3393 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3375, general_2_panel3380, general_3_panel3385, general_4_panel3390 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var system_note_type3394 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.notes.EventTypes.detail", "emptyText": "Event Type ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Default system note type</span>", "hiddenName": "system_note_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Default system note type","(system.SiteConfigs.system_note_type) Note Type used by system notes.\nIf this is empty, then system notes won't create any entry to the Notes table.") }, "name": "system_note_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.notes.EventTypes.detail,null)}, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/system_note_type" }) }) });
    var default_build_method3395 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Konstruktionsmethode</span>", "forceSelection": true, "hiddenName": "default_build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Standard-Konstruktionsmethode","(system.SiteConfigs.default_build_method) The default build method to use when rendering printable documents.") }, "name": "default_build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var constants_1_panel3396 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 46, "items": system_note_type3394, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 53, "items": default_build_method3395, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var propgroup_skills3399 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe F\u00e4higkeiten</span>", "hiddenName": "propgroup_skillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe F\u00e4higkeiten","(system.SiteConfigs.propgroup_skills) The property group to be used as master for the SkillsByPerson table.") }, "name": "propgroup_skills", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_skills" }) }) });
    var propgroup_softskills3400 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Sozialkompetenzen</span>", "hiddenName": "propgroup_softskillsHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Sozialkompetenzen","(system.SiteConfigs.propgroup_softskills) The property group to be used as master for the SoftSkillsByPerson table.") }, "name": "propgroup_softskills", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_softskills" }) }) });
    var propgroup_obstacles3401 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschaftsgruppe Hindernisse</span>", "hiddenName": "propgroup_obstaclesHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe Hindernisse","(system.SiteConfigs.propgroup_obstacles) The property group to be used as master for the ObstaclesByPerson table.") }, "name": "propgroup_obstacles", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/propgroup_obstacles" }) }) });
    var constants_2_panel3402 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": propgroup_skills3399, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_softskills3400, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": propgroup_obstacles3401, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var residence_permit_upload_type3406 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Aufenthaltserlaubnis", "hiddenName": "residence_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Aufenthaltserlaubnis","(system.SiteConfigs.residence_permit_upload_type) ") }, "name": "residence_permit_upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/residence_permit_upload_type" }) }) });
    var work_permit_upload_type3407 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art Arbeitserlaubnis", "hiddenName": "work_permit_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art Arbeitserlaubnis","(system.SiteConfigs.work_permit_upload_type) ") }, "name": "work_permit_upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/work_permit_upload_type" }) }) });
    var driving_licence_upload_type3408 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "Upload-Art F\u00fchrerschein", "hiddenName": "driving_licence_upload_typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art F\u00fchrerschein","(system.SiteConfigs.driving_licence_upload_type) ") }, "name": "driving_licence_upload_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/driving_licence_upload_type" }) }) });
    var constants_3_panel3409 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": residence_permit_upload_type3406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_upload_type3407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": driving_licence_upload_type3408, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var default_event_type3413 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Kalenderintragsart</span>", "hiddenName": "default_event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Standard-Kalenderintragsart","(system.SiteConfigs.default_event_type) The default type of events on this site.") }, "name": "default_event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/default_event_type" }) }) });
    var prompt_calendar3414 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Default type for prompt events", "hiddenName": "prompt_calendarHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Default type for prompt events","(system.SiteConfigs.prompt_calendar) ") }, "name": "prompt_calendar", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/prompt_calendar" }) }) });
    var hide_events_before3415 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hide events before</span>", "listeners": { "render": Lino.quicktip_renderer("Hide events before","(system.SiteConfigs.hide_events_before) If this is specified, certain tables show only\nevents after the given date.") }, "name": "hide_events_before", "selectOnFocus": true });
    var constants_4_panel3416 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": default_event_type3413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": prompt_calendar3414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": hide_events_before3415, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_guestrole3420 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Client guest role</span>", "hiddenName": "client_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Client guest role","(system.SiteConfigs.client_guestrole) Default guest role of client in calendar events.") }, "name": "client_guestrole", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/client_guestrole" }) }) });
    var team_guestrole3421 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "Rolle der anderen bei Gruppenterminen", "hiddenName": "team_guestroleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle der anderen bei Gruppenterminen","(system.SiteConfigs.team_guestrole) ") }, "name": "team_guestrole", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/team_guestrole" }) }) });
    var constants_5_panel3422 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": client_guestrole3420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": team_guestrole3421, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var constants_panel3425 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ constants_1_panel3396, constants_2_panel3402, constants_3_panel3409, constants_4_panel3416, constants_5_panel3422 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Constants" });
    var cbss_org_unit3426 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragende Organisation</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragende Organisation","(system.SiteConfigs.cbss_org_unit)     In CBSS requests, identifies the requesting organization.\n    For PCSWs this is the enterprise number\n    (CBE, KBO) and should have 10 digits and no formatting characters.\n\n    Used in SSDN requests as text of the `AuthorizedUser\\OrgUnit` element .\n    Used in new style requests as text of the `CustomerIdentification\\cbeNumber` element .\n    ") }, "maxLength": 50, "name": "cbss_org_unit", "selectOnFocus": true });
    var sector3427 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">sector</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("sector","(system.SiteConfigs.sector)     The CBSS sector/subsector of the requesting organization.\n    For PCSWs this is always 17.1.\n    Used in SSDN requests as text of the `MatrixID` and `MatrixSubID`\n    elements of `AuthorizedUser`.\n    Used in ManageAccess requests as default value\n    for the non-editable field `sector`\n    (which defines the choices of the `purpose` field).\n    ") }, "name": "sector", "pageSize": 20, "related_actor_id": "cbss.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/system/SiteConfigs/sector" }) }) });
    var ssdn_user_id3428 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN User Id</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN User Id","(system.SiteConfigs.ssdn_user_id) Used in SSDN requests as text of the `AuthorizedUser\\UserID` element.") }, "maxLength": 50, "name": "ssdn_user_id", "selectOnFocus": true });
    var ssdn_email3429 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SSDN email address</span>", "listeners": { "render": Lino.quicktip_renderer("SSDN email address","(system.SiteConfigs.ssdn_email) Used in SSDN requests as text of the `AuthorizedUser\\Email` element.") }, "maxLength": 254, "name": "ssdn_email", "selectOnFocus": true });
    var cbss_1_panel3430 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": cbss_org_unit3426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector3427, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_user_id3428, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": ssdn_email3429, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_http_username3435 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP username</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP username","(system.SiteConfigs.cbss_http_username)             Used in the http header of new-style requests.\n            ") }, "maxLength": 50, "name": "cbss_http_username", "selectOnFocus": true });
    var cbss_http_password3436 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">HTTP password</span>", "listeners": { "render": Lino.quicktip_renderer("HTTP password","(system.SiteConfigs.cbss_http_password) Used in the http header of new-style requests.") }, "maxLength": 50, "name": "cbss_http_password", "selectOnFocus": true });
    var cbss_2_panel3437 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": cbss_http_username3435, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": cbss_http_password3436, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_panel3440 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel3430, cbss_2_panel3437 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "ZDSS" });
    var main_panel3441 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3393, constants_panel3425, cbss_panel3440 ], "labelAlign": "top", "split": true });
    this.items = main_panel3441;
    this.before_row_edit = function(record) {
    }
    Lino.system.SiteConfigs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  content_type: 133,
  initComponent : function() {
    var id1784 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.Grantings.id) ") }, "name": "id", "selectOnFocus": true });
    var client1785 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var user1786 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var signer1787 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var workflow_buttons_disp1788 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.Grantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1789 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id1784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client1785, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user1786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer1787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp1788, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var request_date1795 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("Datum der Anfrage","(aids.Grantings.request_date) ") }, "name": "request_date", "selectOnFocus": true });
    var board1796 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date1797 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_2_panel1798 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": request_date1795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": board1796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": decision_date1797, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aid_type1802 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category1803 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kategorie</span>", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "name": "category", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Categories.detail,null)}, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var start_date1804 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date1805 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var custom_actions_disp1806 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("Aktionen","(aids.Grantings.custom_actions) ") }, "name": "custom_actions", "value": "<br/>" });
    var main_3_panel1807 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": aid_type1802, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": category1803, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": start_date1804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": end_date1805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": custom_actions_disp1806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var aids_ConfirmationsByGranting_grid1821 = new Lino.aids.ConfirmationsByGranting.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausgestellte Best\u00e4tigungen","(aids.aids.ConfirmationsByGranting) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.aids.ConfirmationsByGranting.grid) ] });
    var main_panel1822 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1789, main_2_panel1798, main_3_panel1807, aids_ConfirmationsByGranting_grid1821 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1822;
    this.before_row_edit = function(record) {
      board1796.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      aids_ConfirmationsByGranting_grid1821.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof decision_date1797 !== 'undefined' && decision_date1797.on('change',Lino.chooser_handler(board1796,'decision_date'));
      Lino.aids.Grantings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.Grantings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-Grantings",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 133,
  initComponent : function() {
    var client3285 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type3286 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.AidTypes.detail", "emptyText": "Hilfeart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hilfeart</span>", "hiddenName": "aid_typeHidden", "insert_action": "Lino.aids.AidTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfeart","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "name": "aid_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.AidTypes.detail,Lino.aids.AidTypes.insert)}, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var signer3287 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Best\u00e4tiger</span>", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var main_2_panel3288 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": aid_type3286, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": signer3287, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var board3291 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.boards.Boards.detail", "emptyText": "Gremium ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gremium</span>", "hiddenName": "boardHidden", "insert_action": "Lino.boards.Boards.insert", "listeners": { "render": Lino.quicktip_renderer("Gremium","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "name": "board", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.boards.Boards.detail,Lino.boards.Boards.insert)}, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var decision_date3292 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("Beschlossen","(aids.Grantings.decision_date) ") }, "name": "decision_date", "selectOnFocus": true });
    var main_3_panel3293 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": board3291, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": decision_date3292, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date3296 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(aids.Grantings.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3297 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.Grantings.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_4_panel3298 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3297, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3301 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client3285, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel3288, main_3_panel3293, main_4_panel3298 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3301;
    this.before_row_edit = function(record) {
      board3291.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof decision_date3292 !== 'undefined' && decision_date3292.on('change',Lino.chooser_handler(board3291,'decision_date'));
      Lino.aids.Grantings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.Grantings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.clients.ClientContactTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel clients-ClientContactTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 43,
  initComponent : function() {
    var id3442 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(clients.ClientContactTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name3443 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(clients.ClientContactTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3444 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(clients.ClientContactTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3445 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(clients.ClientContactTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var can_refund3446 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Kostenr\u00fcckerstattung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Kostenr\u00fcckerstattung","(clients.ClientContactTypes.can_refund) Whether persons of this type can be used as doctor of a refund confirmation.") }, "name": "can_refund", "selectOnFocus": true });
    var is_bailiff3447 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Schuldeneintreiber", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Schuldeneintreiber","(clients.ClientContactTypes.is_bailiff) ") }, "name": "is_bailiff", "selectOnFocus": true });
    var main_1_panel3448 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id3442, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name3443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr3444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en3445, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": can_refund3446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": is_bailiff3447, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var clients_PartnersByClientContactType_grid3603 = new Lino.clients.PartnersByClientContactType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partner","(clients.clients.PartnersByClientContactType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.PartnersByClientContactType.grid) ] });
    var clients_ClientContactsByType_grid3615 = new Lino.clients.ClientContactsByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontakte","(clients.clients.ClientContactsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.clients.ClientContactsByType.grid) ] });
    var main_panel3616 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3448, clients_PartnersByClientContactType_grid3603, clients_ClientContactsByType_grid3615 ], "labelAlign": "top" });
    this.items = main_panel3616;
    this.before_row_edit = function(record) {
      clients_PartnersByClientContactType_grid3603.on_master_changed();
      clients_ClientContactsByType_grid3615.on_master_changed();
    }
    Lino.clients.ClientContactTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByClient.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByClient",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var event_type2643 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var summary2644 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2645 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByClient.start_date) The starting date of this entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2646 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date2647 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.EntriesByClient.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2648 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel2649 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date2645, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time2646, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date2647, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time2648, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2654 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event_type2643, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": summary2644, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel2649 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2654;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByClient.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByProject",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var start_date3617 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByProject.start_date) The starting date of this entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time3618 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time3619 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel3620 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date3617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time3618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time3619, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary3624 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type3625 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var main_panel3626 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3620, { "anchor": "-20", "autoHeight": true, "items": summary3624, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type3625, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3626;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.PaymentOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-PaymentOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  content_type: 74,
  initComponent : function() {
    var entry_date3629 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.PaymentOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3630 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.PaymentOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var total3631 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.PaymentOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var execution_date3632 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausf\u00fchrungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(finan.PaymentOrders.execution_date) The execution date of payment order. If this is empty, Lino\nassumes the entry_date when writing the\npain_001.xml file.") }, "name": "execution_date", "selectOnFocus": true });
    var workflow_buttons_disp3633 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.PaymentOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel3634 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": entry_date3629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": number3630, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": total3631, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": execution_date3632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": workflow_buttons_disp3633, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3640 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.PaymentOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_panel3658 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3634, { "autoHeight": true, "items": narration3640, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3660 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.PaymentOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/journal" }) }) });
    var accounting_period3661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.PaymentOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/accounting_period" }) }) });
    var user3662 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.PaymentOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/user" }) }) });
    var id3663 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.PaymentOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3664 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3663, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3669 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.PaymentOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrders/item_account" }) }) });
    var item_remark3670 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.PaymentOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3671 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3670, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel3675 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3664, more_2_panel3671 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3676 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3658, more_panel3675 ], "labelAlign": "top", "split": true });
    this.items = main_panel3676;
    this.before_row_edit = function(record) {
    }
    Lino.finan.PaymentOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobProviders",
  layout: 'fit',
  auto_save: true,
  content_type: 103,
  initComponent : function() {
    var overview_htmlbox3677 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(jobs.JobProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix3678 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(jobs.JobProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name3679 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.JobProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel3680 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix3678, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name3679, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type3683 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(jobs.JobProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/type" }) }) });
    var vat_id3684 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(jobs.JobProviders.vat_id) The national VAT identification number of this partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel3685 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type3683, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id3684, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type3688 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(jobs.JobProviders.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/JobProviders/client_contact_type" }) }) });
    var url3689 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(jobs.JobProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel3690 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel3680, general2_2_panel3685, { "anchor": "-20", "autoHeight": true, "items": client_contact_type3688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url3689, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email3693 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(jobs.JobProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone3694 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(jobs.JobProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm3695 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(jobs.JobProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax3696 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(jobs.JobProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel3697 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email3693, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone3694, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm3695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax3696, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel3702 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox3677, general2_panel3690, general3_panel3697 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid3711 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel3712 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3702, contacts_RolesByCompany_grid3711 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox3713 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes_NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var ContractsByProvider_grid3851 = new Lino.jobs.ContractsByProvider.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByProvider) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByProvider.grid) ] });
    var jobs_panel3852 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ ContractsByProvider_grid3851 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Stellen" });
    var main_panel3853 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3712, notes_NotesByCompany_htmlbox3713, jobs_panel3852 ], "labelAlign": "top", "split": true });
    this.items = main_panel3853;
    this.before_row_edit = function(record) {
      overview_htmlbox3677.refresh();
      contacts_RolesByCompany_grid3711.on_master_changed();
      notes_NotesByCompany_htmlbox3713.refresh();
      ContractsByProvider_grid3851.on_master_changed();
    }
    Lino.jobs.JobProviders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  autoHeight: true,
  content_type: 73,
  initComponent : function() {
    var entry_date3854 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var narration3855 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var main_panel3856 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date3854, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": narration3855, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3856;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.humanlinks.Links.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var parent3859 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type3860 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child3861 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel3862 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent3859, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type3860, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child3861, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3862;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  content_type: 95,
  initComponent : function() {
    var id2176 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2177 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type2178 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var user2179 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var user_dsbe2180 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (DSBE)", "hiddenName": "user_dsbeHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (DSBE)","(isip.Contracts.user_dsbe) ") }, "name": "user_dsbe", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    var user_asd2181 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(isip.Contracts.user_asd) ") }, "name": "user_asd", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var general_1_panel2182 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id2176, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": client2177, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type2178, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user2179, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_dsbe2180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": user_asd2181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var study_type2189 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "Bildungsart", "hiddenName": "study_typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(isip.Contracts.study_type) ") }, "name": "study_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var applies_from2190 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(isip.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var applies_until2191 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(isip.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2192 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.Contracts.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var language2193 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(isip.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_2_panel2194 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 27, "items": study_type2189, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_from2190, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": applies_until2191, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": exam_policy2192, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": language2193, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2200 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(isip.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2201 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(isip.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var printed_disp2202 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(isip.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var date_ended2203 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(isip.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending2204 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(isip.Contracts.ending) ") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var general_3_panel2205 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": date_decided2200, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_issued2201, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp2202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": date_ended2203, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": ending2204, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var PartnersByContract_grid2237 = new Lino.isip.PartnersByContract.GridPanel({ "containing_panel": this, "flex": 33, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Vertragspartner","(isip.isip.PartnersByContract) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.PartnersByContract.grid) ] });
    var cal_TasksByController_grid2259 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 48, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var cal_EntriesByController_grid2466 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 51, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var general_5_panel2467 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 33, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_TasksByController_grid2259, cal_EntriesByController_grid2466 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2468 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2182, general_2_panel2194, general_3_panel2205, PartnersByContract_grid2237, general_5_panel2467 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var stages2469 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Etappen", "flex": 33, "name": "stages", "selectOnFocus": true, "title": "Etappen" });
    var goals2470 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Zielsetzungen", "flex": 33, "name": "goals", "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_person2471 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Person", "flex": 33, "name": "duties_person", "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var isip_1_panel2472 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ stages2469, goals2470, duties_person2471 ], "labelAlign": "top", "labelWidth": 207, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var duties_asd2473 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen ASD", "flex": 33, "name": "duties_asd", "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe2474 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen DSBE", "flex": 33, "name": "duties_dsbe", "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw2475 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen \u00d6SHZ", "flex": 33, "name": "duties_pcsw", "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var isip_2_panel2476 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ duties_asd2473, duties_dsbe2474, duties_pcsw2475 ], "labelAlign": "top", "labelWidth": 189, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var isip_panel2477 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ isip_1_panel2472, isip_2_panel2476 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "VSE" });
    var main_panel2478 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2468, isip_panel2477 ], "labelAlign": "top", "split": true });
    this.items = main_panel2478;
    this.before_row_edit = function(record) {
      PartnersByContract_grid2237.on_master_changed();
      cal_TasksByController_grid2259.on_master_changed();
      cal_EntriesByController_grid2466.on_master_changed();
      stages2469.refresh();
      goals2470.refresh();
      duties_person2471.refresh();
      duties_asd2473.refresh();
      duties_dsbe2474.refresh();
      duties_pcsw2475.refresh();
    }
    Lino.isip.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-RefundConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  content_type: 136,
  initComponent : function() {
    var start_date3866 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3867 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel3868 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date3866, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date3867, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type3871 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "name": "doctor_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor3872 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmationsByGranting.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy3873 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    var main_2_panel3874 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type3871, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor3872, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy3873, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3878 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person3879 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var language3880 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp3881 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel3882 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company3878, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person3879, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language3880, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp3881, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3887 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 50, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel3888 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3868, main_2_panel3874, main_3_panel3882, remark3887 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3888;
    this.before_row_edit = function(record) {
      doctor3872.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy3873.setContextValue('mk',bp['mk']);
      pharmacy3873.setContextValue('mt',bp['mt']);
      contact_person3879.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3887.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type3871 !== 'undefined' && doctor_type3871.on('change',Lino.chooser_handler(doctor3872,'doctor_type'));
      typeof company3878 !== 'undefined' && company3878.on('change',Lino.chooser_handler(contact_person3879,'company'));
      Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-Contracts",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 95,
  initComponent : function() {
    var client2479 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(isip.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var type2480 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ContractTypes.detail", "emptyText": "VSE-Art ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(isip.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var main_panel2481 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2479, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type2480, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2481;
    this.before_row_edit = function(record) {
    }
    Lino.isip.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EntriesByGuest.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EntriesByGuest",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var start_date3889 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.EntriesByGuest.start_date) The starting date of this entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time3890 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.EntriesByGuest.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_time3891 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.EntriesByGuest.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_1_panel3892 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 44, "items": start_date3889, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": start_time3890, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": end_time3891, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary3896 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var event_type3897 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.EntriesByGuest.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/event_type" }) }) });
    var main_panel3898 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3892, { "anchor": "-20", "autoHeight": true, "items": summary3896, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": event_type3897, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel3898;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EntriesByGuest.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.FinancialVouchers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-FinancialVouchers",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  content_type: 73,
  initComponent : function() {
    var entry_date3901 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.FinancialVouchers.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number3902 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.FinancialVouchers.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var workflow_buttons_disp3903 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.FinancialVouchers.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_1_panel3904 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": entry_date3901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": number3902, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": workflow_buttons_disp3903, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration3908 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.FinancialVouchers.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var general_panel3927 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3904, { "autoHeight": true, "items": narration3908, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal3929 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.FinancialVouchers.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/journal" }) }) });
    var accounting_period3930 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.FinancialVouchers.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/accounting_period" }) }) });
    var user3931 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.FinancialVouchers.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/user" }) }) });
    var id3932 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.FinancialVouchers.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel3933 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal3929, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period3930, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user3931, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3932, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account3938 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.FinancialVouchers.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/FinancialVouchers/item_account" }) }) });
    var item_remark3939 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.FinancialVouchers.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel3940 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account3938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark3939, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel3944 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel3933, more_2_panel3940 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel3945 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3927, more_panel3944 ], "labelAlign": "top", "split": true });
    this.items = main_panel3945;
    this.before_row_edit = function(record) {
    }
    Lino.finan.FinancialVouchers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.EducationLevels.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-EducationLevels",
  layout: 'fit',
  auto_save: true,
  content_type: 80,
  initComponent : function() {
    var name3946 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.EducationLevels.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.EducationLevels.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3948 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.EducationLevels.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var is_study3949 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.EducationLevels.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training3950 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.EducationLevels.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_1_panel3951 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name3946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_fr3947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": name_en3948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_study3949, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": is_training3950, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel4096 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3951 ], "labelAlign": "top" });
    this.items = main_panel4096;
    this.before_row_edit = function(record) {
    }
    Lino.cv.EducationLevels.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 81,
  initComponent : function() {
    var name3968 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr3969 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en3970 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id3971 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.StudyTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3972 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name3968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr3969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en3970, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id3971, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level3977 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var is_study3978 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training3979 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel3980 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": education_level3977, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_study3978, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_training3979, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByStudyType_grid4057 = new Lino.isip.ContractsByStudyType.GridPanel({ "containing_panel": this, "flex": 29, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByStudyType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByStudyType.grid) ] });
    var main_panel4058 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3972, main_2_panel3980, isip_ContractsByStudyType_grid4057 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4058;
    this.before_row_edit = function(record) {
      isip_ContractsByStudyType_grid4057.on_master_changed();
    }
    Lino.cv.StudyTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudyTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudyTypes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 81,
  initComponent : function() {
    var name4059 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.StudyTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4060 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.StudyTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4061 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.StudyTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4062 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4059, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4060, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4061, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var is_study4066 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Studium", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Studium","(cv.StudyTypes.is_study) Whether education entries are considered a study entry.") }, "name": "is_study", "selectOnFocus": true });
    var is_training4067 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.StudyTypes.is_training) Whether education entries are considered a training entry.") }, "name": "is_training", "selectOnFocus": true });
    var main_2_panel4068 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": is_study4066, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": is_training4067, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var education_level4071 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.StudyTypes.education_level) Pointer to EducationLevel.") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudyTypes/education_level" }) }) });
    var main_panel4072 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4062, main_2_panel4068, { "anchor": "-20", "autoHeight": true, "items": education_level4071, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4072;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudyTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  content_type: 82,
  initComponent : function() {
    var person1936 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date1937 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1938 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1939 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Trainings.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1940 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1936, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1937, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1938, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1939, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1945 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state1946 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1947 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel1948 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state1946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates1947, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1952 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function1953 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel1954 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1952, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1953, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1957 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1958 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city1959 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel1960 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1958, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1959, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1964 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Trainings.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1965 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1940, main_2_panel1948, main_3_panel1954, main_4_panel1960, { "flex": 55, "items": remarks1964, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1965;
    this.before_row_edit = function(record) {
      function1953.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1959.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1952 !== 'undefined' && sector1952.on('change',Lino.chooser_handler(function1953,'sector'));
      typeof country1958 !== 'undefined' && country1958.on('change',Lino.chooser_handler(city1959,'country'));
      Lino.cv.Trainings.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-SimpleConfirmations",
  layout: 'fit',
  auto_save: true,
  content_type: 134,
  initComponent : function() {
    var id4097 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.SimpleConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client4098 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.SimpleConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var user4099 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var signer4100 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.SimpleConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var workflow_buttons_disp4101 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.SimpleConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel4102 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4097, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client4098, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user4099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer4100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp4101, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting4108 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.SimpleConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var start_date4109 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4110 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel4111 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": granting4108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date4109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date4110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4115 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person4116 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var language4117 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp4118 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_3_panel4119 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company4115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person4116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language4117, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp4118, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4124 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 41, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel4125 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4102, main_2_panel4111, main_3_panel4119, remark4124 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4125;
    this.before_row_edit = function(record) {
      contact_person4116.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark4124.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company4115 !== 'undefined' && company4115.on('change',Lino.chooser_handler(contact_person4116,'company'));
      Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.Properties.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-Properties",
  layout: 'fit',
  auto_save: true,
  content_type: 19,
  initComponent : function() {
    var id4126 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.Properties.id) ") }, "name": "id", "selectOnFocus": true });
    var group4127 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropGroups.detail", "emptyText": "Eigenschaftsgruppe ausw\u00e4hlen...", "fieldLabel": "Eigenschaftsgruppe", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschaftsgruppe","(properties.Properties.group) ") }, "name": "group", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropGroups.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/group" }) }) });
    var type4128 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.properties.PropTypes.detail", "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "fieldLabel": "Eigenschafts-Datentyp", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Datentyp","(properties.Properties.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.properties.PropTypes.detail,null)}, "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/Properties/type" }) }) });
    var main_1_panel4129 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id4126, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": group4127, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": type4128, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name4133 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.Properties.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4134 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.Properties.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4135 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.Properties.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel4136 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4133, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4134, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4135, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4151 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4129, main_2_panel4136 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4151;
    this.before_row_edit = function(record) {
    }
    Lino.properties.Properties.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Trainings.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-Trainings",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 82,
  initComponent : function() {
    var person1967 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Trainings.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/person" }) }) });
    var start_date1968 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Trainings.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1969 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Trainings.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1970 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": person1967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": start_date1968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date1969, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1974 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Trainings.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/type" }) }) });
    var state1975 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Trainings.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var certificates1976 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Diplome", "listeners": { "render": Lino.quicktip_renderer("Diplome","(cv.Trainings.certificates) ") }, "maxLength": 200, "name": "certificates", "selectOnFocus": true });
    var main_2_panel1977 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": type1974, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": state1975, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": certificates1976, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector1981 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Trainings.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/sector" }) }) });
    var function1982 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Trainings.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/function" }) }) });
    var main_3_panel1983 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector1981, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function1982, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1986 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Trainings.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1987 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Trainings.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/country" }) }) });
    var city1988 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Trainings.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Trainings/city" }) }) });
    var main_4_panel1989 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1986, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1987, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1988, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1993 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1970, main_2_panel1977, main_3_panel1983, main_4_panel1989 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1993;
    this.before_row_edit = function(record) {
      function1982.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      city1988.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector1981 !== 'undefined' && sector1981.on('change',Lino.chooser_handler(function1982,'sector'));
      typeof country1987 !== 'undefined' && country1987.on('change',Lino.chooser_handler(city1988,'country'));
      Lino.cv.Trainings.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Trainings.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.languages.Languages.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel languages-Languages",
  layout: 'fit',
  auto_save: true,
  content_type: 78,
  initComponent : function() {
    var id4152 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "id", "listeners": { "render": Lino.quicktip_renderer("id","(languages.Languages.id) ") }, "maxLength": 3, "name": "id", "selectOnFocus": true });
    var iso24153 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(2), "fieldLabel": "iso2", "listeners": { "render": Lino.quicktip_renderer("iso2","(languages.Languages.iso2) ") }, "maxLength": 2, "name": "iso2", "selectOnFocus": true });
    var name4154 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(languages.Languages.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4155 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(languages.Languages.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4156 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(languages.Languages.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4157 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id4152, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": iso24153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name4154, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr4155, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en4156, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4178 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4157 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4178;
    this.before_row_edit = function(record) {
    }
    Lino.languages.Languages.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseProviders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseProviders",
  layout: 'fit',
  auto_save: true,
  content_type: 106,
  initComponent : function() {
    var overview_htmlbox4179 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(xcourses.CourseProviders.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix4180 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(xcourses.CourseProviders.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4181 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseProviders.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel4182 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix4180, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name4181, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type4185 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(xcourses.CourseProviders.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/type" }) }) });
    var vat_id4186 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(xcourses.CourseProviders.vat_id) The national VAT identification number of this partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel4187 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type4185, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id4186, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type4190 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(xcourses.CourseProviders.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseProviders/client_contact_type" }) }) });
    var url4191 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(xcourses.CourseProviders.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel4192 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel4182, general2_2_panel4187, { "anchor": "-20", "autoHeight": true, "items": client_contact_type4190, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url4191, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email4195 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(xcourses.CourseProviders.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4196 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(xcourses.CourseProviders.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4197 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(xcourses.CourseProviders.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax4198 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(xcourses.CourseProviders.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel4199 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email4195, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4196, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4197, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax4198, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel4204 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4179, general2_panel4192, general3_panel4199 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid4205 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel4206 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4204, contacts_RolesByCompany_grid4205 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var notes_NotesByCompany_htmlbox4207 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes_NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var main_panel4282 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4206, notes_NotesByCompany_htmlbox4207 ], "labelAlign": "top", "split": true });
    this.items = main_panel4282;
    this.before_row_edit = function(record) {
      overview_htmlbox4179.refresh();
      contacts_RolesByCompany_grid4205.on_master_changed();
      notes_NotesByCompany_htmlbox4207.refresh();
    }
    Lino.xcourses.CourseProviders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  content_type: 23,
  initComponent : function() {
    var id4283 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.Excerpts.id) ") }, "name": "id", "selectOnFocus": true });
    var excerpt_type4284 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.excerpts.ExcerptTypes.detail,Lino.excerpts.ExcerptTypes.insert)}, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project4285 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var general_1_panel4286 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id4283, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": excerpt_type4284, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": project4285, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user4290 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var build_method4291 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Druckmethode", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.Excerpts.build_method) ") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var general_2_panel4292 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": user4290, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": build_method4291, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4295 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person4296 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var language4297 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general_3_panel4298 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company4295, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person4296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language4297, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp4302 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verkn\u00fcpft mit</span>", "name": "owner" });
    var build_time4303 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Druckdatum","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "name": "build_time", "value": "<br>" });
    var general_4_panel4304 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": owner_disp4302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 61, "items": build_time4303, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel4307 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel4286, general_2_panel4292, general_3_panel4298, general_4_panel4304 ], "labelAlign": "top", "layout": "form", "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var main_panel4309 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel4307 ], "labelAlign": "top", "split": true });
    this.items = main_panel4309;
    this.before_row_edit = function(record) {
      excerpt_type4284.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person4296.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof owner_disp4302 !== 'undefined' && owner_disp4302.on('change',Lino.chooser_handler(excerpt_type4284,'owner'));
      typeof company4295 !== 'undefined' && company4295.on('change',Lino.chooser_handler(contact_person4296,'company'));
      Lino.excerpts.Excerpts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.ManageAccessRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  content_type: 117,
  initComponent : function() {
    var id4310 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.ManageAccessRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person4311 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var user4312 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var sent4313 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status4314 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.ManageAccessRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp4315 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.ManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel4316 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id4310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person4311, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user4312, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent4313, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status4314, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp4315, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var action4323 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date4324 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4325 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel4326 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action4323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date4324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date4325, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose4330 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register4331 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel4332 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose4330, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register4331, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel4335 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 43, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel4326, p1_2_panel4332 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id4336 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no4337 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no4338 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel4339 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id4336, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no4337, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no4338, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name4343 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name4344 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date4345 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel4346 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name4343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name4344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date4345, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel4350 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 56, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel4339, proof_2_panel4346 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var parameters_panel4351 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ p1_panel4335, proof_panel4350 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var result_htmlbox4352 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Resultat","(cbss.ManageAccessRequests.result) ") }, "name": "result", "title": "Resultat", "value": "<br/>" });
    var request_panel4353 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel4316, parameters_panel4351, result_htmlbox4352 ], "labelAlign": "top", "labelWidth": 81, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel4364 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel4353 ], "labelAlign": "top", "split": true });
    this.items = main_panel4364;
    this.before_row_edit = function(record) {
      purpose4330.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox4352.refresh();
    }
    Lino.cbss.ManageAccessRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    person4311.on("change", function(){ this.save() }, this);
  }
});


Lino.cbss.ManageAccessRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-ManageAccessRequests",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 117,
  initComponent : function() {
    var person4365 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.ManageAccessRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var action4366 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Aktion</span>", "forceSelection": true, "hiddenName": "actionHidden", "listeners": { "render": Lino.quicktip_renderer("Aktion","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "name": "action", "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var start_date4367 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(cbss.ManageAccessRequests.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4368 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode bis", "listeners": { "render": Lino.quicktip_renderer("Periode bis","(cbss.ManageAccessRequests.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var p1_1_panel4369 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 36, "items": action4366, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": start_date4367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": end_date4368, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var purpose4373 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Eigenschafts-Code</span>", "hiddenName": "purposeHidden", "listeners": { "render": Lino.quicktip_renderer("Eigenschafts-Code","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "name": "purpose", "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var query_register4374 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Abfrageregister</span>", "forceSelection": true, "hiddenName": "query_registerHidden", "listeners": { "render": Lino.quicktip_renderer("Abfrageregister","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "name": "query_register", "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var p1_2_panel4375 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 64, "items": purpose4373, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": query_register4374, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var p1_panel4378 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ p1_1_panel4369, p1_2_panel4375 ], "labelAlign": "top", "layout": "form", "title": "Angefragte Aktion" });
    var national_id4379 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var sis_card_no4380 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">SIS-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("SIS-Karten-Nr","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "maxLength": 10, "name": "sis_card_no", "selectOnFocus": true });
    var id_card_no4381 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ID-Karten-Nr</span>", "listeners": { "render": Lino.quicktip_renderer("ID-Karten-Nr","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "maxLength": 20, "name": "id_card_no", "selectOnFocus": true });
    var proof_1_panel4382 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": national_id4379, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": sis_card_no4380, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": id_card_no4381, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name4386 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(cbss.ManageAccessRequests.first_name) ") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name4387 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(cbss.ManageAccessRequests.last_name) ") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var birth_date4388 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var proof_2_panel4389 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": first_name4386, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": last_name4387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": birth_date4388, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var proof_panel4393 = new Ext.form.FieldSet({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ proof_1_panel4382, proof_2_panel4389 ], "labelAlign": "top", "layout": "form", "title": "Authentifizierungsbeleg" });
    var main_panel4394 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person4365, "labelAlign": "top", "layout": "form", "xtype": "panel" }, p1_panel4378, proof_panel4393 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4394;
    this.before_row_edit = function(record) {
      purpose4373.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cbss.ManageAccessRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Uploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Uploads",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file4396 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type4397 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.Uploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var project4398 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var main_2_panel4399 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type4397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project4398, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date4402 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig von","(uploads.Uploads.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date4403 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed4404 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_3_panel4405 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": start_date4402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": end_date4403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": needed4404, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4409 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Uploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel4410 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file4396, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4399, main_3_panel4405, { "anchor": "-20", "autoHeight": true, "items": description4409, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4410;
    this.before_row_edit = function(record) {
      type4397.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.Uploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.sepa.AccountsByPartner.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel sepa-AccountsByPartner",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 66,
  initComponent : function() {
    var iban1757 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(sepa.AccountsByPartner.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic1758 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(sepa.AccountsByPartner.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var main_1_panel1759 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 63, "items": iban1757, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": bic1758, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark1762 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(sepa.AccountsByPartner.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel1763 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1759, { "anchor": "-20", "autoHeight": true, "items": remark1762, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1763;
    this.before_row_edit = function(record) {
    }
    Lino.sepa.AccountsByPartner.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Accounts",
  layout: 'fit',
  auto_save: true,
  content_type: 67,
  disable_editing: true,
  initComponent : function() {
    var iban4413 = new Lino.UppercaseTextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Accounts.iban) ") }, "maxLength": 34, "name": "iban", "selectOnFocus": true });
    var bic4414 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Accounts.bic) ") }, "maxLength": 11, "name": "bic", "selectOnFocus": true });
    var last_transaction4415 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("Last transaction","(b2c.Accounts.last_transaction) ") }, "name": "last_transaction", "selectOnFocus": true });
    var owner_name4416 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Accounts.owner_name) ") }, "maxLength": 70, "name": "owner_name", "selectOnFocus": true });
    var account_name4417 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Accounts.account_name) ") }, "maxLength": 70, "name": "account_name", "selectOnFocus": true });
    var partners_disp4418 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Partner", "listeners": { "render": Lino.quicktip_renderer("Partner","(b2c.Accounts.partners) ") }, "name": "partners", "value": "<br/>" });
    var main_1_panel4419 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 17, "items": iban4413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 10, "items": bic4414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": last_transaction4415, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": owner_name4416, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": account_name4417, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": partners_disp4418, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var b2c_StatementsByAccount_grid4524 = new Lino.b2c.StatementsByAccount.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontoausz\u00fcge","(b2c.b2c.StatementsByAccount) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.b2c.StatementsByAccount.grid) ] });
    var main_panel4525 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4419, b2c_StatementsByAccount_grid4524 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4525;
    this.before_row_edit = function(record) {
      b2c_StatementsByAccount_grid4524.on_master_changed();
    }
    Lino.b2c.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  content_type: 121,
  initComponent : function() {
    var type4526 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.HouseholdsByType.type) The type of this household.  See household types") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var prefix4527 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name4528 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id4529 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.HouseholdsByType.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4530 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type4526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix4527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name4528, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id4529, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox4535 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.HouseholdsByType.overview) ") }, "name": "overview", "value": "<br/>" });
    var language4536 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email4537 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.HouseholdsByType.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone4538 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.HouseholdsByType.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm4539 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel4540 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language4536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email4537, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone4538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm4539, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_2_panel4545 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox4535, box3_panel4540 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid4565 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var main_panel4566 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4530, main_2_panel4545, households_MembersByHousehold_grid4565 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4566;
    this.before_row_edit = function(record) {
      overview_htmlbox4535.refresh();
      households_MembersByHousehold_grid4565.on_master_changed();
    }
    Lino.households.HouseholdsByType.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country4567 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city4568 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var zip_code4569 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(addresses.Addresses.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel4570 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": country4567, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": city4568, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": zip_code4569, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr14574 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(addresses.Addresses.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street4575 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no4576 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box4577 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_3_panel4578 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street4575, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no4576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box4577, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr24582 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(addresses.Addresses.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_type4583 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark4584 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_5_panel4585 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type4583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark4584, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var data_source4588 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datenquelle</span>", "forceSelection": true, "hiddenName": "data_sourceHidden", "listeners": { "render": Lino.quicktip_renderer("Datenquelle","(addresses.Addresses.data_source) Pointer to DataSources.") }, "name": "data_source", "store": Lino.addresses.DataSources });
    var partner4589 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "Partner", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(addresses.Addresses.partner) ") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/partner" }) }) });
    var main_6_panel4590 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": data_source4588, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": partner4589, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4593 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4570, { "anchor": "-20", "autoHeight": true, "items": addr14574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel4578, { "anchor": "-20", "autoHeight": true, "items": addr24582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_5_panel4585, main_6_panel4590 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4593;
    this.before_row_edit = function(record) {
      city4568.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city4568.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country4567 !== 'undefined' && country4567.on('change',Lino.chooser_handler(city4568,'country'));
      Lino.addresses.Addresses.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.HouseholdsByType.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-HouseholdsByType",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 121,
  initComponent : function() {
    var name4596 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var language4597 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_panel4598 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name4596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": language4597, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4598;
    this.before_row_edit = function(record) {
    }
    Lino.households.HouseholdsByType.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Problems.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Problems",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 20,
  disable_editing: true,
  initComponent : function() {
    var checker4601 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Checker</span>", "forceSelection": true, "hiddenName": "checkerHidden", "listeners": { "render": Lino.quicktip_renderer("Checker","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "name": "checker", "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var owner_disp4602 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Datenobjekt", "name": "owner" });
    var message4603 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Meldung</span>", "listeners": { "render": Lino.quicktip_renderer("Meldung","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "maxLength": 250, "name": "message", "selectOnFocus": true });
    var user4604 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var id4605 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(checkdata.Problems.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel4606 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user4604, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": id4605, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4609 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": checker4601, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": owner_disp4602, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": message4603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4606 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4609;
    this.before_row_edit = function(record) {
    }
    Lino.checkdata.Problems.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 98,
  initComponent : function() {
    var client2596 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var job2597 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var main_panel2598 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client2596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": job2597, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2598;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobsOverview.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel utils-Report",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var body_htmlbox4613 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(utils.Report.body) ") }, "name": "body", "region": "center", "value": "<br/>" });
    var main_panel4614 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ body_htmlbox4613 ], "labelAlign": "top", "labelWidth": 0, "layout": "fit" });
    this.items = main_panel4614;
    this.before_row_edit = function(record) {
      body_htmlbox4613.refresh();
    }
    Lino.jobs.JobsOverview.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.ExperiencesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-ExperiencesByPerson",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 89,
  initComponent : function() {
    var start_date2055 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.ExperiencesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2056 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.ExperiencesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel2057 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2055, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date2056, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company2060 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.ExperiencesByPerson.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var function2061 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.ExperiencesByPerson.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/ExperiencesByPerson/function" }) }) });
    var main_2_panel2062 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": company2060, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": function2061, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2065 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2057, main_2_panel2062 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2065;
    this.before_row_edit = function(record) {
      function2061.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    Lino.cv.ExperiencesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var type4615 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description4616 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var file4617 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var volume4618 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file4619 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_4_panel4620 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": volume4618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": library_file4619, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user4623 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_panel4624 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": type4615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": description4616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": file4617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4620, { "anchor": "-20", "autoHeight": true, "items": user4623, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4624;
    this.before_row_edit = function(record) {
      type4615.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      library_file4619.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume4618 !== 'undefined' && volume4618.on('change',Lino.chooser_handler(library_file4619,'volume'));
      Lino.uploads.AllUploads.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var summary1626 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var user1627 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var project1628 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var main_2_panel1629 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": user1627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project1628, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1632 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary1626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel1629 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1632;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  content_type: 28,
  initComponent : function() {
    var subject2406 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var project2407 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var date2408 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datum</span>", "listeners": { "render": Lino.quicktip_renderer("Datum","(outbox.Mails.date) \n        The official date to be printed on the document.\n        ") }, "name": "date", "selectOnFocus": true });
    var main_1_panel2409 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": subject2406, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": project2407, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": date2408, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2413 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Absender</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Absender","(outbox.Mails.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/user" }) }) });
    var sent2414 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "sent", "listeners": { "render": Lino.quicktip_renderer("sent","(outbox.Mails.sent) ") }, "name": "sent", "value": "<br>" });
    var id2415 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(outbox.Mails.id) ") }, "name": "id", "selectOnFocus": true });
    var owner_disp2416 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_2_panel2417 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": user2413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": sent2414, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": id2415, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": owner_disp2416, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var RecipientsByMail_grid2432 = new Lino.outbox.RecipientsByMail.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger","(outbox.outbox.RecipientsByMail) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.RecipientsByMail.grid) ] });
    var outbox_AttachmentsByMail_htmlbox2433 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Anh\u00e4nge","(outbox.Mails.outbox_AttachmentsByMail) ") }, "master_panel": this, "name": "outbox_AttachmentsByMail", "title": "Anh\u00e4nge", "tools": [ Lino.show_in_own_window_button(Lino.outbox.AttachmentsByMail.grid) ], "value": "<br/>" });
    var uploads_UploadsByController_htmlbox2434 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 22, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(outbox.Mails.uploads_UploadsByController) Shows the uploads controlled by this database object.") }, "master_panel": this, "name": "uploads_UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel2435 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 29, "frame": false, "hideCheckBoxLabels": true, "items": [ RecipientsByMail_grid2432, outbox_AttachmentsByMail_htmlbox2433, uploads_UploadsByController_htmlbox2434 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var body2436 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 58, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel2437 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2409, main_2_panel2417, main_3_panel2435, body2436 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2437;
    this.before_row_edit = function(record) {
      RecipientsByMail_grid2432.on_master_changed();
      outbox_AttachmentsByMail_htmlbox2433.refresh();
      uploads_UploadsByController_htmlbox2434.refresh();
      body2436.refresh();
    }
    Lino.outbox.Mails.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseContents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseContents",
  layout: 'fit',
  auto_save: true,
  content_type: 107,
  initComponent : function() {
    var id4629 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseContents.id) ") }, "name": "id", "selectOnFocus": true });
    var name4630 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseContents.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var main_1_panel4631 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 19, "items": id4629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": name4630, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel4660 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4631 ], "labelAlign": "top" });
    this.items = main_panel4660;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.CourseContents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  content_type: 118,
  initComponent : function() {
    var id4661 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cbss.RetrieveTIGroupsRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var person4662 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var user4663 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var sent4664 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Versendet</span>", "listeners": { "render": Lino.quicktip_renderer("Versendet","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "name": "sent", "value": "<br>" });
    var status4665 = new Lino.ChoicesFieldElement({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cbss.RetrieveTIGroupsRequests.status) ") }, "name": "status", "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var printed_disp4666 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(cbss.RetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var info_1_panel4667 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 4, "items": id4661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": person4662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": user4663, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sent4664, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": status4665, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp4666, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Info zur Anfrage" });
    var national_id4674 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language4675 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history4676 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var parameters_panel4677 = new Ext.form.FieldSet({ "autoHeight": true, "autoScroll": false, "bodyBorder": true, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 43, "items": national_id4674, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": language4675, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": history4676, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "title": "Parameter" });
    var cbss_RetrieveTIGroupsResult_grid4686 = new Lino.cbss.RetrieveTIGroupsResult.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Resultate","(cbss.cbss.RetrieveTIGroupsResult) Displays the response of an RetrieveTIGroupsRequest\nas a table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cbss.RetrieveTIGroupsResult.grid) ] });
    var request_panel4687 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ info_1_panel4667, parameters_panel4677, cbss_RetrieveTIGroupsResult_grid4686 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "region": "center", "title": "Abfrage" });
    var main_panel4698 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ request_panel4687 ], "labelAlign": "top", "split": true });
    this.items = main_panel4698;
    this.before_row_edit = function(record) {
      cbss_RetrieveTIGroupsResult_grid4686.on_master_changed();
    }
    Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 37,
  initComponent : function() {
    var name4699 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4700 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4701 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4702 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name4699, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr4700, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en4701, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_label4706 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung Termin</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin","(cal.EventTypes.event_label) Default text for summary of new entries.") }, "maxLength": 200, "name": "event_label", "selectOnFocus": true });
    var event_label_fr4707 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (fr)","(cal.EventTypes.event_label_fr) ") }, "maxLength": 200, "name": "event_label_fr", "selectOnFocus": true });
    var event_label_en4708 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung Termin (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung Termin (en)","(cal.EventTypes.event_label_en) ") }, "maxLength": 200, "name": "event_label_en", "selectOnFocus": true });
    var main_2_panel4709 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event_label4706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_fr4707, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": event_label_en4708, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var planner_column4713 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Tagesplanerkolonne", "forceSelection": true, "hiddenName": "planner_columnHidden", "listeners": { "render": Lino.quicktip_renderer("Tagesplanerkolonne","(cal.EventTypes.planner_column) ") }, "name": "planner_column", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.PlannerColumns) });
    var max_conflicting4714 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gleichzeitige Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Gleichzeitige Termine","(cal.EventTypes.max_conflicting) How many conflicting events should be tolerated.") }, "name": "max_conflicting", "selectOnFocus": true, "value": 1 });
    var max_days4715 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage maximal</span>", "listeners": { "render": Lino.quicktip_renderer("Tage maximal","(cal.EventTypes.max_days) The maximal number of days allowed as duration. 0 means no limit.") }, "name": "max_days", "selectOnFocus": true, "value": 1 });
    var esf_field4716 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ESF field", "forceSelection": true, "hiddenName": "esf_fieldHidden", "listeners": { "render": Lino.quicktip_renderer("ESF field","(cal.EventTypes.esf_field) ") }, "name": "esf_field", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.StatisticalFields) });
    var email_template4717 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(cal.EventTypes.email_template) The name of the file to be used as template when creating an email from a mailable of this type.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EventTypes/email_template" }) }) });
    var id4718 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.EventTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_3_panel4719 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": planner_column4713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_conflicting4714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": max_days4715, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": esf_field4716, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": email_template4717, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4718, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var all_rooms4726 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert alle R\u00e4ume", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert alle R\u00e4ume","(cal.EventTypes.all_rooms) ") }, "name": "all_rooms", "selectOnFocus": true });
    var locks_user4727 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Blockiert den Autor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Blockiert den Autor","(cal.EventTypes.locks_user) Whether calendar entries of this type make the user\nunavailable for other locking events at the same time.") }, "name": "locks_user", "selectOnFocus": true });
    var invite_client4728 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var is_appointment4729 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Termin", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Termin","(cal.EventTypes.is_appointment) Whether entries of this type are considered \"appointments\" (i.e. whose\ntime and place have been agreed upon with other users or external\nparties).") }, "name": "is_appointment", "selectOnFocus": true });
    var attach_to_email4730 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(cal.EventTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_4_panel4731 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": all_rooms4726, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": locks_user4727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": invite_client4728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": is_appointment4729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": attach_to_email4730, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4775 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4702, main_2_panel4709, main_3_panel4719, main_4_panel4731 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4775;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  content_type: 108,
  initComponent : function() {
    var id4218 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseOffers.id) ") }, "name": "id", "selectOnFocus": true });
    var title4219 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var content4220 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var provider4221 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var guest_role4222 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Gastrolle</span>", "hiddenName": "guest_roleHidden", "listeners": { "render": Lino.quicktip_renderer("Gastrolle","(xcourses.CourseOffers.guest_role) Default guest role for particpants of events.") }, "name": "guest_role", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/guest_role" }) }) });
    var main_1_panel4223 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id4218, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": title4219, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": content4220, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": provider4221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": guest_role4222, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var description4229 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 5, "name": "description", "region": "center", "selectOnFocus": true, "split": true, "title": "Beschreibung" });
    var main_panel4273 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4223, description4229 ], "labelAlign": "top", "labelWidth": 117 });
    this.items = main_panel4273;
    this.before_row_edit = function(record) {
      description4229.refresh();
    }
    Lino.xcourses.CourseOffers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cbss-RetrieveTIGroupsRequests",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 118,
  initComponent : function() {
    var person4776 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cbss.RetrieveTIGroupsRequests.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var national_id4777 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var language4778 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "forceSelection": true, "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cbss.RetrieveTIGroupsRequests.language) ") }, "name": "language", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var main_2_panel4779 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": national_id4777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": language4778, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var history4782 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Historie", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Historie","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "name": "history", "selectOnFocus": true });
    var main_panel4783 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person4776, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel4779, { "anchor": "-20", "autoHeight": true, "items": history4782, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4783;
    this.before_row_edit = function(record) {
    }
    Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.MembersByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-MembersByPerson",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 120,
  initComponent : function() {
    var person4786 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Person", "hiddenName": "personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Person","(households.MembersByPerson.person) ") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    var role4787 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Rolle", "forceSelection": true, "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(households.MembersByPerson.role) ") }, "name": "role", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var household4788 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Households.detail", "emptyText": "Haushalt ausw\u00e4hlen...", "fieldLabel": "Haushalt", "hiddenName": "householdHidden", "insert_action": "Lino.households.Households.insert", "listeners": { "render": Lino.quicktip_renderer("Haushalt","(households.MembersByPerson.household) ") }, "name": "household", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Households.detail,Lino.households.Households.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var primary4789 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "name": "primary", "selectOnFocus": true });
    var main_panel4790 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": person4786, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role4787, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": household4788, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": primary4789, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4790;
    this.before_row_edit = function(record) {
    }
    Lino.households.MembersByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Statements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Statements",
  layout: 'fit',
  auto_save: true,
  content_type: 68,
  disable_editing: true,
  initComponent : function() {
    var account4438 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Accounts.detail", "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "fieldLabel": "Importiertes  Bankkonto", "hiddenName": "accountHidden", "listeners": { "render": Lino.quicktip_renderer("Importiertes  Bankkonto","(b2c.Statements.account) ") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.b2c.Accounts.detail,null)}, "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var account__owner_name4439 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("Name Inhaber","(b2c.Statements.account__owner_name) ") }, "maxLength": 70, "name": "account__owner_name", "sortable": false, "value": null });
    var top_left_1_panel4440 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": account4438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": account__owner_name4439, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account__account_name4443 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("Kontobezeichnung","(b2c.Statements.account__account_name) ") }, "maxLength": 70, "name": "account__account_name", "sortable": false, "value": null });
    var statement_number4444 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsnummer</span>", "listeners": { "render": Lino.quicktip_renderer("Auszugsnummer","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "maxLength": 10, "name": "statement_number", "selectOnFocus": true });
    var local_currency4445 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("W\u00e4hrung","(b2c.Statements.local_currency) ") }, "maxLength": 3, "name": "local_currency", "selectOnFocus": true });
    var top_left_2_panel4446 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 58, "items": account__account_name4443, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": statement_number4444, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": local_currency4445, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_left_panel4450 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ top_left_1_panel4440, top_left_2_panel4446 ], "labelAlign": "top", "layout": "form" });
    var balance_start4451 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(b2c.Statements.balance_start) ") }, "name": "balance_start", "selectOnFocus": true });
    var start_date4452 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(b2c.Statements.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var top_right_1_panel4453 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_start4451, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": start_date4452, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var balance_end4456 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(b2c.Statements.balance_end) ") }, "name": "balance_end", "selectOnFocus": true });
    var end_date4457 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(b2c.Statements.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var top_right_2_panel4458 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": balance_end4456, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": end_date4457, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var top_right_panel4461 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 37, "frame": true, "hideCheckBoxLabels": true, "items": [ top_right_1_panel4453, top_right_2_panel4458 ], "labelAlign": "top", "layout": "form" });
    var main_1_panel4462 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ top_left_panel4450, top_right_panel4461 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var b2c_TransactionsByStatement_grid4522 = new Lino.b2c.TransactionsByStatement.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Transaktionen","(b2c.b2c.TransactionsByStatement) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.b2c.TransactionsByStatement.grid) ] });
    var main_panel4523 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4462, b2c_TransactionsByStatement_grid4522 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4523;
    this.before_row_edit = function(record) {
      b2c_TransactionsByStatement_grid4522.on_master_changed();
    }
    Lino.b2c.Statements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseOffers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-CourseOffers",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 108,
  initComponent : function() {
    var provider4274 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseProviders.detail", "emptyText": "Kursanbieter ausw\u00e4hlen...", "fieldLabel": "Kursanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.xcourses.CourseProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Kursanbieter","(xcourses.CourseOffers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseProviders.detail,Lino.xcourses.CourseProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "xcourses.CourseProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/provider" }) }) });
    var content4275 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "Kursinhalt", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseOffers.content) ") }, "name": "content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseOffers/content" }) }) });
    var title4276 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.CourseOffers.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel4277 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": provider4274, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": content4275, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": title4276, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4277;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.CourseOffers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  content_type: 109,
  initComponent : function() {
    var id4239 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.Courses.id) ") }, "name": "id", "selectOnFocus": true });
    var start_date4240 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer4241 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var title4242 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_1_panel4243 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 12, "items": id4239, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": start_date4240, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": offer4241, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": title4242, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4248 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.Courses.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var main_panel4262 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4243, { "autoHeight": true, "items": remark4248, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4262;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.Courses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  content_type: 31,
  initComponent : function() {
    var id4795 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name4796 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4797 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4798 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4799 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4797, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4798, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4804 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person4805 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var display_color4806 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_2_panel4807 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": company4804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": contact_person4805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": display_color4806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4811 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Rooms.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel4850 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4799, main_2_panel4807, { "flex": 41, "items": description4811, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4850;
    this.before_row_edit = function(record) {
      contact_person4805.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company4804 !== 'undefined' && company4804.on('change',Lino.chooser_handler(contact_person4805,'company'));
      Lino.cal.Rooms.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 11,
  initComponent : function() {
    var username1680 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be unique and cannot be empty.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var email1681 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_1_panel1682 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": username1680, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": email1681, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1685 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name1686 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var main_2_panel1687 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name1685, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name1686, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var partner1690 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) Pointer to the Partner instance related to\nthis user.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var language1691 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var user_type1692 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type given to this user. Users having this field empty\nare considered inactive and cannot log in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var main_4_panel1693 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": language1691, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 69, "items": user_type1692, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1696 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1682, main_2_panel1687, { "anchor": "-20", "autoHeight": true, "items": partner1690, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel1693 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel1696;
    this.before_row_edit = function(record) {
    }
    Lino.users.AllUsers.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.Courses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel xcourses-Courses",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 109,
  initComponent : function() {
    var start_date4264 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(xcourses.Courses.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var offer4265 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.Courses.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/Courses/offer" }) }) });
    var main_1_panel4266 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": start_date4264, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 60, "items": offer4265, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var title4269 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(xcourses.Courses.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_panel4270 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4266, { "anchor": "-20", "autoHeight": true, "items": title4269, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4270;
    this.before_row_edit = function(record) {
    }
    Lino.xcourses.Courses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Rooms.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Rooms",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 31,
  initComponent : function() {
    var id4852 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Rooms.id) ") }, "name": "id", "selectOnFocus": true });
    var name4853 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Rooms.name) The designation of the room. This is not required to be unique.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4854 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Rooms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4855 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Rooms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var display_color4856 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Color</span>", "forceSelection": true, "hiddenName": "display_colorHidden", "listeners": { "render": Lino.quicktip_renderer("Color","(cal.Rooms.display_color) The color to use when displaying entries in this room in the calendar\nview.") }, "name": "display_color", "selectOnFocus": true, "store": Lino.cal.DisplayColors });
    var main_1_panel4857 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id4852, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name4853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_fr4854, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": name_en4855, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": display_color4856, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company4863 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verantwortlicher</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher","(cal.Rooms.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/company" }) }) });
    var contact_person4864 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kontaktperson</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Kontaktperson","(cal.Rooms.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Rooms/contact_person" }) }) });
    var main_panel4865 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4857, { "anchor": "-20", "autoHeight": true, "items": company4863, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person4864, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4865;
    this.before_row_edit = function(record) {
      contact_person4864.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company4863 !== 'undefined' && company4863.on('change',Lino.chooser_handler(contact_person4864,'company'));
      Lino.cal.Rooms.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cal.Rooms.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.xcourses.CourseRequests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel xcourses-CourseRequests",
  layout: 'fit',
  auto_save: true,
  content_type: 110,
  initComponent : function() {
    var date_submitted2080 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anfragedatum</span>", "listeners": { "render": Lino.quicktip_renderer("Anfragedatum","(xcourses.CourseRequests.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "name": "date_submitted", "selectOnFocus": true });
    var person2081 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(xcourses.CourseRequests.person) Le client qui d\u00e9sire suivre un cours.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/person" }) }) });
    var content2082 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.CourseContents.detail", "emptyText": "Kursinhalt ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kursinhalt</span>", "hiddenName": "contentHidden", "listeners": { "render": Lino.quicktip_renderer("Kursinhalt","(xcourses.CourseRequests.content) Der gew\u00fcnschte Kursinhalt.)") }, "name": "content", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseContents.detail,null)}, "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/content" }) }) });
    var offer2083 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.xcourses.CourseOffers.detail", "emptyText": "Kursangebot ausw\u00e4hlen...", "fieldLabel": "Kursangebot", "hiddenName": "offerHidden", "insert_action": "Lino.xcourses.CourseOffers.insert", "listeners": { "render": Lino.quicktip_renderer("Kursangebot","(xcourses.CourseRequests.offer) ") }, "name": "offer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.CourseOffers.detail,Lino.xcourses.CourseOffers.insert)}, "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/offer" }) }) });
    var urgent2084 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "professionelle Eingliederung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("professionelle Eingliederung","(xcourses.CourseRequests.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "name": "urgent", "selectOnFocus": true });
    var main_1_panel2085 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": date_submitted2080, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": person2081, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": content2082, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": offer2083, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": urgent2084, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var course2091 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.xcourses.Courses.detail", "emptyText": "Kurs ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurs gefunden</span>", "hiddenName": "courseHidden", "insert_action": "Lino.xcourses.Courses.insert", "listeners": { "render": Lino.quicktip_renderer("Kurs gefunden","(xcourses.CourseRequests.course) The course which satisfies this request. Leave blank on open requests.") }, "name": "course", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.xcourses.Courses.detail,Lino.xcourses.Courses.insert)}, "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequests/course" }) }) });
    var state2092 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(xcourses.CourseRequests.state) ") }, "name": "state", "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended2093 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(xcourses.CourseRequests.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var id2094 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(xcourses.CourseRequests.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel2095 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": course2091, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": state2092, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2093, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id2094, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark2100 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(xcourses.CourseRequests.remark) ") }, "name": "remark", "selectOnFocus": true });
    var uploads_UploadsByController_htmlbox2101 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 33, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(xcourses.CourseRequests.uploads_UploadsByController) Shows the uploads controlled by this database object.") }, "master_panel": this, "name": "uploads_UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var main_3_panel2102 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remark2100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, uploads_UploadsByController_htmlbox2101 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel2104 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2085, main_2_panel2095, main_3_panel2102 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2104;
    this.before_row_edit = function(record) {
      offer2083.setContextValue('content', record ? record.data['contentHidden'] : undefined);
      uploads_UploadsByController_htmlbox2101.refresh();
    }
    this.onRender = function(ct, position) {
      typeof content2082 !== 'undefined' && content2082.on('change',Lino.chooser_handler(offer2083,'content'));
      Lino.xcourses.CourseRequests.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.xcourses.CourseRequests.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    offer2083.on("change", function(){ this.save() }, this);
  }
});


Lino.humanlinks.Links.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel humanlinks-Links",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 122,
  initComponent : function() {
    var parent4868 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wer ist...</span>", "hiddenName": "parentHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Wer ist...","(humanlinks.Links.parent) Pointer to the person who is \"parent\".") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/parent" }) }) });
    var type4869 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwandschaftsart</span>", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Verwandschaftsart","(humanlinks.Links.type) The type of link.  Pointer to LinkTypes.") }, "name": "type", "selectOnFocus": true, "store": Lino.humanlinks.LinkTypes });
    var child4870 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Von wem...</span>", "hiddenName": "childHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Von wem...","(humanlinks.Links.child) Pointer to the person who is \"child\".") }, "name": "child", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/Links/child" }) }) });
    var main_panel4871 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": parent4868, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type4869, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": child4870, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel4871;
    this.before_row_edit = function(record) {
    }
    Lino.humanlinks.Links.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  content_type: 33,
  initComponent : function() {
    var name4875 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4876 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4877 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var color4878 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var id4879 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Calendars.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel4880 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": name4875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr4876, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en4877, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": color4878, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id4879, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description4886 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 33, "name": "description", "selectOnFocus": true, "title": "Beschreibung" });
    var SubscriptionsByCalendar_grid4895 = new Lino.cal.SubscriptionsByCalendar.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(cal.cal.SubscriptionsByCalendar) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByCalendar.grid) ] });
    var main_2_panel4896 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ description4886, SubscriptionsByCalendar_grid4895 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4897 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4880, main_2_panel4896 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4897;
    this.before_row_edit = function(record) {
      description4886.refresh();
      SubscriptionsByCalendar_grid4895.on_master_changed();
    }
    Lino.cal.Calendars.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-ContractTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 97,
  initComponent : function() {
    var id4898 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name4899 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.ContractTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4901 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref4902 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(jobs.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group4903 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(jobs.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel4904 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id4898, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name4899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_fr4900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": name_en4901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": ref4902, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group4903, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsByType_grid4944 = new Lino.jobs.ContractsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByType.grid) ] });
    var main_panel4945 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4904, ContractsByType_grid4944 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4945;
    this.before_row_edit = function(record) {
      ContractsByType_grid4944.on_master_changed();
    }
    Lino.jobs.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Statuses.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Statuses",
  layout: 'fit',
  auto_save: true,
  content_type: 84,
  initComponent : function() {
    var id4946 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Statuses.id) ") }, "name": "id", "selectOnFocus": true });
    var name4947 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Statuses.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr4948 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Statuses.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en4949 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Statuses.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel4950 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id4946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name4947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr4948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en4949, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel4966 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4950 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4966;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Statuses.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Offers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Offers",
  layout: 'fit',
  auto_save: true,
  content_type: 99,
  initComponent : function() {
    var name4967 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Offers.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider4968 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Offers.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/provider" }) }) });
    var sector4969 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Offers.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/sector" }) }) });
    var function4970 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Offers.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Offers/function" }) }) });
    var main_1_panel4971 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": name4967, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": provider4968, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": sector4969, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": function4970, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var selection_from4976 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginn Auswahl", "listeners": { "render": Lino.quicktip_renderer("Beginn Auswahl","(jobs.Offers.selection_from) ") }, "name": "selection_from", "selectOnFocus": true });
    var selection_until4977 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ende Auswahl", "listeners": { "render": Lino.quicktip_renderer("Ende Auswahl","(jobs.Offers.selection_until) ") }, "name": "selection_until", "selectOnFocus": true });
    var start_date4978 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginndatum", "listeners": { "render": Lino.quicktip_renderer("Beginndatum","(jobs.Offers.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var main_2_panel4979 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": selection_from4976, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": selection_until4977, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": start_date4978, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark4983 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Offers.remark) ") }, "name": "remark", "selectOnFocus": true });
    var ExperiencesByOffer_grid4990 = new Lino.jobs.ExperiencesByOffer.GridPanel({ "containing_panel": this, "flex": 51, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erfahrungen","(jobs.jobs.ExperiencesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ExperiencesByOffer.grid) ] });
    var CandidaturesByOffer_grid4996 = new Lino.jobs.CandidaturesByOffer.GridPanel({ "containing_panel": this, "flex": 48, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kandidaten","(jobs.jobs.CandidaturesByOffer) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByOffer.grid) ] });
    var main_4_panel4997 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ ExperiencesByOffer_grid4990, CandidaturesByOffer_grid4996 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel4998 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4971, main_2_panel4979, { "flex": 41, "items": remark4983, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4997 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4998;
    this.before_row_edit = function(record) {
      function4970.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      ExperiencesByOffer_grid4990.on_master_changed();
      CandidaturesByOffer_grid4996.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector4969 !== 'undefined' && sector4969.on('change',Lino.chooser_handler(function4970,'sector'));
      Lino.jobs.Offers.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Offers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  content_type: 2,
  initComponent : function() {
    var isocode5000 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var name5001 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5002 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5003 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var short_code5004 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Short code</span>", "listeners": { "render": Lino.quicktip_renderer("Short code","(countries.Countries.short_code) A short abbreviation for regional usage. Obsolete.") }, "maxLength": 4, "name": "short_code", "selectOnFocus": true });
    var inscode5005 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var actual_country5006 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Actual country</span>", "hiddenName": "actual_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Actual country","(countries.Countries.actual_country) Select the actual country if this row represents a refugee status or a former country.") }, "name": "actual_country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Countries/actual_country" }) }) });
    var main_1_panel5007 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": isocode5000, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name5001, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_fr5002, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": name_en5003, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": short_code5004, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": inscode5005, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": actual_country5006, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var countries_PlacesByCountry_grid5168 = new Lino.countries.PlacesByCountry.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Orte","(countries.countries.PlacesByCountry) The table of known geographical places.\nA geographical place can be a city, a town, a suburb,\na province, a lake... any named geographic entity,\nexcept for countries because these have their own table.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "tools": [ Lino.show_in_own_window_button(Lino.countries.PlacesByCountry.grid) ] });
    var main_2_panel5190 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 83, "frame": false, "hideCheckBoxLabels": true, "items": [ countries_PlacesByCountry_grid5168 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5191 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5007, main_2_panel5190 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5191;
    this.before_row_edit = function(record) {
      countries_PlacesByCountry_grid5168.on_master_changed();
    }
    Lino.countries.Countries.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Calendars.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Calendars",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 33,
  initComponent : function() {
    var name5192 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.Calendars.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5193 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.Calendars.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5194 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.Calendars.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5195 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5192, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5193, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5194, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var color5199 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Farbe</span>", "listeners": { "render": Lino.quicktip_renderer("Farbe","(cal.Calendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "name": "color", "selectOnFocus": true });
    var main_panel5200 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5195, { "anchor": "-20", "autoHeight": true, "items": color5199, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5200;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Calendars.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Tasks.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Tasks",
  layout: 'fit',
  auto_save: true,
  content_type: 40,
  initComponent : function() {
    var start_date1598 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Tasks.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date1599 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.Tasks.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var id1600 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Tasks.id) ") }, "name": "id", "selectOnFocus": true });
    var workflow_buttons_disp1601 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Tasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel1602 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": start_date1598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": due_date1599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id1600, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 49, "items": workflow_buttons_disp1601, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var summary1607 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Tasks.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project1608 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Tasks.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/project" }) }) });
    var user1609 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.Tasks.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Tasks/user" }) }) });
    var delegated1610 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.Tasks.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel1611 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": project1608, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": user1609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": delegated1610, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp1615 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var created1616 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Tasks.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1617 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Tasks.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var main_4_panel1618 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": owner_disp1615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": created1616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": modified1617, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description1622 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Beschreibung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Tasks.description) ") }, "name": "description", "selectOnFocus": true });
    var main_panel1623 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1602, { "autoHeight": true, "items": summary1607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel1611, main_4_panel1618, { "flex": 45, "items": description1622, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1623;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Tasks.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Studies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Studies",
  layout: 'fit',
  auto_save: true,
  content_type: 83,
  initComponent : function() {
    var person1874 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Studies.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/person" }) }) });
    var start_date1875 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Studies.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1876 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Studies.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text1877 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Studies.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var main_1_panel1878 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": person1874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": start_date1875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date1876, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": duration_text1877, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1883 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.Studies.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/type" }) }) });
    var content1884 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.Studies.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var education_level1885 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.EducationLevels.detail", "emptyText": "Akademischer Grad ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Akademischer Grad</span>", "hiddenName": "education_levelHidden", "listeners": { "render": Lino.quicktip_renderer("Akademischer Grad","(cv.Studies.education_level) Pointer to EducationLevel.") }, "name": "education_level", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.EducationLevels.detail,null)}, "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/education_level" }) }) });
    var state1886 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zustand", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cv.Studies.state) ") }, "name": "state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.EducationEntryStates) });
    var main_2_panel1887 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": type1883, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": content1884, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": education_level1885, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": state1886, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var school1892 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Einrichtung</span>", "listeners": { "render": Lino.quicktip_renderer("Einrichtung","(cv.Studies.school) The establishment where the education happened.") }, "maxLength": 200, "name": "school", "selectOnFocus": true });
    var country1893 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Studies.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/country" }) }) });
    var city1894 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Studies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Studies/city" }) }) });
    var main_3_panel1895 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": school1892, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": country1893, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": city1894, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1899 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bemerkungen</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Studies.remarks) Remarks about this entry.") }, "name": "remarks", "selectOnFocus": true });
    var main_panel1900 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1878, main_2_panel1887, main_3_panel1895, { "flex": 62, "items": remarks1899, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel1900;
    this.before_row_edit = function(record) {
      city1894.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country1893 !== 'undefined' && country1893.on('change',Lino.chooser_handler(city1894,'country'));
      Lino.cv.Studies.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Studies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.b2c.Transactions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel b2c-Transactions",
  layout: 'fit',
  auto_save: true,
  content_type: 69,
  disable_editing: true,
  initComponent : function() {
    var statement4487 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.b2c.Statements.detail", "emptyText": "Kontoauszug ausw\u00e4hlen...", "fieldLabel": "Kontoauszug", "hiddenName": "statementHidden", "listeners": { "render": Lino.quicktip_renderer("Kontoauszug","(b2c.Transactions.statement) ") }, "name": "statement", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.b2c.Statements.detail,null)}, "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno4488 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "name": "seqno", "selectOnFocus": true });
    var booking_date4489 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("Ausf\u00fchrungsdatum","(b2c.Transactions.booking_date) ") }, "name": "booking_date", "selectOnFocus": true });
    var value_date4490 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Valuta", "listeners": { "render": Lino.quicktip_renderer("Valuta","(b2c.Transactions.value_date) ") }, "name": "value_date", "selectOnFocus": true });
    var amount4491 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(b2c.Transactions.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_1_panel4492 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": statement4487, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno4488, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": booking_date4489, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": value_date4490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": amount4491, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_account4498 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "IBAN", "listeners": { "render": Lino.quicktip_renderer("IBAN","(b2c.Transactions.remote_account) ") }, "maxLength": 64, "name": "remote_account", "selectOnFocus": true });
    var remote_bic4499 = new Lino.UppercaseTextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "BIC", "listeners": { "render": Lino.quicktip_renderer("BIC","(b2c.Transactions.remote_bic) ") }, "maxLength": 11, "name": "remote_bic", "selectOnFocus": true });
    var eref4500 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "End to end reference", "listeners": { "render": Lino.quicktip_renderer("End to end reference","(b2c.Transactions.eref) ") }, "maxLength": 128, "name": "eref", "selectOnFocus": true });
    var txcd_text_disp4501 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Transaktionscode", "listeners": { "render": Lino.quicktip_renderer("Transaktionscode","(b2c.Transactions.txcd_text) ") }, "name": "txcd_text", "value": "<br/>" });
    var main_2_panel4502 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": remote_account4498, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": remote_bic4499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": eref4500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": txcd_text_disp4501, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remote_owner4507 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Name Gegenpartei","(b2c.Transactions.remote_owner) ") }, "maxLength": 128, "name": "remote_owner", "selectOnFocus": true });
    var remote_owner_address4508 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Adresse Gegenpartei", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Adresse Gegenpartei","(b2c.Transactions.remote_owner_address) ") }, "name": "remote_owner_address", "selectOnFocus": true });
    var remote_owner_city4509 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Stadt Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Stadt Gegenpartei","(b2c.Transactions.remote_owner_city) ") }, "maxLength": 32, "name": "remote_owner_city", "selectOnFocus": true });
    var remote_owner_postalcode4510 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "PLZ Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("PLZ Gegenpartei","(b2c.Transactions.remote_owner_postalcode) ") }, "maxLength": 10, "name": "remote_owner_postalcode", "selectOnFocus": true });
    var remote_owner_country_code4511 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "Land Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("Land Gegenpartei","(b2c.Transactions.remote_owner_country_code) ") }, "maxLength": 4, "name": "remote_owner_country_code", "selectOnFocus": true });
    var addr_right_panel4512 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 25, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": remote_owner_city4509, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_postalcode4510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": remote_owner_country_code4511, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var main_4_panel4516 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 74, "items": remote_owner_address4508, "labelAlign": "top", "layout": "form", "xtype": "panel" }, addr_right_panel4512 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var message4518 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Meldung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Meldung","(b2c.Transactions.message) ") }, "name": "message", "selectOnFocus": true });
    var main_panel4519 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel4492, main_2_panel4502, { "autoHeight": true, "items": remote_owner4507, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel4516, { "flex": 33, "items": message4518, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel4519;
    this.before_row_edit = function(record) {
    }
    Lino.b2c.Transactions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 8,
  initComponent : function() {
    var first_name5202 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var last_name5203 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var main_1_panel5204 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": first_name5202, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": last_name5203, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var gender5207 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var email5208 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var main_2_panel5209 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": gender5207, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 65, "items": email5208, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5212 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5204, main_2_panel5209 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5212;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Persons.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-IncomeConfirmations",
  layout: 'fit',
  auto_save: true,
  content_type: 135,
  initComponent : function() {
    var client3097 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var user3098 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var signer3099 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.IncomeConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var workflow_buttons_disp3100 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.IncomeConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var printed_disp3101 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_1_panel3102 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": client3097, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": user3098, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": signer3099, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": workflow_buttons_disp3100, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": printed_disp3101, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company3108 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person3109 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var language3110 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel3111 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company3108, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person3109, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language3110, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting3115 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var start_date3116 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date3117 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_3_panel3118 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting3115, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date3116, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date3117, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category3122 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmations.category) ") }, "name": "category", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Categories.detail,null)}, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount3123 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmations.amount) ") }, "name": "amount", "selectOnFocus": true });
    var id3124 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.IncomeConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var main_4_panel3125 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 54, "items": category3122, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": amount3123, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": id3124, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3129 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 45, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel3130 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3102, main_2_panel3111, main_3_panel3118, main_4_panel3125, remark3129 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3130;
    this.before_row_edit = function(record) {
      contact_person3109.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3129.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company3108 !== 'undefined' && company3108.on('change',Lino.chooser_handler(contact_person3109,'company'));
      Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 58,
  initComponent : function() {
    var ref5213 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5214 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5215 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5216 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5217 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": ref5213, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5214, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5215, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5216, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group5222 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type5223 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var main_panel5224 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5217, { "anchor": "-20", "autoHeight": true, "items": journal_group5222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_type5223, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5224;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Journals.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.TasksByController.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-TasksByController",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 40,
  initComponent : function() {
    var summary2246 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.TasksByController.summary) ") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2247 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.TasksByController.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var due_date2248 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("Zahlungsziel","(cal.TasksByController.due_date) ") }, "name": "due_date", "selectOnFocus": true });
    var main_2_panel2249 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date2247, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": due_date2248, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2252 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated2253 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Delegated to client", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Delegated to client","(cal.TasksByController.delegated) ") }, "name": "delegated", "selectOnFocus": true });
    var main_3_panel2254 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 66, "items": user2252, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": delegated2253, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2257 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary2246, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2249, main_3_panel2254 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2257;
    this.before_row_edit = function(record) {
    }
    Lino.cal.TasksByController.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var event2371 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var partner2372 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "forceSelection": false, "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(cal.Guests.partner) The partner to which this presence applies.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role2373 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_panel2374 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": event2371, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner2372, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": role2373, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2374;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Jobs.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  content_type: 100,
  initComponent : function() {
    var name3728 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider3729 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var contract_type3730 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type3731 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobTypes.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var id3732 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Jobs.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3733 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": name3728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": provider3729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": contract_type3730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": type3731, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 5, "items": id3732, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector3739 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function3740 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var capacity3741 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Kapazit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("Kapazit\u00e4t","(jobs.Jobs.capacity) ") }, "name": "capacity", "selectOnFocus": true, "value": 1 });
    var hourly_rate3742 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Jobs.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var main_2_panel3743 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 35, "items": sector3739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": function3740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": capacity3741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": hourly_rate3742, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark3748 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Jobs.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_3_panel3764 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark3748, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var ContractsByJob_grid3799 = new Lino.jobs.ContractsByJob.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByJob) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByJob.grid) ] });
    var main_panel3800 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3733, main_2_panel3743, main_3_panel3764, ContractsByJob_grid3799 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3800;
    this.before_row_edit = function(record) {
      function3740.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      ContractsByJob_grid3799.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof sector3739 !== 'undefined' && sector3739.on('change',Lino.chooser_handler(function3740,'sector'));
      Lino.jobs.Jobs.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 79,
  initComponent : function() {
    var language5227 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.languages.Languages.detail,null)}, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native5228 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate5229 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel5230 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native5228, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate5229, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level5233 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively5234 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken5235 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5236 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel5237 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively5234, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken5235, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written5236, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5241 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5227, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5230, { "anchor": "-20", "autoHeight": true, "items": cef_level5233, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5237 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5241;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.outbox.Mails.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel outbox-Mails",
  layout: 'fit',
  auto_save: true,
  content_type: 28,
  initComponent : function() {
    var project2438 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(outbox.Mails.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/Mails/project" }) }) });
    var subject2439 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Betreff", "listeners": { "render": Lino.quicktip_renderer("Betreff","(outbox.Mails.subject) ") }, "maxLength": 200, "name": "subject", "selectOnFocus": true });
    var body2440 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Inhalt", "flex": 71, "name": "body", "selectOnFocus": true, "title": "Inhalt" });
    var main_panel2441 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": project2438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": subject2439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, body2440 ], "labelAlign": "top", "labelWidth": 63, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2441;
    this.before_row_edit = function(record) {
      body2440.refresh();
    }
    Lino.outbox.Mails.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.pcsw.Clients.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel pcsw-Clients",
  layout: 'fit',
  auto_save: true,
  content_type: 56,
  initComponent : function() {
    var overview_htmlbox1411 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.overview) A panel with general information about this client.") }, "name": "overview", "value": "<br/>" });
    var gender1412 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(pcsw.Clients.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id1413 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(pcsw.Clients.id) ") }, "name": "id", "selectOnFocus": true });
    var tim_id1414 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "TIM-ID", "listeners": { "render": Lino.quicktip_renderer("TIM-ID","(pcsw.Clients.tim_id) ") }, "maxLength": 10, "name": "tim_id", "selectOnFocus": true });
    var general2_1_panel1415 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 38, "items": gender1412, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": id1413, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": tim_id1414, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1419 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(pcsw.Clients.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name1420 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(pcsw.Clients.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var last_name1421 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(pcsw.Clients.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var general2_2_panel1422 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": first_name1419, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": middle_name1420, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": last_name1421, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var birth_date1426 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(pcsw.Clients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp1427 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var national_id1428 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">NR-Nummer</span>", "listeners": { "render": Lino.quicktip_renderer("NR-Nummer","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "maxLength": 200, "name": "national_id", "selectOnFocus": true });
    var general2_3_panel1429 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": birth_date1426, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": age_disp1427, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": national_id1428, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var nationality1433 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Staatsangeh\u00f6rigkeit</span>", "hiddenName": "nationalityHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Staatsangeh\u00f6rigkeit","(pcsw.Clients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "name": "nationality", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/nationality" }) }) });
    var declared_name1434 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Deklarierter Name", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Deklarierter Name","(pcsw.Clients.declared_name) ") }, "name": "declared_name", "selectOnFocus": true });
    var general2_4_panel1435 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 60, "items": nationality1433, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": declared_name1434, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var civil_state1438 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zivilstand</span>", "forceSelection": true, "hiddenName": "civil_stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zivilstand","(pcsw.Clients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "name": "civil_state", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var birth_country1439 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Geburtsland", "hiddenName": "birth_countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Geburtsland","(pcsw.Clients.birth_country) ") }, "name": "birth_country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/birth_country" }) }) });
    var birth_place1440 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsort</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsort","(pcsw.Clients.birth_place) The birth place in plain text as it was on the eid card.") }, "maxLength": 200, "name": "birth_place", "selectOnFocus": true });
    var general2_5_panel1441 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": civil_state1438, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": birth_country1439, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": birth_place1440, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel1445 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 38, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel1415, general2_2_panel1422, general2_3_panel1429, general2_4_panel1435, general2_5_panel1441 ], "labelAlign": "top", "layout": "form" });
    var language1446 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email1447 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(pcsw.Clients.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone1448 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(pcsw.Clients.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var fax1449 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(pcsw.Clients.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var gsm1450 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(pcsw.Clients.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var general3_panel1451 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 19, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language1446, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email1447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone1448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax1449, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm1450, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var image_htmlbox1457 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(pcsw.Clients.image) Virtual field which displays the picture.") }, "name": "image", "value": "<br/>" });
    var general_1_panel1458 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox1411, general2_panel1445, general3_panel1451, image_htmlbox1457 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid1463 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 70, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var AgentsByClient_htmlbox1464 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 30, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Termin machen mit","(pcsw.Clients.AgentsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "name": "AgentsByClient", "title": "Termin machen mit", "tools": [ Lino.show_in_own_window_button(Lino.reception.AgentsByClient.grid) ], "value": "<br/>" });
    var general_2_panel1465 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ reception_AppointmentsByPartner_grid1463, AgentsByClient_htmlbox1464 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1466 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1458, general_2_panel1465 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Person" });
    var dupable_clients_SimilarClients_htmlbox1467 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 14, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("\u00c4hnliche Klienten","(pcsw.Clients.dupable_clients_SimilarClients) Shows the other objects which are similar to this one.") }, "master_panel": this, "name": "dupable_clients_SimilarClients", "title": "\u00c4hnliche Klienten", "tools": [ Lino.show_in_own_window_button(Lino.dupable_clients.SimilarClients.grid) ], "value": "<br/>" });
    var humanlinks_LinksByHuman_htmlbox1468 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(pcsw.Clients.humanlinks_LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks_LinksByHuman", "title": "Beziehungen", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var cbss_relations_htmlbox1469 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 42, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("ZDSS","(pcsw.Clients.cbss_relations) ") }, "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var contact_1_panel1470 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 3, "frame": false, "hideCheckBoxLabels": true, "items": [ dupable_clients_SimilarClients_htmlbox1467, humanlinks_LinksByHuman_htmlbox1468, cbss_relations_htmlbox1469 ], "labelAlign": "top", "labelWidth": 162, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var households_MembersByPerson_htmlbox1471 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(pcsw.Clients.households_MembersByPerson) ") }, "master_panel": this, "name": "households_MembersByPerson", "title": "Mitgliedschaft in Haushalten", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid1491 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushaltszusammensetzung","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_2_panel1492 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox1471, households_SiblingsByPerson_grid1491 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel1493 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel1470, contact_2_panel1492 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Beziehungen" });
    var workflow_buttons_disp1494 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(pcsw.Clients.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var id_document_disp1495 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Identifizierendes Dokument</span>", "listeners": { "render": Lino.quicktip_renderer("Identifizierendes Dokument","(pcsw.Clients.id_document) A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.") }, "name": "id_document", "value": "<br/>" });
    var newcomers_left_1_panel1496 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": workflow_buttons_disp1494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": id_document_disp1495, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var broker1499 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Vermittler ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vermittler</span>", "hiddenName": "brokerHidden", "listeners": { "render": Lino.quicktip_renderer("Vermittler","(pcsw.Clients.broker) The Broker who sent this Newcomer.") }, "name": "broker", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/broker" }) }) });
    var faculty1500 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.newcomers.Faculties.detail", "emptyText": "Fachbereich ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Fachbereich</span>", "hiddenName": "facultyHidden", "insert_action": "Lino.newcomers.Faculties.insert", "listeners": { "render": Lino.quicktip_renderer("Fachbereich","(pcsw.Clients.faculty) The Faculty this client has been attributed to.") }, "name": "faculty", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.newcomers.Faculties.detail,Lino.newcomers.Faculties.insert)}, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/faculty" }) }) });
    var refusal_reason1501 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablehnungsgrund", "forceSelection": true, "hiddenName": "refusal_reasonHidden", "listeners": { "render": Lino.quicktip_renderer("Ablehnungsgrund","(pcsw.Clients.refusal_reason) ") }, "name": "refusal_reason", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var newcomers_left_panel1502 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ newcomers_left_1_panel1496, { "anchor": "-20", "autoHeight": true, "items": broker1499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": faculty1500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": refusal_reason1501, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var newcomers_AvailableCoachesByClient_grid1698 = new Lino.newcomers.AvailableCoachesByClient.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Verf\u00fcgbare Begleiter","(newcomers.newcomers.AvailableCoachesByClient) Base class for all tables of User.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.AvailableCoachesByClient.grid) ] });
    var coaching_1_panel1699 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ newcomers_left_panel1502, newcomers_AvailableCoachesByClient_grid1698 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var clients_ContactsByClient_grid1711 = new Lino.clients.ContactsByClient.GridPanel({ "containing_panel": this, "flex": 33, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontakte","(clients.clients.ContactsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.clients.ContactsByClient.grid) ] });
    var coachings_CoachingsByClient_grid1720 = new Lino.coachings.CoachingsByClient.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByClient) The Coachings table in a clients detail.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByClient.grid) ] });
    var coaching_2_panel1721 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ clients_ContactsByClient_grid1711, coachings_CoachingsByClient_grid1720 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var coaching_panel1722 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ coaching_1_panel1699, coaching_2_panel1721 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleiter" });
    var in_belgium_since1723 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Lebt in Belgien seit", "listeners": { "render": Lino.quicktip_renderer("Lebt in Belgien seit","(pcsw.Clients.in_belgium_since) ") }, "name": "in_belgium_since", "selectOnFocus": true });
    var residence_type1724 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Einwohnerregister", "forceSelection": true, "hiddenName": "residence_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Einwohnerregister","(pcsw.Clients.residence_type) ") }, "name": "residence_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var gesdos_id1725 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gesdos-Nr", "listeners": { "render": Lino.quicktip_renderer("Gesdos-Nr","(pcsw.Clients.gesdos_id) ") }, "maxLength": 40, "name": "gesdos_id", "selectOnFocus": true });
    var status_1_panel1726 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": in_belgium_since1723, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": residence_type1724, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": gesdos_id1725, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_agents1730 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Interim-Agenturen", "listeners": { "render": Lino.quicktip_renderer("Interim-Agenturen","(pcsw.Clients.job_agents) ") }, "maxLength": 100, "name": "job_agents", "selectOnFocus": true });
    var group1731 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Integrationsphase</span>", "hiddenName": "groupHidden", "listeners": { "render": Lino.quicktip_renderer("Integrationsphase","(pcsw.Clients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "name": "group", "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/group" }) }) });
    var status_2_panel1732 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 56, "items": job_agents1730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": group1731, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status_panel1735 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 68, "frame": true, "hideCheckBoxLabels": true, "items": [ status_1_panel1726, status_2_panel1732 ], "labelAlign": "top", "layout": "form" });
    var income_ag1736 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Arbeitslosengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Arbeitslosengeld","(pcsw.Clients.income_ag) ") }, "name": "income_ag", "selectOnFocus": true });
    var income_wg1737 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wartegeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wartegeld","(pcsw.Clients.income_wg) ") }, "name": "income_wg", "selectOnFocus": true });
    var income_1_panel1738 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_ag1736, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_wg1737, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_kg1741 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Krankengeld", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Krankengeld","(pcsw.Clients.income_kg) ") }, "name": "income_kg", "selectOnFocus": true });
    var income_rente1742 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Rente", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Rente","(pcsw.Clients.income_rente) ") }, "name": "income_rente", "selectOnFocus": true });
    var income_2_panel1743 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": income_kg1741, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": income_rente1742, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var income_misc1746 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "andere Einkommen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("andere Einkommen","(pcsw.Clients.income_misc) ") }, "name": "income_misc", "selectOnFocus": true });
    var income_panel1747 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 31, "frame": true, "hideCheckBoxLabels": true, "items": [ income_1_panel1738, income_2_panel1743, { "anchor": "-20", "autoHeight": true, "items": income_misc1746, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var aids_tab_1_panel1749 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ status_panel1735, income_panel1747 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var sepa_AccountsByClient_grid1765 = new Lino.sepa.AccountsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByClient) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByClient.grid) ] });
    var aids_GrantingsByClient_grid1823 = new Lino.aids.GrantingsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Hilfebeschl\u00fcsse","(aids.aids.GrantingsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.aids.GrantingsByClient.grid) ] });
    var aids_tab_panel1824 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ aids_tab_1_panel1749, sepa_AccountsByClient_grid1765, aids_GrantingsByClient_grid1823 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Hilfen" });
    var pcsw_DispensesByClient_grid1830 = new Lino.pcsw.DispensesByClient.GridPanel({ "containing_panel": this, "flex": 3, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Dispenzen","(pcsw.pcsw.DispensesByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.DispensesByClient.grid) ] });
    var pcsw_ExclusionsByClient_grid1836 = new Lino.pcsw.ExclusionsByClient.GridPanel({ "containing_panel": this, "flex": 3, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("AG-Sperren","(pcsw.pcsw.ExclusionsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.pcsw.ExclusionsByClient.grid) ] });
    var suche_panel1837 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ pcsw_DispensesByClient_grid1830, pcsw_ExclusionsByClient_grid1836 ], "labelAlign": "top" });
    var seeking_since1838 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sucht Arbeit seit</span>", "listeners": { "render": Lino.quicktip_renderer("Sucht Arbeit seit","(pcsw.Clients.seeking_since) Since when the client is seeking for a job.") }, "name": "seeking_since", "selectOnFocus": true });
    var unemployed_since1839 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Arbeitslos seit</span>", "listeners": { "render": Lino.quicktip_renderer("Arbeitslos seit","(pcsw.Clients.unemployed_since) Since when the client has not been employed in any regular job.") }, "name": "unemployed_since", "selectOnFocus": true });
    var work_permit_suspended_until1840 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wartezeit bis", "listeners": { "render": Lino.quicktip_renderer("Wartezeit bis","(pcsw.Clients.work_permit_suspended_until) ") }, "name": "work_permit_suspended_until", "selectOnFocus": true });
    var papers_1_panel1841 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": seeking_since1838, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": unemployed_since1839, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": work_permit_suspended_until1840, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_residence_permit1845 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Aufenthaltserlaubnis", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Aufenthaltserlaubnis","(pcsw.Clients.needs_residence_permit) ") }, "name": "needs_residence_permit", "selectOnFocus": true });
    var needs_work_permit1846 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Arb.Erl.", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Arb.Erl.","(pcsw.Clients.needs_work_permit) ") }, "name": "needs_work_permit", "selectOnFocus": true });
    var papers_2_panel1847 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": needs_residence_permit1845, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": needs_work_permit1846, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByProject_htmlbox1850 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(pcsw.Clients.uploads_UploadsByProject) Shows the uploads controlled by this database object.") }, "master_panel": this, "name": "uploads_UploadsByProject", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByProject.grid) ], "value": "<br/>" });
    var papers_panel1851 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ papers_1_panel1841, papers_2_panel1847, uploads_UploadsByProject_htmlbox1850 ], "labelAlign": "top", "labelWidth": 135, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var work_tab_1_panel1852 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ suche_panel1837, papers_panel1851 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Arbeitssuche" });
    var xcourses_CourseRequestsByPerson_grid2105 = new Lino.xcourses.CourseRequestsByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kursanfragen","(xcourses.xcourses.CourseRequestsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.xcourses.CourseRequestsByPerson.grid) ] });
    var languages_panel2106 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ xcourses_CourseRequestsByPerson_grid2105 ], "labelAlign": "top", "labelWidth": 153, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sprachen" });
    var jobs_CandidaturesByPerson_grid2499 = new Lino.jobs.CandidaturesByPerson.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Stellenanfragen","(jobs.jobs.CandidaturesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.CandidaturesByPerson.grid) ] });
    var jobs_ContractsByClient_grid2601 = new Lino.jobs.ContractsByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByClient) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByClient.grid) ] });
    var contracts_panel2602 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ jobs_CandidaturesByPerson_grid2499, jobs_ContractsByClient_grid2601 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Vertr\u00e4ge" });
    var notes_NotesByProject_htmlbox2603 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Ereignisse/Notizen","(pcsw.Clients.notes_NotesByProject) ") }, "master_panel": this, "name": "notes_NotesByProject", "region": "north", "split": true, "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByProject.grid) ], "value": "<br/>" });
    var excerpts_ExcerptsByProject_htmlbox2604 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Bestehende Ausz\u00fcge","(pcsw.Clients.excerpts_ExcerptsByProject) Only used if lino.core.site.Site.project_model is set.") }, "master_panel": this, "name": "excerpts_ExcerptsByProject", "region": "center", "split": true, "title": "Bestehende Ausz\u00fcge", "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByProject.grid) ], "value": "<br/>" });
    var history_panel2605 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ notes_NotesByProject_htmlbox2603, excerpts_ExcerptsByProject_htmlbox2604 ], "labelAlign": "top", "labelWidth": 171, "listeners": { "activate": Lino.on_tab_activate }, "title": "Historie" });
    var cal_EntriesByClient_grid2657 = new Lino.cal.EntriesByClient.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByClient) Table which shows all calendar events.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByClient.grid) ] });
    var cal_TasksByProject_grid2684 = new Lino.cal.TasksByProject.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByProject) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByProject.grid) ] });
    var calendar_panel2685 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByClient_grid2657, cal_TasksByProject_grid2684 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kalender" });
    var cbss_identify_person_disp2727 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "IdentifyPerson-Anfragen", "listeners": { "render": Lino.quicktip_renderer("IdentifyPerson-Anfragen","(pcsw.Clients.cbss_identify_person) ") }, "name": "cbss_identify_person", "value": "<br/>" });
    var cbss_manage_access_disp2728 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "ManageAccess-Anfragen", "listeners": { "render": Lino.quicktip_renderer("ManageAccess-Anfragen","(pcsw.Clients.cbss_manage_access) ") }, "name": "cbss_manage_access", "value": "<br/>" });
    var cbss_retrieve_ti_groups_disp2729 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Tx25-Anfragen", "listeners": { "render": Lino.quicktip_renderer("Tx25-Anfragen","(pcsw.Clients.cbss_retrieve_ti_groups) ") }, "name": "cbss_retrieve_ti_groups", "value": "<br/>" });
    var cbss_1_panel2730 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": cbss_identify_person_disp2727, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": cbss_manage_access_disp2728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": cbss_retrieve_ti_groups_disp2729, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cbss_summary_htmlbox2734 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Zusammenfassung ZDSS","(pcsw.Clients.cbss_summary) ") }, "name": "cbss_summary", "title": "Zusammenfassung ZDSS", "value": "<br/>" });
    var cbss_panel2735 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ cbss_1_panel2730, cbss_summary_htmlbox2734 ], "labelAlign": "top", "labelWidth": 189, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "ZDSS" });
    var debts_BudgetsByPartner_grid2763 = new Lino.debts.BudgetsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Hauptpartner in folgenden Budgets:","(debts.debts.BudgetsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.BudgetsByPartner.grid) ] });
    var debts_ActorsByPartner_grid2775 = new Lino.debts.ActorsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Akteur in folgenden Budgets:","(debts.debts.ActorsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByPartner.grid) ] });
    var debts_panel2776 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ debts_BudgetsByPartner_grid2763, debts_ActorsByPartner_grid2775 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Schuldnerberatung" });
    var main_panel2777 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1466, contact_panel1493, coaching_panel1722, aids_tab_panel1824, work_tab_1_panel1852, languages_panel2106, contracts_panel2602, history_panel2605, calendar_panel2685, cbss_panel2735, debts_panel2776 ], "labelAlign": "top", "split": true });
    this.items = main_panel2777;
    this.before_row_edit = function(record) {
      overview_htmlbox1411.refresh();
      image_htmlbox1457.refresh();
      reception_AppointmentsByPartner_grid1463.on_master_changed();
      AgentsByClient_htmlbox1464.refresh();
      dupable_clients_SimilarClients_htmlbox1467.refresh();
      humanlinks_LinksByHuman_htmlbox1468.refresh();
      cbss_relations_htmlbox1469.refresh();
      households_MembersByPerson_htmlbox1471.refresh();
      households_SiblingsByPerson_grid1491.on_master_changed();
      newcomers_AvailableCoachesByClient_grid1698.on_master_changed();
      clients_ContactsByClient_grid1711.on_master_changed();
      coachings_CoachingsByClient_grid1720.on_master_changed();
      sepa_AccountsByClient_grid1765.on_master_changed();
      aids_GrantingsByClient_grid1823.on_master_changed();
      pcsw_DispensesByClient_grid1830.on_master_changed();
      pcsw_ExclusionsByClient_grid1836.on_master_changed();
      uploads_UploadsByProject_htmlbox1850.refresh();
      xcourses_CourseRequestsByPerson_grid2105.on_master_changed();
      jobs_CandidaturesByPerson_grid2499.on_master_changed();
      jobs_ContractsByClient_grid2601.on_master_changed();
      notes_NotesByProject_htmlbox2603.refresh();
      excerpts_ExcerptsByProject_htmlbox2604.refresh();
      cal_EntriesByClient_grid2657.on_master_changed();
      cal_TasksByProject_grid2684.on_master_changed();
      cbss_summary_htmlbox2734.refresh();
      debts_BudgetsByPartner_grid2763.on_master_changed();
      debts_ActorsByPartner_grid2775.on_master_changed();
    }
    Lino.pcsw.Clients.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    faculty1500.on("change", function(){ this.save() }, this);
  }
});


Lino.jobs.Jobs.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel jobs-Jobs",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 100,
  initComponent : function() {
    var name3801 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Name", "listeners": { "render": Lino.quicktip_renderer("Name","(jobs.Jobs.name) ") }, "maxLength": 100, "name": "name", "selectOnFocus": true });
    var provider3802 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobProviders.detail", "emptyText": "Stellenanbieter ausw\u00e4hlen...", "fieldLabel": "Stellenanbieter", "hiddenName": "providerHidden", "insert_action": "Lino.jobs.JobProviders.insert", "listeners": { "render": Lino.quicktip_renderer("Stellenanbieter","(jobs.Jobs.provider) ") }, "name": "provider", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobProviders.detail,Lino.jobs.JobProviders.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.JobProviders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/provider" }) }) });
    var main_1_panel3803 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": name3801, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": provider3802, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contract_type3806 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Vertragsart", "hiddenName": "contract_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsart","(jobs.Jobs.contract_type) ") }, "name": "contract_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/contract_type" }) }) });
    var type3807 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.JobTypes.detail", "emptyText": "Stellenart ausw\u00e4hlen...", "fieldLabel": "Stellenart", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Stellenart","(jobs.Jobs.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.JobTypes.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.JobTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/type" }) }) });
    var main_2_panel3808 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": contract_type3806, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": type3807, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector3811 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(jobs.Jobs.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/sector" }) }) });
    var function3812 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(jobs.Jobs.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Jobs/function" }) }) });
    var main_3_panel3813 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": sector3811, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": function3812, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel3816 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3803, main_2_panel3808, main_3_panel3813 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel3816;
    this.before_row_edit = function(record) {
      function3812.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof sector3811 !== 'undefined' && sector3811.on('change',Lino.chooser_handler(function3812,'sector'));
      Lino.jobs.Jobs.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Jobs.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.JobTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-JobTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 102,
  initComponent : function() {
    var id5244 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.JobTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5245 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.JobTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var is_social5246 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sozial\u00f6konomie", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sozial\u00f6konomie","(jobs.JobTypes.is_social) ") }, "name": "is_social", "selectOnFocus": true });
    var main_1_panel5247 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id5244, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": name5245, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": is_social5246, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5266 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5247 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5266;
    this.before_row_edit = function(record) {
    }
    Lino.jobs.JobTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.AllUploads.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-AllUploads",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file5267 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.AllUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var user5268 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hochgeladen durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Hochgeladen durch","(uploads.AllUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/user" }) }) });
    var main_1_panel5269 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 51, "items": file5267, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": user5268, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var volume5272 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dateibibliothek</span>", "hiddenName": "volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(uploads.AllUploads.volume) A pointer to the library volume where this file is stored.") }, "name": "volume", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/volume" }) }) });
    var library_file5273 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bibliotheksdatei</span>", "listeners": { "render": Lino.quicktip_renderer("Bibliotheksdatei","(uploads.AllUploads.library_file) The path of this file, relative the volume's root.") }, "name": "library_file", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/library_file" }) }) });
    var main_2_panel5274 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": volume5272, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": library_file5273, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var upload_area5277 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Bereich</span>", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.AllUploads.upload_area) The upload area this file belongs to.") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var type5278 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.AllUploads.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AllUploads/type" }) }) });
    var description5279 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.AllUploads.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_3_panel5280 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": upload_area5277, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": type5278, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": description5279, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp5284 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var main_panel5285 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5269, main_2_panel5274, main_3_panel5280, { "anchor": "-20", "autoHeight": true, "items": owner_disp5284, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5285;
    this.before_row_edit = function(record) {
      library_file5273.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      type5278.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof volume5272 !== 'undefined' && volume5272.on('change',Lino.chooser_handler(library_file5273,'volume'));
      typeof upload_area5277 !== 'undefined' && upload_area5277.on('change',Lino.chooser_handler(type5278,'upload_area'));
      Lino.uploads.AllUploads.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.uploads.AllUploads.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.Invoices.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-Invoices",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var journal5287 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(vatless.Invoices.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/journal" }) }) });
    var partner5288 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.Invoices.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/Invoices/partner" }) }) });
    var entry_date5289 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.Invoices.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel5290 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": journal5287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner5288, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date5289, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5290;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.Invoices.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Persons.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Persons",
  layout: 'fit',
  auto_save: true,
  content_type: 8,
  initComponent : function() {
    var overview_htmlbox5294 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Persons.overview) ") }, "name": "overview", "value": "<br/>" });
    var title5295 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Titel</span>", "listeners": { "render": Lino.quicktip_renderer("Titel","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var first_name5296 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorname</span>", "listeners": { "render": Lino.quicktip_renderer("Vorname","(contacts.Persons.first_name) The first name, also known as given name.") }, "maxLength": 200, "name": "first_name", "selectOnFocus": true });
    var middle_name5297 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zwischenname</span>", "listeners": { "render": Lino.quicktip_renderer("Zwischenname","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "maxLength": 200, "name": "middle_name", "selectOnFocus": true });
    var general2_1_panel5298 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": title5295, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": first_name5296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": middle_name5297, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var last_name5302 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Familienname</span>", "listeners": { "render": Lino.quicktip_renderer("Familienname","(contacts.Persons.last_name) The last name, also known as family name.") }, "maxLength": 200, "name": "last_name", "selectOnFocus": true });
    var gender5303 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geschlecht</span>", "forceSelection": true, "hiddenName": "genderHidden", "listeners": { "render": Lino.quicktip_renderer("Geschlecht","(contacts.Persons.gender) The sex of this person (male or female).") }, "name": "gender", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date5304 = new Lino.IncompleteDateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Geburtsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Geburtsdatum","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "name": "birth_date", "selectOnFocus": true });
    var age_disp5305 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter</span>", "listeners": { "render": Lino.quicktip_renderer("Alter","(contacts.Persons.age) Virtual field displaying the age in years.") }, "name": "age", "value": "<br/>" });
    var general2_3_panel5306 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 31, "items": gender5303, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": birth_date5304, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": age_disp5305, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id5310 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Persons.id) ") }, "name": "id", "selectOnFocus": true });
    var language5311 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Persons.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_4_panel5312 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id5310, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language5311, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general2_panel5315 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5298, { "anchor": "-20", "autoHeight": true, "items": last_name5302, "labelAlign": "top", "layout": "form", "xtype": "panel" }, general2_3_panel5306, general2_4_panel5312 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email5317 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Persons.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5318 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Persons.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5319 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(contacts.Persons.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax5320 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Persons.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel5321 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email5317, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5318, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax5320, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel5326 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5294, general2_panel5315, general3_panel5321 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByPerson_grid5327 = new Lino.contacts.RolesByPerson.GridPanel({ "containing_panel": this, "flex": 45, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktperson f\u00fcr","(contacts.contacts.RolesByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByPerson.grid) ] });
    var general_panel5328 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5326, contacts_RolesByPerson_grid5327 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var households_MembersByPerson_htmlbox5329 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 25, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Mitgliedschaft in Haushalten","(contacts.Persons.households_MembersByPerson) ") }, "master_panel": this, "name": "households_MembersByPerson", "title": "Mitgliedschaft in Haushalten", "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByPerson.grid) ], "value": "<br/>" });
    var households_SiblingsByPerson_grid5330 = new Lino.households.SiblingsByPerson.GridPanel({ "containing_panel": this, "flex": 75, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushaltszusammensetzung","(households.households.SiblingsByPerson) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.SiblingsByPerson.grid) ] });
    var contact_1_panel5331 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ households_MembersByPerson_htmlbox5329, households_SiblingsByPerson_grid5330 ], "labelAlign": "top", "labelWidth": 261, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "north", "split": true });
    var humanlinks_LinksByHuman_htmlbox5332 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 3, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Beziehungen","(contacts.Persons.humanlinks_LinksByHuman) Show all links for which this human is either parent or child.") }, "master_panel": this, "name": "humanlinks_LinksByHuman", "region": "center", "split": true, "title": "Beziehungen", "tools": [ Lino.show_in_own_window_button(Lino.humanlinks.LinksByHuman.grid) ], "value": "<br/>" });
    var remarks5333 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Persons.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid5334 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 80, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_3_panel5335 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 20, "items": remarks5333, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid5334 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "south", "split": true });
    var contact_panel5337 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ contact_1_panel5331, humanlinks_LinksByHuman_htmlbox5332, contact_3_panel5335 ], "labelAlign": "top", "labelWidth": 108, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term5338 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var ledger_panel5341 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term5338, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var activity5343 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Persons.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var url5344 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Persons.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var client_contact_type5345 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Persons.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var is_obsolete5346 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel5347 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": activity5343, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": url5344, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": client_contact_type5345, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_obsolete5346, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created5352 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Persons.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified5353 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Persons.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel5354 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created5352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified5353, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid5357 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel5358 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel5347, misc_2_panel5354, reception_AppointmentsByPartner_grid5357 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var debts_BudgetsByPartner_grid5359 = new Lino.debts.BudgetsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Hauptpartner in folgenden Budgets:","(debts.debts.BudgetsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.BudgetsByPartner.grid) ] });
    var debts_ActorsByPartner_grid5360 = new Lino.debts.ActorsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Akteur in folgenden Budgets:","(debts.debts.ActorsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByPartner.grid) ] });
    var debts_panel5361 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ debts_BudgetsByPartner_grid5359, debts_ActorsByPartner_grid5360 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Schuldnerberatung" });
    var main_panel5362 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5328, contact_panel5337, ledger_panel5341, misc_panel5358, debts_panel5361 ], "labelAlign": "top", "split": true });
    this.items = main_panel5362;
    this.before_row_edit = function(record) {
      overview_htmlbox5294.refresh();
      contacts_RolesByPerson_grid5327.on_master_changed();
      households_MembersByPerson_htmlbox5329.refresh();
      households_SiblingsByPerson_grid5330.on_master_changed();
      humanlinks_LinksByHuman_htmlbox5332.refresh();
      sepa_AccountsByPartner_grid5334.on_master_changed();
      reception_AppointmentsByPartner_grid5357.on_master_changed();
      debts_BudgetsByPartner_grid5359.on_master_changed();
      debts_ActorsByPartner_grid5360.on_master_changed();
    }
    Lino.contacts.Persons.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Accounts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  content_type: 62,
  initComponent : function() {
    var ref5363 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var common_account5364 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Gemeinkonto", "forceSelection": true, "hiddenName": "common_accountHidden", "listeners": { "render": Lino.quicktip_renderer("Gemeinkonto","(ledger.Accounts.common_account) ") }, "name": "common_account", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.CommonAccounts) });
    var id5365 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Accounts.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel5366 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": ref5363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": common_account5364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 8, "items": id5365, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5370 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5371 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5372 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5373 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5370, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5371, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5372, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var needs_partner5377 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Braucht Partner", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Braucht Partner","(ledger.Accounts.needs_partner) Whether bookings to this account need a partner specified.") }, "name": "needs_partner", "selectOnFocus": true });
    var clearable5378 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Auszugleichen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Auszugleichen","(ledger.Accounts.clearable) ") }, "name": "clearable", "selectOnFocus": true });
    var default_amount5379 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorschlag Betrag</span>", "listeners": { "render": Lino.quicktip_renderer("Vorschlag Betrag","(ledger.Accounts.default_amount) The default amount to book in bank statements or journal\nentries when this account has been selected manually. The\ndefault booking direction is that of the type.") }, "name": "default_amount", "selectOnFocus": true });
    var main_3_panel5380 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": needs_partner5377, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": clearable5378, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": default_amount5379, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5385 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5366, main_2_panel5373, main_3_panel5380 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5385;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  content_type: 9,
  initComponent : function() {
    var overview_htmlbox5386 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 28, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Companies.overview) ") }, "name": "overview", "value": "<br/>" });
    var prefix5387 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name5388 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var general2_1_panel5389 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": prefix5387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 66, "items": name5388, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type5392 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id5393 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">MwSt.-Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("MwSt.-Nr.","(contacts.Companies.vat_id) The national VAT identification number of this partner.") }, "maxLength": 200, "name": "vat_id", "selectOnFocus": true });
    var general2_2_panel5394 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type5392, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": vat_id5393, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var client_contact_type5397 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Companies.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var url5398 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Companies.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel5399 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 42, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel5389, general2_2_panel5394, { "anchor": "-20", "autoHeight": true, "items": client_contact_type5397, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url5398, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email5402 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone5403 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Companies.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm5404 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(contacts.Companies.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax5405 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Companies.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel5406 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 28, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email5402, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone5403, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm5404, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax5405, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel5411 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox5386, general2_panel5399, general3_panel5406 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_RolesByCompany_grid5412 = new Lino.contacts.RolesByCompany.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kontaktpersonen","(contacts.contacts.RolesByCompany) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.contacts.RolesByCompany.grid) ] });
    var general_panel5413 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5411, contacts_RolesByCompany_grid5412 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var addresses_AddressesByPartner_grid5454 = new Lino.addresses.AddressesByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Adressen","(addresses.addresses.AddressesByPartner) Shows all addresses of this partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.addresses.AddressesByPartner.grid) ] });
    var remarks5455 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Companies.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid5456 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 80, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_2_panel5457 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 5, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 20, "items": remarks5455, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid5456 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center", "split": true });
    var contact_panel5459 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ addresses_AddressesByPartner_grid5454, contact_2_panel5457 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var notes_NotesByCompany_htmlbox5460 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "name": "notes_NotesByCompany", "title": "Ereignisse/Notizen", "tools": [ Lino.show_in_own_window_button(Lino.notes.NotesByCompany.grid) ], "value": "<br/>" });
    var payment_term5461 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var ledger_panel5464 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term5461, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var id5466 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Companies.id) ") }, "name": "id", "selectOnFocus": true });
    var language5467 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Companies.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var activity5468 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Companies.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var is_obsolete5469 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var misc_1_panel5470 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": id5466, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": language5467, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": activity5468, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": is_obsolete5469, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var created5475 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Companies.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified5476 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Companies.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_2_panel5477 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": created5475, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": modified5476, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid5480 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var misc_panel5481 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel5470, misc_2_panel5477, reception_AppointmentsByPartner_grid5480 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel5482 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5413, contact_panel5459, notes_NotesByCompany_htmlbox5460, ledger_panel5464, misc_panel5481 ], "labelAlign": "top", "split": true });
    this.items = main_panel5482;
    this.before_row_edit = function(record) {
      overview_htmlbox5386.refresh();
      contacts_RolesByCompany_grid5412.on_master_changed();
      addresses_AddressesByPartner_grid5454.on_master_changed();
      sepa_AccountsByPartner_grid5456.on_master_changed();
      notes_NotesByCompany_htmlbox5460.refresh();
      reception_AppointmentsByPartner_grid5480.on_master_changed();
    }
    Lino.contacts.Companies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.users.AllUsers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel users-Users",
  layout: 'fit',
  auto_save: true,
  content_type: 11,
  initComponent : function() {
    var username1515 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzername</span>", "listeners": { "render": Lino.quicktip_renderer("Benutzername","(users.Users.username) Must be unique and cannot be empty.") }, "maxLength": 30, "name": "username", "selectOnFocus": true });
    var user_type1516 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Benutzerart</span>", "forceSelection": true, "hiddenName": "user_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Benutzerart","(users.Users.user_type) The user type given to this user. Users having this field empty\nare considered inactive and cannot log in.") }, "name": "user_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var partner1517 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Partner</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Partner","(users.Users.partner) Pointer to the Partner instance related to\nthis user.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/partner" }) }) });
    var box1_1_panel1518 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 34, "items": username1515, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": user_type1516, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": partner1517, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var first_name1522 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Vorname", "listeners": { "render": Lino.quicktip_renderer("Vorname","(users.Users.first_name) ") }, "maxLength": 30, "name": "first_name", "selectOnFocus": true });
    var last_name1523 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Familienname", "listeners": { "render": Lino.quicktip_renderer("Familienname","(users.Users.last_name) ") }, "maxLength": 30, "name": "last_name", "selectOnFocus": true });
    var initials1524 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Initialien</span>", "listeners": { "render": Lino.quicktip_renderer("Initialien","(users.Users.initials) The nickname or initials of this user. This does not need to\nbe unique but should provide a reasonably identifying\nfunction.") }, "maxLength": 10, "name": "initials", "selectOnFocus": true });
    var box1_2_panel1525 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 39, "items": first_name1522, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": last_name1523, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": initials1524, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var email1529 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(users.Users.email) ") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var language1530 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(users.Users.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var mail_mode1531 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Benachrichtigungsmodus", "forceSelection": true, "hiddenName": "mail_modeHidden", "listeners": { "render": Lino.quicktip_renderer("Benachrichtigungsmodus","(users.Users.mail_mode) ") }, "name": "mail_mode", "selectOnFocus": true, "store": Lino.notify.MailModes });
    var box1_3_panel1532 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": email1529, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": language1530, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 39, "items": mail_mode1531, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id1536 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(users.Users.id) ") }, "name": "id", "selectOnFocus": true });
    var created1537 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(users.Users.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified1538 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(users.Users.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var box1_4_panel1539 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": id1536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": created1537, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": modified1538, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var box1_panel1543 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 66, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel1518, box1_2_panel1525, box1_3_panel1532, box1_4_panel1539 ], "labelAlign": "top", "layout": "form" });
    var AuthoritiesGiven_grid1546 = new Lino.users.AuthoritiesGiven.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erteilte Vollmachten","(users.users.AuthoritiesGiven) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesGiven.grid) ] });
    var general_1_panel1547 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel1543, AuthoritiesGiven_grid1546 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks1548 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(users.Users.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var AuthoritiesTaken_grid1551 = new Lino.users.AuthoritiesTaken.GridPanel({ "containing_panel": this, "flex": 33, "hideHeaders": true, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Erhaltene Vollmachten","(users.users.AuthoritiesTaken) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.users.AuthoritiesTaken.grid) ] });
    var general_2_panel1552 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 66, "items": remarks1548, "labelAlign": "top", "layout": "form", "xtype": "panel" }, AuthoritiesTaken_grid1551 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel1554 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel1547, general_2_panel1552 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var event_type1555 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standard-Kalenderintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Standard-Kalenderintragsart","(users.Users.event_type) The default event type for your calendar events.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/event_type" }) }) });
    var access_class1556 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardm\u00e4\u00dfige Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Standardm\u00e4\u00dfige Zugriffsklasse","(users.Users.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "name": "access_class", "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var cal_left_1_panel1557 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 37, "items": event_type1555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 62, "items": access_class1556, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var calendar1560 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Calendars.detail", "emptyText": "Kalender ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">User Calendar</span>", "hiddenName": "calendarHidden", "insert_action": "Lino.cal.Calendars.insert", "listeners": { "render": Lino.quicktip_renderer("User Calendar","(users.Users.calendar) Calendar where your events are published.") }, "name": "calendar", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Calendars.detail,Lino.cal.Calendars.insert)}, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/calendar" }) }) });
    var cal_SubscriptionsByUser_grid1569 = new Lino.cal.SubscriptionsByUser.GridPanel({ "containing_panel": this, "flex": 71, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Abonnements","(cal.cal.SubscriptionsByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.SubscriptionsByUser.grid) ] });
    var cal_left_panel1570 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_left_1_panel1557, { "autoHeight": true, "items": calendar1560, "labelAlign": "top", "layout": "form", "xtype": "panel" }, cal_SubscriptionsByUser_grid1569 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_TasksByUser_grid1634 = new Lino.cal.TasksByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByUser) Shows the list of tasks for this user.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByUser.grid) ] });
    var cal_1_panel1635 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ cal_left_panel1570, cal_TasksByUser_grid1634 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kalender" });
    var newcomer_quota1636 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Quote Erstempfang</span>", "listeners": { "render": Lino.quicktip_renderer("Quote Erstempfang","(users.Users.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "name": "newcomer_quota", "selectOnFocus": true, "value": 0 });
    var coaching_type1637 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Dienst ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dienst</span>", "hiddenName": "coaching_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Dienst","(users.Users.coaching_type) The coaching type used for new coachings of this user.") }, "name": "coaching_type", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/Users/coaching_type" }) }) });
    var coaching_supervisor1638 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Coaching supervisor", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Coaching supervisor","(users.Users.coaching_supervisor) Notify me when a coach has been assigned.") }, "name": "coaching_supervisor", "selectOnFocus": true });
    var newcomer_consultations1639 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": " Erstempfang direkt", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer(" Erstempfang direkt","(users.Users.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "name": "newcomer_consultations", "selectOnFocus": true });
    var newcomer_appointments1640 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erstempfang auf Vereinbarung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erstempfang auf Vereinbarung","(users.Users.newcomer_appointments) Accepts appointments for newcomers.") }, "name": "newcomer_appointments", "selectOnFocus": true });
    var newcomers_CompetencesByUser_grid1651 = new Lino.newcomers.CompetencesByUser.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kompetenzen","(newcomers.newcomers.CompetencesByUser) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.newcomers.CompetencesByUser.grid) ] });
    var coaching_a_panel1652 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 33, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": newcomer_quota1636, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_type1637, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": coaching_supervisor1638, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_consultations1639, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "items": newcomer_appointments1640, "labelAlign": "top", "layout": "form", "xtype": "panel" }, newcomers_CompetencesByUser_grid1651 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var coachings_CoachingsByUser_grid1665 = new Lino.coachings.CoachingsByUser.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Begleitungen","(coachings.coachings.CoachingsByUser) A table showing a set of coachings.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.coachings.CoachingsByUser.grid) ] });
    var coaching_1_panel1666 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ coaching_a_panel1652, coachings_CoachingsByUser_grid1665 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Begleitung" });
    var dashboard_WidgetsByUser_grid1678 = new Lino.dashboard.WidgetsByUser.GridPanel({ "containing_panel": this, "hide_top_toolbar": true, "listeners": { "activate": Lino.on_tab_activate }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "title": "Dashboard", "tools": [ Lino.show_in_own_window_button(Lino.dashboard.WidgetsByUser.grid) ] });
    var main_panel1679 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel1554, cal_1_panel1635, coaching_1_panel1666, dashboard_WidgetsByUser_grid1678 ], "labelAlign": "top", "split": true });
    this.items = main_panel1679;
    this.before_row_edit = function(record) {
      AuthoritiesGiven_grid1546.on_master_changed();
      AuthoritiesTaken_grid1551.on_master_changed();
      cal_SubscriptionsByUser_grid1569.on_master_changed();
      cal_TasksByUser_grid1634.on_master_changed();
      newcomers_CompetencesByUser_grid1651.on_master_changed();
      coachings_CoachingsByUser_grid1665.on_master_changed();
      dashboard_WidgetsByUser_grid1678.on_master_changed();
    }
    Lino.users.AllUsers.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    partner1517.on("change", function(){ this.save() }, this);
  }
});


Lino.ledger.Accounts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel ledger-Accounts",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 62,
  initComponent : function() {
    var ref5483 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Accounts.ref) An optional unique name which can be used to reference a given\naccount.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5484 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Accounts.name) The multilingual designation of this account, as the users see\nit.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5485 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Accounts.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5486 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Accounts.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5487 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5485, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5486, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5491 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": ref5483, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5487 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5491;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.Accounts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-LanguageKnowledgesByPerson",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 79,
  initComponent : function() {
    var language5493 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.languages.Languages.detail", "emptyText": "Sprache ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(cv.LanguageKnowledgesByPerson.language) The language to which this entry applies.") }, "name": "language", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.languages.Languages.detail,null)}, "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledgesByPerson/language" }) }) });
    var native5494 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Muttersprache", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Muttersprache","(cv.LanguageKnowledgesByPerson.native) ") }, "name": "native", "selectOnFocus": true });
    var has_certificate5495 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Zertifikat", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Zertifikat","(cv.LanguageKnowledgesByPerson.has_certificate) Whether this entry is confirmed by a certificate.") }, "name": "has_certificate", "selectOnFocus": true });
    var main_2_panel5496 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": native5494, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": has_certificate5495, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cef_level5499 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">CEF-Kategorie</span>", "forceSelection": true, "hiddenName": "cef_levelHidden", "listeners": { "render": Lino.quicktip_renderer("CEF-Kategorie","(cv.LanguageKnowledgesByPerson.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "name": "cef_level", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var spoken_passively5500 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort (passiv)", "forceSelection": true, "hiddenName": "spoken_passivelyHidden", "listeners": { "render": Lino.quicktip_renderer("Wort (passiv)","(cv.LanguageKnowledgesByPerson.spoken_passively) ") }, "name": "spoken_passively", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken5501 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Wort", "forceSelection": true, "hiddenName": "spokenHidden", "listeners": { "render": Lino.quicktip_renderer("Wort","(cv.LanguageKnowledgesByPerson.spoken) ") }, "name": "spoken", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written5502 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Schrift", "forceSelection": true, "hiddenName": "writtenHidden", "listeners": { "render": Lino.quicktip_renderer("Schrift","(cv.LanguageKnowledgesByPerson.written) ") }, "name": "written", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var main_4_panel5503 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": spoken_passively5500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": spoken5501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": written5502, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5507 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language5493, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5496, { "anchor": "-20", "autoHeight": true, "items": cef_level5499, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_4_panel5503 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5507;
    this.before_row_edit = function(record) {
    }
    Lino.cv.LanguageKnowledgesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 25,
  initComponent : function() {
    var upload_area5510 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var name5511 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5512 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5513 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5514 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5511, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5512, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5513, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit5518 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value5519 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var main_3_panel5520 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 82, "items": warn_expiry_unit5518, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": warn_expiry_value5519, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5523 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": upload_area5510, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5514, main_3_panel5520 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5523;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.UploadTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Companies.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel contacts-Companies",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 9,
  initComponent : function() {
    var name5525 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var email5526 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Companies.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var type5527 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisationsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Organisationsart","(contacts.Companies.type) Pointer to the CompanyType.") }, "name": "type", "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var main_panel5528 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email5526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type5527, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5528;
    this.before_row_edit = function(record) {
    }
    Lino.contacts.Companies.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrders.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-DisbursementOrders",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  content_type: 74,
  initComponent : function() {
    var journal5532 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.DisbursementOrders.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/journal" }) }) });
    var number5533 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.DisbursementOrders.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var voucher_date5534 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrders.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var entry_date5535 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.DisbursementOrders.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var accounting_period5536 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.DisbursementOrders.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/accounting_period" }) }) });
    var general_1_panel5537 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": journal5532, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": number5533, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": voucher_date5534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": entry_date5535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": accounting_period5536, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account5543 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrders.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/item_account" }) }) });
    var total5544 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Total</span>", "listeners": { "render": Lino.quicktip_renderer("Total","(finan.DisbursementOrders.total) The total amount. This is automatically computed when you register\nde voucher.") }, "name": "total", "selectOnFocus": true });
    var workflow_buttons_disp5545 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.DisbursementOrders.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_2_panel5546 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": item_account5543, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": total5544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 48, "items": workflow_buttons_disp5545, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration5550 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.DisbursementOrders.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var item_remark5551 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.DisbursementOrders.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var general_3_panel5552 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": narration5550, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": item_remark5551, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel5572 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5537, general_2_panel5546, general_3_panel5552 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var state5573 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegzustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Belegzustand","(finan.DisbursementOrders.state) The workflow state field.") }, "name": "state", "selectOnFocus": true, "store": Lino.ledger.VoucherStates });
    var user5574 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.DisbursementOrders.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrders/user" }) }) });
    var id5575 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.DisbursementOrders.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel5576 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 40, "items": state5573, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": user5574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": id5575, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel5581 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel5576 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel5582 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5572, more_panel5581 ], "labelAlign": "top", "split": true });
    this.items = main_panel5582;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrders.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  content_type: 41,
  initComponent : function() {
    var id5583 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(boards.Boards.id) ") }, "name": "id", "selectOnFocus": true });
    var name5584 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5585 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5586 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5587 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5583, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5586, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5596 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5587 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5596;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.Journals.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-Journals",
  layout: 'fit',
  auto_save: true,
  content_type: 58,
  initComponent : function() {
    var name5597 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.Journals.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5598 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.Journals.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5599 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.Journals.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref5600 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.Journals.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var main_1_panel5601 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": name5597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5598, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5599, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": ref5600, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var journal_group5606 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journalgruppe</span>", "forceSelection": true, "hiddenName": "journal_groupHidden", "listeners": { "render": Lino.quicktip_renderer("Journalgruppe","(ledger.Journals.journal_group) Pointer to an item of JournalGroups.") }, "name": "journal_group", "selectOnFocus": true, "store": Lino.ledger.JournalGroups });
    var voucher_type5607 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegart</span>", "forceSelection": true, "hiddenName": "voucher_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Belegart","(ledger.Journals.voucher_type) Pointer to an item of VoucherTypes.") }, "name": "voucher_type", "selectOnFocus": true, "store": Lino.ledger.VoucherTypes });
    var trade_type5608 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Handelsart</span>", "forceSelection": true, "hiddenName": "trade_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Handelsart","(ledger.Journals.trade_type) Pointer to TradeTypes.") }, "name": "trade_type", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.TradeTypes) });
    var seqno5609 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(ledger.Journals.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var id5610 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(ledger.Journals.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel5611 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": journal_group5606, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": voucher_type5607, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": trade_type5608, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": seqno5609, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id5610, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var account5617 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsartikel</span>", "hiddenName": "accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Haushaltsartikel","(ledger.Journals.account) The account to use for the counter-movements generated by\nvouchers in this journal.") }, "name": "account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/account" }) }) });
    var partner5618 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "partnerHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(ledger.Journals.partner) The partner to use as default partner for all vouchers in this\njournal.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/partner" }) }) });
    var build_method5619 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(ledger.Journals.build_method) A pointer to an item of\nlino.modlib.printing.choicelists.BuildMethods.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template5620 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(ledger.Journals.template) See PrintableType.template.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/template" }) }) });
    var uploads_volume5621 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.uploads.Volumes.detail", "emptyText": "Dateibibliothek ausw\u00e4hlen...", "fieldLabel": "Dateibibliothek", "hiddenName": "uploads_volumeHidden", "insert_action": "Lino.uploads.Volumes.insert", "listeners": { "render": Lino.quicktip_renderer("Dateibibliothek","(ledger.Journals.uploads_volume) ") }, "name": "uploads_volume", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.Volumes.detail,Lino.uploads.Volumes.insert)}, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/ledger/Journals/uploads_volume" }) }) });
    var main_3_panel5622 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": account5617, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": partner5618, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": build_method5619, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": template5620, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": uploads_volume5621, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var dc5628 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Prim\u00e4re Buchungsrichtung</span>", "forceSelection": true, "hiddenName": "dcHidden", "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4re Buchungsrichtung","(ledger.Journals.dc) The primary booking direction. Voucher items in this direction increase\nthe total amount of the voucher.") }, "name": "dc", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.ledger.DC) });
    var force_sequence5629 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Chronologische Reihenfolge", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Chronologische Reihenfolge","(ledger.Journals.force_sequence) ") }, "name": "force_sequence", "selectOnFocus": true });
    var yearly_numbering5630 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Yearly numbering", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Yearly numbering","(ledger.Journals.yearly_numbering) Whether the number of\nvouchers should restart at 1 every year.") }, "name": "yearly_numbering", "selectOnFocus": true });
    var auto_fill_suggestions5631 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Fill suggestions", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Fill suggestions","(ledger.Journals.auto_fill_suggestions) Whether to automatically fill voucher item from due payments\nof the partner when entering a financial voucher.") }, "name": "auto_fill_suggestions", "selectOnFocus": true });
    var auto_check_clearings5632 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Begleichung pr\u00fcfen", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Begleichung pr\u00fcfen","(ledger.Journals.auto_check_clearings) Whether to automatically check and update the 'cleared' status\nof involved transactions when (de)registering a voucher of\nthis journal.") }, "name": "auto_check_clearings", "selectOnFocus": true });
    var must_declare5633 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "must declare", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("must declare","(ledger.Journals.must_declare) ") }, "name": "must_declare", "selectOnFocus": true });
    var preliminary5634 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Preliminary", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Preliminary","(ledger.Journals.preliminary) Whether transactions in this journal are considered preliminary.") }, "name": "preliminary", "selectOnFocus": true });
    var main_4_panel5635 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 13, "items": dc5628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": force_sequence5629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": yearly_numbering5630, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": auto_fill_suggestions5631, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": auto_check_clearings5632, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": must_declare5633, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": preliminary5634, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_name5643 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck","(ledger.Journals.printed_name) ") }, "maxLength": 100, "name": "printed_name", "selectOnFocus": true });
    var printed_name_fr5644 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (fr)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (fr)","(ledger.Journals.printed_name_fr) ") }, "maxLength": 100, "name": "printed_name_fr", "selectOnFocus": true });
    var printed_name_en5645 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dokumentbezeichnung Ausdruck (en)", "listeners": { "render": Lino.quicktip_renderer("Dokumentbezeichnung Ausdruck (en)","(ledger.Journals.printed_name_en) ") }, "maxLength": 100, "name": "printed_name_en", "selectOnFocus": true });
    var main_5_panel5646 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": printed_name5643, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_fr5644, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_name_en5645, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5658 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5601, main_2_panel5611, main_3_panel5622, main_4_panel5635, main_5_panel5646 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5658;
    this.before_row_edit = function(record) {
      template5620.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template5620.setContextValue('voucher_type', record ? record.data['voucher_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method5619 !== 'undefined' && build_method5619.on('change',Lino.chooser_handler(template5620,'build_method'));
      typeof voucher_type5607 !== 'undefined' && voucher_type5607.on('change',Lino.chooser_handler(template5620,'voucher_type'));
      Lino.ledger.Journals.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.ledger.Journals.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  content_type: 105,
  initComponent : function() {
    var id5659 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client5660 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var user5661 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(art61.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/user" }) }) });
    var language5662 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(art61.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel5663 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": id5659, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": client5660, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": user5661, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": language5662, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type5668 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var company5669 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var contact_person5670 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(art61.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_person" }) }) });
    var contact_role5671 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(art61.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/contact_role" }) }) });
    var box1_2_panel5672 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": type5668, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company5669, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_person5670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": contact_role5671, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from5677 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(art61.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration5678 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(art61.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "value": null });
    var applies_until5679 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(art61.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy5680 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(art61.Contracts.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/exam_policy" }) }) });
    var box1_3_panel5681 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from5677, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration5678, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until5679, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy5680, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job_title5686 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(art61.Contracts.job_title) ") }, "maxLength": 200, "name": "job_title", "selectOnFocus": true });
    var status5687 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(art61.Contracts.status) ") }, "name": "status", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Statuses.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/status" }) }) });
    var cv_duration5688 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "cv_durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(art61.Contracts.cv_duration) ") }, "name": "cv_duration", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Durations.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/cv_duration" }) }) });
    var regime5689 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(art61.Contracts.regime) ") }, "name": "regime", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Regimes.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/regime" }) }) });
    var box1_4_panel5690 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": job_title5686, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": status5687, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": cv_duration5688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": regime5689, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person5695 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(art61.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark5696 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(art61.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp5697 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(art61.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel5698 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person5695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark5696, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp5697, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided5702 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(art61.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued5703 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(art61.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended5704 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(art61.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending5705 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(art61.Contracts.ending) ") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/ending" }) }) });
    var box1_6_panel5706 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided5702, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued5703, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended5704, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending5705, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var subsidize_105711 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Activa", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Activa","(art61.Contracts.subsidize_10) ") }, "name": "subsidize_10", "selectOnFocus": true });
    var subsidize_205712 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Tutorate", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Tutorate","(art61.Contracts.subsidize_20) ") }, "name": "subsidize_20", "selectOnFocus": true });
    var subsidize_305713 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Walloon Region", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Walloon Region","(art61.Contracts.subsidize_30) ") }, "name": "subsidize_30", "selectOnFocus": true });
    var subsidize_405714 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "SINE", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("SINE","(art61.Contracts.subsidize_40) ") }, "name": "subsidize_40", "selectOnFocus": true });
    var subsidize_505715 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "PTP", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("PTP","(art61.Contracts.subsidize_50) ") }, "name": "subsidize_50", "selectOnFocus": true });
    var box1_7_panel5716 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": subsidize_105711, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_205712, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_305713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_405714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": subsidize_505715, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities5722 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 31, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel5723 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel5663, box1_2_panel5672, box1_3_panel5681, box1_4_panel5690, box1_5_panel5698, box1_6_panel5706, box1_7_panel5716, responsibilities5722 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid5724 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid5725 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel5726 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid5724, cal_TasksByController_grid5725 ], "labelAlign": "top" });
    var main_1_panel5727 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel5723, right_panel5726 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel5728 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5727 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5728;
    this.before_row_edit = function(record) {
      contact_person5670.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities5722.refresh();
      cal_EntriesByController_grid5724.on_master_changed();
      cal_TasksByController_grid5725.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company5669 !== 'undefined' && company5669.on('change',Lino.chooser_handler(contact_person5670,'company'));
      Lino.art61.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.art61.Contracts.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.boards.Boards.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel boards-Boards",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 41,
  initComponent : function() {
    var name5729 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(boards.Boards.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5730 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(boards.Boards.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5731 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(boards.Boards.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5732 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5729, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5730, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5731, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5736 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5732 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel5736;
    this.before_row_edit = function(record) {
    }
    Lino.boards.Boards.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  content_type: 75,
  initComponent : function() {
    var entry_date5737 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var number5738 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(finan.BankStatements.number) The sequence number of this voucher in the journal.") }, "name": "number", "selectOnFocus": true });
    var balance15739 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var balance25740 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Neuer Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Neuer Saldo","(finan.BankStatements.balance2) The new (or end) balance.") }, "name": "balance2", "selectOnFocus": true, "value": 0 });
    var general_left_1_panel5741 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": entry_date5737, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": number5738, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance15739, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": balance25740, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var narration5746 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Interne Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Interne Referenz","(finan.BankStatements.narration) A short explanation which ascertains the subject matter of\nthis journal entry.") }, "maxLength": 200, "name": "narration", "selectOnFocus": true });
    var workflow_buttons_disp5747 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(finan.BankStatements.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_left_2_panel5748 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 41, "items": narration5746, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 58, "items": workflow_buttons_disp5747, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_left_panel5751 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 62, "frame": true, "hideCheckBoxLabels": true, "items": [ general_left_1_panel5741, general_left_2_panel5748 ], "labelAlign": "top", "layout": "form" });
    var uploads_UploadsByController_htmlbox5752 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 37, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(finan.BankStatements.uploads_UploadsByController) Shows the uploads controlled by this database object.") }, "master_panel": this, "name": "uploads_UploadsByController", "title": "Upload-Dateien", "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByController.grid) ], "value": "<br/>" });
    var general_1_panel5753 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ general_left_panel5751, uploads_UploadsByController_htmlbox5752 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var general_panel5772 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel5753 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var journal5773 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.ledger.Journals.detail", "emptyText": "Journal ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Journal</span>", "hiddenName": "journalHidden", "insert_action": "Lino.ledger.Journals.insert", "listeners": { "render": Lino.quicktip_renderer("Journal","(finan.BankStatements.journal) The journal into which this voucher has been booked. This is a\nmandatory pointer to a Journal instance.") }, "name": "journal", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Journals.detail,Lino.ledger.Journals.insert)}, "pageSize": 20, "related_actor_id": "ledger.Journals", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/journal" }) }) });
    var accounting_period5774 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Buchungsperiode ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsperiode</span>", "hiddenName": "accounting_periodHidden", "listeners": { "render": Lino.quicktip_renderer("Buchungsperiode","(finan.BankStatements.accounting_period) The accounting period to use when booking this voucher.\nThe default value is determined from entry_date.") }, "name": "accounting_period", "pageSize": 20, "preferred_width": 10, "related_actor_id": "ledger.AccountingPeriods", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/accounting_period" }) }) });
    var user5775 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(finan.BankStatements.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/user" }) }) });
    var id5776 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(finan.BankStatements.id) ") }, "name": "id", "selectOnFocus": true });
    var more_1_panel5777 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": journal5773, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": accounting_period5774, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": user5775, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id5776, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var item_account5782 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.BankStatements.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatements/item_account" }) }) });
    var item_remark5783 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Externe Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Externe Referenz","(finan.BankStatements.item_remark) The default value to use when\nFinancialVoucherItem.remark of an item is empty.") }, "maxLength": 200, "name": "item_remark", "selectOnFocus": true });
    var more_2_panel5784 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": item_account5782, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": item_remark5783, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var more_panel5788 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel5777, more_2_panel5784 ], "labelAlign": "top", "labelWidth": 99, "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel5789 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel5772, more_panel5788 ], "labelAlign": "top", "split": true });
    this.items = main_panel5789;
    this.before_row_edit = function(record) {
      uploads_UploadsByController_htmlbox5752.refresh();
    }
    Lino.finan.BankStatements.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.BankStatements.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-BankStatements",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  autoHeight: true,
  content_type: 75,
  initComponent : function() {
    var entry_date5790 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(finan.BankStatements.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var balance15791 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Alter Saldo</span>", "listeners": { "render": Lino.quicktip_renderer("Alter Saldo","(finan.BankStatements.balance1) The old (or start) balance.") }, "name": "balance1", "selectOnFocus": true, "value": 0 });
    var main_panel5792 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": entry_date5790, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": balance15791, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5792;
    this.before_row_edit = function(record) {
    }
    Lino.finan.BankStatements.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.ledger.PaymentTerms.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel ledger-PaymentTerms",
  layout: 'fit',
  auto_save: true,
  content_type: 61,
  initComponent : function() {
    var ref5795 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(ledger.PaymentTerms.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var months5796 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Monate</span>", "listeners": { "render": Lino.quicktip_renderer("Monate","(ledger.PaymentTerms.months) Number of months to add to voucher_date.") }, "name": "months", "selectOnFocus": true, "value": 0 });
    var days5797 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Tage</span>", "listeners": { "render": Lino.quicktip_renderer("Tage","(ledger.PaymentTerms.days) Number of days to add to voucher_date.") }, "name": "days", "selectOnFocus": true, "value": 0 });
    var end_of_month5798 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Monatsende", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Monatsende","(ledger.PaymentTerms.end_of_month) Whether to move voucher_date to the end of month.") }, "name": "end_of_month", "selectOnFocus": true });
    var main_1_panel5799 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": ref5795, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": months5796, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": days5797, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 40, "items": end_of_month5798, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5804 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(ledger.PaymentTerms.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5805 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(ledger.PaymentTerms.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5806 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(ledger.PaymentTerms.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5807 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5804, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5805, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5806, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var printed_text5811 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Printed text</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text","(ledger.PaymentTerms.printed_text) Used in sales/VatProductInvoice/trailer.html as\nfollows:") }, "name": "printed_text", "selectOnFocus": true });
    var printed_text_fr5812 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (fr)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (fr)","(ledger.PaymentTerms.printed_text_fr) ") }, "name": "printed_text_fr", "selectOnFocus": true });
    var printed_text_en5813 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Printed text (en)", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Printed text (en)","(ledger.PaymentTerms.printed_text_en) ") }, "name": "printed_text_en", "selectOnFocus": true });
    var main_3_panel5814 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 71, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": printed_text5811, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_fr5812, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 33, "items": printed_text_en5813, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5818 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5799, main_2_panel5807, main_3_panel5814 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5818;
    this.before_row_edit = function(record) {
    }
    Lino.ledger.PaymentTerms.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.gfks.ContentTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel gfks-ContentTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 12,
  initComponent : function() {
    var id5819 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(gfks.ContentTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var app_label5820 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "app label", "listeners": { "render": Lino.quicktip_renderer("app label","(gfks.ContentTypes.app_label) ") }, "maxLength": 100, "name": "app_label", "selectOnFocus": true });
    var model5821 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Python Modell-Klassenname", "listeners": { "render": Lino.quicktip_renderer("Python Modell-Klassenname","(gfks.ContentTypes.model) ") }, "maxLength": 100, "name": "model", "selectOnFocus": true });
    var base_classes_disp5822 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Base classes", "listeners": { "render": Lino.quicktip_renderer("Base classes","(gfks.ContentTypes.base_classes) ") }, "name": "base_classes", "value": "<br/>" });
    var main_1_panel5823 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id5819, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": app_label5820, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": model5821, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": base_classes_disp5822, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var main_panel5840 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5823 ], "labelAlign": "top" });
    this.items = main_panel5840;
    this.before_row_edit = function(record) {
    }
    Lino.gfks.ContentTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.InvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-InvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var partner5841 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.InvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoicesByJournal/partner" }) }) });
    var entry_date5842 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.InvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel5843 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": partner5841, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date5842, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5843;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.InvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.changes.Changes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel changes-Changes",
  layout: 'fit',
  auto_save: true,
  content_type: 15,
  disable_editing: true,
  initComponent : function() {
    var time3584 = new Ext.form.DisplayField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "time", "listeners": { "render": Lino.quicktip_renderer("time","(changes.Changes.time) ") }, "name": "time", "selectOnFocus": true, "value": "<br>" });
    var user3585 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Benutzer", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Benutzer","(changes.Changes.user) ") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/Changes/user" }) }) });
    var type3586 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00c4nderungsart", "forceSelection": true, "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungsart","(changes.Changes.type) ") }, "name": "type", "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var master_disp3587 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stammdaten</span>", "name": "master" });
    var object_disp3588 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Object</span>", "name": "object" });
    var id3589 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(changes.Changes.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel3590 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": time3584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": user3585, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": type3586, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": master_disp3587, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 12, "items": object_disp3588, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id3589, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var diff3597 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "\u00c4nderungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.Changes.diff) ") }, "name": "diff" });
    var main_panel3598 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel3590, { "flex": 83, "items": diff3597, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel3598;
    this.before_row_edit = function(record) {
    }
    Lino.changes.Changes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.StudiesByPerson.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cv-StudiesByPerson",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 83,
  initComponent : function() {
    var start_date1902 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.StudiesByPerson.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date1903 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.StudiesByPerson.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel1904 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date1902, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date1903, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var type1907 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.StudyTypes.detail", "emptyText": "Bildungsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bildungsart</span>", "hiddenName": "typeHidden", "insert_action": "Lino.cv.StudyTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Bildungsart","(cv.StudiesByPerson.type) Pointer to StudyType.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.StudyTypes.detail,Lino.cv.StudyTypes.insert)}, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/StudiesByPerson/type" }) }) });
    var content1908 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausbildungsinhalt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausbildungsinhalt","(cv.StudiesByPerson.content) Free-text description of the content.") }, "maxLength": 200, "name": "content", "selectOnFocus": true });
    var main_2_panel1909 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": type1907, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 51, "items": content1908, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel1912 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel1904, main_2_panel1909 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel1912;
    this.before_row_edit = function(record) {
    }
    Lino.cv.StudiesByPerson.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.tinymce.TextFieldTemplates.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel tinymce-TextFieldTemplates",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 140,
  initComponent : function() {
    var name5846 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(tinymce.TextFieldTemplates.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var user5847 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(tinymce.TextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/TextFieldTemplates/user" }) }) });
    var main_panel5848 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name5846, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": user5847, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5848;
    this.before_row_edit = function(record) {
    }
    Lino.tinymce.TextFieldTemplates.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.properties.PropGroups.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropGroups",
  layout: 'fit',
  auto_save: true,
  content_type: 18,
  initComponent : function() {
    var id5851 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropGroups.id) ") }, "name": "id", "selectOnFocus": true });
    var name5852 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropGroups.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5853 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropGroups.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5854 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropGroups.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5855 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5851, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name5852, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr5853, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en5854, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5871 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5855 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5871;
    this.before_row_edit = function(record) {
    }
    Lino.properties.PropGroups.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.coachings.CoachingEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel coachings-CoachingEndings",
  layout: 'fit',
  auto_save: true,
  content_type: 46,
  initComponent : function() {
    var id5872 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(coachings.CoachingEndings.id) ") }, "name": "id", "selectOnFocus": true });
    var name5873 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(coachings.CoachingEndings.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5874 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(coachings.CoachingEndings.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5875 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(coachings.CoachingEndings.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var seqno5876 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(coachings.CoachingEndings.seqno) The sequence number of this item with its parent.") }, "name": "seqno", "selectOnFocus": true });
    var main_1_panel5877 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 6, "items": id5872, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name5873, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_fr5874, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": name_en5875, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": seqno5876, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5896 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5877 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5896;
    this.before_row_edit = function(record) {
    }
    Lino.coachings.CoachingEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Contracts.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Contracts",
  layout: 'fit',
  auto_save: true,
  content_type: 98,
  initComponent : function() {
    var id2533 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Contracts.id) ") }, "name": "id", "selectOnFocus": true });
    var client2534 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(jobs.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var user2535 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var user_asd2536 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Verantwortlicher (ASD)", "hiddenName": "user_asdHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verantwortlicher (ASD)","(jobs.Contracts.user_asd) ") }, "name": "user_asd", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var language2537 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(jobs.Contracts.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var box1_1_panel2538 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id2533, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": client2534, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user2535, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user_asd2536, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": language2537, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var job2544 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Jobs.detail", "emptyText": "Stelle ausw\u00e4hlen...", "fieldLabel": "Stelle", "hiddenName": "jobHidden", "insert_action": "Lino.jobs.Jobs.insert", "listeners": { "render": Lino.quicktip_renderer("Stelle","(jobs.Contracts.job) ") }, "name": "job", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Jobs.detail,Lino.jobs.Jobs.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var type2545 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.ContractTypes.detail", "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(jobs.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var company2546 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(jobs.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person2547 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(jobs.Contracts.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role2548 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var box1_2_panel2549 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": job2544, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": type2545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": company2546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_person2547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": contact_role2548, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var applies_from2555 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("Laufzeit von","(jobs.Contracts.applies_from) ") }, "name": "applies_from", "selectOnFocus": true });
    var duration2556 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("Dauer (Arbeitstage)","(jobs.Contracts.duration) ") }, "name": "duration", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var applies_until2557 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("Laufzeit bis","(jobs.Contracts.applies_until) ") }, "name": "applies_until", "selectOnFocus": true });
    var exam_policy2558 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(jobs.Contracts.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var box1_3_panel2559 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": applies_from2555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 17, "items": duration2556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": applies_until2557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 35, "items": exam_policy2558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var regime2564 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(jobs.Contracts.regime) ") }, "name": "regime", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Regimes.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule2565 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.jobs.Schedules.detail", "emptyText": "Stundenplan ausw\u00e4hlen...", "fieldLabel": "Stundenplan", "hiddenName": "scheduleHidden", "listeners": { "render": Lino.quicktip_renderer("Stundenplan","(jobs.Contracts.schedule) ") }, "name": "schedule", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.jobs.Schedules.detail,null)}, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate2566 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Stundensatz", "listeners": { "render": Lino.quicktip_renderer("Stundensatz","(jobs.Contracts.hourly_rate) ") }, "name": "hourly_rate", "selectOnFocus": true });
    var refund_rate2567 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "R\u00fcckzahlung", "listeners": { "render": Lino.quicktip_renderer("R\u00fcckzahlung","(jobs.Contracts.refund_rate) ") }, "name": "refund_rate", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    var box1_4_panel2568 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": regime2564, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 42, "items": schedule2565, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": hourly_rate2566, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": refund_rate2567, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reference_person2573 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenzperson", "listeners": { "render": Lino.quicktip_renderer("Referenzperson","(jobs.Contracts.reference_person) ") }, "maxLength": 200, "name": "reference_person", "selectOnFocus": true });
    var remark2574 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(jobs.Contracts.remark) ") }, "name": "remark", "selectOnFocus": true });
    var printed_disp2575 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(jobs.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var box1_5_panel2576 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": reference_person2573, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "flex": 54, "items": remark2574, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": printed_disp2575, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var date_decided2580 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschlossen am", "listeners": { "render": Lino.quicktip_renderer("Beschlossen am","(jobs.Contracts.date_decided) ") }, "name": "date_decided", "selectOnFocus": true });
    var date_issued2581 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ausgestellt am", "listeners": { "render": Lino.quicktip_renderer("Ausgestellt am","(jobs.Contracts.date_issued) ") }, "name": "date_issued", "selectOnFocus": true });
    var date_ended2582 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(jobs.Contracts.date_ended) ") }, "name": "date_ended", "selectOnFocus": true });
    var ending2583 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.isip.ContractEndings.detail", "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "fieldLabel": "Beendigungsgrund", "hiddenName": "endingHidden", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(jobs.Contracts.ending) ") }, "name": "ending", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ContractEndings.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var box1_6_panel2584 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": date_decided2580, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_issued2581, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": date_ended2582, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": ending2583, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var responsibilities2589 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Aufgabenbereich", "flex": 33, "name": "responsibilities", "selectOnFocus": true, "title": "Aufgabenbereich" });
    var box1_panel2590 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 70, "frame": true, "hideCheckBoxLabels": true, "items": [ box1_1_panel2538, box1_2_panel2549, box1_3_panel2559, box1_4_panel2568, box1_5_panel2576, box1_6_panel2584, responsibilities2589 ], "labelAlign": "top", "labelWidth": 144, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    var cal_EntriesByController_grid2591 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var cal_TasksByController_grid2592 = new Lino.cal.TasksByController.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Aufgaben","(cal.cal.TasksByController) Global table of all tasks for all users.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.cal.TasksByController.grid) ] });
    var right_panel2593 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "flex": 30, "frame": true, "hideCheckBoxLabels": true, "items": [ cal_EntriesByController_grid2591, cal_TasksByController_grid2592 ], "labelAlign": "top" });
    var main_1_panel2594 = new Ext.Panel({ "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ box1_panel2590, right_panel2593 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" }, "region": "center" });
    var main_panel2595 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2594 ], "labelAlign": "top", "layout": "fit" });
    this.items = main_panel2595;
    this.before_row_edit = function(record) {
      contact_person2547.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2589.refresh();
      cal_EntriesByController_grid2591.on_master_changed();
      cal_TasksByController_grid2592.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof company2546 !== 'undefined' && company2546.on('change',Lino.chooser_handler(contact_person2547,'company'));
      Lino.jobs.Contracts.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.jobs.Contracts.DetailFormPanel.superclass.initComponent.call(this);
    // active_fields:
    contact_person2547.on("change", function(){ this.save() }, this);
    company2546.on("change", function(){ this.save() }, this);
    job2544.on("change", function(){ this.save() }, this);
    contact_role2548.on("change", function(){ this.save() }, this);
  }
});


Lino.properties.PropTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel properties-PropTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 16,
  initComponent : function() {
    var id5897 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(properties.PropTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name5898 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(properties.PropTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5899 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(properties.PropTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5900 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(properties.PropTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var choicelist5901 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "Auswahliste", "hiddenName": "choicelistHidden", "listeners": { "render": Lino.quicktip_renderer("Auswahliste","(properties.PropTypes.choicelist) ") }, "name": "choicelist", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/choicelist" }) }) });
    var default_value5902 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert</span>", "hiddenName": "default_valueHidden", "listeners": { "render": Lino.quicktip_renderer("Standardwert","(properties.PropTypes.default_value) The default value to set when creating a PropertyOccurence.\nThis is currently used only in some fixture...") }, "name": "default_value", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropTypes/default_value" }) }) });
    var main_1_panel5903 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id5897, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name5898, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr5899, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en5900, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": choicelist5901, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": default_value5902, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var ChoicesByType_grid5920 = new Lino.properties.ChoicesByType.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Auswahlm\u00f6glichkeiten","(properties.properties.ChoicesByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.properties.ChoicesByType.grid) ] });
    var main_panel5932 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5903, ChoicesByType_grid5920 ], "labelAlign": "top" });
    this.items = main_panel5932;
    this.before_row_edit = function(record) {
      default_value5902.setContextValue('choicelist', record ? record.data['choicelist'] : undefined);
      ChoicesByType_grid5920.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof choicelist5901 !== 'undefined' && choicelist5901.on('change',Lino.chooser_handler(default_value5902,'choicelist'));
      Lino.properties.PropTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.properties.PropTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadsByProject.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-UploadsByController",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 26,
  initComponent : function() {
    var file5933 = Lino.file_field_handler(this,{ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Datei</span>", "listeners": { "render": Lino.quicktip_renderer("Datei","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "maxLength": 100, "name": "file", "selectOnFocus": true });
    var type5934 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.uploads.UploadTypes.detail", "emptyText": "Upload-Art ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload-Art</span>", "hiddenName": "typeHidden", "insert_action": "Lino.uploads.UploadTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Upload-Art","(uploads.UploadsByController.type) The type of this upload.") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.uploads.UploadTypes.detail,Lino.uploads.UploadTypes.insert)}, "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var end_date5935 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">G\u00fcltig bis</span>", "listeners": { "render": Lino.quicktip_renderer("G\u00fcltig bis","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "name": "end_date", "selectOnFocus": true });
    var needed5936 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "N\u00f6tig", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("N\u00f6tig","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "name": "needed", "selectOnFocus": true });
    var main_2_panel5937 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": type5934, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": end_date5935, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needed5936, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description5941 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "maxLength": 200, "name": "description", "selectOnFocus": true });
    var main_panel5942 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": file5933, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel5937, { "anchor": "-20", "autoHeight": true, "items": description5941, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5942;
    this.before_row_edit = function(record) {
      type5934.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
    }
    Lino.uploads.UploadsByProject.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.addresses.Addresses.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel addresses-Addresses",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 21,
  initComponent : function() {
    var country5436 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(addresses.Addresses.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/country" }) }) });
    var city5437 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(addresses.Addresses.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/Addresses/city" }) }) });
    var main_1_panel5438 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": country5436, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": city5437, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var street5441 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(addresses.Addresses.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no5442 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(addresses.Addresses.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box5443 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(addresses.Addresses.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var main_2_panel5444 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 48, "items": street5441, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_no5442, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": street_box5443, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var address_type5448 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adressenart</span>", "forceSelection": true, "hiddenName": "address_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Adressenart","(addresses.Addresses.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "name": "address_type", "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark5449 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(addresses.Addresses.remark) ") }, "maxLength": 50, "name": "remark", "selectOnFocus": true });
    var main_3_panel5450 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 52, "items": address_type5448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 47, "items": remark5449, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel5453 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5438, main_2_panel5444, main_3_panel5450 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel5453;
    this.before_row_edit = function(record) {
      city5437.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5437.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country5436 !== 'undefined' && country5436.on('change',Lino.chooser_handler(city5437,'country'));
      Lino.addresses.Addresses.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.addresses.Addresses.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 91,
  initComponent : function() {
    var id5945 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var ref5946 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Referenz", "listeners": { "render": Lino.quicktip_renderer("Referenz","(isip.ContractTypes.ref) ") }, "maxLength": 20, "name": "ref", "selectOnFocus": true });
    var exam_policy5947 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.isip.ExamPolicies.detail", "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "fieldLabel": "Auswertungsstrategie", "hiddenName": "exam_policyHidden", "listeners": { "render": Lino.quicktip_renderer("Auswertungsstrategie","(isip.ContractTypes.exam_policy) ") }, "name": "exam_policy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.isip.ExamPolicies.detail,null)}, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractTypes/exam_policy" }) }) });
    var overlap_group5948 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(isip.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var needs_study_type5949 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Ausbildungsart ", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Ausbildungsart ","(isip.ContractTypes.needs_study_type) ") }, "name": "needs_study_type", "selectOnFocus": true });
    var main_1_panel5950 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id5945, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": ref5946, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": exam_policy5947, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": overlap_group5948, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": needs_study_type5949, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name5956 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5957 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5958 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel5959 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5956, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5957, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5958, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var full_name5963 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Voller Name", "listeners": { "render": Lino.quicktip_renderer("Voller Name","(isip.ContractTypes.full_name) ") }, "maxLength": 200, "name": "full_name", "selectOnFocus": true });
    var ContractsByType_grid5993 = new Lino.isip.ContractsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByType.grid) ] });
    var main_panel5994 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5950, main_2_panel5959, { "autoHeight": true, "items": full_name5963, "labelAlign": "top", "layout": "form", "xtype": "panel" }, ContractsByType_grid5993 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5994;
    this.before_row_edit = function(record) {
      ContractsByType_grid5993.on_master_changed();
    }
    Lino.isip.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.GuestRoles.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-GuestRoles",
  layout: 'fit',
  auto_save: true,
  content_type: 32,
  initComponent : function() {
    var ref5996 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(cal.GuestRoles.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var name5997 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.GuestRoles.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5998 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.GuestRoles.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5999 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.GuestRoles.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var id6000 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.GuestRoles.id) ") }, "name": "id", "selectOnFocus": true });
    var main_1_panel6001 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": ref5996, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name5997, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_fr5998, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 29, "items": name_en5999, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": id6000, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var cal_GuestsByRole_grid6022 = new Lino.cal.GuestsByRole.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Anwesenheiten","(cal.cal.GuestsByRole) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByRole.grid) ] });
    var main_panel6023 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6001, cal_GuestsByRole_grid6022 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6023;
    this.before_row_edit = function(record) {
      cal_GuestsByRole_grid6022.on_master_changed();
    }
    Lino.cal.GuestRoles.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-SimpleConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  content_type: 134,
  initComponent : function() {
    var start_date6024 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.SimpleConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6025 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.SimpleConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_1_panel6026 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date6024, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date6025, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6029 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person6030 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var language6031 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.SimpleConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_2_panel6032 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company6029, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person6030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language6031, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6036 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 71, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6037 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6026, main_2_panel6032, remark6036 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6037;
    this.before_row_edit = function(record) {
      contact_person6030.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6036.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company6029 !== 'undefined' && company6029.on('change',Lino.chooser_handler(contact_person6030,'company'));
      Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ExamPolicies.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ExamPolicies",
  layout: 'fit',
  auto_save: true,
  content_type: 92,
  initComponent : function() {
    var id6038 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(isip.ExamPolicies.id) ") }, "name": "id", "selectOnFocus": true });
    var name6039 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ExamPolicies.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6040 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(isip.ExamPolicies.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6041 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(isip.ExamPolicies.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6042 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6038, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6039, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6040, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6041, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var max_events6047 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(isip.ExamPolicies.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var every6048 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(isip.ExamPolicies.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var every_unit6049 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(isip.ExamPolicies.every_unit) The interval between each periodic iteration.") }, "name": "every_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var event_type6050 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(isip.ExamPolicies.event_type) Generated events will receive this type.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ExamPolicies/event_type" }) }) });
    var main_2_panel6051 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 9, "items": max_events6047, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every6048, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 43, "items": every_unit6049, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": event_type6050, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday6056 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(isip.ExamPolicies.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday6057 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(isip.ExamPolicies.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday6058 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(isip.ExamPolicies.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday6059 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(isip.ExamPolicies.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday6060 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(isip.ExamPolicies.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday6061 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(isip.ExamPolicies.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday6062 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(isip.ExamPolicies.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_3_panel6063 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday6056, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday6057, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday6058, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday6059, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday6060, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday6061, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday6062, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByPolicy_grid6100 = new Lino.isip.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByPolicy) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByPolicy.grid) ] });
    var jobs_ContractsByPolicy_grid6135 = new Lino.jobs.ContractsByPolicy.GridPanel({ "containing_panel": this, "flex": 38, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByPolicy) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByPolicy.grid) ] });
    var main_panel6136 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6042, main_2_panel6051, main_3_panel6063, isip_ContractsByPolicy_grid6100, jobs_ContractsByPolicy_grid6135 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6136;
    this.before_row_edit = function(record) {
      isip_ContractsByPolicy_grid6100.on_master_changed();
      jobs_ContractsByPolicy_grid6135.on_master_changed();
    }
    Lino.isip.ExamPolicies.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.checkdata.Checkers.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel checkdata-Checkers",
  layout: 'fit',
  auto_save: true,
  disable_editing: true,
  initComponent : function() {
    var value6137 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Wert", "listeners": { "render": Lino.quicktip_renderer("Wert","(checkdata.Checkers.value) ") }, "maxLength": 20, "name": "value" });
    var text6138 = new Ext.form.TextField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Text", "listeners": { "render": Lino.quicktip_renderer("Text","(checkdata.Checkers.text) ") }, "maxLength": 50, "name": "text" });
    var main_1_panel6139 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": value6137, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": text6138, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var checkdata_ProblemsByChecker_grid6153 = new Lino.checkdata.ProblemsByChecker.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Datenprobleme","(checkdata.checkdata.ProblemsByChecker) The base table for problem messages.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.checkdata.ProblemsByChecker.grid) ] });
    var main_panel6154 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6139, checkdata_ProblemsByChecker_grid6153 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6154;
    this.before_row_edit = function(record) {
      checkdata_ProblemsByChecker_grid6153.on_master_changed();
    }
    Lino.checkdata.Checkers.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Guests.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Guests",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 39,
  initComponent : function() {
    var event2349 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.OneEvent.detail", "emptyText": "Kalendereintrag ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintrag</span>", "hiddenName": "eventHidden", "insert_action": "Lino.cal.OneEvent.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintrag","(cal.Guests.event) The calendar event to which this presence applies.") }, "name": "event", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.OneEvent.detail,Lino.cal.OneEvent.insert)}, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var client2350 = new Lino.TwinCombo({ "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Guests.client) Virtual field which returns the partner if it is a client.") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var role2351 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.GuestRoles.detail", "emptyText": "Gastrolle ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Rolle</span>", "hiddenName": "roleHidden", "listeners": { "render": Lino.quicktip_renderer("Rolle","(cal.Guests.role) The role of this partner in this presence.") }, "name": "role", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.GuestRoles.detail,null)}, "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var main_1_panel2352 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": event2349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": client2350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": role2351, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var state2356 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark2357 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cal.Guests.remark) ") }, "maxLength": 200, "name": "remark", "selectOnFocus": true });
    var workflow_buttons_disp2358 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_2_panel2359 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": state2356, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": remark2357, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": workflow_buttons_disp2358, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var waiting_since2363 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wartet seit</span>", "listeners": { "render": Lino.quicktip_renderer("Wartet seit","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "name": "waiting_since", "value": "<br>" });
    var busy_since2364 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Hat gewartet bis</span>", "listeners": { "render": Lino.quicktip_renderer("Hat gewartet bis","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "name": "busy_since", "value": "<br>" });
    var gone_since2365 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anwesend bis</span>", "listeners": { "render": Lino.quicktip_renderer("Anwesend bis","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "name": "gone_since", "value": "<br>" });
    var main_3_panel2366 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": waiting_since2363, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": busy_since2364, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": gone_since2365, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2370 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2352, main_2_panel2359, main_3_panel2366 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel2370;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Guests.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Regimes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Regimes",
  layout: 'fit',
  auto_save: true,
  content_type: 85,
  initComponent : function() {
    var id6155 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Regimes.id) ") }, "name": "id", "selectOnFocus": true });
    var name6156 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Regimes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6157 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Regimes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6158 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Regimes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6159 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6155, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6156, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6157, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6158, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" }, "region": "north", "split": true });
    var jobs_ContractsByRegime_grid6207 = new Lino.jobs.ContractsByRegime.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByRegime) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "south", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByRegime.grid) ] });
    var main_panel6208 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6159, jobs_ContractsByRegime_grid6207 ], "labelAlign": "top" });
    this.items = main_panel6208;
    this.before_row_edit = function(record) {
      jobs_ContractsByRegime_grid6207.on_master_changed();
    }
    Lino.cv.Regimes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractEndings.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractEndings",
  layout: 'fit',
  auto_save: true,
  content_type: 93,
  initComponent : function() {
    var name6209 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(isip.ContractEndings.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var use_in_isip6210 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "VSE", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("VSE","(isip.ContractEndings.use_in_isip) ") }, "name": "use_in_isip", "selectOnFocus": true });
    var use_in_jobs6211 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Art. 60\u00a77", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Art. 60\u00a77","(isip.ContractEndings.use_in_jobs) ") }, "name": "use_in_jobs", "selectOnFocus": true });
    var is_success6212 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Erfolgreich abgeschlossen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Erfolgreich abgeschlossen","(isip.ContractEndings.is_success) ") }, "name": "is_success", "selectOnFocus": true });
    var needs_date_ended6213 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "erfordert Enddatum", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("erfordert Enddatum","(isip.ContractEndings.needs_date_ended) ") }, "name": "needs_date_ended", "selectOnFocus": true });
    var main_2_panel6214 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": use_in_isip6210, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": use_in_jobs6211, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": is_success6212, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": needs_date_ended6213, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var isip_ContractsByEnding_grid6248 = new Lino.isip.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("VSEs","(isip.isip.ContractsByEnding) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.isip.ContractsByEnding.grid) ] });
    var jobs_ContractsByEnding_grid6283 = new Lino.jobs.ContractsByEnding.GridPanel({ "containing_panel": this, "flex": 41, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsByEnding) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsByEnding.grid) ] });
    var main_panel6284 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": name6209, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel6214, isip_ContractsByEnding_grid6248, jobs_ContractsByEnding_grid6283 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6284;
    this.before_row_edit = function(record) {
      isip_ContractsByEnding_grid6248.on_master_changed();
      jobs_ContractsByEnding_grid6283.on_master_changed();
    }
    Lino.isip.ContractEndings.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  content_type: 94,
  initComponent : function() {
    var company2221 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person2222 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role2223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_1_panel2224 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company2221, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person2222, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_role2223, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var duties_company2228 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Verpflichtungen Firma", "flex": 83, "name": "duties_company", "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var main_panel2229 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2224, duties_company2228 ], "labelAlign": "top", "labelWidth": 198, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2229;
    this.before_row_edit = function(record) {
      contact_person2222.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company2228.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company2221 !== 'undefined' && company2221.on('change',Lino.chooser_handler(contact_person2222,'company'));
      Lino.isip.ContractPartners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.EventTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-EventTypes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 37,
  initComponent : function() {
    var name6286 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.EventTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6287 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.EventTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6288 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.EventTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6289 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6286, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6287, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6288, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var invite_client6293 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Klient einladen", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Klient einladen","(cal.EventTypes.invite_client) ") }, "name": "invite_client", "selectOnFocus": true });
    var main_panel6294 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6289, { "anchor": "-20", "autoHeight": true, "items": invite_client6293, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6294;
    this.before_row_edit = function(record) {
    }
    Lino.cal.EventTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Durations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Durations",
  layout: 'fit',
  auto_save: true,
  content_type: 86,
  initComponent : function() {
    var id6296 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Durations.id) ") }, "name": "id", "selectOnFocus": true });
    var name6297 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Durations.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6298 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Durations.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6299 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Durations.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6300 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6296, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6297, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6299, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6315 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6300 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6315;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Durations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.isip.ContractPartners.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel isip-ContractPartners",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 94,
  initComponent : function() {
    var company2230 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(isip.ContractPartners.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/company" }) }) });
    var contact_person2231 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vertreten durch</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Vertreten durch","(isip.ContractPartners.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_person" }) }) });
    var contact_role2232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">in seiner Eigenschaft als</span>", "hiddenName": "contact_roleHidden", "listeners": { "render": Lino.quicktip_renderer("in seiner Eigenschaft als","(isip.ContractPartners.contact_role) The optional Role\nof the contact_person within company.") }, "name": "contact_role", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractPartners/contact_role" }) }) });
    var main_panel2233 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": company2230, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_person2231, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": contact_role2232, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2233;
    this.before_row_edit = function(record) {
      contact_person2231.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company2230 !== 'undefined' && company2230.on('change',Lino.chooser_handler(contact_person2231,'company'));
      Lino.isip.ContractPartners.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.isip.ContractPartners.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  content_type: 36,
  initComponent : function() {
    var name6316 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6317 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6318 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6319 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6316, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6317, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6318, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var id6323 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.RecurrentEvents.id) ") }, "name": "id", "selectOnFocus": true });
    var user6324 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(cal.RecurrentEvents.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/user" }) }) });
    var event_type6325 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel6326 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 11, "items": id6323, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": user6324, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 44, "items": event_type6325, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date6330 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var start_time6331 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.RecurrentEvents.start_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var end_date6332 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var end_time6333 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Endet um", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.RecurrentEvents.end_time) ") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var main_3_panel6334 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": start_date6330, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": start_time6331, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": end_date6332, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 19, "items": end_time6333, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var every_unit6339 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies });
    var every6340 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">... alle</span>", "listeners": { "render": Lino.quicktip_renderer("... alle","(cal.RecurrentEvents.every) The frequency of periodic iteration: daily, weekly, monthly or yearly.") }, "name": "every", "selectOnFocus": true, "value": 1 });
    var positions6341 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Positionen</span>", "listeners": { "render": Lino.quicktip_renderer("Positionen","(cal.RecurrentEvents.positions) Space-separated list of one or several positions within the recurrency\ncycle.") }, "maxLength": 50, "name": "positions", "selectOnFocus": true });
    var max_events6342 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Anzahl Termine</span>", "listeners": { "render": Lino.quicktip_renderer("Anzahl Termine","(cal.RecurrentEvents.max_events) Maximum number of calendar entries to generate.") }, "name": "max_events", "selectOnFocus": true });
    var main_4_panel6343 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 42, "items": every_unit6339, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": every6340, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": positions6341, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": max_events6342, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var monday6348 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Montag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Montag","(cal.RecurrentEvents.monday) ") }, "name": "monday", "selectOnFocus": true });
    var tuesday6349 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Dienstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Dienstag","(cal.RecurrentEvents.tuesday) ") }, "name": "tuesday", "selectOnFocus": true });
    var wednesday6350 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Mittwoch", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Mittwoch","(cal.RecurrentEvents.wednesday) ") }, "name": "wednesday", "selectOnFocus": true });
    var thursday6351 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Donnerstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Donnerstag","(cal.RecurrentEvents.thursday) ") }, "name": "thursday", "selectOnFocus": true });
    var friday6352 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Freitag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Freitag","(cal.RecurrentEvents.friday) ") }, "name": "friday", "selectOnFocus": true });
    var saturday6353 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Samstag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Samstag","(cal.RecurrentEvents.saturday) ") }, "name": "saturday", "selectOnFocus": true });
    var sunday6354 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Sonntag", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Sonntag","(cal.RecurrentEvents.sunday) ") }, "name": "sunday", "selectOnFocus": true });
    var main_5_panel6355 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 14, "items": monday6348, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": tuesday6349, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": wednesday6350, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": thursday6351, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": friday6352, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": saturday6353, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": sunday6354, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description6363 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Beschreibung", "flex": 33, "name": "description", "selectOnFocus": true, "title": "Beschreibung" });
    var cal_EntriesByController_grid6364 = new Lino.cal.EntriesByController.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Kalendereintr\u00e4ge","(cal.cal.EntriesByController) Shows the calendar entries controlled by this database object.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.EntriesByController.grid) ] });
    var main_6_panel6365 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ description6363, cal_EntriesByController_grid6364 ], "labelAlign": "top", "labelWidth": 117, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel6366 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6319, main_2_panel6326, main_3_panel6334, main_4_panel6343, main_5_panel6355, main_6_panel6365 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6366;
    this.before_row_edit = function(record) {
      description6363.refresh();
      cal_EntriesByController_grid6364.on_master_changed();
    }
    Lino.cal.RecurrentEvents.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Sectors.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Sectors",
  layout: 'fit',
  auto_save: true,
  content_type: 87,
  initComponent : function() {
    var id6367 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Sectors.id) ") }, "name": "id", "selectOnFocus": true });
    var name6368 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Sectors.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6369 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Sectors.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6370 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Sectors.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6371 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6367, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6368, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6369, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6370, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6376 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Sectors.remark) ") }, "name": "remark", "region": "center", "selectOnFocus": true });
    var main_2_panel6441 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 31, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": remark6376, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel6482 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6371, main_2_panel6441 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6482;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Sectors.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.RecurrentEvents.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-RecurrentEvents",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 36,
  initComponent : function() {
    var name6483 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cal.RecurrentEvents.name) See lino.utils.mldbc.mixins.BabelNamed.name.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6484 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cal.RecurrentEvents.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6485 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cal.RecurrentEvents.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6486 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6483, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6484, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6485, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date6490 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.RecurrentEvents.start_date) Das Beginndatum der ersten Veranstaltung.") }, "name": "start_date", "selectOnFocus": true });
    var end_date6491 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.RecurrentEvents.end_date) Das Enddatum der ersten Veranstaltung. Dieses Feld leer lassen, wenn die Veranstaltungen weniger als einen Tag dauern.") }, "name": "end_date", "selectOnFocus": true });
    var every_unit6492 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Wiederholung</span>", "forceSelection": true, "hiddenName": "every_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Wiederholung","(cal.RecurrentEvents.every_unit) Inherited from RecurrentSet.every_unit.") }, "name": "every_unit", "selectOnFocus": true, "store": Lino.cal.Recurrencies });
    var event_type6493 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "Kalendereintragsart", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.RecurrentEvents.event_type) ") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/RecurrentEvents/event_type" }) }) });
    var main_2_panel6494 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 18, "items": start_date6490, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 18, "items": end_date6491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": every_unit6492, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": event_type6493, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6499 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6486, main_2_panel6494 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6499;
    this.before_row_edit = function(record) {
    }
    Lino.cal.RecurrentEvents.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Functions.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Functions",
  layout: 'fit',
  auto_save: true,
  content_type: 88,
  initComponent : function() {
    var id6387 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cv.Functions.id) ") }, "name": "id", "selectOnFocus": true });
    var name6388 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(cv.Functions.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6389 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(cv.Functions.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6390 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(cv.Functions.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var sector6391 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "Sektor", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Functions.sector) ") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Functions/sector" }) }) });
    var main_1_panel6392 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6387, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name6388, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_fr6389, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": name_en6390, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": sector6391, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6398 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkung", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkung","(cv.Functions.remark) ") }, "name": "remark", "selectOnFocus": true });
    var main_panel6438 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6392, { "flex": 31, "items": remark6398, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6438;
    this.before_row_edit = function(record) {
    }
    Lino.cv.Functions.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Types.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Types",
  layout: 'fit',
  auto_save: true,
  content_type: 119,
  initComponent : function() {
    var name6500 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(households.Types.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6501 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(households.Types.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6502 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(households.Types.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6503 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6500, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6501, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6502, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var HouseholdsByType_grid6543 = new Lino.households.HouseholdsByType.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Haushalte","(households.households.HouseholdsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.HouseholdsByType.grid) ] });
    var main_panel6544 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6503, HouseholdsByType_grid6543 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6544;
    this.before_row_edit = function(record) {
      HouseholdsByType_grid6543.on_master_changed();
    }
    Lino.households.Types.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  content_type: 121,
  initComponent : function() {
    var type6545 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var prefix6546 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name prefix</span>", "listeners": { "render": Lino.quicktip_renderer("Name prefix","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "maxLength": 200, "name": "prefix", "selectOnFocus": true });
    var name6547 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var id6548 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(households.Households.id) ") }, "name": "id", "selectOnFocus": true });
    var general_1_panel6549 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 29, "items": type6545, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": prefix6546, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": name6547, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 7, "items": id6548, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox6554 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 50, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(households.Households.overview) ") }, "name": "overview", "value": "<br/>" });
    var language6555 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(households.Households.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var email6556 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(households.Households.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone6557 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(households.Households.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm6558 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(households.Households.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var box3_panel6559 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 50, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": language6555, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": email6556, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone6557, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm6558, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_2_panel6564 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox6554, box3_panel6559 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var households_MembersByHousehold_grid6565 = new Lino.households.MembersByHousehold.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Mitglieder","(households.households.MembersByHousehold) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.households.MembersByHousehold.grid) ] });
    var general_panel6566 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel6549, general_2_panel6564, households_MembersByHousehold_grid6565 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var debts_BudgetsByPartner_grid6567 = new Lino.debts.BudgetsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Hauptpartner in folgenden Budgets:","(debts.debts.BudgetsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "north", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.BudgetsByPartner.grid) ] });
    var debts_ActorsByPartner_grid6568 = new Lino.debts.ActorsByPartner.GridPanel({ "containing_panel": this, "flex": 5, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ist Akteur in folgenden Budgets:","(debts.debts.ActorsByPartner) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "split": true, "tools": [ Lino.show_in_own_window_button(Lino.debts.ActorsByPartner.grid) ] });
    var debts_panel6569 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ debts_BudgetsByPartner_grid6567, debts_ActorsByPartner_grid6568 ], "labelAlign": "top", "listeners": { "activate": Lino.on_tab_activate }, "title": "Schuldnerberatung" });
    var main_panel6570 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel6566, debts_panel6569 ], "labelAlign": "top", "split": true });
    this.items = main_panel6570;
    this.before_row_edit = function(record) {
      overview_htmlbox6554.refresh();
      households_MembersByHousehold_grid6565.on_master_changed();
      debts_BudgetsByPartner_grid6567.on_master_changed();
      debts_ActorsByPartner_grid6568.on_master_changed();
    }
    Lino.households.Households.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Countries.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Countries",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 2,
  initComponent : function() {
    var isocode6571 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(4), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">ISO-Code</span>", "listeners": { "render": Lino.quicktip_renderer("ISO-Code","(countries.Countries.isocode) The two-letter code for this country as defined by ISO 3166-1.\nFor countries that no longer exist it may be a 4-letter code.") }, "maxLength": 4, "name": "isocode", "selectOnFocus": true });
    var inscode6572 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(3), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Countries.inscode) The official code for this country used by statbel.fgov.be") }, "maxLength": 3, "name": "inscode", "selectOnFocus": true });
    var main_1_panel6573 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": isocode6571, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": inscode6572, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name6576 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Countries.name) The designation of this country.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6577 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Countries.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6578 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Countries.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel6579 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6576, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6577, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6578, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6583 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6573, main_2_panel6579 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6583;
    this.before_row_edit = function(record) {
    }
    Lino.countries.Countries.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cv.Experiences.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cv-Experiences",
  layout: 'fit',
  auto_save: true,
  content_type: 89,
  initComponent : function() {
    var person2018 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "personHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cv.Experiences.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "name": "person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/person" }) }) });
    var company2019 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Organisation", "listeners": { "render": Lino.quicktip_renderer("Organisation","(cv.Experiences.company) ") }, "maxLength": 200, "name": "company", "selectOnFocus": true });
    var country2020 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(cv.Experiences.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/country" }) }) });
    var city2021 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(cv.Experiences.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/city" }) }) });
    var main_1_panel2022 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 24, "items": person2018, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": company2019, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": country2020, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": city2021, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var sector2027 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Sectors.detail", "emptyText": "Sektor ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sektor</span>", "hiddenName": "sectorHidden", "listeners": { "render": Lino.quicktip_renderer("Sektor","(cv.Experiences.sector) Pointer to the Sector.") }, "name": "sector", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Sectors.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/sector" }) }) });
    var function2028 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.cv.Functions.detail", "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Berufsbezeichnung</span>", "hiddenName": "functionHidden", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.function) Pointer to the Function.") }, "name": "function", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Functions.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/function" }) }) });
    var title2029 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("Berufsbezeichnung","(cv.Experiences.title) ") }, "maxLength": 200, "name": "title", "selectOnFocus": true });
    var main_2_panel2030 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": sector2027, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": function2028, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": title2029, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var status2034 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Statuses.detail", "emptyText": "Status ausw\u00e4hlen...", "fieldLabel": "Status", "hiddenName": "statusHidden", "listeners": { "render": Lino.quicktip_renderer("Status","(cv.Experiences.status) ") }, "name": "status", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Statuses.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Statuses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/status" }) }) });
    var duration2035 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Durations.detail", "emptyText": "Vertragsdauer ausw\u00e4hlen...", "fieldLabel": "Vertragsdauer", "hiddenName": "durationHidden", "listeners": { "render": Lino.quicktip_renderer("Vertragsdauer","(cv.Experiences.duration) ") }, "name": "duration", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Durations.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Durations", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/duration" }) }) });
    var regime2036 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cv.Regimes.detail", "emptyText": "Arbeitsregime ausw\u00e4hlen...", "fieldLabel": "Arbeitsregime", "hiddenName": "regimeHidden", "listeners": { "render": Lino.quicktip_renderer("Arbeitsregime","(cv.Experiences.regime) ") }, "name": "regime", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cv.Regimes.detail,null)}, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/Experiences/regime" }) }) });
    var is_training2037 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Ausbildung", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Ausbildung","(cv.Experiences.is_training) ") }, "name": "is_training", "selectOnFocus": true });
    var main_3_panel2038 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": status2034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": duration2035, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": regime2036, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": is_training2037, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2043 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cv.Experiences.start_date) When this entry started.") }, "name": "start_date", "selectOnFocus": true });
    var end_date2044 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cv.Experiences.end_date) When this entry ended.") }, "name": "end_date", "selectOnFocus": true });
    var duration_text2045 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Dauer</span>", "listeners": { "render": Lino.quicktip_renderer("Dauer","(cv.Experiences.duration_text) Free-text description of the duration of this entry.") }, "maxLength": 200, "name": "duration_text", "selectOnFocus": true });
    var termination_reason2046 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("Beendigungsgrund","(cv.Experiences.termination_reason) ") }, "maxLength": 200, "name": "termination_reason", "selectOnFocus": true });
    var main_4_panel2047 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": start_date2043, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": end_date2044, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": duration_text2045, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": termination_reason2046, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remarks2052 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(cv.Experiences.remarks) ") }, "name": "remarks", "selectOnFocus": true });
    var main_panel2053 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel2022, main_2_panel2030, main_3_panel2038, main_4_panel2047, { "flex": 55, "items": remarks2052, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel2053;
    this.before_row_edit = function(record) {
      city2021.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      function2028.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country2020 !== 'undefined' && country2020.on('change',Lino.chooser_handler(city2021,'country'));
      typeof sector2027 !== 'undefined' && sector2027.on('change',Lino.chooser_handler(function2028,'sector'));
      Lino.cv.Experiences.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.cv.Experiences.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.households.Households.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel households-Households",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 121,
  initComponent : function() {
    var name6584 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Name</span>", "listeners": { "render": Lino.quicktip_renderer("Name","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var type6585 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.households.Types.detail", "emptyText": "Haushaltsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Haushaltsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Haushaltsart","(households.Households.type) The type of this household.  See household types") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.households.Types.detail,null)}, "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var main_panel6586 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": name6584, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type6585, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6586;
    this.before_row_edit = function(record) {
    }
    Lino.households.Households.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  content_type: 3,
  initComponent : function() {
    var name5030 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5031 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5032 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var country5033 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var inscode5034 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(5), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">INS code</span>", "listeners": { "render": Lino.quicktip_renderer("INS code","(countries.Places.inscode) The official code for this place used by statbel.fgov.be") }, "maxLength": 5, "name": "inscode", "selectOnFocus": true });
    var zip_code5035 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var main_1_panel5036 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 21, "items": name5030, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_fr5031, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": name_en5032, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 20, "items": country5033, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 6, "items": inscode5034, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 9, "items": zip_code5035, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent5043 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var type5044 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var id5045 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(countries.Places.id) ") }, "name": "id", "selectOnFocus": true });
    var main_2_panel5046 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 57, "items": parent5043, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": type5044, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": id5045, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var contacts_PartnersByCity_grid5164 = new Lino.contacts.PartnersByCity.GridPanel({ "containing_panel": this, "flex": 50, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Partner","(contacts.contacts.PartnersByCity) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "region": "center", "tools": [ Lino.show_in_own_window_button(Lino.contacts.PartnersByCity.grid) ] });
    var main_4_panel5166 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 41, "frame": false, "hideCheckBoxLabels": true, "items": [ contacts_PartnersByCity_grid5164 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var main_panel5167 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5036, main_2_panel5046, main_4_panel5166 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel5167;
    this.before_row_edit = function(record) {
      type5044.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      contacts_PartnersByCity_grid5164.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country5033 !== 'undefined' && country5033.on('change',Lino.chooser_handler(type5044,'country'));
      Lino.countries.Places.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.Contracts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel art61-Contracts",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 105,
  initComponent : function() {
    var client6589 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(art61.Contracts.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/client" }) }) });
    var company6590 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Organisation</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Organisation","(art61.Contracts.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/company" }) }) });
    var type6591 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.art61.ContractTypes.detail", "emptyText": "Art.61-Konventionsart ausw\u00e4hlen...", "fieldLabel": "Art", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art","(art61.Contracts.type) ") }, "name": "type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.art61.ContractTypes.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "art61.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/art61/Contracts/type" }) }) });
    var main_panel6592 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": client6589, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": company6590, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": type6591, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6592;
    this.before_row_edit = function(record) {
    }
    Lino.art61.Contracts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel vatless-ProjectInvoicesByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  autoHeight: true,
  content_type: 77,
  initComponent : function() {
    var project6596 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(vatless.ProjectInvoicesByJournal.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/project" }) }) });
    var partner6597 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Partners.detail", "emptyText": "Partner ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsempf\u00e4nger</span>", "hiddenName": "partnerHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsempf\u00e4nger","(vatless.ProjectInvoicesByJournal.partner) The recipient of this document. A pointer to\nlino_xl.lib.contacts.models.Partner.") }, "name": "partner", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Partners.detail,null)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/ProjectInvoicesByJournal/partner" }) }) });
    var entry_date6598 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Buchungsdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Buchungsdatum","(vatless.ProjectInvoicesByJournal.entry_date) The date of the journal entry, i.e. when this voucher is to\njournalized or booked.") }, "name": "entry_date", "selectOnFocus": true });
    var main_panel6599 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": project6596, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": partner6597, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": entry_date6598, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6599;
    this.before_row_edit = function(record) {
    }
    Lino.vatless.ProjectInvoicesByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.countries.Places.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel countries-Places",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 3,
  initComponent : function() {
    var name5146 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(countries.Places.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr5147 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(countries.Places.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en5148 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(countries.Places.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel5149 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name5146, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr5147, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en5148, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var country5153 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Land</span>", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(countries.Places.country) The country this place is in.") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/country" }) }) });
    var zip_code5154 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(8), "fieldLabel": "zip code", "listeners": { "render": Lino.quicktip_renderer("zip code","(countries.Places.zip_code) ") }, "maxLength": 8, "name": "zip_code", "selectOnFocus": true });
    var type5155 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortsart</span>", "hiddenName": "typeHidden", "listeners": { "render": Lino.quicktip_renderer("Ortsart","(countries.Places.type) The type of this place (whether it's a city. a village, a province...)") }, "name": "type", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/type" }) }) });
    var main_3_panel5156 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 47, "items": zip_code5154, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 52, "items": type5155, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var parent5159 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Teil von</span>", "hiddenName": "parentHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Teil von","(countries.Places.parent) The superordinate geographic place of which this place is a part.") }, "name": "parent", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/Places/parent" }) }) });
    var main_panel5160 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel5149, { "anchor": "-20", "autoHeight": true, "items": country5153, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_3_panel5156, { "anchor": "-20", "autoHeight": true, "items": parent5159, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel5160;
    this.before_row_edit = function(record) {
      type5155.setContextValue('country', record ? record.data['countryHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof country5153 !== 'undefined' && country5153.on('change',Lino.chooser_handler(type5155,'country'));
      Lino.countries.Places.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.countries.Places.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  content_type: 38,
  initComponent : function() {
    var event_type2297 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var summary2298 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var project2299 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var general_1_panel2300 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 32, "items": event_type2297, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": summary2298, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": project2299, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date2304 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2305 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel2306 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date2304, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time2305, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date2309 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2310 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel2311 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 25, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date2309, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time2310, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var user2314 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Verwaltet durch</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Verwaltet durch","(cal.Events.user) Der verantwortliche Benutzer.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/user" }) }) });
    var assigned_to2315 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugewiesen zu</span>", "hiddenName": "assigned_toHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Zugewiesen zu","(cal.Events.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "name": "assigned_to", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/assigned_to" }) }) });
    var general_2_panel2316 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel2306, end_panel2311, { "autoHeight": true, "flex": 24, "items": user2314, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": assigned_to2315, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var room2319 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.Rooms.detail", "emptyText": "Raum ausw\u00e4hlen...", "fieldLabel": "Raum", "hiddenName": "roomHidden", "insert_action": "Lino.cal.Rooms.insert", "listeners": { "render": Lino.quicktip_renderer("Raum","(cal.Events.room) ") }, "name": "room", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.Rooms.detail,Lino.cal.Rooms.insert)}, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/room" }) }) });
    var priority2320 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Priorit\u00e4t", "forceSelection": true, "hiddenName": "priorityHidden", "listeners": { "render": Lino.quicktip_renderer("Priorit\u00e4t","(cal.Events.priority) ") }, "name": "priority", "selectOnFocus": true, "store": Lino.xl.Priorities });
    var access_class2321 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zugriffsklasse</span>", "forceSelection": true, "hiddenName": "access_classHidden", "listeners": { "render": Lino.quicktip_renderer("Zugriffsklasse","(cal.Events.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "name": "access_class", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var transparent2322 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "nicht blockierend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("nicht blockierend","(cal.Events.transparent) Whether this entry should allow other entries at the same time.") }, "name": "transparent", "selectOnFocus": true });
    var general_3_panel2323 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 26, "items": room2319, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": priority2320, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 45, "items": access_class2321, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 13, "items": transparent2322, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var owner_disp2328 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "Verkn\u00fcpft mit", "name": "owner" });
    var workflow_buttons_disp2329 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(cal.Events.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var general_4_panel2330 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 25, "items": owner_disp2328, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 75, "items": workflow_buttons_disp2329, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var description2333 = new Ext.form.TextArea({ "allowBlank": true, "anchor": "-20 -10", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beschreibung</span>", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(cal.Events.description) A longer descriptive text.") }, "name": "description", "selectOnFocus": true });
    var GuestsByEvent_grid2378 = new Lino.cal.GuestsByEvent.GridPanel({ "containing_panel": this, "flex": 66, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Anwesenheiten","(cal.cal.GuestsByEvent) The default table of presences.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.cal.GuestsByEvent.grid) ] });
    var general_5_panel2379 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 45, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 33, "items": description2333, "labelAlign": "top", "layout": "form", "xtype": "panel" }, GuestsByEvent_grid2378 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var general_panel2381 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel2300, general_2_panel2316, general_3_panel2323, general_4_panel2330, general_5_panel2379 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var id2382 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(cal.Events.id) ") }, "name": "id", "selectOnFocus": true });
    var created2383 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(cal.Events.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified2384 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(cal.Events.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var state2385 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zustand</span>", "forceSelection": true, "hiddenName": "stateHidden", "listeners": { "render": Lino.quicktip_renderer("Zustand","(cal.Events.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "name": "state", "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var more_1_panel2386 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 8, "items": id2382, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": created2383, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 32, "items": modified2384, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 27, "items": state2385, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var outbox_MailsByController_grid2444 = new Lino.outbox.MailsByController.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("E-Mail-Ausg\u00e4nge","(outbox.outbox.MailsByController) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.outbox.MailsByController.grid) ] });
    var more_panel2445 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ more_1_panel2386, outbox_MailsByController_grid2444 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Mehr" });
    var main_panel2446 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel2381, more_panel2445 ], "labelAlign": "top", "split": true });
    this.items = main_panel2446;
    this.before_row_edit = function(record) {
      GuestsByEvent_grid2378.on_master_changed();
      outbox_MailsByController_grid2444.on_master_changed();
    }
    Lino.cal.Events.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.contacts.Partners.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel contacts-Partners",
  layout: 'fit',
  auto_save: true,
  content_type: 7,
  initComponent : function() {
    var overview_htmlbox3490 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 31, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(contacts.Partners.overview) ") }, "name": "overview", "value": "<br/>" });
    var id3491 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(contacts.Partners.id) ") }, "name": "id", "selectOnFocus": true });
    var language3492 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Sprache</span>", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(contacts.Partners.language) The language to use when communicating with this partner.") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var general2_1_panel3493 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 20, "items": id3491, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 80, "items": language3492, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var activity3496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "emptyText": "Beruf ausw\u00e4hlen...", "fieldLabel": "Beruf", "hiddenName": "activityHidden", "listeners": { "render": Lino.quicktip_renderer("Beruf","(contacts.Partners.activity) ") }, "name": "activity", "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type3497 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Klientenkontaktart", "hiddenName": "client_contact_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Klientenkontaktart","(contacts.Partners.client_contact_type) ") }, "name": "client_contact_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var url3498 = new Lino.URLField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Adresse (URL)", "listeners": { "render": Lino.quicktip_renderer("Adresse (URL)","(contacts.Partners.url) ") }, "maxLength": 200, "name": "url", "selectOnFocus": true });
    var general2_panel3499 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 47, "frame": true, "hideCheckBoxLabels": true, "items": [ general2_1_panel3493, { "anchor": "-20", "autoHeight": true, "items": activity3496, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": client_contact_type3497, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": url3498, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var email3503 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Adresse</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Adresse","(contacts.Partners.email) The primary email address.") }, "maxLength": 254, "name": "email", "selectOnFocus": true });
    var phone3504 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Telefon</span>", "listeners": { "render": Lino.quicktip_renderer("Telefon","(contacts.Partners.phone) The primary phone number.") }, "maxLength": 200, "name": "phone", "selectOnFocus": true });
    var gsm3505 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">GSM</span>", "listeners": { "render": Lino.quicktip_renderer("GSM","(contacts.Partners.gsm) The primary mobile phone number.") }, "maxLength": 200, "name": "gsm", "selectOnFocus": true });
    var fax3506 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Fax", "listeners": { "render": Lino.quicktip_renderer("Fax","(contacts.Partners.fax) ") }, "maxLength": 200, "name": "fax", "selectOnFocus": true });
    var general3_panel3507 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "flex": 21, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": email3503, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": phone3504, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": gsm3505, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": fax3506, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var general_1_panel3512 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ overview_htmlbox3490, general2_panel3499, general3_panel3507 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var reception_AppointmentsByPartner_grid3513 = new Lino.reception.AppointmentsByPartner.GridPanel({ "containing_panel": this, "flex": 55, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Termine","(reception.reception.AppointmentsByPartner) Show the participations in upcoming calendar events for a given\npartner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.reception.AppointmentsByPartner.grid) ] });
    var general_panel3514 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ general_1_panel3512, reception_AppointmentsByPartner_grid3513 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Allgemein" });
    var country3515 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Countries.detail", "emptyText": "Land ausw\u00e4hlen...", "fieldLabel": "Land", "hiddenName": "countryHidden", "insert_action": "Lino.countries.Countries.insert", "listeners": { "render": Lino.quicktip_renderer("Land","(contacts.Partners.country) ") }, "name": "country", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Countries.detail,Lino.countries.Countries.insert)}, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var region3516 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "Regierungsbezirk", "hiddenName": "regionHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Regierungsbezirk","(contacts.Partners.region) ") }, "name": "region", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var city3517 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.countries.Places.detail", "emptyText": "Ort ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ortschaft</span>", "forceSelection": false, "hiddenName": "cityHidden", "insert_action": "Lino.countries.Places.insert", "listeners": { "render": Lino.quicktip_renderer("Ortschaft","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "name": "city", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.countries.Places.detail,Lino.countries.Places.insert)}, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code3518 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "Postleitzahl", "listeners": { "render": Lino.quicktip_renderer("Postleitzahl","(contacts.Partners.zip_code) ") }, "maxLength": 10, "name": "zip_code", "selectOnFocus": true });
    var address_box_1_panel3519 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 28, "items": country3515, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": region3516, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 28, "items": city3517, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 14, "items": zip_code3518, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr13524 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile vor Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile vor Stra\u00dfe","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "maxLength": 200, "name": "addr1", "selectOnFocus": true });
    var street_prefix3525 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Pr\u00e4fix Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Pr\u00e4fix Stra\u00dfe","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "maxLength": 200, "name": "street_prefix", "selectOnFocus": true });
    var street3526 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Stra\u00dfe","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "maxLength": 200, "name": "street", "selectOnFocus": true });
    var street_no3527 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Nr.</span>", "listeners": { "render": Lino.quicktip_renderer("Nr.","(contacts.Partners.street_no) Hausnummer") }, "maxLength": 10, "name": "street_no", "selectOnFocus": true });
    var street_box3528 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "boxMinWidth": Lino.chars2width(10), "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Box</span>", "listeners": { "render": Lino.quicktip_renderer("Box","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "maxLength": 10, "name": "street_box", "selectOnFocus": true });
    var address_box_3_panel3529 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 30, "items": street_prefix3525, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 36, "items": street3526, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_no3527, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": street_box3528, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var addr23534 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Adresszeile nach Stra\u00dfe</span>", "listeners": { "render": Lino.quicktip_renderer("Adresszeile nach Stra\u00dfe","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "maxLength": 200, "name": "addr2", "selectOnFocus": true });
    var address_box_panel3535 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_1_panel3519, { "anchor": "-20", "autoHeight": true, "items": addr13524, "labelAlign": "top", "layout": "form", "xtype": "panel" }, address_box_3_panel3529, { "anchor": "-20", "autoHeight": true, "items": addr23534, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    var remarks3538 = new Ext.form.TextArea({ "anchor": "-20 -10", "disabled": true, "fieldLabel": "Bemerkungen", "growMax": 2000, "listeners": { "render": Lino.quicktip_renderer("Bemerkungen","(contacts.Partners.remarks) ") }, "name": "remarks" });
    var sepa_AccountsByPartner_grid3552 = new Lino.sepa.AccountsByPartner.GridPanel({ "containing_panel": this, "flex": 80, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Bankkonten","(sepa.sepa.AccountsByPartner) Show the bank account(s) defined for a given partner. To be\nincluded to a detail window on partner.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.sepa.AccountsByPartner.grid) ] });
    var contact_2_panel3553 = new Ext.Panel({ "autoScroll": false, "border": false, "flex": 55, "frame": false, "hideCheckBoxLabels": true, "items": [ { "flex": 20, "items": remarks3538, "labelAlign": "top", "layout": "form", "xtype": "panel" }, sepa_AccountsByPartner_grid3552 ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretch" } });
    var contact_panel3555 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ address_box_panel3535, contact_2_panel3553 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Kontakt" });
    var payment_term3556 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.PaymentTerms.detail", "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Zahlungsbedingungen</span>", "hiddenName": "payment_termHidden", "listeners": { "render": Lino.quicktip_renderer("Zahlungsbedingungen","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "name": "payment_term", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.PaymentTerms.detail,null)}, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    var ledger_panel3559 = new Lino.VBorderPanel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "items": payment_term3556, "labelAlign": "top", "layout": "form", "region": "north", "split": true, "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 126, "listeners": { "activate": Lino.on_tab_activate }, "title": "Buchhaltung" });
    var is_obsolete3561 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "veraltet", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("veraltet","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "name": "is_obsolete", "selectOnFocus": true });
    var created3562 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Erstellt</span>", "listeners": { "render": Lino.quicktip_renderer("Erstellt","(contacts.Partners.created) The time when this object was created.") }, "name": "created", "value": "<br>" });
    var modified3563 = new Ext.form.DisplayField({ "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bearbeitet</span>", "listeners": { "render": Lino.quicktip_renderer("Bearbeitet","(contacts.Partners.modified) The time when this database object was last modified.") }, "name": "modified", "value": "<br>" });
    var misc_1_panel3564 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 23, "items": is_obsolete3561, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": created3562, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": modified3563, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var changes_ChangesByMaster_grid3600 = new Lino.changes.ChangesByMaster.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("\u00c4nderungen","(changes.changes.ChangesByMaster) Slave Table showing the changes related to the current object,\nincluding those applied to \"child\" objects.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.changes.ChangesByMaster.grid) ] });
    var misc_panel3601 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ misc_1_panel3564, changes_ChangesByMaster_grid3600 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" }, "listeners": { "activate": Lino.on_tab_activate }, "title": "Sonstiges" });
    var main_panel3602 = new Ext.TabPanel({ "activeTab": 0, "autoScroll": false, "bodyBorder": false, "border": false, "enableTabScroll": true, "frame": true, "hideCheckBoxLabels": true, "items": [ general_panel3514, contact_panel3555, ledger_panel3559, misc_panel3601 ], "labelAlign": "top", "split": true });
    this.items = main_panel3602;
    this.before_row_edit = function(record) {
      overview_htmlbox3490.refresh();
      reception_AppointmentsByPartner_grid3513.on_master_changed();
      region3516.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3517.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3517.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      sepa_AccountsByPartner_grid3552.on_master_changed();
      changes_ChangesByMaster_grid3600.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof country3515 !== 'undefined' && country3515.on('change',Lino.chooser_handler(region3516,'country'));
      typeof country3515 !== 'undefined' && country3515.on('change',Lino.chooser_handler(city3517,'country'));
      typeof region3516 !== 'undefined' && region3516.on('change',Lino.chooser_handler(city3517,'region'));
      Lino.contacts.Partners.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.contacts.Partners.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.cal.Events.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel cal-Events",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 38,
  initComponent : function() {
    var summary2447 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kurzbeschreibung</span>", "listeners": { "render": Lino.quicktip_renderer("Kurzbeschreibung","(cal.Events.summary) A one-line descriptive text.") }, "maxLength": 200, "name": "summary", "selectOnFocus": true });
    var start_date2448 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt am</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt am","(cal.Events.start_date) The starting date of this entry.  May not be empty.") }, "name": "start_date", "selectOnFocus": true });
    var start_time2449 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Beginnt um</span>", "listeners": { "render": Lino.quicktip_renderer("Beginnt um","(cal.Events.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "start_time", "selectOnFocus": true });
    var start_panel2450 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": start_date2448, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": start_time2449, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var end_date2453 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Enddatum</span>", "listeners": { "render": Lino.quicktip_renderer("Enddatum","(cal.Events.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "name": "end_date", "selectOnFocus": true });
    var end_time2454 = new Lino.TimeField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Endet um</span>", "listeners": { "render": Lino.quicktip_renderer("Endet um","(cal.Events.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "maxValue": "9:00 PM", "minValue": "7:00", "name": "end_time", "selectOnFocus": true });
    var end_panel2455 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "flex": 50, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 61, "items": end_date2453, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 38, "items": end_time2454, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_2_panel2458 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ start_panel2450, end_panel2455 ], "labelAlign": "top", "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var event_type2459 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.cal.EventTypes.detail", "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Kalendereintragsart</span>", "hiddenName": "event_typeHidden", "insert_action": "Lino.cal.EventTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Kalendereintragsart","(cal.Events.event_type) The type of this calendar entry.") }, "name": "event_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.cal.EventTypes.detail,Lino.cal.EventTypes.insert)}, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/event_type" }) }) });
    var project2460 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(cal.Events.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Events/project" }) }) });
    var main_3_panel2461 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": event_type2459, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project2460, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel2464 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": summary2447, "labelAlign": "top", "layout": "form", "xtype": "panel" }, main_2_panel2458, main_3_panel2461 ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel2464;
    this.before_row_edit = function(record) {
    }
    Lino.cal.Events.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 22,
  initComponent : function() {
    var id6603 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(excerpts.ExcerptTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name6604 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6605 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6606 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6607 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6603, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6604, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6605, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6606, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type6612 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.gfks.ContentTypes.detail,null)}, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var build_method6613 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template6614 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template6615 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var email_template6616 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">E-Mail-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("E-Mail-Vorlage","(excerpts.ExcerptTypes.email_template) The template to use when sending this an excerpt of this type\nby email.") }, "name": "email_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/email_template" }) }) });
    var shortcut6617 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Excerpt shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Excerpt shortcut","(excerpts.ExcerptTypes.shortcut) Optional pointer to a shortcut field.  If this is not empty, then\nthe given shortcut field will manage excerpts of this type.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.excerpts.Shortcuts) });
    var main_2_panel6618 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 15, "items": content_type6612, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": build_method6613, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": template6614, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": body_template6615, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": email_template6616, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 24, "items": shortcut6617, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var primary6625 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var print_directly6626 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Direkt drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Direkt drucken","(excerpts.ExcerptTypes.print_directly) ") }, "name": "print_directly", "selectOnFocus": true });
    var certifying6627 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var print_recipient6628 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Empf\u00e4nger drucken", "checked": true, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger drucken","(excerpts.ExcerptTypes.print_recipient) Whether to print a recipient field in document.") }, "name": "print_recipient", "selectOnFocus": true });
    var backward_compat6629 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Backward compatible", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Backward compatible","(excerpts.ExcerptTypes.backward_compat) Check this to have `this` in template context point to owner instead of excerpt.") }, "name": "backward_compat", "selectOnFocus": true });
    var attach_to_email6630 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "als Anhang per E-Mail", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("als Anhang per E-Mail","(excerpts.ExcerptTypes.attach_to_email) Whether the printable file should be attached to the email\nwhen creating an email from a mailable of this type.\n") }, "name": "attach_to_email", "selectOnFocus": true });
    var main_3_panel6631 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 16, "items": primary6625, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_directly6626, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": certifying6627, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": print_recipient6628, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": backward_compat6629, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": attach_to_email6630, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var excerpts_ExcerptsByType_grid6668 = new Lino.excerpts.ExcerptsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Ausz\u00fcge","(excerpts.excerpts.ExcerptsByType) Base class for all tables on Excerpt.") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.excerpts.ExcerptsByType.grid) ] });
    var main_panel6669 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6607, main_2_panel6618, main_3_panel6631, excerpts_ExcerptsByType_grid6668 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6669;
    this.before_row_edit = function(record) {
      template6614.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template6614.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template6615.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      email_template6616.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      excerpts_ExcerptsByType_grid6668.on_master_changed();
    }
    this.onRender = function(ct, position) {
      typeof build_method6613 !== 'undefined' && build_method6613.on('change',Lino.chooser_handler(template6614,'build_method'));
      typeof content_type6612 !== 'undefined' && content_type6612.on('change',Lino.chooser_handler(template6614,'content_type'));
      typeof content_type6612 !== 'undefined' && content_type6612.on('change',Lino.chooser_handler(body_template6615,'content_type'));
      typeof content_type6612 !== 'undefined' && content_type6612.on('change',Lino.chooser_handler(email_template6616,'content_type'));
      Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.RefundConfirmations.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel aids-RefundConfirmations",
  layout: 'fit',
  auto_save: true,
  content_type: 136,
  initComponent : function() {
    var id6670 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(aids.RefundConfirmations.id) ") }, "name": "id", "selectOnFocus": true });
    var client6671 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.RefundConfirmations.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var user6672 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Autor</span>", "hiddenName": "userHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Autor","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "name": "user", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var signer6673 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.users.AllUsers.detail", "emptyText": "Benutzer ausw\u00e4hlen...", "fieldLabel": "Best\u00e4tiger", "hiddenName": "signerHidden", "insert_action": "Lino.users.AllUsers.insert", "listeners": { "render": Lino.quicktip_renderer("Best\u00e4tiger","(aids.RefundConfirmations.signer) ") }, "name": "signer", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.users.AllUsers.detail,Lino.users.AllUsers.insert)}, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var workflow_buttons_disp6674 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Workflow</span>", "listeners": { "render": Lino.quicktip_renderer("Workflow","(aids.RefundConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "name": "workflow_buttons", "value": "<br/>" });
    var main_1_panel6675 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 5, "items": id6670, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": client6671, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": user6672, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 21, "items": signer6673, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": workflow_buttons_disp6674, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var granting6681 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.RefundConfirmations.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var start_date6682 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.RefundConfirmations.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6683 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.RefundConfirmations.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel6684 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 55, "items": granting6681, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": start_date6682, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": end_date6683, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var doctor_type6688 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.clients.ClientContactTypes.detail", "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "fieldLabel": "Art des Arztes", "hiddenName": "doctor_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Art des Arztes","(aids.RefundConfirmations.doctor_type) ") }, "name": "doctor_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.clients.ClientContactTypes.detail,null)}, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor6689 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": true, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "Arzt", "forceSelection": false, "hiddenName": "doctorHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Arzt","(aids.RefundConfirmations.doctor) ") }, "name": "doctor", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy6690 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "Apotheke", "hiddenName": "pharmacyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Apotheke","(aids.RefundConfirmations.pharmacy) ") }, "name": "pharmacy", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    var main_3_panel6691 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": doctor_type6688, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": doctor6689, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": pharmacy6690, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6695 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.RefundConfirmations.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person6696 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var language6697 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.RefundConfirmations.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var printed_disp6698 = new Ext.form.DisplayField({ "always_enabled": true, "anchor": "-20", "autoHeight": true, "disabled": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Ausgedruckt</span>", "listeners": { "render": Lino.quicktip_renderer("Ausgedruckt","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "name": "printed", "value": "<br/>" });
    var main_4_panel6699 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 22, "items": company6695, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": contact_person6696, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 22, "items": language6697, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": printed_disp6698, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6704 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 38, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6705 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6675, main_2_panel6684, main_3_panel6691, main_4_panel6699, remark6704 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6705;
    this.before_row_edit = function(record) {
      doctor6689.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy6690.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
      contact_person6696.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6704.refresh();
    }
    this.onRender = function(ct, position) {
      typeof doctor_type6688 !== 'undefined' && doctor_type6688.on('change',Lino.chooser_handler(doctor6689,'doctor_type'));
      typeof granting6681 !== 'undefined' && granting6681.on('change',Lino.chooser_handler(pharmacy6690,'granting'));
      typeof company6695 !== 'undefined' && company6695.on('change',Lino.chooser_handler(contact_person6696,'company'));
      Lino.aids.RefundConfirmations.DetailFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.RefundConfirmations.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.ExcerptTypes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-ExcerptTypes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 22,
  initComponent : function() {
    var name6706 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Bezeichnung</span>", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(excerpts.ExcerptTypes.name) The designation of this excerpt type.\nOne field for every language.") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6707 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(excerpts.ExcerptTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6708 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(excerpts.ExcerptTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6709 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6706, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6707, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6708, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var content_type6713 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.gfks.ContentTypes.detail", "emptyText": "Datenbankmodell ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Modell</span>", "hiddenName": "content_typeHidden", "listeners": { "render": Lino.quicktip_renderer("Modell","(excerpts.ExcerptTypes.content_type) The database model for which this excerpt type is to be used.") }, "name": "content_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.gfks.ContentTypes.detail,null)}, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/content_type" }) }) });
    var primary6714 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Prim\u00e4r", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Prim\u00e4r","(excerpts.ExcerptTypes.primary) Whether this is the default type to use for this model. There's at most one primary type per model. Enabling this field will automatically make the other types non-primary.") }, "name": "primary", "selectOnFocus": true });
    var certifying6715 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Bescheinigend", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Bescheinigend","(excerpts.ExcerptTypes.certifying) Ob Ausz\u00fcge dieser Art als einmalige Ausdrucke behandelt werden sollen.") }, "name": "certifying", "selectOnFocus": true });
    var main_2_panel6716 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": content_type6713, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": primary6714, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 25, "items": certifying6715, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var build_method6720 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Druckmethode</span>", "forceSelection": true, "hiddenName": "build_methodHidden", "listeners": { "render": Lino.quicktip_renderer("Druckmethode","(excerpts.ExcerptTypes.build_method) See lino.modlib.printing.mixins.PrintableType.build_method.") }, "name": "build_method", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var template6721 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Vorlage","(excerpts.ExcerptTypes.template) The main template to be used when printing an excerpt of this type.") }, "name": "template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/template" }) }) });
    var body_template6722 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Textk\u00f6rper-Vorlage</span>", "listeners": { "render": Lino.quicktip_renderer("Textk\u00f6rper-Vorlage","(excerpts.ExcerptTypes.body_template) The body template to use when printing an excerpt of this type.") }, "name": "body_template", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptTypes/body_template" }) }) });
    var main_3_panel6723 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": build_method6720, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": template6721, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": body_template6722, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6727 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6709, main_2_panel6716, main_3_panel6723 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6727;
    this.before_row_edit = function(record) {
      template6721.setContextValue('build_method', record ? record.data['build_methodHidden'] : undefined);
      template6721.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
      body_template6722.setContextValue('content_type', record ? record.data['content_typeHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof build_method6720 !== 'undefined' && build_method6720.on('change',Lino.chooser_handler(template6721,'build_method'));
      typeof content_type6713 !== 'undefined' && content_type6713.on('change',Lino.chooser_handler(template6721,'content_type'));
      typeof content_type6713 !== 'undefined' && content_type6713.on('change',Lino.chooser_handler(body_template6722,'content_type'));
      Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.ExcerptTypes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.excerpts.Excerpts.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel excerpts-Excerpts",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 23,
  initComponent : function() {
    var excerpt_type6657 = new Lino.TwinCombo({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.excerpts.ExcerptTypes.detail", "emptyText": "Auszugsart ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Auszugsart</span>", "hiddenName": "excerpt_typeHidden", "insert_action": "Lino.excerpts.ExcerptTypes.insert", "listeners": { "render": Lino.quicktip_renderer("Auszugsart","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "name": "excerpt_type", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.excerpts.ExcerptTypes.detail,Lino.excerpts.ExcerptTypes.insert)}, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var project6658 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Klient</span>", "hiddenName": "projectHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "name": "project", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var main_1_panel6659 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": excerpt_type6657, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": project6658, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6662 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var contact_person6663 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var main_2_panel6664 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": company6662, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": contact_person6663, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6667 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6659, main_2_panel6664 ], "labelAlign": "top", "layout": "form" });
    this.items = main_panel6667;
    this.before_row_edit = function(record) {
      excerpt_type6657.setContextValue('owner', record ? record.data['owner'] : undefined);
      contact_person6663.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    }
    this.onRender = function(ct, position) {
      typeof company6662 !== 'undefined' && company6662.on('change',Lino.chooser_handler(contact_person6663,'company'));
      Lino.excerpts.Excerpts.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.excerpts.Excerpts.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  content_type: 24,
  initComponent : function() {
    var ref6728 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description6729 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel6730 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref6728, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description6729, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir6733 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url6734 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_2_panel6735 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": root_dir6733, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": base_url6734, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var overview_htmlbox6738 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "flex": 60, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "listeners": { "render": Lino.quicktip_renderer(null,"(uploads.Volumes.overview) ") }, "name": "overview", "value": "<br/>" });
    var main_panel6739 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6730, main_2_panel6735, overview_htmlbox6738 ], "labelAlign": "top", "labelWidth": 0, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6739;
    this.before_row_edit = function(record) {
      overview_htmlbox6738.refresh();
    }
    Lino.uploads.Volumes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.finan.DisbursementOrdersByJournal.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel finan-DisbursementOrdersByJournal",
  layout: 'fit',
  auto_save: true,
  actions_hotkeys: [ { "ba": "Lino.row_action_handler('toggle_state', 'GET', null)", "ctrl": true, "key": "x", "shift": false } ],
  autoHeight: true,
  content_type: 74,
  initComponent : function() {
    var item_account6740 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.ledger.Accounts.detail", "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Standardwert Konto</span>", "hiddenName": "item_accountHidden", "insert_action": "Lino.ledger.Accounts.insert", "listeners": { "render": Lino.quicktip_renderer("Standardwert Konto","(finan.DisbursementOrdersByJournal.item_account) The default value to use when\nFinancialVoucherItem.account of an item is empty.") }, "name": "item_account", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.ledger.Accounts.detail,Lino.ledger.Accounts.insert)}, "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/DisbursementOrdersByJournal/item_account" }) }) });
    var voucher_date6741 = new Lino.DateField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Belegdatum</span>", "listeners": { "render": Lino.quicktip_renderer("Belegdatum","(finan.DisbursementOrdersByJournal.voucher_date) The date on the voucher (i.e. when it has been issued by its\nemitter).") }, "name": "voucher_date", "selectOnFocus": true });
    var main_panel6742 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ { "anchor": "-20", "autoHeight": true, "items": item_account6740, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": voucher_date6741, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6742;
    this.before_row_edit = function(record) {
    }
    Lino.finan.DisbursementOrdersByJournal.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel aids-IncomeConfirmationsByGranting",
  layout: 'fit',
  auto_save: true,
  content_type: 135,
  initComponent : function() {
    var client6745 = new Lino.TwinCombo({ "allowBlank": false, "detail_action": "Lino.pcsw.Clients.detail", "emptyText": "Klient ausw\u00e4hlen...", "fieldLabel": "Klient", "flex": 44, "hidden": true, "hiddenName": "clientHidden", "insert_action": "Lino.pcsw.Clients.insert", "listeners": { "render": Lino.quicktip_renderer("Klient","(aids.IncomeConfirmationsByGranting.client) ") }, "name": "client", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.pcsw.Clients.detail,Lino.pcsw.Clients.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var granting6746 = new Lino.TwinCombo({ "allowBlank": true, "detail_action": "Lino.aids.Grantings.detail", "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "fieldLabel": "Hilfebeschluss", "flex": 55, "hidden": true, "hiddenName": "grantingHidden", "insert_action": "Lino.aids.Grantings.insert", "listeners": { "render": Lino.quicktip_renderer("Hilfebeschluss","(aids.IncomeConfirmationsByGranting.granting) ") }, "name": "granting", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Grantings.detail,Lino.aids.Grantings.insert)}, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    var main_1_panel6747 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hidden": true, "hideCheckBoxLabels": true, "items": [ client6745, granting6746 ], "labelAlign": "top", "labelWidth": 135, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var start_date6748 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("Periode vom","(aids.IncomeConfirmationsByGranting.start_date) ") }, "name": "start_date", "selectOnFocus": true });
    var end_date6749 = new Lino.DateField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "bis", "listeners": { "render": Lino.quicktip_renderer("bis","(aids.IncomeConfirmationsByGranting.end_date) ") }, "name": "end_date", "selectOnFocus": true });
    var main_2_panel6750 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 50, "items": start_date6748, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 50, "items": end_date6749, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var category6753 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.aids.Categories.detail", "emptyText": "Kategorie ausw\u00e4hlen...", "fieldLabel": "Kategorie", "hiddenName": "categoryHidden", "listeners": { "render": Lino.quicktip_renderer("Kategorie","(aids.IncomeConfirmationsByGranting.category) ") }, "name": "category", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.aids.Categories.detail,null)}, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount6754 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "decimalPrecision": 2, "decimalSeparator": ",", "fieldLabel": "Betrag", "listeners": { "render": Lino.quicktip_renderer("Betrag","(aids.IncomeConfirmationsByGranting.amount) ") }, "name": "amount", "selectOnFocus": true });
    var main_3_panel6755 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 62, "items": category6753, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 37, "items": amount6754, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var company6758 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "detail_action": "Lino.contacts.Companies.detail", "emptyText": "Organisation ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Organisation)</span>", "hiddenName": "companyHidden", "insert_action": "Lino.contacts.Companies.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Organisation)","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "name": "company", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Companies.detail,Lino.contacts.Companies.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person6759 = new Lino.TwinCombo({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "can_create_choice": false, "detail_action": "Lino.contacts.Persons.detail", "emptyText": "Person ausw\u00e4hlen...", "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Empf\u00e4nger (Person)</span>", "hiddenName": "contact_personHidden", "insert_action": "Lino.contacts.Persons.insert", "listeners": { "render": Lino.quicktip_renderer("Empf\u00e4nger (Person)","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "name": "contact_person", "onTrigger2Click": function(e){ Lino.show_fk_detail(this,Lino.contacts.Persons.detail,Lino.contacts.Persons.insert)}, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var language6760 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Sprache", "hiddenName": "languageHidden", "listeners": { "render": Lino.quicktip_renderer("Sprache","(aids.IncomeConfirmationsByGranting.language) ") }, "name": "language", "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var main_4_panel6761 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": company6758, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": contact_person6759, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": language6760, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var remark6765 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "fieldLabel": "Bemerkung", "flex": 55, "name": "remark", "selectOnFocus": true, "title": "Bemerkung" });
    var main_panel6766 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6747, main_2_panel6750, main_3_panel6755, main_4_panel6761, remark6765 ], "labelAlign": "top", "labelWidth": 90, "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6766;
    this.before_row_edit = function(record) {
      contact_person6759.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark6765.refresh();
    }
    this.onRender = function(ct, position) {
      typeof company6758 !== 'undefined' && company6758.on('change',Lino.chooser_handler(contact_person6759,'company'));
      Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.onRender.call(this, ct, position);
    }
    Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.Volumes.InsertFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-InsertFormPanel uploads-Volumes",
  layout: 'fit',
  auto_save: true,
  autoHeight: true,
  content_type: 24,
  initComponent : function() {
    var ref6767 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(uploads.Volumes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var description6768 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("Beschreibung","(uploads.Volumes.description) ") }, "maxLength": 255, "name": "description", "selectOnFocus": true });
    var main_1_panel6769 = new Ext.Panel({ "anchor": "-20", "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 65, "items": ref6767, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 34, "items": description6768, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var root_dir6772 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Root directory", "listeners": { "render": Lino.quicktip_renderer("Root directory","(uploads.Volumes.root_dir) ") }, "maxLength": 255, "name": "root_dir", "selectOnFocus": true });
    var base_url6773 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Base URL", "listeners": { "render": Lino.quicktip_renderer("Base URL","(uploads.Volumes.base_url) ") }, "maxLength": 255, "name": "base_url", "selectOnFocus": true });
    var main_panel6774 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6769, { "anchor": "-20", "autoHeight": true, "items": root_dir6772, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "anchor": "-20", "autoHeight": true, "items": base_url6773, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "form" });
    this.items = main_panel6774;
    this.before_row_edit = function(record) {
    }
    Lino.uploads.Volumes.InsertFormPanel.superclass.initComponent.call(this);
  }
});


Lino.uploads.UploadTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel uploads-UploadTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 25,
  initComponent : function() {
    var id6777 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(uploads.UploadTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var upload_area6778 = new Lino.ChoicesFieldElement({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Upload-Bereich", "forceSelection": true, "hiddenName": "upload_areaHidden", "listeners": { "render": Lino.quicktip_renderer("Upload-Bereich","(uploads.UploadTypes.upload_area) ") }, "name": "upload_area", "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var shortcut6779 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Upload shortcut</span>", "forceSelection": true, "hiddenName": "shortcutHidden", "listeners": { "render": Lino.quicktip_renderer("Upload shortcut","(uploads.UploadTypes.shortcut) Optional pointer to a virtual upload shortcut field.  If\nthis is not empty, then the given shortcut field will manage\nuploads of this type.  See also Shortcuts.") }, "name": "shortcut", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.uploads.Shortcuts) });
    var main_1_panel6780 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 10, "items": id6777, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 26, "items": upload_area6778, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 63, "items": shortcut6779, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var name6784 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(uploads.UploadTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6785 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(uploads.UploadTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6786 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(uploads.UploadTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_2_panel6787 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 33, "items": name6784, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_fr6785, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 33, "items": name_en6786, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var warn_expiry_unit6791 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Einheit)", "forceSelection": true, "hiddenName": "warn_expiry_unitHidden", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Einheit)","(uploads.UploadTypes.warn_expiry_unit) ") }, "name": "warn_expiry_unit", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.Recurrencies) });
    var warn_expiry_value6792 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Ablaufwarnung (Wert)", "listeners": { "render": Lino.quicktip_renderer("Ablaufwarnung (Wert)","(uploads.UploadTypes.warn_expiry_value) ") }, "name": "warn_expiry_value", "selectOnFocus": true, "value": 2 });
    var wanted6793 = new Ext.form.Checkbox({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "boxLabel": "Wanted", "checked": false, "hideLabel": true, "listeners": { "render": Lino.quicktip_renderer("Wanted","(uploads.UploadTypes.wanted) Add a (+) button when there is no upload of this type.") }, "name": "wanted", "selectOnFocus": true });
    var max_number6794 = new Ext.form.NumberField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Max. number</span>", "listeners": { "render": Lino.quicktip_renderer("Max. number","(uploads.UploadTypes.max_number) No need to upload more uploads than N of this type.\n-1 means no limit.") }, "name": "max_number", "selectOnFocus": true, "value": -1 });
    var main_3_panel6795 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 53, "items": warn_expiry_unit6791, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": warn_expiry_value6792, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 23, "items": wanted6793, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 11, "items": max_number6794, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var uploads_UploadsByType_grid6826 = new Lino.uploads.UploadsByType.GridPanel({ "containing_panel": this, "flex": 62, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Upload-Dateien","(uploads.uploads.UploadsByType) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.uploads.UploadsByType.grid) ] });
    var main_panel6827 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6780, main_2_panel6787, main_3_panel6795, uploads_UploadsByType_grid6826 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6827;
    this.before_row_edit = function(record) {
      uploads_UploadsByType_grid6826.on_master_changed();
    }
    Lino.uploads.UploadTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.art61.ContractTypes.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel art61-ContractTypes",
  layout: 'fit',
  auto_save: true,
  content_type: 104,
  initComponent : function() {
    var id6828 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(art61.ContractTypes.id) ") }, "name": "id", "selectOnFocus": true });
    var name6829 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(art61.ContractTypes.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6830 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(art61.ContractTypes.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6831 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(art61.ContractTypes.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var ref6832 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "<span style=\"border-bottom: 1px dotted #000000;\">Referenz</span>", "listeners": { "render": Lino.quicktip_renderer("Referenz","(art61.ContractTypes.ref) Die Referenz. Muss entweder leer oder einzig sein.") }, "maxLength": 200, "name": "ref", "selectOnFocus": true });
    var overlap_group6833 = new Lino.ChoicesFieldElement({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "\u00dcberlappungsgruppe", "forceSelection": true, "hiddenName": "overlap_groupHidden", "listeners": { "render": Lino.quicktip_renderer("\u00dcberlappungsgruppe","(art61.ContractTypes.overlap_group) ") }, "name": "overlap_group", "selectOnFocus": true, "store": [['','<br>']].concat(Lino.isip.OverlapGroups) });
    var main_1_panel6834 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 3, "items": id6828, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name6829, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_fr6830, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 16, "items": name_en6831, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 31, "items": ref6832, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 15, "items": overlap_group6833, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var main_panel6879 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6834 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6879;
    this.before_row_edit = function(record) {
    }
    Lino.art61.ContractTypes.DetailFormPanel.superclass.initComponent.call(this);
  }
});


Lino.jobs.Schedules.DetailFormPanel = Ext.extend(Lino.FormPanel,{
cls: "l-DetailFormPanel jobs-Schedules",
  layout: 'fit',
  auto_save: true,
  content_type: 96,
  initComponent : function() {
    var id6880 = new Ext.form.NumberField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "ID", "listeners": { "render": Lino.quicktip_renderer("ID","(jobs.Schedules.id) ") }, "name": "id", "selectOnFocus": true });
    var name6881 = new Ext.form.TextField({ "allowBlank": false, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung","(jobs.Schedules.name) ") }, "maxLength": 200, "name": "name", "selectOnFocus": true });
    var name_fr6882 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (fr)","(jobs.Schedules.name_fr) ") }, "maxLength": 200, "name": "name_fr", "selectOnFocus": true });
    var name_en6883 = new Ext.form.TextField({ "allowBlank": true, "anchor": "-20", "autoHeight": true, "fieldLabel": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("Bezeichnung (en)","(jobs.Schedules.name_en) ") }, "maxLength": 200, "name": "name_en", "selectOnFocus": true });
    var main_1_panel6884 = new Ext.Panel({ "autoHeight": true, "autoScroll": false, "border": false, "frame": false, "hideCheckBoxLabels": true, "items": [ { "autoHeight": true, "flex": 7, "items": id6880, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name6881, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_fr6882, "labelAlign": "top", "layout": "form", "xtype": "panel" }, { "autoHeight": true, "flex": 30, "items": name_en6883, "labelAlign": "top", "layout": "form", "xtype": "panel" } ], "labelAlign": "top", "labelWidth": 0, "layout": "hbox", "layoutConfig": { "align": "stretchmax" } });
    var ContractsBySchedule_grid6922 = new Lino.jobs.ContractsBySchedule.GridPanel({ "containing_panel": this, "flex": 83, "hide_top_toolbar": true, "listeners": { "render": Lino.quicktip_renderer("Art.60\u00a77-Konventionen","(jobs.jobs.ContractsBySchedule) ") }, "master_panel": this, "params_panel_hidden": true, "preview_limit": 15, "tools": [ Lino.show_in_own_window_button(Lino.jobs.ContractsBySchedule.grid) ] });
    var main_panel6923 = new Ext.Panel({ "autoScroll": false, "bodyBorder": false, "border": false, "frame": true, "hideCheckBoxLabels": true, "items": [ main_1_panel6884, ContractsBySchedule_grid6922 ], "labelAlign": "top", "layout": "vbox", "layoutConfig": { "align": "stretch" } });
    this.items = main_panel6923;
    this.before_row_edit = function(record) {
      ContractsBySchedule_grid6922.on_master_changed();
    }
    Lino.jobs.Schedules.DetailFormPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.merge_row_ActionFormPanel(p);
});
Lino.contacts.Persons.create_household = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.create_household_ActionFormPanel(p);
});
Lino.contacts.Companies.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.merge_row_ActionFormPanel(p);
});
Lino.cal.Guests.checkin = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.checkin_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf1 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf1_ActionFormPanel(p);
});
Lino.cal.GuestStates.wf2 = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.wf2_ActionFormPanel(p);
});
Lino.pcsw.Clients.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.merge_row_ActionFormPanel(p);
});
Lino.pcsw.Clients.refuse_client = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.refuse_client_ActionFormPanel(p);
});
Lino.pcsw.Clients.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.create_visit_ActionFormPanel(p);
});
Lino.households.Households.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.merge_row_ActionFormPanel(p);
});
Lino.users.AllUsers.change_password = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.AllUsers.change_password_ActionFormPanel(p);
});
Lino.users.UsersOverview.sign_in = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.sign_in_ActionFormPanel(p);
});
Lino.coachings.Coachings.create_visit = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  return new Lino.coachings.Coachings.create_visit_ActionFormPanel(p);
});
Lino.newcomers.AvailableCoachesByClient.assign_coach = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(15), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/AvailableCoachesByClient" };
  return new Lino.newcomers.AvailableCoachesByClient.assign_coach_ActionFormPanel(p);
});
Lino.debts.Accounts.merge_row = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.Accounts.merge_row_ActionFormPanel(p);
});

// js_render_GridPanel_class contacts.Partners
Lino.contacts.Partners.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Partners",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "address_column" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Partners','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  disabled_fields_index : 42,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    var ww = this.containing_window;
    var name6931 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id6932 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp6933 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6934 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var language6935 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6936 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone6937 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6938 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6939 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6940 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6941 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6942 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/country" }) }) });
    var city6943 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/city" }) }) });
    var zip_code6944 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6945 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/region" }) }) });
    var addr16946 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6947 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6948 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6949 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6950 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26951 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6952 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6953 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6954 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6955 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/activity" }) }) });
    var client_contact_type6956 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/client_contact_type" }) }) });
    var payment_term6957 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Partners/payment_term" }) }) });
    var name_column_disp6958 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6959 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6960 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp6961 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var address_column_disp6962 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality6963 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp6964 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6959 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    this.before_row_edit = function(record) {
      city6943.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6943.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6945.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox6959.refresh();
      overview_htmlbox6959.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country6942 !== 'undefined' && country6942.on('change',Lino.chooser_handler(city6943,'country'));
      typeof region6945 !== 'undefined' && region6945.on('change',Lino.chooser_handler(city6943,'region'));
      typeof country6942 !== 'undefined' && country6942.on('change',Lino.chooser_handler(region6945,'country'));
      Lino.contacts.Partners.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name6931, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id6932, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email6934, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language6935, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url6936, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone6937, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm6938, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6939, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6942, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6943, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6944, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6945, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16946, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6947, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6948, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6949, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6950, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26951, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6952, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity6955, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6956, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "payment_term", "editable": true, "editor": payment_term6957, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.name_column) ") }, "sortable": false, "tooltip": "(contacts.Partners.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.overview) ") }, "sortable": false, "tooltip": "(contacts.Partners.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.contact_details) ") }, "sortable": false, "tooltip": "(contacts.Partners.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "address_column", "editable": false, "header": "Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.address_column) ") }, "sortable": false, "tooltip": "(contacts.Partners.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 33, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.created_natural) ") }, "sortable": false, "tooltip": "(contacts.Partners.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Partners.overview) ") }, "sortable": false, "tooltip": "(contacts.Partners.overview) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.Partners.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Partners.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Partners",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Partners.detail;
    Lino.contacts.Partners.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Partners.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  return new Lino.contacts.Partners.detailPanel(p);
});
Lino.contacts.Partners.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Partners" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Partners.GridPanel(p);
});
Lino.contacts.Partners.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Partners.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Partners", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Persons
Lino.contacts.Persons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Persons",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "age" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Persons','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Person) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Personen",
  disabled_fields_index : 50,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    var ww = this.containing_window;
    var name_column_disp6966 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp6967 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email6968 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone6969 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6970 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id6971 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language6972 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6973 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6974 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6975 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6976 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/country" }) }) });
    var city6978 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/city" }) }) });
    var zip_code6979 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6980 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/region" }) }) });
    var addr16981 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6982 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6983 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6984 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6985 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26986 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6987 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name6988 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6989 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6990 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6991 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/activity" }) }) });
    var client_contact_type6992 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/client_contact_type" }) }) });
    var payment_term6993 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Persons/payment_term" }) }) });
    var title6994 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name6995 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name6996 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name6997 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender6998 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date6999 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var overview_htmlbox7000 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7001 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp7002 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp7003 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality7004 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp7005 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp7006 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city6978.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6978.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6980.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox7000.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country6977 !== 'undefined' && country6977.on('change',Lino.chooser_handler(city6978,'country'));
      typeof region6980 !== 'undefined' && region6980.on('change',Lino.chooser_handler(city6978,'region'));
      typeof country6977 !== 'undefined' && country6977.on('change',Lino.chooser_handler(region6980,'country'));
      Lino.contacts.Persons.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.address_column) ") }, "sortable": false, "tooltip": "(contacts.Persons.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email6968, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone6969, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm6970, "filter": { "type": "string" }, "header": "GSM", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6971, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language6972, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url6973, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax6974, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country6977, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city6978, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code6979, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region6980, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr16981, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6982, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street6983, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no6984, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box6985, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr26986, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix6987, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name6988, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6991, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6992, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term6993, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "title", "editable": true, "editor": title6994, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "first_name", "editable": true, "editor": first_name6995, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "middle_name", "editable": true, "editor": middle_name6996, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "last_name", "editable": true, "editor": last_name6997, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "gender", "editable": true, "editor": gender6998, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 33, "dataIndex": "birth_date", "editable": true, "editor": birth_date6999, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 34, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.overview) ") }, "sortable": false, "tooltip": "(contacts.Persons.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 35, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 36, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.contact_details) ") }, "sortable": false, "tooltip": "(contacts.Persons.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 37, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 38, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 39, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.created_natural) ") }, "sortable": false, "tooltip": "(contacts.Persons.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 40, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Persons.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) } ];
    Lino.contacts.Persons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.insertPanel = Ext.extend(Lino.contacts.Persons.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.insertPanel(p);
});
Lino.contacts.Persons.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Persons.detailPanel = Ext.extend(Lino.contacts.Persons.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Person) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Persons",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Persons.detail;
    this.ls_insert_handler = Lino.contacts.Persons.insert;
    Lino.contacts.Persons.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Persons.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  return new Lino.contacts.Persons.detailPanel(p);
});
Lino.contacts.Persons.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Persons" };
  p.params_panel = new Lino.contacts.Persons.ParamsPanel({});
  return new Lino.contacts.Persons.GridPanel(p);
});
Lino.contacts.Persons.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Persons.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Persons", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.Companies
Lino.contacts.Companies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/Companies",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "gsm" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "type" }, 'typeHidden', { "name": "vat_id" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/Companies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisationen",
  disabled_fields_index : 45,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    var ww = this.containing_window;
    var name_column_disp7008 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7009 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7010 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7011 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7012 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7013 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var language7014 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7015 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7016 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7017 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7018 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7019 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/country" }) }) });
    var city7020 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/city" }) }) });
    var zip_code7021 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7022 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/region" }) }) });
    var addr17023 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7024 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7025 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7026 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7027 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27028 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7029 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name7030 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7031 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7032 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/activity" }) }) });
    var client_contact_type7034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/client_contact_type" }) }) });
    var payment_term7035 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/payment_term" }) }) });
    var type7036 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisationsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.CompanyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/Companies/type" }) }) });
    var vat_id7037 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var overview_htmlbox7038 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7039 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp7040 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp7041 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality7042 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp7043 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city7020.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7020.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7022.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox7038.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country7019 !== 'undefined' && country7019.on('change',Lino.chooser_handler(city7020,'country'));
      typeof region7022 !== 'undefined' && region7022.on('change',Lino.chooser_handler(city7020,'region'));
      typeof country7019 !== 'undefined' && country7019.on('change',Lino.chooser_handler(region7022,'country'));
      Lino.contacts.Companies.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.address_column) ") }, "sortable": false, "tooltip": "(contacts.Companies.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "email", "editable": true, "editor": email7010, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "phone", "editable": true, "editor": phone7011, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "gsm", "editable": true, "editor": gsm7012, "filter": { "type": "string" }, "header": "GSM", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7013, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language7014, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url7015, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax7016, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country7019, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city7020, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code7021, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region7022, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr17023, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7024, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street7025, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no7026, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box7027, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr27028, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix7029, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "name", "editable": true, "editor": name7030, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7033, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7034, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7035, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "type", "editable": true, "editor": type7036, "filter": { "type": "string" }, "header": "Organisationsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.type) Pointer to the CompanyType.") }, "sortable": false, "tooltip": "Pointer to the CompanyType.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "vat_id", "editable": true, "editor": vat_id7037, "filter": { "type": "string" }, "header": "MwSt.-Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.vat_id) The national VAT identification number of this partner.") }, "sortable": true, "tooltip": "The national VAT identification number of this partner.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.overview) ") }, "sortable": false, "tooltip": "(contacts.Companies.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.contact_details) ") }, "sortable": false, "tooltip": "(contacts.Companies.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 35, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.Companies.created_natural) ") }, "sortable": false, "tooltip": "(contacts.Companies.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.Companies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.insertPanel(p);
});
Lino.contacts.Companies.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.Companies.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/Companies",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.Companies.detail;
    this.ls_insert_handler = Lino.contacts.Companies.insert;
    Lino.contacts.Companies.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.Companies.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  return new Lino.contacts.Companies.detailPanel(p);
});
Lino.contacts.Companies.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/Companies" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.Companies.GridPanel(p);
});
Lino.contacts.Companies.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.Companies.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/Companies", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.Messages
Lino.notify.Messages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/Messages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "seen" }, { "name": "sent" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "message_type" }, 'message_typeHidden', { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/Messages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungen",
  disabled_fields_index : 21,
  initComponent : function() {
    var ww = this.containing_window;
    var created7045 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject7046 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var user7047 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var seen7048 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var sent7049 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var id7050 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type7051 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_type" }) }) });
    var owner_id7052 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/Messages/owner_id" }) }) });
    var message_type7053 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var body7054 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode7055 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp7056 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp7057 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7058 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7059 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp7060 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      owner_id7052.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body7054.refresh();
      overview_htmlbox7058.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7051 !== 'undefined' && owner_type7051.on('change',Lino.chooser_handler(owner_id7052,'owner_type'));
      Lino.notify.Messages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.user) The recipient.") }, "sortable": false, "tooltip": "The recipient.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "seen", "editable": false, "header": "gelesen", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.seen) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "sent", "editable": false, "header": "verschickt", "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7050, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type7051, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id7052, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "message_type", "editable": true, "editor": message_type7053, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 9, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode7055, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 11, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.owner) The database object which controls this message.") }, "sortable": false, "tooltip": "The database object which controls this message.", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.name_column) ") }, "sortable": false, "tooltip": "(notify.Messages.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 13, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.overview) ") }, "sortable": false, "tooltip": "(notify.Messages.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.Messages.created_natural) ") }, "sortable": false, "tooltip": "(notify.Messages.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.notify.Messages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.Messages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/Messages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.Messages.GridPanel(p);
});
Lino.notify.Messages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.Messages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/Messages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notify.MyMessages
Lino.notify.MyMessages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MyMessages",
  ls_store_fields : [ { "name": "created" }, { "name": "subject" }, { "name": "message_type" }, 'message_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "seen" }, { "name": "sent" }, { "name": "body" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 14,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "mark_all_seen", "menu_item_text": "Alle als gelesen markieren", "overflowText": "Alle als gelesen markieren", "panel_btn_handler": Lino.list_action_handler('/notify/MyMessages','mark_all_seen','POST',null), "text": " <font size=\"4\">\u2713</font>", "tooltip": "Mark all messages as seen.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Benachrichtigungen",
  disabled_fields_index : 21,
  initComponent : function() {
    var ww = this.containing_window;
    var created7072 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject7073 = new Ext.form.TextField({ "disabled": true, "maxLength": 250 });
    var message_type7074 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.notify.MessageTypes });
    var workflow_buttons_disp7075 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7076 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user7077 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var owner_type7078 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_type" }) }) });
    var owner_id7079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notify/MyMessages/owner_id" }) }) });
    var seen7080 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var sent7081 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var body7082 = new Lino.RichTextPanel({ "containing_panel": this, "disabled": true, "hidden": true, "title": "Inhalt" });
    var mail_mode7083 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var owner_disp7084 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp7085 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7086 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7087 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      owner_id7079.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body7082.refresh();
      overview_htmlbox7086.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7078 !== 'undefined' && owner_type7078.on('change',Lino.chooser_handler(owner_id7079,'owner_type'));
      Lino.notify.MyMessages.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": false, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "message_type", "editable": true, "editor": message_type7074, "filter": { "options": [ "Systemereignis", "\u00c4nderung", "Empfang", "Begleitungen", "Notes" ], "type": "list" }, "header": "Message Type", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.message_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7076, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": false, "filter": { "type": "string" }, "header": "Empf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.user) The recipient.") }, "sortable": false, "tooltip": "The recipient.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type7078, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id7079, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "seen", "editable": false, "header": "gelesen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.seen) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "sent", "editable": false, "header": "verschickt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "body", "editable": false, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode7083, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.owner) The database object which controls this message.") }, "sortable": false, "tooltip": "The database object which controls this message.", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.name_column) ") }, "sortable": false, "tooltip": "(notify.MyMessages.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 14, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.overview) ") }, "sortable": false, "tooltip": "(notify.MyMessages.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MyMessages.created_natural) ") }, "sortable": false, "tooltip": "(notify.MyMessages.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MyMessages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MyMessages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.clear_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "clear_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MyMessages" };
  p.params_panel = new Lino.notify.Messages.ParamsPanel({});
  return new Lino.notify.MyMessages.GridPanel(p);
});
Lino.notify.MyMessages.mark_all_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "POST", pk, "mark_all_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MyMessages.mark_seen = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MyMessages", "GET", pk, "mark_seen", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class properties.PropChoices
Lino.properties.PropChoices.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/PropChoices",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "type" }, 'typeHidden', { "name": "value" }, { "name": "text" }, { "name": "text_fr" }, { "name": "text_en" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/PropChoices','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswahlm\u00f6glichkeiten",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var id7089 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var type7090 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/PropChoices/type" }) }) });
    var value7091 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var text7092 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_fr7093 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_en7094 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_column_disp7095 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7096 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7097 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7096.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7089, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7090, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "value", "editable": true, "editor": value7091, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "text", "editable": true, "editor": text7092, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "text_fr", "editable": true, "editor": text_fr7093, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "text_en", "editable": true, "editor": text_en7094, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.text_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.name_column) ") }, "sortable": false, "tooltip": "(properties.PropChoices.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.overview) ") }, "sortable": false, "tooltip": "(properties.PropChoices.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.PropChoices.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.properties.PropChoices.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.PropChoices.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/PropChoices", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.PropChoices.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/PropChoices" };
  return new Lino.properties.PropChoices.GridPanel(p);
});

// js_render_GridPanel_class checkdata.Problems
Lino.checkdata.Problems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/Problems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/Problems','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Problems.detail;
    var ww = this.containing_window;
    var user7099 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/user" }) }) });
    var owner_disp7100 = new Ext.form.DisplayField({ "disabled": true });
    var message7101 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker7102 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id7103 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type7104 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/owner_type" }) }) });
    var owner_id7105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/Problems/owner_id" }) }) });
    var name_column_disp7106 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7107 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7108 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7107.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7104 !== 'undefined' && owner_type7104.on('change',Lino.chooser_handler(owner_id7105,'owner_type'));
      Lino.checkdata.Problems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7099, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner) ") }, "sortable": false, "tooltip": "(checkdata.Problems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message7101, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker7102, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7103, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type7104, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id7105, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.name_column) ") }, "sortable": false, "tooltip": "(checkdata.Problems.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.overview) ") }, "sortable": false, "tooltip": "(checkdata.Problems.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.Problems.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.checkdata.Problems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Problems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.Problems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/Problems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.Problems.detail;
    Lino.checkdata.Problems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.Problems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Problems" };
  return new Lino.checkdata.Problems.detailPanel(p);
});
Lino.checkdata.Problems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/Problems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.Problems.GridPanel(p);
});
Lino.checkdata.Problems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.Problems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/Problems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class checkdata.MyProblems
Lino.checkdata.MyProblems.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/MyProblems",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/MyProblems','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Datenkontrollliste",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyProblems.detail;
    var ww = this.containing_window;
    var user7110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/user" }) }) });
    var owner_disp7111 = new Ext.form.DisplayField({ "disabled": true });
    var message7112 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker7113 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var id7114 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type7115 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/owner_type" }) }) });
    var owner_id7116 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/MyProblems/owner_id" }) }) });
    var name_column_disp7117 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7118 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7119 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7118.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7115 !== 'undefined' && owner_type7115.on('change',Lino.chooser_handler(owner_id7116,'owner_type'));
      Lino.checkdata.MyProblems.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7110, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner) ") }, "sortable": false, "tooltip": "(checkdata.MyProblems.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message7112, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 3, "dataIndex": "checker", "editable": true, "editor": checker7113, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7114, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type7115, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id7116, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.name_column) ") }, "sortable": false, "tooltip": "(checkdata.MyProblems.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.overview) ") }, "sortable": false, "tooltip": "(checkdata.MyProblems.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.MyProblems.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.checkdata.MyProblems.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyProblems.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.MyProblems.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/MyProblems",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.MyProblems.detail;
    Lino.checkdata.MyProblems.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.MyProblems.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyProblems" };
  return new Lino.checkdata.MyProblems.detailPanel(p);
});
Lino.checkdata.MyProblems.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/MyProblems" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.MyProblems.GridPanel(p);
});
Lino.checkdata.MyProblems.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.MyProblems.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/MyProblems", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.Excerpts
Lino.excerpts.Excerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Excerpts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "company" }, 'companyHidden', { "name": "language" }, 'languageHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body_template_content" }, { "name": "preview" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/Excerpts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    var ww = this.containing_window;
    var id7121 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var excerpt_type7122 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/excerpt_type" }) }) });
    var owner_disp7123 = new Ext.form.DisplayField({ "disabled": true });
    var project7124 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/project" }) }) });
    var company7125 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/company" }) }) });
    var language7126 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var build_time7127 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var build_method7128 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7129 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/user" }) }) });
    var owner_type7130 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_type" }) }) });
    var owner_id7131 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/owner_id" }) }) });
    var contact_person7132 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_person" }) }) });
    var contact_role7133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/Excerpts/contact_role" }) }) });
    var body_template_content7134 = new Ext.form.TextArea({ "allowBlank": false, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var preview_htmlbox7135 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "preview", "title": "Vorschau", "value": "<br/>" });
    var name_column_disp7136 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7137 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7138 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      excerpt_type7122.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id7131.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7132.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      preview_htmlbox7135.refresh();
      overview_htmlbox7137.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_disp7123 !== 'undefined' && owner_disp7123.on('change',Lino.chooser_handler(excerpt_type7122,'owner'));
      typeof owner_type7130 !== 'undefined' && owner_type7130.on('change',Lino.chooser_handler(owner_id7131,'owner_type'));
      typeof company7125 !== 'undefined' && company7125.on('change',Lino.chooser_handler(contact_person7132,'company'));
      Lino.excerpts.Excerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7121, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type7122, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project7124, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "company", "editable": true, "editor": company7125, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language7126, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "build_method", "editable": true, "editor": build_method7128, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user7129, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type7130, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id7131, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7132, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7133, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "body_template_content", "editable": true, "editor": body_template_content7134, "header": "Textk\u00f6rper-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.body_template_content) ") }, "sortable": false, "tooltip": "(excerpts.Excerpts.body_template_content) ", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "preview", "editable": false, "header": "Vorschau", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.preview) ") }, "sortable": false, "tooltip": "(excerpts.Excerpts.preview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.name_column) ") }, "sortable": false, "tooltip": "(excerpts.Excerpts.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 16, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.overview) ") }, "sortable": false, "tooltip": "(excerpts.Excerpts.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Excerpts.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.excerpts.Excerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.Excerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/Excerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.Excerpts.detail;
    Lino.excerpts.Excerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Excerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  return new Lino.excerpts.Excerpts.detailPanel(p);
});
Lino.excerpts.Excerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Excerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Excerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.Excerpts.GridPanel(p);
});
Lino.excerpts.Excerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Excerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.MyExcerpts
Lino.excerpts.MyExcerpts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/MyExcerpts",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "owner" }, { "name": "body_template_content" }, { "name": "preview" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/MyExcerpts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Ausz\u00fcge",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    var ww = this.containing_window;
    var build_time7140 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type7141 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/excerpt_type" }) }) });
    var project7142 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/project" }) }) });
    var id7143 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method7144 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7145 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/user" }) }) });
    var owner_type7146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_type" }) }) });
    var owner_id7147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/owner_id" }) }) });
    var company7148 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/company" }) }) });
    var contact_person7149 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_person" }) }) });
    var contact_role7150 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/MyExcerpts/contact_role" }) }) });
    var language7151 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var owner_disp7152 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var body_template_content7153 = new Ext.form.TextArea({ "allowBlank": false, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var preview_htmlbox7154 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "preview", "title": "Vorschau", "value": "<br/>" });
    var name_column_disp7155 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7156 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7157 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      excerpt_type7141.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id7147.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7149.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      preview_htmlbox7154.refresh();
      overview_htmlbox7156.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_disp7152 !== 'undefined' && owner_disp7152.on('change',Lino.chooser_handler(excerpt_type7141,'owner'));
      typeof owner_type7146 !== 'undefined' && owner_type7146.on('change',Lino.chooser_handler(owner_id7147,'owner_type'));
      typeof company7148 !== 'undefined' && company7148.on('change',Lino.chooser_handler(contact_person7149,'company'));
      Lino.excerpts.MyExcerpts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type7141, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7142, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id7143, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "build_method", "editable": true, "editor": build_method7144, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7145, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type7146, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id7147, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company7148, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person7149, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role7150, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language7151, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "body_template_content", "editable": true, "editor": body_template_content7153, "header": "Textk\u00f6rper-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.body_template_content) ") }, "sortable": false, "tooltip": "(excerpts.MyExcerpts.body_template_content) ", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "preview", "editable": false, "header": "Vorschau", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.preview) ") }, "sortable": false, "tooltip": "(excerpts.MyExcerpts.preview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.name_column) ") }, "sortable": false, "tooltip": "(excerpts.MyExcerpts.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 16, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.overview) ") }, "sortable": false, "tooltip": "(excerpts.MyExcerpts.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.MyExcerpts.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.excerpts.MyExcerpts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.MyExcerpts.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/MyExcerpts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.MyExcerpts.detail;
    Lino.excerpts.MyExcerpts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.MyExcerpts.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  return new Lino.excerpts.MyExcerpts.detailPanel(p);
});
Lino.excerpts.MyExcerpts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.MyExcerpts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/MyExcerpts" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.MyExcerpts.GridPanel(p);
});
Lino.excerpts.MyExcerpts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/MyExcerpts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.Uploads
Lino.uploads.Uploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Uploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/Uploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    var ww = this.containing_window;
    var user7159 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/user" }) }) });
    var project7160 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/project" }) }) });
    var type7161 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/type" }) }) });
    var file7162 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date7163 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7164 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7165 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp7166 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7167 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type7168 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_type" }) }) });
    var owner_id7169 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/owner_id" }) }) });
    var company7170 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/company" }) }) });
    var contact_person7171 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_person" }) }) });
    var contact_role7172 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/contact_role" }) }) });
    var mimetype7173 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area7174 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7175 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/volume" }) }) });
    var library_file7176 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/Uploads/library_file" }) }) });
    var file_size7177 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description7178 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7179 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7180 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp7181 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7182 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7183 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      type7161.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7169.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7171.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7176.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox7182.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area7174 !== 'undefined' && upload_area7174.on('change',Lino.chooser_handler(type7161,'upload_area'));
      typeof owner_type7168 !== 'undefined' && owner_type7168.on('change',Lino.chooser_handler(owner_id7169,'owner_type'));
      typeof company7170 !== 'undefined' && company7170.on('change',Lino.chooser_handler(contact_person7171,'company'));
      typeof volume7175 !== 'undefined' && volume7175.on('change',Lino.chooser_handler(library_file7176,'volume'));
      Lino.uploads.Uploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7159, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7160, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7161, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file7162, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7163, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7164, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7167, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type7168, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id7169, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company7170, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person7171, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role7172, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area7174, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume7175, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file7176, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 18, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7178, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7179, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.owner) ") }, "sortable": false, "tooltip": "(uploads.Uploads.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.name_column) ") }, "sortable": false, "tooltip": "(uploads.Uploads.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.overview) ") }, "sortable": false, "tooltip": "(uploads.Uploads.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Uploads.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.uploads.Uploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.insertPanel(p);
});
Lino.uploads.Uploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.Uploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/Uploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.Uploads.detail;
    this.ls_insert_handler = Lino.uploads.Uploads.insert;
    Lino.uploads.Uploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Uploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  return new Lino.uploads.Uploads.detailPanel(p);
});
Lino.uploads.Uploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Uploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Uploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.Uploads.GridPanel(p);
});
Lino.uploads.Uploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Uploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyUploads
Lino.uploads.MyUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyUploads",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "file" }, { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/MyUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    var ww = this.containing_window;
    var id7185 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project7186 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/project" }) }) });
    var type7187 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/type" }) }) });
    var start_date7188 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7189 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7190 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp7191 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var file7192 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var user7193 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/user" }) }) });
    var owner_type7194 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_type" }) }) });
    var owner_id7195 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/owner_id" }) }) });
    var company7196 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/company" }) }) });
    var contact_person7197 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_person" }) }) });
    var contact_role7198 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/contact_role" }) }) });
    var mimetype7199 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area7200 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7201 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/volume" }) }) });
    var library_file7202 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyUploads/library_file" }) }) });
    var file_size7203 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description7204 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7205 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7206 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp7207 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7208 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7209 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      type7187.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7195.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7197.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7202.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox7208.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area7200 !== 'undefined' && upload_area7200.on('change',Lino.chooser_handler(type7187,'upload_area'));
      typeof owner_type7194 !== 'undefined' && owner_type7194.on('change',Lino.chooser_handler(owner_id7195,'owner_type'));
      typeof company7196 !== 'undefined' && company7196.on('change',Lino.chooser_handler(contact_person7197,'company'));
      typeof volume7201 !== 'undefined' && volume7201.on('change',Lino.chooser_handler(library_file7202,'volume'));
      Lino.uploads.MyUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7185, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7186, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7187, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7188, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date7189, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "file", "editable": true, "editor": file7192, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user7193, "filter": { "type": "string" }, "header": "Hochgeladen durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type7194, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id7195, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company7196, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person7197, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role7198, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area7200, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume7201, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file7202, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 18, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7204, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7205, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyUploads.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.name_column) ") }, "sortable": false, "tooltip": "(uploads.MyUploads.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.overview) ") }, "sortable": false, "tooltip": "(uploads.MyUploads.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyUploads.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.uploads.MyUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.insertPanel(p);
});
Lino.uploads.MyUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/MyUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyUploads.insert;
    Lino.uploads.MyUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  return new Lino.uploads.MyUploads.detailPanel(p);
});
Lino.uploads.MyUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyUploads.GridPanel(p);
});
Lino.uploads.MyUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.AreaUploads
Lino.uploads.AreaUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/AreaUploads",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/AreaUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    var ww = this.containing_window;
    var user7211 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/user" }) }) });
    var project7212 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/project" }) }) });
    var type7213 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/type" }) }) });
    var file7214 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date7215 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7216 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7217 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp7218 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7219 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type7220 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_type" }) }) });
    var owner_id7221 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/owner_id" }) }) });
    var company7222 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/company" }) }) });
    var contact_person7223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_person" }) }) });
    var contact_role7224 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/contact_role" }) }) });
    var mimetype7225 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area7226 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7227 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/volume" }) }) });
    var library_file7228 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/AreaUploads/library_file" }) }) });
    var file_size7229 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description7230 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7231 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7232 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp7233 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7234 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7235 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      type7213.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7221.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7223.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7228.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox7234.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area7226 !== 'undefined' && upload_area7226.on('change',Lino.chooser_handler(type7213,'upload_area'));
      typeof owner_type7220 !== 'undefined' && owner_type7220.on('change',Lino.chooser_handler(owner_id7221,'owner_type'));
      typeof company7222 !== 'undefined' && company7222.on('change',Lino.chooser_handler(contact_person7223,'company'));
      typeof volume7227 !== 'undefined' && volume7227.on('change',Lino.chooser_handler(library_file7228,'volume'));
      Lino.uploads.AreaUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user7211, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7212, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type7213, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file7214, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7215, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7216, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7219, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type7220, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id7221, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company7222, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person7223, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role7224, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area7226, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume7227, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file7228, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 18, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7230, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7231, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.AreaUploads.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.name_column) ") }, "sortable": false, "tooltip": "(uploads.AreaUploads.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.overview) ") }, "sortable": false, "tooltip": "(uploads.AreaUploads.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.AreaUploads.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.uploads.AreaUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.insertPanel(p);
});
Lino.uploads.AreaUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.AreaUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/AreaUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.AreaUploads.detail;
    this.ls_insert_handler = Lino.uploads.AreaUploads.insert;
    Lino.uploads.AreaUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.AreaUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  return new Lino.uploads.AreaUploads.detailPanel(p);
});
Lino.uploads.AreaUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.AreaUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/AreaUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.AreaUploads.GridPanel(p);
});
Lino.uploads.AreaUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/AreaUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.MyExpiringUploads
Lino.uploads.MyExpiringUploads.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/MyExpiringUploads",
  ls_store_fields : [ { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "description_link" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "file" }, { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/MyExpiringUploads','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine ablaufenden Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    var ww = this.containing_window;
    var project7237 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/project" }) }) });
    var type7238 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/type" }) }) });
    var description_link_disp7239 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user7240 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/user" }) }) });
    var start_date7241 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date7242 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed7243 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id7244 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type7245 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_type" }) }) });
    var owner_id7246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/owner_id" }) }) });
    var company7247 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/company" }) }) });
    var contact_person7248 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_person" }) }) });
    var contact_role7249 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/contact_role" }) }) });
    var file7250 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype7251 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area7252 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume7253 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/volume" }) }) });
    var library_file7254 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/MyExpiringUploads/library_file" }) }) });
    var file_size7255 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description7256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark7257 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp7258 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp7259 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7260 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7261 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      type7238.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id7246.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person7248.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file7254.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox7260.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area7252 !== 'undefined' && upload_area7252.on('change',Lino.chooser_handler(type7238,'upload_area'));
      typeof owner_type7245 !== 'undefined' && owner_type7245.on('change',Lino.chooser_handler(owner_id7246,'owner_type'));
      typeof company7247 !== 'undefined' && company7247.on('change',Lino.chooser_handler(contact_person7248,'company'));
      typeof volume7253 !== 'undefined' && volume7253.on('change',Lino.chooser_handler(library_file7254,'volume'));
      Lino.uploads.MyExpiringUploads.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "project", "editable": true, "editor": project7237, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7238, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7240, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date7241, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7242, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7244, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "owner_type", "editable": true, "editor": owner_type7245, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "owner_id", "editable": true, "editor": owner_id7246, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company7247, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7248, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7249, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "file", "editable": true, "editor": file7250, "filter": { "type": "string" }, "header": "Datei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area7252, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume7253, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file7254, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 18, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7256, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark7257, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.owner) ") }, "sortable": false, "tooltip": "(uploads.MyExpiringUploads.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.name_column) ") }, "sortable": false, "tooltip": "(uploads.MyExpiringUploads.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.overview) ") }, "sortable": false, "tooltip": "(uploads.MyExpiringUploads.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.MyExpiringUploads.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.uploads.MyExpiringUploads.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.insertPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.MyExpiringUploads.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/MyExpiringUploads",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.MyExpiringUploads.detail;
    this.ls_insert_handler = Lino.uploads.MyExpiringUploads.insert;
    Lino.uploads.MyExpiringUploads.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.MyExpiringUploads.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  return new Lino.uploads.MyExpiringUploads.detailPanel(p);
});
Lino.uploads.MyExpiringUploads.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.MyExpiringUploads.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/MyExpiringUploads" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.MyExpiringUploads.GridPanel(p);
});
Lino.uploads.MyExpiringUploads.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/MyExpiringUploads", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyTasks
Lino.cal.MyTasks.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyTasks",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyTasks','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Aufgaben",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    var ww = this.containing_window;
    var priority7263 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date7264 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary7265 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7266 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyTasks/project" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority7263, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date7264, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7265, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project7267, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyTasks.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.MyTasks.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.insertPanel(p);
});
Lino.cal.MyTasks.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyTasks.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyTasks",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyTasks.detail;
    this.ls_insert_handler = Lino.cal.MyTasks.insert;
    Lino.cal.MyTasks.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyTasks.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  return new Lino.cal.MyTasks.detailPanel(p);
});
Lino.cal.MyTasks.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyTasks" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.MyTasks.GridPanel(p);
});
Lino.cal.MyTasks.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyTasks.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyTasks", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.Guests
Lino.cal.Guests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Guests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "client" }, 'clientHidden', { "name": "event_summary" }, { "name": "name_column" }, { "name": "overview" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Guests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  disabled_fields_index : 19,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    var ww = this.containing_window;
    var partner7269 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/partner" }) }) });
    var role7270 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/role" }) }) });
    var workflow_buttons_disp7271 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7272 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event7273 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/Guests/event" }) }) });
    var id7274 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state7275 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since7276 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since7277 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since7278 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var client7279 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event_summary_disp7280 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp7281 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7282 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7282.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner7269, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role7270, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark7272, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event7273, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7274, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state7275, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "client", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.event_summary) ") }, "sortable": false, "tooltip": "(cal.Guests.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.name_column) ") }, "sortable": false, "tooltip": "(cal.Guests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 13, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Guests.overview) ") }, "sortable": false, "tooltip": "(cal.Guests.overview) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Guests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.insertPanel(p);
});
Lino.cal.Guests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.Guests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/Guests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.Guests.detail;
    this.ls_insert_handler = Lino.cal.Guests.insert;
    Lino.cal.Guests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Guests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  return new Lino.cal.Guests.detailPanel(p);
});
Lino.cal.Guests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Guests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.Guests.GridPanel(p);
});
Lino.cal.Guests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Guests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Guests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPresences
Lino.cal.MyPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPresences",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "client" }, 'clientHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyPresences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Anwesenheiten",
  disabled_fields_index : 21,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    var ww = this.containing_window;
    var event__start_date7284 = new Lino.DateField({ "disabled": true, "sortable": false, "value": null });
    var event__start_time7285 = new Lino.TimeField({ "disabled": true, "maxValue": "9:00 PM", "minValue": "7:00", "sortable": false, "value": null });
    var event_summary_disp7286 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role7287 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/role" }) }) });
    var workflow_buttons_disp7288 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7289 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7290 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event7291 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/event" }) }) });
    var partner7292 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPresences/partner" }) }) });
    var state7293 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since7294 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since7295 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since7296 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var client7297 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var name_column_disp7298 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7299 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7299.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": false, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": false, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event__start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyPresences.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role7287, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark7289, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7290, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event7291, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner7292, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state7293, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "client", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.name_column) ") }, "sortable": false, "tooltip": "(cal.MyPresences.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPresences.overview) ") }, "sortable": false, "tooltip": "(cal.MyPresences.overview) ", "width": Lino.chars2width(31) } ];
    Lino.cal.MyPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.insertPanel(p);
});
Lino.cal.MyPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPresences.insert;
    Lino.cal.MyPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  return new Lino.cal.MyPresences.detailPanel(p);
});
Lino.cal.MyPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPresences.GridPanel(p);
});
Lino.cal.MyPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyPendingPresences
Lino.cal.MyPendingPresences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyPendingPresences",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyPendingPresences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "My pending invitations",
  disabled_fields_index : 6,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    var ww = this.containing_window;
    var event__when_text_disp7301 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "sortable": false, "value": null });
    var role7302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyPendingPresences/role" }) }) });
    var workflow_buttons_disp7303 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7304 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.event__when_text) ") }, "sortable": true, "tooltip": "(cal.MyPendingPresences.event__when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role7302, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark7304, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyPendingPresences.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.cal.MyPendingPresences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.insertPanel(p);
});
Lino.cal.MyPendingPresences.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyPendingPresences.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyPendingPresences",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyPendingPresences.detail;
    this.ls_insert_handler = Lino.cal.MyPendingPresences.insert;
    Lino.cal.MyPendingPresences.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyPendingPresences.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  return new Lino.cal.MyPendingPresences.detailPanel(p);
});
Lino.cal.MyPendingPresences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyPendingPresences" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyPendingPresences.GridPanel(p);
});
Lino.cal.MyPendingPresences.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyPendingPresences.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyPendingPresences", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyGuests
Lino.cal.MyGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyGuests",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "event__start_date", "type": "date" }, { "name": "event__start_time" }, { "name": "event_summary" }, { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "partner" }, 'partnerHidden', { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "client" }, 'clientHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyGuests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine G\u00e4ste",
  disabled_fields_index : 21,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    var ww = this.containing_window;
    var event__start_date7306 = new Lino.DateField({ "disabled": true, "sortable": false, "value": null });
    var event__start_time7307 = new Lino.TimeField({ "disabled": true, "maxValue": "9:00 PM", "minValue": "7:00", "sortable": false, "value": null });
    var event_summary_disp7308 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role7309 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/role" }) }) });
    var workflow_buttons_disp7310 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark7311 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7312 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event7313 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/event" }) }) });
    var partner7314 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyGuests/partner" }) }) });
    var state7315 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since7316 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since7317 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since7318 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var client7319 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var name_column_disp7320 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7321 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7321.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__start_date", "editable": false, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "event__start_time", "editable": false, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event__start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event_summary) ") }, "sortable": false, "tooltip": "(cal.MyGuests.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role7309, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark7311, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7312, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "event", "editable": true, "editor": event7313, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "partner", "editable": true, "editor": partner7314, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state7315, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "client", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.name_column) ") }, "sortable": false, "tooltip": "(cal.MyGuests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyGuests.overview) ") }, "sortable": false, "tooltip": "(cal.MyGuests.overview) ", "width": Lino.chars2width(31) } ];
    Lino.cal.MyGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.insertPanel(p);
});
Lino.cal.MyGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyGuests.detail;
    this.ls_insert_handler = Lino.cal.MyGuests.insert;
    Lino.cal.MyGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  return new Lino.cal.MyGuests.detailPanel(p);
});
Lino.cal.MyGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.MyGuests.GridPanel(p);
});
Lino.cal.MyGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByDay
Lino.cal.EntriesByDay.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByDay",
  ls_store_fields : [ { "name": "start_time" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "room" }, 'roomHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "when_text" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByDay','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  page_length : 20,
  stripeRows : true,
  title : "Termine heute",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    var ww = this.containing_window;
    var start_time7323 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project7324 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/project" }) }) });
    var summary7325 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user7326 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/user" }) }) });
    var assigned_to7327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/assigned_to" }) }) });
    var event_type7328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/event_type" }) }) });
    var room7329 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/room" }) }) });
    var workflow_buttons_disp7330 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7331 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7332 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7333 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7334 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7335 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7336 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7337 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7338 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type7339 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_type" }) }) });
    var owner_id7340 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByDay/owner_id" }) }) });
    var description7341 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7342 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7343 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7344 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7345 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7346 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var state7347 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp7348 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var when_text_disp7349 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var all_day7350 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp7351 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp7352 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7353 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7354 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7355 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7356 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7357 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7358 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7340.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7356.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7339 !== 'undefined' && owner_type7339.on('change',Lino.chooser_handler(owner_id7340,'owner_type'));
      Lino.cal.EntriesByDay.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time7323, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7324, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7325, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user7326, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7327, "filter": { "type": "string" }, "header": "Zugewiesen zu", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "event_type", "editable": true, "editor": event_type7328, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room7329, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7331, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "start_date", "editable": true, "editor": start_date7334, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_date", "editable": true, "editor": end_date7335, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "end_time", "editable": true, "editor": end_time7336, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 14, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "build_method", "editable": true, "editor": build_method7338, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7339, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7340, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7341, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7342, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7343, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7344, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7345, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "state", "editable": true, "editor": state7347, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 25, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.owner) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 26, "dataIndex": "when_text", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.when_text) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.all_day) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.url) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.url) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.reminder) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.calendar) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.name_column) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.overview) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.created_natural) ") }, "sortable": false, "tooltip": "(cal.EntriesByDay.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByDay.duration) ") }, "sortable": true, "tooltip": "(cal.EntriesByDay.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.EntriesByDay.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.insertPanel(p);
});
Lino.cal.EntriesByDay.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByDay.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByDay",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByDay.detail;
    this.ls_insert_handler = Lino.cal.EntriesByDay.insert;
    Lino.cal.EntriesByDay.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByDay.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  return new Lino.cal.EntriesByDay.detailPanel(p);
});
Lino.cal.EntriesByDay.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByDay" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByDay.GridPanel(p);
});
Lino.cal.EntriesByDay.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByDay.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByDay", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.OneEvent
Lino.cal.OneEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/OneEvent",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "event_type" }, 'event_typeHidden', { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/OneEvent','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    var ww = this.containing_window;
    var when_text_disp7360 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user7361 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/user" }) }) });
    var summary7362 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event_type7363 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/event_type" }) }) });
    var id7364 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var modified7365 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7366 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project7367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/project" }) }) });
    var start_date7368 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7369 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7370 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7371 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7372 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7373 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to7374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/assigned_to" }) }) });
    var owner_type7375 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_type" }) }) });
    var owner_id7376 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/owner_id" }) }) });
    var description7377 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7378 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7379 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7380 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7381 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7382 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7383 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/OneEvent/room" }) }) });
    var state7384 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp7385 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var all_day7386 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp7387 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp7388 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7390 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7391 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7392 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7393 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp7394 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7395 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7376.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7392.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7375 !== 'undefined' && owner_type7375.on('change',Lino.chooser_handler(owner_id7376,'owner_type'));
      Lino.cal.OneEvent.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.when_text) ") }, "sortable": false, "tooltip": "(cal.OneEvent.when_text) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user7361, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7362, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type7363, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7364, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project7367, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7368, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7369, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7370, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7371, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7373, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7374, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7375, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7376, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7377, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7378, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7379, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7380, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7381, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "room", "editable": true, "editor": room7383, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "state", "editable": true, "editor": state7384, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 25, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.owner) ") }, "sortable": false, "tooltip": "(cal.OneEvent.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 26, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.all_day) ") }, "sortable": false, "tooltip": "(cal.OneEvent.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 27, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.url) ") }, "sortable": false, "tooltip": "(cal.OneEvent.url) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.reminder) ") }, "sortable": false, "tooltip": "(cal.OneEvent.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.calendar) ") }, "sortable": false, "tooltip": "(cal.OneEvent.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.name_column) ") }, "sortable": false, "tooltip": "(cal.OneEvent.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 32, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.overview) ") }, "sortable": false, "tooltip": "(cal.OneEvent.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.created_natural) ") }, "sortable": false, "tooltip": "(cal.OneEvent.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.OneEvent.duration) ") }, "sortable": true, "tooltip": "(cal.OneEvent.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.OneEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.insertPanel(p);
});
Lino.cal.OneEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.OneEvent.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/OneEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.OneEvent.detail;
    this.ls_insert_handler = Lino.cal.OneEvent.insert;
    Lino.cal.OneEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.OneEvent.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  return new Lino.cal.OneEvent.detailPanel(p);
});
Lino.cal.OneEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/OneEvent" };
  p.params_panel = new Lino.cal.OneEvent.ParamsPanel({});
  return new Lino.cal.OneEvent.GridPanel(p);
});
Lino.cal.OneEvent.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.OneEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/OneEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntries
Lino.cal.MyEntries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntries",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Termine",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    var ww = this.containing_window;
    var when_text_disp7397 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/project" }) }) });
    var event_type7399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/event_type" }) }) });
    var summary7400 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7401 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7402 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7403 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7404 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7405 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7406 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7407 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7408 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7409 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7410 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7411 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/user" }) }) });
    var assigned_to7412 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/assigned_to" }) }) });
    var owner_type7413 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_type" }) }) });
    var owner_id7414 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/owner_id" }) }) });
    var description7415 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7416 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7417 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7418 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7419 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7420 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntries/room" }) }) });
    var state7422 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp7423 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var all_day7424 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp7425 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp7426 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7427 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7428 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7429 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7430 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7431 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7432 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7414.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7430.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7413 !== 'undefined' && owner_type7413.on('change',Lino.chooser_handler(owner_id7414,'owner_type'));
      Lino.cal.MyEntries.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.when_text) ") }, "sortable": false, "tooltip": "(cal.MyEntries.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7398, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7399, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7400, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7402, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7405, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7406, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7407, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7408, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7410, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7411, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7412, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7413, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7414, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7415, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7416, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7417, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7418, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7419, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7421, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7422, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 26, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.owner) ") }, "sortable": false, "tooltip": "(cal.MyEntries.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.all_day) ") }, "sortable": false, "tooltip": "(cal.MyEntries.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.url) ") }, "sortable": false, "tooltip": "(cal.MyEntries.url) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.reminder) ") }, "sortable": false, "tooltip": "(cal.MyEntries.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.calendar) ") }, "sortable": false, "tooltip": "(cal.MyEntries.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.name_column) ") }, "sortable": false, "tooltip": "(cal.MyEntries.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.overview) ") }, "sortable": false, "tooltip": "(cal.MyEntries.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.created_natural) ") }, "sortable": false, "tooltip": "(cal.MyEntries.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntries.duration) ") }, "sortable": true, "tooltip": "(cal.MyEntries.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.MyEntries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.insertPanel(p);
});
Lino.cal.MyEntries.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntries.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntries.detail;
    this.ls_insert_handler = Lino.cal.MyEntries.insert;
    Lino.cal.MyEntries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  return new Lino.cal.MyEntries.detailPanel(p);
});
Lino.cal.MyEntries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntries" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntries.GridPanel(p);
});
Lino.cal.MyEntries.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntries.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntries", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyEntriesToday
Lino.cal.MyEntriesToday.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyEntriesToday",
  ls_store_fields : [ { "name": "start_time" }, { "name": "end_time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "when_text" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyEntriesToday','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Termine heute",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    var ww = this.containing_window;
    var start_time7434 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_time7435 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project7436 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/project" }) }) });
    var event_type7437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/event_type" }) }) });
    var summary7438 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7439 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7440 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7441 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7442 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7443 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date7444 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time7445 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7446 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/user" }) }) });
    var assigned_to7448 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/assigned_to" }) }) });
    var owner_type7449 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_type" }) }) });
    var owner_id7450 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/owner_id" }) }) });
    var description7451 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7452 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7453 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7454 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7455 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7456 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyEntriesToday/room" }) }) });
    var state7458 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp7459 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var when_text_disp7460 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var all_day7461 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp7462 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp7463 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7464 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7465 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7466 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7467 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7468 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7469 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7450.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7467.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7449 !== 'undefined' && owner_type7449.on('change',Lino.chooser_handler(owner_id7450,'owner_type'));
      Lino.cal.MyEntriesToday.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_time", "editable": true, "editor": start_time7434, "header": "Beginnt um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 1, "dataIndex": "end_time", "editable": true, "editor": end_time7435, "header": "Endet um", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project7436, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type7437, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "summary", "editable": true, "editor": summary7438, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7440, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date7443, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7444, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7446, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7447, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7448, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7449, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7450, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7451, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7452, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7453, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7454, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7455, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "room", "editable": true, "editor": room7457, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "state", "editable": true, "editor": state7458, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 25, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.owner) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 26, "dataIndex": "when_text", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.when_text) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.all_day) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.url) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.url) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.reminder) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.calendar) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.name_column) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.overview) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.created_natural) ") }, "sortable": false, "tooltip": "(cal.MyEntriesToday.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyEntriesToday.duration) ") }, "sortable": true, "tooltip": "(cal.MyEntriesToday.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.MyEntriesToday.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.insertPanel(p);
});
Lino.cal.MyEntriesToday.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyEntriesToday.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyEntriesToday",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyEntriesToday.detail;
    this.ls_insert_handler = Lino.cal.MyEntriesToday.insert;
    Lino.cal.MyEntriesToday.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyEntriesToday.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  return new Lino.cal.MyEntriesToday.detailPanel(p);
});
Lino.cal.MyEntriesToday.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyEntriesToday" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyEntriesToday.GridPanel(p);
});
Lino.cal.MyEntriesToday.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyEntriesToday.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyEntriesToday", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyAssignedEvents
Lino.cal.MyAssignedEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyAssignedEvents",
  ls_store_fields : [ { "name": "when_text" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyAssignedEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mir zugewiesene Termine",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    var ww = this.containing_window;
    var when_text_disp7471 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7472 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/project" }) }) });
    var event_type7473 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/event_type" }) }) });
    var summary7474 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7475 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7476 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7477 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7478 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7479 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7480 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7481 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7482 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7483 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7484 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7485 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/user" }) }) });
    var assigned_to7486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/assigned_to" }) }) });
    var owner_type7487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_type" }) }) });
    var owner_id7488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/owner_id" }) }) });
    var description7489 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7490 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7491 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7492 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7493 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7494 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7495 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyAssignedEvents/room" }) }) });
    var state7496 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp7497 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var all_day7498 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp7499 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp7500 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7501 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7502 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7503 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7504 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7505 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7506 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7488.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7504.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7487 !== 'undefined' && owner_type7487.on('change',Lino.chooser_handler(owner_id7488,'owner_type'));
      Lino.cal.MyAssignedEvents.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.when_text) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7472, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7473, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7474, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id7476, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7479, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7480, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7481, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7482, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7484, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7485, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7486, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7487, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7488, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description7489, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class7490, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence7491, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 21, "dataIndex": "auto_type", "editable": true, "editor": auto_type7492, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 22, "dataIndex": "priority", "editable": true, "editor": priority7493, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7495, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7496, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 26, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.owner) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.all_day) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.url) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.url) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.reminder) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.calendar) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.name_column) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.overview) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.created_natural) ") }, "sortable": false, "tooltip": "(cal.MyAssignedEvents.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyAssignedEvents.duration) ") }, "sortable": true, "tooltip": "(cal.MyAssignedEvents.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.MyAssignedEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.insertPanel(p);
});
Lino.cal.MyAssignedEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyAssignedEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyAssignedEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyAssignedEvents.detail;
    this.ls_insert_handler = Lino.cal.MyAssignedEvents.insert;
    Lino.cal.MyAssignedEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyAssignedEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  return new Lino.cal.MyAssignedEvents.detailPanel(p);
});
Lino.cal.MyAssignedEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyAssignedEvents" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyAssignedEvents.GridPanel(p);
});
Lino.cal.MyAssignedEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyAssignedEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyAssignedEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyOverdueAppointments
Lino.cal.MyOverdueAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyOverdueAppointments",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "owner" }, { "name": "event_type" }, 'event_typeHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "summary" }, { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "when_text" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyOverdueAppointments','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  page_length : 20,
  stripeRows : true,
  title : "Meine \u00fcberf\u00e4lligen Termine",
  disabled_fields_index : 49,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    var ww = this.containing_window;
    var detail_link_disp7508 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_disp7509 = new Ext.form.DisplayField({ "disabled": true });
    var event_type7510 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/event_type" }) }) });
    var workflow_buttons_disp7511 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7512 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7513 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7514 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project7515 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/project" }) }) });
    var start_date7516 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7517 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7518 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7519 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7520 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7521 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7522 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/user" }) }) });
    var assigned_to7523 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/assigned_to" }) }) });
    var owner_type7524 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_type" }) }) });
    var owner_id7525 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/owner_id" }) }) });
    var summary7526 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var description7527 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7528 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7529 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7530 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7531 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var transparent7532 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7533 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyOverdueAppointments/room" }) }) });
    var state7534 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var when_text_disp7535 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var all_day7536 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp7537 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp7538 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7539 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7540 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7541 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7542 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7543 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7544 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7525.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7542.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7524 !== 'undefined' && owner_type7524.on('change',Lino.chooser_handler(owner_id7525,'owner_type'));
      Lino.cal.MyOverdueAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.detail_link) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type7510, "filter": { "type": "string" }, "header": "Kalendereintragsart", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7512, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project7515, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date7516, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time7517, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date7518, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time7519, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method7521, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "user", "editable": true, "editor": user7522, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7523, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type7524, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id7525, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "summary", "editable": true, "editor": summary7526, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description7527, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "access_class", "editable": true, "editor": access_class7528, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 21, "dataIndex": "sequence", "editable": true, "editor": sequence7529, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 22, "dataIndex": "auto_type", "editable": true, "editor": auto_type7530, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 23, "dataIndex": "priority", "editable": true, "editor": priority7531, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "room", "editable": true, "editor": room7533, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "state", "editable": true, "editor": state7534, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 27, "dataIndex": "when_text", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.when_text) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.all_day) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.url) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.url) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.reminder) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.calendar) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 33, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.name_column) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 34, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.overview) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 35, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.created_natural) ") }, "sortable": false, "tooltip": "(cal.MyOverdueAppointments.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 36, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyOverdueAppointments.duration) ") }, "sortable": true, "tooltip": "(cal.MyOverdueAppointments.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.MyOverdueAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.insertPanel(p);
});
Lino.cal.MyOverdueAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyOverdueAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyOverdueAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyOverdueAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyOverdueAppointments.insert;
    Lino.cal.MyOverdueAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyOverdueAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  return new Lino.cal.MyOverdueAppointments.detailPanel(p);
});
Lino.cal.MyOverdueAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyOverdueAppointments" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.MyOverdueAppointments.GridPanel(p);
});
Lino.cal.MyOverdueAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyOverdueAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyOverdueAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.MyUnconfirmedAppointments
Lino.cal.MyUnconfirmedAppointments.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/MyUnconfirmedAppointments",
  ls_store_fields : [ { "name": "when_html" }, { "name": "project" }, 'projectHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "when_text" }, { "name": "all_day", "type": "boolean" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/MyUnconfirmedAppointments','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  page_length : 20,
  stripeRows : true,
  title : "Meine unbest\u00e4tigten Termine",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    var ww = this.containing_window;
    var when_html_disp7546 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var project7547 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/project" }) }) });
    var summary7548 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7549 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7550 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified7551 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7552 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date7553 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time7554 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date7555 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time7556 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time7557 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method7558 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user7559 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/user" }) }) });
    var assigned_to7560 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/assigned_to" }) }) });
    var owner_type7561 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_type" }) }) });
    var owner_id7562 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/owner_id" }) }) });
    var description7563 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class7564 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence7565 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type7566 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority7567 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type7568 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/event_type" }) }) });
    var transparent7569 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room7570 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/MyUnconfirmedAppointments/room" }) }) });
    var state7571 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp7572 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var when_text_disp7573 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var all_day7574 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var url_disp7575 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp7576 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar7577 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp7578 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7579 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp7580 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration7581 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id7562.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox7579.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type7561 !== 'undefined' && owner_type7561.on('change',Lino.chooser_handler(owner_id7562,'owner_type'));
      Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project7547, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary7548, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id7550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date7553, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time7554, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date7555, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time7556, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method7558, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user7559, "filter": { "type": "string" }, "header": "Verwaltet durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to7560, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type7561, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id7562, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description7563, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class7564, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence7565, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type7566, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority7567, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type7568, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room7570, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state7571, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 26, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.owner) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "when_text", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.when_text) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.all_day) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 29, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.url) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.url) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.reminder) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.calendar) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.name_column) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.overview) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.created_natural) ") }, "sortable": false, "tooltip": "(cal.MyUnconfirmedAppointments.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.MyUnconfirmedAppointments.duration) ") }, "sortable": true, "tooltip": "(cal.MyUnconfirmedAppointments.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.MyUnconfirmedAppointments.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.insertPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.MyUnconfirmedAppointments.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/MyUnconfirmedAppointments",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.MyUnconfirmedAppointments.detail;
    this.ls_insert_handler = Lino.cal.MyUnconfirmedAppointments.insert;
    Lino.cal.MyUnconfirmedAppointments.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.MyUnconfirmedAppointments.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  return new Lino.cal.MyUnconfirmedAppointments.detailPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/MyUnconfirmedAppointments" };
  p.params_panel = new Lino.cal.MyEntries.ParamsPanel({});
  return new Lino.cal.MyUnconfirmedAppointments.GridPanel(p);
});
Lino.cal.MyUnconfirmedAppointments.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.MyUnconfirmedAppointments.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/MyUnconfirmedAppointments", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelCalendars
Lino.extensible.PanelCalendars.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelCalendars",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "summary" }, { "name": "description" }, { "name": "color", "type": "int", "useNull": true }, { "name": "is_hidden", "type": "boolean" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 33,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelCalendars','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalenderliste",
  disabled_fields_index : 5,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    var ww = this.containing_window;
    var id7583 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var summary_disp7584 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var description7585 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Beschreibung" });
    var color7586 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var is_hidden_disp7587 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
      description7585.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7583, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "summary", "editable": false, "header": "summary", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.summary) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "description", "editable": true, "editor": description7585, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "color", "editable": true, "editor": color7586, "filter": { "type": "numeric" }, "format": "0", "header": "Farbe", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.color) The color to use for entries of this calendar (in\nlino_xl.lib.extensible).") }, "sortable": true, "tooltip": "The color to use for entries of this calendar (in\nlino_xl.lib.extensible).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "is_hidden", "editable": false, "header": "Versteckt", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelCalendars.is_hidden) ") }, "sortable": false, "tooltip": "(extensible.PanelCalendars.is_hidden) ", "width": Lino.chars2width(21) } ];
    Lino.extensible.PanelCalendars.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.insertPanel = Ext.extend(Lino.cal.Calendars.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.insertPanel(p);
});
Lino.extensible.PanelCalendars.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelCalendars.detailPanel = Ext.extend(Lino.cal.Calendars.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalender) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelCalendars",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelCalendars.detail;
    this.ls_insert_handler = Lino.extensible.PanelCalendars.insert;
    Lino.extensible.PanelCalendars.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelCalendars.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.detailPanel(p);
});
Lino.extensible.PanelCalendars.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelCalendars.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelCalendars" };
  return new Lino.extensible.PanelCalendars.GridPanel(p);
});
Lino.extensible.PanelCalendars.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelCalendars", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class extensible.PanelEvents
Lino.extensible.PanelEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/extensible/PanelEvents",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "start_dt" }, { "name": "end_dt" }, { "name": "summary" }, { "name": "description" }, { "name": "user" }, 'userHidden', { "name": "room" }, 'roomHidden', { "name": "calendar" }, 'calendarHidden', { "name": "url" }, { "name": "all_day", "type": "boolean" }, { "name": "reminder" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/extensible/PanelEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 14,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    var ww = this.containing_window;
    var id7589 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_dt7590 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var end_dt7591 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var summary7592 = new Ext.form.TextField({ "allowBlank": false, "selectOnFocus": true });
    var description7593 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var user7594 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/user" }) }) });
    var room7595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/extensible/PanelEvents/room" }) }) });
    var calendar7596 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var url_disp7597 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var all_day7598 = new Ext.form.Checkbox({ "allowBlank": false, "selectOnFocus": true });
    var reminder_disp7599 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7589, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_dt", "editable": true, "editor": start_dt7590, "header": "Beginn", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.start_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.start_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "end_dt", "editable": true, "editor": end_dt7591, "header": "Ende", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.end_dt) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.end_dt) ", "width": Lino.chars2width(17) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary7592, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.summary) ") }, "sortable": true, "tooltip": "(extensible.PanelEvents.summary) ", "width": Lino.chars2width(5) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description7593, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user7594, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "room", "editable": true, "editor": room7595, "filter": { "type": "string" }, "header": "Raum", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "calendar", "editable": false, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.calendar) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "url", "editable": false, "header": "Link URL", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.url) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.url) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "all_day", "editable": true, "header": "ganztags", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.all_day) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "listeners": { "render": Lino.quicktip_renderer("","(extensible.PanelEvents.reminder) ") }, "sortable": false, "tooltip": "(extensible.PanelEvents.reminder) ", "width": Lino.chars2width(31) } ];
    Lino.extensible.PanelEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.insertPanel(p);
});
Lino.extensible.PanelEvents.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.extensible.PanelEvents.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/extensible/PanelEvents",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.extensible.PanelEvents.detail;
    this.ls_insert_handler = Lino.extensible.PanelEvents.insert;
    Lino.extensible.PanelEvents.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.extensible.PanelEvents.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  return new Lino.extensible.PanelEvents.detailPanel(p);
});
Lino.extensible.PanelEvents.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/extensible/PanelEvents" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.extensible.PanelEvents.GridPanel(p);
});
Lino.extensible.PanelEvents.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.extensible.PanelEvents.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/extensible/PanelEvents", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.ExpectedGuests
Lino.reception.ExpectedGuests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/ExpectedGuests",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/ExpectedGuests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erwartete Besucher",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.ExpectedGuests.detail;
    this.ls_insert_handler = Lino.reception.ExpectedGuests.insert;
    var ww = this.containing_window;
    var partner15177 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/ExpectedGuests/partner" }) }) });
    var event__user15178 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var event__summary15179 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp15180 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var waiting_since15181 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since15182 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner15177, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 5, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(reception.ExpectedGuests.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) } ];
    Lino.reception.ExpectedGuests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.ExpectedGuests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.ExpectedGuests.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/reception/ExpectedGuests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.ExpectedGuests.detail;
    this.ls_insert_handler = Lino.reception.ExpectedGuests.insert;
    Lino.reception.ExpectedGuests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.ExpectedGuests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/ExpectedGuests" };
  return new Lino.reception.ExpectedGuests.insertPanel(p);
});
Lino.reception.ExpectedGuests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.ExpectedGuests.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/reception/ExpectedGuests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.ExpectedGuests.detail;
    this.ls_insert_handler = Lino.reception.ExpectedGuests.insert;
    Lino.reception.ExpectedGuests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.ExpectedGuests.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/ExpectedGuests" };
  return new Lino.reception.ExpectedGuests.detailPanel(p);
});
Lino.reception.ExpectedGuests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/ExpectedGuests" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.ExpectedGuests.GridPanel(p);
});
Lino.reception.ExpectedGuests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.ExpectedGuests.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/ExpectedGuests", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.BusyVisitors
Lino.reception.BusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/BusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/BusyVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Besch\u00e4ftigte Besucher",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7601 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7602 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7603 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var event__summary7604 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp7605 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.BusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.BusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.BusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.BusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/BusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.BusyVisitors.detail;
    Lino.reception.BusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.BusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  return new Lino.reception.BusyVisitors.detailPanel(p);
});
Lino.reception.BusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/BusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.BusyVisitors.GridPanel(p);
});
Lino.reception.BusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.BusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/BusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.WaitingVisitors
Lino.reception.WaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/WaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/WaitingVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Wartende Besucher",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7607 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7608 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7609 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var position_disp7610 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7611 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp7612 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.WaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.WaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.WaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.WaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/WaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.WaitingVisitors.detail;
    Lino.reception.WaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.WaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  return new Lino.reception.WaitingVisitors.detailPanel(p);
});
Lino.reception.WaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/WaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.WaitingVisitors.GridPanel(p);
});
Lino.reception.WaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.WaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/WaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.GoneVisitors
Lino.reception.GoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/GoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/GoneVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Gegangene Besucher",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7614 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7615 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7616 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var event__summary7617 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp7618 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.GoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.GoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.GoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.GoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/GoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.GoneVisitors.detail;
    Lino.reception.GoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.GoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  return new Lino.reception.GoneVisitors.detailPanel(p);
});
Lino.reception.GoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/GoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.GoneVisitors.GridPanel(p);
});
Lino.reception.GoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.GoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/GoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyWaitingVisitors
Lino.reception.MyWaitingVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyWaitingVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "position" }, { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/MyWaitingVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Warteschlange",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    var ww = this.containing_window;
    var since_disp7620 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7621 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var position_disp7622 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__summary7623 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp7624 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyWaitingVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "position", "editable": false, "header": "Position", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.position) Position in waiting queue (per agent)") }, "sortable": false, "tooltip": "Position in waiting queue (per agent)", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyWaitingVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyWaitingVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyWaitingVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyWaitingVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyWaitingVisitors.detail;
    Lino.reception.MyWaitingVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyWaitingVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  return new Lino.reception.MyWaitingVisitors.detailPanel(p);
});
Lino.reception.MyWaitingVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyWaitingVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyWaitingVisitors.GridPanel(p);
});
Lino.reception.MyWaitingVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyWaitingVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyWaitingVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyBusyVisitors
Lino.reception.MyBusyVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyBusyVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/MyBusyVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine besch\u00e4ftigten Besucher",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    var ww = this.containing_window;
    var since_disp7626 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7627 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7628 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var event__summary7629 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp7630 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyBusyVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyBusyVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyBusyVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyBusyVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyBusyVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyBusyVisitors.detail;
    Lino.reception.MyBusyVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyBusyVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  return new Lino.reception.MyBusyVisitors.detailPanel(p);
});
Lino.reception.MyBusyVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyBusyVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyBusyVisitors.GridPanel(p);
});
Lino.reception.MyBusyVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyBusyVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyBusyVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.MyGoneVisitors
Lino.reception.MyGoneVisitors.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/MyGoneVisitors",
  ls_store_fields : [ { "name": "since" }, { "name": "client" }, 'clientHidden', { "name": "event__user" }, 'event__userHidden', { "name": "event__summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/MyGoneVisitors','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine gegangenen Besucher",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    var ww = this.containing_window;
    var since_disp7632 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client7633 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event__user7634 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var event__summary7635 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var workflow_buttons_disp7636 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "since", "editable": false, "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.since) ") }, "sortable": false, "tooltip": "(reception.MyGoneVisitors.since) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": false, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "event__summary", "editable": false, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.event__summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.MyGoneVisitors.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.MyGoneVisitors.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.MyGoneVisitors.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  ls_url: "/reception/MyGoneVisitors",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.MyGoneVisitors.detail;
    Lino.reception.MyGoneVisitors.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.MyGoneVisitors.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  return new Lino.reception.MyGoneVisitors.detailPanel(p);
});
Lino.reception.MyGoneVisitors.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/MyGoneVisitors" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.reception.MyGoneVisitors.GridPanel(p);
});
Lino.reception.MyGoneVisitors.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.MyGoneVisitors.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/MyGoneVisitors", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cv.LanguageKnowledges
Lino.cv.LanguageKnowledges.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/LanguageKnowledges",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "person" }, 'personHidden', { "name": "language" }, 'languageHidden', { "name": "spoken" }, 'spokenHidden', { "name": "written" }, 'writtenHidden', { "name": "spoken_passively" }, 'spoken_passivelyHidden', { "name": "written_passively" }, 'written_passivelyHidden', { "name": "native", "type": "boolean" }, { "name": "cef_level" }, 'cef_levelHidden', { "name": "has_certificate", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 79,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/LanguageKnowledges','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sprachkenntnisse",
  disabled_fields_index : 20,
  initComponent : function() {
    var ww = this.containing_window;
    var id7638 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var person7639 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/person" }) }) });
    var language7640 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Sprache ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "languages.Languages", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cv/LanguageKnowledges/language" }) }) });
    var spoken7641 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written7642 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var spoken_passively7643 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var written_passively7644 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.HowWell) });
    var native7645 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var cef_level7646 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cv.CefLevel) });
    var has_certificate7647 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var name_column_disp7648 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7649 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7650 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7649.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7638, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person7639, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.person) The person to which this entry applies.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language7640, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.language) The language to which this entry applies.") }, "sortable": false, "tooltip": "The language to which this entry applies.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "spoken", "editable": true, "editor": spoken7641, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "written", "editable": true, "editor": written7642, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "spoken_passively", "editable": true, "editor": spoken_passively7643, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Wort (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.spoken_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "written_passively", "editable": true, "editor": written_passively7644, "filter": { "options": [ "gar nicht", "ein bisschen", "mittelm\u00e4\u00dfig", "gut", "sehr gut" ], "type": "list" }, "header": "Schrift (passiv)", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.written_passively) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "native", "editable": true, "filter": { "type": "boolean" }, "header": "Muttersprache", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.native) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "cef_level", "editable": true, "editor": cef_level7646, "filter": { "options": [ "A0", "A1", "A1+", "A2", "A2+", "B1", "B2", "B2+", "C1", "C2", "C2+" ], "type": "list" }, "header": "CEF-Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.cef_level) The CEF level. A pointer to a choice of CefLevels") }, "sortable": false, "tooltip": "The CEF level. A pointer to a choice of CefLevels", "width": Lino.chars2width(8) }, { "colIndex": 9, "dataIndex": "has_certificate", "editable": true, "filter": { "type": "boolean" }, "header": "Zertifikat", "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.has_certificate) Whether this entry is confirmed by a certificate.") }, "sortable": false, "tooltip": "Whether this entry is confirmed by a certificate.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.name_column) ") }, "sortable": false, "tooltip": "(cv.LanguageKnowledges.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 11, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.overview) ") }, "sortable": false, "tooltip": "(cv.LanguageKnowledges.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.LanguageKnowledges.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.cv.LanguageKnowledges.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.LanguageKnowledges.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/LanguageKnowledges", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.LanguageKnowledges.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/LanguageKnowledges" };
  return new Lino.cv.LanguageKnowledges.GridPanel(p);
});

// js_render_GridPanel_class pcsw.Clients
Lino.pcsw.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  disabled_fields_index : 14,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7674 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7675 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7676 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7677 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7678 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7679 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7680 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7681 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7682 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7683 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/Clients/aid_type" }) }) });
    var language7684 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7675, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7676, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7677, "filter": { "type": "string" }, "header": "GSM", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7680, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7681, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7682, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7683, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7684, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.Clients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.insertPanel(p);
});
Lino.pcsw.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.Clients.detail;
    this.ls_insert_handler = Lino.pcsw.Clients.insert;
    Lino.pcsw.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  return new Lino.pcsw.Clients.detailPanel(p);
});
Lino.pcsw.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.Clients.GridPanel(p);
});
Lino.pcsw.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.CoachedClients
Lino.pcsw.CoachedClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/CoachedClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "language" }, 'languageHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  disabled_fields_index : 14,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    var ww = this.containing_window;
    var name_column_disp7686 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state7687 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id7688 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7689 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp7690 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp7691 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email7692 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone7693 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id7694 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var aid_type7695 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/CoachedClients/aid_type" }) }) });
    var language7696 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.name_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state7687, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7688, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "gsm", "editable": true, "editor": gsm7689, "filter": { "type": "string" }, "header": "GSM", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.address_column) ") }, "sortable": false, "tooltip": "(pcsw.CoachedClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email7692, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7693, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id7694, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type7695, "filter": { "type": "string" }, "header": "Sozialhilfeart", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "language", "editable": true, "editor": language7696, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.CoachedClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(11) } ];
    Lino.pcsw.CoachedClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.insertPanel(p);
});
Lino.pcsw.CoachedClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.CoachedClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/CoachedClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/CoachedClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.CoachedClients.detail;
    this.ls_insert_handler = Lino.pcsw.CoachedClients.insert;
    Lino.pcsw.CoachedClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.CoachedClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  return new Lino.pcsw.CoachedClients.detailPanel(p);
});
Lino.pcsw.CoachedClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/CoachedClients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.CoachedClients.GridPanel(p);
});
Lino.pcsw.CoachedClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.CoachedClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/CoachedClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.Clients
Lino.reception.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "address_column" }, { "name": "national_id" }, { "name": "workflow_buttons" }, { "name": "person_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "person_ptr",
  pk_index : 4,
  content_type : 56,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  disabled_fields_index : 5,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    var ww = this.containing_window;
    var name_column_disp7698 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_column_disp7699 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var national_id7700 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp7701 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.name_column) ") }, "sortable": false, "tooltip": "(reception.Clients.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.address_column) ") }, "sortable": false, "tooltip": "(reception.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "national_id", "editable": true, "editor": national_id7700, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.Clients.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.insertPanel(p);
});
Lino.reception.Clients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.reception.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/reception/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/reception/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.reception.Clients.detail;
    this.ls_insert_handler = Lino.reception.Clients.insert;
    Lino.reception.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  return new Lino.reception.Clients.detailPanel(p);
});
Lino.reception.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.reception.Clients.GridPanel(p);
});
Lino.reception.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.Households
Lino.households.Households.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/Households",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/Households','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Households','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/Households','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/households/Households','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/Households','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/Households','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushalte",
  disabled_fields_index : 44,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    var ww = this.containing_window;
    var name7703 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type7704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/type" }) }) });
    var address_column_disp7705 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id7706 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email7707 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language7708 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url7709 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone7710 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm7711 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax7712 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified7713 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created7714 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country7715 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/country" }) }) });
    var city7716 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/city" }) }) });
    var zip_code7717 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region7718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/region" }) }) });
    var addr17719 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix7720 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street7721 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no7722 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box7723 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr27724 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix7725 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks7726 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete7727 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity7728 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/activity" }) }) });
    var client_contact_type7729 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/client_contact_type" }) }) });
    var payment_term7730 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/Households/payment_term" }) }) });
    var name_column_disp7731 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7732 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7733 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp7734 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp7735 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality7736 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp7737 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city7716.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city7716.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region7718.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox7732.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country7715 !== 'undefined' && country7715.on('change',Lino.chooser_handler(city7716,'country'));
      typeof region7718 !== 'undefined' && region7718.on('change',Lino.chooser_handler(city7716,'region'));
      typeof country7715 !== 'undefined' && country7715.on('change',Lino.chooser_handler(region7718,'country'));
      Lino.households.Households.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name7703, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type7704, "filter": { "type": "string" }, "header": "Haushaltsart", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.type) The type of this household.  See household types") }, "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(households.Households.address_column) ") }, "sortable": false, "tooltip": "(households.Households.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id7706, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email7707, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language7708, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url7709, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone7710, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm7711, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax7712, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country7715, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city7716, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code7717, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region7718, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr17719, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix7720, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street7721, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no7722, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box7723, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr27724, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix7725, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity7728, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type7729, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term7730, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.name_column) ") }, "sortable": false, "tooltip": "(households.Households.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 29, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.overview) ") }, "sortable": false, "tooltip": "(households.Households.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.contact_details) ") }, "sortable": false, "tooltip": "(households.Households.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.Households.created_natural) ") }, "sortable": false, "tooltip": "(households.Households.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.households.Households.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.insertPanel = Ext.extend(Lino.households.Households.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.insertPanel(p);
});
Lino.households.Households.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.Households.detailPanel = Ext.extend(Lino.households.Households.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/Households",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.Households.detail;
    this.ls_insert_handler = Lino.households.Households.insert;
    Lino.households.Households.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.Households.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  return new Lino.households.Households.detailPanel(p);
});
Lino.households.Households.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/Households" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.Households.GridPanel(p);
});
Lino.households.Households.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.Households.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/Households", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.Contracts
Lino.isip.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/Contracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  disabled_fields_index : 40,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    var ww = this.containing_window;
    var id7739 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7740 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7741 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client7742 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/client" }) }) });
    var user7743 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user" }) }) });
    var type7744 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/type" }) }) });
    var signer17745 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer1" }) }) });
    var signer27746 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/signer2" }) }) });
    var printed_by7747 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7748 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7749 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7750 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7751 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7752 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_asd" }) }) });
    var exam_policy7753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/exam_policy" }) }) });
    var ending7754 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/ending" }) }) });
    var study_type7755 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/study_type" }) }) });
    var stages7756 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals7757 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd7758 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe7759 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw7760 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person7761 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe7762 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/Contracts/user_dsbe" }) }) });
    var name_column_disp7763 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7764 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7765 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp7766 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      stages7756.refresh();
      goals7757.refresh();
      duties_asd7758.refresh();
      duties_dsbe7759.refresh();
      duties_pcsw7760.refresh();
      duties_person7761.refresh();
      overview_htmlbox7764.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7739, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7740, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended7741, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client7742, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user7743, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type7744, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer17745, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer27746, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language7748, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until7749, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided7750, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued7751, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd7752, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7753, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending7754, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "study_type", "editable": true, "editor": study_type7755, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "stages", "editable": true, "editor": stages7756, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "goals", "editable": true, "editor": goals7757, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd7758, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe7759, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw7760, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "duties_person", "editable": true, "editor": duties_person7761, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe7762, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.name_column) ") }, "sortable": false, "tooltip": "(isip.Contracts.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 25, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.overview) ") }, "sortable": false, "tooltip": "(isip.Contracts.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 26, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.isip.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.insertPanel(p);
});
Lino.isip.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.Contracts.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.Contracts.detail;
    this.ls_insert_handler = Lino.isip.Contracts.insert;
    Lino.isip.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  return new Lino.isip.Contracts.detailPanel(p);
});
Lino.isip.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/Contracts" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.Contracts.GridPanel(p);
});
Lino.isip.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.Contracts
Lino.jobs.Contracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/Contracts",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/Contracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 49,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    var ww = this.containing_window;
    var id7834 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client7835 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/client" }) }) });
    var client__national_id7836 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var applies_from7837 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended7838 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job7839 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/job" }) }) });
    var user7840 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user" }) }) });
    var type7841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/type" }) }) });
    var signer17842 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/signer1" }) }) });
    var signer27843 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/signer2" }) }) });
    var company7844 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/company" }) }) });
    var contact_person7845 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_person" }) }) });
    var contact_role7846 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/contact_role" }) }) });
    var printed_by7847 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7848 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until7849 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided7850 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7851 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7852 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/user_asd" }) }) });
    var exam_policy7853 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/exam_policy" }) }) });
    var ending7854 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/ending" }) }) });
    var duration7855 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/duration" }) }), "value": null });
    var reference_person7856 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7857 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7858 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7859 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/regime" }) }) });
    var schedule7860 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/schedule" }) }) });
    var hourly_rate7861 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7862 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/Contracts/refund_rate" }) }) });
    var name_column_disp7863 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7864 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7865 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp7866 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      contact_person7845.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7857.refresh();
      overview_htmlbox7864.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7844 !== 'undefined' && company7844.on('change',Lino.chooser_handler(contact_person7845,'company'));
      Lino.jobs.Contracts.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7834, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client7835, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": false, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from7837, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended7838, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job7839, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user7840, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type7841, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer17842, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer27843, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company7844, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person7845, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role7846, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language7848, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until7849, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided7850, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued7851, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd7852, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7853, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending7854, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "duration", "editable": true, "editor": duration7855, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "reference_person", "editable": true, "editor": reference_person7856, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7857, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "remark", "editable": true, "editor": remark7858, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "regime", "editable": true, "editor": regime7859, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "schedule", "editable": true, "editor": schedule7860, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 27, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7861, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 28, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7862, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 29, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.name_column) ") }, "sortable": false, "tooltip": "(jobs.Contracts.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 30, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.overview) ") }, "sortable": false, "tooltip": "(jobs.Contracts.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.Contracts.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.jobs.Contracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Contracts.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/Contracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    Lino.jobs.Contracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/Contracts" };
  return new Lino.jobs.Contracts.insertPanel(p);
});
Lino.jobs.Contracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.Contracts.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/Contracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.Contracts.detail;
    this.ls_insert_handler = Lino.jobs.Contracts.insert;
    Lino.jobs.Contracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.Contracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Contracts" };
  return new Lino.jobs.Contracts.detailPanel(p);
});
Lino.jobs.Contracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/Contracts" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.Contracts.GridPanel(p);
});
Lino.jobs.Contracts.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.Contracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/Contracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsSearch
Lino.jobs.ContractsSearch.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsSearch",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "client" }, 'clientHidden', { "name": "client__city" }, 'client__cityHidden', { "name": "client__national_id" }, { "name": "client__gender" }, 'client__genderHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsSearch','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Suche Art.60\u00a77-Konventionen",
  disabled_fields_index : 53,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    var ww = this.containing_window;
    var id7928 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from7929 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until7930 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job7931 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/job" }) }) });
    var client7932 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/client" }) }) });
    var client__city7933 = new Lino.RemoteComboFieldElement({ "can_create_choice": true, "disabled": true, "forceSelection": false, "value": null });
    var client__national_id7934 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var client__gender7935 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(10), "disabled": true, "maxLength": 10, "sortable": false, "value": null });
    var user7936 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/user" }) }) });
    var type7937 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/type" }) }) });
    var signer17938 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/signer1" }) }) });
    var signer27939 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/signer2" }) }) });
    var company7940 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/company" }) }) });
    var contact_person7941 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/contact_person" }) }) });
    var contact_role7942 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/contact_role" }) }) });
    var printed_by7943 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language7944 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided7945 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued7946 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd7947 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/user_asd" }) }) });
    var exam_policy7948 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/exam_policy" }) }) });
    var ending7949 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/ending" }) }) });
    var date_ended7950 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration7951 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/duration" }) }), "value": null });
    var reference_person7952 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities7953 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark7954 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime7955 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/regime" }) }) });
    var schedule7956 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/schedule" }) }) });
    var hourly_rate7957 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate7958 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsSearch/refund_rate" }) }) });
    var name_column_disp7959 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7960 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7961 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp7962 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      client__city7933.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      client__city7933.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      contact_person7941.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities7953.refresh();
      overview_htmlbox7960.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company7940 !== 'undefined' && company7940.on('change',Lino.chooser_handler(contact_person7941,'company'));
      Lino.jobs.ContractsSearch.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id7928, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from7929, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until7930, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "job", "editable": true, "editor": job7931, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "client", "editable": true, "editor": client7932, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "client__city", "editable": false, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": true, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "client__national_id", "editable": false, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "client__gender", "editable": false, "filter": { "type": "string" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.client__gender) The sex of this person (male or female).") }, "sortable": true, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user7936, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type7937, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer17938, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer27939, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company7940, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person7941, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role7942, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language7944, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "date_decided", "editable": true, "editor": date_decided7945, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "date_issued", "editable": true, "editor": date_issued7946, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "user_asd", "editable": true, "editor": user_asd7947, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy7948, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "ending", "editable": true, "editor": ending7949, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "date_ended", "editable": true, "editor": date_ended7950, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 23, "dataIndex": "duration", "editable": true, "editor": duration7951, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 24, "dataIndex": "reference_person", "editable": true, "editor": reference_person7952, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 25, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities7953, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 26, "dataIndex": "remark", "editable": true, "editor": remark7954, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 27, "dataIndex": "regime", "editable": true, "editor": regime7955, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "schedule", "editable": true, "editor": schedule7956, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 29, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate7957, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 30, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate7958, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 31, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsSearch.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 32, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsSearch.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsSearch.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.jobs.ContractsSearch.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsSearch.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsSearch",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    Lino.jobs.ContractsSearch.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  return new Lino.jobs.ContractsSearch.insertPanel(p);
});
Lino.jobs.ContractsSearch.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsSearch.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsSearch",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsSearch.detail;
    this.ls_insert_handler = Lino.jobs.ContractsSearch.insert;
    Lino.jobs.ContractsSearch.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsSearch.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  return new Lino.jobs.ContractsSearch.detailPanel(p);
});
Lino.jobs.ContractsSearch.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsSearch" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsSearch.GridPanel(p);
});
Lino.jobs.ContractsSearch.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsSearch.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsSearch", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class b2c.Accounts
Lino.b2c.Accounts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Accounts",
  ls_store_fields : [ { "name": "iban" }, { "name": "bic" }, { "dateFormat": "d.m.Y", "name": "last_transaction", "type": "date" }, { "name": "partners" }, { "name": "owner_name" }, { "name": "account_name" }, { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 67,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/Accounts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Importierte  Bankkonten",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Accounts.detail;
    var ww = this.containing_window;
    var iban7964 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic7965 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var last_transaction7966 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partners_disp7967 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var owner_name7968 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 70, "selectOnFocus": true });
    var account_name7969 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 70, "selectOnFocus": true });
    var id7970 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp7971 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7972 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7973 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7972.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "iban", "editable": true, "editor": iban7964, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "bic", "editable": true, "editor": bic7965, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "last_transaction", "editable": true, "editor": last_transaction7966, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Last transaction", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.last_transaction) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "partners", "editable": false, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.partners) ") }, "sortable": false, "tooltip": "(b2c.Accounts.partners) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "owner_name", "editable": true, "editor": owner_name7968, "filter": { "type": "string" }, "header": "Name Inhaber", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.owner_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "account_name", "editable": true, "editor": account_name7969, "filter": { "type": "string" }, "header": "Kontobezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.account_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7970, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.name_column) ") }, "sortable": false, "tooltip": "(b2c.Accounts.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.overview) ") }, "sortable": false, "tooltip": "(b2c.Accounts.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Accounts.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.b2c.Accounts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Accounts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Accounts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Accounts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Accounts.detailPanel = Ext.extend(Lino.b2c.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Accounts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Accounts.detail;
    Lino.b2c.Accounts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Accounts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Accounts" };
  return new Lino.b2c.Accounts.detailPanel(p);
});
Lino.b2c.Accounts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Accounts" };
  return new Lino.b2c.Accounts.GridPanel(p);
});

// js_render_GridPanel_class b2c.Statements
Lino.b2c.Statements.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Statements",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "statement_number" }, { "name": "balance_start" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "balance_end" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "local_currency" }, { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 68,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/Statements','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Statements.detail;
    var ww = this.containing_window;
    var account7975 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Statements/account" }) }) });
    var statement_number7976 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var balance_start7977 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date7978 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance_end7979 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var end_date7980 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var local_currency7981 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var id7982 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp7983 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox7984 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp7985 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox7984.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account7975, "filter": { "type": "string" }, "header": "Importiertes  Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.b2c.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "statement_number", "editable": true, "editor": statement_number7976, "filter": { "type": "string" }, "header": "Auszugsnummer", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "sortable": true, "tooltip": "Combination of the year and the legal sequential number of the paper statement.", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 2, "dataIndex": "balance_start", "editable": true, "editor": balance_start7977, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.balance_start) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date7978, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "balance_end", "editable": true, "editor": balance_end7979, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.balance_end) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date7980, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "local_currency", "editable": true, "editor": local_currency7981, "filter": { "type": "string" }, "header": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.local_currency) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id7982, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.name_column) ") }, "sortable": false, "tooltip": "(b2c.Statements.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 9, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.overview) ") }, "sortable": false, "tooltip": "(b2c.Statements.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 10, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Statements.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.b2c.Statements.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Statements.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Statements.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Statements", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Statements.detailPanel = Ext.extend(Lino.b2c.Statements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Statements",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Statements.detail;
    Lino.b2c.Statements.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Statements.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Statements" };
  return new Lino.b2c.Statements.detailPanel(p);
});
Lino.b2c.Statements.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Statements" };
  return new Lino.b2c.Statements.GridPanel(p);
});

// js_render_GridPanel_class b2c.Transactions
Lino.b2c.Transactions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/Transactions",
  ls_store_fields : [ { "name": "statement" }, 'statementHidden', { "name": "seqno", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "amount" }, { "name": "remote_account" }, { "name": "remote_owner" }, { "name": "id", "type": "int" }, { "name": "remote_bic" }, { "name": "message" }, { "name": "eref" }, { "name": "remote_owner_address" }, { "name": "remote_owner_city" }, { "name": "remote_owner_postalcode" }, { "name": "remote_owner_country_code" }, { "name": "txcd" }, { "name": "txcd_issuer" }, { "dateFormat": "d.m.Y", "name": "booking_date", "type": "date" }, { "name": "remote_html" }, { "name": "message_html" }, { "name": "txcd_text" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/Transactions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Transaktionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Transactions.detail;
    var ww = this.containing_window;
    var statement7987 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/Transactions/statement" }) }) });
    var seqno7988 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true });
    var value_date7989 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var amount7990 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remote_account7991 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 64, "selectOnFocus": true });
    var remote_owner7992 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 128, "selectOnFocus": true });
    var id7993 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remote_bic7994 = new Lino.UppercaseTextField({ "allowBlank": true, "hidden": true, "maxLength": 11, "selectOnFocus": true });
    var message7995 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var eref7996 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner_address7997 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remote_owner_city7998 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var remote_owner_postalcode7999 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remote_owner_country_code8000 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var txcd8001 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var txcd_issuer8002 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 35, "selectOnFocus": true });
    var booking_date8003 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var remote_html_disp8004 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var message_html_disp8005 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var txcd_text_disp8006 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp8007 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8008 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8009 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox8008.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "statement", "editable": true, "editor": statement7987, "filter": { "type": "string" }, "header": "Kontoauszug", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.statement) ") }, "renderer": Lino.fk_renderer('statementHidden','Lino.b2c.Statements.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno7988, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.seqno) The sequence number of this transaction in the statement.") }, "sortable": true, "tooltip": "The sequence number of this transaction in the statement.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "value_date", "editable": true, "editor": value_date7989, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.value_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount7990, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "remote_account", "editable": true, "editor": remote_account7991, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_account) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "remote_owner", "editable": true, "editor": remote_owner7992, "filter": { "type": "string" }, "header": "Name Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id7993, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "remote_bic", "editable": true, "editor": remote_bic7994, "filter": { "type": "string" }, "header": "BIC", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 8, "dataIndex": "message", "editable": true, "editor": message7995, "filter": { "type": "string" }, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.message) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "eref", "editable": true, "editor": eref7996, "filter": { "type": "string" }, "header": "End to end reference", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.eref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remote_owner_address", "editable": true, "editor": remote_owner_address7997, "filter": { "type": "string" }, "header": "Adresse Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_address) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "remote_owner_city", "editable": true, "editor": remote_owner_city7998, "filter": { "type": "string" }, "header": "Stadt Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_city) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "remote_owner_postalcode", "editable": true, "editor": remote_owner_postalcode7999, "filter": { "type": "string" }, "header": "PLZ Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_postalcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "remote_owner_country_code", "editable": true, "editor": remote_owner_country_code8000, "filter": { "type": "string" }, "header": "Land Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_owner_country_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 14, "dataIndex": "txcd", "editable": true, "editor": txcd8001, "filter": { "type": "string" }, "header": "Transfer-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "txcd_issuer", "editable": true, "editor": txcd_issuer8002, "filter": { "type": "string" }, "header": "TxCd issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd_issuer) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "booking_date", "editable": true, "editor": booking_date8003, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.booking_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "remote_html", "editable": false, "header": "Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.remote_html) ") }, "sortable": false, "tooltip": "(b2c.Transactions.remote_html) ", "width": Lino.chars2width(31) }, { "colIndex": 18, "dataIndex": "message_html", "editable": false, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.message_html) ") }, "sortable": false, "tooltip": "(b2c.Transactions.message_html) ", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "txcd_text", "editable": false, "header": "Transaktionscode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.txcd_text) ") }, "sortable": false, "tooltip": "(b2c.Transactions.txcd_text) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.name_column) ") }, "sortable": false, "tooltip": "(b2c.Transactions.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 21, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.overview) ") }, "sortable": false, "tooltip": "(b2c.Transactions.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.Transactions.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.b2c.Transactions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Transactions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.Transactions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/Transactions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.Transactions.detailPanel = Ext.extend(Lino.b2c.Transactions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/Transactions",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.Transactions.detail;
    Lino.b2c.Transactions.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.Transactions.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Transactions" };
  return new Lino.b2c.Transactions.detailPanel(p);
});
Lino.b2c.Transactions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/Transactions" };
  return new Lino.b2c.Transactions.GridPanel(p);
});

// js_render_GridPanel_class users.UsersOverview
Lino.users.UsersOverview.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/UsersOverview",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/UsersOverview','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "sign_in", "menu_item_text": "Anmelden", "overflowText": "Anmelden", "panel_btn_handler": Lino.param_action_handler(Lino.users.UsersOverview.sign_in), "text": "Anmelden", "tooltip": "Open a window which asks for username and password and which\nauthenticates as this user when submitted.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer",
  disabled_fields_index : 6,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    var ww = this.containing_window;
    var username6924 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type6925 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var language6926 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username6924, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.username) Must be unique and cannot be empty.") }, "sortable": true, "tooltip": "Must be unique and cannot be empty.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type6925, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.user_type) The user type given to this user. Users having this field empty\nare considered inactive and cannot log in.") }, "sortable": false, "tooltip": "The user type given to this user. Users having this field empty\nare considered inactive and cannot log in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "language", "editable": true, "editor": language6926, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(users.UsersOverview.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.users.UsersOverview.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.insertPanel(p);
});
Lino.users.UsersOverview.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.UsersOverview.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "sign_in", "menu_item_text": "Anmelden", "overflowText": "Anmelden", "panel_btn_handler": Lino.param_action_handler(Lino.users.UsersOverview.sign_in), "text": "Anmelden", "tooltip": "Open a window which asks for username and password and which\nauthenticates as this user when submitted.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/UsersOverview",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.UsersOverview.detail;
    this.ls_insert_handler = Lino.users.UsersOverview.insert;
    Lino.users.UsersOverview.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.UsersOverview.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  return new Lino.users.UsersOverview.detailPanel(p);
});
Lino.users.UsersOverview.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/UsersOverview" };
  p.params_panel = new Lino.users.UsersOverview.ParamsPanel({});
  return new Lino.users.UsersOverview.GridPanel(p);
});
Lino.users.UsersOverview.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.UsersOverview.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/UsersOverview", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class users.MySettings
Lino.users.MySettings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/MySettings",
  ls_store_fields : [ { "name": "username" }, { "name": "user_type" }, 'user_typeHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "password" }, { "name": "last_login" }, { "name": "initials" }, { "name": "remarks" }, { "name": "newcomer_consultations", "type": "boolean" }, { "name": "newcomer_appointments", "type": "boolean" }, { "name": "notify_myself", "type": "boolean" }, { "name": "mail_mode" }, 'mail_modeHidden', { "name": "access_class" }, 'access_classHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "calendar" }, 'calendarHidden', { "name": "coaching_type" }, 'coaching_typeHidden', { "name": "coaching_supervisor", "type": "boolean" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "partner" }, 'partnerHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benutzer",
  disabled_fields_index : 38,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.MySettings.detail;
    this.ls_insert_handler = Lino.users.MySettings.insert;
    var ww = this.containing_window;
    var username8025 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 30, "selectOnFocus": true });
    var user_type8026 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.users.UserTypes) });
    var first_name8027 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var last_name8028 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 30, "selectOnFocus": true });
    var id8029 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8030 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language8031 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var modified8032 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8033 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date8034 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date8035 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var password8036 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var last_login8037 = new Ext.form.DisplayField({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "value": "<br>" });
    var initials8038 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remarks8039 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var newcomer_consultations8040 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_appointments8041 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var notify_myself8042 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var mail_mode8043 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.notify.MailModes });
    var access_class8044 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.AccessClasses });
    var event_type8045 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/MySettings/event_type" }) }) });
    var calendar8046 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/MySettings/calendar" }) }) });
    var coaching_type8047 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/MySettings/coaching_type" }) }) });
    var coaching_supervisor8048 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var newcomer_quota8049 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var partner8050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/MySettings/partner" }) }) });
    var name_column_disp8051 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8052 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8053 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp8054 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox8052.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "username", "editable": true, "editor": username8025, "filter": { "type": "string" }, "header": "Benutzername", "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.username) Must be unique and cannot be empty.") }, "sortable": true, "tooltip": "Must be unique and cannot be empty.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "user_type", "editable": true, "editor": user_type8026, "filter": { "options": [ "000 (000 (Anonym))", "100 (100 (Begleiter im DSBE))", "110 (110 (Sozialarbeiter DSBE (Verwalter)))", "120 (120 (Sozialarbeiter DSBE (flexibel)))", "200 (200 (Berater Erstempfang))", "210 (210 (Empfangsschalter))", "220 (220 (Empfangsschalter (flexibel)))", "300 (300 (Schuldenberater))", "400 (400 (Sozi))", "410 (410 (Sozialarbeiter (Verwalter)))", "420 (420 (Sozialarbeiter ASD (flexibel)))", "500 (500 (Buchhalter))", "510 (510 (Buchhalter (Verwalter)))", "800 (800 (Supervisor))", "900 (900 (Verwalter))", "910 (910 (Security advisor))" ], "type": "list" }, "header": "Benutzerart", "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.user_type) The user type given to this user. Users having this field empty\nare considered inactive and cannot log in.") }, "sortable": false, "tooltip": "The user type given to this user. Users having this field empty\nare considered inactive and cannot log in.", "width": Lino.chars2width(47) }, { "colIndex": 2, "dataIndex": "first_name", "editable": true, "editor": first_name8027, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "last_name", "editable": true, "editor": last_name8028, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8029, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "email", "editable": true, "editor": email8030, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.email) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "language", "editable": true, "editor": language8031, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date8034, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.start_date) If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.") }, "sortable": true, "tooltip": "If start_date is given, then the user cannot sign in\nbefore that date.  If end_date is given, then the user\ncannot sign in after that date.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date8035, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "password", "editable": true, "editor": password8036, "filter": { "type": "string" }, "header": "password", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.password) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "last_login", "editable": true, "editor": last_login8037, "header": "last login", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.last_login) Not used in Lino.") }, "sortable": true, "tooltip": "Not used in Lino.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "initials", "editable": true, "editor": initials8038, "filter": { "type": "string" }, "header": "Initialien", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.initials) The nickname or initials of this user. This does not need to\nbe unique but should provide a reasonably identifying\nfunction.") }, "sortable": true, "tooltip": "The nickname or initials of this user. This does not need to\nbe unique but should provide a reasonably identifying\nfunction.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remarks", "editable": true, "editor": remarks8039, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "newcomer_consultations", "editable": true, "filter": { "type": "boolean" }, "header": " Erstempfang direkt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.newcomer_consultations) Accepts prompt consultations for newcomers.") }, "sortable": false, "tooltip": "Accepts prompt consultations for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 16, "dataIndex": "newcomer_appointments", "editable": true, "filter": { "type": "boolean" }, "header": "Erstempfang auf Vereinbarung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.newcomer_appointments) Accepts appointments for newcomers.") }, "sortable": false, "tooltip": "Accepts appointments for newcomers.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "notify_myself", "editable": true, "filter": { "type": "boolean" }, "header": "Benachrichtigungen an mich selbst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.notify_myself) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "mail_mode", "editable": true, "editor": mail_mode8043, "filter": { "options": [ "Keine Benachrichtigungen", "Keine E-Mails", "Direkte E-Mail", "Eine E-Mail pro Tag", "Eine E-Mail pro Woche" ], "type": "list" }, "header": "Benachrichtigungsmodus", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.mail_mode) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(28) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class8044, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Standardm\u00e4\u00dfige Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.access_class) Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben") }, "sortable": false, "tooltip": "Die standardm\u00e4\u00dfige Zugriffsklasse f\u00fcr Ihre Termine und Aufgaben", "width": Lino.chars2width(35) }, { "colIndex": 20, "dataIndex": "event_type", "editable": true, "editor": event_type8045, "filter": { "type": "string" }, "header": "Standard-Kalenderintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.event_type) The default event type for your calendar events.") }, "sortable": false, "tooltip": "The default event type for your calendar events.", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "calendar", "editable": true, "editor": calendar8046, "filter": { "type": "string" }, "header": "User Calendar", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.calendar) Calendar where your events are published.") }, "sortable": false, "tooltip": "Calendar where your events are published.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "coaching_type", "editable": true, "editor": coaching_type8047, "filter": { "type": "string" }, "header": "Dienst", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.coaching_type) The coaching type used for new coachings of this user.") }, "sortable": false, "tooltip": "The coaching type used for new coachings of this user.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "coaching_supervisor", "editable": true, "filter": { "type": "boolean" }, "header": "Coaching supervisor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.coaching_supervisor) Notify me when a coach has been assigned.") }, "sortable": false, "tooltip": "Notify me when a coach has been assigned.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 24, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota8049, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 25, "dataIndex": "partner", "editable": true, "editor": partner8050, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.partner) Pointer to the Partner instance related to\nthis user.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Pointer to the Partner instance related to\nthis user.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.name_column) ") }, "sortable": false, "tooltip": "(users.MySettings.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 27, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.overview) ") }, "sortable": false, "tooltip": "(users.MySettings.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(users.MySettings.created_natural) ") }, "sortable": false, "tooltip": "(users.MySettings.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.users.MySettings.GridPanel.superclass.initComponent.call(this);
  }
});


Lino.users.MySettings.insertPanel = Ext.extend(Lino.users.AllUsers.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/users/MySettings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.users.MySettings.detail;
    this.ls_insert_handler = Lino.users.MySettings.insert;
    Lino.users.MySettings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.users.MySettings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/users/MySettings" };
  return new Lino.users.MySettings.insertPanel(p);
});
Lino.users.MySettings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/MySettings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.users.MySettings.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Benutzer",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Benutzer) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/users/MySettings",
  initComponent : function() {
    this.ls_detail_handler = Lino.users.MySettings.detail;
    this.ls_insert_handler = Lino.users.MySettings.insert;
    Lino.users.MySettings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.users.MySettings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/MySettings" };
  return new Lino.users.MySettings.detailPanel(p);
});
Lino.users.MySettings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/MySettings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.MySettings.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/MySettings", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.MySettings.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/MySettings", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.MySettings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/MySettings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.CompaniesAndContracts
Lino.integ.CompaniesAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompaniesAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/CompaniesAndContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Organisations externes et contrats",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    var ww = this.containing_window;
    var description8056 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc08057 = new Ext.form.NumberField({ "disabled": true });
    var vc18058 = new Ext.form.NumberField({ "disabled": true });
    var vc28059 = new Ext.form.NumberField({ "disabled": true });
    var vc38060 = new Ext.form.NumberField({ "disabled": true });
    var vc48061 = new Ext.form.NumberField({ "disabled": true });
    var vc58062 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.CompaniesAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompaniesAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.CompaniesAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompaniesAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.insertPanel(p);
});
Lino.integ.CompaniesAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.CompaniesAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/CompaniesAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.CompaniesAndContracts.detail;
    this.ls_insert_handler = Lino.integ.CompaniesAndContracts.insert;
    Lino.integ.CompaniesAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompaniesAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  return new Lino.integ.CompaniesAndContracts.detailPanel(p);
});
Lino.integ.CompaniesAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompaniesAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.CompaniesAndContracts.GridPanel(p);
});
Lino.integ.CompaniesAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompaniesAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompaniesAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class integ.JobProvidersAndContracts
Lino.integ.JobProvidersAndContracts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/JobProvidersAndContracts",
  ls_store_fields : [ { "name": "description" }, 'descriptionHidden', { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "partner_ptr" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "partner_ptr",
  pk_index : 8,
  content_type : 9,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/JobProvidersAndContracts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Job providers and contrats",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    var ww = this.containing_window;
    var description8064 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var vc08065 = new Ext.form.NumberField({ "disabled": true });
    var vc18066 = new Ext.form.NumberField({ "disabled": true });
    var vc28067 = new Ext.form.NumberField({ "disabled": true });
    var vc38068 = new Ext.form.NumberField({ "disabled": true });
    var vc48069 = new Ext.form.NumberField({ "disabled": true });
    var vc58070 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.description) ") }, "renderer": Lino.fk_renderer('descriptionHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(integ.JobProvidersAndContracts.description) ", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "Sozial\u00f6konomie", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc0) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "Sozial\u00f6konomie - major\u00e9", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc1) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "Stadt Eupen", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc2) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc3) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "mit R\u00fcckerstattung Schule", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc4) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.JobProvidersAndContracts.vc5) ") }, "sortable": true, "tooltip": "(integ.JobProvidersAndContracts.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.JobProvidersAndContracts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.insertPanel = Ext.extend(Lino.contacts.Companies.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.insertPanel(p);
});
Lino.integ.JobProvidersAndContracts.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.integ.JobProvidersAndContracts.detailPanel = Ext.extend(Lino.contacts.Companies.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Organisation) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/integ/JobProvidersAndContracts",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.integ.JobProvidersAndContracts.detail;
    this.ls_insert_handler = Lino.integ.JobProvidersAndContracts.insert;
    Lino.integ.JobProvidersAndContracts.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.JobProvidersAndContracts.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  return new Lino.integ.JobProvidersAndContracts.detailPanel(p);
});
Lino.integ.JobProvidersAndContracts.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/JobProvidersAndContracts" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.integ.JobProvidersAndContracts.GridPanel(p);
});
Lino.integ.JobProvidersAndContracts.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.JobProvidersAndContracts.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/JobProvidersAndContracts", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.NewClients
Lino.newcomers.NewClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/NewClients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "client_state" }, 'client_stateHidden', { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "age" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "has_esf", "type": "boolean" }, { "name": "overview" }, { "name": "cvs_emitted" }, { "name": "id_document" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "contract_company" }, 'contract_companyHidden', { "name": "active_contract" }, { "name": "cbss_relations" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "cbss_summary" }, { "name": "cbss_identify_person" }, { "name": "cbss_manage_access" }, { "name": "cbss_retrieve_ti_groups" }, { "name": "language_knowledge" }, { "name": "mother_tongues" }, { "name": "cef_level_de" }, { "name": "cef_level_fr" }, { "name": "cef_level_en" }, { "name": "eid_info" }, { "name": "image" }, { "name": "primary_coach" }, { "name": "coaches" }, { "name": "find_appointment" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Neue Klienten",
  disabled_fields_index : 133,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.NewClients.detail;
    this.ls_insert_handler = Lino.newcomers.NewClients.insert;
    var ww = this.containing_window;
    var name_column_disp16288 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client_state16289 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var broker16290 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/broker" }) }) });
    var faculty16291 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/faculty" }) }) });
    var national_id16292 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm16293 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp16294 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var age_disp16295 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email16296 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone16297 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id16298 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var language16299 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url16300 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax16301 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified16302 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created16303 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country16304 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/country" }) }) });
    var city16305 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/city" }) }) });
    var zip_code16306 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region16307 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/region" }) }) });
    var addr116308 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix16309 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street16310 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no16311 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box16312 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr216313 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix16314 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name16315 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks16316 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete16317 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity16318 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/activity" }) }) });
    var client_contact_type16319 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/client_contact_type" }) }) });
    var payment_term16320 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/payment_term" }) }) });
    var title16321 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name16322 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name16323 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name16324 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender16325 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date16326 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var nationality16327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/nationality" }) }) });
    var birth_country16328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/birth_country" }) }) });
    var birth_place16329 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number16330 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from16331 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until16332 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type16333 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer16334 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text16335 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition16336 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group16337 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/group" }) }) });
    var civil_state16338 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type16339 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since16340 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until16341 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since16342 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since16343 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit16344 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit16345 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until16346 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type16347 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/aid_type" }) }) });
    var declared_name16348 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking16349 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until16350 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why16351 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles16352 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills16353 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact16354 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/job_office_contact" }) }) });
    var refusal_reason16355 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks216356 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id16357 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id16358 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas16359 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior16360 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance16361 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/health_insurance" }) }) });
    var pharmacy16362 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/NewClients/pharmacy" }) }) });
    var income_ag16363 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg16364 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg16365 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente16366 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc16367 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents16368 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var has_esf16369 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var overview_htmlbox16370 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var cvs_emitted_disp16371 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var id_document_disp16372 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var applies_from16373 = new Lino.DateField({ "disabled": true, "hidden": true });
    var applies_until16374 = new Lino.DateField({ "disabled": true, "hidden": true });
    var contract_company16375 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var active_contract_disp16376 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_relations_htmlbox16377 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var workflow_buttons_disp16378 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp16379 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp16380 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality16381 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp16382 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_summary_htmlbox16383 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "cbss_summary", "title": "Zusammenfassung ZDSS", "value": "<br/>" });
    var cbss_identify_person_disp16384 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_manage_access_disp16385 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_retrieve_ti_groups_disp16386 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var language_knowledge_htmlbox16387 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "language_knowledge", "title": "Sprachkenntnis", "value": "<br/>" });
    var mother_tongues_disp16388 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_de_disp16389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_fr_disp16390 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_en_disp16391 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var eid_info_disp16392 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var image_htmlbox16393 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "image", "value": "<br/>" });
    var primary_coach_disp16394 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var coaches_disp16395 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var find_appointment_disp16396 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city16305.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city16305.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region16307.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox16370.refresh();
      cbss_relations_htmlbox16377.refresh();
      cbss_summary_htmlbox16383.refresh();
      language_knowledge_htmlbox16387.refresh();
      image_htmlbox16393.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country16304 !== 'undefined' && country16304.on('change',Lino.chooser_handler(city16305,'country'));
      typeof region16307 !== 'undefined' && region16307.on('change',Lino.chooser_handler(city16305,'region'));
      typeof country16304 !== 'undefined' && country16304.on('change',Lino.chooser_handler(region16307,'country'));
      Lino.newcomers.NewClients.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.name_column) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client_state", "editable": true, "editor": client_state16289, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "broker", "editable": true, "editor": broker16290, "filter": { "type": "string" }, "header": "Vermittler", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "faculty", "editable": true, "editor": faculty16291, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "national_id", "editable": true, "editor": national_id16292, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "gsm", "editable": true, "editor": gsm16293, "filter": { "type": "string" }, "header": "GSM", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.address_column) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "email", "editable": true, "editor": email16296, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "phone", "editable": true, "editor": phone16297, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 10, "dataIndex": "id", "editable": true, "editor": id16298, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language16299, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "url", "editable": true, "editor": url16300, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "fax", "editable": true, "editor": fax16301, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 16, "dataIndex": "country", "editable": true, "editor": country16304, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "city", "editable": true, "editor": city16305, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "zip_code", "editable": true, "editor": zip_code16306, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "region", "editable": true, "editor": region16307, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "addr1", "editable": true, "editor": addr116308, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix16309, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "street", "editable": true, "editor": street16310, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "street_no", "editable": true, "editor": street_no16311, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "street_box", "editable": true, "editor": street_box16312, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 25, "dataIndex": "addr2", "editable": true, "editor": addr216313, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 26, "dataIndex": "prefix", "editable": true, "editor": prefix16314, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "name", "editable": true, "editor": name16315, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 29, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 30, "dataIndex": "activity", "editable": true, "editor": activity16318, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type16319, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "payment_term", "editable": true, "editor": payment_term16320, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 33, "dataIndex": "title", "editable": true, "editor": title16321, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 34, "dataIndex": "first_name", "editable": true, "editor": first_name16322, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 35, "dataIndex": "middle_name", "editable": true, "editor": middle_name16323, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "last_name", "editable": true, "editor": last_name16324, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "gender", "editable": true, "editor": gender16325, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 38, "dataIndex": "birth_date", "editable": true, "editor": birth_date16326, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 39, "dataIndex": "nationality", "editable": true, "editor": nationality16327, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 40, "dataIndex": "birth_country", "editable": true, "editor": birth_country16328, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 41, "dataIndex": "birth_place", "editable": true, "editor": birth_place16329, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 42, "dataIndex": "card_number", "editable": true, "editor": card_number16330, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 43, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from16331, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 44, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until16332, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 45, "dataIndex": "card_type", "editable": true, "editor": card_type16333, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 46, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer16334, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 47, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text16335, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 48, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition16336, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 49, "dataIndex": "group", "editable": true, "editor": group16337, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 50, "dataIndex": "civil_state", "editable": true, "editor": civil_state16338, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 51, "dataIndex": "residence_type", "editable": true, "editor": residence_type16339, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 52, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since16340, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "residence_until", "editable": true, "editor": residence_until16341, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 54, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since16342, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 55, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since16343, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 56, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 57, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 58, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until16346, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 59, "dataIndex": "aid_type", "editable": true, "editor": aid_type16347, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 60, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 61, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 62, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until16350, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 63, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why16351, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 64, "dataIndex": "obstacles", "editable": true, "editor": obstacles16352, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 65, "dataIndex": "skills", "editable": true, "editor": skills16353, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 66, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact16354, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 67, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason16355, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 68, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 69, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id16357, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 70, "dataIndex": "tim_id", "editable": true, "editor": tim_id16358, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 71, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 72, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 73, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance16361, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 74, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy16362, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 75, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 76, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 77, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 79, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 80, "dataIndex": "job_agents", "editable": true, "editor": job_agents16368, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 81, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 82, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.overview) A panel with general information about this client.") }, "sortable": false, "tooltip": "A panel with general information about this client.", "width": Lino.chars2width(31) }, { "colIndex": 83, "dataIndex": "cvs_emitted", "editable": false, "header": "Erstellte Lebensl\u00e4ufe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cvs_emitted) A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).") }, "sortable": false, "tooltip": "A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).", "width": Lino.chars2width(31) }, { "colIndex": 84, "dataIndex": "id_document", "editable": false, "header": "Identifizierendes Dokument", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.id_document) A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.") }, "sortable": false, "tooltip": "A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.", "width": Lino.chars2width(31) }, { "colIndex": 85, "dataIndex": "applies_from", "editable": false, "format": "d.m.Y", "header": "Vertrag beginnt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.applies_from) ") }, "sortable": true, "tooltip": "(newcomers.NewClients.applies_from) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 86, "dataIndex": "applies_until", "editable": false, "format": "d.m.Y", "header": "Vertrag endet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.applies_until) ") }, "sortable": true, "tooltip": "(newcomers.NewClients.applies_until) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 87, "dataIndex": "contract_company", "editable": false, "header": "Arbeitet bei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.contract_company) ") }, "renderer": Lino.fk_renderer('contract_companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(newcomers.NewClients.contract_company) ", "width": Lino.chars2width(21) }, { "colIndex": 88, "dataIndex": "active_contract", "editable": false, "header": "Active contract", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.active_contract) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.active_contract) ", "width": Lino.chars2width(31) }, { "colIndex": 89, "dataIndex": "cbss_relations", "editable": false, "header": "ZDSS", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cbss_relations) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cbss_relations) ", "width": Lino.chars2width(31) }, { "colIndex": 90, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 91, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.contact_details) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 92, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 93, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 94, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.created_natural) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 95, "dataIndex": "cbss_summary", "editable": false, "header": "Zusammenfassung ZDSS", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cbss_summary) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cbss_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 96, "dataIndex": "cbss_identify_person", "editable": false, "header": "IdentifyPerson-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cbss_identify_person) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cbss_identify_person) ", "width": Lino.chars2width(31) }, { "colIndex": 97, "dataIndex": "cbss_manage_access", "editable": false, "header": "ManageAccess-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cbss_manage_access) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cbss_manage_access) ", "width": Lino.chars2width(31) }, { "colIndex": 98, "dataIndex": "cbss_retrieve_ti_groups", "editable": false, "header": "Tx25-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cbss_retrieve_ti_groups) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cbss_retrieve_ti_groups) ", "width": Lino.chars2width(31) }, { "colIndex": 99, "dataIndex": "language_knowledge", "editable": false, "header": "Sprachkenntnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.language_knowledge) A summary of the language knowledges of this\nperson.") }, "sortable": false, "tooltip": "A summary of the language knowledges of this\nperson.", "width": Lino.chars2width(31) }, { "colIndex": 100, "dataIndex": "mother_tongues", "editable": false, "header": "Muttersprachen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.mother_tongues) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.mother_tongues) ", "width": Lino.chars2width(31) }, { "colIndex": 101, "dataIndex": "cef_level_de", "editable": false, "header": "cef_level_de", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cef_level_de) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cef_level_de) ", "width": Lino.chars2width(31) }, { "colIndex": 102, "dataIndex": "cef_level_fr", "editable": false, "header": "cef_level_fr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cef_level_fr) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cef_level_fr) ", "width": Lino.chars2width(31) }, { "colIndex": 103, "dataIndex": "cef_level_en", "editable": false, "header": "cef_level_en", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.cef_level_en) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.cef_level_en) ", "width": Lino.chars2width(31) }, { "colIndex": 104, "dataIndex": "eid_info", "editable": false, "header": "eID-Karte", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.eid_info) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.eid_info) ", "width": Lino.chars2width(31) }, { "colIndex": 105, "dataIndex": "image", "editable": false, "header": "image", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.image) Virtual field which displays the picture.") }, "sortable": false, "tooltip": "Virtual field which displays the picture.", "width": Lino.chars2width(31) }, { "colIndex": 106, "dataIndex": "primary_coach", "editable": false, "header": "Prim\u00e4rbegleiter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.primary_coach) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.primary_coach) ", "width": Lino.chars2width(31) }, { "colIndex": 107, "dataIndex": "coaches", "editable": false, "header": "Begleiter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.coaches) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.coaches) ", "width": Lino.chars2width(31) }, { "colIndex": 108, "dataIndex": "find_appointment", "editable": false, "header": "Termin finden", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.NewClients.find_appointment) ") }, "sortable": false, "tooltip": "(newcomers.NewClients.find_appointment) ", "width": Lino.chars2width(31) } ];
    Lino.newcomers.NewClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.NewClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.NewClients.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/newcomers/NewClients",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.NewClients.detail;
    this.ls_insert_handler = Lino.newcomers.NewClients.insert;
    Lino.newcomers.NewClients.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.NewClients.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/NewClients" };
  return new Lino.newcomers.NewClients.insertPanel(p);
});
Lino.newcomers.NewClients.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.NewClients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/NewClients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/newcomers/NewClients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.NewClients.detail;
    this.ls_insert_handler = Lino.newcomers.NewClients.insert;
    Lino.newcomers.NewClients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.NewClients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/NewClients" };
  return new Lino.newcomers.NewClients.detailPanel(p);
});
Lino.newcomers.NewClients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/NewClients" };
  p.params_panel = new Lino.newcomers.NewClients.ParamsPanel({});
  return new Lino.newcomers.NewClients.GridPanel(p);
});
Lino.newcomers.NewClients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.NewClients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/NewClients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.AvailableCoaches
Lino.newcomers.AvailableCoaches.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/AvailableCoaches",
  ls_store_fields : [ { "name": "name_column" }, { "name": "workflow_buttons" }, { "name": "primary_clients" }, { "name": "new_clients" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "current_weight" }, { "name": "added_weight" }, { "name": "score" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoaches','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verf\u00fcgbare Begleiter",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoaches.detail;
    var ww = this.containing_window;
    var name_column_disp16398 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var workflow_buttons_disp16399 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary_clients16400 = new Ext.form.NumberField({ "disabled": true });
    var new_clients16401 = new Ext.form.NumberField({ "disabled": true });
    var newcomer_quota16402 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var current_weight16403 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var added_weight16404 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var score16405 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.name_column) ") }, "sortable": false, "tooltip": "(newcomers.AvailableCoaches.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 2, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Komplette Akten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.primary_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoaches.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "new_clients", "editable": false, "format": "0", "header": "Neue Klienten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.new_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoaches.new_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota16402, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "current_weight", "editable": false, "format": "0.000/i", "header": "Belastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.current_weight) Momentane Gesamtbelastung dieses Benutzers durch neue Klienten. \nSumme der Belastungspunkte pro neuem Klient.") }, "sortable": true, "tooltip": "Momentane Gesamtbelastung dieses Benutzers durch neue Klienten. \nSumme der Belastungspunkte pro neuem Klient.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "added_weight", "editable": false, "format": "0.000/i", "header": "Mehrbelastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.added_weight) Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.") }, "sortable": true, "tooltip": "Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "score", "editable": false, "format": "0.000,00/i", "header": "Mehrbelastung (%)", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoaches.score) Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.") }, "sortable": true, "tooltip": "Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.", "width": Lino.chars2width(11), "xtype": "numbercolumn" } ];
    Lino.newcomers.AvailableCoaches.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoaches.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.AvailableCoaches.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  ls_url: "/newcomers/AvailableCoaches",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoaches.detail;
    Lino.newcomers.AvailableCoaches.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoaches.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoaches" };
  return new Lino.newcomers.AvailableCoaches.detailPanel(p);
});
Lino.newcomers.AvailableCoaches.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoaches" };
  p.params_panel = new Lino.newcomers.AvailableCoaches.ParamsPanel({});
  return new Lino.newcomers.AvailableCoaches.GridPanel(p);
});
Lino.newcomers.AvailableCoaches.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoaches.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoaches", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyPersonRequests
Lino.cbss.IdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 116,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  disabled_fields_index : 31,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user8213 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/user" }) }) });
    var person8214 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyPersonRequests/person" }) }) });
    var environment8215 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8216 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8217 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8218 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8219 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8220 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8221 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8222 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8223 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8224 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8225 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8226 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no8227 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8228 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8229 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8230 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8231 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8232 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance8233 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var result_htmlbox8234 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp8235 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8236 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8237 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8238 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      result_htmlbox8234.refresh();
      overview_htmlbox8236.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8213, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8214, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8219, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8225, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8226, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8227, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8228, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8229, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8230, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name8231, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender8232, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance8233, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.result) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonRequests.result) ", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.name_column) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonRequests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.overview) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonRequests.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.IdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyPersonRequests.insert;
    Lino.cbss.IdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  return new Lino.cbss.IdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.IdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.IdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyIdentifyPersonRequests
Lino.cbss.MyIdentifyPersonRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyIdentifyPersonRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 116,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/MyIdentifyPersonRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine IdentifyPerson-Anfragen",
  disabled_fields_index : 31,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    var ww = this.containing_window;
    var user8240 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/user" }) }) });
    var person8241 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyIdentifyPersonRequests/person" }) }) });
    var environment8242 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8243 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8244 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8245 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8246 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8247 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8248 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8249 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8250 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8251 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8252 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8253 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no8254 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8255 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8257 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8258 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8259 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance8260 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var result_htmlbox8261 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp8262 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8263 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8264 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8265 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      result_htmlbox8261.refresh();
      overview_htmlbox8263.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8240, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8241, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8246, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8252, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8253, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8254, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8255, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8256, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8257, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "middle_name", "editable": true, "editor": middle_name8258, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "gender", "editable": true, "editor": gender8259, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 20, "dataIndex": "tolerance", "editable": true, "editor": tolerance8260, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.result) ") }, "sortable": false, "tooltip": "(cbss.MyIdentifyPersonRequests.result) ", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.name_column) ") }, "sortable": false, "tooltip": "(cbss.MyIdentifyPersonRequests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.overview) ") }, "sortable": false, "tooltip": "(cbss.MyIdentifyPersonRequests.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyIdentifyPersonRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.MyIdentifyPersonRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.insertPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyIdentifyPersonRequests.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyIdentifyPersonRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyIdentifyPersonRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyIdentifyPersonRequests.insert;
    Lino.cbss.MyIdentifyPersonRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyIdentifyPersonRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  return new Lino.cbss.MyIdentifyPersonRequests.detailPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyIdentifyPersonRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyIdentifyPersonRequests" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.MyIdentifyPersonRequests.GridPanel(p);
});
Lino.cbss.MyIdentifyPersonRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyIdentifyPersonRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequests
Lino.cbss.ManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  disabled_fields_index : 37,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    var ww = this.containing_window;
    var user8267 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/user" }) }) });
    var person8268 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/person" }) }) });
    var environment8269 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8270 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8271 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8272 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8273 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8274 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8275 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8276 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8277 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8278 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8279 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8280 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no8281 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8282 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8283 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8284 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector8285 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose8286 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequests/purpose" }) }) });
    var start_date8287 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date8288 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action8289 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register8290 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var result_htmlbox8291 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp8292 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8293 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8294 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8295 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      purpose8286.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox8291.refresh();
      overview_htmlbox8293.refresh();
    };
    this.onRender = function(ct, position) {
      typeof sector8285 !== 'undefined' && sector8285.on('change',Lino.chooser_handler(purpose8286,'sector'));
      Lino.cbss.ManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8267, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8268, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8273, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8279, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8280, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8281, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8282, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8283, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8284, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose8286, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date8287, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date8288, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action8289, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register8290, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.result) ") }, "sortable": false, "tooltip": "(cbss.ManageAccessRequests.result) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.name_column) ") }, "sortable": false, "tooltip": "(cbss.ManageAccessRequests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 26, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.overview) ") }, "sortable": false, "tooltip": "(cbss.ManageAccessRequests.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.ManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.insertPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequests.insert;
    Lino.cbss.ManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  return new Lino.cbss.ManageAccessRequests.detailPanel(p);
});
Lino.cbss.ManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequests.GridPanel(p);
});
Lino.cbss.ManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyManageAccessRequests
Lino.cbss.MyManageAccessRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyManageAccessRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/MyManageAccessRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine ManageAccess-Anfragen",
  disabled_fields_index : 37,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    var ww = this.containing_window;
    var user8297 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/user" }) }) });
    var person8298 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/person" }) }) });
    var environment8299 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8300 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8301 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8302 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8303 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8304 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8305 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8306 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8307 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8308 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8309 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date8310 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no8311 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no8312 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name8313 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8314 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector8315 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose8316 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyManageAccessRequests/purpose" }) }) });
    var start_date8317 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date8318 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action8319 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register8320 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var result_htmlbox8321 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp8322 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8323 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8324 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8325 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      purpose8316.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox8321.refresh();
      overview_htmlbox8323.refresh();
    };
    this.onRender = function(ct, position) {
      typeof sector8315 !== 'undefined' && sector8315.on('change',Lino.chooser_handler(purpose8316,'sector'));
      Lino.cbss.MyManageAccessRequests.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8297, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8298, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8303, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8309, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date8310, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no8311, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no8312, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name8313, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name8314, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose8316, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date8317, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date8318, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action8319, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register8320, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.result) ") }, "sortable": false, "tooltip": "(cbss.MyManageAccessRequests.result) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.name_column) ") }, "sortable": false, "tooltip": "(cbss.MyManageAccessRequests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 26, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.overview) ") }, "sortable": false, "tooltip": "(cbss.MyManageAccessRequests.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyManageAccessRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.MyManageAccessRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.insertPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyManageAccessRequests.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyManageAccessRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyManageAccessRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyManageAccessRequests.insert;
    Lino.cbss.MyManageAccessRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyManageAccessRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  return new Lino.cbss.MyManageAccessRequests.detailPanel(p);
});
Lino.cbss.MyManageAccessRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyManageAccessRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyManageAccessRequests" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.MyManageAccessRequests.GridPanel(p);
});
Lino.cbss.MyManageAccessRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyManageAccessRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequests
Lino.cbss.RetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  disabled_fields_index : 25,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user8327 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/user" }) }) });
    var person8328 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequests/person" }) }) });
    var environment8329 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8330 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8331 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8332 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8333 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8334 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8335 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8336 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8337 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8338 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8339 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language8340 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history8341 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var result_htmlbox8342 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp8343 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8344 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8345 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8346 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      result_htmlbox8342.refresh();
      overview_htmlbox8344.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8327, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8328, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8333, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8339, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8340, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.result) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsRequests.result) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.name_column) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsRequests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 17, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.overview) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsRequests.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 18, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.RetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequests.insert;
    Lino.cbss.RetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  return new Lino.cbss.RetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.MyRetrieveTIGroupsRequests
Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/MyRetrieveTIGroupsRequests",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/MyRetrieveTIGroupsRequests','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Tx25-Anfragen",
  disabled_fields_index : 25,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    var ww = this.containing_window;
    var user8348 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/user" }) }) });
    var person8349 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/MyRetrieveTIGroupsRequests/person" }) }) });
    var environment8350 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent8351 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status8352 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket8353 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id8354 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by8355 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml8356 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml8357 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages8358 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages8359 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id8360 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language8361 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history8362 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var result_htmlbox8363 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp8364 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8365 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8366 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8367 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      result_htmlbox8363.refresh();
      overview_htmlbox8365.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user8348, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person8349, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8354, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id8360, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language8361, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.result) ") }, "sortable": false, "tooltip": "(cbss.MyRetrieveTIGroupsRequests.result) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.name_column) ") }, "sortable": false, "tooltip": "(cbss.MyRetrieveTIGroupsRequests.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 17, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.overview) ") }, "sortable": false, "tooltip": "(cbss.MyRetrieveTIGroupsRequests.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 18, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.MyRetrieveTIGroupsRequests.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.insertPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/MyRetrieveTIGroupsRequests",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.MyRetrieveTIGroupsRequests.detail;
    this.ls_insert_handler = Lino.cbss.MyRetrieveTIGroupsRequests.insert;
    Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.MyRetrieveTIGroupsRequests.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  return new Lino.cbss.MyRetrieveTIGroupsRequests.detailPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.MyRetrieveTIGroupsRequests.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/MyRetrieveTIGroupsRequests" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.MyRetrieveTIGroupsRequests.GridPanel(p);
});
Lino.cbss.MyRetrieveTIGroupsRequests.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/MyRetrieveTIGroupsRequests", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.Clients
Lino.debts.Clients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/Clients",
  ls_store_fields : [ { "name": "name_column" }, { "name": "national_id" }, { "name": "gsm" }, { "name": "address_column" }, { "name": "email" }, { "name": "phone" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  disabled_fields_index : 7,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Clients.detail;
    var ww = this.containing_window;
    var name_column_disp16518 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var national_id16519 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var gsm16520 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var address_column_disp16521 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email16522 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var phone16523 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id16524 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.name_column) ") }, "sortable": false, "tooltip": "(debts.Clients.name_column) ", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "national_id", "editable": true, "editor": national_id16519, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "gsm", "editable": true, "editor": gsm16520, "filter": { "type": "string" }, "header": "GSM", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.address_column) ") }, "sortable": false, "tooltip": "(debts.Clients.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email16522, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "phone", "editable": true, "editor": phone16523, "filter": { "type": "string" }, "header": "Telefon", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id16524, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.Clients.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.Clients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Clients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.Clients.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/debts/Clients','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/debts/Clients",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.Clients.detail;
    Lino.debts.Clients.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.Clients.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Clients" };
  return new Lino.debts.Clients.detailPanel(p);
});
Lino.debts.Clients.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/Clients" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.debts.Clients.GridPanel(p);
});
Lino.debts.Clients.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.Clients.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/Clients", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.MyBudgets
Lino.debts.MyBudgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/MyBudgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "partner" }, 'partnerHidden', { "name": "print_todos", "type": "boolean" }, { "name": "print_empty_rows", "type": "boolean" }, { "name": "include_yearly_incomes", "type": "boolean" }, { "name": "intro" }, { "name": "conclusion" }, { "name": "dist_amount" }, { "name": "total_debt" }, { "name": "data_box" }, { "name": "summary_box" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/MyBudgets','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Budgets",
  disabled_fields_index : 21,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.MyBudgets.detail;
    this.ls_insert_handler = Lino.debts.MyBudgets.insert;
    var ww = this.containing_window;
    var id16584 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user16585 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/MyBudgets/user" }) }) });
    var printed_by16586 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var date16587 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var partner16588 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/MyBudgets/partner" }) }) });
    var print_todos16589 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var print_empty_rows16590 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var include_yearly_incomes16591 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var intro16592 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Einleitung" });
    var conclusion16593 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount16594 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 120 });
    var total_debt16595 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "hidden": true });
    var data_box_htmlbox16596 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "data_box", "title": "Erfasste Daten", "value": "<br/>" });
    var summary_box_htmlbox16597 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "summary_box", "title": "Zusammenfassung", "value": "<br/>" });
    var name_column_disp16598 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox16599 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp16600 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp16601 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      intro16592.refresh();
      conclusion16593.refresh();
      data_box_htmlbox16596.refresh();
      summary_box_htmlbox16597.refresh();
      overview_htmlbox16599.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id16584, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user16585, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date", "editable": true, "editor": date16587, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "partner", "editable": true, "editor": partner16588, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "print_todos", "editable": true, "filter": { "type": "boolean" }, "header": "To-do-Liste drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt, \nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist. \nDiese Option wird aber momentan noch ignoriert \n(d.h. To-do-Liste wird gar nicht ausgedruckt), \nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen. \nVielleicht mit Fu\u00dfnoten?") }, "sortable": false, "tooltip": "Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt, \nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist. \nDiese Option wird aber momentan noch ignoriert \n(d.h. To-do-Liste wird gar nicht ausgedruckt), \nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen. \nVielleicht mit Fu\u00dfnoten?", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "print_empty_rows", "editable": true, "filter": { "type": "boolean" }, "header": "Auch leere Eintr\u00e4ge drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.print_empty_rows) Check this to print also empty rows for later completion.") }, "sortable": false, "tooltip": "Check this to print also empty rows for later completion.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "include_yearly_incomes", "editable": true, "filter": { "type": "boolean" }, "header": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "sortable": false, "tooltip": "Check this to include yearly incomes in the Debts Overview table of this Budget.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "intro", "editable": true, "editor": intro16592, "filter": { "type": "string" }, "header": "Einleitung", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.intro) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "conclusion", "editable": true, "editor": conclusion16593, "filter": { "type": "string" }, "header": "Schlussfolgerung", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.conclusion) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 10, "dataIndex": "dist_amount", "editable": true, "editor": dist_amount16594, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Verteilbarer Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "sortable": true, "tooltip": "Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "total_debt", "editable": false, "format": "0.000,00/i", "header": "Gesamtschuld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.total_debt) ") }, "sortable": true, "tooltip": "(debts.MyBudgets.total_debt) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "data_box", "editable": false, "header": "Erfasste Daten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.data_box) ") }, "sortable": false, "tooltip": "(debts.MyBudgets.data_box) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "summary_box", "editable": false, "header": "Zusammenfassung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.summary_box) ") }, "sortable": false, "tooltip": "(debts.MyBudgets.summary_box) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.name_column) ") }, "sortable": false, "tooltip": "(debts.MyBudgets.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.overview) ") }, "sortable": false, "tooltip": "(debts.MyBudgets.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.MyBudgets.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.debts.MyBudgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.MyBudgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.MyBudgets.insertPanel = Ext.extend(Lino.debts.Budgets.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/MyBudgets",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.MyBudgets.detail;
    this.ls_insert_handler = Lino.debts.MyBudgets.insert;
    Lino.debts.MyBudgets.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.MyBudgets.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/MyBudgets" };
  return new Lino.debts.MyBudgets.insertPanel(p);
});
Lino.debts.MyBudgets.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.MyBudgets.detailPanel = Ext.extend(Lino.debts.Budgets.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/MyBudgets",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.MyBudgets.detail;
    this.ls_insert_handler = Lino.debts.MyBudgets.insert;
    Lino.debts.MyBudgets.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.MyBudgets.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/MyBudgets" };
  return new Lino.debts.MyBudgets.detailPanel(p);
});
Lino.debts.MyBudgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.MyBudgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/MyBudgets" };
  p.params_panel = new Lino.debts.Budgets.ParamsPanel({});
  return new Lino.debts.MyBudgets.GridPanel(p);
});
Lino.debts.MyBudgets.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/MyBudgets", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.EntriesByType
Lino.debts.EntriesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/EntriesByType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "budget" }, 'budgetHidden', { "name": "account_type" }, 'account_typeHidden', { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "circa", "type": "boolean" }, { "name": "distribute", "type": "boolean" }, { "name": "todo" }, { "name": "remark" }, { "name": "description" }, { "name": "periods" }, { "name": "monthly_rate" }, { "name": "bailiff" }, 'bailiffHidden', { "name": "summary_description" }, { "name": "move_buttons" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "EntriesByType",
  disabled_fields_index : 27,
  initComponent : function() {
    var ww = this.containing_window;
    var id16625 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno16626 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var budget16627 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/budget" }) }) });
    var account_type16628 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.debts.AccountTypes) });
    var account16629 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/account" }) }) });
    var partner16630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/partner" }) }) });
    var amount16631 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor16632 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/actor" }) }) });
    var circa16633 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var distribute16634 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var todo16635 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var remark16636 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description16637 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var periods16638 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var monthly_rate16639 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var bailiff16640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByType/bailiff" }) }) });
    var summary_description_disp16641 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp16642 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp16643 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox16644 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp16645 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      account16629.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      actor16632.setContextValue('budget', record ? record.data['budgetHidden'] : undefined);
      overview_htmlbox16644.refresh();
    };
    this.onRender = function(ct, position) {
      typeof account_type16628 !== 'undefined' && account_type16628.on('change',Lino.chooser_handler(account16629,'account_type'));
      typeof budget16627 !== 'undefined' && budget16627.on('change',Lino.chooser_handler(actor16632,'budget'));
      Lino.debts.EntriesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id16625, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno16626, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "budget", "editable": true, "editor": budget16627, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.budget) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account_type", "editable": true, "editor": account_type16628, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 4, "dataIndex": "account", "editable": true, "editor": account16629, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.account) The related Account.") }, "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "partner", "editable": true, "editor": partner16630, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "amount", "editable": true, "editor": amount16631, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "actor", "editable": true, "editor": actor16632, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.actor) Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "circa", "editable": true, "filter": { "type": "boolean" }, "header": "ca.", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.circa) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 9, "dataIndex": "distribute", "editable": true, "filter": { "type": "boolean" }, "header": "Verteilen", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.distribute) Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.") }, "sortable": false, "tooltip": "Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 10, "dataIndex": "todo", "editable": true, "editor": todo16635, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "remark", "editable": true, "editor": remark16636, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description16637, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.description) Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 13, "dataIndex": "periods", "editable": true, "editor": periods16638, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "monthly_rate", "editable": true, "editor": monthly_rate16639, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monatsrate", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.monthly_rate) \nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird. \nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ") }, "sortable": true, "tooltip": "\nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird. \nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "bailiff", "editable": true, "editor": bailiff16640, "filter": { "type": "string" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.bailiff) Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency") }, "renderer": Lino.fk_renderer('bailiffHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "summary_description", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.summary_description) ") }, "sortable": false, "tooltip": "(debts.EntriesByType.summary_description) ", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.name_column) ") }, "sortable": false, "tooltip": "(debts.EntriesByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.overview) ") }, "sortable": false, "tooltip": "(debts.EntriesByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.debts.EntriesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.EntriesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/EntriesByType" };
  return new Lino.debts.EntriesByType.GridPanel(p);
});
Lino.debts.EntriesByType.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByType.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByType", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.Notes
Lino.notes.Notes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/Notes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "project" }, 'projectHidden', { "name": "subject" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "body" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/Notes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    var ww = this.containing_window;
    var date8369 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8370 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var id8371 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/user" }) }) });
    var event_type8373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/event_type" }) }) });
    var type8374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/type" }) }) });
    var project8375 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/project" }) }) });
    var subject8376 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var build_time8377 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8378 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8379 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_type" }) }) });
    var owner_id8380 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/owner_id" }) }) });
    var company8381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/company" }) }) });
    var contact_person8382 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_person" }) }) });
    var contact_role8383 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/Notes/contact_role" }) }) });
    var language8384 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8385 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8386 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp8387 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8388 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var body8390 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    this.before_row_edit = function(record) {
      owner_id8380.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8382.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      overview_htmlbox8388.refresh();
      body8390.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8379 !== 'undefined' && owner_type8379.on('change',Lino.chooser_handler(owner_id8380,'owner_type'));
      typeof company8381 !== 'undefined' && company8381.on('change',Lino.chooser_handler(contact_person8382,'company'));
      Lino.notes.Notes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8369, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8370, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id8371, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8372, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "event_type", "editable": true, "editor": event_type8373, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type8374, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project8375, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "subject", "editable": true, "editor": subject8376, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8378, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type8379, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id8380, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company8381, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person8382, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role8383, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language8384, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.owner) ") }, "sortable": false, "tooltip": "(notes.Notes.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.name_column) ") }, "sortable": false, "tooltip": "(notes.Notes.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.overview) ") }, "sortable": false, "tooltip": "(notes.Notes.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "body", "editable": true, "editor": body8390, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.Notes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) } ];
    Lino.notes.Notes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.insertPanel(p);
});
Lino.notes.Notes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.Notes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/Notes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.Notes.detail;
    this.ls_insert_handler = Lino.notes.Notes.insert;
    Lino.notes.Notes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.Notes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  return new Lino.notes.Notes.detailPanel(p);
});
Lino.notes.Notes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.Notes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/Notes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.Notes.GridPanel(p);
});
Lino.notes.Notes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/Notes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.MyNotes
Lino.notes.MyNotes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/MyNotes",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "project" }, 'projectHidden', { "name": "body" }, { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/MyNotes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    var ww = this.containing_window;
    var date8392 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time8393 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type8394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/event_type" }) }) });
    var type8395 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/type" }) }) });
    var subject8396 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var project8397 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/project" }) }) });
    var body8398 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Inhalt" });
    var id8399 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time8400 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8401 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var user8402 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/user" }) }) });
    var owner_type8403 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_type" }) }) });
    var owner_id8404 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/owner_id" }) }) });
    var company8405 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/company" }) }) });
    var contact_person8406 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_person" }) }) });
    var contact_role8407 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/MyNotes/contact_role" }) }) });
    var language8408 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important8409 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8410 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp8411 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8412 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8413 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      body8398.refresh();
      owner_id8404.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8406.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      overview_htmlbox8412.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8403 !== 'undefined' && owner_type8403.on('change',Lino.chooser_handler(owner_id8404,'owner_type'));
      typeof company8405 !== 'undefined' && company8405.on('change',Lino.chooser_handler(contact_person8406,'company'));
      Lino.notes.MyNotes.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8392, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time8393, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type8394, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type8395, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject8396, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "project", "editable": true, "editor": project8397, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "body", "editable": true, "editor": body8398, "filter": { "type": "string" }, "header": "Inhalt", "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id8399, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method8401, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "user", "editable": true, "editor": user8402, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_type", "editable": true, "editor": owner_type8403, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "owner_id", "editable": true, "editor": owner_id8404, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 13, "dataIndex": "company", "editable": true, "editor": company8405, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_person", "editable": true, "editor": contact_person8406, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "contact_role", "editable": true, "editor": contact_role8407, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8408, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.owner) ") }, "sortable": false, "tooltip": "(notes.MyNotes.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 19, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.name_column) ") }, "sortable": false, "tooltip": "(notes.MyNotes.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 20, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.overview) ") }, "sortable": false, "tooltip": "(notes.MyNotes.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.MyNotes.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.notes.MyNotes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.insertPanel(p);
});
Lino.notes.MyNotes.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.MyNotes.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/MyNotes",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.MyNotes.detail;
    this.ls_insert_handler = Lino.notes.MyNotes.insert;
    Lino.notes.MyNotes.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.MyNotes.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  return new Lino.notes.MyNotes.detailPanel(p);
});
Lino.notes.MyNotes.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.MyNotes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/MyNotes" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.MyNotes.GridPanel(p);
});
Lino.notes.MyNotes.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/MyNotes", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.Grantings
Lino.aids.Grantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/Grantings",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "custom_actions" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 133,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/Grantings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  disabled_fields_index : 23,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    var ww = this.containing_window;
    var id8415 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var start_date8416 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date8417 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8418 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/user" }) }) });
    var decision_date8419 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var board8420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/board" }) }) });
    var signer8421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/signer" }) }) });
    var state8422 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8423 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/client" }) }) });
    var aid_type8424 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/aid_type" }) }) });
    var category8425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/Grantings/category" }) }) });
    var request_date8426 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var custom_actions_disp8427 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp8428 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8429 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8430 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      board8420.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      overview_htmlbox8429.refresh();
    };
    this.onRender = function(ct, position) {
      typeof decision_date8419 !== 'undefined' && decision_date8419.on('change',Lino.chooser_handler(board8420,'decision_date'));
      Lino.aids.Grantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8415, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8416, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date8417, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8418, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "decision_date", "editable": true, "editor": decision_date8419, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board8420, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer", "editable": true, "editor": signer8421, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state8422, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 8, "dataIndex": "client", "editable": true, "editor": client8423, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "aid_type", "editable": true, "editor": aid_type8424, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category8425, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date8426, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "custom_actions", "editable": false, "header": "Aktionen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.custom_actions) ") }, "sortable": false, "tooltip": "(aids.Grantings.custom_actions) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.name_column) ") }, "sortable": false, "tooltip": "(aids.Grantings.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 14, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.overview) ") }, "sortable": false, "tooltip": "(aids.Grantings.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.Grantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.aids.Grantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.insertPanel(p);
});
Lino.aids.Grantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.Grantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/Grantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.Grantings.detail;
    this.ls_insert_handler = Lino.aids.Grantings.insert;
    Lino.aids.Grantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.Grantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  return new Lino.aids.Grantings.detailPanel(p);
});
Lino.aids.Grantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/Grantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.Grantings.GridPanel(p);
});
Lino.aids.Grantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.Grantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/Grantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.MyPendingGrantings
Lino.aids.MyPendingGrantings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/MyPendingGrantings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "custom_actions" }, { "name": "name_column" }, { "name": "overview" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 133,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/MyPendingGrantings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zu best\u00e4tigende Hilfebeschl\u00fcsse",
  disabled_fields_index : 23,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    var ww = this.containing_window;
    var client8432 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/client" }) }) });
    var aid_type8433 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/aid_type" }) }) });
    var category8434 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/category" }) }) });
    var start_date8435 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date8436 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user8437 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/user" }) }) });
    var workflow_buttons_disp8438 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8439 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var decision_date8440 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board8441 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/board" }) }) });
    var signer8442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/MyPendingGrantings/signer" }) }) });
    var state8443 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var request_date8444 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var custom_actions_disp8445 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp8446 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8447 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    this.before_row_edit = function(record) {
      board8441.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      overview_htmlbox8447.refresh();
    };
    this.onRender = function(ct, position) {
      typeof decision_date8440 !== 'undefined' && decision_date8440.on('change',Lino.chooser_handler(board8441,'decision_date'));
      Lino.aids.MyPendingGrantings.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client8432, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "aid_type", "editable": true, "editor": aid_type8433, "filter": { "type": "string" }, "header": "Hilfeart", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category8434, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date8435, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date8436, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user8437, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id8439, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "decision_date", "editable": true, "editor": decision_date8440, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "board", "editable": true, "editor": board8441, "filter": { "type": "string" }, "header": "Gremium", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "signer", "editable": true, "editor": signer8442, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "state", "editable": true, "editor": state8443, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 12, "dataIndex": "request_date", "editable": true, "editor": request_date8444, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "custom_actions", "editable": false, "header": "Aktionen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.custom_actions) ") }, "sortable": false, "tooltip": "(aids.MyPendingGrantings.custom_actions) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.name_column) ") }, "sortable": false, "tooltip": "(aids.MyPendingGrantings.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.MyPendingGrantings.overview) ") }, "sortable": false, "tooltip": "(aids.MyPendingGrantings.overview) ", "width": Lino.chars2width(31) } ];
    Lino.aids.MyPendingGrantings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.insertPanel(p);
});
Lino.aids.MyPendingGrantings.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.MyPendingGrantings.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/MyPendingGrantings",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.MyPendingGrantings.detail;
    this.ls_insert_handler = Lino.aids.MyPendingGrantings.insert;
    Lino.aids.MyPendingGrantings.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.MyPendingGrantings.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  return new Lino.aids.MyPendingGrantings.detailPanel(p);
});
Lino.aids.MyPendingGrantings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/MyPendingGrantings" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.MyPendingGrantings.GridPanel(p);
});
Lino.aids.MyPendingGrantings.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.MyPendingGrantings.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/MyPendingGrantings", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmations
Lino.aids.SimpleConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  disabled_fields_index : 31,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp8449 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created8450 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user8451 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/user" }) }) });
    var printed_disp8452 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date8453 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8454 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8455 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company8456 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/company" }) }) });
    var contact_person8457 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_person" }) }) });
    var contact_role8458 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/contact_role" }) }) });
    var printed_by8459 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8460 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/signer" }) }) });
    var state8461 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8462 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/client" }) }) });
    var granting8463 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmations/granting" }) }) });
    var remark8464 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8465 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var name_column_disp8466 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8467 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8468 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp8469 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      contact_person8457.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8464.refresh();
      overview_htmlbox8467.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8456 !== 'undefined' && company8456.on('change',Lino.chooser_handler(contact_person8457,'company'));
      Lino.aids.SimpleConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einfache Bescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8451, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8453, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8454, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8455, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8456, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8457, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8458, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8460, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8461, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client8462, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting8463, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark8464, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8465, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.name_column) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 18, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.overview) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmations.created_natural) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmations.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.aids.SimpleConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmations.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmations.detail;
    Lino.aids.SimpleConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  return new Lino.aids.SimpleConfirmations.detailPanel(p);
});
Lino.aids.SimpleConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmations" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmations.GridPanel(p);
});
Lino.aids.SimpleConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmations
Lino.aids.IncomeConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  disabled_fields_index : 34,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp8471 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created8472 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user8473 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/user" }) }) });
    var printed_disp8474 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date8475 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8476 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8477 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company8478 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/company" }) }) });
    var contact_person8479 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_person" }) }) });
    var contact_role8480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/contact_role" }) }) });
    var printed_by8481 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8482 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/signer" }) }) });
    var state8483 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8484 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/client" }) }) });
    var granting8485 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/granting" }) }) });
    var remark8486 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8487 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var category8488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmations/category" }) }) });
    var amount8489 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var name_column_disp8490 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8491 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8492 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp8493 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      contact_person8479.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8486.refresh();
      overview_htmlbox8491.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8478 !== 'undefined' && company8478.on('change',Lino.chooser_handler(contact_person8479,'company'));
      Lino.aids.IncomeConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einkommensbescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8473, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8475, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8476, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8477, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8478, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8479, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8480, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8482, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8483, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client8484, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting8485, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark8486, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8487, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "category", "editable": true, "editor": category8488, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 18, "dataIndex": "amount", "editable": true, "editor": amount8489, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.name_column) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 20, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.overview) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmations.created_natural) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmations.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.aids.IncomeConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmations.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmations.detail;
    Lino.aids.IncomeConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  return new Lino.aids.IncomeConfirmations.detailPanel(p);
});
Lino.aids.IncomeConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmations" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmations.GridPanel(p);
});
Lino.aids.IncomeConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmations
Lino.aids.RefundConfirmations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmations",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  disabled_fields_index : 37,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    var ww = this.containing_window;
    var detail_link_disp8495 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created8496 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user8497 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/user" }) }) });
    var printed_disp8498 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date8499 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date8500 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id8501 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company8502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/company" }) }) });
    var contact_person8503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_person" }) }) });
    var contact_role8504 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/contact_role" }) }) });
    var printed_by8505 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer8506 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/signer" }) }) });
    var state8507 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client8508 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/client" }) }) });
    var granting8509 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/granting" }) }) });
    var remark8510 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language8511 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type8512 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor_type" }) }) });
    var doctor8513 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/doctor" }) }) });
    var pharmacy8514 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmations/pharmacy" }) }) });
    var name_column_disp8515 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8516 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8517 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp8518 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      contact_person8503.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark8510.refresh();
      doctor8513.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      pharmacy8514.setContextValue('granting', record ? record.data['grantingHidden'] : undefined);
      overview_htmlbox8516.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company8502 !== 'undefined' && company8502.on('change',Lino.chooser_handler(contact_person8503,'company'));
      typeof doctor_type8512 !== 'undefined' && doctor_type8512.on('change',Lino.chooser_handler(doctor8513,'doctor_type'));
      typeof granting8509 !== 'undefined' && granting8509.on('change',Lino.chooser_handler(pharmacy8514,'granting'));
      Lino.aids.RefundConfirmations.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Kosten\u00fcbernahmeschein", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.detail_link) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8497, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date8499, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date8500, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id8501, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company8502, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person8503, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role8504, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer8506, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state8507, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client8508, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting8509, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark8510, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language8511, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type8512, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "doctor", "editable": true, "editor": doctor8513, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8514, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.name_column) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 21, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.overview) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 23, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmations.created_natural) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmations.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.aids.RefundConfirmations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmations.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmations",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmations.detail;
    Lino.aids.RefundConfirmations.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmations.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  return new Lino.aids.RefundConfirmations.detailPanel(p);
});
Lino.aids.RefundConfirmations.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmations" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmations.GridPanel(p);
});
Lino.aids.RefundConfirmations.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmations.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmations", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class esf.Summaries
Lino.esf.Summaries.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/Summaries",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "year", "type": "int", "useNull": true }, { "name": "month", "type": "int", "useNull": true }, { "name": "esf10" }, { "name": "esf20" }, { "name": "esf21" }, { "name": "esf30" }, { "name": "esf40" }, { "name": "esf41" }, { "name": "esf42" }, { "name": "esf43" }, { "name": "esf44" }, { "name": "esf50" }, { "name": "esf60" }, { "name": "esf70" }, { "name": "master" }, 'masterHidden', { "name": "education_level" }, 'education_levelHidden', { "name": "children_at_charge", "type": "boolean" }, { "name": "certified_handicap", "type": "boolean" }, { "name": "other_difficulty", "type": "boolean" }, { "name": "result" }, 'resultHidden', { "name": "remark" }, { "name": "user_modified", "type": "boolean" }, { "name": "results" }, { "name": "printed" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 137,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/Summaries','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ESF Summaries",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    var ww = this.containing_window;
    var id8520 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var printed_by8521 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var year8522 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var month8523 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var esf108524 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf208525 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf218526 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf308527 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf408528 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf418529 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf428530 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf438531 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf448532 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf508533 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf608534 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var esf708535 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true, "value": "0:00" });
    var master8536 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/master" }) }) });
    var education_level8537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Akademischer Grad ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.EducationLevels", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/esf/Summaries/education_level" }) }) });
    var children_at_charge8538 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var certified_handicap8539 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var other_difficulty8540 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var result8541 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.esf.ParticipationCertificates) });
    var remark8542 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user_modified8543 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var results_disp8544 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp8545 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp8546 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8547 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8548 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox8547.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8520, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "year", "editable": true, "editor": year8522, "filter": { "type": "numeric" }, "format": "0", "header": "Year", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.year) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "month", "editable": true, "editor": month8523, "filter": { "type": "numeric" }, "format": "0", "header": "Month", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.month) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "esf10", "editable": true, "editor": esf108524, "filter": { "type": "string" }, "format": "", "header": "S.Inf", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf10) Informative sessions") }, "sortable": true, "tooltip": "Informative sessions", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "esf20", "editable": true, "editor": esf208525, "filter": { "type": "string" }, "format": "", "header": "E.Ind", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf20) Individual consultation") }, "sortable": true, "tooltip": "Individual consultation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 6, "dataIndex": "esf21", "editable": true, "editor": esf218526, "filter": { "type": "string" }, "format": "", "header": "E.For", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf21) Evaluation of external training") }, "sortable": true, "tooltip": "Evaluation of external training", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 7, "dataIndex": "esf30", "editable": true, "editor": esf308527, "filter": { "type": "string" }, "format": "", "header": "SIS", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf30) Certified integration service") }, "sortable": true, "tooltip": "Certified integration service", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 8, "dataIndex": "esf40", "editable": true, "editor": esf408528, "filter": { "type": "string" }, "format": "", "header": "Tst", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf40) Level tests") }, "sortable": true, "tooltip": "Level tests", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 9, "dataIndex": "esf41", "editable": true, "editor": esf418529, "filter": { "type": "string" }, "format": "", "header": "Info", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf41) IT basics") }, "sortable": true, "tooltip": "IT basics", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 10, "dataIndex": "esf42", "editable": true, "editor": esf428530, "filter": { "type": "string" }, "format": "", "header": "Mob", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf42) Mobility") }, "sortable": true, "tooltip": "Mobility", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 11, "dataIndex": "esf43", "editable": true, "editor": esf438531, "filter": { "type": "string" }, "format": "", "header": "Rem", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf43) Remedial teaching") }, "sortable": true, "tooltip": "Remedial teaching", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 12, "dataIndex": "esf44", "editable": true, "editor": esf448532, "filter": { "type": "string" }, "format": "", "header": "AN!", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf44) Wake up!") }, "sortable": true, "tooltip": "Wake up!", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 13, "dataIndex": "esf50", "editable": true, "editor": esf508533, "filter": { "type": "string" }, "format": "", "header": "MSP", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf50) Getting a professional situation") }, "sortable": true, "tooltip": "Getting a professional situation", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 14, "dataIndex": "esf60", "editable": true, "editor": esf608534, "filter": { "type": "string" }, "format": "", "header": "CyE", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf60) Cyber Job") }, "sortable": true, "tooltip": "Cyber Job", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 15, "dataIndex": "esf70", "editable": true, "editor": esf708535, "filter": { "type": "string" }, "format": "", "header": "60\u00a77", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.esf70) Art 60\u00a77 job supplyment") }, "sortable": true, "tooltip": "Art 60\u00a77 job supplyment", "width": Lino.chars2width(10) }, { "colIndex": 16, "dataIndex": "master", "editable": true, "editor": master8536, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.master) The target model of the master will automatically receive an\naction check_summaries.") }, "renderer": Lino.fk_renderer('masterHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The target model of the master will automatically receive an\naction check_summaries.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "education_level", "editable": true, "editor": education_level8537, "filter": { "type": "string" }, "header": "Akademischer Grad", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.education_level) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "children_at_charge", "editable": true, "filter": { "type": "boolean" }, "header": "Kinder zu Lasten", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.children_at_charge) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 19, "dataIndex": "certified_handicap", "editable": true, "filter": { "type": "boolean" }, "header": "Certified handicap", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.certified_handicap) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "other_difficulty", "editable": true, "filter": { "type": "boolean" }, "header": "Other difficulty", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.other_difficulty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "result", "editable": true, "editor": result8541, "filter": { "options": [ "Epreuve d\u2019\u00e9valuation r\u00e9ussie sans titre sp\u00e9cifique" ], "type": "list" }, "header": "Participation Certificate", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.result) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(54) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark8542, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "user_modified", "editable": true, "filter": { "type": "boolean" }, "header": "User modified", "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.user_modified) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "results", "editable": false, "header": "Resultate", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.results) ") }, "sortable": false, "tooltip": "(esf.Summaries.results) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 26, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.name_column) ") }, "sortable": false, "tooltip": "(esf.Summaries.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 27, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.overview) ") }, "sortable": false, "tooltip": "(esf.Summaries.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.Summaries.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.esf.Summaries.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.esf.Summaries.detailPanel = Ext.extend(Lino.esf.Summaries.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Training report", "overflowText": "Training report", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "compute_results", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('compute_results','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Action for updating all the summary fields on this database object.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/esf/Summaries",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.esf.Summaries.detail;
    Lino.esf.Summaries.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.Summaries.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.detailPanel(p);
});
Lino.esf.Summaries.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.compute_results = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "GET", pk, "compute_results", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.Summaries.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/Summaries" };
  return new Lino.esf.Summaries.GridPanel(p);
});
Lino.esf.Summaries.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/Summaries", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.Widgets
Lino.dashboard.Widgets.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/Widgets",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "user" }, 'userHidden', { "name": "item_name" }, { "name": "visible", "type": "boolean" }, { "name": "title" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dashboard/Widgets','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Widgets",
  disabled_fields_index : 11,
  initComponent : function() {
    var ww = this.containing_window;
    var id8550 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8551 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8552 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/user" }) }) });
    var item_name8553 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/Widgets/item_name" }) }) });
    var visible8554 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var title_disp8555 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp8556 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8557 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8558 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp8559 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      item_name8553.setContextValue('user', record ? record.data['userHidden'] : undefined);
      overview_htmlbox8557.refresh();
    };
    this.onRender = function(ct, position) {
      typeof user8552 !== 'undefined' && user8552.on('change',Lino.chooser_handler(item_name8553,'user'));
      Lino.dashboard.Widgets.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8550, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8551, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8552, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "item_name", "editable": true, "editor": item_name8553, "filter": { "type": "string" }, "header": "Resource", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "title", "editable": false, "header": "Label", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.title) ") }, "sortable": false, "tooltip": "(dashboard.Widgets.title) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.name_column) ") }, "sortable": false, "tooltip": "(dashboard.Widgets.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.overview) ") }, "sortable": false, "tooltip": "(dashboard.Widgets.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.Widgets.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) } ];
    Lino.dashboard.Widgets.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.Widgets.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/Widgets" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.Widgets.GridPanel(p);
});
Lino.dashboard.Widgets.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.Widgets.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/Widgets", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class tinymce.MyTextFieldTemplates
Lino.tinymce.MyTextFieldTemplates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/tinymce/MyTextFieldTemplates",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "name" }, { "name": "description" }, { "name": "text" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 140,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/tinymce/MyTextFieldTemplates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Einf\u00fcgetexte",
  disabled_fields_index : 9,
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    var ww = this.containing_window;
    var id8561 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user8562 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/tinymce/MyTextFieldTemplates/user" }) }) });
    var name8563 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var description8564 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var text8565 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Vorlagentext" });
    var name_column_disp8566 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8567 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8568 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      text8565.refresh();
      overview_htmlbox8567.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8561, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8562, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name8563, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "description", "editable": true, "editor": description8564, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 4, "dataIndex": "text", "editable": true, "editor": text8565, "filter": { "type": "string" }, "header": "Vorlagentext", "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.text) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.name_column) ") }, "sortable": false, "tooltip": "(tinymce.MyTextFieldTemplates.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.overview) ") }, "sortable": false, "tooltip": "(tinymce.MyTextFieldTemplates.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(tinymce.MyTextFieldTemplates.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.tinymce.MyTextFieldTemplates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.insertPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.insertPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.tinymce.MyTextFieldTemplates.detailPanel = Ext.extend(Lino.tinymce.TextFieldTemplates.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einf\u00fcgetext) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/tinymce/MyTextFieldTemplates",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.tinymce.MyTextFieldTemplates.detail;
    this.ls_insert_handler = Lino.tinymce.MyTextFieldTemplates.insert;
    Lino.tinymce.MyTextFieldTemplates.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.tinymce.MyTextFieldTemplates.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  return new Lino.tinymce.MyTextFieldTemplates.detailPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.tinymce.MyTextFieldTemplates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/tinymce/MyTextFieldTemplates" };
  p.params_panel = new Lino.tinymce.TextFieldTemplates.ParamsPanel({});
  return new Lino.tinymce.MyTextFieldTemplates.GridPanel(p);
});
Lino.tinymce.MyTextFieldTemplates.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/tinymce/MyTextFieldTemplates", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class ledger.LedgerInfoTable
Lino.ledger.LedgerInfoTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/LedgerInfoTable",
  ls_store_fields : [ { "name": "user" }, { "dateFormat": "d.m.Y", "name": "entry_date", "type": "date" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "user",
  pk_index : 0,
  content_type : 57,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/LedgerInfoTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ledger infos",
  disabled_fields_index : 5,
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp8570 = new Ext.form.DisplayField({ "disabled": true });
    var entry_date8571 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var name_column_disp8572 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8573 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8574 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox8573.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.user) OneToOneField pointing to the user.") }, "sortable": false, "tooltip": "OneToOneField pointing to the user.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "entry_date", "editable": true, "editor": entry_date8571, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Last entry date", "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.entry_date) The last value this user typed as entry_date of a voucher.  It is the default value\nfor every new voucher.") }, "sortable": true, "tooltip": "The last value this user typed as entry_date of a voucher.  It is the default value\nfor every new voucher.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.name_column) ") }, "sortable": false, "tooltip": "(ledger.LedgerInfoTable.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.overview) ") }, "sortable": false, "tooltip": "(ledger.LedgerInfoTable.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(ledger.LedgerInfoTable.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.ledger.LedgerInfoTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.LedgerInfoTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/LedgerInfoTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.LedgerInfoTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/LedgerInfoTable" };
  return new Lino.ledger.LedgerInfoTable.GridPanel(p);
});

// js_render_GridPanel_class finan.JournalEntryItemTable
Lino.finan.JournalEntryItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/JournalEntryItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "debit" }, { "name": "credit" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 70,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/JournalEntryItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Diverse Buchungen",
  disabled_fields_index : 20,
  initComponent : function() {
    var ww = this.containing_window;
    var id8576 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8577 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8578 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/project" }) }) });
    var match8579 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/match" }) }) });
    var amount8580 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8581 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8582 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/account" }) }) });
    var partner8583 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/partner" }) }) });
    var date8584 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher8585 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Diverse Buchung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.FinancialVouchers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/JournalEntryItemTable/voucher" }) }) });
    var debit8586 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var credit8587 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var name_column_disp8588 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8589 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8590 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp8591 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      match8579.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match8579.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      overview_htmlbox8589.refresh();
    };
    this.onRender = function(ct, position) {
      typeof voucher8585 !== 'undefined' && voucher8585.on('change',Lino.chooser_handler(match8579,'voucher'));
      typeof partner8583 !== 'undefined' && partner8583.on('change',Lino.chooser_handler(match8579,'partner'));
      Lino.finan.JournalEntryItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8576, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8577, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8578, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match8579, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount8580, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8581, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8582, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8583, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date8584, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8585, "filter": { "type": "string" }, "header": "Diverse Buchung", "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "debit", "editable": true, "editor": debit8586, "format": "0.000,00/i", "header": "Debit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.debit) ") }, "sortable": true, "tooltip": "(finan.JournalEntryItemTable.debit) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "credit", "editable": true, "editor": credit8587, "format": "0.000,00/i", "header": "Kredit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.credit) ") }, "sortable": true, "tooltip": "(finan.JournalEntryItemTable.credit) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.name_column) ") }, "sortable": false, "tooltip": "(finan.JournalEntryItemTable.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 13, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.overview) ") }, "sortable": false, "tooltip": "(finan.JournalEntryItemTable.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.JournalEntryItemTable.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) } ];
    Lino.finan.JournalEntryItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.JournalEntryItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/JournalEntryItemTable" };
  return new Lino.finan.JournalEntryItemTable.GridPanel(p);
});
Lino.finan.JournalEntryItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.JournalEntryItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/JournalEntryItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.BankStatementItemTable
Lino.finan.BankStatementItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/BankStatementItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "voucher" }, 'voucherHidden', { "name": "expense" }, { "name": "income" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 71,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/BankStatementItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Kontoausz\u00fcge",
  disabled_fields_index : 20,
  initComponent : function() {
    var ww = this.containing_window;
    var id8593 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8594 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8595 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/project" }) }) });
    var match8596 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/match" }) }) });
    var amount8597 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8598 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8599 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/account" }) }) });
    var partner8600 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/partner" }) }) });
    var date8601 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var voucher8602 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.BankStatements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/BankStatementItemTable/voucher" }) }) });
    var expense8603 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var income8604 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var name_column_disp8605 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8606 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8607 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp8608 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      match8596.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match8596.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      overview_htmlbox8606.refresh();
    };
    this.onRender = function(ct, position) {
      typeof voucher8602 !== 'undefined' && voucher8602.on('change',Lino.chooser_handler(match8596,'voucher'));
      typeof partner8600 !== 'undefined' && partner8600.on('change',Lino.chooser_handler(match8596,'partner'));
      Lino.finan.BankStatementItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8593, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8594, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8595, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match8596, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount8597, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8598, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8599, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8600, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date8601, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.date) The value date of this item.") }, "sortable": true, "tooltip": "The value date of this item.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8602, "filter": { "type": "string" }, "header": "Kontoauszug", "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "expense", "editable": true, "editor": expense8603, "format": "0.000,00/i", "header": "Ausgabe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.expense) ") }, "sortable": true, "tooltip": "(finan.BankStatementItemTable.expense) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "income", "editable": true, "editor": income8604, "format": "0.000,00/i", "header": "Eingang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.income) ") }, "sortable": true, "tooltip": "(finan.BankStatementItemTable.income) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 12, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.name_column) ") }, "sortable": false, "tooltip": "(finan.BankStatementItemTable.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 13, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.overview) ") }, "sortable": false, "tooltip": "(finan.BankStatementItemTable.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.BankStatementItemTable.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) } ];
    Lino.finan.BankStatementItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.BankStatementItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/BankStatementItemTable" };
  return new Lino.finan.BankStatementItemTable.GridPanel(p);
});
Lino.finan.BankStatementItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.BankStatementItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/BankStatementItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class finan.PaymentOrderItemTable
Lino.finan.PaymentOrderItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/finan/PaymentOrderItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "match" }, { "name": "amount" }, { "name": "remark" }, { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "bank_account" }, 'bank_accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "to_pay" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 72,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/finan/PaymentOrderItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegszeilen Zahlungsauftr\u00e4ge",
  disabled_fields_index : 20,
  initComponent : function() {
    var ww = this.containing_window;
    var id8610 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8611 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8612 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/project" }) }) });
    var match8613 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/match" }) }) });
    var amount8614 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var remark8615 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var account8616 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/account" }) }) });
    var partner8617 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/partner" }) }) });
    var bank_account8618 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Bankkonto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "sepa.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/bank_account" }) }) });
    var voucher8619 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Zahlungsauftrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "finan.PaymentOrders", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/finan/PaymentOrderItemTable/voucher" }) }) });
    var to_pay8620 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var name_column_disp8621 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8622 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8623 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp8624 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      match8613.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      match8613.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account8618.setContextValue('partner', record ? record.data['partnerHidden'] : undefined);
      bank_account8618.setContextValue('project', record ? record.data['projectHidden'] : undefined);
      overview_htmlbox8622.refresh();
    };
    this.onRender = function(ct, position) {
      typeof voucher8619 !== 'undefined' && voucher8619.on('change',Lino.chooser_handler(match8613,'voucher'));
      typeof partner8617 !== 'undefined' && partner8617.on('change',Lino.chooser_handler(match8613,'partner'));
      typeof partner8617 !== 'undefined' && partner8617.on('change',Lino.chooser_handler(bank_account8618,'partner'));
      typeof project8612 !== 'undefined' && project8612.on('change',Lino.chooser_handler(bank_account8618,'project'));
      Lino.finan.PaymentOrderItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8610, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8611, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8612, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.project) The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The \"project\" related to this transaction. For example in Lino\nWelfare this is the client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "match", "editable": true, "editor": match8613, "filter": { "type": "string" }, "header": "Match", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.match) The movement to be matched.") }, "sortable": false, "tooltip": "The movement to be matched.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "amount", "editable": true, "editor": amount8614, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.amount) The amount to be booked. If this is empty, then the voucher\ncannot be registered.") }, "sortable": true, "tooltip": "The amount to be booked. If this is empty, then the voucher\ncannot be registered.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark8615, "filter": { "type": "string" }, "header": "Externe Referenz", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.remark) External reference. The description of this transation\nas seen by the external partner.") }, "sortable": true, "tooltip": "External reference. The description of this transation\nas seen by the external partner.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "account", "editable": true, "editor": account8616, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.account) The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.") }, "sortable": false, "tooltip": "The general account to be used in the primary booking.\nIf this is empty, use item_account of the voucher.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "partner", "editable": true, "editor": partner8617, "filter": { "type": "string" }, "header": "Zahlungsempf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.partner) The partner account to be used in the primary booking.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner account to be used in the primary booking.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "bank_account", "editable": true, "editor": bank_account8618, "filter": { "type": "string" }, "header": "Bankkonto", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.bank_account) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "voucher", "editable": true, "editor": voucher8619, "filter": { "type": "string" }, "header": "Zahlungsauftrag", "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 10, "dataIndex": "to_pay", "editable": true, "editor": to_pay8620, "format": "0.000,00/i", "header": "To pay", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.to_pay) ") }, "sortable": true, "tooltip": "(finan.PaymentOrderItemTable.to_pay) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.name_column) ") }, "sortable": false, "tooltip": "(finan.PaymentOrderItemTable.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 12, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.overview) ") }, "sortable": false, "tooltip": "(finan.PaymentOrderItemTable.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(finan.PaymentOrderItemTable.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) } ];
    Lino.finan.PaymentOrderItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.finan.PaymentOrderItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/finan/PaymentOrderItemTable" };
  return new Lino.finan.PaymentOrderItemTable.GridPanel(p);
});
Lino.finan.PaymentOrderItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.finan.PaymentOrderItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/finan/PaymentOrderItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class vatless.InvoiceItemTable
Lino.vatless.InvoiceItemTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/vatless/InvoiceItemTable",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "project" }, 'projectHidden', { "name": "account" }, 'accountHidden', { "name": "voucher" }, 'voucherHidden', { "name": "title" }, { "name": "amount" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 76,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/vatless/InvoiceItemTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Rechnungspositionen",
  disabled_fields_index : 14,
  initComponent : function() {
    var ww = this.containing_window;
    var id8626 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var seqno8627 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var project8628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/project" }) }) });
    var account8629 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Haushaltsartikel ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "ledger.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/account" }) }) });
    var voucher8630 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Rechnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "vatless.Invoices", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/vatless/InvoiceItemTable/voucher" }) }) });
    var title8631 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount8632 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var name_column_disp8633 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8634 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8635 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp8636 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      account8629.setContextValue('voucher', record ? record.data['voucherHidden'] : undefined);
      overview_htmlbox8634.refresh();
    };
    this.onRender = function(ct, position) {
      typeof voucher8630 !== 'undefined' && voucher8630.on('change',Lino.chooser_handler(account8629,'voucher'));
      Lino.vatless.InvoiceItemTable.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8626, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno8627, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project8628, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.project) Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the \"project\". This field exists only if the\nproject_model setting is\nnonempty.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "account", "editable": true, "editor": account8629, "filter": { "type": "string" }, "header": "Haushaltsartikel", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.account) ForeignKey pointing to the account (ledger.Account) that is to be moved.") }, "sortable": false, "tooltip": "ForeignKey pointing to the account (ledger.Account) that is to be moved.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "voucher", "editable": true, "editor": voucher8630, "filter": { "type": "string" }, "header": "Rechnung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.voucher) Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.") }, "sortable": false, "tooltip": "Pointer to the voucher which contains this item.  Non\nnullable.  The voucher must be a subclass of\nledger.Voucher.\nThe related_name must be 'items'.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "title", "editable": true, "editor": title8631, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.title) The title of this voucher.") }, "sortable": true, "tooltip": "The title of this voucher.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "amount", "editable": true, "editor": amount8632, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.name_column) ") }, "sortable": false, "tooltip": "(vatless.InvoiceItemTable.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.overview) ") }, "sortable": false, "tooltip": "(vatless.InvoiceItemTable.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 10, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(vatless.InvoiceItemTable.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) } ];
    Lino.vatless.InvoiceItemTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.vatless.InvoiceItemTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/vatless/InvoiceItemTable" };
  return new Lino.vatless.InvoiceItemTable.GridPanel(p);
});
Lino.vatless.InvoiceItemTable.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.vatless.InvoiceItemTable.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/vatless/InvoiceItemTable", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class countries.PlacesByCountry
Lino.countries.PlacesByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlacesByCountry",
  ls_store_fields : [ { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "type" }, 'typeHidden', { "name": "zip_code" }, { "name": "id", "type": "int" }, { "name": "parent" }, 'parentHidden', { "name": "show_type", "type": "boolean" }, { "name": "inscode" }, { "name": "children_summary" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 3,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/PlacesByCountry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Orte",
  disabled_fields_index : 17,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    var ww = this.containing_window;
    var name5015 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr5016 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en5017 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var type5018 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/type" }) }) });
    var zip_code5019 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(8), "maxLength": 8, "selectOnFocus": true });
    var id5020 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var parent5021 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/parent" }) }) });
    var show_type5022 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var inscode5023 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(5), "hidden": true, "maxLength": 5, "selectOnFocus": true });
    var children_summary_disp5024 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp5025 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox5026 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp5027 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var country5028 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/countries/PlacesByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      type5018.setContextValue('mk',bp['mk']);
      type5018.setContextValue('mt',bp['mt']);
      overview_htmlbox5026.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country5028 !== 'undefined' && country5028.on('change',Lino.chooser_handler(type5018,'country'));
      Lino.countries.PlacesByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name5015, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name_fr", "editable": true, "editor": name_fr5016, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_en", "editable": true, "editor": name_en5017, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type5018, "filter": { "type": "string" }, "header": "Ortsart", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.type) The type of this place (whether it's a city. a village, a province...)") }, "sortable": false, "tooltip": "The type of this place (whether it's a city. a village, a province...)", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "zip_code", "editable": true, "editor": zip_code5019, "filter": { "type": "string" }, "header": "zip code", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(10) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id5020, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "parent", "editable": true, "editor": parent5021, "filter": { "type": "string" }, "header": "Teil von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.parent) The superordinate geographic place of which this place is a part.") }, "sortable": false, "tooltip": "The superordinate geographic place of which this place is a part.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "show_type", "editable": true, "filter": { "type": "boolean" }, "header": "Show type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.show_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "inscode", "editable": true, "editor": inscode5023, "filter": { "type": "string" }, "header": "INS code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.inscode) The official code for this place used by statbel.fgov.be") }, "sortable": true, "tooltip": "The official code for this place used by statbel.fgov.be", "width": Lino.chars2width(7) }, { "colIndex": 9, "dataIndex": "children_summary", "editable": false, "header": "Kinder", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.children_summary) ") }, "sortable": false, "tooltip": "(countries.PlacesByCountry.children_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 10, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.name_column) ") }, "sortable": false, "tooltip": "(countries.PlacesByCountry.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 11, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.overview) ") }, "sortable": false, "tooltip": "(countries.PlacesByCountry.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "country", "editable": true, "editor": country5028, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlacesByCountry.country) The country this place is in.") }, "sortable": false, "tooltip": "The country this place is in.", "width": Lino.chars2width(21) } ];
    Lino.countries.PlacesByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.insertPanel = Ext.extend(Lino.countries.Places.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.insertPanel(p);
});
Lino.countries.PlacesByCountry.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.countries.PlacesByCountry.detailPanel = Ext.extend(Lino.countries.Places.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ort) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/countries/PlacesByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.countries.PlacesByCountry.detail;
    this.ls_insert_handler = Lino.countries.PlacesByCountry.insert;
    Lino.countries.PlacesByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlacesByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.detailPanel(p);
});
Lino.countries.PlacesByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlacesByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlacesByCountry" };
  return new Lino.countries.PlacesByCountry.GridPanel(p);
});
Lino.countries.PlacesByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlacesByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCity
Lino.contacts.PartnersByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCity",
  ls_store_fields : [ { "name": "address_column" }, { "name": "name" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCity','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  disabled_fields_index : 42,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    var ww = this.containing_window;
    var address_column_disp5087 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var name5088 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id5089 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email5090 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language5091 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url5092 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone5093 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm5094 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax5095 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified5096 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created5097 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country5098 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/country" }) }) });
    var zip_code5099 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region5100 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/region" }) }) });
    var addr15101 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix5102 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street5103 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no5104 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box5105 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr25106 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix5107 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks5108 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete5109 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity5110 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/activity" }) }) });
    var client_contact_type5111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/client_contact_type" }) }) });
    var payment_term5112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/payment_term" }) }) });
    var name_column_disp5113 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox5114 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp5115 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp5116 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp5117 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality5118 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp5119 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox5114 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var city5120 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region5100.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox5114.refresh();
      overview_htmlbox5114.refresh();
      city5120.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5120.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country5098 !== 'undefined' && country5098.on('change',Lino.chooser_handler(region5100,'country'));
      typeof country5098 !== 'undefined' && country5098.on('change',Lino.chooser_handler(city5120,'country'));
      typeof region5100 !== 'undefined' && region5100.on('change',Lino.chooser_handler(city5120,'region'));
      Lino.contacts.PartnersByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.address_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name5088, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id5089, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email5090, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language5091, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url5092, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone5093, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm5094, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax5095, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country5098, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "zip_code", "editable": true, "editor": zip_code5099, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "region", "editable": true, "editor": region5100, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "addr1", "editable": true, "editor": addr15101, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix5102, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street", "editable": true, "editor": street5103, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_no", "editable": true, "editor": street_no5104, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "street_box", "editable": true, "editor": street_box5105, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "addr2", "editable": true, "editor": addr25106, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix5107, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity5110, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type5111, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term5112, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.name_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 27, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.overview) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.contact_details) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 32, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.created_natural) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.overview) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCity.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "city", "editable": true, "editor": city5120, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCity.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCity.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCity.detail;
    Lino.contacts.PartnersByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCity.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  return new Lino.contacts.PartnersByCity.detailPanel(p);
});
Lino.contacts.PartnersByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCity" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCity.GridPanel(p);
});
Lino.contacts.PartnersByCity.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.PartnersByCountry
Lino.contacts.PartnersByCountry.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnersByCountry",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "name" }, { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "address_column" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "country" }, 'countryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnersByCountry','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  disabled_fields_index : 42,
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    var ww = this.containing_window;
    var city8638 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/city" }) }) });
    var street8639 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8640 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var name8641 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var language8642 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var id8643 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8644 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8645 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8646 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8647 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8648 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8649 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8650 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8651 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8652 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/region" }) }) });
    var addr18653 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8654 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_box8655 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28656 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8657 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8658 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete8659 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/activity" }) }) });
    var client_contact_type8661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/client_contact_type" }) }) });
    var payment_term8662 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/payment_term" }) }) });
    var name_column_disp8663 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8664 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8665 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp8666 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp8667 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var address_column_disp8668 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality8669 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp8670 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8664 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var country8671 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/PartnersByCountry/country" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      city8638.setContextValue('mk',bp['mk']);
      city8638.setContextValue('mt',bp['mt']);
      city8638.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      var bp = this.get_base_params();
      region8652.setContextValue('mk',bp['mk']);
      region8652.setContextValue('mt',bp['mt']);
      overview_htmlbox8664.refresh();
      overview_htmlbox8664.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country8671 !== 'undefined' && country8671.on('change',Lino.chooser_handler(city8638,'country'));
      typeof region8652 !== 'undefined' && region8652.on('change',Lino.chooser_handler(city8638,'region'));
      typeof country8671 !== 'undefined' && country8671.on('change',Lino.chooser_handler(region8652,'country'));
      Lino.contacts.PartnersByCountry.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8638, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8639, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8640, "filter": { "type": "string" }, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "name", "editable": true, "editor": name8641, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language8642, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8643, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "email", "editable": true, "editor": email8644, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "url", "editable": true, "editor": url8645, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "phone", "editable": true, "editor": phone8646, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "gsm", "editable": true, "editor": gsm8647, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "fax", "editable": true, "editor": fax8648, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code8651, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region8652, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr18653, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8654, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_box", "editable": true, "editor": street_box8655, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 18, "dataIndex": "addr2", "editable": true, "editor": addr28656, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "prefix", "editable": true, "editor": prefix8657, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 22, "dataIndex": "activity", "editable": true, "editor": activity8660, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8661, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "payment_term", "editable": true, "editor": payment_term8662, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.name_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCountry.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 26, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.overview) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCountry.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.contact_details) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCountry.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "address_column", "editable": false, "header": "Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.address_column) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCountry.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 32, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.created_natural) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCountry.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.overview) ") }, "sortable": false, "tooltip": "(contacts.PartnersByCountry.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "country", "editable": true, "editor": country8671, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnersByCountry.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.contacts.PartnersByCountry.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.contacts.PartnersByCountry.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/contacts/PartnersByCountry",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.contacts.PartnersByCountry.detail;
    Lino.contacts.PartnersByCountry.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnersByCountry.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  return new Lino.contacts.PartnersByCountry.detailPanel(p);
});
Lino.contacts.PartnersByCountry.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnersByCountry" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.contacts.PartnersByCountry.GridPanel(p);
});
Lino.contacts.PartnersByCountry.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnersByCountry.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnersByCountry", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class contacts.RolesByCompany
Lino.contacts.RolesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByCompany",
  ls_store_fields : [ { "name": "person" }, 'personHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByCompany','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktpersonen",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var person3703 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/person" }) }) });
    var type3704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/type" }) }) });
    var id3705 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp3706 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3707 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3708 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var company3709 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox3707.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "person", "editable": true, "editor": person3703, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type3704, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id3705, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.name_column) ") }, "sortable": false, "tooltip": "(contacts.RolesByCompany.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.overview) ") }, "sortable": false, "tooltip": "(contacts.RolesByCompany.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company3709, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByCompany.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByCompany" };
  return new Lino.contacts.RolesByCompany.GridPanel(p);
});

// js_render_GridPanel_class contacts.RolesByPerson
Lino.contacts.RolesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/RolesByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 6,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/RolesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontaktperson f\u00fcr",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var company2716 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/company" }) }) });
    var type2717 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/type" }) }) });
    var id2718 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp2719 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2720 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2721 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person2722 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/contacts/RolesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox2720.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company2716, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.company) The organization where this person has this role.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization where this person has this role.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type2717, "filter": { "type": "string" }, "header": "Funktion", "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.type) The function of this person in this organization.") }, "sortable": false, "tooltip": "The function of this person in this organization.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "id", "editable": true, "editor": id2718, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.name_column) ") }, "sortable": false, "tooltip": "(contacts.RolesByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.overview) ") }, "sortable": false, "tooltip": "(contacts.RolesByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "person", "editable": true, "editor": person2722, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.RolesByPerson.person) The person having this role in this organization.") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The person having this role in this organization.", "width": Lino.chars2width(21) } ];
    Lino.contacts.RolesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.RolesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/RolesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.RolesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/RolesByPerson" };
  return new Lino.contacts.RolesByPerson.GridPanel(p);
});

// js_render_GridPanel_class properties.ChoicesByType
Lino.properties.ChoicesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/ChoicesByType",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "text_fr" }, { "name": "text_en" }, { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 17,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/ChoicesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Auswahlm\u00f6glichkeiten",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var value5910 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var text5911 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_fr5912 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var text_en5913 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id5914 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp5915 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox5916 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp5917 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type5918 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Eigenschafts-Datentyp ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "properties.PropTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/properties/ChoicesByType/type" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox5916.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": true, "editor": value5910, "filter": { "type": "string" }, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.value) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": true, "editor": text5911, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text_fr", "editable": true, "editor": text_fr5912, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "text_en", "editable": true, "editor": text_en5913, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.text_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5914, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.name_column) ") }, "sortable": false, "tooltip": "(properties.ChoicesByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.overview) ") }, "sortable": false, "tooltip": "(properties.ChoicesByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "type", "editable": true, "editor": type5918, "filter": { "type": "string" }, "header": "Eigenschafts-Datentyp", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.ChoicesByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.properties.ChoicesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.ChoicesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/ChoicesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.ChoicesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/ChoicesByType" };
  return new Lino.properties.ChoicesByType.GridPanel(p);
});

// js_render_GridPanel_class checkdata.ProblemsByChecker
Lino.checkdata.ProblemsByChecker.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/ProblemsByChecker",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "message" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "checker" }, 'checkerHidden' ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByChecker','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByChecker.detail;
    var ww = this.containing_window;
    var user6142 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/user" }) }) });
    var owner_disp6143 = new Ext.form.DisplayField({ "disabled": true });
    var message6144 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var id6145 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6146 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/owner_type" }) }) });
    var owner_id6147 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByChecker/owner_id" }) }) });
    var name_column_disp6148 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6149 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6150 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var checker6151 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    this.before_row_edit = function(record) {
      overview_htmlbox6149.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type6146 !== 'undefined' && owner_type6146.on('change',Lino.chooser_handler(owner_id6147,'owner_type'));
      Lino.checkdata.ProblemsByChecker.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6142, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByChecker.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "message", "editable": true, "editor": message6144, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6145, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type6146, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id6147, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.name_column) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByChecker.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.overview) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByChecker.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "checker", "editable": true, "editor": checker6151, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByChecker.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) } ];
    Lino.checkdata.ProblemsByChecker.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByChecker.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.ProblemsByChecker.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/ProblemsByChecker",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByChecker.detail;
    Lino.checkdata.ProblemsByChecker.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByChecker.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByChecker" };
  return new Lino.checkdata.ProblemsByChecker.detailPanel(p);
});
Lino.checkdata.ProblemsByChecker.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByChecker" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.ProblemsByChecker.GridPanel(p);
});
Lino.checkdata.ProblemsByChecker.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByChecker.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByChecker", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByPartner
Lino.addresses.AddressesByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByPartner",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "remark" }, { "name": "address_column" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "municipality" }, 'municipalityHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    var ww = this.containing_window;
    var address_type5414 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var remark5415 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var address_column_disp5416 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary5417 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id5418 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country5419 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/country" }) }) });
    var city5420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/city" }) }) });
    var zip_code5421 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region5422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/region" }) }) });
    var addr15423 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix5424 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street5425 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no5426 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box5427 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr25428 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source5429 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var municipality5430 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var name_column_disp5431 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox5432 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp5433 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner5434 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      city5420.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city5420.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region5422.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox5432.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country5419 !== 'undefined' && country5419.on('change',Lino.chooser_handler(city5420,'country'));
      typeof region5422 !== 'undefined' && region5422.on('change',Lino.chooser_handler(city5420,'region'));
      typeof country5419 !== 'undefined' && country5419.on('change',Lino.chooser_handler(region5422,'country'));
      Lino.addresses.AddressesByPartner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type5414, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark5415, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.address_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByPartner.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id5418, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "country", "editable": true, "editor": country5419, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "city", "editable": true, "editor": city5420, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code5421, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region5422, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr15423, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix5424, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street", "editable": true, "editor": street5425, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "street_no", "editable": true, "editor": street_no5426, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "street_box", "editable": true, "editor": street_box5427, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "addr2", "editable": true, "editor": addr25428, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "colIndex": 16, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.name_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByPartner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 18, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.overview) ") }, "sortable": false, "tooltip": "(addresses.AddressesByPartner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "partner", "editable": true, "editor": partner5434, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.insertPanel(p);
});
Lino.addresses.AddressesByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByPartner.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByPartner.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByPartner.insert;
    Lino.addresses.AddressesByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  return new Lino.addresses.AddressesByPartner.detailPanel(p);
});
Lino.addresses.AddressesByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByPartner.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByPartner" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByPartner.GridPanel(p);
});
Lino.addresses.AddressesByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class addresses.AddressesByCity
Lino.addresses.AddressesByCity.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/AddressesByCity",
  ls_store_fields : [ { "name": "address_type" }, 'address_typeHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "street" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "country" }, 'countryHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "data_source" }, 'data_sourceHidden', { "name": "address_column" }, { "name": "municipality" }, 'municipalityHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "city" }, 'cityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 21,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/AddressesByCity','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Adressen",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    var ww = this.containing_window;
    var address_type8673 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.addresses.AddressTypes });
    var partner8674 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/partner" }) }) });
    var remark8675 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 50, "selectOnFocus": true });
    var street8676 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary8677 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id8678 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var country8679 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/country" }) }) });
    var zip_code8680 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8681 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/region" }) }) });
    var addr18682 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8683 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8684 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box8685 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr28686 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var data_source8687 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "hidden": true, "store": Lino.addresses.DataSources });
    var address_column_disp8688 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality8689 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var name_column_disp8690 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8691 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8692 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var city8693 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/addresses/AddressesByCity/city" }) }) });
    this.before_row_edit = function(record) {
      region8681.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox8691.refresh();
      city8693.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8693.setContextValue('region', record ? record.data['regionHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof country8679 !== 'undefined' && country8679.on('change',Lino.chooser_handler(region8681,'country'));
      typeof country8679 !== 'undefined' && country8679.on('change',Lino.chooser_handler(city8693,'country'));
      typeof region8681 !== 'undefined' && region8681.on('change',Lino.chooser_handler(city8693,'region'));
      Lino.addresses.AddressesByCity.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "address_type", "editable": true, "editor": address_type8673, "filter": { "options": [ "Offizielle Adresse", "Ungepr\u00fcfte Adresse", "Deklarierte Addresse", "Referenzadresse", "Veraltet", "Sonstige" ], "type": "list" }, "header": "Adressenart", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.address_type) The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.") }, "sortable": false, "tooltip": "The type of this address record.\nA pointer to AddressTypes.\nThe default value is AddressTypes.official.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner8674, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark8675, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "street", "editable": true, "editor": street8676, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.primary) Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.") }, "sortable": false, "tooltip": "Whether this address is the primary address of its owner.\nSetting this field will automatically uncheck any previousl\nprimary addresses and update the owner's address fields.", "width": Lino.chars2width(6), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8678, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8679, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "zip_code", "editable": true, "editor": zip_code8680, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 8, "dataIndex": "region", "editable": true, "editor": region8681, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "addr1", "editable": true, "editor": addr18682, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8683, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "street_no", "editable": true, "editor": street_no8684, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 12, "dataIndex": "street_box", "editable": true, "editor": street_box8685, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 13, "dataIndex": "addr2", "editable": true, "editor": addr28686, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "data_source", "editable": false, "filter": { "options": [ "Manuell eingegeben", "Eingelesen von eID-Karte" ], "type": "list" }, "header": "Datenquelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.data_source) Pointer to DataSources.") }, "sortable": false, "tooltip": "Pointer to DataSources.", "width": Lino.chars2width(28) }, { "colIndex": 15, "dataIndex": "address_column", "editable": false, "header": "Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.address_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByCity.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.name_column) ") }, "sortable": false, "tooltip": "(addresses.AddressesByCity.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 18, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.overview) ") }, "sortable": false, "tooltip": "(addresses.AddressesByCity.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "city", "editable": true, "editor": city8693, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.AddressesByCity.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) } ];
    Lino.addresses.AddressesByCity.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.insertPanel = Ext.extend(Lino.addresses.Addresses.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.insertPanel(p);
});
Lino.addresses.AddressesByCity.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.addresses.AddressesByCity.detailPanel = Ext.extend(Lino.addresses.Addresses.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Adresse) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/addresses/AddressesByCity",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.addresses.AddressesByCity.detail;
    this.ls_insert_handler = Lino.addresses.AddressesByCity.insert;
    Lino.addresses.AddressesByCity.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.AddressesByCity.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  return new Lino.addresses.AddressesByCity.detailPanel(p);
});
Lino.addresses.AddressesByCity.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.AddressesByCity.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/AddressesByCity" };
  p.params_panel = new Lino.addresses.Addresses.ParamsPanel({});
  return new Lino.addresses.AddressesByCity.GridPanel(p);
});
Lino.addresses.AddressesByCity.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/AddressesByCity", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByType
Lino.excerpts.ExcerptsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByType",
  ls_store_fields : [ { "name": "build_time" }, { "name": "owner" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "body_template_content" }, { "name": "preview" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausz\u00fcge",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    var ww = this.containing_window;
    var build_time6638 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var owner_disp6639 = new Ext.form.DisplayField({ "disabled": true });
    var project6640 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/project" }) }) });
    var user6641 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/user" }) }) });
    var id6642 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method6643 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type6644 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_type" }) }) });
    var owner_id6645 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/owner_id" }) }) });
    var company6646 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/company" }) }) });
    var contact_person6647 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_person" }) }) });
    var contact_role6648 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/contact_role" }) }) });
    var language6649 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var body_template_content6650 = new Ext.form.TextArea({ "allowBlank": false, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var preview_htmlbox6651 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "preview", "title": "Vorschau", "value": "<br/>" });
    var name_column_disp6652 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6653 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6654 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var excerpt_type6655 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByType/excerpt_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id6645.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6647.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      preview_htmlbox6651.refresh();
      overview_htmlbox6653.refresh();
      excerpt_type6655.setContextValue('owner', record ? record.data['owner'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type6644 !== 'undefined' && owner_type6644.on('change',Lino.chooser_handler(owner_id6645,'owner_type'));
      typeof company6646 !== 'undefined' && company6646.on('change',Lino.chooser_handler(contact_person6647,'company'));
      typeof owner_disp6639 !== 'undefined' && owner_disp6639.on('change',Lino.chooser_handler(excerpt_type6655,'owner'));
      Lino.excerpts.ExcerptsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project6640, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6641, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id6642, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method6643, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type6644, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id6645, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6646, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6647, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6648, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language6649, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "body_template_content", "editable": true, "editor": body_template_content6650, "header": "Textk\u00f6rper-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.body_template_content) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByType.body_template_content) ", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "preview", "editable": false, "header": "Vorschau", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.preview) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByType.preview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.name_column) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.overview) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type6655, "filter": { "type": "string" }, "header": "Auszugsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByType.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByType.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByType.detail;
    Lino.excerpts.ExcerptsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByType.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  return new Lino.excerpts.ExcerptsByType.detailPanel(p);
});
Lino.excerpts.ExcerptsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByType" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByType.GridPanel(p);
});
Lino.excerpts.ExcerptsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByProject
Lino.excerpts.ExcerptsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByProject",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "owner" }, { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "body_template_content" }, { "name": "preview" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bestehende Ausz\u00fcge",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    var ww = this.containing_window;
    var build_time8695 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type8696 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/excerpt_type" }) }) });
    var user8697 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/user" }) }) });
    var owner_disp8698 = new Ext.form.DisplayField({ "disabled": true });
    var id8699 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method8700 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type8701 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_type" }) }) });
    var owner_id8702 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/owner_id" }) }) });
    var company8703 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/company" }) }) });
    var contact_person8704 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_person" }) }) });
    var contact_role8705 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/contact_role" }) }) });
    var language8706 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var body_template_content8707 = new Ext.form.TextArea({ "allowBlank": false, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var preview_htmlbox8708 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "preview", "title": "Vorschau", "value": "<br/>" });
    var name_column_disp8709 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8710 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8711 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var project8712 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      excerpt_type8696.setContextValue('owner', record ? record.data['owner'] : undefined);
      owner_id8702.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8704.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      preview_htmlbox8708.refresh();
      overview_htmlbox8710.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_disp8698 !== 'undefined' && owner_disp8698.on('change',Lino.chooser_handler(excerpt_type8696,'owner'));
      typeof owner_type8701 !== 'undefined' && owner_type8701.on('change',Lino.chooser_handler(owner_id8702,'owner_type'));
      typeof company8703 !== 'undefined' && company8703.on('change',Lino.chooser_handler(contact_person8704,'company'));
      Lino.excerpts.ExcerptsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type8696, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8697, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8699, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method8700, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type8701, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id8702, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company8703, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person8704, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role8705, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language8706, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "body_template_content", "editable": true, "editor": body_template_content8707, "header": "Textk\u00f6rper-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.body_template_content) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByProject.body_template_content) ", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "preview", "editable": false, "header": "Vorschau", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.preview) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByProject.preview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.name_column) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByProject.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.overview) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByProject.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "project", "editable": true, "editor": project8712, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.excerpts.ExcerptsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByProject.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByProject.detail;
    Lino.excerpts.ExcerptsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByProject.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  return new Lino.excerpts.ExcerptsByProject.detailPanel(p);
});
Lino.excerpts.ExcerptsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByProject" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByProject.GridPanel(p);
});
Lino.excerpts.ExcerptsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByType
Lino.uploads.UploadsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByType",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    var ww = this.containing_window;
    var user6800 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/user" }) }) });
    var project6801 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/project" }) }) });
    var type6802 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/type" }) }) });
    var file6803 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date6804 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date6805 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed6806 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp6807 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6808 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type6809 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_type" }) }) });
    var owner_id6810 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/owner_id" }) }) });
    var company6811 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/company" }) }) });
    var contact_person6812 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_person" }) }) });
    var contact_role6813 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/contact_role" }) }) });
    var mimetype6814 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area6815 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume6816 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/volume" }) }) });
    var library_file6817 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByType/library_file" }) }) });
    var file_size6818 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description6819 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark6820 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp6821 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp6822 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6823 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6824 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      type6802.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id6810.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person6812.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file6817.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox6823.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area6815 !== 'undefined' && upload_area6815.on('change',Lino.chooser_handler(type6802,'upload_area'));
      typeof owner_type6809 !== 'undefined' && owner_type6809.on('change',Lino.chooser_handler(owner_id6810,'owner_type'));
      typeof company6811 !== 'undefined' && company6811.on('change',Lino.chooser_handler(contact_person6812,'company'));
      typeof volume6816 !== 'undefined' && volume6816.on('change',Lino.chooser_handler(library_file6817,'volume'));
      Lino.uploads.UploadsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user6800, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project6801, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type6802, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file6803, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date6804, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date6805, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id6808, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type6809, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id6810, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company6811, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person6812, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role6813, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area6815, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume6816, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file6817, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 18, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description6819, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark6820, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 22, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.name_column) ") }, "sortable": false, "tooltip": "(uploads.UploadsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.overview) ") }, "sortable": false, "tooltip": "(uploads.UploadsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.uploads.UploadsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.insertPanel = Ext.extend(Lino.uploads.Uploads.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.insertPanel(p);
});
Lino.uploads.UploadsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByType.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByType.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByType.insert;
    Lino.uploads.UploadsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  return new Lino.uploads.UploadsByType.detailPanel(p);
});
Lino.uploads.UploadsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByType" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByType.GridPanel(p);
});
Lino.uploads.UploadsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByProject
Lino.uploads.UploadsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByProject",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "file" }, { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    var ww = this.containing_window;
    var type8714 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/type" }) }) });
    var end_date8715 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed8716 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp8717 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8718 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/user" }) }) });
    var id8719 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date8720 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8721 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_type" }) }) });
    var owner_id8722 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/owner_id" }) }) });
    var company8723 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/company" }) }) });
    var contact_person8724 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_person" }) }) });
    var contact_role8725 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/contact_role" }) }) });
    var file8726 = Lino.file_field_handler(this,{ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var mimetype8727 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area8728 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume8729 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/volume" }) }) });
    var library_file8730 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/library_file" }) }) });
    var file_size8731 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description8732 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark8733 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var owner_disp8734 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp8735 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8736 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8737 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var project8738 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      type8714.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id8722.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person8724.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file8730.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox8736.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area8728 !== 'undefined' && upload_area8728.on('change',Lino.chooser_handler(type8714,'upload_area'));
      typeof owner_type8721 !== 'undefined' && owner_type8721.on('change',Lino.chooser_handler(owner_id8722,'owner_type'));
      typeof company8723 !== 'undefined' && company8723.on('change',Lino.chooser_handler(contact_person8724,'company'));
      typeof volume8729 !== 'undefined' && volume8729.on('change',Lino.chooser_handler(library_file8730,'volume'));
      Lino.uploads.UploadsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type8714, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date8715, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user8718, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8719, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "start_date", "editable": true, "editor": start_date8720, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "owner_type", "editable": true, "editor": owner_type8721, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "owner_id", "editable": true, "editor": owner_id8722, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company8723, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_person", "editable": true, "editor": contact_person8724, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_role", "editable": true, "editor": contact_role8725, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "file", "editable": true, "editor": file8726, "filter": { "type": "string" }, "header": "Datei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "upload_area", "editable": true, "editor": upload_area8728, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 15, "dataIndex": "volume", "editable": true, "editor": volume8729, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "library_file", "editable": true, "editor": library_file8730, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 17, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description8732, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "remark", "editable": true, "editor": remark8733, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.name_column) ") }, "sortable": false, "tooltip": "(uploads.UploadsByProject.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 22, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.overview) ") }, "sortable": false, "tooltip": "(uploads.UploadsByProject.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 23, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "project", "editable": true, "editor": project8738, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.uploads.UploadsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.insertPanel = Ext.extend(Lino.uploads.UploadsByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.insertPanel(p);
});
Lino.uploads.UploadsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByProject.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByProject.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByProject.insert;
    Lino.uploads.UploadsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  return new Lino.uploads.UploadsByProject.detailPanel(p);
});
Lino.uploads.UploadsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByProject" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByProject.GridPanel(p);
});
Lino.uploads.UploadsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.RecipientsByMail
Lino.outbox.RecipientsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientsByMail",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "address" }, { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 27,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientsByMail','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Empf\u00e4nger",
  disabled_fields_index : 12,
  initComponent : function() {
    var ww = this.containing_window;
    var partner2422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/partner" }) }) });
    var address2423 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 254, "selectOnFocus": true });
    var name2424 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type2425 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.outbox.RecipientTypes });
    var id2426 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp2427 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2428 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2429 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mail2430 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/RecipientsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox2428.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner2422, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "address", "editable": true, "editor": address2423, "filter": { "type": "string" }, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.address) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "name", "editable": true, "editor": name2424, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type2425, "filter": { "options": [ "Empf\u00e4nger", "Kopie an", "Blindkopie an" ], "type": "list" }, "header": "Empf\u00e4ngerart", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2426, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.name_column) ") }, "sortable": false, "tooltip": "(outbox.RecipientsByMail.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.overview) ") }, "sortable": false, "tooltip": "(outbox.RecipientsByMail.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "mail", "editable": true, "editor": mail2430, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientsByMail.mail) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.RecipientsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientsByMail" };
  return new Lino.outbox.RecipientsByMail.GridPanel(p);
});

// js_render_GridPanel_class outbox.MyOutbox
Lino.outbox.MyOutbox.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MyOutbox",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "body" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MyOutbox','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mein E-Mail-Ausgang",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    var ww = this.containing_window;
    var sent8740 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox8741 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject8742 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id8743 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project8744 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/project" }) }) });
    var owner_type8745 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_type" }) }) });
    var owner_id8746 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/owner_id" }) }) });
    var date8747 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var owner_disp8748 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp8749 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8750 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8751 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var body8752 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var user8753 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MyOutbox/user" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8741.refresh();
      owner_id8746.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox8750.refresh();
      body8752.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8745 !== 'undefined' && owner_type8745.on('change',Lino.chooser_handler(owner_id8746,'owner_type'));
      Lino.outbox.MyOutbox.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.recipients) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject8742, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id8743, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project8744, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8745, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8746, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "date", "editable": true, "editor": date8747, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.owner) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 9, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.name_column) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.overview) ") }, "sortable": false, "tooltip": "(outbox.MyOutbox.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 11, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "body", "editable": true, "editor": body8752, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "user", "editable": true, "editor": user8753, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MyOutbox.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MyOutbox.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.insertPanel(p);
});
Lino.outbox.MyOutbox.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MyOutbox.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MyOutbox",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MyOutbox.detail;
    this.ls_insert_handler = Lino.outbox.MyOutbox.insert;
    Lino.outbox.MyOutbox.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MyOutbox.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  return new Lino.outbox.MyOutbox.detailPanel(p);
});
Lino.outbox.MyOutbox.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MyOutbox.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MyOutbox" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MyOutbox.GridPanel(p);
});
Lino.outbox.MyOutbox.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MyOutbox", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByUser
Lino.outbox.MailsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByUser",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "recipients" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  disabled_fields_index : 4,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    var ww = this.containing_window;
    var sent8755 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8756 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8757 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    this.before_row_edit = function(record) {
      recipients_htmlbox8757.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8756, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByUser.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByUser.recipients) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.MailsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.insertPanel(p);
});
Lino.outbox.MailsByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByUser.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByUser.detail;
    this.ls_insert_handler = Lino.outbox.MailsByUser.insert;
    Lino.outbox.MailsByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  return new Lino.outbox.MailsByUser.detailPanel(p);
});
Lino.outbox.MailsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByUser" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByUser.GridPanel(p);
});
Lino.outbox.MailsByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByProject
Lino.outbox.MailsByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "subject" }, { "name": "recipients" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "body" }, { "name": "sent" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    var ww = this.containing_window;
    var date8759 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var subject8760 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var recipients_htmlbox8761 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var user8762 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/user" }) }) });
    var id8763 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type8764 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_type" }) }) });
    var owner_id8765 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/owner_id" }) }) });
    var body8766 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var sent8767 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var owner_disp8768 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp8769 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8770 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8771 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var project8772 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByProject/project" }) }) });
    this.before_row_edit = function(record) {
      recipients_htmlbox8761.refresh();
      owner_id8765.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body8766.refresh();
      overview_htmlbox8770.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8764 !== 'undefined' && owner_type8764.on('change',Lino.chooser_handler(owner_id8765,'owner_type'));
      Lino.outbox.MailsByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date8759, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8760, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user8762, "filter": { "type": "string" }, "header": "Absender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8763, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "owner_type", "editable": true, "editor": owner_type8764, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_id", "editable": true, "editor": owner_id8765, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 7, "dataIndex": "body", "editable": true, "editor": body8766, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "sent", "editable": false, "header": "sent", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.name_column) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 11, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.overview) ") }, "sortable": false, "tooltip": "(outbox.MailsByProject.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "project", "editable": true, "editor": project8772, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.outbox.MailsByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.insertPanel(p);
});
Lino.outbox.MailsByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByProject.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByProject.detail;
    this.ls_insert_handler = Lino.outbox.MailsByProject.insert;
    Lino.outbox.MailsByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  return new Lino.outbox.MailsByProject.detailPanel(p);
});
Lino.outbox.MailsByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByProject" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByProject.GridPanel(p);
});
Lino.outbox.MailsByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.SentByPartner
Lino.outbox.SentByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/SentByPartner",
  ls_store_fields : [ { "name": "sent" }, { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/SentByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausgang",
  disabled_fields_index : 5,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    var ww = this.containing_window;
    var sent8774 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var subject8775 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user8776 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/SentByPartner/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "subject", "editable": true, "editor": subject8775, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user8776, "filter": { "type": "string" }, "header": "Absender", "listeners": { "render": Lino.quicktip_renderer("","(outbox.SentByPartner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.outbox.SentByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.insertPanel(p);
});
Lino.outbox.SentByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.SentByPartner.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/SentByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.SentByPartner.detail;
    this.ls_insert_handler = Lino.outbox.SentByPartner.insert;
    Lino.outbox.SentByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.SentByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  return new Lino.outbox.SentByPartner.detailPanel(p);
});
Lino.outbox.SentByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.SentByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/SentByPartner" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.SentByPartner.GridPanel(p);
});
Lino.outbox.SentByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/SentByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.AttachmentsByMail
Lino.outbox.AttachmentsByMail.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/AttachmentsByMail",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "mail" }, 'mailHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 29,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/AttachmentsByMail','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anh\u00e4nge",
  disabled_fields_index : 11,
  initComponent : function() {
    var ww = this.containing_window;
    var id8778 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var owner_type8779 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_type" }) }) });
    var owner_id8780 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/owner_id" }) }) });
    var owner_disp8781 = new Ext.form.DisplayField({ "disabled": true });
    var name_column_disp8782 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8783 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp8784 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mail8785 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "E-Mail-Ausgang ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "outbox.Mails", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/AttachmentsByMail/mail" }) }) });
    this.before_row_edit = function(record) {
      owner_id8780.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox8783.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8779 !== 'undefined' && owner_type8779.on('change',Lino.chooser_handler(owner_id8780,'owner_type'));
      Lino.outbox.AttachmentsByMail.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id8778, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "owner_type", "editable": true, "editor": owner_type8779, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "owner_id", "editable": true, "editor": owner_id8780, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.owner) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByMail.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.name_column) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByMail.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.overview) ") }, "sortable": false, "tooltip": "(outbox.AttachmentsByMail.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "mail", "editable": true, "editor": mail8785, "filter": { "type": "string" }, "header": "E-Mail-Ausgang", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.AttachmentsByMail.mail) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.outbox.AttachmentsByMail.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.AttachmentsByMail.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/AttachmentsByMail", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.AttachmentsByMail.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/AttachmentsByMail" };
  return new Lino.outbox.AttachmentsByMail.GridPanel(p);
});

// js_render_GridPanel_class cal.SubscriptionsByUser
Lino.cal.SubscriptionsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByUser",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "calendar" }, 'calendarHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  disabled_fields_index : 9,
  initComponent : function() {
    var ww = this.containing_window;
    var id1561 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var calendar1562 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/calendar" }) }) });
    var is_hidden1563 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var name_column_disp1564 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1565 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp1566 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var user1567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByUser/user" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox1565.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id1561, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "calendar", "editable": true, "editor": calendar1562, "filter": { "type": "string" }, "header": "Kalender", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.calendar) The calendar you want to subscribe to.") }, "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.name_column) ") }, "sortable": false, "tooltip": "(cal.SubscriptionsByUser.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.overview) ") }, "sortable": false, "tooltip": "(cal.SubscriptionsByUser.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user1567, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByUser" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByUser.GridPanel(p);
});

// js_render_GridPanel_class cal.SubscriptionsByCalendar
Lino.cal.SubscriptionsByCalendar.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/SubscriptionsByCalendar",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "is_hidden", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "calendar" }, 'calendarHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 34,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/SubscriptionsByCalendar','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Abonnements",
  disabled_fields_index : 9,
  initComponent : function() {
    var ww = this.containing_window;
    var id4887 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user4888 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/user" }) }) });
    var is_hidden4889 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var name_column_disp4890 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox4891 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp4892 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar4893 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/SubscriptionsByCalendar/calendar" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox4891.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id4887, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user4888, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "is_hidden", "editable": true, "filter": { "type": "boolean" }, "header": "versteckt", "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.is_hidden) Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.") }, "sortable": false, "tooltip": "Whether this subscription should \"\n        \"initially be displayed as a hidden calendar.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.name_column) ") }, "sortable": false, "tooltip": "(cal.SubscriptionsByCalendar.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 4, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.overview) ") }, "sortable": false, "tooltip": "(cal.SubscriptionsByCalendar.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "calendar", "editable": true, "editor": calendar4893, "filter": { "type": "string" }, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.SubscriptionsByCalendar.calendar) The calendar you want to subscribe to.") }, "sortable": false, "tooltip": "The calendar you want to subscribe to.", "width": Lino.chars2width(21) } ];
    Lino.cal.SubscriptionsByCalendar.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.SubscriptionsByCalendar.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/SubscriptionsByCalendar", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.SubscriptionsByCalendar.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/SubscriptionsByCalendar" };
  p.params_panel = new Lino.cal.Subscriptions.ParamsPanel({});
  return new Lino.cal.SubscriptionsByCalendar.GridPanel(p);
});

// js_render_GridPanel_class cal.TasksByUser
Lino.cal.TasksByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByUser",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  disabled_fields_index : 32,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    var ww = this.containing_window;
    var priority1572 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date1573 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary1574 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp1575 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1576 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified1577 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1578 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project1579 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/project" }) }) });
    var start_time1580 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type1581 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_type" }) }) });
    var owner_id1582 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/owner_id" }) }) });
    var description1583 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class1584 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence1585 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type1586 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date1587 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time1588 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent1589 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1590 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated1591 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp1592 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp1593 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1594 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp1595 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var user1596 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByUser/user" }) }) });
    this.before_row_edit = function(record) {
      owner_id1582.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox1594.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type1581 !== 'undefined' && owner_type1581.on('change',Lino.chooser_handler(owner_id1582,'owner_type'));
      Lino.cal.TasksByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority1572, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date1573, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary1574, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1576, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project1579, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time1580, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type1581, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id1582, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "description", "editable": true, "editor": description1583, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "access_class", "editable": true, "editor": access_class1584, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 13, "dataIndex": "sequence", "editable": true, "editor": sequence1585, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 14, "dataIndex": "auto_type", "editable": true, "editor": auto_type1586, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 15, "dataIndex": "due_date", "editable": true, "editor": due_date1587, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "due_time", "editable": true, "editor": due_time1588, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 17, "dataIndex": "percent", "editable": true, "editor": percent1589, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "state", "editable": true, "editor": state1590, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 19, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 20, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.name_column) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 22, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.overview) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 23, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.created_natural) ") }, "sortable": false, "tooltip": "(cal.TasksByUser.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "user", "editable": true, "editor": user1596, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.insertPanel(p);
});
Lino.cal.TasksByUser.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByUser.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByUser",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByUser.detail;
    this.ls_insert_handler = Lino.cal.TasksByUser.insert;
    Lino.cal.TasksByUser.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByUser.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  return new Lino.cal.TasksByUser.detailPanel(p);
});
Lino.cal.TasksByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByUser" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByUser.GridPanel(p);
});
Lino.cal.TasksByUser.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByUser.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByUser", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByProject
Lino.cal.TasksByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByProject",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "owner" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "start_time" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "due_time" }, { "name": "percent", "type": "int", "useNull": true }, { "name": "state" }, 'stateHidden', { "name": "delegated", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  disabled_fields_index : 32,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    var ww = this.containing_window;
    var priority2658 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date2659 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user2660 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/user" }) }) });
    var summary2661 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var owner_disp2662 = new Ext.form.DisplayField({ "disabled": true });
    var workflow_buttons_disp2663 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2664 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2665 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2666 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_time2667 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var owner_type2668 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_type" }) }) });
    var owner_id2669 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/owner_id" }) }) });
    var description2670 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2671 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2672 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type2673 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_date2674 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var due_time2675 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var percent2676 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state2677 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.TaskStates });
    var delegated2678 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var name_column_disp2679 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2680 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp2681 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var project2682 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id2669.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox2680.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2668 !== 'undefined' && owner_type2668.on('change',Lino.chooser_handler(owner_id2669,'owner_type'));
      Lino.cal.TasksByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority2658, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date2659, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user2660, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary2661, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2664, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time2667, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.start_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type2668, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id2669, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "description", "editable": true, "editor": description2670, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "access_class", "editable": true, "editor": access_class2671, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 14, "dataIndex": "sequence", "editable": true, "editor": sequence2672, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 15, "dataIndex": "auto_type", "editable": true, "editor": auto_type2673, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 16, "dataIndex": "due_date", "editable": true, "editor": due_date2674, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "due_time", "editable": true, "editor": due_time2675, "header": "F\u00e4llig um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.due_time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "align": "right", "colIndex": 18, "dataIndex": "percent", "editable": true, "editor": percent2676, "filter": { "type": "numeric" }, "format": "0", "header": "Dauer (Anzahl)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.percent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "state", "editable": true, "editor": state2677, "filter": { "options": [ "Zu tun", "Wichtig", "Begonnen", "Erledigt", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.state) The state of this Task. one of TaskStates.") }, "sortable": false, "tooltip": "The state of this Task. one of TaskStates.", "width": Lino.chars2width(13) }, { "colIndex": 20, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 21, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.name_column) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 22, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.overview) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 23, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.created_natural) ") }, "sortable": false, "tooltip": "(cal.TasksByProject.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "project", "editable": true, "editor": project2682, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.TasksByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.insertPanel(p);
});
Lino.cal.TasksByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByProject.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByProject.detail;
    this.ls_insert_handler = Lino.cal.TasksByProject.insert;
    Lino.cal.TasksByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  return new Lino.cal.TasksByProject.detailPanel(p);
});
Lino.cal.TasksByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByProject" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByProject.GridPanel(p);
});
Lino.cal.TasksByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByEvent
Lino.cal.GuestsByEvent.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByEvent",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "client" }, 'clientHidden', { "name": "event_summary" }, { "name": "name_column" }, { "name": "overview" }, { "name": "event" }, 'eventHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByEvent','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  disabled_fields_index : 19,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    var ww = this.containing_window;
    var partner2334 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/partner" }) }) });
    var role2335 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/role" }) }) });
    var workflow_buttons_disp2336 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark2337 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2338 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state2339 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since2340 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since2341 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since2342 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var client2343 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event_summary_disp2344 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp2345 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2346 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var event2347 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByEvent/event" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox2346.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner2334, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role2335, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark2337, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2338, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state2339, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "client", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.event_summary) ") }, "sortable": false, "tooltip": "(cal.GuestsByEvent.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 11, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.name_column) ") }, "sortable": false, "tooltip": "(cal.GuestsByEvent.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 12, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.overview) ") }, "sortable": false, "tooltip": "(cal.GuestsByEvent.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "event", "editable": true, "editor": event2347, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByEvent.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByEvent.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.insertPanel(p);
});
Lino.cal.GuestsByEvent.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByEvent.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByEvent",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByEvent.detail;
    this.ls_insert_handler = Lino.cal.GuestsByEvent.insert;
    Lino.cal.GuestsByEvent.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByEvent.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  return new Lino.cal.GuestsByEvent.detailPanel(p);
});
Lino.cal.GuestsByEvent.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByEvent" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByEvent.GridPanel(p);
});
Lino.cal.GuestsByEvent.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByEvent.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByEvent", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByRole
Lino.cal.GuestsByRole.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByRole",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "remark" }, { "name": "event" }, 'eventHidden', { "name": "id", "type": "int" }, { "name": "state" }, 'stateHidden', { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "client" }, 'clientHidden', { "name": "event_summary" }, { "name": "name_column" }, { "name": "overview" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByRole','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  disabled_fields_index : 19,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    var ww = this.containing_window;
    var partner6007 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/partner" }) }) });
    var role6008 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/role" }) }) });
    var workflow_buttons_disp6009 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var remark6010 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var event6011 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByRole/event" }) }) });
    var id6012 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state6013 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var waiting_since6014 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since6015 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since6016 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var client6017 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var event_summary_disp6018 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp6019 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6020 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox6020.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner6007, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role6008, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark6010, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "event", "editable": true, "editor": event6011, "filter": { "type": "string" }, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6012, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "state", "editable": true, "editor": state6013, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "client", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.event_summary) ") }, "sortable": false, "tooltip": "(cal.GuestsByRole.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.name_column) ") }, "sortable": false, "tooltip": "(cal.GuestsByRole.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 13, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByRole.overview) ") }, "sortable": false, "tooltip": "(cal.GuestsByRole.overview) ", "width": Lino.chars2width(31) } ];
    Lino.cal.GuestsByRole.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.insertPanel(p);
});
Lino.cal.GuestsByRole.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByRole.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByRole",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByRole.detail;
    this.ls_insert_handler = Lino.cal.GuestsByRole.insert;
    Lino.cal.GuestsByRole.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByRole.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  return new Lino.cal.GuestsByRole.detailPanel(p);
});
Lino.cal.GuestsByRole.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByRole" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByRole.GridPanel(p);
});
Lino.cal.GuestsByRole.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByRole.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByRole", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.GuestsByPartner
Lino.cal.GuestsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/GuestsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event_summary" }, { "name": "event__user" }, 'event__userHidden', { "name": "role" }, 'roleHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "event" }, 'eventHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "waiting_since" }, { "name": "busy_since" }, { "name": "gone_since" }, { "name": "client" }, 'clientHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/GuestsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Anwesenheiten",
  disabled_fields_index : 22,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    var ww = this.containing_window;
    var event__when_text_disp8787 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "sortable": false, "value": null });
    var event_summary_disp8788 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var event__user8789 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var role8790 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Gastrolle ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cal.GuestRoles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/role" }) }) });
    var workflow_buttons_disp8791 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8792 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var event8793 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kalendereintrag ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.OneEvent", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/event" }) }) });
    var state8794 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.GuestStates });
    var remark8795 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var waiting_since8796 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var busy_since8797 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var gone_since8798 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var client8799 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients" });
    var name_column_disp8800 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8801 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var partner8802 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": true, "emptyText": "Partner ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/GuestsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox8801.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__when_text) ") }, "sortable": true, "tooltip": "(cal.GuestsByPartner.event__when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event_summary", "editable": false, "header": "Kalendereintrag", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event_summary) ") }, "sortable": false, "tooltip": "(cal.GuestsByPartner.event_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "role", "editable": true, "editor": role8790, "filter": { "type": "string" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.role) The role of this partner in this presence.") }, "sortable": false, "tooltip": "The role of this partner in this presence.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id8792, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "event", "editable": true, "editor": event8793, "filter": { "type": "string" }, "header": "Kalendereintrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.event) The calendar event to which this presence applies.") }, "renderer": Lino.fk_renderer('eventHidden','Lino.cal.OneEvent.detail'), "sortable": false, "tooltip": "The calendar event to which this presence applies.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state8794, "filter": { "options": [ "Eingeladen", "Zugesagt", "Abgesagt", "Anwesend", "Wartet", "Besch\u00e4ftigt", "Gegangen", "Abwesend", "Entschuldigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.state) The state of this presence.  See GuestStates.") }, "sortable": false, "tooltip": "The state of this presence.  See GuestStates.", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark8795, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "waiting_since", "editable": false, "header": "Wartet seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.waiting_since) Time when the visitor arrived (checked in).") }, "sortable": true, "tooltip": "Time when the visitor arrived (checked in).", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "busy_since", "editable": false, "header": "Hat gewartet bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.busy_since) Time when the visitor was received by agent.") }, "sortable": true, "tooltip": "Time when the visitor was received by agent.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "gone_since", "editable": false, "header": "Anwesend bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.gone_since) Time when the visitor left (checked out).") }, "sortable": true, "tooltip": "Time when the visitor left (checked out).", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "client", "editable": false, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.client) Virtual field which returns the partner if it is a client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Virtual field which returns the partner if it is a client.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.name_column) ") }, "sortable": false, "tooltip": "(cal.GuestsByPartner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 14, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.overview) ") }, "sortable": false, "tooltip": "(cal.GuestsByPartner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "partner", "editable": true, "editor": partner8802, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.GuestsByPartner.partner) The partner to which this presence applies.") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "The partner to which this presence applies.", "width": Lino.chars2width(21) } ];
    Lino.cal.GuestsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.insertPanel = Ext.extend(Lino.cal.Guests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.insertPanel(p);
});
Lino.cal.GuestsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.GuestsByPartner.detailPanel = Ext.extend(Lino.cal.Guests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Anwesenheit) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/GuestsByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.GuestsByPartner.detail;
    this.ls_insert_handler = Lino.cal.GuestsByPartner.insert;
    Lino.cal.GuestsByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.GuestsByPartner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  return new Lino.cal.GuestsByPartner.detailPanel(p);
});
Lino.cal.GuestsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/GuestsByPartner" };
  p.params_panel = new Lino.cal.Guests.ParamsPanel({});
  return new Lino.cal.GuestsByPartner.GridPanel(p);
});
Lino.cal.GuestsByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.GuestsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/GuestsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByProject
Lino.cal.EntriesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByProject",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    var ww = this.containing_window;
    var when_text_disp8804 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8805 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/user" }) }) });
    var summary8806 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8807 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id8808 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified8809 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8810 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var start_date8811 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time8812 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date8813 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time8814 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time8815 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method8816 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to8817 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/assigned_to" }) }) });
    var owner_type8818 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_type" }) }) });
    var owner_id8819 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/owner_id" }) }) });
    var description8820 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class8821 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence8822 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type8823 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority8824 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type8825 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/event_type" }) }) });
    var transparent8826 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room8827 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/room" }) }) });
    var state8828 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp8829 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var all_day8830 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp8831 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp8832 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp8833 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar8834 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp8835 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox8836 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp8837 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration8838 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    var project8839 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id8819.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox8836.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type8818 !== 'undefined' && owner_type8818.on('change',Lino.chooser_handler(owner_id8819,'owner_type'));
      Lino.cal.EntriesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.when_text) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8805, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8806, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id8808, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "start_date", "editable": true, "editor": start_date8811, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 8, "dataIndex": "start_time", "editable": true, "editor": start_time8812, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 9, "dataIndex": "end_date", "editable": true, "editor": end_date8813, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_time", "editable": true, "editor": end_time8814, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "build_method", "editable": true, "editor": build_method8816, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 13, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to8817, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "owner_type", "editable": true, "editor": owner_type8818, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_id", "editable": true, "editor": owner_id8819, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 16, "dataIndex": "description", "editable": true, "editor": description8820, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "access_class", "editable": true, "editor": access_class8821, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 18, "dataIndex": "sequence", "editable": true, "editor": sequence8822, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 19, "dataIndex": "auto_type", "editable": true, "editor": auto_type8823, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "priority", "editable": true, "editor": priority8824, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "event_type", "editable": true, "editor": event_type8825, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 22, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "room", "editable": true, "editor": room8827, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "state", "editable": true, "editor": state8828, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 25, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.owner) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 26, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.all_day) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 27, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.url) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.url) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.reminder) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.calendar) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.name_column) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 32, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.overview) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.created_natural) ") }, "sortable": false, "tooltip": "(cal.EntriesByProject.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 34, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.duration) ") }, "sortable": true, "tooltip": "(cal.EntriesByProject.duration) ", "width": Lino.chars2width(8) }, { "colIndex": 35, "dataIndex": "project", "editable": true, "editor": project8839, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.cal.EntriesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.insertPanel = Ext.extend(Lino.cal.EntriesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.insertPanel(p);
});
Lino.cal.EntriesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByProject.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByProject.detail;
    this.ls_insert_handler = Lino.cal.EntriesByProject.insert;
    Lino.cal.EntriesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  return new Lino.cal.EntriesByProject.detailPanel(p);
});
Lino.cal.EntriesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByProject" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByProject.GridPanel(p);
});
Lino.cal.EntriesByProject.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByProject.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByProject", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByGuest
Lino.cal.EntriesByGuest.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByGuest",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByGuest','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 6,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    var ww = this.containing_window;
    var when_text_disp8841 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user8842 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByGuest/user" }) }) });
    var summary8843 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp8844 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.when_text) ") }, "sortable": false, "tooltip": "(cal.EntriesByGuest.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user8842, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary8843, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByGuest.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.cal.EntriesByGuest.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.insertPanel = Ext.extend(Lino.cal.EntriesByGuest.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.insertPanel(p);
});
Lino.cal.EntriesByGuest.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByGuest.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByGuest",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByGuest.detail;
    this.ls_insert_handler = Lino.cal.EntriesByGuest.insert;
    Lino.cal.EntriesByGuest.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByGuest.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  return new Lino.cal.EntriesByGuest.detailPanel(p);
});
Lino.cal.EntriesByGuest.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByGuest" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByGuest.GridPanel(p);
});
Lino.cal.EntriesByGuest.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByGuest.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByGuest", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByClient
Lino.cal.EntriesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByClient",
  ls_store_fields : [ { "name": "when_text" }, { "name": "user" }, 'userHidden', { "name": "summary" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "auto_type", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "owner" }, { "name": "all_day", "type": "boolean" }, { "name": "when_html" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    var ww = this.containing_window;
    var when_text_disp2606 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var user2607 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/user" }) }) });
    var summary2608 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var workflow_buttons_disp2609 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2610 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2611 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2612 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project2613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/project" }) }) });
    var start_date2614 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time2615 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date2616 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time2617 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time2618 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2619 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to2620 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/assigned_to" }) }) });
    var owner_type2621 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_type" }) }) });
    var owner_id2622 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/owner_id" }) }) });
    var description2623 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2624 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2625 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var auto_type2626 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var priority2627 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type2628 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/event_type" }) }) });
    var transparent2629 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room2630 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByClient/room" }) }) });
    var state2631 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var owner_disp2632 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var all_day2633 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var when_html_disp2634 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var url_disp2635 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp2636 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar2637 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp2638 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2639 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp2640 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration2641 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    this.before_row_edit = function(record) {
      owner_id2622.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox2639.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2621 !== 'undefined' && owner_type2621.on('change',Lino.chooser_handler(owner_id2622,'owner_type'));
      Lino.cal.EntriesByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.when_text) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2607, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary2608, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id2610, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project2613, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "start_date", "editable": true, "editor": start_date2614, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "start_time", "editable": true, "editor": start_time2615, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date2616, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "end_time", "editable": true, "editor": end_time2617, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 12, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 13, "dataIndex": "build_method", "editable": true, "editor": build_method2619, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 14, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to2620, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "owner_type", "editable": true, "editor": owner_type2621, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_id", "editable": true, "editor": owner_id2622, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 17, "dataIndex": "description", "editable": true, "editor": description2623, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "access_class", "editable": true, "editor": access_class2624, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 19, "dataIndex": "sequence", "editable": true, "editor": sequence2625, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 20, "dataIndex": "auto_type", "editable": true, "editor": auto_type2626, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority2627, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type2628, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room2630, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state2631, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 26, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.owner) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.all_day) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "when_html", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.url) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.url) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.reminder) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.calendar) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 32, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.name_column) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.overview) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.created_natural) ") }, "sortable": false, "tooltip": "(cal.EntriesByClient.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 35, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByClient.duration) ") }, "sortable": true, "tooltip": "(cal.EntriesByClient.duration) ", "width": Lino.chars2width(8) } ];
    Lino.cal.EntriesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.insertPanel = Ext.extend(Lino.cal.EntriesByClient.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.insertPanel(p);
});
Lino.cal.EntriesByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByClient.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByClient.detail;
    this.ls_insert_handler = Lino.cal.EntriesByClient.insert;
    Lino.cal.EntriesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  return new Lino.cal.EntriesByClient.detailPanel(p);
});
Lino.cal.EntriesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByClient" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByClient.GridPanel(p);
});
Lino.cal.EntriesByClient.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByClient
Lino.cal.TasksByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByClient",
  ls_store_fields : [ { "name": "priority" }, 'priorityHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "description" }, { "name": "notes" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    var ww = this.containing_window;
    var priority8846 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var start_date8847 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date8848 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary8849 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var description8850 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var notes_disp8851 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "priority", "editable": true, "editor": priority8846, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.priority) How urgent this task is.") }, "sortable": false, "tooltip": "How urgent this task is.", "width": Lino.chars2width(12) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date8847, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "due_date", "editable": true, "editor": due_date8848, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "summary", "editable": true, "editor": summary8849, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "description", "editable": true, "editor": description8850, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.description) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "notes", "editable": false, "header": "Notes", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByClient.notes) ") }, "sortable": false, "tooltip": "(cal.TasksByClient.notes) ", "width": Lino.chars2width(31) } ];
    Lino.cal.TasksByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.insertPanel = Ext.extend(Lino.cal.Tasks.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.insertPanel(p);
});
Lino.cal.TasksByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByClient.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByClient.detail;
    this.ls_insert_handler = Lino.cal.TasksByClient.insert;
    Lino.cal.TasksByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  return new Lino.cal.TasksByClient.detailPanel(p);
});
Lino.cal.TasksByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByClient" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByClient.GridPanel(p);
});
Lino.cal.TasksByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByClient.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByClient", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.AppointmentsByPartner
Lino.reception.AppointmentsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AppointmentsByPartner",
  ls_store_fields : [ { "name": "event__when_text" }, { "name": "event__user" }, 'event__userHidden', { "name": "workflow_buttons" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 39,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/AppointmentsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Anwesenheitsbescheinigung", "overflowText": "Anwesenheitsbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ],
  viewConfig : { "cellTpl": Lino.auto_height_cell_template, "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termine",
  initComponent : function() {
    var ww = this.containing_window;
    var event__when_text_disp1459 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "sortable": false, "value": null });
    var event__user1460 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "value": null });
    var workflow_buttons_disp1461 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "event__when_text", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__when_text) ") }, "sortable": true, "tooltip": "(reception.AppointmentsByPartner.event__when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "event__user", "editable": false, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.event__user) Der verantwortliche Benutzer.") }, "sortable": true, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(reception.AppointmentsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.reception.AppointmentsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AppointmentsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AppointmentsByPartner" };
  return new Lino.reception.AppointmentsByPartner.GridPanel(p);
});
Lino.reception.AppointmentsByPartner.receive = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "receive", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.checkout = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "checkout", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AppointmentsByPartner.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AppointmentsByPartner", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.ClientsByNationality
Lino.pcsw.ClientsByNationality.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ClientsByNationality",
  ls_store_fields : [ { "name": "city" }, 'cityHidden', { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "name" }, { "name": "country" }, 'countryHidden', { "name": "language" }, 'languageHidden', { "name": "id", "type": "int" }, { "name": "email" }, { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "broker" }, 'brokerHidden', { "name": "faculty" }, 'facultyHidden', { "name": "has_esf", "type": "boolean" }, { "name": "overview" }, { "name": "cvs_emitted" }, { "name": "id_document" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "contract_company" }, 'contract_companyHidden', { "name": "active_contract" }, { "name": "cbss_relations" }, { "name": "name_column" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "address_column" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "age" }, { "name": "cbss_summary" }, { "name": "cbss_identify_person" }, { "name": "cbss_manage_access" }, { "name": "cbss_retrieve_ti_groups" }, { "name": "language_knowledge" }, { "name": "mother_tongues" }, { "name": "cef_level_de" }, { "name": "cef_level_fr" }, { "name": "cef_level_en" }, { "name": "eid_info" }, { "name": "image" }, { "name": "primary_coach" }, { "name": "coaches" }, { "name": "find_appointment" }, { "name": "nationality" }, 'nationalityHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  disabled_fields_index : 133,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    var ww = this.containing_window;
    var city8909 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/city" }) }) });
    var street8910 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var street_no8911 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var street_box8912 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var addr28913 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name8914 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country8915 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/country" }) }) });
    var language8916 = new Lino.ChoicesFieldElement({ "allowBlank": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var id8917 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email8918 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var url8919 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone8920 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm8921 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax8922 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified8923 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created8924 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var zip_code8925 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region8926 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/region" }) }) });
    var addr18927 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix8928 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix8929 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks8930 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete8931 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity8932 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/activity" }) }) });
    var client_contact_type8933 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/client_contact_type" }) }) });
    var payment_term8934 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/payment_term" }) }) });
    var title8935 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name8936 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name8937 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name8938 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender8939 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date8940 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state8941 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id8942 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_country8943 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/birth_country" }) }) });
    var birth_place8944 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number8945 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from8946 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until8947 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type8948 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer8949 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text8950 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition8951 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group8952 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/group" }) }) });
    var civil_state8953 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type8954 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since8955 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until8956 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since8957 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since8958 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit8959 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit8960 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until8961 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type8962 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/aid_type" }) }) });
    var declared_name8963 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking8964 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until8965 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why8966 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles8967 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills8968 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact8969 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/job_office_contact" }) }) });
    var refusal_reason8970 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks28971 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id8972 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id8973 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas8974 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior8975 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance8976 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/health_insurance" }) }) });
    var pharmacy8977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/pharmacy" }) }) });
    var income_ag8978 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg8979 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg8980 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente8981 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc8982 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents8983 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var broker8984 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/broker" }) }) });
    var faculty8985 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/faculty" }) }) });
    var has_esf8986 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var overview_htmlbox8987 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var cvs_emitted_disp8988 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var id_document_disp8989 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var applies_from8990 = new Lino.DateField({ "disabled": true, "hidden": true });
    var applies_until8991 = new Lino.DateField({ "disabled": true, "hidden": true });
    var contract_company8992 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var active_contract_disp8993 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_relations_htmlbox8994 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var name_column_disp8995 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var workflow_buttons_disp8996 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp8997 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp8998 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var address_column_disp8999 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality9000 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp9001 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp9002 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_summary_htmlbox9003 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "cbss_summary", "title": "Zusammenfassung ZDSS", "value": "<br/>" });
    var cbss_identify_person_disp9004 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_manage_access_disp9005 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_retrieve_ti_groups_disp9006 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var language_knowledge_htmlbox9007 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "language_knowledge", "title": "Sprachkenntnis", "value": "<br/>" });
    var mother_tongues_disp9008 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_de_disp9009 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_fr_disp9010 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_en_disp9011 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var eid_info_disp9012 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var image_htmlbox9013 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "image", "value": "<br/>" });
    var primary_coach_disp9014 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var coaches_disp9015 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var find_appointment_disp9016 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var nationality9017 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ClientsByNationality/nationality" }) }) });
    this.before_row_edit = function(record) {
      city8909.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city8909.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region8926.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox8987.refresh();
      cbss_relations_htmlbox8994.refresh();
      cbss_summary_htmlbox9003.refresh();
      language_knowledge_htmlbox9007.refresh();
      image_htmlbox9013.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country8915 !== 'undefined' && country8915.on('change',Lino.chooser_handler(city8909,'country'));
      typeof region8926 !== 'undefined' && region8926.on('change',Lino.chooser_handler(city8909,'region'));
      typeof country8915 !== 'undefined' && country8915.on('change',Lino.chooser_handler(region8926,'country'));
      Lino.pcsw.ClientsByNationality.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "city", "editable": true, "editor": city8909, "filter": { "type": "string" }, "header": "Ortschaft", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "street", "editable": true, "editor": street8910, "filter": { "type": "string" }, "header": "Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "street_no", "editable": true, "editor": street_no8911, "filter": { "type": "string" }, "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 3, "dataIndex": "street_box", "editable": true, "editor": street_box8912, "filter": { "type": "string" }, "header": "Box", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 4, "dataIndex": "addr2", "editable": true, "editor": addr28913, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "name", "editable": true, "editor": name8914, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "country", "editable": true, "editor": country8915, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "language", "editable": true, "editor": language8916, "filter": { "type": "string" }, "header": "Sprache", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id8917, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "email", "editable": true, "editor": email8918, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "url", "editable": true, "editor": url8919, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "phone", "editable": true, "editor": phone8920, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "gsm", "editable": true, "editor": gsm8921, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "fax", "editable": true, "editor": fax8922, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 14, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 15, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 16, "dataIndex": "zip_code", "editable": true, "editor": zip_code8925, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 17, "dataIndex": "region", "editable": true, "editor": region8926, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "addr1", "editable": true, "editor": addr18927, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix8928, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "prefix", "editable": true, "editor": prefix8929, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 23, "dataIndex": "activity", "editable": true, "editor": activity8932, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type8933, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term8934, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "title", "editable": true, "editor": title8935, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 27, "dataIndex": "first_name", "editable": true, "editor": first_name8936, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 28, "dataIndex": "middle_name", "editable": true, "editor": middle_name8937, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 29, "dataIndex": "last_name", "editable": true, "editor": last_name8938, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "gender", "editable": true, "editor": gender8939, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 31, "dataIndex": "birth_date", "editable": true, "editor": birth_date8940, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 32, "dataIndex": "client_state", "editable": true, "editor": client_state8941, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 33, "dataIndex": "national_id", "editable": true, "editor": national_id8942, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 34, "dataIndex": "birth_country", "editable": true, "editor": birth_country8943, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 35, "dataIndex": "birth_place", "editable": true, "editor": birth_place8944, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 36, "dataIndex": "card_number", "editable": true, "editor": card_number8945, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from8946, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 38, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until8947, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 39, "dataIndex": "card_type", "editable": true, "editor": card_type8948, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 40, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer8949, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text8950, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 42, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition8951, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 43, "dataIndex": "group", "editable": true, "editor": group8952, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 44, "dataIndex": "civil_state", "editable": true, "editor": civil_state8953, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 45, "dataIndex": "residence_type", "editable": true, "editor": residence_type8954, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 46, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since8955, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 47, "dataIndex": "residence_until", "editable": true, "editor": residence_until8956, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 48, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since8957, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 49, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since8958, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 50, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 51, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 52, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until8961, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "aid_type", "editable": true, "editor": aid_type8962, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 54, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until8965, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why8966, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 58, "dataIndex": "obstacles", "editable": true, "editor": obstacles8967, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 59, "dataIndex": "skills", "editable": true, "editor": skills8968, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 60, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact8969, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 61, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason8970, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 62, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id8972, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 64, "dataIndex": "tim_id", "editable": true, "editor": tim_id8973, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 65, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 66, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 67, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance8976, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 68, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy8977, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 69, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 72, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 73, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "job_agents", "editable": true, "editor": job_agents8983, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 75, "dataIndex": "broker", "editable": true, "editor": broker8984, "filter": { "type": "string" }, "header": "Vermittler", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 76, "dataIndex": "faculty", "editable": true, "editor": faculty8985, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) }, { "colIndex": 77, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.overview) A panel with general information about this client.") }, "sortable": false, "tooltip": "A panel with general information about this client.", "width": Lino.chars2width(31) }, { "colIndex": 79, "dataIndex": "cvs_emitted", "editable": false, "header": "Erstellte Lebensl\u00e4ufe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cvs_emitted) A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).") }, "sortable": false, "tooltip": "A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).", "width": Lino.chars2width(31) }, { "colIndex": 80, "dataIndex": "id_document", "editable": false, "header": "Identifizierendes Dokument", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.id_document) A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.") }, "sortable": false, "tooltip": "A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.", "width": Lino.chars2width(31) }, { "colIndex": 81, "dataIndex": "applies_from", "editable": false, "format": "d.m.Y", "header": "Vertrag beginnt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.applies_from) ") }, "sortable": true, "tooltip": "(pcsw.ClientsByNationality.applies_from) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 82, "dataIndex": "applies_until", "editable": false, "format": "d.m.Y", "header": "Vertrag endet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.applies_until) ") }, "sortable": true, "tooltip": "(pcsw.ClientsByNationality.applies_until) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 83, "dataIndex": "contract_company", "editable": false, "header": "Arbeitet bei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.contract_company) ") }, "renderer": Lino.fk_renderer('contract_companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(pcsw.ClientsByNationality.contract_company) ", "width": Lino.chars2width(21) }, { "colIndex": 84, "dataIndex": "active_contract", "editable": false, "header": "Active contract", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.active_contract) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.active_contract) ", "width": Lino.chars2width(31) }, { "colIndex": 85, "dataIndex": "cbss_relations", "editable": false, "header": "ZDSS", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cbss_relations) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cbss_relations) ", "width": Lino.chars2width(31) }, { "colIndex": 86, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.name_column) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 87, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 88, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.contact_details) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 89, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 90, "dataIndex": "address_column", "editable": false, "header": "Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.address_column) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 91, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 92, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.created_natural) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 93, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 94, "dataIndex": "cbss_summary", "editable": false, "header": "Zusammenfassung ZDSS", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cbss_summary) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cbss_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 95, "dataIndex": "cbss_identify_person", "editable": false, "header": "IdentifyPerson-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cbss_identify_person) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cbss_identify_person) ", "width": Lino.chars2width(31) }, { "colIndex": 96, "dataIndex": "cbss_manage_access", "editable": false, "header": "ManageAccess-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cbss_manage_access) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cbss_manage_access) ", "width": Lino.chars2width(31) }, { "colIndex": 97, "dataIndex": "cbss_retrieve_ti_groups", "editable": false, "header": "Tx25-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cbss_retrieve_ti_groups) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cbss_retrieve_ti_groups) ", "width": Lino.chars2width(31) }, { "colIndex": 98, "dataIndex": "language_knowledge", "editable": false, "header": "Sprachkenntnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.language_knowledge) A summary of the language knowledges of this\nperson.") }, "sortable": false, "tooltip": "A summary of the language knowledges of this\nperson.", "width": Lino.chars2width(31) }, { "colIndex": 99, "dataIndex": "mother_tongues", "editable": false, "header": "Muttersprachen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.mother_tongues) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.mother_tongues) ", "width": Lino.chars2width(31) }, { "colIndex": 100, "dataIndex": "cef_level_de", "editable": false, "header": "cef_level_de", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cef_level_de) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cef_level_de) ", "width": Lino.chars2width(31) }, { "colIndex": 101, "dataIndex": "cef_level_fr", "editable": false, "header": "cef_level_fr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cef_level_fr) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cef_level_fr) ", "width": Lino.chars2width(31) }, { "colIndex": 102, "dataIndex": "cef_level_en", "editable": false, "header": "cef_level_en", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.cef_level_en) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.cef_level_en) ", "width": Lino.chars2width(31) }, { "colIndex": 103, "dataIndex": "eid_info", "editable": false, "header": "eID-Karte", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.eid_info) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.eid_info) ", "width": Lino.chars2width(31) }, { "colIndex": 104, "dataIndex": "image", "editable": false, "header": "image", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.image) Virtual field which displays the picture.") }, "sortable": false, "tooltip": "Virtual field which displays the picture.", "width": Lino.chars2width(31) }, { "colIndex": 105, "dataIndex": "primary_coach", "editable": false, "header": "Prim\u00e4rbegleiter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.primary_coach) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.primary_coach) ", "width": Lino.chars2width(31) }, { "colIndex": 106, "dataIndex": "coaches", "editable": false, "header": "Begleiter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.coaches) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.coaches) ", "width": Lino.chars2width(31) }, { "colIndex": 107, "dataIndex": "find_appointment", "editable": false, "header": "Termin finden", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.find_appointment) ") }, "sortable": false, "tooltip": "(pcsw.ClientsByNationality.find_appointment) ", "width": Lino.chars2width(31) }, { "colIndex": 108, "dataIndex": "nationality", "editable": true, "editor": nationality9017, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ClientsByNationality.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) } ];
    Lino.pcsw.ClientsByNationality.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.insertPanel(p);
});
Lino.pcsw.ClientsByNationality.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.pcsw.ClientsByNationality.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/pcsw/ClientsByNationality','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/pcsw/ClientsByNationality",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.pcsw.ClientsByNationality.detail;
    this.ls_insert_handler = Lino.pcsw.ClientsByNationality.insert;
    Lino.pcsw.ClientsByNationality.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ClientsByNationality.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  return new Lino.pcsw.ClientsByNationality.detailPanel(p);
});
Lino.pcsw.ClientsByNationality.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ClientsByNationality" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.pcsw.ClientsByNationality.GridPanel(p);
});
Lino.pcsw.ClientsByNationality.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ClientsByNationality.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ClientsByNationality", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class pcsw.DispensesByClient
Lino.pcsw.DispensesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/DispensesByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "reason" }, 'reasonHidden', { "name": "remarks" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 51,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/DispensesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dispenzen",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1825 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1826 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var reason1827 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Dispenzgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.DispenseReasons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/DispensesByClient/reason" }) }) });
    var remarks1828 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1825, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Dispenziert seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1826, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "reason", "editable": true, "editor": reason1827, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remarks", "editable": true, "editor": remarks1828, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.DispensesByClient.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.DispensesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.DispensesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/DispensesByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.DispensesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/DispensesByClient" };
  return new Lino.pcsw.DispensesByClient.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ExclusionsByClient
Lino.pcsw.ExclusionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ExclusionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "excluded_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "excluded_until", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 53,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ExclusionsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AG-Sperren",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var excluded_from1831 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var excluded_until1832 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type1833 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "AG-Sperrgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "pcsw.ExclusionTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/pcsw/ExclusionsByClient/type" }) }) });
    var remark1834 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "excluded_from", "editable": true, "editor": excluded_from1831, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "AG-Sperre seit", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "excluded_until", "editable": true, "editor": excluded_until1832, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.excluded_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type1833, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1834, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ExclusionsByClient.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11) } ];
    Lino.pcsw.ExclusionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ExclusionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ExclusionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ExclusionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ExclusionsByClient" };
  return new Lino.pcsw.ExclusionsByClient.GridPanel(p);
});

// js_render_GridPanel_class pcsw.ConvictionsByClient
Lino.pcsw.ConvictionsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/ConvictionsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "designation" }, { "name": "prejudicial", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 54,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/ConvictionsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vorstrafen",
  disabled_fields_index : 4,
  initComponent : function() {
    var ww = this.containing_window;
    var date9019 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var designation9020 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var prejudicial9021 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9019, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "designation", "editable": true, "editor": designation9020, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.designation) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "prejudicial", "editable": true, "filter": { "type": "boolean" }, "header": "Prejudicial", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.ConvictionsByClient.prejudicial) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" } ];
    Lino.pcsw.ConvictionsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.ConvictionsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/ConvictionsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.ConvictionsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/ConvictionsByClient" };
  return new Lino.pcsw.ConvictionsByClient.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByClient
Lino.coachings.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "primary", "type": "boolean" }, { "name": "type" }, 'typeHidden', { "name": "ending" }, 'endingHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1712 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1713 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user1714 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/user" }) }) });
    var primary1715 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var type1716 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/type" }) }) });
    var ending1717 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByClient/ending" }) }) });
    var id1718 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      ending1717.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type1716 !== 'undefined' && type1716.on('change',Lino.chooser_handler(ending1717,'type'));
      Lino.coachings.CoachingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1712, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1713, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user1714, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type1716, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 5, "dataIndex": "ending", "editable": true, "editor": ending1717, "filter": { "type": "string" }, "header": "Beendigungsgrund", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id1718, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByClient.GridPanel(p);
});

// js_render_GridPanel_class coachings.CoachingsByUser
Lino.coachings.CoachingsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/CoachingsByUser",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/CoachingsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Begleitungen",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var start_date1658 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date1659 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client1660 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/client" }) }) });
    var type1661 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/CoachingsByUser/type" }) }) });
    var primary1662 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id1663 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date1658, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date1659, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client1660, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type1661, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id1663, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.CoachingsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.CoachingsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.CoachingsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/CoachingsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.CoachingsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/CoachingsByUser" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.CoachingsByUser.GridPanel(p);
});

// js_render_GridPanel_class coachings.MyCoachings
Lino.coachings.MyCoachings.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/coachings/MyCoachings",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "type" }, 'typeHidden', { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/coachings/MyCoachings','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Begleitungen",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var client9023 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/client" }) }) });
    var start_date9024 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9025 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var type9026 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/coachings/MyCoachings/type" }) }) });
    var primary9027 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id9028 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client9023, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date9024, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Begleitet seit", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date9025, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9026, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.primary) Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.") }, "sortable": false, "tooltip": "Whether this coaching is primary.   Enabling this field will automatically\nmake the other coachings non-primary.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9028, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(coachings.MyCoachings.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.coachings.MyCoachings.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.coachings.MyCoachings.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/coachings/MyCoachings", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.coachings.MyCoachings.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/coachings/MyCoachings" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.coachings.MyCoachings.GridPanel(p);
});

// js_render_GridPanel_class reception.AgentsByClient
Lino.reception.AgentsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/AgentsByClient",
  ls_store_fields : [ { "name": "user" }, { "name": "coaching_type" }, { "name": "actions" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/AgentsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin machen mit",
  initComponent : function() {
    var ww = this.containing_window;
    var user_disp9030 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var coaching_type_disp9031 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var actions_disp9032 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": false, "header": "Sozi", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.user) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.user) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "coaching_type", "editable": false, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.coaching_type) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.coaching_type) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(reception.AgentsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.AgentsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.AgentsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.AgentsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/AgentsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.AgentsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/AgentsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.AgentsByClient.GridPanel(p);
});

// js_render_GridPanel_class reception.CoachingsByClient
Lino.reception.CoachingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/CoachingsByClient",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "actions" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 47,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/CoachingsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.coachings.Coachings.create_visit), "tooltip": "Create a prompt event for this client with this coach.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin machen mit",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var user9034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/user" }) }) });
    var type9035 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dienst ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "coachings.CoachingTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/reception/CoachingsByClient/type" }) }) });
    var actions_disp9036 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9034, "filter": { "type": "string" }, "header": "Begleiter", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type9035, "filter": { "type": "string" }, "header": "Dienst", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(reception.CoachingsByClient.actions) ") }, "sortable": false, "tooltip": "(reception.CoachingsByClient.actions) ", "width": Lino.chars2width(31) } ];
    Lino.reception.CoachingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.CoachingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/CoachingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.CoachingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/reception/CoachingsByClient" };
  p.params_panel = new Lino.coachings.Coachings.ParamsPanel({});
  return new Lino.reception.CoachingsByClient.GridPanel(p);
});

// js_render_GridPanel_class clients.PartnersByClientContactType
Lino.clients.PartnersByClientContactType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/PartnersByClientContactType",
  ls_store_fields : [ { "name": "name" }, { "name": "id", "type": "int" }, { "name": "mti_navigator" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "address_column" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/PartnersByClientContactType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Partner",
  disabled_fields_index : 42,
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    var ww = this.containing_window;
    var name3455 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var id3456 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var mti_navigator_disp3457 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var email3458 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language3459 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url3460 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone3461 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm3462 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax3463 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified3464 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created3465 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country3466 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/country" }) }) });
    var city3467 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/city" }) }) });
    var zip_code3468 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region3469 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/region" }) }) });
    var addr13470 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix3471 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street3472 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no3473 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box3474 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr23475 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix3476 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks3477 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete3478 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity3479 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/activity" }) }) });
    var payment_term3480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/payment_term" }) }) });
    var name_column_disp3481 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3482 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3483 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp3484 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var address_column_disp3485 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality3486 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp3487 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3482 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var client_contact_type3488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/PartnersByClientContactType/client_contact_type" }) }) });
    this.before_row_edit = function(record) {
      city3467.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city3467.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region3469.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox3482.refresh();
      overview_htmlbox3482.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country3466 !== 'undefined' && country3466.on('change',Lino.chooser_handler(city3467,'country'));
      typeof region3469 !== 'undefined' && region3469.on('change',Lino.chooser_handler(city3467,'region'));
      typeof country3466 !== 'undefined' && country3466.on('change',Lino.chooser_handler(region3469,'country'));
      Lino.clients.PartnersByClientContactType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name3455, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "id", "editable": true, "editor": id3456, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "email", "editable": true, "editor": email3458, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "language", "editable": true, "editor": language3459, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "url", "editable": true, "editor": url3460, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "phone", "editable": true, "editor": phone3461, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "gsm", "editable": true, "editor": gsm3462, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "fax", "editable": true, "editor": fax3463, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 10, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "country", "editable": true, "editor": country3466, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "city", "editable": true, "editor": city3467, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "zip_code", "editable": true, "editor": zip_code3468, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "region", "editable": true, "editor": region3469, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "addr1", "editable": true, "editor": addr13470, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix3471, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street", "editable": true, "editor": street3472, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street_no", "editable": true, "editor": street_no3473, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 19, "dataIndex": "street_box", "editable": true, "editor": street_box3474, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "addr2", "editable": true, "editor": addr23475, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "prefix", "editable": true, "editor": prefix3476, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "activity", "editable": true, "editor": activity3479, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "payment_term", "editable": true, "editor": payment_term3480, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.name_column) ") }, "sortable": false, "tooltip": "(clients.PartnersByClientContactType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 27, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.overview) ") }, "sortable": false, "tooltip": "(clients.PartnersByClientContactType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.contact_details) ") }, "sortable": false, "tooltip": "(clients.PartnersByClientContactType.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "address_column", "editable": false, "header": "Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.address_column) ") }, "sortable": false, "tooltip": "(clients.PartnersByClientContactType.address_column) ", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 32, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.created_natural) ") }, "sortable": false, "tooltip": "(clients.PartnersByClientContactType.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.overview) ") }, "sortable": false, "tooltip": "(clients.PartnersByClientContactType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 34, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type3488, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.PartnersByClientContactType.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.clients.PartnersByClientContactType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.clients.PartnersByClientContactType.detailPanel = Ext.extend(Lino.contacts.Partners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/clients/PartnersByClientContactType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.clients.PartnersByClientContactType.detail;
    Lino.clients.PartnersByClientContactType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.PartnersByClientContactType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  return new Lino.clients.PartnersByClientContactType.detailPanel(p);
});
Lino.clients.PartnersByClientContactType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/PartnersByClientContactType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.clients.PartnersByClientContactType.GridPanel(p);
});
Lino.clients.PartnersByClientContactType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.PartnersByClientContactType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/PartnersByClientContactType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.HouseholdsByType
Lino.households.HouseholdsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/HouseholdsByType",
  ls_store_fields : [ { "name": "name" }, { "name": "type" }, 'typeHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/HouseholdsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushalte",
  disabled_fields_index : 44,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    var ww = this.containing_window;
    var name6507 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var type6508 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Haushaltsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "households.Types", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/type" }) }) });
    var address_column_disp6509 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id6510 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email6511 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language6512 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url6513 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone6514 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm6515 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax6516 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified6517 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created6518 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country6519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/country" }) }) });
    var city6520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/city" }) }) });
    var zip_code6521 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region6522 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/region" }) }) });
    var addr16523 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix6524 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street6525 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no6526 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box6527 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr26528 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix6529 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks6530 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete6531 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity6532 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/activity" }) }) });
    var client_contact_type6533 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/client_contact_type" }) }) });
    var payment_term6534 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/HouseholdsByType/payment_term" }) }) });
    var name_column_disp6535 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6536 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6537 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp6538 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp6539 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality6540 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp6541 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      city6520.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city6520.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region6522.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox6536.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country6519 !== 'undefined' && country6519.on('change',Lino.chooser_handler(city6520,'country'));
      typeof region6522 !== 'undefined' && region6522.on('change',Lino.chooser_handler(city6520,'region'));
      typeof country6519 !== 'undefined' && country6519.on('change',Lino.chooser_handler(region6522,'country'));
      Lino.households.HouseholdsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": true, "editor": name6507, "filter": { "type": "string" }, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "type", "editable": true, "editor": type6508, "filter": { "type": "string" }, "header": "Haushaltsart", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.type) The type of this household.  See household types") }, "sortable": false, "tooltip": "The type of this household.  See household types", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.address_column) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id6510, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email6511, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language6512, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url6513, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone6514, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm6515, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax6516, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country6519, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city6520, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code6521, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region6522, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr16523, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix6524, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street6525, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no6526, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box6527, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr26528, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix6529, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 25, "dataIndex": "activity", "editable": true, "editor": activity6532, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 26, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type6533, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "payment_term", "editable": true, "editor": payment_term6534, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.name_column) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 29, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.overview) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.contact_details) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 34, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.HouseholdsByType.created_natural) ") }, "sortable": false, "tooltip": "(households.HouseholdsByType.created_natural) ", "width": Lino.chars2width(31) } ];
    Lino.households.HouseholdsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.insertPanel = Ext.extend(Lino.households.HouseholdsByType.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.insertPanel(p);
});
Lino.households.HouseholdsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.HouseholdsByType.detailPanel = Ext.extend(Lino.households.HouseholdsByType.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Haushalt) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-lightning", "itemId": "populate_members", "menu_item_text": "Populate", "overflowText": "Populate", "panel_btn_handler": Lino.row_action_handler('populate_members','GET',null), "tooltip": "Populate household members from data in human links.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/households/HouseholdsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.households.HouseholdsByType.detail;
    this.ls_insert_handler = Lino.households.HouseholdsByType.insert;
    Lino.households.HouseholdsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.households.HouseholdsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  return new Lino.households.HouseholdsByType.detailPanel(p);
});
Lino.households.HouseholdsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/HouseholdsByType" };
  p.params_panel = new Lino.contacts.Partners.ParamsPanel({});
  return new Lino.households.HouseholdsByType.GridPanel(p);
});
Lino.households.HouseholdsByType.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.populate_members = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "GET", pk, "populate_members", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.HouseholdsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/HouseholdsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByHousehold
Lino.households.MembersByHousehold.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByHousehold",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "primary", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "household" }, 'householdHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MembersByHousehold','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitglieder",
  disabled_fields_index : 23,
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp4546 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role4547 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency4548 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person4549 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/person" }) }) });
    var first_name4550 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name4551 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date4552 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender4553 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id4554 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date4555 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date4556 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title4557 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name4558 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var primary4559 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var name_column_disp4560 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox4561 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp4562 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var household4563 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByHousehold/household" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox4561.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role4547, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency4548, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person4549, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name4550, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name4551, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date4552, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender4553, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id4554, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date4555, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date4556, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title4557, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name4558, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.name_column) ") }, "sortable": false, "tooltip": "(households.MembersByHousehold.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.overview) ") }, "sortable": false, "tooltip": "(households.MembersByHousehold.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "household", "editable": true, "editor": household4563, "filter": { "type": "string" }, "header": "Haushalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByHousehold.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByHousehold.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByHousehold.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByHousehold.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByHousehold" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByHousehold.GridPanel(p);
});
Lino.households.MembersByHousehold.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByHousehold", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.SiblingsByPerson
Lino.households.SiblingsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/SiblingsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "role" }, 'roleHidden', { "name": "dependency" }, 'dependencyHidden', { "name": "person" }, 'personHidden', { "name": "first_name" }, { "name": "last_name" }, { "name": "birth_date" }, { "name": "gender" }, 'genderHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "title" }, { "name": "middle_name" }, { "name": "household" }, 'householdHidden', { "name": "primary", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/SiblingsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltszusammensetzung",
  disabled_fields_index : 23,
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp1472 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var role1473 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var dependency1474 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var person1475 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/person" }) }) });
    var first_name1476 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var last_name1477 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date1478 = new Lino.IncompleteDateField({ "allowBlank": true, "selectOnFocus": true });
    var gender1479 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var id1480 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_date1481 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_date1482 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title1483 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name1484 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var household1485 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/SiblingsByPerson/household" }) }) });
    var primary1486 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var name_column_disp1487 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1488 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp1489 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox1488.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role1473, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "dependency", "editable": true, "editor": dependency1474, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 3, "dataIndex": "person", "editable": true, "editor": person1475, "filter": { "type": "string" }, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "first_name", "editable": true, "editor": first_name1476, "filter": { "type": "string" }, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "last_name", "editable": true, "editor": last_name1477, "filter": { "type": "string" }, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "birth_date", "editable": true, "editor": birth_date1478, "filter": { "type": "string" }, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 7, "dataIndex": "gender", "editable": true, "editor": gender1479, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id1480, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date1481, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "end_date", "editable": true, "editor": end_date1482, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "title", "editable": true, "editor": title1483, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "middle_name", "editable": true, "editor": middle_name1484, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "household", "editable": true, "editor": household1485, "filter": { "type": "string" }, "header": "Haushalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.name_column) ") }, "sortable": false, "tooltip": "(households.SiblingsByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 16, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.overview) ") }, "sortable": false, "tooltip": "(households.SiblingsByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.SiblingsByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.households.SiblingsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.SiblingsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.SiblingsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/SiblingsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.SiblingsByPerson.GridPanel(p);
});
Lino.households.SiblingsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/SiblingsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.MembersByPerson
Lino.households.MembersByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MembersByPerson",
  ls_store_fields : [ { "name": "household" }, 'householdHidden', { "name": "role" }, 'roleHidden', { "name": "primary", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "dependency" }, 'dependencyHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "age" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MembersByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Mitglied) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Mitgliedschaft in Haushalten",
  disabled_fields_index : 23,
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    var ww = this.containing_window;
    var household9038 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Haushalt ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "households.Households", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/household" }) }) });
    var role9039 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.households.MemberRoles) });
    var primary9040 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var start_date9041 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9042 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id9043 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var title9044 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name9045 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name9046 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name9047 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender9048 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date9049 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var dependency9050 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.households.MemberDependencies });
    var name_column_disp9051 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9052 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9053 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp9054 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person9055 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/households/MembersByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox9052.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "household", "editable": true, "editor": household9038, "filter": { "type": "string" }, "header": "Haushalt", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.household) ") }, "renderer": Lino.fk_renderer('householdHidden','Lino.households.Households.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "role", "editable": true, "editor": role9039, "filter": { "options": [ "Vorstand", "Ehepartner", "Partner", "Mitbewohner", "Kind", "Verwandt", "Adoptivkind", "Pflegekind", "Sonstige" ], "type": "list" }, "header": "Rolle", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.role) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(15) }, { "colIndex": 2, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.primary) Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.") }, "sortable": false, "tooltip": "Whether this is the primary household of this person.\nChecking this field will automatically disable any other primary memberships.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date9041, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.start_date) Since when this membership exists. This is usually empty.") }, "sortable": true, "tooltip": "Since when this membership exists. This is usually empty.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date9042, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.end_date) Until when this membership exists.") }, "sortable": true, "tooltip": "Until when this membership exists.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id9043, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "title", "editable": true, "editor": title9044, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "first_name", "editable": true, "editor": first_name9045, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "middle_name", "editable": true, "editor": middle_name9046, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "last_name", "editable": true, "editor": last_name9047, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "gender", "editable": true, "editor": gender9048, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 11, "dataIndex": "birth_date", "editable": true, "editor": birth_date9049, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 12, "dataIndex": "dependency", "editable": true, "editor": dependency9050, "filter": { "options": [ "Zu Lasten", "Nicht zu Lasten", "Lasten geteilt" ], "type": "list" }, "header": "Abh\u00e4ngigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.dependency) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 13, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.name_column) ") }, "sortable": false, "tooltip": "(households.MembersByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 14, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.overview) ") }, "sortable": false, "tooltip": "(households.MembersByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "person", "editable": true, "editor": person9055, "filter": { "type": "string" }, "header": "Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MembersByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.households.MembersByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.households.MembersByPerson.insertPanel = Ext.extend(Lino.households.MembersByPerson.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/households/MembersByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.households.MembersByPerson.insert;
    Lino.households.MembersByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MembersByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  return new Lino.households.MembersByPerson.insertPanel(p);
});
Lino.households.MembersByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MembersByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MembersByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.MembersByPerson.GridPanel(p);
});
Lino.households.MembersByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MembersByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class households.RefundsByPerson
Lino.households.RefundsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/RefundsByPerson",
  ls_store_fields : [ { "name": "age" }, { "name": "gender" }, 'genderHidden', { "name": "person_info" }, { "name": "amount" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 120,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/RefundsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "set_primary", "menu_item_text": "set_primary", "overflowText": "set_primary", "panel_btn_handler": Lino.row_action_handler('set_primary','GET',null), "text": "set_primary", "tooltip": "Diesen Haushalt als prim\u00e4r markieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltszusammensetzung",
  disabled_fields_index : 6,
  initComponent : function() {
    var ww = this.containing_window;
    var age_disp9057 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var gender9058 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var person_info_disp9059 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount9060 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "age", "editable": false, "header": "Alter", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "gender", "editable": true, "editor": gender9058, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "person_info", "editable": false, "header": "Person", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.person_info) ") }, "sortable": false, "tooltip": "(households.RefundsByPerson.person_info) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(households.RefundsByPerson.amount) ") }, "sortable": true, "tooltip": "(households.RefundsByPerson.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.households.RefundsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.RefundsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.RefundsByPerson.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(100) }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/RefundsByPerson" };
  p.params_panel = new Lino.households.Members.ParamsPanel({});
  return new Lino.households.RefundsByPerson.GridPanel(p);
});
Lino.households.RefundsByPerson.set_primary = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/RefundsByPerson", "GET", pk, "set_primary", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.PartnersByContract
Lino.isip.PartnersByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/PartnersByContract",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "duties_company" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contract" }, 'contractHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 94,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/PartnersByContract','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Vertragspartner",
  disabled_fields_index : 13,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    var ww = this.containing_window;
    var id2211 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var company2212 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/company" }) }) });
    var contact_person2213 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_person" }) }) });
    var contact_role2214 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contact_role" }) }) });
    var duties_company2215 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Verpflichtungen Firma" });
    var name_column_disp2216 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2217 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2218 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contract2219 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "VSE ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.Contracts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/PartnersByContract/contract" }) }) });
    this.before_row_edit = function(record) {
      contact_person2213.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      duties_company2215.refresh();
      overview_htmlbox2217.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2212 !== 'undefined' && company2212.on('change',Lino.chooser_handler(contact_person2213,'company'));
      Lino.isip.PartnersByContract.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2211, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company2212, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person2213, "filter": { "type": "string" }, "header": "Vertreten durch", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "contact_role", "editable": true, "editor": contact_role2214, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "duties_company", "editable": true, "editor": duties_company2215, "filter": { "type": "string" }, "header": "Verpflichtungen Firma", "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.duties_company) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 5, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.name_column) ") }, "sortable": false, "tooltip": "(isip.PartnersByContract.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 6, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.overview) ") }, "sortable": false, "tooltip": "(isip.PartnersByContract.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "contract", "editable": true, "editor": contract2219, "filter": { "type": "string" }, "header": "VSE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.PartnersByContract.contract) ") }, "renderer": Lino.fk_renderer('contractHidden','Lino.isip.Contracts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.PartnersByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.insertPanel = Ext.extend(Lino.isip.ContractPartners.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.insertPanel(p);
});
Lino.isip.PartnersByContract.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.PartnersByContract.detailPanel = Ext.extend(Lino.isip.ContractPartners.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Vertragspartner) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/PartnersByContract",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.PartnersByContract.detail;
    this.ls_insert_handler = Lino.isip.PartnersByContract.insert;
    Lino.isip.PartnersByContract.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.PartnersByContract.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.detailPanel(p);
});
Lino.isip.PartnersByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.PartnersByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/PartnersByContract" };
  return new Lino.isip.PartnersByContract.GridPanel(p);
});
Lino.isip.PartnersByContract.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/PartnersByContract", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByPolicy
Lino.isip.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByPolicy','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  disabled_fields_index : 40,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id6071 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from6072 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6073 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client6074 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/client" }) }) });
    var user6075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user" }) }) });
    var type6076 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/type" }) }) });
    var signer16077 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer1" }) }) });
    var signer26078 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/signer2" }) }) });
    var printed_by6079 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6080 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until6081 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6082 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6083 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6084 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_asd" }) }) });
    var ending6085 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/ending" }) }) });
    var study_type6086 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/study_type" }) }) });
    var stages6087 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals6088 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd6089 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe6090 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw6091 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person6092 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe6093 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/user_dsbe" }) }) });
    var name_column_disp6094 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6095 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6096 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp6097 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var exam_policy6098 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      stages6087.refresh();
      goals6088.refresh();
      duties_asd6089.refresh();
      duties_dsbe6090.refresh();
      duties_pcsw6091.refresh();
      duties_person6092.refresh();
      overview_htmlbox6095.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6071, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6072, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended6073, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client6074, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user6075, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type6076, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16077, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26078, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language6080, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until6081, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided6082, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued6083, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd6084, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "ending", "editable": true, "editor": ending6085, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type6086, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages6087, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals6088, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd6089, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe6090, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw6091, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person6092, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe6093, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.name_column) ") }, "sortable": false, "tooltip": "(isip.ContractsByPolicy.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 24, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.overview) ") }, "sortable": false, "tooltip": "(isip.ContractsByPolicy.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 26, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6098, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.insertPanel(p);
});
Lino.isip.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByPolicy.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.isip.ContractsByPolicy.insert;
    Lino.isip.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  return new Lino.isip.ContractsByPolicy.detailPanel(p);
});
Lino.isip.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByPolicy" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByPolicy.GridPanel(p);
});
Lino.isip.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByType
Lino.isip.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  disabled_fields_index : 40,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from5964 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client5965 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/client" }) }) });
    var user5966 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user" }) }) });
    var id5967 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until5968 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer15969 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer1" }) }) });
    var signer25970 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/signer2" }) }) });
    var printed_by5971 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language5972 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided5973 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued5974 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd5975 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_asd" }) }) });
    var exam_policy5976 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/exam_policy" }) }) });
    var ending5977 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/ending" }) }) });
    var date_ended5978 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var study_type5979 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/study_type" }) }) });
    var stages5980 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals5981 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd5982 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe5983 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw5984 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person5985 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe5986 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/user_dsbe" }) }) });
    var name_column_disp5987 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox5988 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp5989 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp5990 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type5991 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      stages5980.refresh();
      goals5981.refresh();
      duties_asd5982.refresh();
      duties_dsbe5983.refresh();
      duties_pcsw5984.refresh();
      duties_person5985.refresh();
      overview_htmlbox5988.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from5964, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client5965, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user5966, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id5967, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "applies_until", "editable": true, "editor": applies_until5968, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer15969, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer25970, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "language", "editable": true, "editor": language5972, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "date_decided", "editable": true, "editor": date_decided5973, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "date_issued", "editable": true, "editor": date_issued5974, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "user_asd", "editable": true, "editor": user_asd5975, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy5976, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "ending", "editable": true, "editor": ending5977, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_ended", "editable": true, "editor": date_ended5978, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type5979, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages5980, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals5981, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd5982, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe5983, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw5984, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person5985, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe5986, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.name_column) ") }, "sortable": false, "tooltip": "(isip.ContractsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 24, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.overview) ") }, "sortable": false, "tooltip": "(isip.ContractsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 26, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "type", "editable": true, "editor": type5991, "filter": { "type": "string" }, "header": "Vertragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.insertPanel(p);
});
Lino.isip.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByType.insert;
    Lino.isip.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  return new Lino.isip.ContractsByType.detailPanel(p);
});
Lino.isip.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByType.GridPanel(p);
});
Lino.isip.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByEnding
Lino.isip.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "study_type" }, 'study_typeHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByEnding','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  disabled_fields_index : 40,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id6219 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from6220 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6221 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client6222 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/client" }) }) });
    var user6223 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user" }) }) });
    var type6224 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/type" }) }) });
    var signer16225 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer1" }) }) });
    var signer26226 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/signer2" }) }) });
    var printed_by6227 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6228 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until6229 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6230 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6231 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6232 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_asd" }) }) });
    var exam_policy6233 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/exam_policy" }) }) });
    var study_type6234 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/study_type" }) }) });
    var stages6235 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals6236 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd6237 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe6238 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw6239 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person6240 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe6241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/user_dsbe" }) }) });
    var name_column_disp6242 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6243 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6244 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp6245 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var ending6246 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      stages6235.refresh();
      goals6236.refresh();
      duties_asd6237.refresh();
      duties_dsbe6238.refresh();
      duties_pcsw6239.refresh();
      duties_person6240.refresh();
      overview_htmlbox6243.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6219, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6220, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended6221, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client6222, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user6223, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type6224, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16225, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26226, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language6228, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until6229, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided6230, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued6231, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd6232, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6233, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "study_type", "editable": true, "editor": study_type6234, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages6235, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals6236, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd6237, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe6238, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw6239, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person6240, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe6241, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.name_column) ") }, "sortable": false, "tooltip": "(isip.ContractsByEnding.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 24, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.overview) ") }, "sortable": false, "tooltip": "(isip.ContractsByEnding.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 26, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "ending", "editable": true, "editor": ending6246, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByEnding.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.insertPanel(p);
});
Lino.isip.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByEnding.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.isip.ContractsByEnding.insert;
    Lino.isip.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  return new Lino.isip.ContractsByEnding.detailPanel(p);
});
Lino.isip.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByEnding" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByEnding.GridPanel(p);
});
Lino.isip.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.ContractsByStudyType
Lino.isip.ContractsByStudyType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractsByStudyType",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "stages" }, { "name": "goals" }, { "name": "duties_asd" }, { "name": "duties_dsbe" }, { "name": "duties_pcsw" }, { "name": "duties_person" }, { "name": "user_dsbe" }, 'user_dsbeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "study_type" }, 'study_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 95,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractsByStudyType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "VSEs",
  disabled_fields_index : 40,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    var ww = this.containing_window;
    var id4028 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var applies_from4029 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended4030 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client4031 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/client" }) }) });
    var user4032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user" }) }) });
    var type4033 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "VSE-Art ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "isip.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/type" }) }) });
    var signer14034 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer1" }) }) });
    var signer24035 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/signer2" }) }) });
    var printed_by4036 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4037 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until4038 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided4039 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4040 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4041 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_asd" }) }) });
    var exam_policy4042 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/exam_policy" }) }) });
    var ending4043 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/ending" }) }) });
    var stages4044 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Etappen" });
    var goals4045 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Zielsetzungen" });
    var duties_asd4046 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen ASD" });
    var duties_dsbe4047 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen DSBE" });
    var duties_pcsw4048 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen \u00d6SHZ" });
    var duties_person4049 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Verpflichtungen Person" });
    var user_dsbe4050 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/user_dsbe" }) }) });
    var name_column_disp4051 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox4052 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp4053 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp4054 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var study_type4055 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Bildungsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.StudyTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/isip/ContractsByStudyType/study_type" }) }) });
    this.before_row_edit = function(record) {
      stages4044.refresh();
      goals4045.refresh();
      duties_asd4046.refresh();
      duties_dsbe4047.refresh();
      duties_pcsw4048.refresh();
      duties_person4049.refresh();
      overview_htmlbox4052.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id4028, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from4029, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended4030, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "client", "editable": true, "editor": client4031, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user4032, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type4033, "filter": { "type": "string" }, "header": "Vertragsart", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer14034, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer24035, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "language", "editable": true, "editor": language4037, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "applies_until", "editable": true, "editor": applies_until4038, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 11, "dataIndex": "date_decided", "editable": true, "editor": date_decided4039, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "date_issued", "editable": true, "editor": date_issued4040, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "user_asd", "editable": true, "editor": user_asd4041, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4042, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "ending", "editable": true, "editor": ending4043, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "stages", "editable": true, "editor": stages4044, "filter": { "type": "string" }, "header": "Etappen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.stages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 17, "dataIndex": "goals", "editable": true, "editor": goals4045, "filter": { "type": "string" }, "header": "Zielsetzungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.goals) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 18, "dataIndex": "duties_asd", "editable": true, "editor": duties_asd4046, "filter": { "type": "string" }, "header": "Verpflichtungen ASD", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "duties_dsbe", "editable": true, "editor": duties_dsbe4047, "filter": { "type": "string" }, "header": "Verpflichtungen DSBE", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 20, "dataIndex": "duties_pcsw", "editable": true, "editor": duties_pcsw4048, "filter": { "type": "string" }, "header": "Verpflichtungen \u00d6SHZ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_pcsw) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "duties_person", "editable": true, "editor": duties_person4049, "filter": { "type": "string" }, "header": "Verpflichtungen Person", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.duties_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "user_dsbe", "editable": true, "editor": user_dsbe4050, "filter": { "type": "string" }, "header": "Verantwortlicher (DSBE)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.user_dsbe) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.name_column) ") }, "sortable": false, "tooltip": "(isip.ContractsByStudyType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 24, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.overview) ") }, "sortable": false, "tooltip": "(isip.ContractsByStudyType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 26, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "study_type", "editable": true, "editor": study_type4055, "filter": { "type": "string" }, "header": "Bildungsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractsByStudyType.study_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.isip.ContractsByStudyType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.insertPanel = Ext.extend(Lino.isip.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.insertPanel(p);
});
Lino.isip.ContractsByStudyType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.isip.ContractsByStudyType.detailPanel = Ext.extend(Lino.isip.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (VSE) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "VSE", "overflowText": "VSE", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/isip/ContractsByStudyType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.isip.ContractsByStudyType.detail;
    this.ls_insert_handler = Lino.isip.ContractsByStudyType.insert;
    Lino.isip.ContractsByStudyType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractsByStudyType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  return new Lino.isip.ContractsByStudyType.detailPanel(p);
});
Lino.isip.ContractsByStudyType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractsByStudyType" };
  p.params_panel = new Lino.isip.Contracts.ParamsPanel({});
  return new Lino.isip.ContractsByStudyType.GridPanel(p);
});
Lino.isip.ContractsByStudyType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractsByStudyType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractsByStudyType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByClient
Lino.jobs.ContractsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByClient",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "job" }, 'jobHidden', { "name": "company" }, 'companyHidden', { "name": "user" }, 'userHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 13,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    var ww = this.containing_window;
    var applies_from2500 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until2501 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended2502 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var duration2503 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/duration" }) }), "value": null });
    var type2504 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/type" }) }) });
    var job2505 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/job" }) }) });
    var company2506 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/company" }) }) });
    var user2507 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/user" }) }) });
    var remark2508 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2509 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer12510 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/signer1" }) }) });
    var signer22511 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/signer2" }) }) });
    var contact_person2512 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/contact_person" }) }) });
    var contact_role2513 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/contact_role" }) }) });
    var printed_by2514 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language2515 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided2516 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued2517 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd2518 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/user_asd" }) }) });
    var exam_policy2519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/exam_policy" }) }) });
    var ending2520 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/ending" }) }) });
    var reference_person2521 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities2522 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var regime2523 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/regime" }) }) });
    var schedule2524 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/schedule" }) }) });
    var hourly_rate2525 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate2526 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/refund_rate" }) }) });
    var name_column_disp2527 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2528 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2529 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp2530 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var client2531 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      contact_person2512.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities2522.refresh();
      overview_htmlbox2528.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company2506 !== 'undefined' && company2506.on('change',Lino.chooser_handler(contact_person2512,'company'));
      Lino.jobs.ContractsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from2500, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "applies_until", "editable": true, "editor": applies_until2501, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "date_ended", "editable": true, "editor": date_ended2502, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "duration", "editable": true, "editor": duration2503, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type2504, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job2505, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "company", "editable": true, "editor": company2506, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user2507, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "remark", "editable": true, "editor": remark2508, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2509, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 10, "dataIndex": "signer1", "editable": true, "editor": signer12510, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer2", "editable": true, "editor": signer22511, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person2512, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role2513, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language2515, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided2516, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued2517, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd2518, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy2519, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "ending", "editable": true, "editor": ending2520, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person2521, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities2522, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime2523, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule2524, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate2525, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate2526, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByClient.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByClient.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "client", "editable": true, "editor": client2531, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByClient.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByClient.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    Lino.jobs.ContractsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  return new Lino.jobs.ContractsByClient.insertPanel(p);
});
Lino.jobs.ContractsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByClient.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByClient.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByClient.insert;
    Lino.jobs.ContractsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  return new Lino.jobs.ContractsByClient.detailPanel(p);
});
Lino.jobs.ContractsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByClient" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByClient.GridPanel(p);
});
Lino.jobs.ContractsByClient.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByProvider
Lino.jobs.ContractsByProvider.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByProvider",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByProvider','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    var ww = this.containing_window;
    var client3818 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/client" }) }) });
    var job3819 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/job" }) }) });
    var applies_from3820 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until3821 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user3822 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/user" }) }) });
    var type3823 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/type" }) }) });
    var id3824 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer13825 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/signer1" }) }) });
    var signer23826 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/signer2" }) }) });
    var contact_person3827 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/contact_person" }) }) });
    var contact_role3828 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/contact_role" }) }) });
    var printed_by3829 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language3830 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided3831 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3832 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3833 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/user_asd" }) }) });
    var exam_policy3834 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/exam_policy" }) }) });
    var ending3835 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/ending" }) }) });
    var date_ended3836 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration3837 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/duration" }) }), "value": null });
    var reference_person3838 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities3839 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark3840 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime3841 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/regime" }) }) });
    var schedule3842 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/schedule" }) }) });
    var hourly_rate3843 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate3844 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/refund_rate" }) }) });
    var name_column_disp3845 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3846 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3847 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp3848 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var company3849 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByProvider/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person3827.setContextValue('mk',bp['mk']);
      contact_person3827.setContextValue('mt',bp['mt']);
      responsibilities3839.refresh();
      overview_htmlbox3846.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company3849 !== 'undefined' && company3849.on('change',Lino.chooser_handler(contact_person3827,'company'));
      Lino.jobs.ContractsByProvider.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client3818, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job3819, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "applies_from", "editable": true, "editor": applies_from3820, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "applies_until", "editable": true, "editor": applies_until3821, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user3822, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type3823, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id3824, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "signer1", "editable": true, "editor": signer13825, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer2", "editable": true, "editor": signer23826, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person3827, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role3828, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language3830, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided3831, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued3832, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd3833, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3834, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending3835, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended3836, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration3837, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person3838, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities3839, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark3840, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime3841, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule3842, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate3843, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate3844, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByProvider.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByProvider.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "company", "editable": true, "editor": company3849, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByProvider.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByProvider.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByProvider.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByProvider",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    Lino.jobs.ContractsByProvider.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  return new Lino.jobs.ContractsByProvider.insertPanel(p);
});
Lino.jobs.ContractsByProvider.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByProvider.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByProvider",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByProvider.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByProvider.insert;
    Lino.jobs.ContractsByProvider.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByProvider.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  return new Lino.jobs.ContractsByProvider.detailPanel(p);
});
Lino.jobs.ContractsByProvider.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByProvider" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByProvider.GridPanel(p);
});
Lino.jobs.ContractsByProvider.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByProvider.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByProvider", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByPolicy
Lino.jobs.ContractsByPolicy.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByPolicy",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "ending" }, 'endingHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "exam_policy" }, 'exam_policyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByPolicy','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 49,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    var ww = this.containing_window;
    var id6101 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client6102 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/client" }) }) });
    var client__national_id6103 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var applies_from6104 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6105 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job6106 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/job" }) }) });
    var user6107 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/user" }) }) });
    var type6108 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/type" }) }) });
    var signer16109 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/signer1" }) }) });
    var signer26110 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/signer2" }) }) });
    var company6111 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/company" }) }) });
    var contact_person6112 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/contact_person" }) }) });
    var contact_role6113 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/contact_role" }) }) });
    var printed_by6114 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6115 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until6116 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6117 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6118 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6119 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/user_asd" }) }) });
    var ending6120 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/ending" }) }) });
    var duration6121 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/duration" }) }), "value": null });
    var reference_person6122 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6123 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6124 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime6125 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/regime" }) }) });
    var schedule6126 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/schedule" }) }) });
    var hourly_rate6127 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate6128 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/refund_rate" }) }) });
    var name_column_disp6129 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6130 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6131 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp6132 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var exam_policy6133 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByPolicy/exam_policy" }) }) });
    this.before_row_edit = function(record) {
      contact_person6112.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6123.refresh();
      overview_htmlbox6130.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6111 !== 'undefined' && company6111.on('change',Lino.chooser_handler(contact_person6112,'company'));
      Lino.jobs.ContractsByPolicy.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6101, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client6102, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": false, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from6104, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended6105, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job6106, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user6107, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type6108, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer16109, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer26110, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company6111, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person6112, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6113, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language6115, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until6116, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided6117, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued6118, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd6119, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "ending", "editable": true, "editor": ending6120, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration6121, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person6122, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6123, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark6124, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime6125, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule6126, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate6127, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate6128, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByPolicy.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 29, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByPolicy.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6133, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByPolicy.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByPolicy.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByPolicy.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByPolicy",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    Lino.jobs.ContractsByPolicy.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  return new Lino.jobs.ContractsByPolicy.insertPanel(p);
});
Lino.jobs.ContractsByPolicy.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByPolicy.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByPolicy",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByPolicy.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByPolicy.insert;
    Lino.jobs.ContractsByPolicy.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByPolicy.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  return new Lino.jobs.ContractsByPolicy.detailPanel(p);
});
Lino.jobs.ContractsByPolicy.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByPolicy" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByPolicy.GridPanel(p);
});
Lino.jobs.ContractsByPolicy.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByPolicy.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByPolicy", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByType
Lino.jobs.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "name": "client" }, 'clientHidden', { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    var ww = this.containing_window;
    var applies_from4911 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var client4912 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/client" }) }) });
    var job4913 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/job" }) }) });
    var user4914 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/user" }) }) });
    var id4915 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer14916 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/signer1" }) }) });
    var signer24917 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/signer2" }) }) });
    var company4918 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/company" }) }) });
    var contact_person4919 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/contact_person" }) }) });
    var contact_role4920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/contact_role" }) }) });
    var printed_by4921 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language4922 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until4923 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided4924 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued4925 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd4926 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/user_asd" }) }) });
    var exam_policy4927 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/exam_policy" }) }) });
    var ending4928 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/ending" }) }) });
    var date_ended4929 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration4930 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/duration" }) }), "value": null });
    var reference_person4931 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities4932 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark4933 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime4934 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/regime" }) }) });
    var schedule4935 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/schedule" }) }) });
    var hourly_rate4936 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate4937 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/refund_rate" }) }) });
    var name_column_disp4938 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox4939 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp4940 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp4941 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type4942 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByType/type" }) }) });
    this.before_row_edit = function(record) {
      contact_person4919.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities4932.refresh();
      overview_htmlbox4939.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company4918 !== 'undefined' && company4918.on('change',Lino.chooser_handler(contact_person4919,'company'));
      Lino.jobs.ContractsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "applies_from", "editable": true, "editor": applies_from4911, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client4912, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job4913, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user4914, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4915, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "signer1", "editable": true, "editor": signer14916, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "signer2", "editable": true, "editor": signer24917, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company4918, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person4919, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role4920, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language4922, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "applies_until", "editable": true, "editor": applies_until4923, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided4924, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued4925, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd4926, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy4927, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending4928, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended4929, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration4930, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person4931, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities4932, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark4933, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime4934, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule4935, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate4936, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate4937, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "type", "editable": true, "editor": type4942, "filter": { "type": "string" }, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByType.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    Lino.jobs.ContractsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  return new Lino.jobs.ContractsByType.insertPanel(p);
});
Lino.jobs.ContractsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByType.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByType.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByType.insert;
    Lino.jobs.ContractsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  return new Lino.jobs.ContractsByType.detailPanel(p);
});
Lino.jobs.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByType" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByType.GridPanel(p);
});
Lino.jobs.ContractsByType.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByEnding
Lino.jobs.ContractsByEnding.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByEnding",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "client__national_id" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "ending" }, 'endingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByEnding','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 49,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    var ww = this.containing_window;
    var id6249 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client6250 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/client" }) }) });
    var client__national_id6251 = new Ext.form.TextField({ "disabled": true, "maxLength": 200, "sortable": false, "value": null });
    var applies_from6252 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var date_ended6253 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var job6254 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/job" }) }) });
    var user6255 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/user" }) }) });
    var type6256 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/type" }) }) });
    var signer16257 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/signer1" }) }) });
    var signer26258 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/signer2" }) }) });
    var company6259 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/company" }) }) });
    var contact_person6260 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/contact_person" }) }) });
    var contact_role6261 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/contact_role" }) }) });
    var printed_by6262 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language6263 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var applies_until6264 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_decided6265 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6266 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6267 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/user_asd" }) }) });
    var exam_policy6268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/exam_policy" }) }) });
    var duration6269 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/duration" }) }), "value": null });
    var reference_person6270 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6271 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6272 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime6273 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/regime" }) }) });
    var schedule6274 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/schedule" }) }) });
    var hourly_rate6275 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate6276 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/refund_rate" }) }) });
    var name_column_disp6277 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6278 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6279 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp6280 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var ending6281 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByEnding/ending" }) }) });
    this.before_row_edit = function(record) {
      contact_person6260.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6271.refresh();
      overview_htmlbox6278.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6259 !== 'undefined' && company6259.on('change',Lino.chooser_handler(contact_person6260,'company'));
      Lino.jobs.ContractsByEnding.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id6249, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client6250, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client__national_id", "editable": false, "filter": { "type": "string" }, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.client__national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "applies_from", "editable": true, "editor": applies_from6252, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "date_ended", "editable": true, "editor": date_ended6253, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "job", "editable": true, "editor": job6254, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user6255, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "type", "editable": true, "editor": type6256, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer1", "editable": true, "editor": signer16257, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "signer2", "editable": true, "editor": signer26258, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "company", "editable": true, "editor": company6259, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "contact_person", "editable": true, "editor": contact_person6260, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_role", "editable": true, "editor": contact_role6261, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language6263, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "applies_until", "editable": true, "editor": applies_until6264, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "date_decided", "editable": true, "editor": date_decided6265, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 17, "dataIndex": "date_issued", "editable": true, "editor": date_issued6266, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "user_asd", "editable": true, "editor": user_asd6267, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6268, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration6269, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person6270, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6271, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark6272, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime6273, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "schedule", "editable": true, "editor": schedule6274, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 26, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate6275, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 27, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate6276, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 28, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByEnding.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 29, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByEnding.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 32, "dataIndex": "ending", "editable": true, "editor": ending6281, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByEnding.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByEnding.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByEnding.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByEnding",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    Lino.jobs.ContractsByEnding.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  return new Lino.jobs.ContractsByEnding.insertPanel(p);
});
Lino.jobs.ContractsByEnding.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByEnding.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByEnding",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByEnding.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByEnding.insert;
    Lino.jobs.ContractsByEnding.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByEnding.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  return new Lino.jobs.ContractsByEnding.detailPanel(p);
});
Lino.jobs.ContractsByEnding.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByEnding" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByEnding.GridPanel(p);
});
Lino.jobs.ContractsByEnding.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByEnding.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByEnding", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByJob
Lino.jobs.ContractsByJob.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByJob",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "job" }, 'jobHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByJob','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    var ww = this.containing_window;
    var client3766 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/client" }) }) });
    var applies_from3767 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until3768 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user3769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/user" }) }) });
    var type3770 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/type" }) }) });
    var id3771 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer13772 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/signer1" }) }) });
    var signer23773 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/signer2" }) }) });
    var company3774 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/company" }) }) });
    var contact_person3775 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/contact_person" }) }) });
    var contact_role3776 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/contact_role" }) }) });
    var printed_by3777 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var language3778 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided3779 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued3780 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd3781 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/user_asd" }) }) });
    var exam_policy3782 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/exam_policy" }) }) });
    var ending3783 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/ending" }) }) });
    var date_ended3784 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration3785 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/duration" }) }), "value": null });
    var reference_person3786 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities3787 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark3788 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime3789 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/regime" }) }) });
    var schedule3790 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/schedule" }) }) });
    var hourly_rate3791 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate3792 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/refund_rate" }) }) });
    var name_column_disp3793 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3794 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3795 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp3796 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var job3797 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByJob/job" }) }) });
    this.before_row_edit = function(record) {
      contact_person3775.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities3787.refresh();
      overview_htmlbox3794.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company3774 !== 'undefined' && company3774.on('change',Lino.chooser_handler(contact_person3775,'company'));
      Lino.jobs.ContractsByJob.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client3766, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from3767, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until3768, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user3769, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type3770, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id3771, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer13772, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer23773, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company3774, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person3775, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role3776, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "language", "editable": true, "editor": language3778, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "date_decided", "editable": true, "editor": date_decided3779, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "date_issued", "editable": true, "editor": date_issued3780, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "user_asd", "editable": true, "editor": user_asd3781, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy3782, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "ending", "editable": true, "editor": ending3783, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "date_ended", "editable": true, "editor": date_ended3784, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 19, "dataIndex": "duration", "editable": true, "editor": duration3785, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 20, "dataIndex": "reference_person", "editable": true, "editor": reference_person3786, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 21, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities3787, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 22, "dataIndex": "remark", "editable": true, "editor": remark3788, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "regime", "editable": true, "editor": regime3789, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule3790, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate3791, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate3792, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByJob.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByJob.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "job", "editable": true, "editor": job3797, "filter": { "type": "string" }, "header": "Stelle", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByJob.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByJob.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByJob.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByJob",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    Lino.jobs.ContractsByJob.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  return new Lino.jobs.ContractsByJob.insertPanel(p);
});
Lino.jobs.ContractsByJob.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByJob.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByJob",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByJob.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByJob.insert;
    Lino.jobs.ContractsByJob.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByJob.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  return new Lino.jobs.ContractsByJob.detailPanel(p);
});
Lino.jobs.ContractsByJob.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByJob" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByJob.GridPanel(p);
});
Lino.jobs.ContractsByJob.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByJob.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByJob", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsByRegime
Lino.jobs.ContractsByRegime.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsByRegime",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "client" }, 'clientHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "schedule" }, 'scheduleHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "regime" }, 'regimeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsByRegime','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    var ww = this.containing_window;
    var job6174 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/job" }) }) });
    var applies_from6175 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6176 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user6177 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/user" }) }) });
    var type6178 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/type" }) }) });
    var id6179 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16180 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/signer1" }) }) });
    var signer26181 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/signer2" }) }) });
    var company6182 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/company" }) }) });
    var contact_person6183 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/contact_person" }) }) });
    var contact_role6184 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/contact_role" }) }) });
    var printed_by6185 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var client6186 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/client" }) }) });
    var language6187 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided6188 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6189 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6190 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/user_asd" }) }) });
    var exam_policy6191 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/exam_policy" }) }) });
    var ending6192 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/ending" }) }) });
    var date_ended6193 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration6194 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/duration" }) }), "value": null });
    var reference_person6195 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6196 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6197 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var schedule6198 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/schedule" }) }) });
    var hourly_rate6199 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate6200 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/refund_rate" }) }) });
    var name_column_disp6201 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6202 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6203 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp6204 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var regime6205 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsByRegime/regime" }) }) });
    this.before_row_edit = function(record) {
      contact_person6183.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6196.refresh();
      overview_htmlbox6202.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6182 !== 'undefined' && company6182.on('change',Lino.chooser_handler(contact_person6183,'company'));
      Lino.jobs.ContractsByRegime.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job6174, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6175, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until6176, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6177, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6178, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6179, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16180, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26181, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6182, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6183, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6184, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "client", "editable": true, "editor": client6186, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language6187, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided6188, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued6189, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd6190, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6191, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending6192, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended6193, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration6194, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person6195, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6196, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark6197, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "schedule", "editable": true, "editor": schedule6198, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate6199, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate6200, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsByRegime.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsByRegime.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "regime", "editable": true, "editor": regime6205, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsByRegime.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsByRegime.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByRegime.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByRegime",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    Lino.jobs.ContractsByRegime.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  return new Lino.jobs.ContractsByRegime.insertPanel(p);
});
Lino.jobs.ContractsByRegime.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsByRegime.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsByRegime",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsByRegime.detail;
    this.ls_insert_handler = Lino.jobs.ContractsByRegime.insert;
    Lino.jobs.ContractsByRegime.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsByRegime.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  return new Lino.jobs.ContractsByRegime.detailPanel(p);
});
Lino.jobs.ContractsByRegime.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsByRegime" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsByRegime.GridPanel(p);
});
Lino.jobs.ContractsByRegime.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsByRegime.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsByRegime", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.ContractsBySchedule
Lino.jobs.ContractsBySchedule.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ContractsBySchedule",
  ls_store_fields : [ { "name": "job" }, 'jobHidden', { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "id", "type": "int" }, { "name": "signer1" }, 'signer1Hidden', { "name": "signer2" }, 'signer2Hidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "client" }, 'clientHidden', { "name": "language" }, 'languageHidden', { "dateFormat": "d.m.Y", "name": "date_decided", "type": "date" }, { "dateFormat": "d.m.Y", "name": "date_issued", "type": "date" }, { "name": "user_asd" }, 'user_asdHidden', { "name": "exam_policy" }, 'exam_policyHidden', { "name": "ending" }, 'endingHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "duration", "type": "int", "useNull": true }, { "name": "reference_person" }, { "name": "responsibilities" }, { "name": "remark" }, { "name": "regime" }, 'regimeHidden', { "name": "hourly_rate" }, { "name": "refund_rate" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "schedule" }, 'scheduleHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 98,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ContractsBySchedule','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Art.60\u00a77-Konventionen",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    var ww = this.containing_window;
    var job6889 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/job" }) }) });
    var applies_from6890 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var applies_until6891 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var user6892 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/user" }) }) });
    var type6893 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Art.60\u00a77-Konventionsart ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.ContractTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/type" }) }) });
    var id6894 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var signer16895 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/signer1" }) }) });
    var signer26896 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/signer2" }) }) });
    var company6897 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/company" }) }) });
    var contact_person6898 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/contact_person" }) }) });
    var contact_role6899 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/contact_role" }) }) });
    var printed_by6900 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var client6901 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/client" }) }) });
    var language6902 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var date_decided6903 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var date_issued6904 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user_asd6905 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/user_asd" }) }) });
    var exam_policy6906 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Auswertungsstrategie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ExamPolicies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/exam_policy" }) }) });
    var ending6907 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Beendigungsgrund ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "isip.ContractEndings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/ending" }) }) });
    var date_ended6908 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var duration6909 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/duration" }) }), "value": null });
    var reference_person6910 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var responsibilities6911 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Aufgabenbereich" });
    var remark6912 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var regime6913 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Arbeitsregime ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cv.Regimes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/regime" }) }) });
    var hourly_rate6914 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var refund_rate6915 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/refund_rate" }) }) });
    var name_column_disp6916 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox6917 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp6918 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp6919 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var schedule6920 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stundenplan ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "jobs.Schedules", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ContractsBySchedule/schedule" }) }) });
    this.before_row_edit = function(record) {
      contact_person6898.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      responsibilities6911.refresh();
      overview_htmlbox6917.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company6897 !== 'undefined' && company6897.on('change',Lino.chooser_handler(contact_person6898,'company'));
      Lino.jobs.ContractsBySchedule.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "job", "editable": true, "editor": job6889, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "applies_from", "editable": true, "editor": applies_from6890, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.applies_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "applies_until", "editable": true, "editor": applies_until6891, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit bis", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.applies_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user6892, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type6893, "filter": { "type": "string" }, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id6894, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "signer1", "editable": true, "editor": signer16895, "filter": { "type": "string" }, "header": "Sekret\u00e4r", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.signer1) ") }, "renderer": Lino.fk_renderer('signer1Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "signer2", "editable": true, "editor": signer26896, "filter": { "type": "string" }, "header": "Pr\u00e4sident", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.signer2) ") }, "renderer": Lino.fk_renderer('signer2Hidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company6897, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person6898, "filter": { "type": "string" }, "header": "Vertreten durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role6899, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "client", "editable": true, "editor": client6901, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language6902, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "date_decided", "editable": true, "editor": date_decided6903, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_decided) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 15, "dataIndex": "date_issued", "editable": true, "editor": date_issued6904, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausgestellt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_issued) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 16, "dataIndex": "user_asd", "editable": true, "editor": user_asd6905, "filter": { "type": "string" }, "header": "Verantwortlicher (ASD)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.user_asd) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "exam_policy", "editable": true, "editor": exam_policy6906, "filter": { "type": "string" }, "header": "Auswertungsstrategie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.exam_policy) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "ending", "editable": true, "editor": ending6907, "filter": { "type": "string" }, "header": "Beendigungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.ending) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "date_ended", "editable": true, "editor": date_ended6908, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 20, "dataIndex": "duration", "editable": true, "editor": duration6909, "filter": { "type": "string" }, "header": "Dauer (Arbeitstage)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.duration) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 21, "dataIndex": "reference_person", "editable": true, "editor": reference_person6910, "filter": { "type": "string" }, "header": "Referenzperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.reference_person) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "responsibilities", "editable": true, "editor": responsibilities6911, "filter": { "type": "string" }, "header": "Aufgabenbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.responsibilities) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 23, "dataIndex": "remark", "editable": true, "editor": remark6912, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 24, "dataIndex": "regime", "editable": true, "editor": regime6913, "filter": { "type": "string" }, "header": "Arbeitsregime", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.regime) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 25, "dataIndex": "hourly_rate", "editable": true, "editor": hourly_rate6914, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Stundensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.hourly_rate) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 26, "dataIndex": "refund_rate", "editable": true, "editor": refund_rate6915, "filter": { "type": "string" }, "header": "R\u00fcckzahlung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.refund_rate) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 27, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.name_column) ") }, "sortable": false, "tooltip": "(jobs.ContractsBySchedule.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 28, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.overview) ") }, "sortable": false, "tooltip": "(jobs.ContractsBySchedule.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 31, "dataIndex": "schedule", "editable": true, "editor": schedule6920, "filter": { "type": "string" }, "header": "Stundenplan", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.ContractsBySchedule.schedule) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ContractsBySchedule.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsBySchedule.insertPanel = Ext.extend(Lino.jobs.Contracts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsBySchedule",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    Lino.jobs.ContractsBySchedule.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  return new Lino.jobs.ContractsBySchedule.insertPanel(p);
});
Lino.jobs.ContractsBySchedule.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.jobs.ContractsBySchedule.detailPanel = Ext.extend(Lino.jobs.Contracts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Art.60\u00a77-Konvention) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Art.60\u00a77-Konvention", "overflowText": "Art.60\u00a77-Konvention", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('do_update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the automatic calendar entries controlled by\nthis generator.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_all_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_all_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerlisten aller offenen Kalendereintr\u00e4ge aktualisieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/jobs/ContractsBySchedule",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.jobs.ContractsBySchedule.detail;
    this.ls_insert_handler = Lino.jobs.ContractsBySchedule.insert;
    Lino.jobs.ContractsBySchedule.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ContractsBySchedule.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  return new Lino.jobs.ContractsBySchedule.detailPanel(p);
});
Lino.jobs.ContractsBySchedule.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.do_update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "do_update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ContractsBySchedule" };
  p.params_panel = new Lino.jobs.Contracts.ParamsPanel({});
  return new Lino.jobs.ContractsBySchedule.GridPanel(p);
});
Lino.jobs.ContractsBySchedule.update_all_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "GET", pk, "update_all_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ContractsBySchedule.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ContractsBySchedule", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class jobs.CandidaturesByPerson
Lino.jobs.CandidaturesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "job" }, 'jobHidden', { "name": "sector" }, 'sectorHidden', { "name": "function" }, 'functionHidden', { "name": "art60", "type": "boolean" }, { "name": "art61", "type": "boolean" }, { "name": "remark" }, { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Stellenanfragen",
  disabled_fields_index : 18,
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted2485 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var job2486 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/job" }) }) });
    var sector2487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sektor ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Sectors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/sector" }) }) });
    var function2488 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Berufsbezeichnung ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "cv.Functions", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/function" }) }) });
    var art602489 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var art612490 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var remark2491 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var state2492 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    var id2493 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp2494 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2495 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2496 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person2497 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      function2488.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      overview_htmlbox2495.refresh();
    };
    this.onRender = function(ct, position) {
      typeof sector2487 !== 'undefined' && sector2487.on('change',Lino.chooser_handler(function2488,'sector'));
      Lino.jobs.CandidaturesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted2485, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "job", "editable": true, "editor": job2486, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(26) }, { "colIndex": 2, "dataIndex": "sector", "editable": true, "editor": sector2487, "filter": { "type": "string" }, "header": "Sektor", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.sector) Pointer to the Sector.") }, "sortable": false, "tooltip": "Pointer to the Sector.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "function", "editable": true, "editor": function2488, "filter": { "type": "string" }, "header": "Berufsbezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.function) Pointer to the Function.") }, "sortable": false, "tooltip": "Pointer to the Function.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "art60", "editable": true, "filter": { "type": "boolean" }, "header": "Art.60", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art60) Whether an art.60 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.60 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "art61", "editable": true, "filter": { "type": "boolean" }, "header": "Art.61", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.art61) Whether an art.61 contract can satisfy this candidature.") }, "sortable": false, "tooltip": "Whether an art.61 contract can satisfy this candidature.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "remark", "editable": true, "editor": remark2491, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 7, "dataIndex": "state", "editable": true, "editor": state2492, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2493, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.name_column) ") }, "sortable": false, "tooltip": "(jobs.CandidaturesByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.overview) ") }, "sortable": false, "tooltip": "(jobs.CandidaturesByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 11, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "person", "editable": true, "editor": person2497, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.CandidaturesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByPerson" };
  p.params_panel = new Lino.jobs.Candidatures.ParamsPanel({});
  return new Lino.jobs.CandidaturesByPerson.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidaturesByOffer
Lino.jobs.CandidaturesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidaturesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "job" }, 'jobHidden', { "name": "state" }, 'stateHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 101,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidaturesByOffer','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidaten",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var date_submitted4991 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var person4992 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/person" }) }) });
    var job4993 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Stelle ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "jobs.Jobs", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/CandidaturesByOffer/job" }) }) });
    var state4994 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.jobs.CandidatureStates });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted4991, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.date_submitted) Datum wann der SA die Kandidatur erfasst hat.") }, "sortable": true, "tooltip": "Datum wann der SA die Kandidatur erfasst hat.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person4992, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "job", "editable": true, "editor": job4993, "filter": { "type": "string" }, "header": "Stelle", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.job) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "state", "editable": true, "editor": state4994, "filter": { "options": [ "Aktiv", "Probezeit", "Probezeit ohne Erfolg", "Arbeitet", "Inaktiv" ], "type": "list" }, "header": "Kandidatur-Zustand", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidaturesByOffer.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(25) } ];
    Lino.jobs.CandidaturesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidaturesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidaturesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidaturesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidaturesByOffer" };
  p.params_panel = new Lino.jobs.CandidaturesByOffer.ParamsPanel({});
  return new Lino.jobs.CandidaturesByOffer.GridPanel(p);
});

// js_render_GridPanel_class jobs.ExperiencesByOffer
Lino.jobs.ExperiencesByOffer.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/ExperiencesByOffer",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "person" }, 'personHidden', { "name": "company" }, { "name": "country" }, 'countryHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 89,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/ExperiencesByOffer','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erfahrungen",
  disabled_fields_index : 8,
  initComponent : function() {
    var ww = this.containing_window;
    var start_date4984 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date4985 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var person4986 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/person" }) }) });
    var company4987 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var country4988 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/jobs/ExperiencesByOffer/country" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date4984, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.start_date) When this entry started.") }, "sortable": true, "tooltip": "When this entry started.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "end_date", "editable": true, "editor": end_date4985, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.end_date) When this entry ended.") }, "sortable": true, "tooltip": "When this entry ended.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "person", "editable": true, "editor": person4986, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.person) The person to whom this entry applies.\nPointer to Plugin.person_model.") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The person to whom this entry applies.\nPointer to Plugin.person_model.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "company", "editable": true, "editor": company4987, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.company) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "country", "editable": true, "editor": country4988, "filter": { "type": "string" }, "header": "Land", "listeners": { "render": Lino.quicktip_renderer("","(jobs.ExperiencesByOffer.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.jobs.ExperiencesByOffer.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.ExperiencesByOffer.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/ExperiencesByOffer", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.ExperiencesByOffer.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/ExperiencesByOffer" };
  p.params_panel = new Lino.jobs.ExperiencesByOffer.ParamsPanel({});
  return new Lino.jobs.ExperiencesByOffer.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountsByPartner
Lino.sepa.AccountsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountsByPartner",
  ls_store_fields : [ { "name": "iban" }, { "name": "bic" }, { "name": "remark" }, { "name": "primary", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "account_type" }, 'account_typeHidden', { "name": "managed", "type": "boolean" }, { "name": "statements" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 66,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bankkonto) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  disabled_fields_index : 14,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByPartner.insert;
    var ww = this.containing_window;
    var iban3539 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic3540 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var remark3541 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var primary3542 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var id3543 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var account_type3544 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var managed3545 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var statements_disp3546 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp3547 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3548 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3549 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner3550 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/sepa/AccountsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox3548.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "iban", "editable": true, "editor": iban3539, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "bic", "editable": true, "editor": bic3540, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark3541, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.remark) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3543, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "account_type", "editable": true, "editor": account_type3544, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 6, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "statements", "editable": false, "header": "Kontoausz\u00fcge", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.statements) ") }, "sortable": false, "tooltip": "A virtual field which displays the date of the last imported\nstatement for this account. Clicking on this date will open\nthe B2C account <lino_xl.lib.b2c.models.Account> with same\nIBAN number.", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.name_column) ") }, "sortable": false, "tooltip": "(sepa.AccountsByPartner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 9, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.overview) ") }, "sortable": false, "tooltip": "(sepa.AccountsByPartner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 10, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 11, "dataIndex": "partner", "editable": true, "editor": partner3550, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByPartner.partner) Partner") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "Partner", "width": Lino.chars2width(21) } ];
    Lino.sepa.AccountsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.sepa.AccountsByPartner.insertPanel = Ext.extend(Lino.sepa.AccountsByPartner.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/sepa/AccountsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByPartner.insert;
    Lino.sepa.AccountsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/sepa/AccountsByPartner" };
  return new Lino.sepa.AccountsByPartner.insertPanel(p);
});
Lino.sepa.AccountsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountsByPartner" };
  return new Lino.sepa.AccountsByPartner.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountsByClient
Lino.sepa.AccountsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountsByClient",
  ls_store_fields : [ { "name": "account_type" }, 'account_typeHidden', { "name": "iban" }, { "name": "bic" }, { "name": "primary", "type": "boolean" }, { "name": "managed", "type": "boolean" }, { "name": "statements" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 66,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Bankkonto) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bankkonten",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByClient.insert;
    var ww = this.containing_window;
    var account_type1750 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.sepa.AccountTypes });
    var iban1751 = new Lino.UppercaseTextField({ "allowBlank": false, "maxLength": 34, "selectOnFocus": true });
    var bic1752 = new Lino.UppercaseTextField({ "allowBlank": true, "maxLength": 11, "selectOnFocus": true });
    var primary1753 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var managed1754 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var statements_disp1755 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account_type", "editable": true, "editor": account_type1750, "filter": { "options": [ "Giro", "Sparkonto", "Deposits", "Sonstige" ], "type": "list" }, "header": "Kontoart", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.account_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 1, "dataIndex": "iban", "editable": true, "editor": iban1751, "filter": { "type": "string" }, "header": "IBAN", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.iban) ") }, "renderer": Lino.iban_renderer, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "bic", "editable": true, "editor": bic1752, "filter": { "type": "string" }, "header": "BIC", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 3, "dataIndex": "primary", "editable": true, "filter": { "type": "boolean" }, "header": "Prim\u00e4r", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.primary) Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC") }, "sortable": false, "tooltip": "Enabling this field will automatically disable any previous primary account and update the partner's IBAN and BIC", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 4, "dataIndex": "managed", "editable": true, "filter": { "type": "boolean" }, "header": "Verwaltet", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.managed) Whether this account is being managed by the PCSW.") }, "sortable": false, "tooltip": "Whether this account is being managed by the PCSW.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "statements", "editable": false, "header": "Kontoausz\u00fcge", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountsByClient.statements) ") }, "sortable": false, "tooltip": "A virtual field which displays the date of the last imported\nstatement for this account. Clicking on this date will open\nthe B2C account <lino_xl.lib.b2c.models.Account> with same\nIBAN number.", "width": Lino.chars2width(31) } ];
    Lino.sepa.AccountsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.sepa.AccountsByClient.insertPanel = Ext.extend(Lino.sepa.AccountsByPartner.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/sepa/AccountsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_insert_handler = Lino.sepa.AccountsByClient.insert;
    Lino.sepa.AccountsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/sepa/AccountsByClient" };
  return new Lino.sepa.AccountsByClient.insertPanel(p);
});
Lino.sepa.AccountsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountsByClient" };
  return new Lino.sepa.AccountsByClient.GridPanel(p);
});

// js_render_GridPanel_class b2c.StatementsByAccount
Lino.b2c.StatementsByAccount.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/StatementsByAccount",
  ls_store_fields : [ { "name": "statement_number" }, { "name": "balance_start" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "balance_end" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "local_currency" }, { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "account" }, 'accountHidden' ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 68,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/StatementsByAccount','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoausz\u00fcge",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.StatementsByAccount.detail;
    var ww = this.containing_window;
    var statement_number4426 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(10), "maxLength": 10, "selectOnFocus": true });
    var balance_start4427 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date4428 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var balance_end4429 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var end_date4430 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var local_currency4431 = new Ext.form.TextField({ "allowBlank": false, "boxMinWidth": Lino.chars2width(3), "maxLength": 3, "selectOnFocus": true });
    var id4432 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp4433 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox4434 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp4435 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var account4436 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Importiertes  Bankkonto ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "b2c.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/StatementsByAccount/account" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox4434.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "statement_number", "editable": true, "editor": statement_number4426, "filter": { "type": "string" }, "header": "Auszugsnummer", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.statement_number) Combination of the year and the legal sequential number of the paper statement.") }, "sortable": true, "tooltip": "Combination of the year and the legal sequential number of the paper statement.", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 1, "dataIndex": "balance_start", "editable": true, "editor": balance_start4427, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Alter Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.balance_start) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date4428, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "balance_end", "editable": true, "editor": balance_end4429, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Neuer Saldo", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.balance_end) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date4430, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "local_currency", "editable": true, "editor": local_currency4431, "filter": { "type": "string" }, "header": "W\u00e4hrung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.local_currency) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(5) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id4432, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.name_column) ") }, "sortable": false, "tooltip": "(b2c.StatementsByAccount.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.overview) ") }, "sortable": false, "tooltip": "(b2c.StatementsByAccount.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 10, "dataIndex": "account", "editable": true, "editor": account4436, "filter": { "type": "string" }, "header": "Importiertes  Bankkonto", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.StatementsByAccount.account) ") }, "renderer": Lino.fk_renderer('accountHidden','Lino.b2c.Accounts.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.b2c.StatementsByAccount.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.StatementsByAccount.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.StatementsByAccount.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/StatementsByAccount", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.StatementsByAccount.detailPanel = Ext.extend(Lino.b2c.Statements.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/StatementsByAccount",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.StatementsByAccount.detail;
    Lino.b2c.StatementsByAccount.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.StatementsByAccount.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/StatementsByAccount" };
  return new Lino.b2c.StatementsByAccount.detailPanel(p);
});
Lino.b2c.StatementsByAccount.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/StatementsByAccount" };
  return new Lino.b2c.StatementsByAccount.GridPanel(p);
});

// js_render_GridPanel_class b2c.TransactionsByStatement
Lino.b2c.TransactionsByStatement.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/b2c/TransactionsByStatement",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "booking_date", "type": "date" }, { "name": "amount" }, { "name": "remote_html" }, { "name": "message_html" }, { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "remote_account" }, { "name": "remote_bic" }, { "name": "message" }, { "name": "eref" }, { "name": "remote_owner" }, { "name": "remote_owner_address" }, { "name": "remote_owner_city" }, { "name": "remote_owner_postalcode" }, { "name": "remote_owner_country_code" }, { "name": "txcd" }, { "name": "txcd_issuer" }, { "dateFormat": "d.m.Y", "name": "value_date", "type": "date" }, { "name": "txcd_text" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "statement" }, 'statementHidden' ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 69,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/b2c/TransactionsByStatement','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Transaktionen",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.TransactionsByStatement.detail;
    var ww = this.containing_window;
    var booking_date4463 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var amount4464 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var remote_html_disp4465 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var message_html_disp4466 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id4467 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno4468 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var remote_account4469 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 64, "selectOnFocus": true });
    var remote_bic4470 = new Lino.UppercaseTextField({ "allowBlank": true, "hidden": true, "maxLength": 11, "selectOnFocus": true });
    var message4471 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var eref4472 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner4473 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 128, "selectOnFocus": true });
    var remote_owner_address4474 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var remote_owner_city4475 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var remote_owner_postalcode4476 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var remote_owner_country_code4477 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(4), "hidden": true, "maxLength": 4, "selectOnFocus": true });
    var txcd4478 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 32, "selectOnFocus": true });
    var txcd_issuer4479 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 35, "selectOnFocus": true });
    var value_date4480 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var txcd_text_disp4481 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp4482 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox4483 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp4484 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var statement4485 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontoauszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "b2c.Statements", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/b2c/TransactionsByStatement/statement" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox4483.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "booking_date", "editable": true, "editor": booking_date4463, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Ausf\u00fchrungsdatum", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.booking_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": true, "editor": amount4464, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "remote_html", "editable": false, "header": "Gegenpartei", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_html) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.remote_html) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "message_html", "editable": false, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.message_html) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.message_html) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id4467, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "seqno", "editable": true, "editor": seqno4468, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.seqno) The sequence number of this transaction in the statement.") }, "sortable": true, "tooltip": "The sequence number of this transaction in the statement.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "remote_account", "editable": true, "editor": remote_account4469, "filter": { "type": "string" }, "header": "IBAN", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_account) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "remote_bic", "editable": true, "editor": remote_bic4470, "filter": { "type": "string" }, "header": "BIC", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_bic) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13) }, { "colIndex": 8, "dataIndex": "message", "editable": true, "editor": message4471, "filter": { "type": "string" }, "header": "Meldung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.message) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "eref", "editable": true, "editor": eref4472, "filter": { "type": "string" }, "header": "End to end reference", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.eref) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "remote_owner", "editable": true, "editor": remote_owner4473, "filter": { "type": "string" }, "header": "Name Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 11, "dataIndex": "remote_owner_address", "editable": true, "editor": remote_owner_address4474, "filter": { "type": "string" }, "header": "Adresse Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_address) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "remote_owner_city", "editable": true, "editor": remote_owner_city4475, "filter": { "type": "string" }, "header": "Stadt Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_city) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "remote_owner_postalcode", "editable": true, "editor": remote_owner_postalcode4476, "filter": { "type": "string" }, "header": "PLZ Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_postalcode) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "remote_owner_country_code", "editable": true, "editor": remote_owner_country_code4477, "filter": { "type": "string" }, "header": "Land Gegenpartei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.remote_owner_country_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 15, "dataIndex": "txcd", "editable": true, "editor": txcd4478, "filter": { "type": "string" }, "header": "Transfer-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "txcd_issuer", "editable": true, "editor": txcd_issuer4479, "filter": { "type": "string" }, "header": "TxCd issuer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd_issuer) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "value_date", "editable": true, "editor": value_date4480, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Valuta", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.value_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 18, "dataIndex": "txcd_text", "editable": false, "header": "Transaktionscode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.txcd_text) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.txcd_text) ", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.name_column) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 20, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.overview) ") }, "sortable": false, "tooltip": "(b2c.TransactionsByStatement.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "statement", "editable": true, "editor": statement4485, "filter": { "type": "string" }, "header": "Kontoauszug", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(b2c.TransactionsByStatement.statement) ") }, "renderer": Lino.fk_renderer('statementHidden','Lino.b2c.Statements.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.b2c.TransactionsByStatement.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.TransactionsByStatement.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.b2c.TransactionsByStatement.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/b2c/TransactionsByStatement", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.b2c.TransactionsByStatement.detailPanel = Ext.extend(Lino.b2c.Transactions.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/b2c/TransactionsByStatement",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.b2c.TransactionsByStatement.detail;
    Lino.b2c.TransactionsByStatement.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.b2c.TransactionsByStatement.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/TransactionsByStatement" };
  return new Lino.b2c.TransactionsByStatement.detailPanel(p);
});
Lino.b2c.TransactionsByStatement.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/b2c/TransactionsByStatement" };
  return new Lino.b2c.TransactionsByStatement.GridPanel(p);
});

// js_render_GridPanel_class users.AuthoritiesGiven
Lino.users.AuthoritiesGiven.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesGiven",
  ls_store_fields : [ { "name": "authorized" }, 'authorizedHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesGiven','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erteilte Vollmachten",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var authorized1544 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesGiven/authorized" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      authorized1544.setContextValue('mk',bp['mk']);
      authorized1544.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "authorized", "editable": true, "editor": authorized1544, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesGiven.authorized) The user who gets the right to represent the author") }, "sortable": false, "tooltip": "The user who gets the right to represent the author", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesGiven.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesGiven.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesGiven", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesGiven.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesGiven" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesGiven.GridPanel(p);
});

// js_render_GridPanel_class users.AuthoritiesTaken
Lino.users.AuthoritiesTaken.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/users/AuthoritiesTaken",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 10,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/users/AuthoritiesTaken','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Erhaltene Vollmachten",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var user1549 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/users/AuthoritiesTaken/user" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user1549, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(users.AuthoritiesTaken.user) The user who gives the right of representation. author of this\nauthority") }, "sortable": false, "tooltip": "The user who gives the right of representation. author of this\nauthority", "width": Lino.chars2width(21) } ];
    Lino.users.AuthoritiesTaken.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.users.AuthoritiesTaken.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/users/AuthoritiesTaken", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.users.AuthoritiesTaken.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/users/AuthoritiesTaken" };
  p.params_panel = new Lino.users.Authorities.ParamsPanel({});
  return new Lino.users.AuthoritiesTaken.GridPanel(p);
});

// js_render_GridPanel_class xcourses.CourseRequestsByPerson
Lino.xcourses.CourseRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestsByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date_submitted", "type": "date" }, { "name": "content" }, 'contentHidden', { "name": "offer" }, 'offerHidden', { "name": "course" }, 'courseHidden', { "name": "urgent", "type": "boolean" }, { "name": "state" }, 'stateHidden', { "dateFormat": "d.m.Y", "name": "date_ended", "type": "date" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 12,
  content_type : 110,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kursanfragen",
  disabled_fields_index : 13,
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByPerson.detail;
    var ww = this.containing_window;
    var date_submitted2070 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var content2071 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kursinhalt ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseContents", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/content" }) }) });
    var offer2072 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kursangebot ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.CourseOffers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/offer" }) }) });
    var course2073 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kurs ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "xcourses.Courses", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/xcourses/CourseRequestsByPerson/course" }) }) });
    var urgent2074 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var state2075 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.xcourses.CourseRequestStates });
    var date_ended2076 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var remark2077 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id2078 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      offer2072.setContextValue('content', record ? record.data['contentHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof content2071 !== 'undefined' && content2071.on('change',Lino.chooser_handler(offer2072,'content'));
      Lino.xcourses.CourseRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date_submitted", "editable": true, "editor": date_submitted2070, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Anfragedatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.date_submitted) Datum, an dem die Anfrage erstellt wurde.") }, "sortable": true, "tooltip": "Datum, an dem die Anfrage erstellt wurde.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "content", "editable": true, "editor": content2071, "filter": { "type": "string" }, "header": "Kursinhalt", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.content) Der gew\u00fcnschte Kursinhalt.)") }, "sortable": false, "tooltip": "Der gew\u00fcnschte Kursinhalt.)", "width": Lino.chars2width(16) }, { "colIndex": 2, "dataIndex": "offer", "editable": true, "editor": offer2072, "filter": { "type": "string" }, "header": "Kursangebot", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.offer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "colIndex": 3, "dataIndex": "course", "editable": true, "editor": course2073, "filter": { "type": "string" }, "header": "Kurs gefunden", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.course) The course which satisfies this request. Leave blank on open requests.") }, "sortable": false, "tooltip": "The course which satisfies this request. Leave blank on open requests.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "urgent", "editable": true, "filter": { "type": "boolean" }, "header": "professionelle Eingliederung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.urgent) Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.") }, "sortable": false, "tooltip": "Ankreuzen, wenn der Kurs f\u00fcr die Arbeitssuche ben\u00f6tigt wird.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "state", "editable": true, "editor": state2075, "filter": { "options": [ "Offen", "Eingetragen", "Bestanden", "Gut bestanden", "Nicht bestanden", "Abgebrochen", "Inaktiv" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.state) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 6, "dataIndex": "date_ended", "editable": true, "editor": date_ended2076, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.date_ended) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "remark", "editable": true, "editor": remark2077, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(16) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id2078, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.xcourses.CourseRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.xcourses.CourseRequestsByPerson.detailPanel = Ext.extend(Lino.xcourses.CourseRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/xcourses/CourseRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.xcourses.CourseRequestsByPerson.detail;
    Lino.xcourses.CourseRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByPerson" };
  return new Lino.xcourses.CourseRequestsByPerson.detailPanel(p);
});
Lino.xcourses.CourseRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestsByPerson" };
  p.params_panel = new Lino.xcourses.CourseRequests.ParamsPanel({});
  return new Lino.xcourses.CourseRequestsByPerson.GridPanel(p);
});
Lino.xcourses.CourseRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf5 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf5", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestsByPerson.wf6 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestsByPerson", "GET", pk, "wf6", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.CompetencesByUser
Lino.newcomers.CompetencesByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/CompetencesByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 113,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/CompetencesByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kompetenzen",
  disabled_fields_index : 11,
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1641 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty1642 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/faculty" }) }) });
    var weight1643 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id1644 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp1645 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1646 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp1647 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp1648 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var user1649 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/CompetencesByUser/user" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox1646.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1641, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty1642, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.faculty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight1643, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1644, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.name_column) ") }, "sortable": false, "tooltip": "(newcomers.CompetencesByUser.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.overview) ") }, "sortable": false, "tooltip": "(newcomers.CompetencesByUser.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user1649, "filter": { "type": "string" }, "header": "Benutzer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.CompetencesByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.CompetencesByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.CompetencesByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/CompetencesByUser" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.CompetencesByUser.GridPanel(p);
});
Lino.newcomers.CompetencesByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.CompetencesByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/CompetencesByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.MyCompetences
Lino.newcomers.MyCompetences.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/MyCompetences",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "faculty" }, 'facultyHidden', { "name": "weight", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 113,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/MyCompetences','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Meine Kompetenzen",
  disabled_fields_index : 11,
  initComponent : function() {
    var ww = this.containing_window;
    var seqno9231 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var faculty9232 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Fachbereich ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/faculty" }) }) });
    var weight9233 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var id9234 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp9235 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9236 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9237 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp9238 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var user9239 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/MyCompetences/user" }) }) });
    this.before_row_edit = function(record) {
      overview_htmlbox9236.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno9231, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "faculty", "editable": true, "editor": faculty9232, "filter": { "type": "string" }, "header": "Fachbereich", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.faculty) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 2, "dataIndex": "weight", "editable": true, "editor": weight9233, "filter": { "type": "numeric" }, "format": "0", "header": "Aufwand", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.weight) Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).") }, "sortable": true, "tooltip": "Wieviel Aufwand mir pers\u00f6nlich ein Neuantrag in diesem Fachbereich verursacht\n(0 = gar kein Aufwand, 10 = maximaler Aufwand).", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9234, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.name_column) ") }, "sortable": false, "tooltip": "(newcomers.MyCompetences.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 5, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.overview) ") }, "sortable": false, "tooltip": "(newcomers.MyCompetences.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user9239, "filter": { "type": "string" }, "header": "Benutzer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.MyCompetences.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.MyCompetences.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.MyCompetences.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/MyCompetences" };
  p.params_panel = new Lino.newcomers.Competences.ParamsPanel({});
  return new Lino.newcomers.MyCompetences.GridPanel(p);
});
Lino.newcomers.MyCompetences.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.MyCompetences.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/MyCompetences", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.ClientsByFaculty
Lino.newcomers.ClientsByFaculty.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/ClientsByFaculty",
  ls_store_fields : [ { "name": "name_column" }, { "name": "broker" }, 'brokerHidden', { "name": "address_column" }, { "name": "id", "type": "int" }, { "name": "email" }, { "name": "language" }, 'languageHidden', { "name": "url" }, { "name": "phone" }, { "name": "gsm" }, { "name": "fax" }, { "name": "modified" }, { "name": "created" }, { "name": "country" }, 'countryHidden', { "name": "city" }, 'cityHidden', { "name": "zip_code" }, { "name": "region" }, 'regionHidden', { "name": "addr1" }, { "name": "street_prefix" }, { "name": "street" }, { "name": "street_no" }, { "name": "street_box" }, { "name": "addr2" }, { "name": "prefix" }, { "name": "name" }, { "name": "remarks" }, { "name": "is_obsolete", "type": "boolean" }, { "name": "activity" }, 'activityHidden', { "name": "client_contact_type" }, 'client_contact_typeHidden', { "name": "payment_term" }, 'payment_termHidden', { "name": "title" }, { "name": "first_name" }, { "name": "middle_name" }, { "name": "last_name" }, { "name": "gender" }, 'genderHidden', { "name": "birth_date" }, { "name": "client_state" }, 'client_stateHidden', { "name": "national_id" }, { "name": "nationality" }, 'nationalityHidden', { "name": "birth_country" }, 'birth_countryHidden', { "name": "birth_place" }, { "name": "card_number" }, { "dateFormat": "d.m.Y", "name": "card_valid_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "card_valid_until", "type": "date" }, { "name": "card_type" }, 'card_typeHidden', { "name": "card_issuer" }, { "name": "nationality_text" }, { "name": "noble_condition" }, { "name": "group" }, 'groupHidden', { "name": "civil_state" }, 'civil_stateHidden', { "name": "residence_type" }, 'residence_typeHidden', { "dateFormat": "d.m.Y", "name": "in_belgium_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "residence_until", "type": "date" }, { "dateFormat": "d.m.Y", "name": "unemployed_since", "type": "date" }, { "dateFormat": "d.m.Y", "name": "seeking_since", "type": "date" }, { "name": "needs_residence_permit", "type": "boolean" }, { "name": "needs_work_permit", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "work_permit_suspended_until", "type": "date" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "declared_name", "type": "boolean" }, { "name": "is_seeking", "type": "boolean" }, { "dateFormat": "d.m.Y", "name": "unavailable_until", "type": "date" }, { "name": "unavailable_why" }, { "name": "obstacles" }, { "name": "skills" }, { "name": "job_office_contact" }, 'job_office_contactHidden', { "name": "refusal_reason" }, 'refusal_reasonHidden', { "name": "remarks2" }, { "name": "gesdos_id" }, { "name": "tim_id" }, { "name": "is_cpas", "type": "boolean" }, { "name": "is_senior", "type": "boolean" }, { "name": "health_insurance" }, 'health_insuranceHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "income_ag", "type": "boolean" }, { "name": "income_wg", "type": "boolean" }, { "name": "income_kg", "type": "boolean" }, { "name": "income_rente", "type": "boolean" }, { "name": "income_misc", "type": "boolean" }, { "name": "job_agents" }, { "name": "has_esf", "type": "boolean" }, { "name": "overview" }, { "name": "cvs_emitted" }, { "name": "id_document" }, { "dateFormat": "d.m.Y", "name": "applies_from", "type": "date" }, { "dateFormat": "d.m.Y", "name": "applies_until", "type": "date" }, { "name": "contract_company" }, 'contract_companyHidden', { "name": "active_contract" }, { "name": "cbss_relations" }, { "name": "workflow_buttons" }, { "name": "contact_details" }, { "name": "mti_navigator" }, { "name": "municipality" }, 'municipalityHidden', { "name": "created_natural" }, { "name": "age" }, { "name": "cbss_summary" }, { "name": "cbss_identify_person" }, { "name": "cbss_manage_access" }, { "name": "cbss_retrieve_ti_groups" }, { "name": "language_knowledge" }, { "name": "mother_tongues" }, { "name": "cef_level_de" }, { "name": "cef_level_fr" }, { "name": "cef_level_en" }, { "name": "eid_info" }, { "name": "image" }, { "name": "primary_coach" }, { "name": "coaches" }, { "name": "find_appointment" }, { "name": "faculty" }, 'facultyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" }, { "name": "row_class" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 7,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "print_labels", "menu_item_text": "Etiketten", "overflowText": "Etiketten", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','print_labels','GET',Lino.get_current_grid_config), "text": "Etiketten", "tooltip": "Add this action to your table, which is expected to execute on a\nmodel which implements\nAddressable.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klienten",
  disabled_fields_index : 133,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    var ww = this.containing_window;
    var name_column_disp1301 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var broker1302 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Vermittler ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "newcomers.Brokers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/broker" }) }) });
    var address_column_disp1303 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1304 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var email1305 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 254, "selectOnFocus": true });
    var language1306 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var url1307 = new Lino.URLField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var phone1308 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gsm1309 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var fax1310 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var modified1311 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created1312 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var country1313 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/country" }) }) });
    var city1314 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Ort ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/city" }) }) });
    var zip_code1315 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var region1316 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Ort ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Places", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/region" }) }) });
    var addr11317 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_prefix1318 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street1319 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var street_no1320 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var street_box1321 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var addr21322 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var prefix1323 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var name1324 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remarks1325 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var is_obsolete1326 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var activity1327 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Beruf ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.Activities", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/activity" }) }) });
    var client_contact_type1328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/client_contact_type" }) }) });
    var payment_term1329 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Zahlungsbedingungen ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "ledger.PaymentTerms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/payment_term" }) }) });
    var title1330 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var first_name1331 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name1332 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name1333 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender1334 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var birth_date1335 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var client_state1336 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.clients.ClientStates });
    var national_id1337 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var nationality1338 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/nationality" }) }) });
    var birth_country1339 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Land ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "countries.Countries", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/birth_country" }) }) });
    var birth_place1340 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var card_number1341 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var card_valid_from1342 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_valid_until1343 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var card_type1344 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.BeIdCardTypes) });
    var card_issuer1345 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var nationality_text1346 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var noble_condition1347 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 50, "selectOnFocus": true });
    var group1348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Integrationsphase ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.PersonGroups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/group" }) }) });
    var civil_state1349 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.contacts.CivilStates) });
    var residence_type1350 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.beid.ResidenceTypes) });
    var in_belgium_since1351 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var residence_until1352 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unemployed_since1353 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seeking_since1354 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var needs_residence_permit1355 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var needs_work_permit1356 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var work_permit_suspended_until1357 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var aid_type1358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Sozialhilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "pcsw.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/aid_type" }) }) });
    var declared_name1359 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_seeking1360 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var unavailable_until1361 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var unavailable_why1362 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var obstacles1363 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var skills1364 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var job_office_contact1365 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Kontaktperson ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.Roles", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/job_office_contact" }) }) });
    var refusal_reason1366 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.pcsw.RefusalReasons) });
    var remarks21367 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var gesdos_id1368 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 40, "selectOnFocus": true });
    var tim_id1369 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var is_cpas1370 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var is_senior1371 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var health_insurance1372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/health_insurance" }) }) });
    var pharmacy1373 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/pharmacy" }) }) });
    var income_ag1374 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_wg1375 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_kg1376 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_rente1377 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var income_misc1378 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var job_agents1379 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 100, "selectOnFocus": true });
    var has_esf1380 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var overview_htmlbox1381 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var cvs_emitted_disp1382 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var id_document_disp1383 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var applies_from1384 = new Lino.DateField({ "disabled": true, "hidden": true });
    var applies_until1385 = new Lino.DateField({ "disabled": true, "hidden": true });
    var contract_company1386 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies" });
    var active_contract_disp1387 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_relations_htmlbox1388 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "cbss_relations", "title": "ZDSS", "value": "<br/>" });
    var workflow_buttons_disp1389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_details_disp1390 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var mti_navigator_disp1391 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var municipality1392 = new Lino.RemoteComboFieldElement({ "can_create_choice": false, "disabled": true, "hidden": true });
    var created_natural_disp1393 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var age_disp1394 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_summary_htmlbox1395 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "cbss_summary", "title": "Zusammenfassung ZDSS", "value": "<br/>" });
    var cbss_identify_person_disp1396 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_manage_access_disp1397 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cbss_retrieve_ti_groups_disp1398 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var language_knowledge_htmlbox1399 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "language_knowledge", "title": "Sprachkenntnis", "value": "<br/>" });
    var mother_tongues_disp1400 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_de_disp1401 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_fr_disp1402 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var cef_level_en_disp1403 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var eid_info_disp1404 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var image_htmlbox1405 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "image", "value": "<br/>" });
    var primary_coach_disp1406 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var coaches_disp1407 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var find_appointment_disp1408 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var faculty1409 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Fachbereich ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "newcomers.Faculties", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/newcomers/ClientsByFaculty/faculty" }) }) });
    this.before_row_edit = function(record) {
      city1314.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      city1314.setContextValue('region', record ? record.data['regionHidden'] : undefined);
      region1316.setContextValue('country', record ? record.data['countryHidden'] : undefined);
      overview_htmlbox1381.refresh();
      cbss_relations_htmlbox1388.refresh();
      cbss_summary_htmlbox1395.refresh();
      language_knowledge_htmlbox1399.refresh();
      image_htmlbox1405.refresh();
    };
    this.onRender = function(ct, position) {
      typeof country1313 !== 'undefined' && country1313.on('change',Lino.chooser_handler(city1314,'country'));
      typeof region1316 !== 'undefined' && region1316.on('change',Lino.chooser_handler(city1314,'region'));
      typeof country1313 !== 'undefined' && country1313.on('change',Lino.chooser_handler(region1316,'country'));
      Lino.newcomers.ClientsByFaculty.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "broker", "editable": true, "editor": broker1302, "filter": { "type": "string" }, "header": "Vermittler", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.broker) The Broker who sent this Newcomer.") }, "sortable": false, "tooltip": "The Broker who sent this Newcomer.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "address_column", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.address_column) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.address_column) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id1304, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "email", "editable": true, "editor": email1305, "filter": { "type": "string" }, "header": "E-Mail-Adresse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.email) The primary email address.") }, "sortable": true, "tooltip": "The primary email address.", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "language", "editable": true, "editor": language1306, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.language) The language to use when communicating with this partner.") }, "sortable": false, "tooltip": "The language to use when communicating with this partner.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "url", "editable": true, "editor": url1307, "filter": { "type": "string" }, "header": "Adresse (URL)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.url) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "phone", "editable": true, "editor": phone1308, "filter": { "type": "string" }, "header": "Telefon", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.phone) The primary phone number.") }, "sortable": true, "tooltip": "The primary phone number.", "width": Lino.chars2width(22) }, { "colIndex": 8, "dataIndex": "gsm", "editable": true, "editor": gsm1309, "filter": { "type": "string" }, "header": "GSM", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gsm) The primary mobile phone number.") }, "sortable": true, "tooltip": "The primary mobile phone number.", "width": Lino.chars2width(22) }, { "colIndex": 9, "dataIndex": "fax", "editable": true, "editor": fax1310, "filter": { "type": "string" }, "header": "Fax", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.fax) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 10, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 11, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 12, "dataIndex": "country", "editable": true, "editor": country1313, "filter": { "type": "string" }, "header": "Land", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "city", "editable": true, "editor": city1314, "filter": { "type": "string" }, "header": "Ortschaft", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.city) Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.") }, "sortable": false, "tooltip": "Die Ortschaft, d.h. \u00fcblicherweise das Dorf oder die Stadt.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "zip_code", "editable": true, "editor": zip_code1315, "filter": { "type": "string" }, "header": "Postleitzahl", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.zip_code) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "region", "editable": true, "editor": region1316, "filter": { "type": "string" }, "header": "Regierungsbezirk", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.region) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "addr1", "editable": true, "editor": addr11317, "filter": { "type": "string" }, "header": "Adresszeile vor Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr1) Adresszeile vor Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile vor Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "street_prefix", "editable": true, "editor": street_prefix1318, "filter": { "type": "string" }, "header": "Pr\u00e4fix Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_prefix) Text to print before name of street, but to ignore for sorting.") }, "sortable": true, "tooltip": "Text to print before name of street, but to ignore for sorting.", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "street", "editable": true, "editor": street1319, "filter": { "type": "string" }, "header": "Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street) Name der Stra\u00dfe, ohne Hausnummer") }, "sortable": true, "tooltip": "Name der Stra\u00dfe, ohne Hausnummer", "width": Lino.chars2width(22) }, { "colIndex": 19, "dataIndex": "street_no", "editable": true, "editor": street_no1320, "filter": { "type": "string" }, "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_no) Hausnummer") }, "sortable": true, "tooltip": "Hausnummer", "width": Lino.chars2width(12) }, { "colIndex": 20, "dataIndex": "street_box", "editable": true, "editor": street_box1321, "filter": { "type": "string" }, "header": "Box", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.street_box) Text to print after street number on the same line.") }, "sortable": true, "tooltip": "Text to print after street number on the same line.", "width": Lino.chars2width(12) }, { "colIndex": 21, "dataIndex": "addr2", "editable": true, "editor": addr21322, "filter": { "type": "string" }, "header": "Adresszeile nach Stra\u00dfe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.addr2) Adresszeile nach Stra\u00dfe") }, "sortable": true, "tooltip": "Adresszeile nach Stra\u00dfe", "width": Lino.chars2width(22) }, { "colIndex": 22, "dataIndex": "prefix", "editable": true, "editor": prefix1323, "filter": { "type": "string" }, "header": "Name prefix", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.prefix) An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.") }, "sortable": true, "tooltip": "An optional name prefix. For organisations this is inserted\nbefore the name, for persons this is inserted between first\nname and last name.", "width": Lino.chars2width(22) }, { "colIndex": 23, "dataIndex": "name", "editable": true, "editor": name1324, "filter": { "type": "string" }, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.name) The full name of this partner. Used for alphabetic sorting.") }, "sortable": true, "tooltip": "The full name of this partner. Used for alphabetic sorting.", "width": Lino.chars2width(22) }, { "colIndex": 24, "dataIndex": "remarks", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 25, "dataIndex": "is_obsolete", "editable": true, "filter": { "type": "boolean" }, "header": "veraltet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_obsolete) Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.") }, "sortable": false, "tooltip": "Altf\u00e4lle sind Partner, deren Stammdaten nicht mehr gepflegt werden und\nf\u00fcr neue Operationen nicht benutzt werden k\u00f6nnen.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 26, "dataIndex": "activity", "editable": true, "editor": activity1327, "filter": { "type": "string" }, "header": "Beruf", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.activity) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 27, "dataIndex": "client_contact_type", "editable": true, "editor": client_contact_type1328, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_contact_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 28, "dataIndex": "payment_term", "editable": true, "editor": payment_term1329, "filter": { "type": "string" }, "header": "Zahlungsbedingungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.payment_term) The default payment term for sales invoices to this customer.") }, "sortable": false, "tooltip": "The default payment term for sales invoices to this customer.", "width": Lino.chars2width(21) }, { "colIndex": 29, "dataIndex": "title", "editable": true, "editor": title1330, "filter": { "type": "string" }, "header": "Titel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.title) Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"") }, "sortable": true, "tooltip": "Eventuelle berufliche Position oder akademischer Titel, z.B. \"Dr.\" oder \"Prof.\"", "width": Lino.chars2width(22) }, { "colIndex": 30, "dataIndex": "first_name", "editable": true, "editor": first_name1331, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.first_name) The first name, also known as given name.") }, "sortable": true, "tooltip": "The first name, also known as given name.", "width": Lino.chars2width(22) }, { "colIndex": 31, "dataIndex": "middle_name", "editable": true, "editor": middle_name1332, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.middle_name) A space-separated list of all middle names.") }, "sortable": true, "tooltip": "A space-separated list of all middle names.", "width": Lino.chars2width(22) }, { "colIndex": 32, "dataIndex": "last_name", "editable": true, "editor": last_name1333, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.last_name) The last name, also known as family name.") }, "sortable": true, "tooltip": "The last name, also known as family name.", "width": Lino.chars2width(22) }, { "colIndex": 33, "dataIndex": "gender", "editable": true, "editor": gender1334, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gender) The sex of this person (male or female).") }, "sortable": false, "tooltip": "The sex of this person (male or female).", "width": Lino.chars2width(12) }, { "colIndex": 34, "dataIndex": "birth_date", "editable": true, "editor": birth_date1335, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 35, "dataIndex": "client_state", "editable": true, "editor": client_state1336, "filter": { "options": [ "Neuantrag", "Abgelehnt", "Begleitet", "Ehemalig" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.client_state) Pointer to ClientStates.") }, "sortable": false, "tooltip": "Pointer to ClientStates.", "width": Lino.chars2width(13) }, { "colIndex": 36, "dataIndex": "national_id", "editable": true, "editor": national_id1337, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.national_id) The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.") }, "sortable": true, "tooltip": "The SSIN. It is a nullable char field declared unique. It\nis not validated directly because that would cause problems\nwith legacy data where SSINs need manual control. See also\nBeIdCardHolderChecker.", "width": Lino.chars2width(22) }, { "colIndex": 37, "dataIndex": "nationality", "editable": true, "editor": nationality1338, "filter": { "type": "string" }, "header": "Staatsangeh\u00f6rigkeit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality) The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.") }, "sortable": false, "tooltip": "The nationality. This is a pointer to\ncountries.Country which should\ncontain also entries for refugee statuses.", "width": Lino.chars2width(21) }, { "colIndex": 38, "dataIndex": "birth_country", "editable": true, "editor": birth_country1339, "filter": { "type": "string" }, "header": "Geburtsland", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_country) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 39, "dataIndex": "birth_place", "editable": true, "editor": birth_place1340, "filter": { "type": "string" }, "header": "Geburtsort", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.birth_place) The birth place in plain text as it was on the eid card.") }, "sortable": true, "tooltip": "The birth place in plain text as it was on the eid card.", "width": Lino.chars2width(22) }, { "colIndex": 40, "dataIndex": "card_number", "editable": true, "editor": card_number1341, "filter": { "type": "string" }, "header": "eID-Kartennummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_number) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 41, "dataIndex": "card_valid_from", "editable": true, "editor": card_valid_from1342, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "ID-Karte g\u00fcltig von", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_from) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 42, "dataIndex": "card_valid_until", "editable": true, "editor": card_valid_until1343, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_valid_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 43, "dataIndex": "card_type", "editable": true, "editor": card_type1344, "filter": { "options": [ "Belgischer Staatsb\u00fcrger", "Kind unter 12 Jahren", "A (Bescheinigung der Eintragung im Ausl\u00e4nderregister - Vor\u00fcbergehender Aufenthalt)", "B (Bescheinigung der Eintragung im Ausl\u00e4nderregister)", "C (Personalausweis f\u00fcr Ausl\u00e4nder)", "D (Daueraufenthalt - EG)", "E (Anmeldebescheinigung)", "E+", "F (Aufenthaltskarte f\u00fcr Familienangeh\u00f6rige eines Unionsb\u00fcrgers)", "F+", "Eintragungsbescheinigung (Orange Karte)" ], "type": "list" }, "header": "eID-Kartenart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_type) The type of id card.") }, "sortable": false, "tooltip": "The type of id card.", "width": Lino.chars2width(86) }, { "colIndex": 44, "dataIndex": "card_issuer", "editable": true, "editor": card_issuer1345, "filter": { "type": "string" }, "header": "eID-Karte ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.card_issuer) The administration who issued this ID card.") }, "sortable": true, "tooltip": "The administration who issued this ID card.", "width": Lino.chars2width(22) }, { "colIndex": 45, "dataIndex": "nationality_text", "editable": true, "editor": nationality_text1346, "filter": { "type": "string" }, "header": "Nationality (text)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.nationality_text) The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.") }, "sortable": true, "tooltip": "The nationality in plain text as it was on the eid card. For a French\ncitizen the value on the eid card can be \"Fran\u00e7ais\", \"Fran\u00e7aise\", \"Frans\",\n\"Franzose\", \"Franz\u00f6sin\", \"French\" depending on the sex and the issuing\nmunicipality.  This field is just informative, Lino does not automatically\nmap it to the nationality field.", "width": Lino.chars2width(22) }, { "colIndex": 46, "dataIndex": "noble_condition", "editable": true, "editor": noble_condition1347, "filter": { "type": "string" }, "header": "Adelstitel", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.noble_condition) Eventueller Adelstitel") }, "sortable": true, "tooltip": "Eventueller Adelstitel", "width": Lino.chars2width(22) }, { "colIndex": 47, "dataIndex": "group", "editable": true, "editor": group1348, "filter": { "type": "string" }, "header": "Integrationsphase", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.group) Pointer to PersonGroup.\nThe intergration phase of this client.") }, "sortable": false, "tooltip": "Pointer to PersonGroup.\nThe intergration phase of this client.", "width": Lino.chars2width(21) }, { "colIndex": 48, "dataIndex": "civil_state", "editable": true, "editor": civil_state1349, "filter": { "options": [ "Ledig", "Verheiratet", "Verwitwet", "Geschieden", "Getrennt von Tisch und Bett", "Faktisch getrennt", "Zusammenwohnend" ], "type": "list" }, "header": "Zivilstand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.civil_state) The civil state of this client. Allowed choices are defined in\nCivilState.") }, "sortable": false, "tooltip": "The civil state of this client. Allowed choices are defined in\nCivilState.", "width": Lino.chars2width(31) }, { "colIndex": 49, "dataIndex": "residence_type", "editable": true, "editor": residence_type1350, "filter": { "options": [ "Bev\u00f6lkerungsregister", "Fremdenregister", "Warteregister" ], "type": "list" }, "header": "Einwohnerregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 50, "dataIndex": "in_belgium_since", "editable": true, "editor": in_belgium_since1351, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Lebt in Belgien seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.in_belgium_since) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 51, "dataIndex": "residence_until", "editable": true, "editor": residence_until1352, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Residence until", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.residence_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 52, "dataIndex": "unemployed_since", "editable": true, "editor": unemployed_since1353, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Arbeitslos seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unemployed_since) Since when the client has not been employed in any regular job.") }, "sortable": true, "tooltip": "Since when the client has not been employed in any regular job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 53, "dataIndex": "seeking_since", "editable": true, "editor": seeking_since1354, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Sucht Arbeit seit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.seeking_since) Since when the client is seeking for a job.") }, "sortable": true, "tooltip": "Since when the client is seeking for a job.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 54, "dataIndex": "needs_residence_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Aufenthaltserlaubnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_residence_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 55, "dataIndex": "needs_work_permit", "editable": true, "filter": { "type": "boolean" }, "header": "Braucht Arb.Erl.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.needs_work_permit) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 56, "dataIndex": "work_permit_suspended_until", "editable": true, "editor": work_permit_suspended_until1357, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Wartezeit bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.work_permit_suspended_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 57, "dataIndex": "aid_type", "editable": true, "editor": aid_type1358, "filter": { "type": "string" }, "header": "Sozialhilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.aid_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 58, "dataIndex": "declared_name", "editable": true, "filter": { "type": "boolean" }, "header": "Deklarierter Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.declared_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 59, "dataIndex": "is_seeking", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeit suchend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_seeking) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 60, "dataIndex": "unavailable_until", "editable": true, "editor": unavailable_until1361, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Nicht verf\u00fcgbar bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_until) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 61, "dataIndex": "unavailable_why", "editable": true, "editor": unavailable_why1362, "filter": { "type": "string" }, "header": "Begr\u00fcndung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.unavailable_why) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 62, "dataIndex": "obstacles", "editable": true, "editor": obstacles1363, "filter": { "type": "string" }, "header": "Sonstige Hindernisse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.obstacles) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 63, "dataIndex": "skills", "editable": true, "editor": skills1364, "filter": { "type": "string" }, "header": "Sonstige F\u00e4higkeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.skills) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 64, "dataIndex": "job_office_contact", "editable": true, "editor": job_office_contact1365, "filter": { "type": "string" }, "header": "Kontaktperson ADG", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_office_contact) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 65, "dataIndex": "refusal_reason", "editable": true, "editor": refusal_reason1366, "filter": { "options": [ "Information (keine Begleitung erforderlich)", "\u00d6SHZ ist nicht zust\u00e4ndig", "Antragsteller ist nicht zur\u00fcck gekommen" ], "type": "list" }, "header": "Ablehnungsgrund", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.refusal_reason) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(47) }, { "colIndex": 66, "dataIndex": "remarks2", "editable": false, "filter": { "type": "string" }, "header": "Bemerkungen (Sozialsekretariat)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.remarks2) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 67, "dataIndex": "gesdos_id", "editable": true, "editor": gesdos_id1368, "filter": { "type": "string" }, "header": "Gesdos-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.gesdos_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 68, "dataIndex": "tim_id", "editable": true, "editor": tim_id1369, "filter": { "type": "string" }, "header": "TIM-ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.tim_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 69, "dataIndex": "is_cpas", "editable": true, "filter": { "type": "boolean" }, "header": "Sozialhilfeempf\u00e4nger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_cpas) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 70, "dataIndex": "is_senior", "editable": true, "filter": { "type": "boolean" }, "header": "Altenheim", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.is_senior) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 71, "dataIndex": "health_insurance", "editable": true, "editor": health_insurance1372, "filter": { "type": "string" }, "header": "Krankenkasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.health_insurance) ") }, "renderer": Lino.fk_renderer('health_insuranceHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 72, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy1373, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 73, "dataIndex": "income_ag", "editable": true, "filter": { "type": "boolean" }, "header": "Arbeitslosengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_ag) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 74, "dataIndex": "income_wg", "editable": true, "filter": { "type": "boolean" }, "header": "Wartegeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_wg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 75, "dataIndex": "income_kg", "editable": true, "filter": { "type": "boolean" }, "header": "Krankengeld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_kg) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 76, "dataIndex": "income_rente", "editable": true, "filter": { "type": "boolean" }, "header": "Rente", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_rente) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 77, "dataIndex": "income_misc", "editable": true, "filter": { "type": "boolean" }, "header": "andere Einkommen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.income_misc) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 78, "dataIndex": "job_agents", "editable": true, "editor": job_agents1379, "filter": { "type": "string" }, "header": "Interim-Agenturen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.job_agents) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 79, "dataIndex": "has_esf", "editable": true, "filter": { "type": "boolean" }, "header": "ESF data", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.has_esf) Whether Lino should make ESF summaries for this client.") }, "sortable": false, "tooltip": "Whether Lino should make ESF summaries for this client.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 80, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.overview) A panel with general information about this client.") }, "sortable": false, "tooltip": "A panel with general information about this client.", "width": Lino.chars2width(31) }, { "colIndex": 81, "dataIndex": "cvs_emitted", "editable": false, "header": "Erstellte Lebensl\u00e4ufe", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cvs_emitted) A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).") }, "sortable": false, "tooltip": "A virtual field displaying a group of shortcut links for managing CVs\n(Curriculum Vitaes).", "width": Lino.chars2width(31) }, { "colIndex": 82, "dataIndex": "id_document", "editable": false, "header": "Identifizierendes Dokument", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.id_document) A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.") }, "sortable": false, "tooltip": "A virtual field displaying a group of buttons for managing the\n\"identifying document\", i.e. an uploaded document which has been\nused as alternative to the eID card.", "width": Lino.chars2width(31) }, { "colIndex": 83, "dataIndex": "applies_from", "editable": false, "format": "d.m.Y", "header": "Vertrag beginnt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.applies_from) ") }, "sortable": true, "tooltip": "(newcomers.ClientsByFaculty.applies_from) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 84, "dataIndex": "applies_until", "editable": false, "format": "d.m.Y", "header": "Vertrag endet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.applies_until) ") }, "sortable": true, "tooltip": "(newcomers.ClientsByFaculty.applies_until) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 85, "dataIndex": "contract_company", "editable": false, "header": "Arbeitet bei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.contract_company) ") }, "renderer": Lino.fk_renderer('contract_companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.contract_company) ", "width": Lino.chars2width(21) }, { "colIndex": 86, "dataIndex": "active_contract", "editable": false, "header": "Active contract", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.active_contract) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.active_contract) ", "width": Lino.chars2width(31) }, { "colIndex": 87, "dataIndex": "cbss_relations", "editable": false, "header": "ZDSS", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cbss_relations) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cbss_relations) ", "width": Lino.chars2width(31) }, { "colIndex": 88, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 89, "dataIndex": "contact_details", "editable": false, "header": "Kontaktangaben", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.contact_details) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.contact_details) ", "width": Lino.chars2width(31) }, { "colIndex": 90, "dataIndex": "mti_navigator", "editable": false, "header": "Ansicht als ", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.mti_navigator) A virtual field which defines buttons for switching between the\ndifferent views.") }, "sortable": false, "tooltip": "A virtual field which defines buttons for switching between the\ndifferent views.", "width": Lino.chars2width(31) }, { "colIndex": 91, "dataIndex": "municipality", "editable": false, "header": "Gemeinde", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.municipality) The municipality, i.e. either the city or a parent of it.") }, "sortable": false, "tooltip": "The municipality, i.e. either the city or a parent of it.", "width": Lino.chars2width(11) }, { "colIndex": 92, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.created_natural) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 93, "dataIndex": "age", "editable": false, "header": "Alter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.age) Virtual field displaying the age in years.") }, "sortable": false, "tooltip": "Virtual field displaying the age in years.", "width": Lino.chars2width(31) }, { "colIndex": 94, "dataIndex": "cbss_summary", "editable": false, "header": "Zusammenfassung ZDSS", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cbss_summary) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cbss_summary) ", "width": Lino.chars2width(31) }, { "colIndex": 95, "dataIndex": "cbss_identify_person", "editable": false, "header": "IdentifyPerson-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cbss_identify_person) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cbss_identify_person) ", "width": Lino.chars2width(31) }, { "colIndex": 96, "dataIndex": "cbss_manage_access", "editable": false, "header": "ManageAccess-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cbss_manage_access) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cbss_manage_access) ", "width": Lino.chars2width(31) }, { "colIndex": 97, "dataIndex": "cbss_retrieve_ti_groups", "editable": false, "header": "Tx25-Anfragen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cbss_retrieve_ti_groups) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cbss_retrieve_ti_groups) ", "width": Lino.chars2width(31) }, { "colIndex": 98, "dataIndex": "language_knowledge", "editable": false, "header": "Sprachkenntnis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.language_knowledge) A summary of the language knowledges of this\nperson.") }, "sortable": false, "tooltip": "A summary of the language knowledges of this\nperson.", "width": Lino.chars2width(31) }, { "colIndex": 99, "dataIndex": "mother_tongues", "editable": false, "header": "Muttersprachen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.mother_tongues) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.mother_tongues) ", "width": Lino.chars2width(31) }, { "colIndex": 100, "dataIndex": "cef_level_de", "editable": false, "header": "cef_level_de", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cef_level_de) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cef_level_de) ", "width": Lino.chars2width(31) }, { "colIndex": 101, "dataIndex": "cef_level_fr", "editable": false, "header": "cef_level_fr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cef_level_fr) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cef_level_fr) ", "width": Lino.chars2width(31) }, { "colIndex": 102, "dataIndex": "cef_level_en", "editable": false, "header": "cef_level_en", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.cef_level_en) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.cef_level_en) ", "width": Lino.chars2width(31) }, { "colIndex": 103, "dataIndex": "eid_info", "editable": false, "header": "eID-Karte", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.eid_info) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.eid_info) ", "width": Lino.chars2width(31) }, { "colIndex": 104, "dataIndex": "image", "editable": false, "header": "image", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.image) Virtual field which displays the picture.") }, "sortable": false, "tooltip": "Virtual field which displays the picture.", "width": Lino.chars2width(31) }, { "colIndex": 105, "dataIndex": "primary_coach", "editable": false, "header": "Prim\u00e4rbegleiter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.primary_coach) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.primary_coach) ", "width": Lino.chars2width(31) }, { "colIndex": 106, "dataIndex": "coaches", "editable": false, "header": "Begleiter", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.coaches) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.coaches) ", "width": Lino.chars2width(31) }, { "colIndex": 107, "dataIndex": "find_appointment", "editable": false, "header": "Termin finden", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.find_appointment) ") }, "sortable": false, "tooltip": "(newcomers.ClientsByFaculty.find_appointment) ", "width": Lino.chars2width(31) }, { "colIndex": 108, "dataIndex": "faculty", "editable": true, "editor": faculty1409, "filter": { "type": "string" }, "header": "Fachbereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(newcomers.ClientsByFaculty.faculty) The Faculty this client has been attributed to.") }, "sortable": false, "tooltip": "The Faculty this client has been attributed to.", "width": Lino.chars2width(21) } ];
    Lino.newcomers.ClientsByFaculty.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.print_labels = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "print_labels", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.insertPanel = Ext.extend(Lino.pcsw.Clients.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Like the standard lino.core.actions.SubmitInsert, but adds\na confirmation if there is a possible duplicate record.", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.insertPanel(p);
});
Lino.newcomers.ClientsByFaculty.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.ClientsByFaculty.detailPanel = Ext.extend(Lino.pcsw.Clients.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Klient) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-printer", "menu": [ { "auto_save": true, "itemId": "create_excerpt1", "menu_item_text": "Nutzungsbestimmungen", "overflowText": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": "Nutzungsbestimmungen", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt16", "menu_item_text": "Zahlungserinnerung", "overflowText": "Zahlungserinnerung", "panel_btn_handler": Lino.row_action_handler('create_excerpt16','GET',null), "text": "Zahlungserinnerung", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt18", "menu_item_text": "Curriculum vitae", "overflowText": "Curriculum vitae", "panel_btn_handler": Lino.row_action_handler('create_excerpt18','GET',null), "text": "Curriculum vitae", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt20", "menu_item_text": "eID-Inhalt", "overflowText": "eID-Inhalt", "panel_btn_handler": Lino.row_action_handler('create_excerpt20','GET',null), "text": "eID-Inhalt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "create_excerpt21", "menu_item_text": "Aktionsplan", "overflowText": "Aktionsplan", "panel_btn_handler": Lino.row_action_handler('create_excerpt21','GET',null), "text": "Aktionsplan", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "itemId": "do_print", "menu_item_text": "Aktenblatt", "overflowText": "Aktenblatt", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "text": "Aktenblatt", "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" } ], "menu_item_text": "Nutzungsbestimmungen", "panel_btn_handler": Lino.row_action_handler('create_excerpt1','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "check_summaries", "menu_item_text": "Update summary data", "overflowText": "Update summary data", "panel_btn_handler": Lino.row_action_handler('check_summaries','GET',null), "text": " <font size=\"4\">\u03a3</font>", "tooltip": "Update summary data for this object.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard", "itemId": "read_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.row_action_handler('read_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und diesen Karteninhaber aktualisieren", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-vcard_add", "itemId": "find_by_beid", "menu_item_text": "eID-Karte einlesen", "overflowText": "eID-Karte einlesen", "panel_btn_handler": Lino.list_action_handler('/newcomers/ClientsByFaculty','find_by_beid','POST',Lino.beid_read_card_processor), "tooltip": "eID-Karte lesen und Karteninhaber finden oder erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-transmit", "itemId": "mails_by_project", "menu_item_text": "E-Mail-Ausgang", "overflowText": "E-Mail-Ausgang", "panel_btn_handler": Lino.row_action_handler('mails_by_project','GET',null), "tooltip": "E-Mail-Ausgang", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-hourglass", "itemId": "create_visit", "menu_item_text": "Visite erstellen", "overflowText": "Visite erstellen", "panel_btn_handler": Lino.param_action_handler(Lino.pcsw.Clients.create_visit), "tooltip": "Visite erstellen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "find_date", "menu_item_text": "Termin finden mit...", "overflowText": "Termin finden mit...", "panel_btn_handler": Lino.row_action_handler('find_date','GET',null), "tooltip": "Termin finden mit...", "tooltipType": "title" } ],
  ls_url: "/newcomers/ClientsByFaculty",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.ClientsByFaculty.detail;
    this.ls_insert_handler = Lino.newcomers.ClientsByFaculty.insert;
    Lino.newcomers.ClientsByFaculty.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.ClientsByFaculty.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  return new Lino.newcomers.ClientsByFaculty.detailPanel(p);
});
Lino.newcomers.ClientsByFaculty.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt16 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt16", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt18 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt18", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt20 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt20", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.create_excerpt21 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "create_excerpt21", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.due = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "due", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.check_summaries = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "check_summaries", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.del_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "del_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/ClientsByFaculty" };
  p.params_panel = new Lino.pcsw.Clients.ParamsPanel({});
  return new Lino.newcomers.ClientsByFaculty.GridPanel(p);
});
Lino.newcomers.ClientsByFaculty.ins_client = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_client", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_company = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_company", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_courseprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_courseprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_household = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_household", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_jobprovider = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_jobprovider", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_partner = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_partner", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.ins_person = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "ins_person", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mark_former = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mark_former", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.read_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "read_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_by_beid = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "POST", pk, "find_by_beid", params, Lino.beid_read_card_processor);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.mails_by_project = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "mails_by_project", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.find_date = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "find_date", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.ClientsByFaculty.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/ClientsByFaculty", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class newcomers.AvailableCoachesByClient
Lino.newcomers.AvailableCoachesByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/newcomers/AvailableCoachesByClient",
  ls_store_fields : [ { "name": "name_column" }, { "name": "workflow_buttons" }, { "name": "primary_clients" }, { "name": "new_clients" }, { "name": "newcomer_quota", "type": "int", "useNull": true }, { "name": "current_weight" }, { "name": "added_weight" }, { "name": "score" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 8,
  content_type : 11,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/newcomers/AvailableCoachesByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "assign_coach", "menu_item_text": "Zuweisen", "overflowText": "Zuweisen", "panel_btn_handler": Lino.param_action_handler(Lino.newcomers.AvailableCoachesByClient.assign_coach), "text": "Zuweisen", "tooltip": "An action which pops up a dialog window of three fields \"Summary\",\n\"Description\" and a checkbox \"Don't notify others\" to optionally\nsuppress notification.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verf\u00fcgbare Begleiter",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoachesByClient.detail;
    var ww = this.containing_window;
    var name_column_disp1506 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var workflow_buttons_disp1507 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var primary_clients1508 = new Ext.form.NumberField({ "disabled": true });
    var new_clients1509 = new Ext.form.NumberField({ "disabled": true });
    var newcomer_quota1510 = new Ext.form.NumberField({ "allowBlank": false, "selectOnFocus": true, "value": 0 });
    var current_weight1511 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var added_weight1512 = new Ext.form.NumberField({ "allowDecimals": false, "disabled": true });
    var score1513 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name_column", "editable": false, "header": "Name", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.name_column) ") }, "sortable": false, "tooltip": "(newcomers.AvailableCoachesByClient.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 1, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 2, "dataIndex": "primary_clients", "editable": false, "format": "0", "header": "Komplette Akten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.primary_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoachesByClient.primary_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "new_clients", "editable": false, "format": "0", "header": "Neue Klienten", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.new_clients) ") }, "sortable": true, "tooltip": "(newcomers.AvailableCoachesByClient.new_clients) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "newcomer_quota", "editable": true, "editor": newcomer_quota1510, "filter": { "type": "numeric" }, "format": "0", "header": "Quote Erstempfang", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.newcomer_quota) Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n") }, "sortable": true, "tooltip": "Wieviel Arbeitszeit dieser Benutzer f\u00fcr Neuantr\u00e4ge zur Verf\u00fcgung steht\n(100 = ganztags, 50 = halbtags, 0 = gar nicht).\nWenn zwei Benutzer die gleiche Belastungspunktzahl haben,\naber einer davon sich nur zu 50% um Neuantr\u00e4ge k\u00fcmmert,\ngilt er als doppelt so belastet wie sein Kollege.\n", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "current_weight", "editable": false, "format": "0.000/i", "header": "Belastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.current_weight) Momentane Gesamtbelastung dieses Benutzers durch neue Klienten. \nSumme der Belastungspunkte pro neuem Klient.") }, "sortable": true, "tooltip": "Momentane Gesamtbelastung dieses Benutzers durch neue Klienten. \nSumme der Belastungspunkte pro neuem Klient.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "added_weight", "editable": false, "format": "0.000/i", "header": "Mehrbelastung", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.added_weight) Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.") }, "sortable": true, "tooltip": "Mehrbelastung, die dieser Neuantrag im Falle einer Zuweisung diesem Benutzer verursachen w\u00fcrde.", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "score", "editable": false, "format": "0.000,00/i", "header": "Mehrbelastung (%)", "listeners": { "render": Lino.quicktip_renderer("","(newcomers.AvailableCoachesByClient.score) Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.") }, "sortable": true, "tooltip": "Mehrbelastung im Verh\u00e4ltnis zur Gesamtbelastung.", "width": Lino.chars2width(11), "xtype": "numbercolumn" } ];
    Lino.newcomers.AvailableCoachesByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoachesByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.newcomers.AvailableCoachesByClient.detailPanel = Ext.extend(Lino.users.AllUsers.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "assign_coach", "menu_item_text": "Zuweisen", "overflowText": "Zuweisen", "panel_btn_handler": Lino.param_action_handler(Lino.newcomers.AvailableCoachesByClient.assign_coach), "text": "Zuweisen", "tooltip": "An action which pops up a dialog window of three fields \"Summary\",\n\"Description\" and a checkbox \"Don't notify others\" to optionally\nsuppress notification.", "tooltipType": "title" }, { "auto_save": true, "itemId": "change_password", "menu_item_text": "Passwort \u00e4ndern", "overflowText": "Passwort \u00e4ndern", "panel_btn_handler": Lino.param_action_handler(Lino.users.AllUsers.change_password), "text": " <font size=\"4\">\u2731</font>", "tooltip": "Change the password of this user.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_widgets", "menu_item_text": "Update widgets", "overflowText": "Update widgets", "panel_btn_handler": Lino.row_action_handler('update_widgets','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Create or update the dashboard widgets for this user.", "tooltipType": "title" } ],
  ls_url: "/newcomers/AvailableCoachesByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.newcomers.AvailableCoachesByClient.detail;
    Lino.newcomers.AvailableCoachesByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.newcomers.AvailableCoachesByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoachesByClient" };
  return new Lino.newcomers.AvailableCoachesByClient.detailPanel(p);
});
Lino.newcomers.AvailableCoachesByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/newcomers/AvailableCoachesByClient" };
  p.params_panel = new Lino.newcomers.AvailableCoaches.ParamsPanel({});
  return new Lino.newcomers.AvailableCoachesByClient.GridPanel(p);
});
Lino.newcomers.AvailableCoachesByClient.sign_out = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "sign_out", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.newcomers.AvailableCoachesByClient.update_widgets = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/newcomers/AvailableCoachesByClient", "GET", pk, "update_widgets", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.IdentifyRequestsByPerson
Lino.cbss.IdentifyRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "environment" }, { "name": "ticket" }, { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "middle_name" }, { "name": "gender" }, 'genderHidden', { "name": "tolerance", "type": "int", "useNull": true }, { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "person" }, 'personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 116,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "IdentifyPerson-Anfragen",
  disabled_fields_index : 31,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    var ww = this.containing_window;
    var user9241 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/user" }) }) });
    var sent9242 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status9243 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var id9244 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by9245 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var environment9246 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "hidden": true, "maxLength": 4 });
    var ticket9247 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 36 });
    var request_xml9248 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml9249 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages9250 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages9251 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id9252 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date9253 = new Lino.IncompleteDateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var sis_card_no9254 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no9255 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name9256 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name9257 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var middle_name9258 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var gender9259 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.system.Genders) });
    var tolerance9260 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var result_htmlbox9261 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp9262 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9263 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9264 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp9265 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var person9266 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/IdentifyRequestsByPerson/person" }) }) });
    this.before_row_edit = function(record) {
      result_htmlbox9261.refresh();
      overview_htmlbox9263.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9241, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9244, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 6, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 7, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "national_id", "editable": true, "editor": national_id9252, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 12, "dataIndex": "birth_date", "editable": true, "editor": birth_date9253, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 13, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no9254, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 14, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no9255, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "first_name", "editable": true, "editor": first_name9256, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "last_name", "editable": true, "editor": last_name9257, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "middle_name", "editable": true, "editor": middle_name9258, "filter": { "type": "string" }, "header": "Zwischenname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.middle_name) Whatever this means...") }, "sortable": true, "tooltip": "Whatever this means...", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "gender", "editable": true, "editor": gender9259, "filter": { "options": [ "M\u00e4nnlich", "Weiblich" ], "type": "list" }, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.gender) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "align": "right", "colIndex": 19, "dataIndex": "tolerance", "editable": true, "editor": tolerance9260, "filter": { "type": "numeric" }, "format": "0", "header": "Toleranz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.tolerance) \n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ") }, "sortable": true, "tooltip": "\n      Falls Monat oder Tag des Geburtsdatums unbekannt sind,\n      um wieviel Monate bzw. Tage die Suche nach unten/oben ausgeweitet wird.\n      G\u00fcltige Werte: 0 bis 10.\n      ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 20, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.result) ") }, "sortable": false, "tooltip": "(cbss.IdentifyRequestsByPerson.result) ", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.name_column) ") }, "sortable": false, "tooltip": "(cbss.IdentifyRequestsByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 22, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.overview) ") }, "sortable": false, "tooltip": "(cbss.IdentifyRequestsByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 23, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "person", "editable": true, "editor": person9266, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.insertPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.IdentifyRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.IdentifyPersonRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (IdentifyPerson-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "IdentifyPerson-Anfrage", "overflowText": "IdentifyPerson-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/IdentifyRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.IdentifyRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.IdentifyRequestsByPerson.insert;
    Lino.cbss.IdentifyRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  return new Lino.cbss.IdentifyRequestsByPerson.detailPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyRequestsByPerson" };
  p.params_panel = new Lino.cbss.IdentifyPersonRequests.ParamsPanel({});
  return new Lino.cbss.IdentifyRequestsByPerson.GridPanel(p);
});
Lino.cbss.IdentifyRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.ManageAccessRequestsByPerson
Lino.cbss.ManageAccessRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageAccessRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "birth_date" }, { "name": "sis_card_no" }, { "name": "id_card_no" }, { "name": "first_name" }, { "name": "last_name" }, { "name": "sector" }, 'sectorHidden', { "name": "purpose" }, 'purposeHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "action" }, 'actionHidden', { "name": "query_register" }, 'query_registerHidden', { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 117,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageAccessRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageAccess-Anfragen",
  disabled_fields_index : 37,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    var ww = this.containing_window;
    var user9268 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/user" }) }) });
    var person9269 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/person" }) }) });
    var environment9270 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent9271 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status9272 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket9273 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id9274 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by9275 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml9276 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml9277 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages9278 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages9279 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id9280 = new Ext.form.TextField({ "allowBlank": false, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var birth_date9281 = new Lino.IncompleteDateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var sis_card_no9282 = new Ext.form.TextField({ "allowBlank": true, "boxMinWidth": Lino.chars2width(10), "hidden": true, "maxLength": 10, "selectOnFocus": true });
    var id_card_no9283 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 20, "selectOnFocus": true });
    var first_name9284 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var last_name9285 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var sector9286 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Sektor ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Sectors" });
    var purpose9287 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Eigenschafts-Code ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cbss.Purposes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/ManageAccessRequestsByPerson/purpose" }) }) });
    var start_date9288 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var end_date9289 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var action9290 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.ManageActions });
    var query_register9291 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cbss.QueryRegisters });
    var result_htmlbox9292 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp9293 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9294 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9295 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp9296 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      purpose9287.setContextValue('sector', record ? record.data['sectorHidden'] : undefined);
      result_htmlbox9292.refresh();
      overview_htmlbox9294.refresh();
    };
    this.onRender = function(ct, position) {
      typeof sector9286 !== 'undefined' && sector9286.on('change',Lino.chooser_handler(purpose9287,'sector'));
      Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9268, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person9269, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9274, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id9280, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.national_id) The SSIN of the person to register/unregister/list.\n") }, "sortable": true, "tooltip": "The SSIN of the person to register/unregister/list.\n", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "birth_date", "editable": true, "editor": birth_date9281, "filter": { "type": "string" }, "header": "Geburtsdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.birth_date) Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".") }, "sortable": true, "tooltip": "Uncomplete dates are allowed, e.g.\n\"00.00.1980\" means \"some day in 1980\",\n\"00.07.1980\" means \"in July 1980\"\nor \"23.07.0000\" means \"on a 23th of July\".", "width": Lino.chars2width(13) }, { "colIndex": 14, "dataIndex": "sis_card_no", "editable": true, "editor": sis_card_no9282, "filter": { "type": "string" }, "header": "SIS-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sis_card_no) The number of the SIS card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the SIS card used to authenticate the person.", "width": Lino.chars2width(12) }, { "colIndex": 15, "dataIndex": "id_card_no", "editable": true, "editor": id_card_no9283, "filter": { "type": "string" }, "header": "ID-Karten-Nr", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.id_card_no) The number of the ID card used to authenticate the person.") }, "sortable": true, "tooltip": "The number of the ID card used to authenticate the person.", "width": Lino.chars2width(22) }, { "colIndex": 16, "dataIndex": "first_name", "editable": true, "editor": first_name9284, "filter": { "type": "string" }, "header": "Vorname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.first_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 17, "dataIndex": "last_name", "editable": true, "editor": last_name9285, "filter": { "type": "string" }, "header": "Familienname", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.last_name) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 18, "dataIndex": "sector", "editable": false, "filter": { "type": "string" }, "header": "Sektor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.sector) Pointer to Sector.") }, "sortable": false, "tooltip": "Pointer to Sector.", "width": Lino.chars2width(21) }, { "colIndex": 19, "dataIndex": "purpose", "editable": true, "editor": purpose9287, "filter": { "type": "string" }, "header": "Eigenschafts-Code", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.purpose) Pointer to Purpose.") }, "sortable": false, "tooltip": "Pointer to Purpose.", "width": Lino.chars2width(21) }, { "colIndex": 20, "dataIndex": "start_date", "editable": true, "editor": start_date9288, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 21, "dataIndex": "end_date", "editable": true, "editor": end_date9289, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode bis", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 22, "dataIndex": "action", "editable": true, "editor": action9290, "filter": { "options": [ "Registrieren", "Austragen", "Auflisten" ], "type": "list" }, "header": "Aktion", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.action) The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions") }, "sortable": false, "tooltip": "The action to perform.  This must be one of the values in\nlino_welfare.modlib.cbss.choicelists.ManageActions", "width": Lino.chars2width(16) }, { "colIndex": 23, "dataIndex": "query_register", "editable": true, "editor": query_register9291, "filter": { "options": [ "Prim\u00e4r", "Sekund\u00e4r", "Alle" ], "type": "list" }, "header": "Abfrageregister", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.query_register) The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters") }, "sortable": false, "tooltip": "The register to be query.\nThis must be one of the values in\nlino_welfare.modlib.cbss.choicelists.QueryRegisters", "width": Lino.chars2width(12) }, { "colIndex": 24, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.result) ") }, "sortable": false, "tooltip": "(cbss.ManageAccessRequestsByPerson.result) ", "width": Lino.chars2width(31) }, { "colIndex": 25, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.name_column) ") }, "sortable": false, "tooltip": "(cbss.ManageAccessRequestsByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 26, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.overview) ") }, "sortable": false, "tooltip": "(cbss.ManageAccessRequestsByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 28, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageAccessRequestsByPerson.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.ManageAccessRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.ManageAccessRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.insertPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.ManageAccessRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.ManageAccessRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (ManageAccess-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "ManageAccess-Anfrage", "overflowText": "ManageAccess-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/ManageAccessRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.ManageAccessRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.ManageAccessRequestsByPerson.insert;
    Lino.cbss.ManageAccessRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageAccessRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  return new Lino.cbss.ManageAccessRequestsByPerson.detailPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageAccessRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageAccessRequestsByPerson" };
  p.params_panel = new Lino.cbss.ManageAccessRequests.ParamsPanel({});
  return new Lino.cbss.ManageAccessRequestsByPerson.GridPanel(p);
});
Lino.cbss.ManageAccessRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageAccessRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cbss.RetrieveTIGroupsRequestsByPerson
Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsRequestsByPerson",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "person" }, 'personHidden', { "name": "environment" }, { "name": "sent" }, { "name": "status" }, 'statusHidden', { "name": "ticket" }, { "name": "id", "type": "int" }, { "name": "printed_by" }, 'printed_byHidden', { "name": "request_xml" }, { "name": "response_xml" }, { "name": "debug_messages" }, { "name": "info_messages" }, { "name": "national_id" }, { "name": "language" }, 'languageHidden', { "name": "history", "type": "boolean" }, { "name": "result" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 118,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsRequestsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Tx25-Anfragen",
  disabled_fields_index : 25,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    var ww = this.containing_window;
    var user9298 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/user" }) }) });
    var person9299 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cbss/RetrieveTIGroupsRequestsByPerson/person" }) }) });
    var environment9300 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(4), "disabled": true, "maxLength": 4 });
    var sent9301 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var status9302 = new Lino.ChoicesFieldElement({ "disabled": true, "forceSelection": true, "store": [['','<br>']].concat(Lino.cbss.RequestStates) });
    var ticket9303 = new Ext.form.TextField({ "disabled": true, "maxLength": 36 });
    var id9304 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var printed_by9305 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var request_xml9306 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var response_xml9307 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var debug_messages9308 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var info_messages9309 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var national_id9310 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var language9311 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cbss.RequestLanguages) });
    var history9312 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "hidden": true, "selectOnFocus": true });
    var result_htmlbox9313 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "result", "title": "Resultat", "value": "<br/>" });
    var name_column_disp9314 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9315 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9316 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp9317 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      result_htmlbox9313.refresh();
      overview_htmlbox9315.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9298, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "person", "editable": true, "editor": person9299, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.person) ") }, "renderer": Lino.fk_renderer('personHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "environment", "editable": false, "filter": { "type": "string" }, "header": "T/A/B", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.environment) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 3, "dataIndex": "sent", "editable": false, "header": "Versendet", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.sent) The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.") }, "sortable": true, "tooltip": "The date and time when this request has been executed.\nThis is empty for requests than haven't been sent.\nRead-only.", "width": Lino.chars2width(17) }, { "colIndex": 4, "dataIndex": "status", "editable": false, "filter": { "options": [ "Versendet", "Fehlgeschlagen", "Validiert", "OK", "Warnungen", "Fehlermeldungen" ], "type": "list" }, "header": "Zustand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.status) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(19) }, { "colIndex": 5, "dataIndex": "ticket", "editable": false, "filter": { "type": "string" }, "header": "Ticket", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.ticket) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9304, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "request_xml", "editable": false, "filter": { "type": "string" }, "header": "Abfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.request_xml) The raw XML string that has (or would have) been sent.") }, "sortable": false, "tooltip": "The raw XML string that has (or would have) been sent.", "width": Lino.chars2width(61) }, { "colIndex": 9, "dataIndex": "response_xml", "editable": false, "filter": { "type": "string" }, "header": "Befragung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.response_xml) The raw XML response received.\n") }, "sortable": false, "tooltip": "The raw XML response received.\n", "width": Lino.chars2width(61) }, { "colIndex": 10, "dataIndex": "debug_messages", "editable": false, "filter": { "type": "string" }, "header": "Debug-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.debug_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "info_messages", "editable": false, "filter": { "type": "string" }, "header": "Info-Meldungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.info_messages) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 12, "dataIndex": "national_id", "editable": true, "editor": national_id9310, "filter": { "type": "string" }, "header": "NR-Nummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.national_id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 13, "dataIndex": "language", "editable": true, "editor": language9311, "filter": { "options": [ "Niederl\u00e4ndisch", "Franz\u00f6sisch", "Deutsch" ], "type": "list" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 14, "dataIndex": "history", "editable": true, "filter": { "type": "boolean" }, "header": "Historie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.history) Whatever this means.") }, "sortable": false, "tooltip": "Whatever this means.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 15, "dataIndex": "result", "editable": false, "header": "Resultat", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.result) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsRequestsByPerson.result) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.name_column) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsRequestsByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 17, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.overview) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsRequestsByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 18, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsRequestsByPerson.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.insertPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel = Ext.extend(Lino.cbss.RetrieveTIGroupsRequests.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Tx25-Anfrage) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Tx25-Anfrage", "overflowText": "Tx25-Anfrage", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cbss/RetrieveTIGroupsRequestsByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail;
    this.ls_insert_handler = Lino.cbss.RetrieveTIGroupsRequestsByPerson.insert;
    Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsRequestsByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.detailPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsRequestsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsRequestsByPerson" };
  p.params_panel = new Lino.cbss.RetrieveTIGroupsRequests.ParamsPanel({});
  return new Lino.cbss.RetrieveTIGroupsRequestsByPerson.GridPanel(p);
});
Lino.cbss.RetrieveTIGroupsRequestsByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsRequestsByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class humanlinks.LinksByHuman
Lino.humanlinks.LinksByHuman.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/humanlinks/LinksByHuman",
  ls_store_fields : [ { "name": "parent" }, 'parentHidden', { "name": "type_as_parent" }, { "name": "child" }, 'childHidden', { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 122,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/humanlinks/LinksByHuman','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Verwandtschaftsbeziehung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beziehungen",
  disabled_fields_index : 6,
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    var ww = this.containing_window;
    var parent9319 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/parent" }) }) });
    var type_as_parent_disp9320 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var child9321 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/humanlinks/LinksByHuman/child" }) }) });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "parent", "editable": true, "editor": parent9319, "filter": { "type": "string" }, "header": "Wer ist...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.parent) Pointer to the person who is \"parent\".") }, "renderer": Lino.fk_renderer('parentHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"parent\".", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "type_as_parent", "editable": false, "header": "Art", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.type_as_parent) ") }, "sortable": false, "tooltip": "(humanlinks.LinksByHuman.type_as_parent) ", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "child", "editable": true, "editor": child9321, "filter": { "type": "string" }, "header": "Von wem...", "listeners": { "render": Lino.quicktip_renderer("","(humanlinks.LinksByHuman.child) Pointer to the person who is \"child\".") }, "renderer": Lino.fk_renderer('childHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to the person who is \"child\".", "width": Lino.chars2width(21) } ];
    Lino.humanlinks.LinksByHuman.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.insertPanel = Ext.extend(Lino.humanlinks.Links.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.insertPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.humanlinks.LinksByHuman.detailPanel = Ext.extend(Lino.humanlinks.Links.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Verwandtschaftsbeziehung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/humanlinks/LinksByHuman",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.humanlinks.LinksByHuman.detail;
    this.ls_insert_handler = Lino.humanlinks.LinksByHuman.insert;
    Lino.humanlinks.LinksByHuman.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.humanlinks.LinksByHuman.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(40) }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.detailPanel(p);
});
Lino.humanlinks.LinksByHuman.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.humanlinks.LinksByHuman.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/humanlinks/LinksByHuman" };
  return new Lino.humanlinks.LinksByHuman.GridPanel(p);
});
Lino.humanlinks.LinksByHuman.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/humanlinks/LinksByHuman", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.AccountsByGroup
Lino.debts.AccountsByGroup.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AccountsByGroup",
  ls_store_fields : [ { "name": "ref" }, { "name": "name" }, { "name": "name_fr" }, { "name": "name_en" }, { "name": "default_amount" }, { "name": "periods" }, { "name": "required_for_household", "type": "boolean" }, { "name": "required_for_person", "type": "boolean" }, { "name": "group" }, 'groupHidden', { "name": "id", "type": "int" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "type" }, 'typeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "move_buttons" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 10,
  content_type : 124,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AccountsByGroup','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Konten",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    var ww = this.containing_window;
    var ref2809 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name2810 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 200, "selectOnFocus": true });
    var name_fr2811 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var name_en2812 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var default_amount2813 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var periods2814 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var required_for_household2815 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var required_for_person2816 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var group2817 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Kontengruppe ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Groups", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AccountsByGroup/group" }) }) });
    var id2818 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var seqno2819 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var type2820 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.debts.AccountTypes });
    var name_column_disp2821 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2822 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2823 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var move_buttons_disp2824 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      overview_htmlbox2822.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "ref", "editable": true, "editor": ref2809, "filter": { "type": "string" }, "header": "Referenz", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.ref) An optional unique name which can be used to reference a given\naccount.") }, "sortable": true, "tooltip": "An optional unique name which can be used to reference a given\naccount.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "name", "editable": true, "editor": name2810, "filter": { "type": "string" }, "header": "Bezeichnung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name) The multilingual designation of this account, as the users see\nit.") }, "sortable": true, "tooltip": "The multilingual designation of this account, as the users see\nit.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "name_fr", "editable": true, "editor": name_fr2811, "filter": { "type": "string" }, "header": "Bezeichnung (fr)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_fr) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "name_en", "editable": true, "editor": name_en2812, "filter": { "type": "string" }, "header": "Bezeichnung (en)", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_en) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 4, "dataIndex": "default_amount", "editable": true, "editor": default_amount2813, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Vorschlag Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.default_amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "periods", "editable": true, "editor": periods2814, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.periods) For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.") }, "sortable": true, "tooltip": "For how many months the entered amount counts. \nFor example 1 means a monthly amount, 12 a yearly amount.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "required_for_household", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Haushalte", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_household) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "required_for_person", "editable": true, "filter": { "type": "boolean" }, "header": "verpflichtend f\u00fcr Personen", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.required_for_person) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 8, "dataIndex": "group", "editable": true, "editor": group2817, "filter": { "type": "string" }, "header": "Kontengruppe", "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.group) The account group to which this account belongs.  This must\npoint to an instance of Group.") }, "sortable": false, "tooltip": "The account group to which this account belongs.  This must\npoint to an instance of Group.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id2818, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno2819, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.seqno) The sequence number of this account within its group.") }, "sortable": true, "tooltip": "The sequence number of this account within its group.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "type", "editable": true, "editor": type2820, "filter": { "options": [ "Verm\u00f6gen", "Verpflichtungen", "Capital", "Incomes", "Ausgaben" ], "type": "list" }, "header": "Kontoart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.type) The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.") }, "sortable": false, "tooltip": "The account type of this account.  This must\npoint to an item of\nlino_welfare.modlib.debts.AccountTypes.", "width": Lino.chars2width(19) }, { "colIndex": 12, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.name_column) ") }, "sortable": false, "tooltip": "(debts.AccountsByGroup.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 13, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.overview) ") }, "sortable": false, "tooltip": "(debts.AccountsByGroup.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AccountsByGroup.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) } ];
    Lino.debts.AccountsByGroup.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.insertPanel = Ext.extend(Lino.debts.Accounts.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.insertPanel(p);
});
Lino.debts.AccountsByGroup.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.AccountsByGroup.detailPanel = Ext.extend(Lino.debts.Accounts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Konto) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/AccountsByGroup",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.AccountsByGroup.detail;
    this.ls_insert_handler = Lino.debts.AccountsByGroup.insert;
    Lino.debts.AccountsByGroup.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AccountsByGroup.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.detailPanel(p);
});
Lino.debts.AccountsByGroup.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AccountsByGroup" };
  return new Lino.debts.AccountsByGroup.GridPanel(p);
});
Lino.debts.AccountsByGroup.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AccountsByGroup.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AccountsByGroup", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.ActorsByBudget
Lino.debts.ActorsByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ActorsByBudget",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "partner" }, 'partnerHidden', { "name": "header" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "move_buttons" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "budget" }, 'budgetHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Budget-Akteure",
  disabled_fields_index : 12,
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1063 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var partner1064 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByBudget/partner" }) }) });
    var header1065 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var remark1066 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Bemerkung" });
    var id1067 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var move_buttons_disp1068 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp1069 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1070 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp1071 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var budget1072 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByBudget/budget" }) }) });
    this.before_row_edit = function(record) {
      remark1066.refresh();
      overview_htmlbox1070.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1063, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner1064, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "header", "editable": true, "editor": header1065, "filter": { "type": "string" }, "header": "Kopfdaten", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.header) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1066, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1067, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.name_column) ") }, "sortable": false, "tooltip": "(debts.ActorsByBudget.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.overview) ") }, "sortable": false, "tooltip": "(debts.ActorsByBudget.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "budget", "editable": true, "editor": budget1072, "filter": { "type": "string" }, "header": "Budget", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByBudget.budget) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.debts.ActorsByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ActorsByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ActorsByBudget" };
  return new Lino.debts.ActorsByBudget.GridPanel(p);
});
Lino.debts.ActorsByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.ActorsByPartner
Lino.debts.ActorsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ActorsByPartner",
  ls_store_fields : [ { "name": "budget" }, 'budgetHidden', { "name": "seqno", "type": "int", "useNull": true }, { "name": "partner" }, 'partnerHidden', { "name": "header" }, { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "move_buttons" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 126,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ActorsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ist Akteur in folgenden Budgets:",
  initComponent : function() {
    var ww = this.containing_window;
    var budget2764 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Budget ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Budgets", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByPartner/budget" }) }) });
    var seqno2765 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var partner2766 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ActorsByPartner/partner" }) }) });
    var header2767 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 20, "selectOnFocus": true });
    var remark2768 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Bemerkung" });
    var id2769 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var move_buttons_disp2770 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp2771 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2772 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2773 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      remark2768.refresh();
      overview_htmlbox2772.refresh();
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "budget", "editable": true, "editor": budget2764, "filter": { "type": "string" }, "header": "Budget", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.budget) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 1, "dataIndex": "seqno", "editable": true, "editor": seqno2765, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 2, "dataIndex": "partner", "editable": true, "editor": partner2766, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "header", "editable": true, "editor": header2767, "filter": { "type": "string" }, "header": "Kopfdaten", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.header) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "remark", "editable": true, "editor": remark2768, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2769, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 7, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.name_column) ") }, "sortable": false, "tooltip": "(debts.ActorsByPartner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 8, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.overview) ") }, "sortable": false, "tooltip": "(debts.ActorsByPartner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ActorsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) } ];
    Lino.debts.ActorsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ActorsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ActorsByPartner" };
  return new Lino.debts.ActorsByPartner.GridPanel(p);
});
Lino.debts.ActorsByPartner.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ActorsByPartner.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ActorsByPartner", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.BudgetsByPartner
Lino.debts.BudgetsByPartner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/BudgetsByPartner",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "name": "printed_by" }, 'printed_byHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "print_todos", "type": "boolean" }, { "name": "print_empty_rows", "type": "boolean" }, { "name": "include_yearly_incomes", "type": "boolean" }, { "name": "intro" }, { "name": "conclusion" }, { "name": "dist_amount" }, { "name": "total_debt" }, { "name": "data_box" }, { "name": "summary_box" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "printed" }, { "name": "partner" }, 'partnerHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 125,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/BudgetsByPartner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ist Hauptpartner in folgenden Budgets:",
  disabled_fields_index : 21,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.BudgetsByPartner.detail;
    this.ls_insert_handler = Lino.debts.BudgetsByPartner.insert;
    var ww = this.containing_window;
    var id2736 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user2737 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/BudgetsByPartner/user" }) }) });
    var printed_by2738 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var date2739 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var print_todos2740 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var print_empty_rows2741 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var include_yearly_incomes2742 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var intro2743 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Einleitung" });
    var conclusion2744 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "selectOnFocus": true, "title": "Schlussfolgerung" });
    var dist_amount2745 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 120 });
    var total_debt2746 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true, "hidden": true });
    var data_box_htmlbox2747 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "data_box", "title": "Erfasste Daten", "value": "<br/>" });
    var summary_box_htmlbox2748 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "summary_box", "title": "Zusammenfassung", "value": "<br/>" });
    var name_column_disp2749 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2750 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2751 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp2752 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var partner2753 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Partner ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/BudgetsByPartner/partner" }) }) });
    this.before_row_edit = function(record) {
      intro2743.refresh();
      conclusion2744.refresh();
      data_box_htmlbox2747.refresh();
      summary_box_htmlbox2748.refresh();
      overview_htmlbox2750.refresh();
    };
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id2736, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user2737, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "date", "editable": true, "editor": date2739, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "print_todos", "editable": true, "filter": { "type": "boolean" }, "header": "To-do-Liste drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.print_todos) Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt, \nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist. \nDiese Option wird aber momentan noch ignoriert \n(d.h. To-do-Liste wird gar nicht ausgedruckt), \nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen. \nVielleicht mit Fu\u00dfnoten?") }, "sortable": false, "tooltip": "Eintr\u00e4ge im Feld \"To-do\" werden nur ausgedruckt, \nwenn die Option \"To-dos drucken\" des Budgets angekreuzt ist. \nDiese Option wird aber momentan noch ignoriert \n(d.h. To-do-Liste wird gar nicht ausgedruckt), \nweil wir noch \u00fcberlegen m\u00fcssen, *wie* sie ausgedruckt werden sollen. \nVielleicht mit Fu\u00dfnoten?", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "print_empty_rows", "editable": true, "filter": { "type": "boolean" }, "header": "Auch leere Eintr\u00e4ge drucken", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.print_empty_rows) Check this to print also empty rows for later completion.") }, "sortable": false, "tooltip": "Check this to print also empty rows for later completion.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 6, "dataIndex": "include_yearly_incomes", "editable": true, "filter": { "type": "boolean" }, "header": "J\u00e4hrliche Einkommen ber\u00fccksichtigen", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.include_yearly_incomes) Check this to include yearly incomes in the Debts Overview table of this Budget.") }, "sortable": false, "tooltip": "Check this to include yearly incomes in the Debts Overview table of this Budget.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "intro", "editable": true, "editor": intro2743, "filter": { "type": "string" }, "header": "Einleitung", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.intro) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 8, "dataIndex": "conclusion", "editable": true, "editor": conclusion2744, "filter": { "type": "string" }, "header": "Schlussfolgerung", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.conclusion) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 9, "dataIndex": "dist_amount", "editable": true, "editor": dist_amount2745, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Verteilbarer Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.dist_amount) Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.") }, "sortable": true, "tooltip": "Der monatlich verf\u00fcgbare Gesamtbetrag f\u00fcr Tabelle Schuldenverteilung.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 10, "dataIndex": "total_debt", "editable": false, "format": "0.000,00/i", "header": "Gesamtschuld", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.total_debt) ") }, "sortable": true, "tooltip": "(debts.BudgetsByPartner.total_debt) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 11, "dataIndex": "data_box", "editable": false, "header": "Erfasste Daten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.data_box) ") }, "sortable": false, "tooltip": "(debts.BudgetsByPartner.data_box) ", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "summary_box", "editable": false, "header": "Zusammenfassung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.summary_box) ") }, "sortable": false, "tooltip": "(debts.BudgetsByPartner.summary_box) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.name_column) ") }, "sortable": false, "tooltip": "(debts.BudgetsByPartner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 14, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.overview) ") }, "sortable": false, "tooltip": "(debts.BudgetsByPartner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "partner", "editable": true, "editor": partner2753, "filter": { "type": "string" }, "header": "Partner", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.BudgetsByPartner.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.debts.BudgetsByPartner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.BudgetsByPartner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.BudgetsByPartner.insertPanel = Ext.extend(Lino.debts.Budgets.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/debts/BudgetsByPartner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.BudgetsByPartner.detail;
    this.ls_insert_handler = Lino.debts.BudgetsByPartner.insert;
    Lino.debts.BudgetsByPartner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.BudgetsByPartner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/debts/BudgetsByPartner" };
  return new Lino.debts.BudgetsByPartner.insertPanel(p);
});
Lino.debts.BudgetsByPartner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.debts.BudgetsByPartner.detailPanel = Ext.extend(Lino.debts.Budgets.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Budget) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Finanzielle Situation", "overflowText": "Finanzielle Situation", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/debts/BudgetsByPartner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.debts.BudgetsByPartner.detail;
    this.ls_insert_handler = Lino.debts.BudgetsByPartner.insert;
    Lino.debts.BudgetsByPartner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.BudgetsByPartner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/BudgetsByPartner" };
  return new Lino.debts.BudgetsByPartner.detailPanel(p);
});
Lino.debts.BudgetsByPartner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.BudgetsByPartner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/BudgetsByPartner" };
  p.params_panel = new Lino.debts.Budgets.ParamsPanel({});
  return new Lino.debts.BudgetsByPartner.GridPanel(p);
});
Lino.debts.BudgetsByPartner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/BudgetsByPartner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.EntriesByBudget
Lino.debts.EntriesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/EntriesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "description" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "periods" }, { "name": "remark" }, { "name": "move_buttons" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/EntriesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Eintr\u00e4ge",
  disabled_fields_index : 12,
  initComponent : function() {
    var ww = this.containing_window;
    var account17086 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByBudget/account" }) }) });
    var description17087 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount17088 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor17089 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/EntriesByBudget/actor" }) }) });
    var periods17090 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var remark17091 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp17092 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var seqno17093 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var todo17094 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id17095 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account17086.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor17089.setContextValue('mk',bp['mk']);
      actor17089.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account17086, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.account) The related Account.") }, "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "description", "editable": true, "editor": description17087, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.description) Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount17088, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor17089, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "periods", "editable": true, "editor": periods17090, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark17091, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno17093, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "todo", "editable": true, "editor": todo17094, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id17095, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.EntriesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.EntriesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.EntriesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/EntriesByBudget" };
  return new Lino.debts.EntriesByBudget.GridPanel(p);
});
Lino.debts.EntriesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.EntriesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/EntriesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.ExpensesByBudget
Lino.debts.ExpensesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ExpensesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "description" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "periods" }, { "name": "remark" }, { "name": "move_buttons" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ExpensesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausgaben",
  disabled_fields_index : 12,
  initComponent : function() {
    var ww = this.containing_window;
    var account1076 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ExpensesByBudget/account" }) }) });
    var description1077 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount1078 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor1079 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/ExpensesByBudget/actor" }) }) });
    var periods1080 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var remark1081 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp1082 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var seqno1083 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var todo1084 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1085 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account1076.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor1079.setContextValue('mk',bp['mk']);
      actor1079.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account1076, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.account) The related Account.") }, "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "description", "editable": true, "editor": description1077, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.description) Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount1078, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor1079, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "periods", "editable": true, "editor": periods1080, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark1081, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno1083, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "todo", "editable": true, "editor": todo1084, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id1085, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.ExpensesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.ExpensesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ExpensesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ExpensesByBudget" };
  return new Lino.debts.ExpensesByBudget.GridPanel(p);
});
Lino.debts.ExpensesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ExpensesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ExpensesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.IncomesByBudget
Lino.debts.IncomesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/IncomesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "description" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "periods" }, { "name": "remark" }, { "name": "move_buttons" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "todo" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/IncomesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Incomes",
  disabled_fields_index : 12,
  initComponent : function() {
    var ww = this.containing_window;
    var account1088 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/IncomesByBudget/account" }) }) });
    var description1089 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount1090 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor1091 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/IncomesByBudget/actor" }) }) });
    var periods1092 = new Ext.form.NumberField({ "allowBlank": true, "allowDecimals": false, "selectOnFocus": true, "value": 1 });
    var remark1093 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var move_buttons_disp1094 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var seqno1095 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var todo1096 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id1097 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account1088.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor1091.setContextValue('mk',bp['mk']);
      actor1091.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account1088, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.account) The related Account.") }, "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "description", "editable": true, "editor": description1089, "filter": { "type": "string" }, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.description) Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.") }, "sortable": true, "tooltip": "Beschreibung wird automatisch mit der Kontobezeichung \nausgef\u00fcllt. Kann man aber manuell \u00e4ndern. \nWenn man das Konto \u00e4ndert, gehen manuelle \u00c4nderungen in diesem Feld verloren.\nBeim Ausdruck steht in Kolonne \"Beschreibung\"\nlediglich der Inhalt dieses Feldes, der eventuellen Bemerkung sowie \n(falls angegeben bei Schulden) der Partner.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount1090, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor1091, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 4, "dataIndex": "periods", "editable": true, "editor": periods1092, "filter": { "type": "numeric" }, "format": "0.000/i", "header": "Perioden", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.periods) Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.") }, "sortable": true, "tooltip": "Gibt an, f\u00fcr wieviele Monate dieser Betrag sich versteht. \nAlso bei monatlichen Ausgaben steht hier 1, \nbei j\u00e4hrlichen Ausgaben 12.", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "remark", "editable": true, "editor": remark1093, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "align": "right", "colIndex": 7, "dataIndex": "seqno", "editable": true, "editor": seqno1095, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "todo", "editable": true, "editor": todo1096, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 9, "dataIndex": "id", "editable": true, "editor": id1097, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.IncomesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.IncomesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.IncomesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/IncomesByBudget" };
  return new Lino.debts.IncomesByBudget.GridPanel(p);
});
Lino.debts.IncomesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.IncomesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/IncomesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.LiabilitiesByBudget
Lino.debts.LiabilitiesByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/LiabilitiesByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "partner" }, 'partnerHidden', { "name": "remark" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "bailiff" }, 'bailiffHidden', { "name": "distribute", "type": "boolean" }, { "name": "monthly_rate" }, { "name": "move_buttons" }, { "name": "todo" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 15,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/LiabilitiesByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verpflichtungen",
  disabled_fields_index : 16,
  initComponent : function() {
    var ww = this.containing_window;
    var account1101 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/account" }) }) });
    var partner1102 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/partner" }) }) });
    var remark1103 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount1104 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor1105 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/actor" }) }) });
    var bailiff1106 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/LiabilitiesByBudget/bailiff" }) }) });
    var distribute1107 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var monthly_rate1108 = new Ext.form.NumberField({ "allowBlank": false, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true, "value": 0 });
    var move_buttons_disp1109 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var todo1110 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var seqno1111 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var id1112 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account1101.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor1105.setContextValue('mk',bp['mk']);
      actor1105.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account1101, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.account) The related Account.") }, "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "partner", "editable": true, "editor": partner1102, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark1103, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount1104, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "actor", "editable": true, "editor": actor1105, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "bailiff", "editable": true, "editor": bailiff1106, "filter": { "type": "string" }, "header": "Schuldeneintreiber", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.bailiff) Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency") }, "renderer": Lino.fk_renderer('bailiffHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Leave empty for simple debts, otherwise select         here the responsible bailiff or collection agency", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "distribute", "editable": true, "filter": { "type": "boolean" }, "header": "Verteilen", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.distribute) Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.") }, "sortable": false, "tooltip": "Ob diese Schuld in die Schuldenverteilung aufgenommen wird oder nicht.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "monthly_rate", "editable": true, "editor": monthly_rate1108, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Monatsrate", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.monthly_rate) \nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird. \nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ") }, "sortable": true, "tooltip": "\nEventueller Betrag monatlicher R\u00fcckzahlungen, \u00fcber deren Zahlung nicht verhandelt wird. \nWenn hier ein Betrag steht, darf \"Verteilen\" nicht angekreuzt sein.\n    ", "width": Lino.chars2width(11), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 9, "dataIndex": "todo", "editable": true, "editor": todo1110, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 10, "dataIndex": "seqno", "editable": true, "editor": seqno1111, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 11, "dataIndex": "id", "editable": true, "editor": id1112, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.LiabilitiesByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.LiabilitiesByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.LiabilitiesByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/LiabilitiesByBudget" };
  return new Lino.debts.LiabilitiesByBudget.GridPanel(p);
});
Lino.debts.LiabilitiesByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.LiabilitiesByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/LiabilitiesByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.AssetsByBudget
Lino.debts.AssetsByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AssetsByBudget",
  ls_store_fields : [ { "name": "account" }, 'accountHidden', { "name": "remark" }, { "name": "amount" }, { "name": "actor" }, 'actorHidden', { "name": "move_buttons" }, { "name": "todo" }, { "name": "seqno", "type": "int", "useNull": true }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verm\u00f6gen",
  disabled_fields_index : 10,
  initComponent : function() {
    var ww = this.containing_window;
    var account1115 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Konto ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Accounts", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AssetsByBudget/account" }) }) });
    var remark1116 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var amount1117 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var actor1118 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Budget-Akteur ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "debts.Actors", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/AssetsByBudget/actor" }) }) });
    var move_buttons_disp1119 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var todo1120 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var seqno1121 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var id1122 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
      account1115.setContextValue('account_type', record ? record.data['account_typeHidden'] : undefined);
      var bp = this.get_base_params();
      actor1118.setContextValue('mk',bp['mk']);
      actor1118.setContextValue('mt',bp['mt']);
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "account", "editable": true, "editor": account1115, "filter": { "type": "string" }, "header": "Konto", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.account) The related Account.") }, "sortable": false, "tooltip": "The related Account.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "remark", "editable": true, "editor": remark1116, "filter": { "type": "string" }, "header": "Bemerkung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.remark) Bemerkungen sind intern und werden nie ausgedruckt.") }, "sortable": true, "tooltip": "Bemerkungen sind intern und werden nie ausgedruckt.", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount1117, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 3, "dataIndex": "actor", "editable": true, "editor": actor1118, "filter": { "type": "string" }, "header": "Budget-Akteur", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.actor) Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.") }, "sortable": false, "tooltip": "Hier optional einen Akteur angeben, wenn der Eintrag \nsich nicht auf den Gesamthaushalt bezieht.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 5, "dataIndex": "todo", "editable": true, "editor": todo1120, "filter": { "type": "string" }, "header": "to do", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.todo) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 6, "dataIndex": "seqno", "editable": true, "editor": seqno1121, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id1122, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudget.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.debts.AssetsByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AssetsByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AssetsByBudget" };
  return new Lino.debts.AssetsByBudget.GridPanel(p);
});
Lino.debts.AssetsByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class debts.DistByBudget
Lino.debts.DistByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/DistByBudget",
  ls_store_fields : [ { "name": "partner" }, 'partnerHidden', { "name": "description" }, { "name": "amount" }, { "name": "dist_perc" }, { "name": "dist_amount" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 127,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/DistByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Schuldenverteilung",
  initComponent : function() {
    var ww = this.containing_window;
    var partner17097 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Partner ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Partners", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/debts/DistByBudget/partner" }) }) });
    var description_disp17098 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount17099 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var dist_perc17100 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    var dist_amount17101 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "partner", "editable": true, "editor": partner17097, "filter": { "type": "string" }, "header": "Partner", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.partner) ") }, "renderer": Lino.fk_renderer('partnerHidden','Lino.contacts.Partners.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.description) ") }, "sortable": false, "tooltip": "(debts.DistByBudget.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 2, "dataIndex": "amount", "editable": true, "editor": amount17099, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.amount) The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.") }, "sortable": true, "tooltip": "The amount of money. An empty amount is different from a zero\namount in that the latter will be printed while the former\nnot.", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "dist_perc", "editable": false, "format": "0.000,00/i", "header": "%", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.dist_perc) ") }, "sortable": true, "tooltip": "(debts.DistByBudget.dist_perc) ", "width": Lino.chars2width(9), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "dist_amount", "editable": false, "format": "0.000,00/i", "header": "Betrag der monatlichen R\u00fcckzahlung", "listeners": { "render": Lino.quicktip_renderer("","(debts.DistByBudget.dist_amount) ") }, "sortable": true, "tooltip": "(debts.DistByBudget.dist_amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.DistByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.DistByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/DistByBudget" };
  return new Lino.debts.DistByBudget.GridPanel(p);
});
Lino.debts.DistByBudget.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DistByBudget.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DistByBudget", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByType
Lino.notes.NotesByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    var ww = this.containing_window;
    var date2972 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time2973 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type2974 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/event_type" }) }) });
    var subject2975 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user2976 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/user" }) }) });
    var id2977 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project2978 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/project" }) }) });
    var build_time2979 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2980 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type2981 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_type" }) }) });
    var owner_id2982 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/owner_id" }) }) });
    var company2983 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/company" }) }) });
    var contact_person2984 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_person" }) }) });
    var contact_role2985 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/contact_role" }) }) });
    var body2986 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language2987 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important2988 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp2989 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp2990 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2991 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2992 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type2993 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByType/type" }) }) });
    this.before_row_edit = function(record) {
      owner_id2982.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person2984.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body2986.refresh();
      overview_htmlbox2991.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2981 !== 'undefined' && owner_type2981.on('change',Lino.chooser_handler(owner_id2982,'owner_type'));
      typeof company2983 !== 'undefined' && company2983.on('change',Lino.chooser_handler(contact_person2984,'company'));
      Lino.notes.NotesByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date2972, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time2973, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type2974, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject2975, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user2976, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2977, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project2978, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method2980, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type2981, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id2982, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company2983, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person2984, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role2985, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body2986, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language2987, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.name_column) ") }, "sortable": false, "tooltip": "(notes.NotesByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.overview) ") }, "sortable": false, "tooltip": "(notes.NotesByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "type", "editable": true, "editor": type2993, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.insertPanel(p);
});
Lino.notes.NotesByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByType.detail;
    this.ls_insert_handler = Lino.notes.NotesByType.insert;
    Lino.notes.NotesByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  return new Lino.notes.NotesByType.detailPanel(p);
});
Lino.notes.NotesByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByType.GridPanel(p);
});
Lino.notes.NotesByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByEventType
Lino.notes.NotesByEventType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByEventType",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "event_type" }, 'event_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByEventType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    var ww = this.containing_window;
    var date3028 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time3029 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var type3030 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/type" }) }) });
    var subject3031 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user3032 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/user" }) }) });
    var id3033 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project3034 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/project" }) }) });
    var build_time3035 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method3036 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type3037 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_type" }) }) });
    var owner_id3038 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/owner_id" }) }) });
    var company3039 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/company" }) }) });
    var contact_person3040 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_person" }) }) });
    var contact_role3041 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/contact_role" }) }) });
    var body3042 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language3043 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important3044 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp3045 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp3046 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3047 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3048 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var event_type3049 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByEventType/event_type" }) }) });
    this.before_row_edit = function(record) {
      owner_id3038.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person3040.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body3042.refresh();
      overview_htmlbox3047.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type3037 !== 'undefined' && owner_type3037.on('change',Lino.chooser_handler(owner_id3038,'owner_type'));
      typeof company3039 !== 'undefined' && company3039.on('change',Lino.chooser_handler(contact_person3040,'company'));
      Lino.notes.NotesByEventType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date3028, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time3029, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type3030, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "subject", "editable": true, "editor": subject3031, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "user", "editable": true, "editor": user3032, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id3033, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "project", "editable": true, "editor": project3034, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method3036, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type3037, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id3038, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company3039, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person3040, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role3041, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body3042, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language3043, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByEventType.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.name_column) ") }, "sortable": false, "tooltip": "(notes.NotesByEventType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.overview) ") }, "sortable": false, "tooltip": "(notes.NotesByEventType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "event_type", "editable": true, "editor": event_type3049, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByEventType.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByEventType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.insertPanel = Ext.extend(Lino.notes.Notes.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.insertPanel(p);
});
Lino.notes.NotesByEventType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByEventType.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByEventType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByEventType.detail;
    this.ls_insert_handler = Lino.notes.NotesByEventType.insert;
    Lino.notes.NotesByEventType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByEventType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  return new Lino.notes.NotesByEventType.detailPanel(p);
});
Lino.notes.NotesByEventType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByEventType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByEventType" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByEventType.GridPanel(p);
});
Lino.notes.NotesByEventType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByEventType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByProject
Lino.notes.NotesByProject.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByProject",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "project" }, 'projectHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByProject','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    var ww = this.containing_window;
    var date9323 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9324 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type9325 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/event_type" }) }) });
    var type9326 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/type" }) }) });
    var subject9327 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9328 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/user" }) }) });
    var id9329 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time9330 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9331 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9332 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_type" }) }) });
    var owner_id9333 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/owner_id" }) }) });
    var company9334 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/company" }) }) });
    var contact_person9335 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_person" }) }) });
    var contact_role9336 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/contact_role" }) }) });
    var body9337 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language9338 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important9339 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp9340 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp9341 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9342 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9343 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var project9344 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByProject/project" }) }) });
    this.before_row_edit = function(record) {
      owner_id9333.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9335.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body9337.refresh();
      overview_htmlbox9342.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9332 !== 'undefined' && owner_type9332.on('change',Lino.chooser_handler(owner_id9333,'owner_type'));
      typeof company9334 !== 'undefined' && company9334.on('change',Lino.chooser_handler(contact_person9335,'company'));
      Lino.notes.NotesByProject.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9323, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9324, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type9325, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9326, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject9327, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(41) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9328, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9329, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "build_method", "editable": true, "editor": build_method9331, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type9332, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id9333, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company9334, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person9335, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role9336, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body9337, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9338, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByProject.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.name_column) ") }, "sortable": false, "tooltip": "(notes.NotesByProject.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.overview) ") }, "sortable": false, "tooltip": "(notes.NotesByProject.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "project", "editable": true, "editor": project9344, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByProject.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByProject.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.insertPanel(p);
});
Lino.notes.NotesByProject.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByProject.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByProject",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByProject.detail;
    this.ls_insert_handler = Lino.notes.NotesByProject.insert;
    Lino.notes.NotesByProject.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByProject.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  return new Lino.notes.NotesByProject.detailPanel(p);
});
Lino.notes.NotesByProject.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByProject.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByProject" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByProject.GridPanel(p);
});
Lino.notes.NotesByProject.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByProject", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByCompany
Lino.notes.NotesByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByCompany",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "project" }, 'projectHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByCompany','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    var ww = this.containing_window;
    var date9346 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9347 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var project9348 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/project" }) }) });
    var event_type9349 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/event_type" }) }) });
    var type9350 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/type" }) }) });
    var subject9351 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9352 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/user" }) }) });
    var id9353 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_time9354 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9355 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9356 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_type" }) }) });
    var owner_id9357 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/owner_id" }) }) });
    var contact_person9358 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_person" }) }) });
    var contact_role9359 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/contact_role" }) }) });
    var body9360 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language9361 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important9362 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp9363 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp9364 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9365 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9366 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var company9367 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      owner_id9357.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person9358.setContextValue('mk',bp['mk']);
      contact_person9358.setContextValue('mt',bp['mt']);
      body9360.refresh();
      overview_htmlbox9365.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9356 !== 'undefined' && owner_type9356.on('change',Lino.chooser_handler(owner_id9357,'owner_type'));
      typeof company9367 !== 'undefined' && company9367.on('change',Lino.chooser_handler(contact_person9358,'company'));
      Lino.notes.NotesByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9346, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9347, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "project", "editable": true, "editor": project9348, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "event_type", "editable": true, "editor": event_type9349, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "type", "editable": true, "editor": type9350, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "subject", "editable": true, "editor": subject9351, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user9352, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id9353, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method9355, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type9356, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id9357, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person9358, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role9359, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body9360, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9361, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByCompany.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.name_column) ") }, "sortable": false, "tooltip": "(notes.NotesByCompany.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.overview) ") }, "sortable": false, "tooltip": "(notes.NotesByCompany.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "company", "editable": true, "editor": company9367, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByCompany.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.insertPanel(p);
});
Lino.notes.NotesByCompany.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByCompany.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByCompany",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByCompany.detail;
    this.ls_insert_handler = Lino.notes.NotesByCompany.insert;
    Lino.notes.NotesByCompany.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByCompany.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  return new Lino.notes.NotesByCompany.detailPanel(p);
});
Lino.notes.NotesByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByCompany" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByCompany.GridPanel(p);
});
Lino.notes.NotesByCompany.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByCompany", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByPerson
Lino.notes.NotesByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByPerson",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "owner" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    var ww = this.containing_window;
    var date9369 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9370 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type9371 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/event_type" }) }) });
    var type9372 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/type" }) }) });
    var subject9373 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9374 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/user" }) }) });
    var id9375 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project9376 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/project" }) }) });
    var build_time9377 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9378 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9379 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_type" }) }) });
    var owner_id9380 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/owner_id" }) }) });
    var company9381 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/company" }) }) });
    var contact_role9382 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_role" }) }) });
    var body9383 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language9384 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important9385 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var owner_disp9386 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    var name_column_disp9387 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9388 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9389 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_person9390 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      owner_id9380.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      body9383.refresh();
      overview_htmlbox9388.refresh();
      contact_person9390.setContextValue('company', record ? record.data['companyHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof owner_type9379 !== 'undefined' && owner_type9379.on('change',Lino.chooser_handler(owner_id9380,'owner_type'));
      typeof company9381 !== 'undefined' && company9381.on('change',Lino.chooser_handler(contact_person9390,'company'));
      Lino.notes.NotesByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9369, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9370, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type9371, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9372, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject9373, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9374, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9375, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project9376, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method9378, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type9379, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id9380, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company9381, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role9382, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "body", "editable": true, "editor": body9383, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9384, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByPerson.owner) ", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.name_column) ") }, "sortable": false, "tooltip": "(notes.NotesByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.overview) ") }, "sortable": false, "tooltip": "(notes.NotesByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "contact_person", "editable": true, "editor": contact_person9390, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByPerson.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) } ];
    Lino.notes.NotesByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.insertPanel(p);
});
Lino.notes.NotesByPerson.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByPerson.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByPerson",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByPerson.detail;
    this.ls_insert_handler = Lino.notes.NotesByPerson.insert;
    Lino.notes.NotesByPerson.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByPerson.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  return new Lino.notes.NotesByPerson.detailPanel(p);
});
Lino.notes.NotesByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByPerson" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByPerson.GridPanel(p);
});
Lino.notes.NotesByPerson.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByPerson", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByClient
Lino.aids.GrantingsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByClient",
  ls_store_fields : [ { "name": "detail_link" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "signer" }, 'signerHidden', { "name": "workflow_buttons" }, { "name": "board" }, 'boardHidden', { "name": "custom_actions" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "state" }, 'stateHidden', { "name": "aid_type" }, 'aid_typeHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "name_column" }, { "name": "overview" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 133,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  disabled_fields_index : 24,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    var ww = this.containing_window;
    var detail_link_disp1766 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date1767 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date1768 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var signer1769 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/signer" }) }) });
    var workflow_buttons_disp1770 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var board1771 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/board" }) }) });
    var custom_actions_disp1772 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id1773 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var user1774 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/user" }) }) });
    var decision_date1775 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var state1776 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var aid_type1777 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/aid_type" }) }) });
    var category1778 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/category" }) }) });
    var request_date1779 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var name_column_disp1780 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1781 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var client1782 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      board1771.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      overview_htmlbox1781.refresh();
    };
    this.onRender = function(ct, position) {
      typeof decision_date1775 !== 'undefined' && decision_date1775.on('change',Lino.chooser_handler(board1771,'decision_date'));
      Lino.aids.GrantingsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date1767, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "end_date", "editable": true, "editor": end_date1768, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "signer", "editable": true, "editor": signer1769, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "board", "editable": true, "editor": board1771, "filter": { "type": "string" }, "header": "Gremium", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "custom_actions", "editable": false, "header": "Aktionen", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.custom_actions) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.custom_actions) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 7, "dataIndex": "id", "editable": true, "editor": id1773, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 8, "dataIndex": "user", "editable": true, "editor": user1774, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "decision_date", "editable": true, "editor": decision_date1775, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "state", "editable": true, "editor": state1776, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 11, "dataIndex": "aid_type", "editable": true, "editor": aid_type1777, "filter": { "type": "string" }, "header": "Hilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "category", "editable": true, "editor": category1778, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "request_date", "editable": true, "editor": request_date1779, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.name_column) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.overview) ") }, "sortable": false, "tooltip": "(aids.GrantingsByClient.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "client", "editable": true, "editor": client1782, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByClient.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.insertPanel = Ext.extend(Lino.aids.GrantingsByClient.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.insertPanel(p);
});
Lino.aids.GrantingsByClient.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByClient.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByClient",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByClient.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByClient.insert;
    Lino.aids.GrantingsByClient.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByClient.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  return new Lino.aids.GrantingsByClient.detailPanel(p);
});
Lino.aids.GrantingsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByClient" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByClient.GridPanel(p);
});
Lino.aids.GrantingsByClient.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByClient.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByClient", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.GrantingsByType
Lino.aids.GrantingsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/GrantingsByType",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "client" }, 'clientHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "user" }, 'userHidden', { "dateFormat": "d.m.Y", "name": "decision_date", "type": "date" }, { "name": "board" }, 'boardHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "category" }, 'categoryHidden', { "dateFormat": "d.m.Y", "name": "request_date", "type": "date" }, { "name": "custom_actions" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "aid_type" }, 'aid_typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 133,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/GrantingsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebeschl\u00fcsse",
  disabled_fields_index : 24,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    var ww = this.containing_window;
    var detail_link_disp3267 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var client3268 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/client" }) }) });
    var start_date3269 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var end_date3270 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id3271 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var user3272 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/user" }) }) });
    var decision_date3273 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var board3274 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Gremium ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "boards.Boards", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/board" }) }) });
    var signer3275 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/signer" }) }) });
    var state3276 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var category3277 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/category" }) }) });
    var request_date3278 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var custom_actions_disp3279 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var name_column_disp3280 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3281 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3282 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var aid_type3283 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Hilfeart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.AidTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/GrantingsByType/aid_type" }) }) });
    this.before_row_edit = function(record) {
      board3274.setContextValue('decision_date', record ? record.data['decision_date'] : undefined);
      overview_htmlbox3281.refresh();
    };
    this.onRender = function(ct, position) {
      typeof decision_date3273 !== 'undefined' && decision_date3273.on('change',Lino.chooser_handler(board3274,'decision_date'));
      Lino.aids.GrantingsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.detail_link) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client3268, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.client) Pointer to the lino_welfare.modlib.pcsw.models.Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the lino_welfare.modlib.pcsw.models.Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "start_date", "editable": true, "editor": start_date3269, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Laufzeit von", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "end_date", "editable": true, "editor": end_date3270, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3271, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user3272, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "decision_date", "editable": true, "editor": decision_date3273, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beschlossen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.decision_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 7, "dataIndex": "board", "editable": true, "editor": board3274, "filter": { "type": "string" }, "header": "Gremium", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.board) Pointer to the Board\nwhich decided to allocate this aid project.") }, "sortable": false, "tooltip": "Pointer to the Board\nwhich decided to allocate this aid project.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "signer", "editable": true, "editor": signer3275, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.signer) Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).") }, "sortable": false, "tooltip": "Pointer to the user who is expected to \"sign\" this granting\n(i.e. to confirm that it is real).", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "state", "editable": true, "editor": state3276, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 10, "dataIndex": "category", "editable": true, "editor": category3277, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.category) Currently only used for printing an isip.Contract.") }, "sortable": false, "tooltip": "Currently only used for printing an isip.Contract.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "request_date", "editable": true, "editor": request_date3278, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum der Anfrage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.request_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "custom_actions", "editable": false, "header": "Aktionen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.custom_actions) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.custom_actions) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.name_column) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 14, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.overview) ") }, "sortable": false, "tooltip": "(aids.GrantingsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 15, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "aid_type", "editable": true, "editor": aid_type3283, "filter": { "type": "string" }, "header": "Hilfeart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.GrantingsByType.aid_type) The type of aid being granted. Mandatory.\nPointer to the AidType.") }, "sortable": false, "tooltip": "The type of aid being granted. Mandatory.\nPointer to the AidType.", "width": Lino.chars2width(21) } ];
    Lino.aids.GrantingsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.insertPanel = Ext.extend(Lino.aids.Grantings.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.insertPanel(p);
});
Lino.aids.GrantingsByType.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.GrantingsByType.detailPanel = Ext.extend(Lino.aids.Grantings.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Hilfebeschluss) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/GrantingsByType",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.GrantingsByType.detail;
    this.ls_insert_handler = Lino.aids.GrantingsByType.insert;
    Lino.aids.GrantingsByType.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.GrantingsByType.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  return new Lino.aids.GrantingsByType.detailPanel(p);
});
Lino.aids.GrantingsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/GrantingsByType" };
  p.params_panel = new Lino.aids.Grantings.ParamsPanel({});
  return new Lino.aids.GrantingsByType.GridPanel(p);
});
Lino.aids.GrantingsByType.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.GrantingsByType.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/GrantingsByType", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.SimpleConfirmationsByGranting
Lino.aids.SimpleConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/SimpleConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/SimpleConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einfache Bescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einfache Bescheinigungen",
  disabled_fields_index : 30,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id9392 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9393 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/client" }) }) });
    var granting9394 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/granting" }) }) });
    var start_date9395 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9396 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created9397 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user9398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/user" }) }) });
    var company9399 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/company" }) }) });
    var contact_person9400 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_person" }) }) });
    var contact_role9401 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/contact_role" }) }) });
    var printed_by9402 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer9403 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/SimpleConfirmationsByGranting/signer" }) }) });
    var state9404 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark9405 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language9406 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var name_column_disp9407 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9408 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9409 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp9410 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp9411 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      contact_person9400.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark9405.refresh();
      overview_htmlbox9408.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9399 !== 'undefined' && company9399.on('change',Lino.chooser_handler(contact_person9400,'company'));
      Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9392, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9393, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting9394, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date9395, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date9396, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user9398, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company9399, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person9400, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role9401, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer9403, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state9404, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark9405, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9406, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.name_column) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmationsByGranting.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 16, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.overview) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmationsByGranting.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 18, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.created_natural) ") }, "sortable": false, "tooltip": "(aids.SimpleConfirmationsByGranting.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.SimpleConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.aids.SimpleConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.SimpleConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(16), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(50) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.insertPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.SimpleConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.SimpleConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einfache Bescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einfache Bescheinigung", "overflowText": "Einfache Bescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/SimpleConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.SimpleConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.SimpleConfirmationsByGranting.insert;
    Lino.aids.SimpleConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.SimpleConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  return new Lino.aids.SimpleConfirmationsByGranting.detailPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/SimpleConfirmationsByGranting" };
  p.params_panel = new Lino.aids.SimpleConfirmations.ParamsPanel({});
  return new Lino.aids.SimpleConfirmationsByGranting.GridPanel(p);
});
Lino.aids.SimpleConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.SimpleConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/SimpleConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByGranting
Lino.aids.IncomeConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "category" }, 'categoryHidden', { "name": "amount" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "printed" }, { "name": "granting" }, 'grantingHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einkommensbescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id9413 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9414 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/client" }) }) });
    var category9415 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/category" }) }) });
    var amount9416 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "selectOnFocus": true });
    var start_date9417 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9418 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created9419 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user9420 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/user" }) }) });
    var company9421 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/company" }) }) });
    var contact_person9422 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_person" }) }) });
    var contact_role9423 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/contact_role" }) }) });
    var printed_by9424 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer9425 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/signer" }) }) });
    var state9426 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark9427 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language9428 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var name_column_disp9429 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9430 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9431 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp9432 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp9433 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var granting9434 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByGranting/granting" }) }) });
    this.before_row_edit = function(record) {
      contact_person9422.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark9427.refresh();
      overview_htmlbox9430.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9421 !== 'undefined' && company9421.on('change',Lino.chooser_handler(contact_person9422,'company'));
      Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9413, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9414, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "category", "editable": true, "editor": category9415, "filter": { "type": "string" }, "header": "Kategorie", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "amount", "editable": true, "editor": amount9416, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date9417, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date9418, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "user", "editable": true, "editor": user9420, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company9421, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9422, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role9423, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "signer", "editable": true, "editor": signer9425, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "state", "editable": true, "editor": state9426, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 14, "dataIndex": "remark", "editable": true, "editor": remark9427, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 15, "dataIndex": "language", "editable": true, "editor": language9428, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.name_column) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByGranting.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 17, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.overview) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByGranting.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 18, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 19, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.created_natural) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByGranting.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "granting", "editable": true, "editor": granting9434, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.IncomeConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.insertPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Einkommensbescheinigung) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.IncomeConfirmationsByGranting.insert;
    Lino.aids.IncomeConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  return new Lino.aids.IncomeConfirmationsByGranting.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByGranting" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByGranting.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.IncomeConfirmationsByCategory
Lino.aids.IncomeConfirmationsByCategory.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/IncomeConfirmationsByCategory",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "amount" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "category" }, 'categoryHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 135,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/IncomeConfirmationsByCategory','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einkommensbescheinigungen",
  disabled_fields_index : 34,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    var ww = this.containing_window;
    var detail_link_disp3073 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created3074 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user3075 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/user" }) }) });
    var printed_disp3076 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date3077 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date3078 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var id3079 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var company3080 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/company" }) }) });
    var contact_person3081 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_person" }) }) });
    var contact_role3082 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/contact_role" }) }) });
    var printed_by3083 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer3084 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/signer" }) }) });
    var state3085 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var client3086 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/client" }) }) });
    var granting3087 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/granting" }) }) });
    var remark3088 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language3089 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var amount3090 = new Ext.form.NumberField({ "allowBlank": true, "decimalPrecision": 2, "decimalSeparator": ",", "hidden": true, "selectOnFocus": true });
    var name_column_disp3091 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3092 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3093 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp3094 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var category3095 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kategorie ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "aids.Categories", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/IncomeConfirmationsByCategory/category" }) }) });
    this.before_row_edit = function(record) {
      contact_person3081.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark3088.refresh();
      overview_htmlbox3092.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company3080 !== 'undefined' && company3080.on('change',Lino.chooser_handler(contact_person3081,'company'));
      Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Einkommensbescheinigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.detail_link) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user3075, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date3077, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date3078, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id3079, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company3080, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person3081, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role3082, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer3084, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state3085, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "client", "editable": true, "editor": client3086, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "granting", "editable": true, "editor": granting3087, "filter": { "type": "string" }, "header": "Hilfebeschluss", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "remark", "editable": true, "editor": remark3088, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language3089, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 17, "dataIndex": "amount", "editable": true, "editor": amount3090, "filter": { "type": "numeric" }, "format": "0.000,00/i", "header": "Betrag", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.amount) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(13), "xtype": "numbercolumn" }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.name_column) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.overview) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.created_natural) ") }, "sortable": false, "tooltip": "(aids.IncomeConfirmationsByCategory.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "category", "editable": true, "editor": category3095, "filter": { "type": "string" }, "header": "Kategorie", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.IncomeConfirmationsByCategory.category) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) } ];
    Lino.aids.IncomeConfirmationsByCategory.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.IncomeConfirmationsByCategory.detailPanel = Ext.extend(Lino.aids.IncomeConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Einkommensbescheinigung", "overflowText": "Einkommensbescheinigung", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/IncomeConfirmationsByCategory",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.IncomeConfirmationsByCategory.detail;
    Lino.aids.IncomeConfirmationsByCategory.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.IncomeConfirmationsByCategory.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  return new Lino.aids.IncomeConfirmationsByCategory.detailPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/IncomeConfirmationsByCategory" };
  p.params_panel = new Lino.aids.IncomeConfirmations.ParamsPanel({});
  return new Lino.aids.IncomeConfirmationsByCategory.GridPanel(p);
});
Lino.aids.IncomeConfirmationsByCategory.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.IncomeConfirmationsByCategory.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/IncomeConfirmationsByCategory", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class aids.RefundConfirmationsByGranting
Lino.aids.RefundConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/RefundConfirmationsByGranting",
  ls_store_fields : [ { "name": "id", "type": "int" }, { "name": "client" }, 'clientHidden', { "name": "granting" }, 'grantingHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "printed_by" }, 'printed_byHidden', { "name": "signer" }, 'signerHidden', { "name": "state" }, 'stateHidden', { "name": "remark" }, { "name": "language" }, 'languageHidden', { "name": "doctor_type" }, 'doctor_typeHidden', { "name": "doctor" }, 'doctorHidden', { "name": "pharmacy" }, 'pharmacyHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "created_natural" }, { "name": "printed" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 0,
  content_type : 136,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/RefundConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kosten\u00fcbernahmeschein) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kosten\u00fcbernahmescheine",
  disabled_fields_index : 36,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    var ww = this.containing_window;
    var id9436 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var client9437 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/client" }) }) });
    var granting9438 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Hilfebeschluss ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "aids.Grantings", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/granting" }) }) });
    var start_date9439 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9440 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var created9441 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var user9442 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/user" }) }) });
    var company9443 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/company" }) }) });
    var contact_person9444 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_person" }) }) });
    var contact_role9445 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/contact_role" }) }) });
    var printed_by9446 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Auszug ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "excerpts.Excerpts" });
    var signer9447 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/signer" }) }) });
    var state9448 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.aids.ConfirmationStates });
    var remark9449 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Bemerkung" });
    var language9450 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var doctor_type9451 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor_type" }) }) });
    var doctor9452 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": true, "emptyText": "Person ausw\u00e4hlen...", "forceSelection": false, "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/doctor" }) }) });
    var pharmacy9453 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/aids/RefundConfirmationsByGranting/pharmacy" }) }) });
    var name_column_disp9454 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9455 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9456 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var created_natural_disp9457 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var printed_disp9458 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
      contact_person9444.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      remark9449.refresh();
      doctor9452.setContextValue('doctor_type', record ? record.data['doctor_typeHidden'] : undefined);
      var bp = this.get_base_params();
      pharmacy9453.setContextValue('mk',bp['mk']);
      pharmacy9453.setContextValue('mt',bp['mt']);
      overview_htmlbox9455.refresh();
    };
    this.onRender = function(ct, position) {
      typeof company9443 !== 'undefined' && company9443.on('change',Lino.chooser_handler(contact_person9444,'company'));
      typeof doctor_type9451 !== 'undefined' && doctor_type9451.on('change',Lino.chooser_handler(doctor9452,'doctor_type'));
      typeof granting9438 !== 'undefined' && granting9438.on('change',Lino.chooser_handler(pharmacy9453,'granting'));
      Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "id", "editable": true, "editor": id9436, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9437, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.client) ") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "granting", "editable": true, "editor": granting9438, "filter": { "type": "string" }, "header": "Hilfebeschluss", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.granting) ") }, "renderer": Lino.fk_renderer('grantingHidden','Lino.aids.Grantings.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "start_date", "editable": true, "editor": start_date9439, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 4, "dataIndex": "end_date", "editable": true, "editor": end_date9440, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 6, "dataIndex": "user", "editable": true, "editor": user9442, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "company", "editable": true, "editor": company9443, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "contact_person", "editable": true, "editor": contact_person9444, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_role", "editable": true, "editor": contact_role9445, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "printed_by", "editable": false, "filter": { "type": "string" }, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.printed_by) ForeignKey to the Excerpt which certifies this instance.") }, "renderer": Lino.fk_renderer('printed_byHidden','Lino.excerpts.Excerpts.detail'), "sortable": false, "tooltip": "ForeignKey to the Excerpt which certifies this instance.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "signer", "editable": true, "editor": signer9447, "filter": { "type": "string" }, "header": "Best\u00e4tiger", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "state", "editable": true, "editor": state9448, "filter": { "options": [ "Unbest\u00e4tigt", "Best\u00e4tigt" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.state) The confirmation state of this object. Pointer to\nConfirmationStates.") }, "sortable": false, "tooltip": "The confirmation state of this object. Pointer to\nConfirmationStates.", "width": Lino.chars2width(15) }, { "colIndex": 13, "dataIndex": "remark", "editable": true, "editor": remark9449, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 14, "dataIndex": "language", "editable": true, "editor": language9450, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "doctor_type", "editable": true, "editor": doctor_type9451, "filter": { "type": "string" }, "header": "Art des Arztes", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "doctor", "editable": true, "editor": doctor9452, "filter": { "type": "string" }, "header": "Arzt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.doctor) ") }, "renderer": Lino.fk_renderer('doctorHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "pharmacy", "editable": true, "editor": pharmacy9453, "filter": { "type": "string" }, "header": "Apotheke", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.pharmacy) ") }, "renderer": Lino.fk_renderer('pharmacyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.name_column) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmationsByGranting.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.overview) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmationsByGranting.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.created_natural) ") }, "sortable": false, "tooltip": "(aids.RefundConfirmationsByGranting.created_natural) ", "width": Lino.chars2width(31) }, { "colIndex": 22, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.RefundConfirmationsByGranting.printed) Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.") }, "sortable": false, "tooltip": "Displays information about when this certifiable has been printed.\nClicking on it will display the excerpt pointed to by\nprinted_by.", "width": Lino.chars2width(31) } ];
    Lino.aids.RefundConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.insertPanel = Ext.extend(Lino.aids.RefundConfirmationsByGranting.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.insertPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.aids.RefundConfirmationsByGranting.detailPanel = Ext.extend(Lino.aids.RefundConfirmations.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kosten\u00fcbernahmeschein) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Kosten\u00fcbernahmeschein", "overflowText": "Kosten\u00fcbernahmeschein", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Auszug von diesem Datensatz erstellen zwecks Ausdruck.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "clear_printed", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('clear_printed','GET',null), "tooltip": "Clear any previously generated printable document.  Mark this\nobject as not printed. A subsequent call to print will generate a\nnew cache file.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/aids/RefundConfirmationsByGranting",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.aids.RefundConfirmationsByGranting.detail;
    this.ls_insert_handler = Lino.aids.RefundConfirmationsByGranting.insert;
    Lino.aids.RefundConfirmationsByGranting.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.RefundConfirmationsByGranting.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  return new Lino.aids.RefundConfirmationsByGranting.detailPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.clear_printed = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "clear_printed", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/RefundConfirmationsByGranting" };
  p.params_panel = new Lino.aids.RefundConfirmations.ParamsPanel({});
  return new Lino.aids.RefundConfirmationsByGranting.GridPanel(p);
});
Lino.aids.RefundConfirmationsByGranting.revoke = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "revoke", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.sign = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "GET", pk, "sign", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.RefundConfirmationsByGranting.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/RefundConfirmationsByGranting", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dashboard.WidgetsByUser
Lino.dashboard.WidgetsByUser.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dashboard/WidgetsByUser",
  ls_store_fields : [ { "name": "seqno", "type": "int", "useNull": true }, { "name": "move_buttons" }, { "name": "title" }, { "name": "visible", "type": "boolean" }, { "name": "id", "type": "int" }, { "name": "item_name" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "user" }, 'userHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 4,
  content_type : 138,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dashboard/WidgetsByUser','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren (verdoppeln).", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_down", "menu_item_text": "\u25bc", "overflowText": "\u25bc", "panel_btn_handler": Lino.row_action_handler('move_down','GET',null), "text": " <font size=\"4\">\u25bc</font>", "tooltip": "Exchange the seqno of this item and the next item.", "tooltipType": "title" }, { "auto_save": true, "itemId": "move_up", "menu_item_text": "\u25b2", "overflowText": "\u25b2", "panel_btn_handler": Lino.row_action_handler('move_up','GET',null), "text": " <font size=\"4\">\u25b2</font>", "tooltip": "Exchange the seqno of this item and the previous item.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Dashboard",
  disabled_fields_index : 11,
  initComponent : function() {
    var ww = this.containing_window;
    var seqno1667 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var move_buttons_disp1668 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var title_disp1669 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var visible1670 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var id1671 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var item_name1672 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/item_name" }) }) });
    var name_column_disp1673 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1674 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp1675 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var user1676 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/dashboard/WidgetsByUser/user" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      item_name1672.setContextValue('mk',bp['mk']);
      item_name1672.setContextValue('mt',bp['mt']);
      overview_htmlbox1674.refresh();
    };
    this.onRender = function(ct, position) {
      typeof user1676 !== 'undefined' && user1676.on('change',Lino.chooser_handler(item_name1672,'user'));
      Lino.dashboard.WidgetsByUser.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "align": "right", "colIndex": 0, "dataIndex": "seqno", "editable": true, "editor": seqno1667, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.seqno) The sequence number of this item with its parent.") }, "sortable": true, "tooltip": "The sequence number of this item with its parent.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 1, "dataIndex": "move_buttons", "editable": false, "header": "Bearbeiten", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.move_buttons) Displays buttons for certain actions on this row:") }, "sortable": false, "tooltip": "Displays buttons for certain actions on this row:", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "title", "editable": false, "header": "Label", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.title) ") }, "sortable": false, "tooltip": "(dashboard.WidgetsByUser.title) ", "width": Lino.chars2width(31) }, { "colIndex": 3, "dataIndex": "visible", "editable": true, "filter": { "type": "boolean" }, "header": "Sichtbar", "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.visible) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1671, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "item_name", "editable": true, "editor": item_name1672, "filter": { "type": "string" }, "header": "Resource", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.item_name) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.name_column) ") }, "sortable": false, "tooltip": "(dashboard.WidgetsByUser.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.overview) ") }, "sortable": false, "tooltip": "(dashboard.WidgetsByUser.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "user", "editable": true, "editor": user1676, "filter": { "type": "string" }, "header": "Autor", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dashboard.WidgetsByUser.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) } ];
    Lino.dashboard.WidgetsByUser.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dashboard.WidgetsByUser.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dashboard/WidgetsByUser" };
  p.params_panel = new Lino.dashboard.Widgets.ParamsPanel({});
  return new Lino.dashboard.WidgetsByUser.GridPanel(p);
});
Lino.dashboard.WidgetsByUser.move_by_n = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_by_n", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_down = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_down", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dashboard.WidgetsByUser.move_up = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dashboard/WidgetsByUser", "GET", pk, "move_up", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class dupable_clients.WordsByOwner
Lino.dupable_clients.WordsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/WordsByOwner",
  ls_store_fields : [ { "name": "word" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 1,
  content_type : 139,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/WordsByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Phonetische W\u00f6rter",
  disabled_fields_index : 2,
  initComponent : function() {
    var ww = this.containing_window;
    var word9474 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 100, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "word", "editable": true, "editor": word9474, "filter": { "type": "string" }, "header": "word", "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.WordsByOwner.word) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) } ];
    Lino.dupable_clients.WordsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.WordsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/WordsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.WordsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/WordsByOwner" };
  return new Lino.dupable_clients.WordsByOwner.GridPanel(p);
});

// js_render_GridPanel_class clients.ContactsByClient
Lino.clients.ContactsByClient.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ContactsByClient",
  ls_store_fields : [ { "name": "type" }, 'typeHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "client" }, 'clientHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ContactsByClient','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontakte",
  disabled_fields_index : 15,
  initComponent : function() {
    var ww = this.containing_window;
    var type1700 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/type" }) }) });
    var company1701 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/company" }) }) });
    var contact_person1702 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_person" }) }) });
    var remark1703 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id1704 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role1705 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/contact_role" }) }) });
    var name_column_disp1706 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox1707 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp1708 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var client1709 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ContactsByClient/client" }) }) });
    this.before_row_edit = function(record) {
      company1701.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      contact_person1702.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person1702.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      overview_htmlbox1707.refresh();
    };
    this.onRender = function(ct, position) {
      typeof type1700 !== 'undefined' && type1700.on('change',Lino.chooser_handler(company1701,'type'));
      typeof company1701 !== 'undefined' && company1701.on('change',Lino.chooser_handler(contact_person1702,'company'));
      typeof type1700 !== 'undefined' && type1700.on('change',Lino.chooser_handler(contact_person1702,'type'));
      Lino.clients.ContactsByClient.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "type", "editable": true, "editor": type1700, "filter": { "type": "string" }, "header": "Klientenkontaktart", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "company", "editable": true, "editor": company1701, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "contact_person", "editable": true, "editor": contact_person1702, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark1703, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id1704, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role1705, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.name_column) ") }, "sortable": false, "tooltip": "(clients.ContactsByClient.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.overview) ") }, "sortable": false, "tooltip": "(clients.ContactsByClient.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "client", "editable": true, "editor": client1709, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ContactsByClient.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) } ];
    Lino.clients.ContactsByClient.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ContactsByClient.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ContactsByClient", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ContactsByClient.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ContactsByClient" };
  return new Lino.clients.ContactsByClient.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByType
Lino.clients.ClientContactsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByType",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "type" }, 'typeHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontakte",
  disabled_fields_index : 15,
  initComponent : function() {
    var ww = this.containing_window;
    var company3604 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/company" }) }) });
    var contact_person3605 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_person" }) }) });
    var client3606 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/client" }) }) });
    var remark3607 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id3608 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role3609 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/contact_role" }) }) });
    var name_column_disp3610 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3611 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3612 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type3613 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByType/type" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      company3604.setContextValue('mk',bp['mk']);
      company3604.setContextValue('mt',bp['mt']);
      contact_person3605.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      var bp = this.get_base_params();
      contact_person3605.setContextValue('mk',bp['mk']);
      contact_person3605.setContextValue('mt',bp['mt']);
      overview_htmlbox3611.refresh();
    };
    this.onRender = function(ct, position) {
      typeof type3613 !== 'undefined' && type3613.on('change',Lino.chooser_handler(company3604,'type'));
      typeof company3604 !== 'undefined' && company3604.on('change',Lino.chooser_handler(contact_person3605,'company'));
      typeof type3613 !== 'undefined' && type3613.on('change',Lino.chooser_handler(contact_person3605,'type'));
      Lino.clients.ClientContactsByType.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company3604, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person3605, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "client", "editable": true, "editor": client3606, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "remark", "editable": true, "editor": remark3607, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id3608, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "contact_role", "editable": true, "editor": contact_role3609, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.name_column) ") }, "sortable": false, "tooltip": "(clients.ClientContactsByType.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.overview) ") }, "sortable": false, "tooltip": "(clients.ClientContactsByType.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "type", "editable": true, "editor": type3613, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByType.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByType" };
  return new Lino.clients.ClientContactsByType.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByCompany
Lino.clients.ClientContactsByCompany.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByCompany",
  ls_store_fields : [ { "name": "client" }, 'clientHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "company" }, 'companyHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByCompany','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  disabled_fields_index : 15,
  initComponent : function() {
    var ww = this.containing_window;
    var client9476 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/client" }) }) });
    var contact_person9477 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_person" }) }) });
    var remark9478 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id9479 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role9480 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/contact_role" }) }) });
    var type9481 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/type" }) }) });
    var name_column_disp9482 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9483 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9484 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var company9485 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByCompany/company" }) }) });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      contact_person9477.setContextValue('mk',bp['mk']);
      contact_person9477.setContextValue('mt',bp['mt']);
      contact_person9477.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      overview_htmlbox9483.refresh();
      company9485.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof company9485 !== 'undefined' && company9485.on('change',Lino.chooser_handler(contact_person9477,'company'));
      typeof type9481 !== 'undefined' && type9481.on('change',Lino.chooser_handler(contact_person9477,'type'));
      typeof type9481 !== 'undefined' && type9481.on('change',Lino.chooser_handler(company9485,'type'));
      Lino.clients.ClientContactsByCompany.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "client", "editable": true, "editor": client9476, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "contact_person", "editable": true, "editor": contact_person9477, "filter": { "type": "string" }, "header": "Kontaktperson", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark9478, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9479, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role9480, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type9481, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.name_column) ") }, "sortable": false, "tooltip": "(clients.ClientContactsByCompany.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.overview) ") }, "sortable": false, "tooltip": "(clients.ClientContactsByCompany.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "company", "editable": true, "editor": company9485, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByCompany.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByCompany.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByCompany.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByCompany", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByCompany.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByCompany" };
  return new Lino.clients.ClientContactsByCompany.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientContactsByPerson
Lino.clients.ClientContactsByPerson.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientContactsByPerson",
  ls_store_fields : [ { "name": "company" }, 'companyHidden', { "name": "client" }, 'clientHidden', { "name": "remark" }, { "name": "id", "type": "int" }, { "name": "contact_role" }, 'contact_roleHidden', { "name": "type" }, 'typeHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "contact_person" }, 'contact_personHidden', { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 44,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientContactsByPerson','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Klientenkontakte",
  disabled_fields_index : 15,
  initComponent : function() {
    var ww = this.containing_window;
    var company9487 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Organisation ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/company" }) }) });
    var client9488 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/client" }) }) });
    var remark9489 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "selectOnFocus": true });
    var id9490 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var contact_role9491 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_role" }) }) });
    var type9492 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klientenkontaktart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "clients.ClientContactTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/type" }) }) });
    var name_column_disp9493 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9494 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9495 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var contact_person9496 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/clients/ClientContactsByPerson/contact_person" }) }) });
    this.before_row_edit = function(record) {
      company9487.setContextValue('type', record ? record.data['typeHidden'] : undefined);
      overview_htmlbox9494.refresh();
      contact_person9496.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      contact_person9496.setContextValue('type', record ? record.data['typeHidden'] : undefined);
    };
    this.onRender = function(ct, position) {
      typeof type9492 !== 'undefined' && type9492.on('change',Lino.chooser_handler(company9487,'type'));
      typeof company9487 !== 'undefined' && company9487.on('change',Lino.chooser_handler(contact_person9496,'company'));
      typeof type9492 !== 'undefined' && type9492.on('change',Lino.chooser_handler(contact_person9496,'type'));
      Lino.clients.ClientContactsByPerson.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "company", "editable": true, "editor": company9487, "filter": { "type": "string" }, "header": "Organisation", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.company) The organization.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The organization.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "client", "editable": true, "editor": client9488, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.client) The Client.") }, "renderer": Lino.fk_renderer('clientHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "The Client.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "remark", "editable": true, "editor": remark9489, "filter": { "type": "string" }, "header": "Bemerkungen", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9490, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "contact_role", "editable": true, "editor": contact_role9491, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_role) The role of the contact person in the organization.") }, "sortable": false, "tooltip": "The role of the contact person in the organization.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "type", "editable": true, "editor": type9492, "filter": { "type": "string" }, "header": "Klientenkontaktart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.type) The type of contact. Pointer to ClientContactType.") }, "sortable": false, "tooltip": "The type of contact. Pointer to ClientContactType.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.name_column) ") }, "sortable": false, "tooltip": "(clients.ClientContactsByPerson.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.overview) ") }, "sortable": false, "tooltip": "(clients.ClientContactsByPerson.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9496, "filter": { "type": "string" }, "header": "Kontaktperson", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientContactsByPerson.contact_person) The contact person in the organization.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The contact person in the organization.", "width": Lino.chars2width(21) } ];
    Lino.clients.ClientContactsByPerson.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientContactsByPerson.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientContactsByPerson", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientContactsByPerson.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientContactsByPerson" };
  return new Lino.clients.ClientContactsByPerson.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangesByMaster
Lino.changes.ChangesByMaster.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangesByMaster",
  ls_store_fields : [ { "name": "time" }, { "name": "user" }, 'userHidden', { "name": "type" }, 'typeHidden', { "name": "changed_fields" }, { "name": "object" }, { "name": "id", "type": "int" }, { "name": "object_type" }, 'object_typeHidden', { "name": "object_id" }, 'object_idHidden', { "name": "master_type" }, 'master_typeHidden', { "name": "master_id" }, 'master_idHidden', { "name": "diff" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "master" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 15,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/changes/ChangesByMaster','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungen",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    var ww = this.containing_window;
    var time3568 = new Ext.form.DisplayField({ "allowBlank": false, "selectOnFocus": true, "value": "<br>" });
    var user3569 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/user" }) }) });
    var type3570 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.changes.ChangeTypes });
    var changed_fields3571 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 250, "selectOnFocus": true });
    var object_disp3572 = new Ext.form.DisplayField({ "disabled": true });
    var id3573 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var object_type3574 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_type" }) }) });
    var object_id3575 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/object_id" }) }) });
    var master_type3576 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_type" }) }) });
    var master_id3577 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/changes/ChangesByMaster/master_id" }) }) });
    var diff3578 = new Ext.form.TextArea({ "disabled": true, "growMax": 2000, "hidden": true });
    var name_column_disp3579 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox3580 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp3581 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var master_disp3582 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      overview_htmlbox3580.refresh();
    };
    this.onRender = function(ct, position) {
      typeof object_type3574 !== 'undefined' && object_type3574.on('change',Lino.chooser_handler(object_id3575,'object_type'));
      typeof master_type3576 !== 'undefined' && master_type3576.on('change',Lino.chooser_handler(master_id3577,'master_type'));
      Lino.changes.ChangesByMaster.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "time", "editable": true, "editor": time3568, "header": "time", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "user", "editable": true, "editor": user3569, "filter": { "type": "string" }, "header": "Benutzer", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.user) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type3570, "filter": { "options": [ "Erstellen", "Aktualisierung", "L\u00f6schen", "Remove child", "Add child", "Fusionieren" ], "type": "list" }, "header": "\u00c4nderungsart", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(18) }, { "colIndex": 3, "dataIndex": "changed_fields", "editable": true, "editor": changed_fields3571, "filter": { "type": "string" }, "header": "Felder", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.changed_fields) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "object", "editable": false, "header": "Object", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object) The database object which has been modified.") }, "sortable": false, "tooltip": "The database object which has been modified.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id3573, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "object_type", "editable": true, "editor": object_type3574, "filter": { "type": "string" }, "header": "Object type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "object_id", "editable": true, "editor": object_id3575, "filter": { "type": "string" }, "header": "object id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.object_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "master_type", "editable": true, "editor": master_type3576, "filter": { "type": "string" }, "header": "Master type", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "master_id", "editable": true, "editor": master_id3577, "filter": { "type": "string" }, "header": "master id", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 10, "dataIndex": "diff", "editable": false, "filter": { "type": "string" }, "header": "\u00c4nderungen", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.diff) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 11, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.name_column) ") }, "sortable": false, "tooltip": "(changes.ChangesByMaster.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 12, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.overview) ") }, "sortable": false, "tooltip": "(changes.ChangesByMaster.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 13, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "master", "editable": false, "header": "Stammdaten", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangesByMaster.master) The database object which acts as \"master\".") }, "sortable": false, "tooltip": "The database object which acts as \"master\".", "width": Lino.chars2width(11) } ];
    Lino.changes.ChangesByMaster.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangesByMaster.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangesByMaster", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.changes.ChangesByMaster.detailPanel = Ext.extend(Lino.changes.Changes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/changes/ChangesByMaster",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.changes.ChangesByMaster.detail;
    Lino.changes.ChangesByMaster.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangesByMaster.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  return new Lino.changes.ChangesByMaster.detailPanel(p);
});
Lino.changes.ChangesByMaster.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangesByMaster" };
  p.params_panel = new Lino.changes.Changes.ParamsPanel({});
  return new Lino.changes.ChangesByMaster.GridPanel(p);
});

// js_render_GridPanel_class checkdata.ProblemsByOwner
Lino.checkdata.ProblemsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/checkdata/ProblemsByOwner",
  ls_store_fields : [ { "name": "message" }, { "name": "checker" }, 'checkerHidden', { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "owner" } ],
  ls_id_property : "id",
  pk_index : 5,
  content_type : 20,
  cell_edit : false,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/checkdata/ProblemsByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenprobleme",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByOwner.detail;
    var ww = this.containing_window;
    var message9498 = new Ext.form.TextField({ "allowBlank": false, "maxLength": 250, "selectOnFocus": true });
    var checker9499 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "selectOnFocus": true, "store": Lino.checkdata.Checkers });
    var user9500 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/user" }) }) });
    var id9501 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type9502 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/owner_type" }) }) });
    var owner_id9503 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/checkdata/ProblemsByOwner/owner_id" }) }) });
    var name_column_disp9504 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9505 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9506 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var owner_disp9507 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      overview_htmlbox9505.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9502 !== 'undefined' && owner_type9502.on('change',Lino.chooser_handler(owner_id9503,'owner_type'));
      Lino.checkdata.ProblemsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "message", "editable": true, "editor": message9498, "filter": { "type": "string" }, "header": "Meldung", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.message) The message text. This is a concatenation of all messages that\nwere yielded by the checker.") }, "sortable": true, "tooltip": "The message text. This is a concatenation of all messages that\nwere yielded by the checker.", "width": Lino.chars2width(51) }, { "colIndex": 1, "dataIndex": "checker", "editable": true, "editor": checker9499, "filter": { "options": [ "Adressen pr\u00fcfen", "Check for confirmations outside of granted period", "Check for invalid SSINs", "Auf Termin\u00fcberschneidungen pr\u00fcfen", "Termine ohne Teilnehmer", "Dauer \u00fcberschreitende Kalendereintr\u00e4ge", "Veraltete generierte Kalendereintr\u00e4ge", "Begleitung pr\u00fcfen", "Check data of geographical places.", "Dublettenkontrolle", "Check for invalid account/partner combination", "auf Vertrags\u00fcberschneidungen pr\u00fcfen", "Check integrity of ledger vouchers", "Sind die phonetischen W\u00f6rter aktualisiert?", "Check for missing target files", "Check for partner mismatches in bank accounts", "Find unbleached html content", "Check metadata of upload files", "Find orphaned files in uploads folder" ], "type": "list" }, "header": "Checker", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.checker) The Checker that reported this\nproblem.") }, "sortable": false, "tooltip": "The Checker that reported this\nproblem.", "width": Lino.chars2width(11) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user9500, "filter": { "type": "string" }, "header": "Verantwortlicher", "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.user) The user responsible for fixing this\nproblem.") }, "sortable": false, "tooltip": "The user responsible for fixing this\nproblem.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id9501, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "owner_type", "editable": true, "editor": owner_type9502, "filter": { "type": "string" }, "header": "Datenobjekt (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "owner_id", "editable": true, "editor": owner_id9503, "filter": { "type": "string" }, "header": "Datenobjekt (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 6, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.name_column) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByOwner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 7, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.overview) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByOwner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 9, "dataIndex": "owner", "editable": false, "header": "Datenobjekt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(checkdata.ProblemsByOwner.owner) ") }, "sortable": false, "tooltip": "(checkdata.ProblemsByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.checkdata.ProblemsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.checkdata.ProblemsByOwner.detailPanel = Ext.extend(Lino.checkdata.Problems.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "update_problem", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problem", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problem','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('update_problem','GET',null), "text": null, "xtype": "splitbutton" } ],
  ls_url: "/checkdata/ProblemsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.checkdata.ProblemsByOwner.detail;
    Lino.checkdata.ProblemsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.checkdata.ProblemsByOwner.detail = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(70) }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByOwner" };
  return new Lino.checkdata.ProblemsByOwner.detailPanel(p);
});
Lino.checkdata.ProblemsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/checkdata/ProblemsByOwner" };
  p.params_panel = new Lino.checkdata.Problems.ParamsPanel({});
  return new Lino.checkdata.ProblemsByOwner.GridPanel(p);
});
Lino.checkdata.ProblemsByOwner.update_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "update_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.checkdata.ProblemsByOwner.fix_problem = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/checkdata/ProblemsByOwner", "GET", pk, "fix_problem", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class excerpts.ExcerptsByOwner
Lino.excerpts.ExcerptsByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/ExcerptsByOwner",
  ls_store_fields : [ { "name": "build_time" }, { "name": "excerpt_type" }, 'excerpt_typeHidden', { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "id", "type": "int" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "language" }, 'languageHidden', { "name": "body_template_content" }, { "name": "preview" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 23,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/ExcerptsByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Bestehende Ausz\u00fcge",
  disabled_fields_index : 28,
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    var ww = this.containing_window;
    var build_time9509 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var excerpt_type9510 = new Lino.RemoteComboFieldElement({ "allowBlank": false, "can_create_choice": false, "emptyText": "Auszugsart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "excerpts.ExcerptTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/excerpt_type" }) }) });
    var user9511 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/user" }) }) });
    var project9512 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/project" }) }) });
    var id9513 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var build_method9514 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9515 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_type" }) }) });
    var owner_id9516 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/owner_id" }) }) });
    var company9517 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/company" }) }) });
    var contact_person9518 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_person" }) }) });
    var contact_role9519 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/excerpts/ExcerptsByOwner/contact_role" }) }) });
    var language9520 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var body_template_content9521 = new Ext.form.TextArea({ "allowBlank": false, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var preview_htmlbox9522 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "preview", "title": "Vorschau", "value": "<br/>" });
    var name_column_disp9523 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9524 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9525 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var owner_disp9526 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      var bp = this.get_base_params();
      excerpt_type9510.setContextValue('mk',bp['mk']);
      excerpt_type9510.setContextValue('mt',bp['mt']);
      owner_id9516.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9518.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      preview_htmlbox9522.refresh();
      overview_htmlbox9524.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_disp9526 !== 'undefined' && owner_disp9526.on('change',Lino.chooser_handler(excerpt_type9510,'owner'));
      typeof owner_type9515 !== 'undefined' && owner_type9515.on('change',Lino.chooser_handler(owner_id9516,'owner_type'));
      typeof company9517 !== 'undefined' && company9517.on('change',Lino.chooser_handler(contact_person9518,'company'));
      Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "excerpt_type", "editable": true, "editor": excerpt_type9510, "filter": { "type": "string" }, "header": "Auszugsart", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.excerpt_type) The type of this excerpt (ForeignKey to ExcerptType).") }, "sortable": false, "tooltip": "The type of this excerpt (ForeignKey to ExcerptType).", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user9511, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "project", "editable": true, "editor": project9512, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 4, "dataIndex": "id", "editable": true, "editor": id9513, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 5, "dataIndex": "build_method", "editable": true, "editor": build_method9514, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type9515, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id9516, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "company", "editable": true, "editor": company9517, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.company) The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "The optional company of the recipient of this\nexcerpt.  See ContactRelated.company.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "contact_person", "editable": true, "editor": contact_person9518, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_person) The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "The optional contact person of the recipient of this\nexcerpt.  See ContactRelated.contact_person.", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "contact_role", "editable": true, "editor": contact_role9519, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "language", "editable": true, "editor": language9520, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.language) The language used for printing this excerpt.") }, "sortable": false, "tooltip": "The language used for printing this excerpt.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "body_template_content", "editable": true, "editor": body_template_content9521, "header": "Textk\u00f6rper-Vorlage", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.body_template_content) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByOwner.body_template_content) ", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "preview", "editable": false, "header": "Vorschau", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.preview) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByOwner.preview) ", "width": Lino.chars2width(31) }, { "colIndex": 14, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.name_column) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByOwner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 15, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.overview) ") }, "sortable": false, "tooltip": "(excerpts.ExcerptsByOwner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 16, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 17, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.ExcerptsByOwner.owner) The object being printed by this excerpt.\nSee Controllable.owner.") }, "sortable": false, "tooltip": "The object being printed by this excerpt.\nSee Controllable.owner.", "width": Lino.chars2width(11) } ];
    Lino.excerpts.ExcerptsByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.excerpts.ExcerptsByOwner.detailPanel = Ext.extend(Lino.excerpts.Excerpts.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/excerpts/ExcerptsByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.excerpts.ExcerptsByOwner.detail;
    Lino.excerpts.ExcerptsByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.ExcerptsByOwner.detail = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(80) }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  return new Lino.excerpts.ExcerptsByOwner.detailPanel(p);
});
Lino.excerpts.ExcerptsByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.ExcerptsByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/ExcerptsByOwner" };
  p.params_panel = new Lino.excerpts.Excerpts.ParamsPanel({});
  return new Lino.excerpts.ExcerptsByOwner.GridPanel(p);
});
Lino.excerpts.ExcerptsByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/ExcerptsByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class uploads.UploadsByController
Lino.uploads.UploadsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/UploadsByController",
  ls_store_fields : [ { "name": "user" }, 'userHidden', { "name": "project" }, 'projectHidden', { "name": "type" }, 'typeHidden', { "name": "file" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "needed", "type": "boolean" }, { "name": "description_link" }, { "name": "id", "type": "int" }, { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "mimetype" }, { "name": "upload_area" }, 'upload_areaHidden', { "name": "volume" }, 'volumeHidden', { "name": "library_file" }, { "name": "file_size", "type": "int", "useNull": true }, { "name": "description" }, { "name": "remark" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 11,
  content_type : 26,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/UploadsByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload-Dateien",
  disabled_fields_index : 35,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    var ww = this.containing_window;
    var user9528 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/user" }) }) });
    var project9529 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/project" }) }) });
    var type9530 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Upload-Art ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "uploads.UploadTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/type" }) }) });
    var file9531 = Lino.file_field_handler(this,{ "allowBlank": true, "maxLength": 100, "selectOnFocus": true });
    var start_date9532 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var end_date9533 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var needed9534 = new Ext.form.Checkbox({ "allowBlank": false, "checked": true, "selectOnFocus": true });
    var description_link_disp9535 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id9536 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var owner_type9537 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_type" }) }) });
    var owner_id9538 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/owner_id" }) }) });
    var company9539 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/company" }) }) });
    var contact_person9540 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_person" }) }) });
    var contact_role9541 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/contact_role" }) }) });
    var mimetype9542 = new Ext.form.TextField({ "disabled": true, "hidden": true, "maxLength": 255 });
    var upload_area9543 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.uploads.UploadAreas });
    var volume9544 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Dateibibliothek ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 5, "related_actor_id": "uploads.Volumes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/volume" }) }) });
    var library_file9545 = new Lino.SimpleRemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/uploads/UploadsByController/library_file" }) }) });
    var file_size9546 = new Ext.form.NumberField({ "disabled": true, "hidden": true });
    var description9547 = new Ext.form.TextField({ "allowBlank": true, "hidden": true, "maxLength": 200, "selectOnFocus": true });
    var remark9548 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var name_column_disp9549 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9550 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9551 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var owner_disp9552 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      type9530.setContextValue('upload_area', record ? record.data['upload_areaHidden'] : undefined);
      owner_id9538.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9540.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      library_file9545.setContextValue('volume', record ? record.data['volumeHidden'] : undefined);
      overview_htmlbox9550.refresh();
    };
    this.onRender = function(ct, position) {
      typeof upload_area9543 !== 'undefined' && upload_area9543.on('change',Lino.chooser_handler(type9530,'upload_area'));
      typeof owner_type9537 !== 'undefined' && owner_type9537.on('change',Lino.chooser_handler(owner_id9538,'owner_type'));
      typeof company9539 !== 'undefined' && company9539.on('change',Lino.chooser_handler(contact_person9540,'company'));
      typeof volume9544 !== 'undefined' && volume9544.on('change',Lino.chooser_handler(library_file9545,'volume'));
      Lino.uploads.UploadsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "user", "editable": true, "editor": user9528, "filter": { "type": "string" }, "header": "Hochgeladen durch", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 1, "dataIndex": "project", "editable": true, "editor": project9529, "filter": { "type": "string" }, "header": "Klient", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "type", "editable": true, "editor": type9530, "filter": { "type": "string" }, "header": "Upload-Art", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.type) The type of this upload.") }, "sortable": false, "tooltip": "The type of this upload.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "file", "editable": true, "editor": file9531, "filter": { "type": "string" }, "header": "Datei", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file) Pointer to the uploaded file itself (a Django FileField).") }, "sortable": true, "tooltip": "Pointer to the uploaded file itself (a Django FileField).", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "start_date", "editable": true, "editor": start_date9532, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig von", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 5, "dataIndex": "end_date", "editable": true, "editor": end_date9533, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "G\u00fcltig bis", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.end_date) Date until which the original document is valid.") }, "sortable": true, "tooltip": "Date until which the original document is valid.", "width": Lino.chars2width(11), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "needed", "editable": true, "filter": { "type": "boolean" }, "header": "N\u00f6tig", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.needed) Whether the responsible user should be reminded when validity of this\nupload reaches its end.") }, "sortable": false, "tooltip": "Whether the responsible user should be reminded when validity of this\nupload reaches its end.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 7, "dataIndex": "description_link", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description_link) Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.") }, "sortable": false, "tooltip": "Almost the same as description, but if file is\nnot empty, the text is clickable, and clicking on it opens the\nuploaded file in a new browser window.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 8, "dataIndex": "id", "editable": true, "editor": id9536, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 9, "dataIndex": "owner_type", "editable": true, "editor": owner_type9537, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 10, "dataIndex": "owner_id", "editable": true, "editor": owner_id9538, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 11, "dataIndex": "company", "editable": true, "editor": company9539, "filter": { "type": "string" }, "header": "Organisation", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 12, "dataIndex": "contact_person", "editable": true, "editor": contact_person9540, "filter": { "type": "string" }, "header": "ausgestellt durch", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_role", "editable": true, "editor": contact_role9541, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "mimetype", "editable": false, "filter": { "type": "string" }, "header": "MIME-Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.mimetype) The media type of the\nuploaded file.") }, "sortable": true, "tooltip": "The media type of the\nuploaded file.", "width": Lino.chars2width(22) }, { "colIndex": 15, "dataIndex": "upload_area", "editable": true, "editor": upload_area9543, "filter": { "options": [ "Vertrag", "Allgemein" ], "type": "list" }, "header": "Upload-Bereich", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.upload_area) The upload area this file belongs to.") }, "sortable": false, "tooltip": "The upload area this file belongs to.", "width": Lino.chars2width(13) }, { "colIndex": 16, "dataIndex": "volume", "editable": true, "editor": volume9544, "filter": { "type": "string" }, "header": "Dateibibliothek", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.volume) A pointer to the library volume where this file is stored.") }, "sortable": false, "tooltip": "A pointer to the library volume where this file is stored.", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "library_file", "editable": true, "editor": library_file9545, "filter": { "type": "string" }, "header": "Bibliotheksdatei", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.library_file) The path of this file, relative the volume's root.") }, "sortable": false, "tooltip": "The path of this file, relative the volume's root.", "width": Lino.chars2width(11) }, { "align": "right", "colIndex": 18, "dataIndex": "file_size", "editable": false, "filter": { "type": "numeric" }, "format": "0", "header": "File size", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.file_size) The size of the file in bytes. Not yet implemented.") }, "sortable": true, "tooltip": "The size of the file in bytes. Not yet implemented.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 19, "dataIndex": "description", "editable": true, "editor": description9547, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.description) A short description entered manually by the user.") }, "sortable": true, "tooltip": "A short description entered manually by the user.", "width": Lino.chars2width(22) }, { "colIndex": 20, "dataIndex": "remark", "editable": true, "editor": remark9548, "filter": { "type": "string" }, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.remark) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 21, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.name_column) ") }, "sortable": false, "tooltip": "(uploads.UploadsByController.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 22, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.overview) ") }, "sortable": false, "tooltip": "(uploads.UploadsByController.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 23, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 24, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.UploadsByController.owner) ") }, "sortable": false, "tooltip": "(uploads.UploadsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.uploads.UploadsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.insertPanel = Ext.extend(Lino.uploads.UploadsByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.insertPanel(p);
});
Lino.uploads.UploadsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.uploads.UploadsByController.detailPanel = Ext.extend(Lino.uploads.Uploads.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Upload-Datei) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/uploads/UploadsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.uploads.UploadsByController.detail;
    this.ls_insert_handler = Lino.uploads.UploadsByController.insert;
    Lino.uploads.UploadsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.UploadsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  return new Lino.uploads.UploadsByController.detailPanel(p);
});
Lino.uploads.UploadsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.UploadsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/UploadsByController" };
  p.params_panel = new Lino.uploads.Uploads.ParamsPanel({});
  return new Lino.uploads.UploadsByController.GridPanel(p);
});
Lino.uploads.UploadsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/UploadsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class outbox.MailsByController
Lino.outbox.MailsByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/MailsByController",
  ls_store_fields : [ { "name": "sent" }, { "name": "recipients" }, { "name": "subject" }, { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "user" }, 'userHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "body" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 3,
  content_type : 28,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/MailsByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "E-Mail-Ausg\u00e4nge",
  disabled_fields_index : 18,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    var ww = this.containing_window;
    var sent2391 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var recipients_htmlbox2392 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "recipients", "title": "Empf\u00e4nger", "value": "<br/>" });
    var subject2393 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var id2394 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project2395 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/project" }) }) });
    var user2396 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/user" }) }) });
    var owner_type2397 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_type" }) }) });
    var owner_id2398 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/outbox/MailsByController/owner_id" }) }) });
    var date2399 = new Lino.DateField({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var name_column_disp2400 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2401 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp2402 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var body2403 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var owner_disp2404 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      recipients_htmlbox2392.refresh();
      owner_id2398.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox2401.refresh();
      body2403.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2397 !== 'undefined' && owner_type2397.on('change',Lino.chooser_handler(owner_id2398,'owner_type'));
      Lino.outbox.MailsByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "sent", "editable": false, "header": "sent", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.sent) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(17) }, { "colIndex": 1, "dataIndex": "recipients", "editable": false, "header": "Empf\u00e4nger", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.recipients) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.recipients) ", "width": Lino.chars2width(31) }, { "colIndex": 2, "dataIndex": "subject", "editable": true, "editor": subject2393, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 3, "dataIndex": "id", "editable": true, "editor": id2394, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "project", "editable": true, "editor": project2395, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user2396, "filter": { "type": "string" }, "header": "Absender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 6, "dataIndex": "owner_type", "editable": true, "editor": owner_type2397, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 7, "dataIndex": "owner_id", "editable": true, "editor": owner_id2398, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 8, "dataIndex": "date", "editable": true, "editor": date2399, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.date) \n        The official date to be printed on the document.\n        ") }, "sortable": true, "tooltip": "\n        The official date to be printed on the document.\n        ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 9, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.name_column) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 10, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.overview) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 11, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 12, "dataIndex": "body", "editable": true, "editor": body2403, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 13, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.MailsByController.owner) ") }, "sortable": false, "tooltip": "(outbox.MailsByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.outbox.MailsByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.insertPanel = Ext.extend(Lino.outbox.Mails.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.insert = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.insertPanel(p);
});
Lino.outbox.MailsByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.outbox.MailsByController.detailPanel = Ext.extend(Lino.outbox.Mails.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (E-Mail-Ausgang) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/outbox/MailsByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.outbox.MailsByController.detail;
    this.ls_insert_handler = Lino.outbox.MailsByController.insert;
    Lino.outbox.MailsByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.MailsByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  return new Lino.outbox.MailsByController.detailPanel(p);
});
Lino.outbox.MailsByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.MailsByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/MailsByController" };
  p.params_panel = new Lino.outbox.Mails.ParamsPanel({});
  return new Lino.outbox.MailsByController.GridPanel(p);
});
Lino.outbox.MailsByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/MailsByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.TasksByController
Lino.cal.TasksByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/TasksByController",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "delegated", "type": "boolean" }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 7,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/TasksByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  disabled_fields_index : 8,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    var ww = this.containing_window;
    var start_date2238 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var due_date2239 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    var summary2240 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user2241 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/TasksByController/user" }) }) });
    var delegated2242 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "selectOnFocus": true });
    var workflow_buttons_disp2243 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2244 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "start_date", "editable": true, "editor": start_date2238, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.start_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date2239, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 2, "dataIndex": "summary", "editable": true, "editor": summary2240, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "user", "editable": true, "editor": user2241, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "delegated", "editable": true, "filter": { "type": "boolean" }, "header": "Delegated to client", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.delegated) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 5, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id2244, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "listeners": { "render": Lino.quicktip_renderer("","(cal.TasksByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.cal.TasksByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.insertPanel = Ext.extend(Lino.cal.TasksByController.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.insertPanel(p);
});
Lino.cal.TasksByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.TasksByController.detailPanel = Ext.extend(Lino.cal.Tasks.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Task) zu erstellen.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/TasksByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.TasksByController.detail;
    this.ls_insert_handler = Lino.cal.TasksByController.insert;
    Lino.cal.TasksByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.TasksByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  return new Lino.cal.TasksByController.detailPanel(p);
});
Lino.cal.TasksByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/TasksByController" };
  p.params_panel = new Lino.cal.Tasks.ParamsPanel({});
  return new Lino.cal.TasksByController.GridPanel(p);
});
Lino.cal.TasksByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.TasksByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/TasksByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class cal.EntriesByController
Lino.cal.EntriesByController.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EntriesByController",
  ls_store_fields : [ { "name": "when_html" }, { "name": "summary" }, { "name": "user" }, 'userHidden', { "name": "auto_type", "type": "int", "useNull": true }, { "name": "workflow_buttons" }, { "name": "id", "type": "int" }, { "name": "modified" }, { "name": "created" }, { "name": "project" }, 'projectHidden', { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "start_time" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "end_time" }, { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "assigned_to" }, 'assigned_toHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "description" }, { "name": "access_class" }, 'access_classHidden', { "name": "sequence", "type": "int", "useNull": true }, { "name": "priority" }, 'priorityHidden', { "name": "event_type" }, 'event_typeHidden', { "name": "transparent", "type": "boolean" }, { "name": "room" }, 'roomHidden', { "name": "state" }, 'stateHidden', { "name": "when_text" }, { "name": "all_day", "type": "boolean" }, { "name": "url" }, { "name": "reminder" }, { "name": "calendar" }, 'calendarHidden', { "name": "name_column" }, { "name": "overview" }, { "name": "created_natural" }, { "name": "duration" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 6,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EntriesByController','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 48,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    var ww = this.containing_window;
    var when_html_disp2260 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var summary2261 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user2262 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/user" }) }) });
    var auto_type2263 = new Ext.form.NumberField({ "allowBlank": true, "selectOnFocus": true });
    var workflow_buttons_disp2264 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var id2265 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var modified2266 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var created2267 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var project2268 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/project" }) }) });
    var start_date2269 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var start_time2270 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var end_date2271 = new Lino.DateField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var end_time2272 = new Lino.TimeField({ "allowBlank": true, "hidden": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var build_time2273 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method2274 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var assigned_to2275 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Benutzer ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/assigned_to" }) }) });
    var owner_type2276 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_type" }) }) });
    var owner_id2277 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/owner_id" }) }) });
    var description2278 = new Ext.form.TextArea({ "allowBlank": true, "growMax": 2000, "hidden": true, "selectOnFocus": true });
    var access_class2279 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.cal.AccessClasses) });
    var sequence2280 = new Ext.form.NumberField({ "allowBlank": false, "hidden": true, "selectOnFocus": true, "value": 0 });
    var priority2281 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.xl.Priorities });
    var event_type2282 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Kalendereintragsart ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/event_type" }) }) });
    var transparent2283 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var room2284 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Raum ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Rooms", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/cal/EntriesByController/room" }) }) });
    var state2285 = new Lino.ChoicesFieldElement({ "allowBlank": false, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": Lino.cal.EntryStates });
    var when_text_disp2286 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var all_day2287 = new Ext.form.Checkbox({ "allowBlank": false, "hidden": true, "selectOnFocus": true });
    var url_disp2288 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var reminder_disp2289 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var calendar2290 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Kalender ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "cal.Calendars" });
    var name_column_disp2291 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox2292 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var created_natural_disp2293 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var duration2294 = new Ext.form.TextField({ "boxMinWidth": Lino.chars2width(6), "disabled": true, "hidden": true, "maxLength": 6 });
    var owner_disp2295 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id2277.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      overview_htmlbox2292.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type2276 !== 'undefined' && owner_type2276.on('change',Lino.chooser_handler(owner_id2277,'owner_type'));
      Lino.cal.EntriesByController.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "when_html", "editable": false, "header": "Wann", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.when_html) Shows the date and time of the entry with a link that opens\nall entries on that day.") }, "sortable": true, "tooltip": "Shows the date and time of the entry with a link that opens\nall entries on that day.", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "summary", "editable": true, "editor": summary2261, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "user", "editable": true, "editor": user2262, "filter": { "type": "string" }, "header": "Verwaltet durch", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.user) Der verantwortliche Benutzer.") }, "sortable": false, "tooltip": "Der verantwortliche Benutzer.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 3, "dataIndex": "auto_type", "editable": true, "editor": auto_type2263, "filter": { "type": "numeric" }, "format": "0", "header": "Nr.", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.auto_type) Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.") }, "sortable": true, "tooltip": "Contains the sequence number if this is an automatically\ngenerated component. Otherwise this field is empty.", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 4, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 5, "dataIndex": "id", "editable": true, "editor": id2265, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 6, "dataIndex": "modified", "editable": false, "header": "Bearbeitet", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.modified) The time when this database object was last modified.") }, "sortable": true, "tooltip": "The time when this database object was last modified.", "width": Lino.chars2width(17) }, { "colIndex": 7, "dataIndex": "created", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 8, "dataIndex": "project", "editable": true, "editor": project2268, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 9, "dataIndex": "start_date", "editable": true, "editor": start_date2269, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 10, "dataIndex": "start_time", "editable": true, "editor": start_time2270, "header": "Beginnt um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.start_time) The starting time.  If this is empty, the entry is considered a\nall-day entry.") }, "sortable": true, "tooltip": "The starting time.  If this is empty, the entry is considered a\nall-day entry.", "width": Lino.chars2width(9) }, { "colIndex": 11, "dataIndex": "end_date", "editable": true, "editor": end_date2271, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Enddatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_date) The ending date of this entry. Leave empty for same-day entries.") }, "sortable": true, "tooltip": "The ending date of this entry. Leave empty for same-day entries.", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 12, "dataIndex": "end_time", "editable": true, "editor": end_time2272, "header": "Endet um", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.end_time) The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.") }, "sortable": true, "tooltip": "The ending time.  If this is before the starting time, and no ending date\nis given, the entry ends the day after.", "width": Lino.chars2width(9) }, { "colIndex": 13, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 14, "dataIndex": "build_method", "editable": true, "editor": build_method2274, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 15, "dataIndex": "assigned_to", "editable": true, "editor": assigned_to2275, "filter": { "type": "string" }, "header": "Zugewiesen zu", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.assigned_to) Another user who is expected to take responsibility for this\nentry.") }, "sortable": false, "tooltip": "Another user who is expected to take responsibility for this\nentry.", "width": Lino.chars2width(21) }, { "colIndex": 16, "dataIndex": "owner_type", "editable": true, "editor": owner_type2276, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "owner_id", "editable": true, "editor": owner_id2277, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 18, "dataIndex": "description", "editable": true, "editor": description2278, "filter": { "type": "string" }, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.description) A longer descriptive text.") }, "sortable": false, "tooltip": "A longer descriptive text.", "width": Lino.chars2width(61) }, { "colIndex": 19, "dataIndex": "access_class", "editable": true, "editor": access_class2279, "filter": { "options": [ "Privat", "halb \u00f6ffentlich (\"Besch\u00e4ftigt\")", "\u00d6ffentlich" ], "type": "list" }, "header": "Zugriffsklasse", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.access_class) Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist") }, "sortable": false, "tooltip": "Ob dieser Termin  privat, \u00f6ffentlich oder halb \u00f6ffentlich ist", "width": Lino.chars2width(35) }, { "align": "right", "colIndex": 20, "dataIndex": "sequence", "editable": true, "editor": sequence2280, "filter": { "type": "numeric" }, "format": "0", "header": "Revisionsnummer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.sequence) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 21, "dataIndex": "priority", "editable": true, "editor": priority2281, "filter": { "options": [ "Kritisch", "Hoch", "Normal", "Niedrig", "Very Low" ], "type": "list" }, "header": "Priorit\u00e4t", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.priority) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(12) }, { "colIndex": 22, "dataIndex": "event_type", "editable": true, "editor": event_type2282, "filter": { "type": "string" }, "header": "Kalendereintragsart", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.event_type) The type of this calendar entry.") }, "sortable": false, "tooltip": "The type of this calendar entry.", "width": Lino.chars2width(21) }, { "colIndex": 23, "dataIndex": "transparent", "editable": true, "filter": { "type": "boolean" }, "header": "nicht blockierend", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.transparent) Whether this entry should allow other entries at the same time.") }, "sortable": false, "tooltip": "Whether this entry should allow other entries at the same time.", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 24, "dataIndex": "room", "editable": true, "editor": room2284, "filter": { "type": "string" }, "header": "Raum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.room) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 25, "dataIndex": "state", "editable": true, "editor": state2285, "filter": { "options": [ "Vorschlag", "Entwurf", "Ver\u00f6ffentlicht", "Stattgefunden", "Storniert" ], "type": "list" }, "header": "Zustand", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.state) The state of this entry. The state can change according to\nrules defined by the workflow.") }, "sortable": false, "tooltip": "The state of this entry. The state can change according to\nrules defined by the workflow.", "width": Lino.chars2width(18) }, { "colIndex": 26, "dataIndex": "when_text", "editable": false, "header": "Wann", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.when_text) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.when_text) ", "width": Lino.chars2width(31) }, { "colIndex": 27, "dataIndex": "all_day", "editable": true, "header": "ganztags", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.all_day) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.all_day) ", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 28, "dataIndex": "url", "editable": false, "header": "Link URL", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.url) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.url) ", "width": Lino.chars2width(31) }, { "colIndex": 29, "dataIndex": "reminder", "editable": false, "header": "Erinnerung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.reminder) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.reminder) ", "width": Lino.chars2width(31) }, { "colIndex": 30, "dataIndex": "calendar", "editable": false, "header": "Kalender", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.calendar) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.calendar) ", "width": Lino.chars2width(21) }, { "colIndex": 31, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.name_column) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 32, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.overview) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 33, "dataIndex": "created_natural", "editable": false, "header": "Erstellt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.created_natural) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.created_natural) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 34, "dataIndex": "duration", "editable": false, "format": "", "header": "Dauer", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.duration) ") }, "sortable": true, "tooltip": "(cal.EntriesByController.duration) ", "width": Lino.chars2width(8) }, { "colIndex": 35, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EntriesByController.owner) ") }, "sortable": false, "tooltip": "(cal.EntriesByController.owner) ", "width": Lino.chars2width(11) } ];
    Lino.cal.EntriesByController.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.insertPanel = Ext.extend(Lino.cal.Events.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.insertPanel(p);
});
Lino.cal.EntriesByController.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.cal.EntriesByController.detailPanel = Ext.extend(Lino.cal.Events.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Kalendereintrag) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/cal/EntriesByController",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.cal.EntriesByController.detail;
    this.ls_insert_handler = Lino.cal.EntriesByController.insert;
    Lino.cal.EntriesByController.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EntriesByController.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  return new Lino.cal.EntriesByController.detailPanel(p);
});
Lino.cal.EntriesByController.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EntriesByController" };
  p.params_panel = new Lino.cal.Events.ParamsPanel({});
  return new Lino.cal.EntriesByController.GridPanel(p);
});
Lino.cal.EntriesByController.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EntriesByController.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EntriesByController", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.DelegatedTasksByContract
Lino.isip.DelegatedTasksByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/DelegatedTasksByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "due_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 40,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/DelegatedTasksByContract','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aufgaben",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var summary9554 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var due_date9555 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary9554, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.summary) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "due_date", "editable": true, "editor": due_date9555, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Zahlungsziel", "listeners": { "render": Lino.quicktip_renderer("","(isip.DelegatedTasksByContract.due_date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.DelegatedTasksByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.DelegatedTasksByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/DelegatedTasksByContract" };
  p.params_panel = new Lino.isip.DelegatedTasksByContract.ParamsPanel({});
  return new Lino.isip.DelegatedTasksByContract.GridPanel(p);
});
Lino.isip.DelegatedTasksByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf2 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf2", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.DelegatedTasksByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/DelegatedTasksByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class isip.EntriesByContract
Lino.isip.EntriesByContract.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/EntriesByContract",
  ls_store_fields : [ { "name": "summary" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "name": "id", "type": "int" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 2,
  content_type : 38,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/EntriesByContract','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-calendar", "itemId": "show_today", "menu_item_text": "Heute", "overflowText": "Heute", "panel_btn_handler": Lino.row_action_handler('show_today','GET',null), "tooltip": "Alle Termine am gleichen Tag zeigen", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "itemId": "update_events", "menu_item_text": "Termine aktualisieren", "overflowText": "Termine aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_events','GET',null), "text": "\u00a0\u26a1\u00a0", "tooltip": "Update all events of this series.", "tooltipType": "title" }, { "auto_save": true, "itemId": "update_guests", "menu_item_text": "Anwesenheiten aktualisieren", "overflowText": "Anwesenheiten aktualisieren", "panel_btn_handler": Lino.row_action_handler('update_guests','GET',null), "text": "\u00a0\u2637\u00a0", "tooltip": "Teilnehmerliste f\u00fcr diesen Kalendereintrag f\u00fcllen entsprechend der Vorschl\u00e4ge.", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kalendereintr\u00e4ge",
  disabled_fields_index : 3,
  initComponent : function() {
    var ww = this.containing_window;
    var summary9557 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var start_date9558 = new Lino.DateField({ "allowBlank": true, "selectOnFocus": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "summary", "editable": true, "editor": summary9557, "filter": { "type": "string" }, "header": "Kurzbeschreibung", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.summary) A one-line descriptive text.") }, "sortable": true, "tooltip": "A one-line descriptive text.", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "start_date", "editable": true, "editor": start_date9558, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Beginnt am", "listeners": { "render": Lino.quicktip_renderer("","(isip.EntriesByContract.start_date) The starting date of this entry.  May not be empty.") }, "sortable": true, "tooltip": "The starting date of this entry.  May not be empty.", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.isip.EntriesByContract.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.EntriesByContract.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_conflicting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_conflicting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_today = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_today", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.assign_to_me = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "assign_to_me", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/EntriesByContract" };
  p.params_panel = new Lino.isip.EntriesByContract.ParamsPanel({});
  return new Lino.isip.EntriesByContract.GridPanel(p);
});
Lino.isip.EntriesByContract.move_next = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "move_next", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.preview_publication = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "preview_publication", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.take = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "take", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_events = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_events", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.update_guests = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "update_guests", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf1 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf1", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.close_meeting = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "close_meeting", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf3 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf3", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.EntriesByContract.wf4 = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/EntriesByContract", "GET", pk, "wf4", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class notes.NotesByOwner
Lino.notes.NotesByOwner.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/NotesByOwner",
  ls_store_fields : [ { "dateFormat": "d.m.Y", "name": "date", "type": "date" }, { "name": "time" }, { "name": "event_type" }, 'event_typeHidden', { "name": "type" }, 'typeHidden', { "name": "subject" }, { "name": "user" }, 'userHidden', { "name": "id", "type": "int" }, { "name": "project" }, 'projectHidden', { "name": "build_time" }, { "name": "build_method" }, 'build_methodHidden', { "name": "owner_type" }, 'owner_typeHidden', { "name": "owner_id" }, 'owner_idHidden', { "name": "company" }, 'companyHidden', { "name": "contact_person" }, 'contact_personHidden', { "name": "contact_role" }, 'contact_roleHidden', { "name": "body" }, { "name": "language" }, 'languageHidden', { "name": "important", "type": "boolean" }, { "name": "name_column" }, { "name": "overview" }, { "name": "workflow_buttons" }, { "name": "owner" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 130,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/NotesByOwner','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-application_form", "itemId": "detail", "menu_item_text": "Detail", "overflowText": "Detail", "panel_btn_handler": Lino.show_detail, "tooltip": "Open a detail window on this record.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ereignisse/Notizen",
  disabled_fields_index : 33,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    var ww = this.containing_window;
    var date9560 = new Lino.DateField({ "allowBlank": false, "selectOnFocus": true });
    var time9561 = new Lino.TimeField({ "allowBlank": true, "maxValue": "9:00 PM", "minValue": "7:00", "selectOnFocus": true });
    var event_type9562 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Event Type ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.EventTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/event_type" }) }) });
    var type9563 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Notizart ausw\u00e4hlen...", "pageSize": 20, "related_actor_id": "notes.NoteTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/type" }) }) });
    var subject9564 = new Ext.form.TextField({ "allowBlank": true, "maxLength": 200, "selectOnFocus": true });
    var user9565 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/user" }) }) });
    var id9566 = new Ext.form.NumberField({ "allowBlank": true, "hidden": true, "selectOnFocus": true });
    var project9567 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Klient ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "pcsw.Clients", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/project" }) }) });
    var build_time9568 = new Ext.form.DisplayField({ "disabled": true, "hidden": true, "value": "<br>" });
    var build_method9569 = new Lino.ChoicesFieldElement({ "allowBlank": true, "forceSelection": true, "hidden": true, "selectOnFocus": true, "store": [['','<br>']].concat(Lino.printing.BuildMethods) });
    var owner_type9570 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Datenbankmodell ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "gfks.ContentTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_type" }) }) });
    var owner_id9571 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "hidden": true, "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/owner_id" }) }) });
    var company9572 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Organisation ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Companies", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/company" }) }) });
    var contact_person9573 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "can_create_choice": false, "emptyText": "Person ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "preferred_width": 20, "related_actor_id": "contacts.Persons", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_person" }) }) });
    var contact_role9574 = new Lino.RemoteComboFieldElement({ "allowBlank": true, "emptyText": "Funktion ausw\u00e4hlen...", "hidden": true, "pageSize": 20, "related_actor_id": "contacts.RoleTypes", "selectOnFocus": true, "store": new Lino.ComplexRemoteComboStore({ "proxy": new Ext.data.HttpProxy({ "method": "GET", "url": "/choices/notes/NotesByOwner/contact_role" }) }) });
    var body9575 = new Lino.RichTextPanel({ "allowBlank": true, "containing_panel": this, "hidden": true, "selectOnFocus": true, "title": "Inhalt" });
    var language9576 = new Lino.ChoicesFieldElement({ "allowBlank": true, "hidden": true, "selectOnFocus": true, "store": [ [ "de", "Deutsch" ], [ "fr", "Franz\u00f6sisch" ], [ "en", "Englisch" ] ] });
    var important9577 = new Ext.form.Checkbox({ "allowBlank": false, "checked": false, "hidden": true, "selectOnFocus": true });
    var name_column_disp9578 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var overview_htmlbox9579 = new Lino.HtmlBoxPanel({ "always_enabled": true, "bodyStyle": "overflow-x:hidden;", "containing_panel": this, "hidden": true, "items": new Ext.BoxComponent({autoScroll:true}), "layout": "fit", "name": "overview", "value": "<br/>" });
    var workflow_buttons_disp9580 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var owner_disp9581 = new Ext.form.DisplayField({ "disabled": true, "hidden": true });
    this.before_row_edit = function(record) {
      owner_id9571.setContextValue('owner_type', record ? record.data['owner_typeHidden'] : undefined);
      contact_person9573.setContextValue('company', record ? record.data['companyHidden'] : undefined);
      body9575.refresh();
      overview_htmlbox9579.refresh();
    };
    this.onRender = function(ct, position) {
      typeof owner_type9570 !== 'undefined' && owner_type9570.on('change',Lino.chooser_handler(owner_id9571,'owner_type'));
      typeof company9572 !== 'undefined' && company9572.on('change',Lino.chooser_handler(contact_person9573,'company'));
      Lino.notes.NotesByOwner.GridPanel.superclass.onRender.call(this, ct, position);
    }
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "date", "editable": true, "editor": date9560, "filter": { "dateFormat": "d.m.Y", "type": "date" }, "format": "d.m.Y", "header": "Datum", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.date) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 1, "dataIndex": "time", "editable": true, "editor": time9561, "header": "Zeit", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.time) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(9) }, { "colIndex": 2, "dataIndex": "event_type", "editable": true, "editor": event_type9562, "filter": { "type": "string" }, "header": "Ereignisart (Form)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.event_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "type", "editable": true, "editor": type9563, "filter": { "type": "string" }, "header": "Notizart (Inhalt)", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "subject", "editable": true, "editor": subject9564, "filter": { "type": "string" }, "header": "Betreff", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.subject) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(22) }, { "colIndex": 5, "dataIndex": "user", "editable": true, "editor": user9565, "filter": { "type": "string" }, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "align": "right", "colIndex": 6, "dataIndex": "id", "editable": true, "editor": id9566, "filter": { "type": "numeric" }, "format": "0", "header": "ID", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.id) ") }, "sortable": true, "tooltip": "", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "colIndex": 7, "dataIndex": "project", "editable": true, "editor": project9567, "filter": { "type": "string" }, "header": "Klient", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.project) Pointer to the project to which this object is related.") }, "renderer": Lino.fk_renderer('projectHidden','Lino.pcsw.Clients.detail'), "sortable": false, "tooltip": "Pointer to the project to which this object is related.", "width": Lino.chars2width(21) }, { "colIndex": 8, "dataIndex": "build_time", "editable": false, "header": "Druckdatum", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_time) Timestamp of the built target file. Contains None\nif no build hasn't been called yet.") }, "sortable": true, "tooltip": "Timestamp of the built target file. Contains None\nif no build hasn't been called yet.", "width": Lino.chars2width(17) }, { "colIndex": 9, "dataIndex": "build_method", "editable": true, "editor": build_method9569, "filter": { "options": [ "AppyDocBuildMethod", "AppyOdtBuildMethod", "AppyPdfBuildMethod", "AppyRtfBuildMethod", "LatexBuildMethod", "RtfBuildMethod", "WeasyHtmlBuildMethod", "WeasyPdfBuildMethod", "XmlBuildMethod" ], "type": "list" }, "header": "Druckmethode", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.build_method) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(24) }, { "colIndex": 10, "dataIndex": "owner_type", "editable": true, "editor": owner_type9570, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Modell)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_type) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 11, "dataIndex": "owner_id", "editable": true, "editor": owner_id9571, "filter": { "type": "string" }, "header": "Verkn\u00fcpft mit (Objekt)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner_id) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11) }, { "colIndex": 12, "dataIndex": "company", "editable": true, "editor": company9572, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Organisation)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.company) Pointer to Company.") }, "renderer": Lino.fk_renderer('companyHidden','Lino.contacts.Companies.detail'), "sortable": false, "tooltip": "Pointer to Company.", "width": Lino.chars2width(21) }, { "colIndex": 13, "dataIndex": "contact_person", "editable": true, "editor": contact_person9573, "filter": { "type": "string" }, "header": "Empf\u00e4nger (Person)", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_person) Pointer to Person.") }, "renderer": Lino.fk_renderer('contact_personHidden','Lino.contacts.Persons.detail'), "sortable": false, "tooltip": "Pointer to Person.", "width": Lino.chars2width(21) }, { "colIndex": 14, "dataIndex": "contact_role", "editable": true, "editor": contact_role9574, "filter": { "type": "string" }, "header": "in seiner Eigenschaft als", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.contact_role) The optional Role\nof the contact_person within company.") }, "sortable": false, "tooltip": "The optional Role\nof the contact_person within company.", "width": Lino.chars2width(21) }, { "colIndex": 15, "dataIndex": "body", "editable": true, "editor": body9575, "filter": { "type": "string" }, "header": "Inhalt", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.body) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(61) }, { "colIndex": 16, "dataIndex": "language", "editable": true, "editor": language9576, "filter": { "type": "string" }, "header": "Sprache", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.language) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(21) }, { "colIndex": 17, "dataIndex": "important", "editable": true, "filter": { "type": "boolean" }, "header": "Wichtig", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.important) ") }, "sortable": false, "tooltip": "", "width": Lino.chars2width(11), "xtype": "checkcolumn" }, { "colIndex": 18, "dataIndex": "name_column", "editable": false, "header": "Name", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.name_column) ") }, "sortable": false, "tooltip": "(notes.NotesByOwner.name_column) ", "width": Lino.chars2width(16) }, { "colIndex": 19, "dataIndex": "overview", "editable": false, "header": "overview", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.overview) ") }, "sortable": false, "tooltip": "(notes.NotesByOwner.overview) ", "width": Lino.chars2width(31) }, { "colIndex": 20, "dataIndex": "workflow_buttons", "editable": false, "header": "Workflow", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.workflow_buttons) List of actions that change the workflow state of this object.") }, "sortable": false, "tooltip": "List of actions that change the workflow state of this object.", "width": Lino.chars2width(31) }, { "colIndex": 21, "dataIndex": "owner", "editable": false, "header": "Verkn\u00fcpft mit", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.NotesByOwner.owner) ") }, "sortable": false, "tooltip": "(notes.NotesByOwner.owner) ", "width": Lino.chars2width(11) } ];
    Lino.notes.NotesByOwner.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.insertPanel = Ext.extend(Lino.notes.NotesByProject.InsertFormPanel,{
  empty_title: "Neu",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_insert",
  ls_bbar_actions: [ { "auto_save": false, "itemId": "submit_insert", "menu_item_text": "Erstellen", "overflowText": "Erstellen", "panel_btn_handler": function(panel){panel.save()}, "text": "Erstellen", "tooltip": "Datensatz erstellen und dann im Detail-Fenster \u00f6ffnen", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "insert",
  default_record_id: -99999,
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.insertPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.insert = new Lino.WindowAction({ "autoHeight": true, "draggable": true, "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.insertPanel(p);
});
Lino.notes.NotesByOwner.submit_insert = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "submit_insert", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.duplicate = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "duplicate", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

Lino.notes.NotesByOwner.detailPanel = Ext.extend(Lino.notes.Notes.DetailFormPanel,{
  empty_title: "Detail",
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [ { "auto_save": true, "iconCls": "x-tbar-add", "itemId": "insert", "keycode": 44, "menu_item_text": "Neu", "overflowText": "Neu", "panel_btn_handler": Lino.show_insert, "tooltip": "\u00d6ffnet ein Dialogfenster, um einen neuen Datensatz (Ereignis/Notiz) zu erstellen.", "tooltipType": "title" }, { "auto_save": true, "itemId": "duplicate", "menu_item_text": "\u2687", "overflowText": "\u2687", "panel_btn_handler": Lino.row_action_handler('duplicate','GET',null), "text": " <font size=\"4\">\u2687</font>", "tooltip": "Diese Zeile duplizieren.", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','POST',null), "tooltip": "The action used to print this object.\nThis is an instance of\nDirectPrintAction or CachedPrintAction by\ndefault.  And if lino_xl.lib.excerpts is installed,\nthen set_excerpts_actions possibly replaces\ndo_print by a\nlino_xl.lib.excerpts.CreateExcerpt instance.", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer_delete", "itemId": "do_clear_cache", "menu_item_text": "Cache l\u00f6schen", "overflowText": "Cache l\u00f6schen", "panel_btn_handler": Lino.row_action_handler('do_clear_cache','GET',null), "tooltip": "Defines the Clear cache button on a Printable record.", "tooltipType": "title" }, { "auto_save": true, "itemId": "show_uploads", "menu_item_text": "Upload-Dateien", "overflowText": "Upload-Dateien", "panel_btn_handler": Lino.row_action_handler('show_uploads','GET',null), "text": " <font size=\"4\">\ud83d\uddbf</font>", "tooltip": "Show uploads in a grid table.", "tooltipType": "title" }, { "iconCls": "x-tbar-bell", "menu": [ { "auto_save": true, "itemId": "check_data", "menu_item_text": "Check data", "overflowText": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": "Check data", "tooltip": "Check data", "tooltipType": "title" }, { "auto_save": true, "itemId": "fix_problems", "menu_item_text": "Datenprobleme reparieren", "overflowText": "Datenprobleme reparieren", "panel_btn_handler": Lino.row_action_handler('fix_problems','GET',null), "text": "Datenprobleme reparieren", "tooltip": "Datenprobleme reparieren", "tooltipType": "title" } ], "menu_item_text": "Check data", "panel_btn_handler": Lino.row_action_handler('check_data','GET',null), "text": null, "xtype": "splitbutton" }, { "auto_save": false, "iconCls": "x-tbar-disk", "itemId": "submit_detail", "menu_item_text": "Speichern", "overflowText": "Speichern", "panel_btn_handler": function(panel){panel.save()}, "tooltip": "\u00c4nderungen in diesem Formular speichern", "tooltipType": "title" } ],
  ls_url: "/notes/NotesByOwner",
  action_name: "detail",
  initComponent : function() {
    this.ls_detail_handler = Lino.notes.NotesByOwner.detail;
    this.ls_insert_handler = Lino.notes.NotesByOwner.insert;
    Lino.notes.NotesByOwner.detailPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.NotesByOwner.detail = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  return new Lino.notes.NotesByOwner.detailPanel(p);
});
Lino.notes.NotesByOwner.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "POST", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.do_clear_cache = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "do_clear_cache", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.edit_template = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "edit_template", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.show_uploads = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "show_uploads", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.check_data = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "check_data", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.fix_problems = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "GET", pk, "fix_problems", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.NotesByOwner.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/NotesByOwner" };
  p.params_panel = new Lino.notes.Notes.ParamsPanel({});
  return new Lino.notes.NotesByOwner.GridPanel(p);
});
Lino.notes.NotesByOwner.submit_detail = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/NotesByOwner", "PUT", pk, "submit_detail", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};

// js_render_GridPanel_class reception.FindDateByClientTable
Lino.reception.FindDateByClientTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/reception/FindDateByClientTable",
  ls_store_fields : [ { "name": "button" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/reception/FindDateByClientTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Termin finden mit...",
  initComponent : function() {
    var ww = this.containing_window;
    var button_disp9583 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "button", "editable": false, "header": "Button", "listeners": { "render": Lino.quicktip_renderer("","(reception.FindDateByClientTable.button) ") }, "sortable": false, "tooltip": "(reception.FindDateByClientTable.button) ", "width": Lino.chars2width(31) } ];
    Lino.reception.FindDateByClientTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.reception.FindDateByClientTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/reception/FindDateByClientTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.reception.FindDateByClientTable.grid = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/reception/FindDateByClientTable" };
  return new Lino.reception.FindDateByClientTable.GridPanel(p);
});

// js_render_GridPanel_class integ.CompareRequestsTable
Lino.integ.CompareRequestsTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/CompareRequestsTable",
  ls_store_fields : [ { "name": "description" }, { "name": "old_value" }, { "name": "new_value" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/CompareRequestsTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Allgemeine Entwicklung",
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp9595 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var old_value9596 = new Ext.form.NumberField({ "disabled": true });
    var new_value9597 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.description) ") }, "sortable": false, "tooltip": "(integ.CompareRequestsTable.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "old_value", "editable": false, "format": "0", "header": "Anfangswert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.old_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.old_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "new_value", "editable": false, "format": "0", "header": "Endwert", "listeners": { "render": Lino.quicktip_renderer("","(integ.CompareRequestsTable.new_value) ") }, "sortable": true, "tooltip": "(integ.CompareRequestsTable.new_value) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.CompareRequestsTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.CompareRequestsTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/CompareRequestsTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.CompareRequestsTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/CompareRequestsTable" };
  return new Lino.integ.CompareRequestsTable.GridPanel(p);
});

// js_render_GridPanel_class integ.PeriodicNumbers
Lino.integ.PeriodicNumbers.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/PeriodicNumbers",
  ls_store_fields : [ { "name": "description" }, { "name": "number" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/PeriodicNumbers','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Aktivit\u00e4t",
  initComponent : function() {
    var ww = this.containing_window;
    var description_disp9599 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var number9600 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.description) ") }, "sortable": false, "tooltip": "(integ.PeriodicNumbers.description) ", "width": Lino.chars2width(31) }, { "align": "right", "colIndex": 1, "dataIndex": "number", "editable": false, "format": "0", "header": "Anzahl", "listeners": { "render": Lino.quicktip_renderer("","(integ.PeriodicNumbers.number) ") }, "sortable": true, "tooltip": "(integ.PeriodicNumbers.number) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.PeriodicNumbers.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.PeriodicNumbers.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/PeriodicNumbers", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.PeriodicNumbers.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/PeriodicNumbers" };
  return new Lino.integ.PeriodicNumbers.GridPanel(p);
});

// js_render_GridPanel_class integ.ContractsByType
Lino.integ.ContractsByType.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/integ/ContractsByType",
  ls_store_fields : [ { "name": "description" }, { "name": "vc0" }, { "name": "vc1" }, { "name": "vc2" }, { "name": "vc3" }, { "name": "vc4" }, { "name": "vc5" }, { "name": "disabled_fields" }, { "name": "disable_editing" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/integ/ContractsByType','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": false, "iconCls": "x-tbar-delete", "itemId": "delete_selected", "keycode": 46, "menu_item_text": "L\u00f6schen", "overflowText": "L\u00f6schen", "panel_btn_handler": Lino.row_action_handler('delete_selected','GET',null), "tooltip": "Diesen Datensatz l\u00f6schen", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true, "getRowClass": Lino.getRowClass },
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ContractsByType",
  disabled_fields_index : 7,
  initComponent : function() {
    var ww = this.containing_window;
    var description9602 = new Ext.form.TextField({ "disabled": true, "maxLength": 30 });
    var vc09603 = new Ext.form.NumberField({ "disabled": true });
    var vc19604 = new Ext.form.NumberField({ "disabled": true });
    var vc29605 = new Ext.form.NumberField({ "disabled": true });
    var vc39606 = new Ext.form.NumberField({ "disabled": true });
    var vc49607 = new Ext.form.NumberField({ "disabled": true });
    var vc59608 = new Ext.form.NumberField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "description", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.description) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.description) ", "width": Lino.chars2width(22) }, { "align": "right", "colIndex": 1, "dataIndex": "vc0", "editable": false, "format": "0", "header": "VSE Ausbildung", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc0) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc0) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 2, "dataIndex": "vc1", "editable": false, "format": "0", "header": "VSE Arbeitssuche", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc1) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc1) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 3, "dataIndex": "vc2", "editable": false, "format": "0", "header": "VSE Lehre", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc2) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc2) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 4, "dataIndex": "vc3", "editable": false, "format": "0", "header": "VSE Vollzeitstudium", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc3) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc3) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 5, "dataIndex": "vc4", "editable": false, "format": "0", "header": "VSE Sprachkurs", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc4) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc4) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" }, { "align": "right", "colIndex": 6, "dataIndex": "vc5", "editable": false, "format": "0", "header": "Total", "listeners": { "render": Lino.quicktip_renderer("","(integ.ContractsByType.vc5) ") }, "sortable": true, "tooltip": "(integ.ContractsByType.vc5) ", "width": Lino.chars2width(6), "xtype": "numbercolumn" } ];
    Lino.integ.ContractsByType.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.integ.ContractsByType.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.delete_selected = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/integ/ContractsByType", "GET", pk, "delete_selected", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.integ.ContractsByType.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/integ/ContractsByType" };
  return new Lino.integ.ContractsByType.GridPanel(p);
});

// js_render_GridPanel_class cbss.IdentifyPersonResult
Lino.cbss.IdentifyPersonResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/IdentifyPersonResult",
  ls_store_fields : [ { "name": "national_id" }, { "name": "last_name" }, { "name": "first_name" }, { "name": "address" }, { "name": "birth_date" }, { "name": "birth_location" }, { "name": "civil_state" }, { "name": "detail_link" }, { "name": "gender" }, 'genderHidden' ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/IdentifyPersonResult','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resultate",
  initComponent : function() {
    var ww = this.containing_window;
    var national_id_disp3201 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var last_name_disp3202 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var first_name_disp3203 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var address_disp3204 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_date_disp3205 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var birth_location_disp3206 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var civil_state_disp3207 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var detail_link_disp3208 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var gender3209 = new Lino.ChoicesFieldElement({ "disabled": true, "hidden": true, "store": [ [ "M", "M\u00e4nnlich" ], [ "F", "Weiblich" ] ] });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "national_id", "editable": false, "header": "NR-Nummer", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.national_id) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.national_id) ", "width": Lino.chars2width(11) }, { "colIndex": 1, "dataIndex": "last_name", "editable": false, "header": "Familienname", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.last_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.last_name) ", "width": Lino.chars2width(21) }, { "colIndex": 2, "dataIndex": "first_name", "editable": false, "header": "Vorname", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.first_name) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.first_name) ", "width": Lino.chars2width(11) }, { "colIndex": 3, "dataIndex": "address", "editable": false, "header": "Adresse", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.address) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.address) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "birth_date", "editable": false, "header": "Geburtsdatum", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_date) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_date) ", "width": Lino.chars2width(11) }, { "colIndex": 5, "dataIndex": "birth_location", "editable": false, "header": "Geburtsort", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.birth_location) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.birth_location) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "civil_state", "editable": false, "header": "Zivilstand", "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.civil_state) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.civil_state) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.detail_link) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 8, "dataIndex": "gender", "editable": false, "header": "Geschlecht", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.IdentifyPersonResult.gender) ") }, "sortable": false, "tooltip": "(cbss.IdentifyPersonResult.gender) ", "width": Lino.chars2width(21) } ];
    Lino.cbss.IdentifyPersonResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.IdentifyPersonResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/IdentifyPersonResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.IdentifyPersonResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/IdentifyPersonResult" };
  return new Lino.cbss.IdentifyPersonResult.GridPanel(p);
});

// js_render_GridPanel_class cbss.RetrieveTIGroupsResult
Lino.cbss.RetrieveTIGroupsResult.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RetrieveTIGroupsResult",
  ls_store_fields : [ { "name": "group" }, { "name": "type" }, { "dateFormat": "d.m.Y", "name": "since", "type": "date" }, { "name": "info" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RetrieveTIGroupsResult','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Resultate",
  initComponent : function() {
    var ww = this.containing_window;
    var group_disp4681 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var type_disp4682 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var since4683 = new Lino.DateField({ "disabled": true });
    var info_disp4684 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "group", "editable": false, "header": "Gruppe", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.group) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.group) ", "width": Lino.chars2width(19) }, { "colIndex": 1, "dataIndex": "type", "editable": false, "header": "TI", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.type) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.type) ", "width": Lino.chars2width(6) }, { "colIndex": 2, "dataIndex": "since", "editable": false, "format": "d.m.Y", "header": "Seit", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.since) ") }, "sortable": true, "tooltip": "(cbss.RetrieveTIGroupsResult.since) ", "width": Lino.chars2width(15), "xtype": "datecolumn" }, { "colIndex": 3, "dataIndex": "info", "editable": false, "header": "Information", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RetrieveTIGroupsResult.info) ") }, "sortable": false, "tooltip": "(cbss.RetrieveTIGroupsResult.info) ", "width": Lino.chars2width(51) } ];
    Lino.cbss.RetrieveTIGroupsResult.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RetrieveTIGroupsResult.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RetrieveTIGroupsResult", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RetrieveTIGroupsResult.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RetrieveTIGroupsResult" };
  return new Lino.cbss.RetrieveTIGroupsResult.GridPanel(p);
});

// js_render_GridPanel_class debts.SummaryTable
Lino.debts.SummaryTable.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/SummaryTable",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/SummaryTable','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "SummaryTable",
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp9610 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount9611 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.desc) ") }, "sortable": false, "tooltip": "(debts.SummaryTable.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.SummaryTable.amount) ") }, "sortable": true, "tooltip": "(debts.SummaryTable.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.SummaryTable.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.SummaryTable.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/SummaryTable", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.SummaryTable.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/SummaryTable" };
  return new Lino.debts.SummaryTable.GridPanel(p);
});

// js_render_GridPanel_class debts.ResultByBudget
Lino.debts.ResultByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/ResultByBudget",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/ResultByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einnahmen & Ausgaben",
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp17271 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount17272 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.ResultByBudget.desc) ") }, "sortable": false, "tooltip": "(debts.ResultByBudget.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.ResultByBudget.amount) ") }, "sortable": true, "tooltip": "(debts.ResultByBudget.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.ResultByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.ResultByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/ResultByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.ResultByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/ResultByBudget" };
  return new Lino.debts.ResultByBudget.GridPanel(p);
});

// js_render_GridPanel_class debts.DebtsByBudget
Lino.debts.DebtsByBudget.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/DebtsByBudget",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/DebtsByBudget','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verpflichtungen",
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp17274 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount17275 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.DebtsByBudget.desc) ") }, "sortable": false, "tooltip": "(debts.DebtsByBudget.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.DebtsByBudget.amount) ") }, "sortable": true, "tooltip": "(debts.DebtsByBudget.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.DebtsByBudget.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.DebtsByBudget.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/DebtsByBudget", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.DebtsByBudget.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/DebtsByBudget" };
  return new Lino.debts.DebtsByBudget.GridPanel(p);
});

// js_render_GridPanel_class debts.AssetsByBudgetSummary
Lino.debts.AssetsByBudgetSummary.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/AssetsByBudgetSummary",
  ls_store_fields : [ { "name": "desc" }, { "name": "amount" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/AssetsByBudgetSummary','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Verm\u00f6gen",
  initComponent : function() {
    var ww = this.containing_window;
    var desc_disp17277 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var amount17278 = new Ext.form.NumberField({ "decimalPrecision": 2, "decimalSeparator": ",", "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "desc", "editable": false, "header": "Beschreibung", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudgetSummary.desc) ") }, "sortable": false, "tooltip": "(debts.AssetsByBudgetSummary.desc) ", "width": Lino.chars2width(61) }, { "align": "right", "colIndex": 1, "dataIndex": "amount", "editable": false, "format": "0.000,00/i", "header": "Betrag", "listeners": { "render": Lino.quicktip_renderer("","(debts.AssetsByBudgetSummary.amount) ") }, "sortable": true, "tooltip": "(debts.AssetsByBudgetSummary.amount) ", "width": Lino.chars2width(13), "xtype": "numbercolumn" } ];
    Lino.debts.AssetsByBudgetSummary.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.AssetsByBudgetSummary.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/AssetsByBudgetSummary", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.AssetsByBudgetSummary.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/AssetsByBudgetSummary" };
  return new Lino.debts.AssetsByBudgetSummary.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationsByGranting
Lino.aids.ConfirmationsByGranting.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationsByGranting",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "created" }, { "name": "user" }, 'userHidden', { "name": "signer" }, 'signerHidden', { "name": "printed" }, { "dateFormat": "d.m.Y", "name": "start_date", "type": "date" }, { "dateFormat": "d.m.Y", "name": "end_date", "type": "date" }, { "name": "id", "type": "int" } ],
  ls_id_property : "id",
  pk_index : 9,
  content_type : 134,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationsByGranting','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" }, { "auto_save": true, "iconCls": "x-tbar-printer", "itemId": "do_print", "menu_item_text": "Drucken", "overflowText": "Drucken", "panel_btn_handler": Lino.row_action_handler('do_print','GET',null), "tooltip": "Drucken", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ausgestellte Best\u00e4tigungen",
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp1813 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var created1814 = new Ext.form.DisplayField({ "disabled": true, "value": "<br>" });
    var user1815 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var signer1816 = new Lino.RemoteComboFieldElement({ "disabled": true, "emptyText": "Benutzer ausw\u00e4hlen...", "pageSize": 20, "preferred_width": 15, "related_actor_id": "users.AllUsers" });
    var printed_disp1817 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "value": "<br/>" });
    var start_date1818 = new Lino.DateField({ "disabled": true });
    var end_date1819 = new Lino.DateField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Best\u00e4tigung", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "created", "editable": false, "header": "Erstellt", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.created) The time when this object was created.") }, "sortable": true, "tooltip": "The time when this object was created.", "width": Lino.chars2width(17) }, { "colIndex": 2, "dataIndex": "user", "editable": false, "header": "Autor", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.user) The author of this object.\nA pointer to lino.modlib.users.models.User.") }, "sortable": false, "tooltip": "The author of this object.\nA pointer to lino.modlib.users.models.User.", "width": Lino.chars2width(21) }, { "colIndex": 3, "dataIndex": "signer", "editable": false, "header": "Best\u00e4tiger", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.signer) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.signer) ", "width": Lino.chars2width(21) }, { "colIndex": 4, "dataIndex": "printed", "editable": false, "header": "Ausgedruckt", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.printed) ") }, "sortable": false, "tooltip": "(aids.ConfirmationsByGranting.printed) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "start_date", "editable": false, "format": "d.m.Y", "header": "Periode vom", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.start_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.start_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" }, { "colIndex": 6, "dataIndex": "end_date", "editable": false, "format": "d.m.Y", "header": "bis", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationsByGranting.end_date) ") }, "sortable": true, "tooltip": "(aids.ConfirmationsByGranting.end_date) ", "width": Lino.chars2width(14), "xtype": "datecolumn" } ];
    Lino.aids.ConfirmationsByGranting.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationsByGranting.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.do_print = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationsByGranting", "GET", pk, "do_print", params, null);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationsByGranting.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationsByGranting" };
  return new Lino.aids.ConfirmationsByGranting.GridPanel(p);
});

// js_render_GridPanel_class dupable_clients.SimilarClients
Lino.dupable_clients.SimilarClients.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/dupable_clients/SimilarClients",
  ls_store_fields : [ { "name": "detail_link" }, { "name": "similar_record" } ],
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/dupable_clients/SimilarClients','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4hnliche Klienten",
  initComponent : function() {
    var ww = this.containing_window;
    var detail_link_disp9613 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var similar_record_disp9614 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.SimilarClients.detail_link) ") }, "sortable": false, "tooltip": "(dupable_clients.SimilarClients.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 1, "dataIndex": "similar_record", "editable": false, "header": "\u00c4hnlicher Datensatz", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(dupable_clients.SimilarClients.similar_record) ") }, "sortable": false, "tooltip": "(dupable_clients.SimilarClients.similar_record) ", "width": Lino.chars2width(31) } ];
    Lino.dupable_clients.SimilarClients.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.dupable_clients.SimilarClients.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/dupable_clients/SimilarClients", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.dupable_clients.SimilarClients.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/dupable_clients/SimilarClients" };
  return new Lino.dupable_clients.SimilarClients.GridPanel(p);
});

Lino.about.About.showPanel = Ext.extend(Lino.about.About.DetailFormPanel,{
  empty_title: "Info",
  hide_navigator: true,
  params_panel_hidden: true,
  save_action_name: "submit_detail",
  ls_bbar_actions: [  ],
  ls_url: "/about/About",
  initComponent : function() {
    this.ls_detail_handler = Lino.about.About.show;
    Lino.about.About.showPanel.superclass.initComponent.call(this);
  }
});

Lino.about.About.show = new Lino.WindowAction({ "draggable": true, "height": Lino.rows2height(20), "maximizable": true, "maximized": false, "modal": true, "width": Lino.chars2width(60) }, function(){
  var p = { "hide_top_toolbar": true, "is_main_window": true, "ls_url": "/about/About" };
  return new Lino.about.About.showPanel(p);
});
Lino.extensible.CalendarPanel.grid = new Lino.WindowAction({  }, function(){
  return Lino.CalendarApp().get_main_panel();
});

// js_render_GridPanel_class system.YesNo
Lino.system.YesNo.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/YesNo",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/YesNo','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ja oder Nein",
  initComponent : function() {
    var ww = this.containing_window;
    var value9616 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9617 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9618 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9619 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9620 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9621 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9622 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.value) ") }, "sortable": true, "tooltip": "(system.YesNo.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.name) ") }, "sortable": true, "tooltip": "(system.YesNo.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.text) ") }, "sortable": true, "tooltip": "(system.YesNo.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.detail_link) ") }, "sortable": false, "tooltip": "(system.YesNo.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.button_text) ") }, "sortable": true, "tooltip": "(system.YesNo.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.remark) ") }, "sortable": false, "tooltip": "(system.YesNo.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.YesNo.type) ") }, "sortable": false, "tooltip": "(system.YesNo.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.YesNo.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.YesNo.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/YesNo", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.YesNo.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/YesNo" };
  return new Lino.system.YesNo.GridPanel(p);
});

// js_render_GridPanel_class system.Genders
Lino.system.Genders.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/Genders",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/Genders','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/Genders','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/Genders','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/Genders','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/Genders','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Genders",
  initComponent : function() {
    var ww = this.containing_window;
    var value9624 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9625 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9626 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9627 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9628 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9629 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9630 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.value) ") }, "sortable": true, "tooltip": "(system.Genders.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.name) ") }, "sortable": true, "tooltip": "(system.Genders.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.text) ") }, "sortable": true, "tooltip": "(system.Genders.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.detail_link) ") }, "sortable": false, "tooltip": "(system.Genders.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.button_text) ") }, "sortable": true, "tooltip": "(system.Genders.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.remark) ") }, "sortable": false, "tooltip": "(system.Genders.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.Genders.type) ") }, "sortable": false, "tooltip": "(system.Genders.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.Genders.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.Genders.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/Genders", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.Genders.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/Genders" };
  return new Lino.system.Genders.GridPanel(p);
});

// js_render_GridPanel_class system.PeriodEvents
Lino.system.PeriodEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/system/PeriodEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/system/PeriodEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  initComponent : function() {
    var ww = this.containing_window;
    var value9632 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9633 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9634 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9635 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9636 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9637 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9638 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.value) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.name) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.detail_link) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.button_text) ") }, "sortable": true, "tooltip": "(system.PeriodEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.remark) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(system.PeriodEvents.type) ") }, "sortable": false, "tooltip": "(system.PeriodEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.system.PeriodEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.system.PeriodEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/system/PeriodEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.system.PeriodEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/system/PeriodEvents" };
  return new Lino.system.PeriodEvents.GridPanel(p);
});

// js_render_GridPanel_class printing.BuildMethods
Lino.printing.BuildMethods.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/printing/BuildMethods",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/printing/BuildMethods','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "BuildMethods",
  initComponent : function() {
    var ww = this.containing_window;
    var value9640 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9641 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9642 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9643 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9644 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9645 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9646 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.value) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.name) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.detail_link) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.button_text) ") }, "sortable": true, "tooltip": "(printing.BuildMethods.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.remark) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(printing.BuildMethods.type) ") }, "sortable": false, "tooltip": "(printing.BuildMethods.type) ", "width": Lino.chars2width(31) } ];
    Lino.printing.BuildMethods.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.printing.BuildMethods.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/printing/BuildMethods", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.printing.BuildMethods.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/printing/BuildMethods" };
  return new Lino.printing.BuildMethods.GridPanel(p);
});

// js_render_GridPanel_class about.TimeZones
Lino.about.TimeZones.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/about/TimeZones",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/about/TimeZones','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zeitzonen",
  initComponent : function() {
    var ww = this.containing_window;
    var value9648 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9649 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9650 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9651 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9652 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9653 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9654 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.value) ") }, "sortable": true, "tooltip": "(about.TimeZones.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.name) ") }, "sortable": true, "tooltip": "(about.TimeZones.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.text) ") }, "sortable": true, "tooltip": "(about.TimeZones.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.detail_link) ") }, "sortable": false, "tooltip": "(about.TimeZones.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.button_text) ") }, "sortable": true, "tooltip": "(about.TimeZones.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.remark) ") }, "sortable": false, "tooltip": "(about.TimeZones.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(about.TimeZones.type) ") }, "sortable": false, "tooltip": "(about.TimeZones.type) ", "width": Lino.chars2width(31) } ];
    Lino.about.TimeZones.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.about.TimeZones.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/about/TimeZones", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.about.TimeZones.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/about/TimeZones" };
  return new Lino.about.TimeZones.GridPanel(p);
});

// js_render_GridPanel_class xl.Priorities
Lino.xl.Priorities.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xl/Priorities",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xl/Priorities','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Priorit\u00e4ten",
  initComponent : function() {
    var ww = this.containing_window;
    var value9656 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9657 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9658 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9659 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9660 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9661 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9662 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.value) ") }, "sortable": true, "tooltip": "(xl.Priorities.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.name) ") }, "sortable": true, "tooltip": "(xl.Priorities.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.text) ") }, "sortable": true, "tooltip": "(xl.Priorities.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.detail_link) ") }, "sortable": false, "tooltip": "(xl.Priorities.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.button_text) ") }, "sortable": true, "tooltip": "(xl.Priorities.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.remark) ") }, "sortable": false, "tooltip": "(xl.Priorities.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(xl.Priorities.type) ") }, "sortable": false, "tooltip": "(xl.Priorities.type) ", "width": Lino.chars2width(31) } ];
    Lino.xl.Priorities.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xl.Priorities.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xl/Priorities", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xl.Priorities.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xl/Priorities" };
  return new Lino.xl.Priorities.GridPanel(p);
});

// js_render_GridPanel_class countries.PlaceTypes
Lino.countries.PlaceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/countries/PlaceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/countries/PlaceTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "PlaceTypes",
  initComponent : function() {
    var ww = this.containing_window;
    var value9664 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9665 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9666 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9667 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9668 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9669 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9670 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.value) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.name) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.detail_link) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.button_text) ") }, "sortable": true, "tooltip": "(countries.PlaceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.remark) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(countries.PlaceTypes.type) ") }, "sortable": false, "tooltip": "(countries.PlaceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.countries.PlaceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.countries.PlaceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/countries/PlaceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.countries.PlaceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/countries/PlaceTypes" };
  return new Lino.countries.PlaceTypes.GridPanel(p);
});

// js_render_GridPanel_class uploads.Shortcuts
Lino.uploads.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/uploads/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/uploads/Shortcuts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Upload shortcuts",
  initComponent : function() {
    var ww = this.containing_window;
    var value9672 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9673 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9674 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9675 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9676 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9677 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9678 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.value) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.name) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(uploads.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(uploads.Shortcuts.type) ") }, "sortable": false, "tooltip": "(uploads.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.uploads.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.uploads.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/uploads/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.uploads.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/uploads/Shortcuts" };
  return new Lino.uploads.Shortcuts.GridPanel(p);
});

// js_render_GridPanel_class contacts.PartnerEvents
Lino.contacts.PartnerEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/contacts/PartnerEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/contacts/PartnerEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  initComponent : function() {
    var ww = this.containing_window;
    var value9680 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9681 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9682 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9683 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9684 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9685 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9686 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.value) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.name) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.detail_link) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.button_text) ") }, "sortable": true, "tooltip": "(contacts.PartnerEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.remark) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(contacts.PartnerEvents.type) ") }, "sortable": false, "tooltip": "(contacts.PartnerEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.contacts.PartnerEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.contacts.PartnerEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/contacts/PartnerEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.contacts.PartnerEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/contacts/PartnerEvents" };
  return new Lino.contacts.PartnerEvents.GridPanel(p);
});

// js_render_GridPanel_class notify.MessageTypes
Lino.notify.MessageTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MessageTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/MessageTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Message Types",
  initComponent : function() {
    var ww = this.containing_window;
    var value9688 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9689 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9690 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9691 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9692 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9693 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9694 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.value) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.name) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.button_text) ") }, "sortable": true, "tooltip": "(notify.MessageTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.remark) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MessageTypes.type) ") }, "sortable": false, "tooltip": "(notify.MessageTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MessageTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MessageTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MessageTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MessageTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MessageTypes" };
  return new Lino.notify.MessageTypes.GridPanel(p);
});

// js_render_GridPanel_class notify.MailModes
Lino.notify.MailModes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notify/MailModes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notify/MailModes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Benachrichtigungsmodi",
  initComponent : function() {
    var ww = this.containing_window;
    var value9696 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9697 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9698 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9699 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9700 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9701 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9702 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.value) ") }, "sortable": true, "tooltip": "(notify.MailModes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.name) ") }, "sortable": true, "tooltip": "(notify.MailModes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.text) ") }, "sortable": true, "tooltip": "(notify.MailModes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.detail_link) ") }, "sortable": false, "tooltip": "(notify.MailModes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.button_text) ") }, "sortable": true, "tooltip": "(notify.MailModes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.remark) ") }, "sortable": false, "tooltip": "(notify.MailModes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notify.MailModes.type) ") }, "sortable": false, "tooltip": "(notify.MailModes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notify.MailModes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notify.MailModes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notify/MailModes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notify.MailModes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notify/MailModes" };
  return new Lino.notify.MailModes.GridPanel(p);
});

// js_render_GridPanel_class changes.ChangeTypes
Lino.changes.ChangeTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/changes/ChangeTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/changes/ChangeTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00c4nderungsarten",
  initComponent : function() {
    var ww = this.containing_window;
    var value9704 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9705 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9706 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9707 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9708 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9709 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9710 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.value) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.name) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.detail_link) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.button_text) ") }, "sortable": true, "tooltip": "(changes.ChangeTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.remark) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(changes.ChangeTypes.type) ") }, "sortable": false, "tooltip": "(changes.ChangeTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.changes.ChangeTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.changes.ChangeTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/changes/ChangeTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.changes.ChangeTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/changes/ChangeTypes" };
  return new Lino.changes.ChangeTypes.GridPanel(p);
});

// js_render_GridPanel_class properties.DoYouLike
Lino.properties.DoYouLike.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/DoYouLike",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/DoYouLike','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DoYouLike",
  initComponent : function() {
    var ww = this.containing_window;
    var value9712 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9713 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9714 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9715 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9716 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9717 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9718 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.value) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.name) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.text) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.detail_link) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.button_text) ") }, "sortable": true, "tooltip": "(properties.DoYouLike.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.remark) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.DoYouLike.type) ") }, "sortable": false, "tooltip": "(properties.DoYouLike.type) ", "width": Lino.chars2width(31) } ];
    Lino.properties.DoYouLike.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.DoYouLike.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/DoYouLike", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.DoYouLike.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/DoYouLike" };
  return new Lino.properties.DoYouLike.GridPanel(p);
});

// js_render_GridPanel_class properties.HowWell
Lino.properties.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/properties/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/properties/HowWell','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  initComponent : function() {
    var ww = this.containing_window;
    var value9720 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9721 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9722 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9723 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9724 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9725 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9726 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.value) ") }, "sortable": true, "tooltip": "(properties.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.name) ") }, "sortable": true, "tooltip": "(properties.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.text) ") }, "sortable": true, "tooltip": "(properties.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(properties.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.button_text) ") }, "sortable": true, "tooltip": "(properties.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.remark) ") }, "sortable": false, "tooltip": "(properties.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(properties.HowWell.type) ") }, "sortable": false, "tooltip": "(properties.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.properties.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.properties.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/properties/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.properties.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/properties/HowWell" };
  return new Lino.properties.HowWell.GridPanel(p);
});

// js_render_GridPanel_class addresses.DataSources
Lino.addresses.DataSources.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/addresses/DataSources",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/addresses/DataSources','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Datenquellen",
  initComponent : function() {
    var ww = this.containing_window;
    var value9728 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9729 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9730 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9731 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9732 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9733 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9734 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.value) ") }, "sortable": true, "tooltip": "(addresses.DataSources.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.name) ") }, "sortable": true, "tooltip": "(addresses.DataSources.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.detail_link) ") }, "sortable": false, "tooltip": "(addresses.DataSources.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.button_text) ") }, "sortable": true, "tooltip": "(addresses.DataSources.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.remark) ") }, "sortable": false, "tooltip": "(addresses.DataSources.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(addresses.DataSources.type) ") }, "sortable": false, "tooltip": "(addresses.DataSources.type) ", "width": Lino.chars2width(31) } ];
    Lino.addresses.DataSources.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.addresses.DataSources.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/addresses/DataSources", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.addresses.DataSources.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/addresses/DataSources" };
  return new Lino.addresses.DataSources.GridPanel(p);
});

// js_render_GridPanel_class excerpts.Shortcuts
Lino.excerpts.Shortcuts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/excerpts/Shortcuts",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/excerpts/Shortcuts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Excerpt shortcuts",
  initComponent : function() {
    var ww = this.containing_window;
    var value9736 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9737 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9738 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9739 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9740 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9741 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9742 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.value) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.name) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.detail_link) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.button_text) ") }, "sortable": true, "tooltip": "(excerpts.Shortcuts.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.remark) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(excerpts.Shortcuts.type) ") }, "sortable": false, "tooltip": "(excerpts.Shortcuts.type) ", "width": Lino.chars2width(31) } ];
    Lino.excerpts.Shortcuts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.excerpts.Shortcuts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/excerpts/Shortcuts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.excerpts.Shortcuts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/excerpts/Shortcuts" };
  return new Lino.excerpts.Shortcuts.GridPanel(p);
});

// js_render_GridPanel_class cal.Weekdays
Lino.cal.Weekdays.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Weekdays",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Weekdays','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Weekdays",
  initComponent : function() {
    var ww = this.containing_window;
    var value9744 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9745 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9746 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9747 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9748 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9749 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9750 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.value) ") }, "sortable": true, "tooltip": "(cal.Weekdays.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.name) ") }, "sortable": true, "tooltip": "(cal.Weekdays.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.detail_link) ") }, "sortable": false, "tooltip": "(cal.Weekdays.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.button_text) ") }, "sortable": true, "tooltip": "(cal.Weekdays.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.remark) ") }, "sortable": false, "tooltip": "(cal.Weekdays.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Weekdays.type) ") }, "sortable": false, "tooltip": "(cal.Weekdays.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Weekdays.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Weekdays.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Weekdays", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Weekdays.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Weekdays" };
  return new Lino.cal.Weekdays.GridPanel(p);
});

// js_render_GridPanel_class cal.YearMonths
Lino.cal.YearMonths.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/YearMonths",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/YearMonths','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "YearMonths",
  initComponent : function() {
    var ww = this.containing_window;
    var value9752 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9753 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9754 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9755 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9756 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9757 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9758 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.value) ") }, "sortable": true, "tooltip": "(cal.YearMonths.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.name) ") }, "sortable": true, "tooltip": "(cal.YearMonths.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.detail_link) ") }, "sortable": false, "tooltip": "(cal.YearMonths.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.button_text) ") }, "sortable": true, "tooltip": "(cal.YearMonths.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.remark) ") }, "sortable": false, "tooltip": "(cal.YearMonths.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.YearMonths.type) ") }, "sortable": false, "tooltip": "(cal.YearMonths.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.YearMonths.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.YearMonths.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/YearMonths", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.YearMonths.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/YearMonths" };
  return new Lino.cal.YearMonths.GridPanel(p);
});

// js_render_GridPanel_class cal.DurationUnits
Lino.cal.DurationUnits.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/DurationUnits",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/DurationUnits','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "DurationUnits",
  initComponent : function() {
    var ww = this.containing_window;
    var value9760 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9761 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9762 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9763 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9764 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9765 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9766 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.value) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.name) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.detail_link) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.button_text) ") }, "sortable": true, "tooltip": "(cal.DurationUnits.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.remark) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.DurationUnits.type) ") }, "sortable": false, "tooltip": "(cal.DurationUnits.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.DurationUnits.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.DurationUnits.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/DurationUnits", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.DurationUnits.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/DurationUnits" };
  return new Lino.cal.DurationUnits.GridPanel(p);
});

// js_render_GridPanel_class cal.Recurrencies
Lino.cal.Recurrencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/Recurrencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/Recurrencies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Recurrencies",
  initComponent : function() {
    var ww = this.containing_window;
    var value9768 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9769 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9770 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9771 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9772 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9773 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9774 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.value) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.name) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.detail_link) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.button_text) ") }, "sortable": true, "tooltip": "(cal.Recurrencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.remark) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.Recurrencies.type) ") }, "sortable": false, "tooltip": "(cal.Recurrencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.Recurrencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.Recurrencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/Recurrencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.Recurrencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/Recurrencies" };
  return new Lino.cal.Recurrencies.GridPanel(p);
});

// js_render_GridPanel_class cal.EventEvents
Lino.cal.EventEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/EventEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/EventEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  initComponent : function() {
    var ww = this.containing_window;
    var value9776 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9777 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9778 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9779 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9780 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9781 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9782 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.value) ") }, "sortable": true, "tooltip": "(cal.EventEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.name) ") }, "sortable": true, "tooltip": "(cal.EventEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.detail_link) ") }, "sortable": false, "tooltip": "(cal.EventEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.button_text) ") }, "sortable": true, "tooltip": "(cal.EventEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.remark) ") }, "sortable": false, "tooltip": "(cal.EventEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cal.EventEvents.type) ") }, "sortable": false, "tooltip": "(cal.EventEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.cal.EventEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.EventEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/EventEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.EventEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/EventEvents" };
  return new Lino.cal.EventEvents.GridPanel(p);
});

// js_render_GridPanel_class clients.ClientEvents
Lino.clients.ClientEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/clients/ClientEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/clients/ClientEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  initComponent : function() {
    var ww = this.containing_window;
    var value9784 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9785 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9786 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9787 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9788 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9789 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9790 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.value) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.name) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.detail_link) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.button_text) ") }, "sortable": true, "tooltip": "(clients.ClientEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.remark) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(clients.ClientEvents.type) ") }, "sortable": false, "tooltip": "(clients.ClientEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.clients.ClientEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.clients.ClientEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/clients/ClientEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.clients.ClientEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/clients/ClientEvents" };
  return new Lino.clients.ClientEvents.GridPanel(p);
});

// js_render_GridPanel_class outbox.RecipientTypes
Lino.outbox.RecipientTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/outbox/RecipientTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/outbox/RecipientTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RecipientTypes",
  initComponent : function() {
    var ww = this.containing_window;
    var value9792 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9793 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9794 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9795 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9796 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9797 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9798 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.value) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.name) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.detail_link) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.button_text) ") }, "sortable": true, "tooltip": "(outbox.RecipientTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.remark) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(outbox.RecipientTypes.type) ") }, "sortable": false, "tooltip": "(outbox.RecipientTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.outbox.RecipientTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.outbox.RecipientTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/outbox/RecipientTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.outbox.RecipientTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/outbox/RecipientTypes" };
  return new Lino.outbox.RecipientTypes.GridPanel(p);
});

// js_render_GridPanel_class cal.ReservationStates
Lino.cal.ReservationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cal/ReservationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cal/ReservationStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde",
  initComponent : function() {
    var ww = this.containing_window;
    var value9800 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9801 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9802 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9803 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.value) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.name) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cal.ReservationStates.button_text) ") }, "sortable": true, "tooltip": "(cal.ReservationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cal.ReservationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cal.ReservationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cal/ReservationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cal.ReservationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cal/ReservationStates" };
  return new Lino.cal.ReservationStates.GridPanel(p);
});

// js_render_GridPanel_class notes.SpecialTypes
Lino.notes.SpecialTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/notes/SpecialTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/notes/SpecialTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Sondernotizarten",
  initComponent : function() {
    var ww = this.containing_window;
    var value9805 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9806 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9807 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9808 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9809 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9810 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9811 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.value) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.name) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.detail_link) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.button_text) ") }, "sortable": true, "tooltip": "(notes.SpecialTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.remark) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(notes.SpecialTypes.type) ") }, "sortable": false, "tooltip": "(notes.SpecialTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.notes.SpecialTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.notes.SpecialTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/notes/SpecialTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.notes.SpecialTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/notes/SpecialTypes" };
  return new Lino.notes.SpecialTypes.GridPanel(p);
});

// js_render_GridPanel_class cv.EducationEntryStates
Lino.cv.EducationEntryStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/EducationEntryStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/EducationEntryStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "EducationEntryStates",
  initComponent : function() {
    var ww = this.containing_window;
    var value9813 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9814 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9815 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9816 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9817 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9818 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9819 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.value) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.name) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.detail_link) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.button_text) ") }, "sortable": true, "tooltip": "(cv.EducationEntryStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.remark) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.EducationEntryStates.type) ") }, "sortable": false, "tooltip": "(cv.EducationEntryStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.EducationEntryStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.EducationEntryStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/EducationEntryStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.EducationEntryStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/EducationEntryStates" };
  return new Lino.cv.EducationEntryStates.GridPanel(p);
});

// js_render_GridPanel_class cv.HowWell
Lino.cv.HowWell.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/HowWell",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/HowWell','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "HowWell",
  initComponent : function() {
    var ww = this.containing_window;
    var value9821 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9822 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9823 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9824 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9825 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9826 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9827 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.value) ") }, "sortable": true, "tooltip": "(cv.HowWell.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.name) ") }, "sortable": true, "tooltip": "(cv.HowWell.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.text) ") }, "sortable": true, "tooltip": "(cv.HowWell.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.detail_link) ") }, "sortable": false, "tooltip": "(cv.HowWell.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.button_text) ") }, "sortable": true, "tooltip": "(cv.HowWell.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.remark) ") }, "sortable": false, "tooltip": "(cv.HowWell.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.HowWell.type) ") }, "sortable": false, "tooltip": "(cv.HowWell.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.HowWell.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.HowWell.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/HowWell", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.HowWell.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/HowWell" };
  return new Lino.cv.HowWell.GridPanel(p);
});

// js_render_GridPanel_class cv.CefLevel
Lino.cv.CefLevel.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cv/CefLevel",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cv/CefLevel','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "CEF-Kategorien",
  initComponent : function() {
    var ww = this.containing_window;
    var value9829 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9830 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9831 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9832 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9833 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9834 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9835 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.value) ") }, "sortable": true, "tooltip": "(cv.CefLevel.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.name) ") }, "sortable": true, "tooltip": "(cv.CefLevel.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.detail_link) ") }, "sortable": false, "tooltip": "(cv.CefLevel.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.button_text) ") }, "sortable": true, "tooltip": "(cv.CefLevel.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.remark) ") }, "sortable": false, "tooltip": "(cv.CefLevel.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cv.CefLevel.type) ") }, "sortable": false, "tooltip": "(cv.CefLevel.type) ", "width": Lino.chars2width(31) } ];
    Lino.cv.CefLevel.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cv.CefLevel.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cv/CefLevel", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cv.CefLevel.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cv/CefLevel" };
  return new Lino.cv.CefLevel.GridPanel(p);
});

// js_render_GridPanel_class beid.ResidenceTypes
Lino.beid.ResidenceTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/beid/ResidenceTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/beid/ResidenceTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Einwohnerregister",
  initComponent : function() {
    var ww = this.containing_window;
    var value9837 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9838 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9839 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9840 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9841 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9842 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9843 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.value) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.name) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.detail_link) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.button_text) ") }, "sortable": true, "tooltip": "(beid.ResidenceTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.remark) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(beid.ResidenceTypes.type) ") }, "sortable": false, "tooltip": "(beid.ResidenceTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.beid.ResidenceTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.beid.ResidenceTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/beid/ResidenceTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.beid.ResidenceTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/beid/ResidenceTypes" };
  return new Lino.beid.ResidenceTypes.GridPanel(p);
});

// js_render_GridPanel_class cbss.RequestStates
Lino.cbss.RequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde cbss request",
  initComponent : function() {
    var ww = this.containing_window;
    var value9845 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9846 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9847 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9848 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.value) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.name) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestStates.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.cbss.RequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestStates" };
  return new Lino.cbss.RequestStates.GridPanel(p);
});

// js_render_GridPanel_class cbss.ManageActions
Lino.cbss.ManageActions.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/ManageActions",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/ManageActions','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "ManageActions",
  initComponent : function() {
    var ww = this.containing_window;
    var value9850 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9851 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9852 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9853 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9854 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9855 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9856 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.value) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.name) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.detail_link) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.button_text) ") }, "sortable": true, "tooltip": "(cbss.ManageActions.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.remark) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.ManageActions.type) ") }, "sortable": false, "tooltip": "(cbss.ManageActions.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.ManageActions.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.ManageActions.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/ManageActions", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.ManageActions.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/ManageActions" };
  return new Lino.cbss.ManageActions.GridPanel(p);
});

// js_render_GridPanel_class cbss.QueryRegisters
Lino.cbss.QueryRegisters.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/QueryRegisters",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/QueryRegisters','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "QueryRegisters",
  initComponent : function() {
    var ww = this.containing_window;
    var value9858 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9859 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9860 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9861 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9862 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9863 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9864 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.value) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.name) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.detail_link) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.button_text) ") }, "sortable": true, "tooltip": "(cbss.QueryRegisters.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.remark) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.QueryRegisters.type) ") }, "sortable": false, "tooltip": "(cbss.QueryRegisters.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.QueryRegisters.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.QueryRegisters.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/QueryRegisters", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.QueryRegisters.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/QueryRegisters" };
  return new Lino.cbss.QueryRegisters.GridPanel(p);
});

// js_render_GridPanel_class cbss.RequestLanguages
Lino.cbss.RequestLanguages.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/cbss/RequestLanguages",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/cbss/RequestLanguages','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "RequestLanguages",
  initComponent : function() {
    var ww = this.containing_window;
    var value9866 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9867 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9868 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9869 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9870 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9871 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9872 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.value) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.name) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.detail_link) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.button_text) ") }, "sortable": true, "tooltip": "(cbss.RequestLanguages.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.remark) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(cbss.RequestLanguages.type) ") }, "sortable": false, "tooltip": "(cbss.RequestLanguages.type) ", "width": Lino.chars2width(31) } ];
    Lino.cbss.RequestLanguages.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.cbss.RequestLanguages.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/cbss/RequestLanguages", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.cbss.RequestLanguages.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/cbss/RequestLanguages" };
  return new Lino.cbss.RequestLanguages.GridPanel(p);
});

// js_render_GridPanel_class pcsw.RefusalReasons
Lino.pcsw.RefusalReasons.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/pcsw/RefusalReasons",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/pcsw/RefusalReasons','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Ablehnungsgr\u00fcnde",
  initComponent : function() {
    var ww = this.containing_window;
    var value9874 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9875 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9876 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9877 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9878 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9879 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9880 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.value) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.name) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.detail_link) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.button_text) ") }, "sortable": true, "tooltip": "(pcsw.RefusalReasons.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.remark) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(pcsw.RefusalReasons.type) ") }, "sortable": false, "tooltip": "(pcsw.RefusalReasons.type) ", "width": Lino.chars2width(31) } ];
    Lino.pcsw.RefusalReasons.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.pcsw.RefusalReasons.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/pcsw/RefusalReasons", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.pcsw.RefusalReasons.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/pcsw/RefusalReasons" };
  return new Lino.pcsw.RefusalReasons.GridPanel(p);
});

// js_render_GridPanel_class households.MemberDependencies
Lino.households.MemberDependencies.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/households/MemberDependencies",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/households/MemberDependencies','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Haushaltsmitgliedsabh\u00e4ngigkeiten",
  initComponent : function() {
    var ww = this.containing_window;
    var value9882 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9883 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9884 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9885 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9886 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9887 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9888 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.value) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.name) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.detail_link) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.button_text) ") }, "sortable": true, "tooltip": "(households.MemberDependencies.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.remark) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(households.MemberDependencies.type) ") }, "sortable": false, "tooltip": "(households.MemberDependencies.type) ", "width": Lino.chars2width(31) } ];
    Lino.households.MemberDependencies.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.households.MemberDependencies.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/households/MemberDependencies", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.households.MemberDependencies.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/households/MemberDependencies" };
  return new Lino.households.MemberDependencies.GridPanel(p);
});

// js_render_GridPanel_class isip.ContractEvents
Lino.isip.ContractEvents.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/ContractEvents",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/ContractEvents','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Beobachtungskriterien",
  initComponent : function() {
    var ww = this.containing_window;
    var value9890 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9891 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9892 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9893 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9894 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9895 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9896 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.value) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.name) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.detail_link) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.button_text) ") }, "sortable": true, "tooltip": "(isip.ContractEvents.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.remark) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.ContractEvents.type) ") }, "sortable": false, "tooltip": "(isip.ContractEvents.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.ContractEvents.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.ContractEvents.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/ContractEvents", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.ContractEvents.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/ContractEvents" };
  return new Lino.isip.ContractEvents.GridPanel(p);
});

// js_render_GridPanel_class isip.OverlapGroups
Lino.isip.OverlapGroups.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/isip/OverlapGroups",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/isip/OverlapGroups','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "\u00dcberlappungsgruppen",
  initComponent : function() {
    var ww = this.containing_window;
    var value9898 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9899 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9900 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9901 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9902 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9903 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9904 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.value) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.name) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.detail_link) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.button_text) ") }, "sortable": true, "tooltip": "(isip.OverlapGroups.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.remark) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(isip.OverlapGroups.type) ") }, "sortable": false, "tooltip": "(isip.OverlapGroups.type) ", "width": Lino.chars2width(31) } ];
    Lino.isip.OverlapGroups.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.isip.OverlapGroups.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/isip/OverlapGroups", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.isip.OverlapGroups.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/isip/OverlapGroups" };
  return new Lino.isip.OverlapGroups.GridPanel(p);
});

// js_render_GridPanel_class jobs.CandidatureStates
Lino.jobs.CandidatureStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/jobs/CandidatureStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/jobs/CandidatureStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kandidatur-Zust\u00e4nde",
  initComponent : function() {
    var ww = this.containing_window;
    var value9906 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9907 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9908 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9909 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9910 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9911 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9912 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.value) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.name) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.detail_link) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.button_text) ") }, "sortable": true, "tooltip": "(jobs.CandidatureStates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.remark) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(jobs.CandidatureStates.type) ") }, "sortable": false, "tooltip": "(jobs.CandidatureStates.type) ", "width": Lino.chars2width(31) } ];
    Lino.jobs.CandidatureStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.jobs.CandidatureStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/jobs/CandidatureStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.jobs.CandidatureStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/jobs/CandidatureStates" };
  return new Lino.jobs.CandidatureStates.GridPanel(p);
});

// js_render_GridPanel_class ledger.PeriodStates
Lino.ledger.PeriodStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/PeriodStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/PeriodStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde",
  initComponent : function() {
    var ww = this.containing_window;
    var value9914 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9915 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9916 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9917 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.value) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.name) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.text) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.PeriodStates.button_text) ") }, "sortable": true, "tooltip": "(ledger.PeriodStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.ledger.PeriodStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.PeriodStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/PeriodStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.PeriodStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/PeriodStates" };
  return new Lino.ledger.PeriodStates.GridPanel(p);
});

// js_render_GridPanel_class ledger.VoucherStates
Lino.ledger.VoucherStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/ledger/VoucherStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "is_editable", "type": "boolean" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/ledger/VoucherStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Belegzust\u00e4nde",
  initComponent : function() {
    var ww = this.containing_window;
    var value9919 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9920 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9921 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var is_editable_disp9922 = new Ext.form.DisplayField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.value) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.name) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.text) ") }, "sortable": true, "tooltip": "(ledger.VoucherStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "is_editable", "editable": false, "header": "Editierbar", "listeners": { "render": Lino.quicktip_renderer("","(ledger.VoucherStates.is_editable) ") }, "sortable": false, "tooltip": "(ledger.VoucherStates.is_editable) ", "width": Lino.chars2width(21) } ];
    Lino.ledger.VoucherStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.ledger.VoucherStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/ledger/VoucherStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.ledger.VoucherStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/ledger/VoucherStates" };
  return new Lino.ledger.VoucherStates.GridPanel(p);
});

// js_render_GridPanel_class sepa.AccountTypes
Lino.sepa.AccountTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/sepa/AccountTypes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/sepa/AccountTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Kontoarten",
  initComponent : function() {
    var ww = this.containing_window;
    var value9924 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9925 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9926 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9927 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9928 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9929 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9930 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.value) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.name) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.text) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.detail_link) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.button_text) ") }, "sortable": true, "tooltip": "(sepa.AccountTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.remark) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(sepa.AccountTypes.type) ") }, "sortable": false, "tooltip": "(sepa.AccountTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.sepa.AccountTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.sepa.AccountTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/sepa/AccountTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.sepa.AccountTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/sepa/AccountTypes" };
  return new Lino.sepa.AccountTypes.GridPanel(p);
});

// js_render_GridPanel_class art61.Subsidizations
Lino.art61.Subsidizations.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/art61/Subsidizations",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/art61/Subsidizations','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Subsidizations",
  initComponent : function() {
    var ww = this.containing_window;
    var value9932 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9933 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9934 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9935 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9936 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9937 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9938 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.value) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.name) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.detail_link) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.button_text) ") }, "sortable": true, "tooltip": "(art61.Subsidizations.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.remark) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(art61.Subsidizations.type) ") }, "sortable": false, "tooltip": "(art61.Subsidizations.type) ", "width": Lino.chars2width(31) } ];
    Lino.art61.Subsidizations.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.art61.Subsidizations.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/art61/Subsidizations", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.art61.Subsidizations.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/art61/Subsidizations" };
  return new Lino.art61.Subsidizations.GridPanel(p);
});

// js_render_GridPanel_class xcourses.CourseRequestStates
Lino.xcourses.CourseRequestStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/xcourses/CourseRequestStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/xcourses/CourseRequestStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Zust\u00e4nde Kursanfragen",
  initComponent : function() {
    var ww = this.containing_window;
    var value9940 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9941 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9942 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9943 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.value) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.name) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.text) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(xcourses.CourseRequestStates.button_text) ") }, "sortable": true, "tooltip": "(xcourses.CourseRequestStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.xcourses.CourseRequestStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.xcourses.CourseRequestStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/xcourses/CourseRequestStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.xcourses.CourseRequestStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/xcourses/CourseRequestStates" };
  return new Lino.xcourses.CourseRequestStates.GridPanel(p);
});

// js_render_GridPanel_class debts.TableLayouts
Lino.debts.TableLayouts.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/debts/TableLayouts",
  ls_store_fields : [ { "name": "value" }, { "name": "text" }, { "name": "columns_spec" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/debts/TableLayouts','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Table layouts",
  initComponent : function() {
    var ww = this.containing_window;
    var value9945 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9946 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var columns_spec9947 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.value) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.text) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.text) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "columns_spec", "editable": false, "header": "Columns", "listeners": { "render": Lino.quicktip_renderer("","(debts.TableLayouts.columns_spec) ") }, "sortable": true, "tooltip": "(debts.TableLayouts.columns_spec) ", "width": Lino.chars2width(22) } ];
    Lino.debts.TableLayouts.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.debts.TableLayouts.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/debts/TableLayouts", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.debts.TableLayouts.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/debts/TableLayouts" };
  return new Lino.debts.TableLayouts.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationTypes
Lino.aids.ConfirmationTypes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationTypes",
  ls_store_fields : [ { "name": "name" }, { "name": "value" }, { "name": "text" }, { "name": "et_template" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 1,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationTypes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebescheinigungsarten",
  initComponent : function() {
    var ww = this.containing_window;
    var name9949 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var value9950 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9951 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var et_template9952 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var detail_link_disp9953 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9954 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9955 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9956 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "et_template", "editable": false, "header": "Vorlage", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.et_template) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.et_template) ", "width": Lino.chars2width(22) }, { "colIndex": 4, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.detail_link) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 5, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationTypes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 6, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.remark) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 7, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationTypes.type) ") }, "sortable": false, "tooltip": "(aids.ConfirmationTypes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.ConfirmationTypes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationTypes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationTypes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationTypes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationTypes" };
  return new Lino.aids.ConfirmationTypes.GridPanel(p);
});

// js_render_GridPanel_class aids.AidRegimes
Lino.aids.AidRegimes.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/AidRegimes",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/AidRegimes','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "AidRegimes",
  initComponent : function() {
    var ww = this.containing_window;
    var value9958 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9959 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9960 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9961 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9962 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9963 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9964 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.value) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.name) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.detail_link) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.button_text) ") }, "sortable": true, "tooltip": "(aids.AidRegimes.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.remark) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(aids.AidRegimes.type) ") }, "sortable": false, "tooltip": "(aids.AidRegimes.type) ", "width": Lino.chars2width(31) } ];
    Lino.aids.AidRegimes.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.AidRegimes.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/AidRegimes", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.AidRegimes.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/AidRegimes" };
  return new Lino.aids.AidRegimes.GridPanel(p);
});

// js_render_GridPanel_class aids.ConfirmationStates
Lino.aids.ConfirmationStates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/aids/ConfirmationStates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "button_text" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/aids/ConfirmationStates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Hilfebest\u00e4tigungszust\u00e4nde",
  initComponent : function() {
    var ww = this.containing_window;
    var value9966 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9967 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9968 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var button_text9969 = new Ext.form.TextField({ "disabled": true });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.value) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.name) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "button_text", "editable": false, "header": "Button text", "listeners": { "render": Lino.quicktip_renderer("","(aids.ConfirmationStates.button_text) ") }, "sortable": true, "tooltip": "(aids.ConfirmationStates.button_text) ", "width": Lino.chars2width(5) } ];
    Lino.aids.ConfirmationStates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.aids.ConfirmationStates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/aids/ConfirmationStates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.aids.ConfirmationStates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/aids/ConfirmationStates" };
  return new Lino.aids.ConfirmationStates.GridPanel(p);
});

// js_render_GridPanel_class esf.ParticipationCertificates
Lino.esf.ParticipationCertificates.GridPanel = Ext.extend(Lino.GridPanel,{
  ls_url : "/esf/ParticipationCertificates",
  ls_store_fields : [ { "name": "value" }, { "name": "name" }, { "name": "text" }, { "name": "detail_link" }, { "name": "button_text" }, { "name": "remark" }, { "name": "type" } ],
  ls_id_property : null,
  pk_index : 0,
  cell_edit : true,
  focus_on_quick_search : false,
  ls_bbar_actions : [ { "auto_save": true, "iconCls": "x-tbar-html", "itemId": "show_as_html", "menu_item_text": "HTML", "overflowText": "HTML", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','show_as_html','GET',Lino.get_current_grid_config), "tooltip": "Show this table in Bootstrap3 interface", "tooltipType": "title" }, { "iconCls": "x-tbar-page_white_acrobat", "menu": [ { "auto_save": true, "itemId": "as_pdf", "menu_item_text": "Tabelle (Querformat)", "overflowText": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','as_pdf','GET',Lino.get_current_grid_config), "text": "Tabelle (Querformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" }, { "auto_save": true, "itemId": "as_pdf_p", "menu_item_text": "Tabelle (Hochformat)", "overflowText": "Tabelle (Hochformat)", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','as_pdf_p','GET',Lino.get_current_grid_config), "text": "Tabelle (Hochformat)", "tooltip": "Show this table as a pdf document.", "tooltipType": "title" } ], "menu_item_text": "Tabelle (Querformat)", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','as_pdf','GET',Lino.get_current_grid_config), "text": null, "xtype": "splitbutton" }, { "auto_save": true, "iconCls": "x-tbar-page_excel", "itemId": "export_excel", "menu_item_text": "Export to .xls", "overflowText": "Export to .xls", "panel_btn_handler": Lino.list_action_handler('/esf/ParticipationCertificates','export_excel','GET',Lino.get_current_grid_config), "tooltip": "Export this table as an .xls document", "tooltipType": "title" } ],
  viewConfig : { "emptyText": "Keine Daten anzuzeigen.", "forceFit": true },
  disable_editing : true,
  params_panel_hidden : true,
  page_length : 20,
  stripeRows : true,
  title : "Participation Certificates",
  initComponent : function() {
    var ww = this.containing_window;
    var value9971 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var name9972 = new Ext.form.TextField({ "disabled": true, "maxLength": 20 });
    var text9973 = new Ext.form.TextField({ "disabled": true, "maxLength": 50 });
    var detail_link_disp9974 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var button_text9975 = new Ext.form.TextField({ "disabled": true, "hidden": true });
    var remark_disp9976 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    var type_disp9977 = new Ext.form.DisplayField({ "always_enabled": true, "disabled": true, "hidden": true, "value": "<br/>" });
    this.before_row_edit = function(record) {
    };
    this.ls_columns = [ { "colIndex": 0, "dataIndex": "value", "editable": false, "header": "Wert", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.value) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.value) ", "width": Lino.chars2width(22) }, { "colIndex": 1, "dataIndex": "name", "editable": false, "header": "name", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.name) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.name) ", "width": Lino.chars2width(22) }, { "colIndex": 2, "dataIndex": "text", "editable": false, "header": "Text", "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.text) ", "width": Lino.chars2width(22) }, { "colIndex": 3, "dataIndex": "detail_link", "editable": false, "header": "Beschreibung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.detail_link) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.detail_link) ", "width": Lino.chars2width(31) }, { "colIndex": 4, "dataIndex": "button_text", "editable": false, "header": "Button text", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.button_text) ") }, "sortable": true, "tooltip": "(esf.ParticipationCertificates.button_text) ", "width": Lino.chars2width(5) }, { "colIndex": 5, "dataIndex": "remark", "editable": false, "header": "Bemerkung", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.remark) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.remark) ", "width": Lino.chars2width(31) }, { "colIndex": 6, "dataIndex": "type", "editable": false, "header": "Art", "hidden": true, "listeners": { "render": Lino.quicktip_renderer("","(esf.ParticipationCertificates.type) ") }, "sortable": false, "tooltip": "(esf.ParticipationCertificates.type) ", "width": Lino.chars2width(31) } ];
    Lino.esf.ParticipationCertificates.GridPanel.superclass.initComponent.call(this);
  }
});

Lino.esf.ParticipationCertificates.show_as_html = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "show_as_html", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.as_pdf_p = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "as_pdf_p", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.export_excel = function(rp, is_main, pk, params) { 
  var h = function() { 
    Lino.run_row_action(rp, is_main, "/esf/ParticipationCertificates", "GET", pk, "export_excel", params, Lino.get_current_grid_config);
  };
  var panel = Ext.getCmp(rp);
  if(panel && !params.rqdata) panel.do_when_clean(true, h); else h();
};
Lino.esf.ParticipationCertificates.grid = new Lino.WindowAction({  }, function(){
  var p = { "is_main_window": true, "ls_url": "/esf/ParticipationCertificates" };
  return new Lino.esf.ParticipationCertificates.GridPanel(p);
});
